#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 1852
#define LARGE_STATE_COUNT 942
#define SYMBOL_COUNT 273
#define ALIAS_COUNT 1
#define TOKEN_COUNT 154
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 16
#define MAX_ALIAS_SEQUENCE_LENGTH 11
#define PRODUCTION_ID_COUNT 57

enum ts_symbol_identifiers {
  sym__identifier = 1,
  anon_sym_COMMA = 2,
  anon_sym_pub = 3,
  anon_sym_test = 4,
  anon_sym_comptime = 5,
  anon_sym_COLON = 6,
  anon_sym_EQ = 7,
  anon_sym_export = 8,
  anon_sym_extern = 9,
  anon_sym_threadlocal = 10,
  anon_sym_SEMI = 11,
  anon_sym_STAR_EQ = 12,
  anon_sym_STAR_PERCENT_EQ = 13,
  anon_sym_STAR_PIPE_EQ = 14,
  anon_sym_SLASH_EQ = 15,
  anon_sym_PERCENT_EQ = 16,
  anon_sym_PLUS_EQ = 17,
  anon_sym_PLUS_PERCENT_EQ = 18,
  anon_sym_PLUS_PIPE_EQ = 19,
  anon_sym_DASH_EQ = 20,
  anon_sym_DASH_PERCENT_EQ = 21,
  anon_sym_DASH_PIPE_EQ = 22,
  anon_sym_LT_LT_EQ = 23,
  anon_sym_LT_LT_PIPE_EQ = 24,
  anon_sym_GT_GT_EQ = 25,
  anon_sym_AMP_EQ = 26,
  anon_sym_CARET_EQ = 27,
  anon_sym_PIPE_EQ = 28,
  anon_sym_const = 29,
  anon_sym_var = 30,
  anon_sym_inline = 31,
  anon_sym_noinline = 32,
  anon_sym_fn = 33,
  anon_sym_LPAREN = 34,
  anon_sym_RPAREN = 35,
  anon_sym_noalias = 36,
  anon_sym_DOT_DOT_DOT = 37,
  anon_sym_usingnamespace = 38,
  anon_sym_LBRACE = 39,
  anon_sym_RBRACE = 40,
  anon_sym_packed = 41,
  anon_sym_struct = 42,
  anon_sym_opaque = 43,
  anon_sym_enum = 44,
  anon_sym_union = 45,
  anon_sym_error = 46,
  anon_sym_nosuspend = 47,
  anon_sym_suspend = 48,
  anon_sym_defer = 49,
  anon_sym_errdefer = 50,
  anon_sym_if = 51,
  anon_sym_else = 52,
  anon_sym_for = 53,
  anon_sym_DOT_DOT = 54,
  anon_sym_while = 55,
  anon_sym_PIPE = 56,
  anon_sym_STAR = 57,
  anon_sym_align = 58,
  anon_sym_addrspace = 59,
  anon_sym_linksection = 60,
  anon_sym_callconv = 61,
  anon_sym_asm = 62,
  anon_sym_volatile = 63,
  anon_sym_LBRACK = 64,
  anon_sym_RBRACK = 65,
  anon_sym_DASH_GT = 66,
  anon_sym_BANG = 67,
  anon_sym_TILDE = 68,
  anon_sym_DASH = 69,
  anon_sym_DASH_PERCENT = 70,
  anon_sym_AMP = 71,
  anon_sym_or = 72,
  anon_sym_and = 73,
  anon_sym_EQ_EQ = 74,
  anon_sym_BANG_EQ = 75,
  anon_sym_GT = 76,
  anon_sym_GT_EQ = 77,
  anon_sym_LT_EQ = 78,
  anon_sym_LT = 79,
  anon_sym_CARET = 80,
  anon_sym_orelse = 81,
  anon_sym_LT_LT = 82,
  anon_sym_GT_GT = 83,
  anon_sym_LT_LT_PIPE = 84,
  anon_sym_PLUS = 85,
  anon_sym_PLUS_PLUS = 86,
  anon_sym_PLUS_PERCENT = 87,
  anon_sym_PLUS_PIPE = 88,
  anon_sym_DASH_PIPE = 89,
  anon_sym_SLASH = 90,
  anon_sym_PERCENT = 91,
  anon_sym_STAR_STAR = 92,
  anon_sym_STAR_PERCENT = 93,
  anon_sym_STAR_PIPE = 94,
  anon_sym_PIPE_PIPE = 95,
  anon_sym_async = 96,
  anon_sym_await = 97,
  anon_sym_continue = 98,
  anon_sym_resume = 99,
  anon_sym_return = 100,
  anon_sym_break = 101,
  anon_sym_try = 102,
  anon_sym_catch = 103,
  anon_sym_switch = 104,
  anon_sym_EQ_GT = 105,
  anon_sym_anyframe = 106,
  anon_sym_unreachable = 107,
  anon_sym_undefined = 108,
  anon_sym_null = 109,
  anon_sym_QMARK = 110,
  anon_sym_allowzero = 111,
  anon_sym_c = 112,
  anon_sym_DOT = 113,
  anon_sym_DOT_STAR = 114,
  anon_sym_DOT_QMARK = 115,
  anon_sym_DQUOTE = 116,
  aux_sym_string_token1 = 117,
  aux_sym_multiline_string_token1 = 118,
  sym_escape_sequence = 119,
  anon_sym_SQUOTE = 120,
  aux_sym_character_token1 = 121,
  sym_integer = 122,
  sym_float = 123,
  anon_sym_true = 124,
  anon_sym_false = 125,
  anon_sym_bool = 126,
  anon_sym_f16 = 127,
  anon_sym_f32 = 128,
  anon_sym_f64 = 129,
  anon_sym_f128 = 130,
  anon_sym_void = 131,
  anon_sym_type = 132,
  anon_sym_anyerror = 133,
  anon_sym_anyopaque = 134,
  anon_sym_anytype = 135,
  anon_sym_noreturn = 136,
  anon_sym_isize = 137,
  anon_sym_usize = 138,
  anon_sym_comptime_int = 139,
  anon_sym_comptime_float = 140,
  anon_sym_c_short = 141,
  anon_sym_c_ushort = 142,
  anon_sym_c_int = 143,
  anon_sym_c_uint = 144,
  anon_sym_c_long = 145,
  anon_sym_c_ulong = 146,
  anon_sym_c_longlong = 147,
  anon_sym_c_ulonglong = 148,
  anon_sym_c_longdouble = 149,
  aux_sym_builtin_type_token1 = 150,
  sym_builtin_identifier = 151,
  anon_sym_AT = 152,
  sym_comment = 153,
  sym_source_file = 154,
  sym__container_members = 155,
  sym_test_declaration = 156,
  sym_comptime_declaration = 157,
  sym_container_field = 158,
  sym_variable_declaration = 159,
  sym__variable_declaration_expression_statement = 160,
  sym__variable_declaration_header = 161,
  sym_function_declaration = 162,
  sym__function_prototype = 163,
  sym_parameters = 164,
  sym_parameter = 165,
  sym_using_namespace_declaration = 166,
  sym_block = 167,
  sym_struct_declaration = 168,
  sym_opaque_declaration = 169,
  sym_enum_declaration = 170,
  sym_union_declaration = 171,
  sym_error_set_declaration = 172,
  sym_statement = 173,
  sym_comptime_statement = 174,
  sym_nosuspend_statement = 175,
  sym_suspend_statement = 176,
  sym_defer_statement = 177,
  sym_errdefer_statement = 178,
  sym__block_expr_statement = 179,
  sym_block_expression = 180,
  sym_labeled_statement = 181,
  sym_expression_statement = 182,
  sym_if_statement = 183,
  sym__if_prefix = 184,
  sym_else_clause = 185,
  sym_for_statement = 186,
  sym__for_prefix = 187,
  sym_while_statement = 188,
  sym__while_prefix = 189,
  sym__conditional_body = 190,
  sym_payload = 191,
  sym_byte_alignment = 192,
  sym_address_space = 193,
  sym_link_section = 194,
  sym_calling_convention = 195,
  sym_expression = 196,
  sym_asm_expression = 197,
  sym_asm_output = 198,
  sym_asm_output_item = 199,
  sym_asm_input = 200,
  sym_asm_input_item = 201,
  sym_asm_clobbers = 202,
  sym_if_expression = 203,
  sym_for_expression = 204,
  sym_while_expression = 205,
  sym_assignment_expression = 206,
  sym_unary_expression = 207,
  sym_binary_expression = 208,
  sym_comptime_expression = 209,
  sym_async_expression = 210,
  sym_await_expression = 211,
  sym_nosuspend_expression = 212,
  sym_continue_expression = 213,
  sym_resume_expression = 214,
  sym_return_expression = 215,
  sym_break_expression = 216,
  sym_try_expression = 217,
  sym_catch_expression = 218,
  sym_switch_expression = 219,
  sym_switch_case = 220,
  sym__switch_case_exp = 221,
  sym_type_expression = 222,
  sym_primary_type_expression = 223,
  sym_nullable_type = 224,
  sym_anyframe_type = 225,
  sym_slice_type = 226,
  sym_pointer_type = 227,
  sym_array_type = 228,
  sym_error_union_type = 229,
  sym_field_expression = 230,
  sym_index_expression = 231,
  sym_dereference_expression = 232,
  sym_null_coercion_expression = 233,
  sym_range_expression = 234,
  sym_call_expression = 235,
  sym_anonymous_struct_initializer = 236,
  sym_struct_initializer = 237,
  sym_initializer_list = 238,
  sym_field_initializer = 239,
  sym_labeled_type_expression = 240,
  sym_comptime_type_expression = 241,
  sym_if_type_expression = 242,
  sym_parenthesized_expression = 243,
  sym_block_label = 244,
  sym_break_label = 245,
  sym_arguments = 246,
  sym_builtin_function = 247,
  sym_string = 248,
  sym_multiline_string = 249,
  sym_character = 250,
  sym_boolean = 251,
  sym_builtin_type = 252,
  sym_error_type = 253,
  sym_identifier = 254,
  aux_sym__container_members_repeat1 = 255,
  aux_sym__variable_declaration_expression_statement_repeat1 = 256,
  aux_sym_parameters_repeat1 = 257,
  aux_sym_block_repeat1 = 258,
  aux_sym_error_set_declaration_repeat1 = 259,
  aux_sym__for_prefix_repeat1 = 260,
  aux_sym_payload_repeat1 = 261,
  aux_sym_asm_output_repeat1 = 262,
  aux_sym_asm_input_repeat1 = 263,
  aux_sym_asm_clobbers_repeat1 = 264,
  aux_sym_switch_expression_repeat1 = 265,
  aux_sym__switch_case_exp_repeat1 = 266,
  aux_sym_slice_type_repeat1 = 267,
  aux_sym_pointer_type_repeat1 = 268,
  aux_sym_call_expression_repeat1 = 269,
  aux_sym_initializer_list_repeat1 = 270,
  aux_sym_string_repeat1 = 271,
  aux_sym_multiline_string_repeat1 = 272,
  alias_sym_function_signature = 273,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym__identifier] = "_identifier",
  [anon_sym_COMMA] = ",",
  [anon_sym_pub] = "pub",
  [anon_sym_test] = "test",
  [anon_sym_comptime] = "comptime",
  [anon_sym_COLON] = ":",
  [anon_sym_EQ] = "=",
  [anon_sym_export] = "export",
  [anon_sym_extern] = "extern",
  [anon_sym_threadlocal] = "threadlocal",
  [anon_sym_SEMI] = ";",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_STAR_PERCENT_EQ] = "*%=",
  [anon_sym_STAR_PIPE_EQ] = "*|=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_PLUS_PERCENT_EQ] = "+%=",
  [anon_sym_PLUS_PIPE_EQ] = "+|=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_DASH_PERCENT_EQ] = "-%=",
  [anon_sym_DASH_PIPE_EQ] = "-|=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_LT_LT_PIPE_EQ] = "<<|=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_const] = "const",
  [anon_sym_var] = "var",
  [anon_sym_inline] = "inline",
  [anon_sym_noinline] = "noinline",
  [anon_sym_fn] = "fn",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_noalias] = "noalias",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_usingnamespace] = "usingnamespace",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_packed] = "packed",
  [anon_sym_struct] = "struct",
  [anon_sym_opaque] = "opaque",
  [anon_sym_enum] = "enum",
  [anon_sym_union] = "union",
  [anon_sym_error] = "error",
  [anon_sym_nosuspend] = "nosuspend",
  [anon_sym_suspend] = "suspend",
  [anon_sym_defer] = "defer",
  [anon_sym_errdefer] = "errdefer",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_for] = "for",
  [anon_sym_DOT_DOT] = "..",
  [anon_sym_while] = "while",
  [anon_sym_PIPE] = "|",
  [anon_sym_STAR] = "*",
  [anon_sym_align] = "align",
  [anon_sym_addrspace] = "addrspace",
  [anon_sym_linksection] = "linksection",
  [anon_sym_callconv] = "callconv",
  [anon_sym_asm] = "asm",
  [anon_sym_volatile] = "volatile",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_DASH] = "-",
  [anon_sym_DASH_PERCENT] = "-%",
  [anon_sym_AMP] = "&",
  [anon_sym_or] = "or",
  [anon_sym_and] = "and",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_LT] = "<",
  [anon_sym_CARET] = "^",
  [anon_sym_orelse] = "orelse",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_LT_LT_PIPE] = "<<|",
  [anon_sym_PLUS] = "+",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_PLUS_PERCENT] = "+%",
  [anon_sym_PLUS_PIPE] = "+|",
  [anon_sym_DASH_PIPE] = "-|",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_STAR_PERCENT] = "*%",
  [anon_sym_STAR_PIPE] = "*|",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_async] = "async",
  [anon_sym_await] = "await",
  [anon_sym_continue] = "continue",
  [anon_sym_resume] = "resume",
  [anon_sym_return] = "return",
  [anon_sym_break] = "break",
  [anon_sym_try] = "try",
  [anon_sym_catch] = "catch",
  [anon_sym_switch] = "switch",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_anyframe] = "anyframe",
  [anon_sym_unreachable] = "unreachable",
  [anon_sym_undefined] = "undefined",
  [anon_sym_null] = "null",
  [anon_sym_QMARK] = "\?",
  [anon_sym_allowzero] = "allowzero",
  [anon_sym_c] = "c",
  [anon_sym_DOT] = ".",
  [anon_sym_DOT_STAR] = ".*",
  [anon_sym_DOT_QMARK] = ".\?",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_token1] = "string_content",
  [aux_sym_multiline_string_token1] = "multiline_string_token1",
  [sym_escape_sequence] = "escape_sequence",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_character_token1] = "character_content",
  [sym_integer] = "integer",
  [sym_float] = "float",
  [anon_sym_true] = "true",
  [anon_sym_false] = "false",
  [anon_sym_bool] = "bool",
  [anon_sym_f16] = "f16",
  [anon_sym_f32] = "f32",
  [anon_sym_f64] = "f64",
  [anon_sym_f128] = "f128",
  [anon_sym_void] = "void",
  [anon_sym_type] = "type",
  [anon_sym_anyerror] = "anyerror",
  [anon_sym_anyopaque] = "anyopaque",
  [anon_sym_anytype] = "anytype",
  [anon_sym_noreturn] = "noreturn",
  [anon_sym_isize] = "isize",
  [anon_sym_usize] = "usize",
  [anon_sym_comptime_int] = "comptime_int",
  [anon_sym_comptime_float] = "comptime_float",
  [anon_sym_c_short] = "c_short",
  [anon_sym_c_ushort] = "c_ushort",
  [anon_sym_c_int] = "c_int",
  [anon_sym_c_uint] = "c_uint",
  [anon_sym_c_long] = "c_long",
  [anon_sym_c_ulong] = "c_ulong",
  [anon_sym_c_longlong] = "c_longlong",
  [anon_sym_c_ulonglong] = "c_ulonglong",
  [anon_sym_c_longdouble] = "c_longdouble",
  [aux_sym_builtin_type_token1] = "builtin_type_token1",
  [sym_builtin_identifier] = "builtin_identifier",
  [anon_sym_AT] = "@",
  [sym_comment] = "comment",
  [sym_source_file] = "source_file",
  [sym__container_members] = "_container_members",
  [sym_test_declaration] = "test_declaration",
  [sym_comptime_declaration] = "comptime_declaration",
  [sym_container_field] = "container_field",
  [sym_variable_declaration] = "variable_declaration",
  [sym__variable_declaration_expression_statement] = "variable_declaration",
  [sym__variable_declaration_header] = "_variable_declaration_header",
  [sym_function_declaration] = "function_declaration",
  [sym__function_prototype] = "_function_prototype",
  [sym_parameters] = "parameters",
  [sym_parameter] = "parameter",
  [sym_using_namespace_declaration] = "using_namespace_declaration",
  [sym_block] = "block",
  [sym_struct_declaration] = "struct_declaration",
  [sym_opaque_declaration] = "opaque_declaration",
  [sym_enum_declaration] = "enum_declaration",
  [sym_union_declaration] = "union_declaration",
  [sym_error_set_declaration] = "error_set_declaration",
  [sym_statement] = "statement",
  [sym_comptime_statement] = "comptime_statement",
  [sym_nosuspend_statement] = "nosuspend_statement",
  [sym_suspend_statement] = "suspend_statement",
  [sym_defer_statement] = "defer_statement",
  [sym_errdefer_statement] = "errdefer_statement",
  [sym__block_expr_statement] = "_block_expr_statement",
  [sym_block_expression] = "block_expression",
  [sym_labeled_statement] = "labeled_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_if_statement] = "if_statement",
  [sym__if_prefix] = "_if_prefix",
  [sym_else_clause] = "else_clause",
  [sym_for_statement] = "for_statement",
  [sym__for_prefix] = "_for_prefix",
  [sym_while_statement] = "while_statement",
  [sym__while_prefix] = "_while_prefix",
  [sym__conditional_body] = "_conditional_body",
  [sym_payload] = "payload",
  [sym_byte_alignment] = "byte_alignment",
  [sym_address_space] = "address_space",
  [sym_link_section] = "link_section",
  [sym_calling_convention] = "calling_convention",
  [sym_expression] = "expression",
  [sym_asm_expression] = "asm_expression",
  [sym_asm_output] = "asm_output",
  [sym_asm_output_item] = "asm_output_item",
  [sym_asm_input] = "asm_input",
  [sym_asm_input_item] = "asm_input_item",
  [sym_asm_clobbers] = "asm_clobbers",
  [sym_if_expression] = "if_expression",
  [sym_for_expression] = "for_expression",
  [sym_while_expression] = "while_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_comptime_expression] = "comptime_expression",
  [sym_async_expression] = "async_expression",
  [sym_await_expression] = "await_expression",
  [sym_nosuspend_expression] = "nosuspend_expression",
  [sym_continue_expression] = "continue_expression",
  [sym_resume_expression] = "resume_expression",
  [sym_return_expression] = "return_expression",
  [sym_break_expression] = "break_expression",
  [sym_try_expression] = "try_expression",
  [sym_catch_expression] = "catch_expression",
  [sym_switch_expression] = "switch_expression",
  [sym_switch_case] = "switch_case",
  [sym__switch_case_exp] = "_switch_case_exp",
  [sym_type_expression] = "type_expression",
  [sym_primary_type_expression] = "primary_type_expression",
  [sym_nullable_type] = "nullable_type",
  [sym_anyframe_type] = "anyframe_type",
  [sym_slice_type] = "slice_type",
  [sym_pointer_type] = "pointer_type",
  [sym_array_type] = "array_type",
  [sym_error_union_type] = "error_union_type",
  [sym_field_expression] = "field_expression",
  [sym_index_expression] = "index_expression",
  [sym_dereference_expression] = "dereference_expression",
  [sym_null_coercion_expression] = "null_coercion_expression",
  [sym_range_expression] = "range_expression",
  [sym_call_expression] = "call_expression",
  [sym_anonymous_struct_initializer] = "anonymous_struct_initializer",
  [sym_struct_initializer] = "struct_initializer",
  [sym_initializer_list] = "initializer_list",
  [sym_field_initializer] = "field_initializer",
  [sym_labeled_type_expression] = "labeled_type_expression",
  [sym_comptime_type_expression] = "comptime_type_expression",
  [sym_if_type_expression] = "if_type_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_block_label] = "block_label",
  [sym_break_label] = "break_label",
  [sym_arguments] = "arguments",
  [sym_builtin_function] = "builtin_function",
  [sym_string] = "string",
  [sym_multiline_string] = "multiline_string",
  [sym_character] = "character",
  [sym_boolean] = "boolean",
  [sym_builtin_type] = "builtin_type",
  [sym_error_type] = "error_type",
  [sym_identifier] = "identifier",
  [aux_sym__container_members_repeat1] = "_container_members_repeat1",
  [aux_sym__variable_declaration_expression_statement_repeat1] = "_variable_declaration_expression_statement_repeat1",
  [aux_sym_parameters_repeat1] = "parameters_repeat1",
  [aux_sym_block_repeat1] = "block_repeat1",
  [aux_sym_error_set_declaration_repeat1] = "error_set_declaration_repeat1",
  [aux_sym__for_prefix_repeat1] = "_for_prefix_repeat1",
  [aux_sym_payload_repeat1] = "payload_repeat1",
  [aux_sym_asm_output_repeat1] = "asm_output_repeat1",
  [aux_sym_asm_input_repeat1] = "asm_input_repeat1",
  [aux_sym_asm_clobbers_repeat1] = "asm_clobbers_repeat1",
  [aux_sym_switch_expression_repeat1] = "switch_expression_repeat1",
  [aux_sym__switch_case_exp_repeat1] = "_switch_case_exp_repeat1",
  [aux_sym_slice_type_repeat1] = "slice_type_repeat1",
  [aux_sym_pointer_type_repeat1] = "pointer_type_repeat1",
  [aux_sym_call_expression_repeat1] = "call_expression_repeat1",
  [aux_sym_initializer_list_repeat1] = "initializer_list_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_multiline_string_repeat1] = "multiline_string_repeat1",
  [alias_sym_function_signature] = "function_signature",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym__identifier] = sym__identifier,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_pub] = anon_sym_pub,
  [anon_sym_test] = anon_sym_test,
  [anon_sym_comptime] = anon_sym_comptime,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_extern] = anon_sym_extern,
  [anon_sym_threadlocal] = anon_sym_threadlocal,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_STAR_PERCENT_EQ] = anon_sym_STAR_PERCENT_EQ,
  [anon_sym_STAR_PIPE_EQ] = anon_sym_STAR_PIPE_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_PLUS_PERCENT_EQ] = anon_sym_PLUS_PERCENT_EQ,
  [anon_sym_PLUS_PIPE_EQ] = anon_sym_PLUS_PIPE_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_DASH_PERCENT_EQ] = anon_sym_DASH_PERCENT_EQ,
  [anon_sym_DASH_PIPE_EQ] = anon_sym_DASH_PIPE_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_LT_LT_PIPE_EQ] = anon_sym_LT_LT_PIPE_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_inline] = anon_sym_inline,
  [anon_sym_noinline] = anon_sym_noinline,
  [anon_sym_fn] = anon_sym_fn,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_noalias] = anon_sym_noalias,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_usingnamespace] = anon_sym_usingnamespace,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_packed] = anon_sym_packed,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_opaque] = anon_sym_opaque,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_union] = anon_sym_union,
  [anon_sym_error] = anon_sym_error,
  [anon_sym_nosuspend] = anon_sym_nosuspend,
  [anon_sym_suspend] = anon_sym_suspend,
  [anon_sym_defer] = anon_sym_defer,
  [anon_sym_errdefer] = anon_sym_errdefer,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_DOT_DOT] = anon_sym_DOT_DOT,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_align] = anon_sym_align,
  [anon_sym_addrspace] = anon_sym_addrspace,
  [anon_sym_linksection] = anon_sym_linksection,
  [anon_sym_callconv] = anon_sym_callconv,
  [anon_sym_asm] = anon_sym_asm,
  [anon_sym_volatile] = anon_sym_volatile,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_DASH_PERCENT] = anon_sym_DASH_PERCENT,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_or] = anon_sym_or,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_orelse] = anon_sym_orelse,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_LT_LT_PIPE] = anon_sym_LT_LT_PIPE,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_PLUS_PERCENT] = anon_sym_PLUS_PERCENT,
  [anon_sym_PLUS_PIPE] = anon_sym_PLUS_PIPE,
  [anon_sym_DASH_PIPE] = anon_sym_DASH_PIPE,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_STAR_PERCENT] = anon_sym_STAR_PERCENT,
  [anon_sym_STAR_PIPE] = anon_sym_STAR_PIPE,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_await] = anon_sym_await,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_resume] = anon_sym_resume,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_anyframe] = anon_sym_anyframe,
  [anon_sym_unreachable] = anon_sym_unreachable,
  [anon_sym_undefined] = anon_sym_undefined,
  [anon_sym_null] = anon_sym_null,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_allowzero] = anon_sym_allowzero,
  [anon_sym_c] = anon_sym_c,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_DOT_STAR] = anon_sym_DOT_STAR,
  [anon_sym_DOT_QMARK] = anon_sym_DOT_QMARK,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_token1] = aux_sym_string_token1,
  [aux_sym_multiline_string_token1] = aux_sym_multiline_string_token1,
  [sym_escape_sequence] = sym_escape_sequence,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_character_token1] = aux_sym_character_token1,
  [sym_integer] = sym_integer,
  [sym_float] = sym_float,
  [anon_sym_true] = anon_sym_true,
  [anon_sym_false] = anon_sym_false,
  [anon_sym_bool] = anon_sym_bool,
  [anon_sym_f16] = anon_sym_f16,
  [anon_sym_f32] = anon_sym_f32,
  [anon_sym_f64] = anon_sym_f64,
  [anon_sym_f128] = anon_sym_f128,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_anyerror] = anon_sym_anyerror,
  [anon_sym_anyopaque] = anon_sym_anyopaque,
  [anon_sym_anytype] = anon_sym_anytype,
  [anon_sym_noreturn] = anon_sym_noreturn,
  [anon_sym_isize] = anon_sym_isize,
  [anon_sym_usize] = anon_sym_usize,
  [anon_sym_comptime_int] = anon_sym_comptime_int,
  [anon_sym_comptime_float] = anon_sym_comptime_float,
  [anon_sym_c_short] = anon_sym_c_short,
  [anon_sym_c_ushort] = anon_sym_c_ushort,
  [anon_sym_c_int] = anon_sym_c_int,
  [anon_sym_c_uint] = anon_sym_c_uint,
  [anon_sym_c_long] = anon_sym_c_long,
  [anon_sym_c_ulong] = anon_sym_c_ulong,
  [anon_sym_c_longlong] = anon_sym_c_longlong,
  [anon_sym_c_ulonglong] = anon_sym_c_ulonglong,
  [anon_sym_c_longdouble] = anon_sym_c_longdouble,
  [aux_sym_builtin_type_token1] = aux_sym_builtin_type_token1,
  [sym_builtin_identifier] = sym_builtin_identifier,
  [anon_sym_AT] = anon_sym_AT,
  [sym_comment] = sym_comment,
  [sym_source_file] = sym_source_file,
  [sym__container_members] = sym__container_members,
  [sym_test_declaration] = sym_test_declaration,
  [sym_comptime_declaration] = sym_comptime_declaration,
  [sym_container_field] = sym_container_field,
  [sym_variable_declaration] = sym_variable_declaration,
  [sym__variable_declaration_expression_statement] = sym_variable_declaration,
  [sym__variable_declaration_header] = sym__variable_declaration_header,
  [sym_function_declaration] = sym_function_declaration,
  [sym__function_prototype] = sym__function_prototype,
  [sym_parameters] = sym_parameters,
  [sym_parameter] = sym_parameter,
  [sym_using_namespace_declaration] = sym_using_namespace_declaration,
  [sym_block] = sym_block,
  [sym_struct_declaration] = sym_struct_declaration,
  [sym_opaque_declaration] = sym_opaque_declaration,
  [sym_enum_declaration] = sym_enum_declaration,
  [sym_union_declaration] = sym_union_declaration,
  [sym_error_set_declaration] = sym_error_set_declaration,
  [sym_statement] = sym_statement,
  [sym_comptime_statement] = sym_comptime_statement,
  [sym_nosuspend_statement] = sym_nosuspend_statement,
  [sym_suspend_statement] = sym_suspend_statement,
  [sym_defer_statement] = sym_defer_statement,
  [sym_errdefer_statement] = sym_errdefer_statement,
  [sym__block_expr_statement] = sym__block_expr_statement,
  [sym_block_expression] = sym_block_expression,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_if_statement] = sym_if_statement,
  [sym__if_prefix] = sym__if_prefix,
  [sym_else_clause] = sym_else_clause,
  [sym_for_statement] = sym_for_statement,
  [sym__for_prefix] = sym__for_prefix,
  [sym_while_statement] = sym_while_statement,
  [sym__while_prefix] = sym__while_prefix,
  [sym__conditional_body] = sym__conditional_body,
  [sym_payload] = sym_payload,
  [sym_byte_alignment] = sym_byte_alignment,
  [sym_address_space] = sym_address_space,
  [sym_link_section] = sym_link_section,
  [sym_calling_convention] = sym_calling_convention,
  [sym_expression] = sym_expression,
  [sym_asm_expression] = sym_asm_expression,
  [sym_asm_output] = sym_asm_output,
  [sym_asm_output_item] = sym_asm_output_item,
  [sym_asm_input] = sym_asm_input,
  [sym_asm_input_item] = sym_asm_input_item,
  [sym_asm_clobbers] = sym_asm_clobbers,
  [sym_if_expression] = sym_if_expression,
  [sym_for_expression] = sym_for_expression,
  [sym_while_expression] = sym_while_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_comptime_expression] = sym_comptime_expression,
  [sym_async_expression] = sym_async_expression,
  [sym_await_expression] = sym_await_expression,
  [sym_nosuspend_expression] = sym_nosuspend_expression,
  [sym_continue_expression] = sym_continue_expression,
  [sym_resume_expression] = sym_resume_expression,
  [sym_return_expression] = sym_return_expression,
  [sym_break_expression] = sym_break_expression,
  [sym_try_expression] = sym_try_expression,
  [sym_catch_expression] = sym_catch_expression,
  [sym_switch_expression] = sym_switch_expression,
  [sym_switch_case] = sym_switch_case,
  [sym__switch_case_exp] = sym__switch_case_exp,
  [sym_type_expression] = sym_type_expression,
  [sym_primary_type_expression] = sym_primary_type_expression,
  [sym_nullable_type] = sym_nullable_type,
  [sym_anyframe_type] = sym_anyframe_type,
  [sym_slice_type] = sym_slice_type,
  [sym_pointer_type] = sym_pointer_type,
  [sym_array_type] = sym_array_type,
  [sym_error_union_type] = sym_error_union_type,
  [sym_field_expression] = sym_field_expression,
  [sym_index_expression] = sym_index_expression,
  [sym_dereference_expression] = sym_dereference_expression,
  [sym_null_coercion_expression] = sym_null_coercion_expression,
  [sym_range_expression] = sym_range_expression,
  [sym_call_expression] = sym_call_expression,
  [sym_anonymous_struct_initializer] = sym_anonymous_struct_initializer,
  [sym_struct_initializer] = sym_struct_initializer,
  [sym_initializer_list] = sym_initializer_list,
  [sym_field_initializer] = sym_field_initializer,
  [sym_labeled_type_expression] = sym_labeled_type_expression,
  [sym_comptime_type_expression] = sym_comptime_type_expression,
  [sym_if_type_expression] = sym_if_type_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_block_label] = sym_block_label,
  [sym_break_label] = sym_break_label,
  [sym_arguments] = sym_arguments,
  [sym_builtin_function] = sym_builtin_function,
  [sym_string] = sym_string,
  [sym_multiline_string] = sym_multiline_string,
  [sym_character] = sym_character,
  [sym_boolean] = sym_boolean,
  [sym_builtin_type] = sym_builtin_type,
  [sym_error_type] = sym_error_type,
  [sym_identifier] = sym_identifier,
  [aux_sym__container_members_repeat1] = aux_sym__container_members_repeat1,
  [aux_sym__variable_declaration_expression_statement_repeat1] = aux_sym__variable_declaration_expression_statement_repeat1,
  [aux_sym_parameters_repeat1] = aux_sym_parameters_repeat1,
  [aux_sym_block_repeat1] = aux_sym_block_repeat1,
  [aux_sym_error_set_declaration_repeat1] = aux_sym_error_set_declaration_repeat1,
  [aux_sym__for_prefix_repeat1] = aux_sym__for_prefix_repeat1,
  [aux_sym_payload_repeat1] = aux_sym_payload_repeat1,
  [aux_sym_asm_output_repeat1] = aux_sym_asm_output_repeat1,
  [aux_sym_asm_input_repeat1] = aux_sym_asm_input_repeat1,
  [aux_sym_asm_clobbers_repeat1] = aux_sym_asm_clobbers_repeat1,
  [aux_sym_switch_expression_repeat1] = aux_sym_switch_expression_repeat1,
  [aux_sym__switch_case_exp_repeat1] = aux_sym__switch_case_exp_repeat1,
  [aux_sym_slice_type_repeat1] = aux_sym_slice_type_repeat1,
  [aux_sym_pointer_type_repeat1] = aux_sym_pointer_type_repeat1,
  [aux_sym_call_expression_repeat1] = aux_sym_call_expression_repeat1,
  [aux_sym_initializer_list_repeat1] = aux_sym_initializer_list_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_multiline_string_repeat1] = aux_sym_multiline_string_repeat1,
  [alias_sym_function_signature] = alias_sym_function_signature,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym__identifier] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_pub] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_test] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_comptime] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extern] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_threadlocal] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_noinline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_noalias] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_usingnamespace] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_packed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_opaque] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_union] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_error] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nosuspend] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_suspend] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_errdefer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_align] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_addrspace] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_linksection] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_callconv] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_asm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_volatile] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_orelse] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_resume] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_anyframe] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unreachable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_undefined] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_null] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_allowzero] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_c] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token1] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_multiline_string_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_character_token1] = {
    .visible = true,
    .named = true,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bool] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_f16] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_f32] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_f64] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_f128] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_anyerror] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_anyopaque] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_anytype] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_noreturn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_isize] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_usize] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_comptime_int] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_comptime_float] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_c_short] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_c_ushort] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_c_int] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_c_uint] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_c_long] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_c_ulong] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_c_longlong] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_c_ulonglong] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_c_longdouble] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_builtin_type_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_builtin_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_source_file] = {
    .visible = true,
    .named = true,
  },
  [sym__container_members] = {
    .visible = false,
    .named = true,
  },
  [sym_test_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_comptime_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_container_field] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__variable_declaration_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__variable_declaration_header] = {
    .visible = false,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__function_prototype] = {
    .visible = false,
    .named = true,
  },
  [sym_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_using_namespace_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_opaque_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_union_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_error_set_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_comptime_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_nosuspend_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_suspend_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_defer_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_errdefer_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__block_expr_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_block_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__if_prefix] = {
    .visible = false,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_prefix] = {
    .visible = false,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__while_prefix] = {
    .visible = false,
    .named = true,
  },
  [sym__conditional_body] = {
    .visible = false,
    .named = true,
  },
  [sym_payload] = {
    .visible = true,
    .named = true,
  },
  [sym_byte_alignment] = {
    .visible = true,
    .named = true,
  },
  [sym_address_space] = {
    .visible = true,
    .named = true,
  },
  [sym_link_section] = {
    .visible = true,
    .named = true,
  },
  [sym_calling_convention] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_asm_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_asm_output] = {
    .visible = true,
    .named = true,
  },
  [sym_asm_output_item] = {
    .visible = true,
    .named = true,
  },
  [sym_asm_input] = {
    .visible = true,
    .named = true,
  },
  [sym_asm_input_item] = {
    .visible = true,
    .named = true,
  },
  [sym_asm_clobbers] = {
    .visible = true,
    .named = true,
  },
  [sym_if_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_for_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_while_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_comptime_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_async_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_nosuspend_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_resume_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_return_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_break_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_try_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_case] = {
    .visible = true,
    .named = true,
  },
  [sym__switch_case_exp] = {
    .visible = false,
    .named = true,
  },
  [sym_type_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_primary_type_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_nullable_type] = {
    .visible = true,
    .named = true,
  },
  [sym_anyframe_type] = {
    .visible = true,
    .named = true,
  },
  [sym_slice_type] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_type] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_error_union_type] = {
    .visible = true,
    .named = true,
  },
  [sym_field_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_index_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_dereference_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_null_coercion_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_range_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_struct_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_type_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_comptime_type_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_if_type_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_block_label] = {
    .visible = true,
    .named = true,
  },
  [sym_break_label] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_builtin_function] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_multiline_string] = {
    .visible = true,
    .named = true,
  },
  [sym_character] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean] = {
    .visible = true,
    .named = true,
  },
  [sym_builtin_type] = {
    .visible = true,
    .named = true,
  },
  [sym_error_type] = {
    .visible = true,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__container_members_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__variable_declaration_expression_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_error_set_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__for_prefix_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_payload_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_asm_output_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_asm_input_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_asm_clobbers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__switch_case_exp_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_slice_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pointer_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_call_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializer_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_multiline_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_function_signature] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alternative = 1,
  field_argument = 2,
  field_body = 3,
  field_condition = 4,
  field_error = 5,
  field_function = 6,
  field_index = 7,
  field_left = 8,
  field_member = 9,
  field_name = 10,
  field_object = 11,
  field_ok = 12,
  field_operator = 13,
  field_right = 14,
  field_sentinel = 15,
  field_type = 16,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_body] = "body",
  [field_condition] = "condition",
  [field_error] = "error",
  [field_function] = "function",
  [field_index] = "index",
  [field_left] = "left",
  [field_member] = "member",
  [field_name] = "name",
  [field_object] = "object",
  [field_ok] = "ok",
  [field_operator] = "operator",
  [field_right] = "right",
  [field_sentinel] = "sentinel",
  [field_type] = "type",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 2},
  [2] = {.index = 2, .length = 1},
  [3] = {.index = 3, .length = 1},
  [4] = {.index = 4, .length = 1},
  [5] = {.index = 5, .length = 2},
  [6] = {.index = 7, .length = 1},
  [7] = {.index = 8, .length = 1},
  [8] = {.index = 0, .length = 2},
  [9] = {.index = 9, .length = 3},
  [10] = {.index = 12, .length = 1},
  [11] = {.index = 13, .length = 1},
  [13] = {.index = 14, .length = 1},
  [14] = {.index = 15, .length = 2},
  [15] = {.index = 17, .length = 3},
  [16] = {.index = 20, .length = 1},
  [17] = {.index = 21, .length = 1},
  [18] = {.index = 22, .length = 1},
  [19] = {.index = 23, .length = 1},
  [20] = {.index = 24, .length = 2},
  [21] = {.index = 26, .length = 1},
  [22] = {.index = 27, .length = 2},
  [23] = {.index = 29, .length = 3},
  [24] = {.index = 32, .length = 1},
  [25] = {.index = 33, .length = 2},
  [26] = {.index = 35, .length = 2},
  [27] = {.index = 37, .length = 2},
  [28] = {.index = 27, .length = 2},
  [29] = {.index = 39, .length = 1},
  [30] = {.index = 40, .length = 2},
  [31] = {.index = 42, .length = 3},
  [32] = {.index = 45, .length = 2},
  [33] = {.index = 45, .length = 2},
  [34] = {.index = 47, .length = 1},
  [35] = {.index = 48, .length = 1},
  [36] = {.index = 49, .length = 1},
  [37] = {.index = 50, .length = 2},
  [38] = {.index = 52, .length = 2},
  [39] = {.index = 54, .length = 1},
  [40] = {.index = 55, .length = 2},
  [41] = {.index = 57, .length = 1},
  [42] = {.index = 58, .length = 1},
  [43] = {.index = 59, .length = 2},
  [44] = {.index = 61, .length = 3},
  [45] = {.index = 64, .length = 1},
  [46] = {.index = 65, .length = 2},
  [47] = {.index = 67, .length = 1},
  [48] = {.index = 68, .length = 1},
  [49] = {.index = 69, .length = 1},
  [50] = {.index = 70, .length = 1},
  [51] = {.index = 71, .length = 2},
  [52] = {.index = 73, .length = 1},
  [53] = {.index = 74, .length = 3},
  [54] = {.index = 77, .length = 1},
  [55] = {.index = 78, .length = 2},
  [56] = {.index = 80, .length = 2},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_name, 0, .inherited = true},
    {field_type, 0, .inherited = true},
  [2] =
    {field_name, 0},
  [3] =
    {field_name, 1},
  [4] =
    {field_type, 0, .inherited = true},
  [5] =
    {field_argument, 1},
    {field_operator, 0},
  [7] =
    {field_ok, 1},
  [8] =
    {field_member, 1},
  [9] =
    {field_body, 1},
    {field_name, 0, .inherited = true},
    {field_type, 0, .inherited = true},
  [12] =
    {field_condition, 0, .inherited = true},
  [13] =
    {field_left, 0},
  [14] =
    {field_type, 1, .inherited = true},
  [15] =
    {field_name, 1, .inherited = true},
    {field_type, 1, .inherited = true},
  [17] =
    {field_body, 2},
    {field_name, 1, .inherited = true},
    {field_type, 1, .inherited = true},
  [20] =
    {field_condition, 1, .inherited = true},
  [21] =
    {field_type, 0},
  [22] =
    {field_type, 2},
  [23] =
    {field_body, 0},
  [24] =
    {field_body, 1, .inherited = true},
    {field_condition, 0, .inherited = true},
  [26] =
    {field_body, 1, .inherited = true},
  [27] =
    {field_name, 0},
    {field_type, 2},
  [29] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [32] =
    {field_function, 0},
  [33] =
    {field_left, 0},
    {field_right, 2},
  [35] =
    {field_member, 2},
    {field_object, 0},
  [37] =
    {field_error, 0},
    {field_ok, 2},
  [39] =
    {field_type, 2, .inherited = true},
  [40] =
    {field_name, 2, .inherited = true},
    {field_type, 2, .inherited = true},
  [42] =
    {field_body, 3},
    {field_name, 2, .inherited = true},
    {field_type, 2, .inherited = true},
  [45] =
    {field_name, 1},
    {field_type, 3},
  [47] =
    {field_type, 3},
  [48] =
    {field_type, 1},
  [49] =
    {field_body, 2, .inherited = true},
  [50] =
    {field_body, 2, .inherited = true},
    {field_condition, 1, .inherited = true},
  [52] =
    {field_type, 0, .inherited = true},
    {field_type, 1, .inherited = true},
  [54] =
    {field_condition, 2},
  [55] =
    {field_index, 2},
    {field_object, 0},
  [57] =
    {field_condition, 2, .inherited = true},
  [58] =
    {field_type, 3, .inherited = true},
  [59] =
    {field_name, 3, .inherited = true},
    {field_type, 3, .inherited = true},
  [61] =
    {field_body, 4},
    {field_name, 3, .inherited = true},
    {field_type, 3, .inherited = true},
  [64] =
    {field_type, 4},
  [65] =
    {field_name, 1},
    {field_type, 4},
  [67] =
    {field_alternative, 1},
  [68] =
    {field_sentinel, 2},
  [69] =
    {field_type, 4, .inherited = true},
  [70] =
    {field_type, 5},
  [71] =
    {field_name, 1},
    {field_type, 5},
  [73] =
    {field_alternative, 2},
  [74] =
    {field_index, 2},
    {field_object, 0},
    {field_sentinel, 4},
  [77] =
    {field_type, 6},
  [78] =
    {field_name, 1},
    {field_type, 6},
  [80] =
    {field_name, 1},
    {field_type, 7},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = alias_sym_function_signature,
  },
  [12] = {
    [0] = sym_identifier,
  },
  [28] = {
    [0] = sym_identifier,
  },
  [33] = {
    [1] = sym_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym__function_prototype, 2,
    sym__function_prototype,
    alias_sym_function_signature,
  sym_builtin_type, 2,
    sym_builtin_type,
    sym_identifier,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 2,
  [9] = 3,
  [10] = 7,
  [11] = 5,
  [12] = 6,
  [13] = 2,
  [14] = 3,
  [15] = 3,
  [16] = 2,
  [17] = 3,
  [18] = 2,
  [19] = 2,
  [20] = 3,
  [21] = 7,
  [22] = 6,
  [23] = 5,
  [24] = 6,
  [25] = 4,
  [26] = 7,
  [27] = 5,
  [28] = 6,
  [29] = 4,
  [30] = 7,
  [31] = 5,
  [32] = 6,
  [33] = 7,
  [34] = 5,
  [35] = 35,
  [36] = 36,
  [37] = 37,
  [38] = 38,
  [39] = 39,
  [40] = 40,
  [41] = 41,
  [42] = 42,
  [43] = 43,
  [44] = 44,
  [45] = 38,
  [46] = 46,
  [47] = 38,
  [48] = 48,
  [49] = 49,
  [50] = 43,
  [51] = 51,
  [52] = 52,
  [53] = 43,
  [54] = 54,
  [55] = 55,
  [56] = 56,
  [57] = 57,
  [58] = 58,
  [59] = 59,
  [60] = 60,
  [61] = 61,
  [62] = 55,
  [63] = 63,
  [64] = 64,
  [65] = 65,
  [66] = 66,
  [67] = 67,
  [68] = 68,
  [69] = 69,
  [70] = 70,
  [71] = 71,
  [72] = 68,
  [73] = 69,
  [74] = 70,
  [75] = 63,
  [76] = 64,
  [77] = 65,
  [78] = 66,
  [79] = 67,
  [80] = 56,
  [81] = 57,
  [82] = 58,
  [83] = 59,
  [84] = 60,
  [85] = 61,
  [86] = 71,
  [87] = 87,
  [88] = 88,
  [89] = 89,
  [90] = 90,
  [91] = 91,
  [92] = 92,
  [93] = 93,
  [94] = 94,
  [95] = 95,
  [96] = 95,
  [97] = 97,
  [98] = 98,
  [99] = 98,
  [100] = 97,
  [101] = 95,
  [102] = 98,
  [103] = 98,
  [104] = 95,
  [105] = 97,
  [106] = 106,
  [107] = 107,
  [108] = 108,
  [109] = 109,
  [110] = 108,
  [111] = 111,
  [112] = 112,
  [113] = 107,
  [114] = 111,
  [115] = 107,
  [116] = 112,
  [117] = 109,
  [118] = 106,
  [119] = 111,
  [120] = 106,
  [121] = 109,
  [122] = 109,
  [123] = 108,
  [124] = 111,
  [125] = 112,
  [126] = 126,
  [127] = 127,
  [128] = 128,
  [129] = 129,
  [130] = 126,
  [131] = 131,
  [132] = 132,
  [133] = 133,
  [134] = 134,
  [135] = 132,
  [136] = 133,
  [137] = 137,
  [138] = 128,
  [139] = 126,
  [140] = 129,
  [141] = 137,
  [142] = 142,
  [143] = 143,
  [144] = 144,
  [145] = 145,
  [146] = 144,
  [147] = 144,
  [148] = 131,
  [149] = 128,
  [150] = 129,
  [151] = 131,
  [152] = 132,
  [153] = 133,
  [154] = 137,
  [155] = 155,
  [156] = 156,
  [157] = 157,
  [158] = 158,
  [159] = 159,
  [160] = 156,
  [161] = 158,
  [162] = 155,
  [163] = 163,
  [164] = 164,
  [165] = 164,
  [166] = 155,
  [167] = 156,
  [168] = 168,
  [169] = 158,
  [170] = 158,
  [171] = 156,
  [172] = 155,
  [173] = 164,
  [174] = 164,
  [175] = 175,
  [176] = 176,
  [177] = 177,
  [178] = 178,
  [179] = 179,
  [180] = 180,
  [181] = 181,
  [182] = 178,
  [183] = 183,
  [184] = 181,
  [185] = 185,
  [186] = 186,
  [187] = 187,
  [188] = 186,
  [189] = 179,
  [190] = 180,
  [191] = 178,
  [192] = 183,
  [193] = 186,
  [194] = 187,
  [195] = 183,
  [196] = 196,
  [197] = 197,
  [198] = 198,
  [199] = 199,
  [200] = 196,
  [201] = 197,
  [202] = 186,
  [203] = 198,
  [204] = 179,
  [205] = 180,
  [206] = 178,
  [207] = 179,
  [208] = 181,
  [209] = 183,
  [210] = 199,
  [211] = 180,
  [212] = 181,
  [213] = 213,
  [214] = 214,
  [215] = 215,
  [216] = 216,
  [217] = 217,
  [218] = 218,
  [219] = 219,
  [220] = 220,
  [221] = 221,
  [222] = 222,
  [223] = 215,
  [224] = 224,
  [225] = 225,
  [226] = 217,
  [227] = 227,
  [228] = 224,
  [229] = 229,
  [230] = 230,
  [231] = 231,
  [232] = 232,
  [233] = 233,
  [234] = 234,
  [235] = 235,
  [236] = 225,
  [237] = 237,
  [238] = 238,
  [239] = 239,
  [240] = 235,
  [241] = 241,
  [242] = 242,
  [243] = 235,
  [244] = 244,
  [245] = 245,
  [246] = 246,
  [247] = 221,
  [248] = 248,
  [249] = 242,
  [250] = 231,
  [251] = 239,
  [252] = 246,
  [253] = 253,
  [254] = 229,
  [255] = 255,
  [256] = 245,
  [257] = 230,
  [258] = 242,
  [259] = 227,
  [260] = 224,
  [261] = 229,
  [262] = 262,
  [263] = 227,
  [264] = 229,
  [265] = 230,
  [266] = 235,
  [267] = 231,
  [268] = 268,
  [269] = 255,
  [270] = 230,
  [271] = 271,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 215,
  [276] = 276,
  [277] = 239,
  [278] = 217,
  [279] = 279,
  [280] = 227,
  [281] = 224,
  [282] = 229,
  [283] = 230,
  [284] = 246,
  [285] = 232,
  [286] = 286,
  [287] = 227,
  [288] = 225,
  [289] = 235,
  [290] = 255,
  [291] = 242,
  [292] = 245,
  [293] = 293,
  [294] = 245,
  [295] = 231,
  [296] = 239,
  [297] = 297,
  [298] = 246,
  [299] = 255,
  [300] = 300,
  [301] = 301,
  [302] = 232,
  [303] = 215,
  [304] = 227,
  [305] = 224,
  [306] = 229,
  [307] = 230,
  [308] = 235,
  [309] = 231,
  [310] = 224,
  [311] = 297,
  [312] = 297,
  [313] = 215,
  [314] = 232,
  [315] = 315,
  [316] = 225,
  [317] = 317,
  [318] = 318,
  [319] = 315,
  [320] = 320,
  [321] = 321,
  [322] = 215,
  [323] = 323,
  [324] = 315,
  [325] = 217,
  [326] = 326,
  [327] = 327,
  [328] = 231,
  [329] = 329,
  [330] = 330,
  [331] = 331,
  [332] = 332,
  [333] = 333,
  [334] = 332,
  [335] = 335,
  [336] = 336,
  [337] = 337,
  [338] = 338,
  [339] = 339,
  [340] = 329,
  [341] = 341,
  [342] = 330,
  [343] = 343,
  [344] = 343,
  [345] = 345,
  [346] = 331,
  [347] = 347,
  [348] = 348,
  [349] = 347,
  [350] = 350,
  [351] = 336,
  [352] = 352,
  [353] = 337,
  [354] = 354,
  [355] = 355,
  [356] = 356,
  [357] = 357,
  [358] = 358,
  [359] = 359,
  [360] = 360,
  [361] = 361,
  [362] = 362,
  [363] = 363,
  [364] = 364,
  [365] = 365,
  [366] = 366,
  [367] = 367,
  [368] = 368,
  [369] = 369,
  [370] = 370,
  [371] = 371,
  [372] = 372,
  [373] = 373,
  [374] = 374,
  [375] = 375,
  [376] = 376,
  [377] = 377,
  [378] = 378,
  [379] = 379,
  [380] = 380,
  [381] = 381,
  [382] = 382,
  [383] = 383,
  [384] = 384,
  [385] = 385,
  [386] = 386,
  [387] = 387,
  [388] = 388,
  [389] = 389,
  [390] = 390,
  [391] = 391,
  [392] = 392,
  [393] = 393,
  [394] = 394,
  [395] = 395,
  [396] = 396,
  [397] = 397,
  [398] = 398,
  [399] = 399,
  [400] = 400,
  [401] = 401,
  [402] = 402,
  [403] = 403,
  [404] = 404,
  [405] = 405,
  [406] = 406,
  [407] = 407,
  [408] = 408,
  [409] = 409,
  [410] = 410,
  [411] = 411,
  [412] = 412,
  [413] = 413,
  [414] = 414,
  [415] = 415,
  [416] = 416,
  [417] = 417,
  [418] = 418,
  [419] = 419,
  [420] = 420,
  [421] = 421,
  [422] = 422,
  [423] = 423,
  [424] = 424,
  [425] = 425,
  [426] = 426,
  [427] = 427,
  [428] = 428,
  [429] = 429,
  [430] = 430,
  [431] = 431,
  [432] = 432,
  [433] = 432,
  [434] = 434,
  [435] = 435,
  [436] = 436,
  [437] = 437,
  [438] = 372,
  [439] = 389,
  [440] = 390,
  [441] = 392,
  [442] = 393,
  [443] = 443,
  [444] = 444,
  [445] = 444,
  [446] = 446,
  [447] = 447,
  [448] = 448,
  [449] = 449,
  [450] = 450,
  [451] = 451,
  [452] = 452,
  [453] = 453,
  [454] = 454,
  [455] = 455,
  [456] = 434,
  [457] = 356,
  [458] = 357,
  [459] = 359,
  [460] = 362,
  [461] = 363,
  [462] = 370,
  [463] = 463,
  [464] = 446,
  [465] = 378,
  [466] = 379,
  [467] = 380,
  [468] = 388,
  [469] = 447,
  [470] = 448,
  [471] = 471,
  [472] = 449,
  [473] = 450,
  [474] = 451,
  [475] = 452,
  [476] = 453,
  [477] = 395,
  [478] = 398,
  [479] = 399,
  [480] = 454,
  [481] = 411,
  [482] = 482,
  [483] = 355,
  [484] = 409,
  [485] = 417,
  [486] = 420,
  [487] = 426,
  [488] = 432,
  [489] = 434,
  [490] = 490,
  [491] = 435,
  [492] = 436,
  [493] = 437,
  [494] = 372,
  [495] = 389,
  [496] = 390,
  [497] = 392,
  [498] = 393,
  [499] = 444,
  [500] = 446,
  [501] = 447,
  [502] = 448,
  [503] = 449,
  [504] = 450,
  [505] = 451,
  [506] = 452,
  [507] = 453,
  [508] = 454,
  [509] = 455,
  [510] = 510,
  [511] = 356,
  [512] = 357,
  [513] = 359,
  [514] = 362,
  [515] = 363,
  [516] = 370,
  [517] = 517,
  [518] = 518,
  [519] = 519,
  [520] = 520,
  [521] = 378,
  [522] = 379,
  [523] = 380,
  [524] = 524,
  [525] = 388,
  [526] = 526,
  [527] = 527,
  [528] = 395,
  [529] = 398,
  [530] = 399,
  [531] = 411,
  [532] = 432,
  [533] = 434,
  [534] = 436,
  [535] = 437,
  [536] = 389,
  [537] = 390,
  [538] = 392,
  [539] = 393,
  [540] = 446,
  [541] = 447,
  [542] = 448,
  [543] = 449,
  [544] = 450,
  [545] = 451,
  [546] = 452,
  [547] = 453,
  [548] = 455,
  [549] = 435,
  [550] = 357,
  [551] = 436,
  [552] = 359,
  [553] = 362,
  [554] = 363,
  [555] = 370,
  [556] = 437,
  [557] = 378,
  [558] = 380,
  [559] = 388,
  [560] = 398,
  [561] = 399,
  [562] = 411,
  [563] = 355,
  [564] = 409,
  [565] = 417,
  [566] = 420,
  [567] = 426,
  [568] = 432,
  [569] = 434,
  [570] = 435,
  [571] = 436,
  [572] = 437,
  [573] = 372,
  [574] = 389,
  [575] = 390,
  [576] = 392,
  [577] = 393,
  [578] = 446,
  [579] = 447,
  [580] = 448,
  [581] = 449,
  [582] = 450,
  [583] = 451,
  [584] = 452,
  [585] = 453,
  [586] = 455,
  [587] = 357,
  [588] = 359,
  [589] = 362,
  [590] = 363,
  [591] = 370,
  [592] = 592,
  [593] = 378,
  [594] = 379,
  [595] = 380,
  [596] = 388,
  [597] = 398,
  [598] = 598,
  [599] = 399,
  [600] = 411,
  [601] = 355,
  [602] = 409,
  [603] = 417,
  [604] = 420,
  [605] = 426,
  [606] = 432,
  [607] = 434,
  [608] = 435,
  [609] = 436,
  [610] = 437,
  [611] = 372,
  [612] = 389,
  [613] = 390,
  [614] = 392,
  [615] = 393,
  [616] = 616,
  [617] = 446,
  [618] = 447,
  [619] = 448,
  [620] = 449,
  [621] = 450,
  [622] = 451,
  [623] = 452,
  [624] = 453,
  [625] = 455,
  [626] = 357,
  [627] = 359,
  [628] = 362,
  [629] = 363,
  [630] = 370,
  [631] = 378,
  [632] = 379,
  [633] = 380,
  [634] = 388,
  [635] = 398,
  [636] = 399,
  [637] = 411,
  [638] = 355,
  [639] = 409,
  [640] = 417,
  [641] = 420,
  [642] = 426,
  [643] = 435,
  [644] = 372,
  [645] = 379,
  [646] = 355,
  [647] = 409,
  [648] = 417,
  [649] = 420,
  [650] = 426,
  [651] = 409,
  [652] = 409,
  [653] = 616,
  [654] = 422,
  [655] = 424,
  [656] = 471,
  [657] = 657,
  [658] = 658,
  [659] = 659,
  [660] = 660,
  [661] = 490,
  [662] = 381,
  [663] = 659,
  [664] = 660,
  [665] = 424,
  [666] = 660,
  [667] = 490,
  [668] = 443,
  [669] = 364,
  [670] = 404,
  [671] = 405,
  [672] = 408,
  [673] = 519,
  [674] = 520,
  [675] = 524,
  [676] = 376,
  [677] = 387,
  [678] = 455,
  [679] = 679,
  [680] = 680,
  [681] = 681,
  [682] = 682,
  [683] = 683,
  [684] = 684,
  [685] = 685,
  [686] = 248,
  [687] = 175,
  [688] = 177,
  [689] = 272,
  [690] = 253,
  [691] = 691,
  [692] = 692,
  [693] = 693,
  [694] = 694,
  [695] = 695,
  [696] = 696,
  [697] = 697,
  [698] = 698,
  [699] = 699,
  [700] = 700,
  [701] = 701,
  [702] = 702,
  [703] = 703,
  [704] = 704,
  [705] = 705,
  [706] = 706,
  [707] = 707,
  [708] = 708,
  [709] = 709,
  [710] = 710,
  [711] = 711,
  [712] = 712,
  [713] = 713,
  [714] = 714,
  [715] = 715,
  [716] = 716,
  [717] = 717,
  [718] = 718,
  [719] = 719,
  [720] = 720,
  [721] = 721,
  [722] = 722,
  [723] = 723,
  [724] = 724,
  [725] = 725,
  [726] = 726,
  [727] = 727,
  [728] = 728,
  [729] = 729,
  [730] = 730,
  [731] = 731,
  [732] = 732,
  [733] = 733,
  [734] = 734,
  [735] = 735,
  [736] = 736,
  [737] = 94,
  [738] = 738,
  [739] = 739,
  [740] = 740,
  [741] = 93,
  [742] = 742,
  [743] = 743,
  [744] = 744,
  [745] = 745,
  [746] = 746,
  [747] = 747,
  [748] = 748,
  [749] = 749,
  [750] = 750,
  [751] = 751,
  [752] = 752,
  [753] = 753,
  [754] = 754,
  [755] = 755,
  [756] = 756,
  [757] = 757,
  [758] = 758,
  [759] = 759,
  [760] = 760,
  [761] = 761,
  [762] = 762,
  [763] = 763,
  [764] = 764,
  [765] = 765,
  [766] = 766,
  [767] = 767,
  [768] = 768,
  [769] = 769,
  [770] = 770,
  [771] = 771,
  [772] = 772,
  [773] = 773,
  [774] = 774,
  [775] = 775,
  [776] = 776,
  [777] = 777,
  [778] = 778,
  [779] = 779,
  [780] = 780,
  [781] = 781,
  [782] = 782,
  [783] = 783,
  [784] = 784,
  [785] = 785,
  [786] = 786,
  [787] = 787,
  [788] = 788,
  [789] = 789,
  [790] = 790,
  [791] = 791,
  [792] = 792,
  [793] = 793,
  [794] = 794,
  [795] = 795,
  [796] = 796,
  [797] = 797,
  [798] = 797,
  [799] = 799,
  [800] = 800,
  [801] = 801,
  [802] = 802,
  [803] = 803,
  [804] = 804,
  [805] = 805,
  [806] = 806,
  [807] = 807,
  [808] = 808,
  [809] = 809,
  [810] = 810,
  [811] = 811,
  [812] = 812,
  [813] = 813,
  [814] = 814,
  [815] = 815,
  [816] = 816,
  [817] = 817,
  [818] = 818,
  [819] = 819,
  [820] = 820,
  [821] = 821,
  [822] = 822,
  [823] = 823,
  [824] = 824,
  [825] = 825,
  [826] = 826,
  [827] = 827,
  [828] = 828,
  [829] = 829,
  [830] = 830,
  [831] = 831,
  [832] = 832,
  [833] = 833,
  [834] = 834,
  [835] = 835,
  [836] = 836,
  [837] = 837,
  [838] = 838,
  [839] = 839,
  [840] = 840,
  [841] = 841,
  [842] = 842,
  [843] = 843,
  [844] = 844,
  [845] = 845,
  [846] = 846,
  [847] = 847,
  [848] = 848,
  [849] = 849,
  [850] = 850,
  [851] = 851,
  [852] = 852,
  [853] = 853,
  [854] = 854,
  [855] = 855,
  [856] = 856,
  [857] = 857,
  [858] = 858,
  [859] = 859,
  [860] = 860,
  [861] = 861,
  [862] = 862,
  [863] = 863,
  [864] = 864,
  [865] = 865,
  [866] = 866,
  [867] = 867,
  [868] = 868,
  [869] = 869,
  [870] = 870,
  [871] = 871,
  [872] = 872,
  [873] = 873,
  [874] = 874,
  [875] = 875,
  [876] = 876,
  [877] = 877,
  [878] = 878,
  [879] = 879,
  [880] = 880,
  [881] = 881,
  [882] = 882,
  [883] = 883,
  [884] = 884,
  [885] = 885,
  [886] = 886,
  [887] = 887,
  [888] = 888,
  [889] = 889,
  [890] = 890,
  [891] = 891,
  [892] = 892,
  [893] = 893,
  [894] = 894,
  [895] = 895,
  [896] = 896,
  [897] = 897,
  [898] = 898,
  [899] = 899,
  [900] = 900,
  [901] = 901,
  [902] = 902,
  [903] = 903,
  [904] = 904,
  [905] = 905,
  [906] = 906,
  [907] = 907,
  [908] = 908,
  [909] = 909,
  [910] = 910,
  [911] = 911,
  [912] = 912,
  [913] = 913,
  [914] = 914,
  [915] = 915,
  [916] = 916,
  [917] = 917,
  [918] = 918,
  [919] = 919,
  [920] = 920,
  [921] = 921,
  [922] = 922,
  [923] = 923,
  [924] = 924,
  [925] = 925,
  [926] = 926,
  [927] = 927,
  [928] = 928,
  [929] = 929,
  [930] = 930,
  [931] = 931,
  [932] = 932,
  [933] = 933,
  [934] = 934,
  [935] = 935,
  [936] = 936,
  [937] = 937,
  [938] = 938,
  [939] = 939,
  [940] = 940,
  [941] = 941,
  [942] = 914,
  [943] = 943,
  [944] = 884,
  [945] = 926,
  [946] = 882,
  [947] = 869,
  [948] = 937,
  [949] = 890,
  [950] = 796,
  [951] = 951,
  [952] = 881,
  [953] = 940,
  [954] = 954,
  [955] = 927,
  [956] = 887,
  [957] = 928,
  [958] = 931,
  [959] = 897,
  [960] = 921,
  [961] = 932,
  [962] = 930,
  [963] = 872,
  [964] = 964,
  [965] = 886,
  [966] = 905,
  [967] = 891,
  [968] = 876,
  [969] = 875,
  [970] = 878,
  [971] = 929,
  [972] = 972,
  [973] = 795,
  [974] = 868,
  [975] = 883,
  [976] = 908,
  [977] = 867,
  [978] = 978,
  [979] = 979,
  [980] = 939,
  [981] = 936,
  [982] = 933,
  [983] = 893,
  [984] = 871,
  [985] = 922,
  [986] = 880,
  [987] = 923,
  [988] = 988,
  [989] = 885,
  [990] = 924,
  [991] = 934,
  [992] = 895,
  [993] = 879,
  [994] = 925,
  [995] = 896,
  [996] = 870,
  [997] = 797,
  [998] = 998,
  [999] = 813,
  [1000] = 1000,
  [1001] = 826,
  [1002] = 1002,
  [1003] = 1003,
  [1004] = 1004,
  [1005] = 1005,
  [1006] = 1006,
  [1007] = 862,
  [1008] = 862,
  [1009] = 852,
  [1010] = 797,
  [1011] = 1011,
  [1012] = 821,
  [1013] = 820,
  [1014] = 854,
  [1015] = 860,
  [1016] = 848,
  [1017] = 849,
  [1018] = 916,
  [1019] = 920,
  [1020] = 906,
  [1021] = 864,
  [1022] = 845,
  [1023] = 808,
  [1024] = 815,
  [1025] = 913,
  [1026] = 889,
  [1027] = 853,
  [1028] = 917,
  [1029] = 843,
  [1030] = 803,
  [1031] = 833,
  [1032] = 834,
  [1033] = 866,
  [1034] = 837,
  [1035] = 838,
  [1036] = 842,
  [1037] = 910,
  [1038] = 911,
  [1039] = 912,
  [1040] = 850,
  [1041] = 851,
  [1042] = 859,
  [1043] = 839,
  [1044] = 799,
  [1045] = 825,
  [1046] = 800,
  [1047] = 801,
  [1048] = 805,
  [1049] = 806,
  [1050] = 818,
  [1051] = 804,
  [1052] = 902,
  [1053] = 903,
  [1054] = 817,
  [1055] = 823,
  [1056] = 841,
  [1057] = 822,
  [1058] = 824,
  [1059] = 844,
  [1060] = 847,
  [1061] = 898,
  [1062] = 899,
  [1063] = 901,
  [1064] = 142,
  [1065] = 858,
  [1066] = 861,
  [1067] = 827,
  [1068] = 835,
  [1069] = 840,
  [1070] = 819,
  [1071] = 828,
  [1072] = 830,
  [1073] = 836,
  [1074] = 919,
  [1075] = 145,
  [1076] = 809,
  [1077] = 810,
  [1078] = 811,
  [1079] = 814,
  [1080] = 127,
  [1081] = 134,
  [1082] = 831,
  [1083] = 143,
  [1084] = 832,
  [1085] = 94,
  [1086] = 900,
  [1087] = 93,
  [1088] = 915,
  [1089] = 873,
  [1090] = 877,
  [1091] = 892,
  [1092] = 938,
  [1093] = 874,
  [1094] = 907,
  [1095] = 909,
  [1096] = 888,
  [1097] = 908,
  [1098] = 914,
  [1099] = 875,
  [1100] = 879,
  [1101] = 900,
  [1102] = 916,
  [1103] = 920,
  [1104] = 906,
  [1105] = 913,
  [1106] = 889,
  [1107] = 917,
  [1108] = 915,
  [1109] = 873,
  [1110] = 910,
  [1111] = 911,
  [1112] = 912,
  [1113] = 877,
  [1114] = 892,
  [1115] = 902,
  [1116] = 903,
  [1117] = 938,
  [1118] = 874,
  [1119] = 898,
  [1120] = 899,
  [1121] = 901,
  [1122] = 907,
  [1123] = 909,
  [1124] = 919,
  [1125] = 888,
  [1126] = 908,
  [1127] = 914,
  [1128] = 933,
  [1129] = 934,
  [1130] = 936,
  [1131] = 937,
  [1132] = 939,
  [1133] = 940,
  [1134] = 905,
  [1135] = 868,
  [1136] = 869,
  [1137] = 870,
  [1138] = 871,
  [1139] = 872,
  [1140] = 867,
  [1141] = 876,
  [1142] = 875,
  [1143] = 878,
  [1144] = 880,
  [1145] = 881,
  [1146] = 882,
  [1147] = 883,
  [1148] = 884,
  [1149] = 885,
  [1150] = 886,
  [1151] = 879,
  [1152] = 887,
  [1153] = 890,
  [1154] = 891,
  [1155] = 893,
  [1156] = 895,
  [1157] = 896,
  [1158] = 897,
  [1159] = 933,
  [1160] = 934,
  [1161] = 936,
  [1162] = 937,
  [1163] = 939,
  [1164] = 940,
  [1165] = 905,
  [1166] = 868,
  [1167] = 869,
  [1168] = 870,
  [1169] = 871,
  [1170] = 865,
  [1171] = 872,
  [1172] = 867,
  [1173] = 812,
  [1174] = 876,
  [1175] = 829,
  [1176] = 878,
  [1177] = 880,
  [1178] = 881,
  [1179] = 882,
  [1180] = 883,
  [1181] = 884,
  [1182] = 885,
  [1183] = 886,
  [1184] = 887,
  [1185] = 935,
  [1186] = 890,
  [1187] = 891,
  [1188] = 893,
  [1189] = 895,
  [1190] = 896,
  [1191] = 897,
  [1192] = 802,
  [1193] = 807,
  [1194] = 852,
  [1195] = 826,
  [1196] = 894,
  [1197] = 935,
  [1198] = 894,
  [1199] = 904,
  [1200] = 941,
  [1201] = 904,
  [1202] = 941,
  [1203] = 918,
  [1204] = 918,
  [1205] = 931,
  [1206] = 921,
  [1207] = 922,
  [1208] = 923,
  [1209] = 924,
  [1210] = 925,
  [1211] = 926,
  [1212] = 927,
  [1213] = 928,
  [1214] = 932,
  [1215] = 929,
  [1216] = 930,
  [1217] = 855,
  [1218] = 856,
  [1219] = 857,
  [1220] = 863,
  [1221] = 921,
  [1222] = 922,
  [1223] = 923,
  [1224] = 924,
  [1225] = 925,
  [1226] = 926,
  [1227] = 927,
  [1228] = 928,
  [1229] = 929,
  [1230] = 930,
  [1231] = 931,
  [1232] = 932,
  [1233] = 816,
  [1234] = 846,
  [1235] = 1235,
  [1236] = 908,
  [1237] = 875,
  [1238] = 879,
  [1239] = 1239,
  [1240] = 1240,
  [1241] = 1241,
  [1242] = 1242,
  [1243] = 926,
  [1244] = 884,
  [1245] = 885,
  [1246] = 1246,
  [1247] = 934,
  [1248] = 881,
  [1249] = 891,
  [1250] = 1250,
  [1251] = 882,
  [1252] = 886,
  [1253] = 887,
  [1254] = 890,
  [1255] = 1255,
  [1256] = 891,
  [1257] = 914,
  [1258] = 883,
  [1259] = 905,
  [1260] = 868,
  [1261] = 869,
  [1262] = 893,
  [1263] = 895,
  [1264] = 896,
  [1265] = 940,
  [1266] = 884,
  [1267] = 1267,
  [1268] = 897,
  [1269] = 876,
  [1270] = 1270,
  [1271] = 878,
  [1272] = 931,
  [1273] = 885,
  [1274] = 880,
  [1275] = 870,
  [1276] = 921,
  [1277] = 1277,
  [1278] = 893,
  [1279] = 931,
  [1280] = 921,
  [1281] = 895,
  [1282] = 896,
  [1283] = 871,
  [1284] = 881,
  [1285] = 872,
  [1286] = 922,
  [1287] = 923,
  [1288] = 924,
  [1289] = 925,
  [1290] = 933,
  [1291] = 927,
  [1292] = 928,
  [1293] = 939,
  [1294] = 932,
  [1295] = 1295,
  [1296] = 930,
  [1297] = 922,
  [1298] = 923,
  [1299] = 924,
  [1300] = 882,
  [1301] = 925,
  [1302] = 926,
  [1303] = 927,
  [1304] = 928,
  [1305] = 883,
  [1306] = 933,
  [1307] = 934,
  [1308] = 936,
  [1309] = 867,
  [1310] = 937,
  [1311] = 936,
  [1312] = 937,
  [1313] = 876,
  [1314] = 939,
  [1315] = 897,
  [1316] = 940,
  [1317] = 878,
  [1318] = 914,
  [1319] = 1319,
  [1320] = 905,
  [1321] = 868,
  [1322] = 869,
  [1323] = 932,
  [1324] = 929,
  [1325] = 930,
  [1326] = 870,
  [1327] = 871,
  [1328] = 872,
  [1329] = 886,
  [1330] = 867,
  [1331] = 887,
  [1332] = 880,
  [1333] = 890,
  [1334] = 1334,
  [1335] = 1335,
  [1336] = 1336,
  [1337] = 1337,
  [1338] = 1338,
  [1339] = 1339,
  [1340] = 929,
  [1341] = 1341,
  [1342] = 907,
  [1343] = 909,
  [1344] = 915,
  [1345] = 1345,
  [1346] = 888,
  [1347] = 877,
  [1348] = 892,
  [1349] = 1349,
  [1350] = 1350,
  [1351] = 873,
  [1352] = 1352,
  [1353] = 1353,
  [1354] = 1354,
  [1355] = 1355,
  [1356] = 1356,
  [1357] = 1357,
  [1358] = 1358,
  [1359] = 900,
  [1360] = 1360,
  [1361] = 1361,
  [1362] = 1362,
  [1363] = 1363,
  [1364] = 1364,
  [1365] = 1365,
  [1366] = 1366,
  [1367] = 1367,
  [1368] = 1368,
  [1369] = 1369,
  [1370] = 1370,
  [1371] = 1371,
  [1372] = 1372,
  [1373] = 1373,
  [1374] = 1374,
  [1375] = 1375,
  [1376] = 1376,
  [1377] = 1377,
  [1378] = 1378,
  [1379] = 1379,
  [1380] = 1380,
  [1381] = 1381,
  [1382] = 1382,
  [1383] = 1383,
  [1384] = 1384,
  [1385] = 1385,
  [1386] = 1386,
  [1387] = 1387,
  [1388] = 938,
  [1389] = 1389,
  [1390] = 1390,
  [1391] = 1391,
  [1392] = 874,
  [1393] = 1386,
  [1394] = 1367,
  [1395] = 1395,
  [1396] = 1396,
  [1397] = 1396,
  [1398] = 1389,
  [1399] = 1399,
  [1400] = 1400,
  [1401] = 1401,
  [1402] = 1401,
  [1403] = 1403,
  [1404] = 1404,
  [1405] = 1405,
  [1406] = 1406,
  [1407] = 1407,
  [1408] = 1408,
  [1409] = 1409,
  [1410] = 1410,
  [1411] = 1407,
  [1412] = 1412,
  [1413] = 1403,
  [1414] = 1407,
  [1415] = 1415,
  [1416] = 1416,
  [1417] = 1417,
  [1418] = 1418,
  [1419] = 1419,
  [1420] = 1420,
  [1421] = 1421,
  [1422] = 1422,
  [1423] = 1423,
  [1424] = 1424,
  [1425] = 1425,
  [1426] = 1426,
  [1427] = 1427,
  [1428] = 1428,
  [1429] = 1422,
  [1430] = 1430,
  [1431] = 1431,
  [1432] = 1432,
  [1433] = 1433,
  [1434] = 1434,
  [1435] = 1435,
  [1436] = 1436,
  [1437] = 1437,
  [1438] = 1434,
  [1439] = 1439,
  [1440] = 904,
  [1441] = 1441,
  [1442] = 1442,
  [1443] = 932,
  [1444] = 1444,
  [1445] = 1445,
  [1446] = 1446,
  [1447] = 1447,
  [1448] = 1448,
  [1449] = 1449,
  [1450] = 1450,
  [1451] = 1451,
  [1452] = 1452,
  [1453] = 1453,
  [1454] = 1454,
  [1455] = 1418,
  [1456] = 1456,
  [1457] = 1457,
  [1458] = 1451,
  [1459] = 1450,
  [1460] = 1418,
  [1461] = 1461,
  [1462] = 1451,
  [1463] = 1463,
  [1464] = 1464,
  [1465] = 1465,
  [1466] = 1466,
  [1467] = 1467,
  [1468] = 932,
  [1469] = 1450,
  [1470] = 1436,
  [1471] = 1417,
  [1472] = 1437,
  [1473] = 1439,
  [1474] = 1446,
  [1475] = 1428,
  [1476] = 1430,
  [1477] = 1441,
  [1478] = 1478,
  [1479] = 1447,
  [1480] = 1444,
  [1481] = 1481,
  [1482] = 931,
  [1483] = 1483,
  [1484] = 1483,
  [1485] = 1483,
  [1486] = 931,
  [1487] = 1487,
  [1488] = 1488,
  [1489] = 1489,
  [1490] = 1490,
  [1491] = 1491,
  [1492] = 1492,
  [1493] = 1492,
  [1494] = 1492,
  [1495] = 1495,
  [1496] = 1492,
  [1497] = 1492,
  [1498] = 1492,
  [1499] = 1492,
  [1500] = 1500,
  [1501] = 1501,
  [1502] = 1502,
  [1503] = 1503,
  [1504] = 1504,
  [1505] = 1505,
  [1506] = 1506,
  [1507] = 1507,
  [1508] = 1508,
  [1509] = 1509,
  [1510] = 1510,
  [1511] = 1511,
  [1512] = 1512,
  [1513] = 1513,
  [1514] = 1514,
  [1515] = 1515,
  [1516] = 1516,
  [1517] = 1517,
  [1518] = 1518,
  [1519] = 1519,
  [1520] = 1520,
  [1521] = 1521,
  [1522] = 1522,
  [1523] = 1523,
  [1524] = 1524,
  [1525] = 1525,
  [1526] = 1526,
  [1527] = 1527,
  [1528] = 1528,
  [1529] = 1529,
  [1530] = 1530,
  [1531] = 1531,
  [1532] = 1532,
  [1533] = 1531,
  [1534] = 1534,
  [1535] = 1535,
  [1536] = 1532,
  [1537] = 1537,
  [1538] = 1538,
  [1539] = 1539,
  [1540] = 1540,
  [1541] = 1541,
  [1542] = 1542,
  [1543] = 1543,
  [1544] = 1544,
  [1545] = 1545,
  [1546] = 1531,
  [1547] = 1531,
  [1548] = 1548,
  [1549] = 1549,
  [1550] = 1550,
  [1551] = 1551,
  [1552] = 1552,
  [1553] = 1553,
  [1554] = 1554,
  [1555] = 1555,
  [1556] = 1556,
  [1557] = 1557,
  [1558] = 1558,
  [1559] = 1551,
  [1560] = 1560,
  [1561] = 1561,
  [1562] = 1562,
  [1563] = 1563,
  [1564] = 1564,
  [1565] = 1564,
  [1566] = 1566,
  [1567] = 1567,
  [1568] = 1553,
  [1569] = 1560,
  [1570] = 1570,
  [1571] = 1571,
  [1572] = 1562,
  [1573] = 1558,
  [1574] = 1574,
  [1575] = 1575,
  [1576] = 1560,
  [1577] = 1567,
  [1578] = 1560,
  [1579] = 1560,
  [1580] = 1580,
  [1581] = 1562,
  [1582] = 1560,
  [1583] = 1563,
  [1584] = 1562,
  [1585] = 1562,
  [1586] = 1562,
  [1587] = 1587,
  [1588] = 1588,
  [1589] = 1589,
  [1590] = 1590,
  [1591] = 1591,
  [1592] = 1592,
  [1593] = 1593,
  [1594] = 1594,
  [1595] = 1595,
  [1596] = 1596,
  [1597] = 1597,
  [1598] = 1598,
  [1599] = 1599,
  [1600] = 1600,
  [1601] = 1601,
  [1602] = 1602,
  [1603] = 1603,
  [1604] = 1604,
  [1605] = 1605,
  [1606] = 1589,
  [1607] = 1607,
  [1608] = 1608,
  [1609] = 1609,
  [1610] = 1610,
  [1611] = 1611,
  [1612] = 1612,
  [1613] = 1613,
  [1614] = 1614,
  [1615] = 1615,
  [1616] = 1616,
  [1617] = 1617,
  [1618] = 1618,
  [1619] = 1619,
  [1620] = 1620,
  [1621] = 1621,
  [1622] = 1622,
  [1623] = 1623,
  [1624] = 1624,
  [1625] = 1625,
  [1626] = 1626,
  [1627] = 1627,
  [1628] = 1628,
  [1629] = 1629,
  [1630] = 1630,
  [1631] = 1630,
  [1632] = 1632,
  [1633] = 1633,
  [1634] = 1634,
  [1635] = 1635,
  [1636] = 1636,
  [1637] = 1637,
  [1638] = 1635,
  [1639] = 1639,
  [1640] = 1640,
  [1641] = 1641,
  [1642] = 1596,
  [1643] = 1643,
  [1644] = 1604,
  [1645] = 1645,
  [1646] = 1646,
  [1647] = 1647,
  [1648] = 1648,
  [1649] = 1636,
  [1650] = 1626,
  [1651] = 1651,
  [1652] = 1600,
  [1653] = 1587,
  [1654] = 1654,
  [1655] = 1655,
  [1656] = 1656,
  [1657] = 1657,
  [1658] = 1658,
  [1659] = 1659,
  [1660] = 1660,
  [1661] = 1658,
  [1662] = 1662,
  [1663] = 1625,
  [1664] = 1664,
  [1665] = 1665,
  [1666] = 1665,
  [1667] = 1667,
  [1668] = 1668,
  [1669] = 1608,
  [1670] = 1670,
  [1671] = 1671,
  [1672] = 1623,
  [1673] = 1615,
  [1674] = 1674,
  [1675] = 1675,
  [1676] = 1599,
  [1677] = 1677,
  [1678] = 1618,
  [1679] = 1679,
  [1680] = 1680,
  [1681] = 1617,
  [1682] = 1682,
  [1683] = 1683,
  [1684] = 1684,
  [1685] = 1685,
  [1686] = 1686,
  [1687] = 1687,
  [1688] = 1688,
  [1689] = 1689,
  [1690] = 1690,
  [1691] = 1691,
  [1692] = 1692,
  [1693] = 1693,
  [1694] = 1694,
  [1695] = 1695,
  [1696] = 1696,
  [1697] = 1697,
  [1698] = 1698,
  [1699] = 1699,
  [1700] = 1700,
  [1701] = 1701,
  [1702] = 1693,
  [1703] = 1703,
  [1704] = 1691,
  [1705] = 1693,
  [1706] = 1706,
  [1707] = 1706,
  [1708] = 1708,
  [1709] = 1708,
  [1710] = 1710,
  [1711] = 1711,
  [1712] = 1712,
  [1713] = 1713,
  [1714] = 1714,
  [1715] = 1693,
  [1716] = 1716,
  [1717] = 1717,
  [1718] = 1718,
  [1719] = 1719,
  [1720] = 1720,
  [1721] = 1721,
  [1722] = 1722,
  [1723] = 1723,
  [1724] = 1724,
  [1725] = 1686,
  [1726] = 1700,
  [1727] = 1718,
  [1728] = 1712,
  [1729] = 1729,
  [1730] = 1730,
  [1731] = 1717,
  [1732] = 1729,
  [1733] = 1733,
  [1734] = 1734,
  [1735] = 1735,
  [1736] = 1736,
  [1737] = 1737,
  [1738] = 1738,
  [1739] = 1739,
  [1740] = 1730,
  [1741] = 1741,
  [1742] = 1742,
  [1743] = 1734,
  [1744] = 1711,
  [1745] = 1745,
  [1746] = 1746,
  [1747] = 1747,
  [1748] = 1748,
  [1749] = 1749,
  [1750] = 1710,
  [1751] = 1751,
  [1752] = 1752,
  [1753] = 1753,
  [1754] = 1754,
  [1755] = 1755,
  [1756] = 1756,
  [1757] = 1757,
  [1758] = 1758,
  [1759] = 1759,
  [1760] = 1760,
  [1761] = 1761,
  [1762] = 1762,
  [1763] = 1763,
  [1764] = 1764,
  [1765] = 1765,
  [1766] = 1766,
  [1767] = 1767,
  [1768] = 1768,
  [1769] = 1763,
  [1770] = 1770,
  [1771] = 1771,
  [1772] = 1772,
  [1773] = 1762,
  [1774] = 1774,
  [1775] = 1775,
  [1776] = 1776,
  [1777] = 1777,
  [1778] = 1766,
  [1779] = 1779,
  [1780] = 1780,
  [1781] = 1781,
  [1782] = 1782,
  [1783] = 1783,
  [1784] = 1784,
  [1785] = 1785,
  [1786] = 1786,
  [1787] = 1787,
  [1788] = 1788,
  [1789] = 1789,
  [1790] = 1790,
  [1791] = 1791,
  [1792] = 1761,
  [1793] = 1793,
  [1794] = 1794,
  [1795] = 1785,
  [1796] = 1754,
  [1797] = 1787,
  [1798] = 1798,
  [1799] = 1799,
  [1800] = 1800,
  [1801] = 1801,
  [1802] = 1788,
  [1803] = 1803,
  [1804] = 1804,
  [1805] = 1760,
  [1806] = 1764,
  [1807] = 1807,
  [1808] = 1808,
  [1809] = 1809,
  [1810] = 1810,
  [1811] = 1811,
  [1812] = 1812,
  [1813] = 1813,
  [1814] = 1814,
  [1815] = 1815,
  [1816] = 1816,
  [1817] = 1775,
  [1818] = 1818,
  [1819] = 1794,
  [1820] = 1820,
  [1821] = 1798,
  [1822] = 1804,
  [1823] = 1783,
  [1824] = 1755,
  [1825] = 1816,
  [1826] = 1765,
  [1827] = 1818,
  [1828] = 1812,
  [1829] = 1829,
  [1830] = 1771,
  [1831] = 1800,
  [1832] = 1832,
  [1833] = 1754,
  [1834] = 1834,
  [1835] = 1834,
  [1836] = 1779,
  [1837] = 1768,
  [1838] = 1752,
  [1839] = 1815,
  [1840] = 1840,
  [1841] = 1770,
  [1842] = 1842,
  [1843] = 1801,
  [1844] = 1807,
  [1845] = 1845,
  [1846] = 1809,
  [1847] = 1767,
  [1848] = 1753,
  [1849] = 1849,
  [1850] = 1774,
  [1851] = 1849,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(30);
      ADVANCE_MAP(
        '!', 68,
        '"', 105,
        '%', 93,
        '&', 76,
        '\'', 113,
        '(', 53,
        ')', 54,
        '*', 63,
        '+', 87,
        ',', 31,
        '-', 70,
        '.', 100,
        '/', 92,
        '0', 118,
        ':', 32,
        ';', 35,
        '<', 82,
        '=', 33,
        '>', 79,
        '?', 99,
        '@', 127,
        '[', 64,
        '\\', 7,
        ']', 65,
        '^', 83,
        '{', 56,
        '|', 61,
        '}', 57,
        '~', 69,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(119);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(128);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(4);
      if (lookahead == '"') ADVANCE(105);
      if (lookahead == '/') ADVANCE(107);
      if (lookahead == '\\') ADVANCE(9);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(106);
      if (lookahead != 0) ADVANCE(108);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(2);
      if (lookahead == '/') ADVANCE(115);
      if (lookahead == '\\') ADVANCE(117);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(116);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(114);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '!', 68,
        '"', 105,
        '%', 93,
        '&', 76,
        '\'', 113,
        '(', 53,
        '*', 63,
        '+', 87,
        ',', 31,
        '-', 71,
        '.', 100,
        '/', 92,
        '0', 118,
        ':', 32,
        '<', 82,
        '=', 33,
        '>', 79,
        '?', 99,
        '@', 127,
        '[', 64,
        '\\', 8,
        '^', 83,
        '{', 56,
        '|', 61,
        '~', 69,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(3);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(119);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(128);
      END_STATE();
    case 4:
      if (lookahead == '"') ADVANCE(105);
      if (lookahead == '/') ADVANCE(6);
      if (lookahead == '\\') ADVANCE(9);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(4);
      END_STATE();
    case 5:
      if (lookahead == '.') ADVANCE(55);
      END_STATE();
    case 6:
      if (lookahead == '/') ADVANCE(129);
      END_STATE();
    case 7:
      if (lookahead == '\\') ADVANCE(110);
      if (lookahead == 'u') ADVANCE(10);
      if (lookahead == 'x') ADVANCE(27);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(112);
      if (lookahead != 0 &&
          lookahead != 'U') ADVANCE(110);
      END_STATE();
    case 8:
      if (lookahead == '\\') ADVANCE(109);
      END_STATE();
    case 9:
      if (lookahead == 'u') ADVANCE(10);
      if (lookahead == 'x') ADVANCE(27);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(112);
      if (lookahead != 0 &&
          lookahead != 'U') ADVANCE(110);
      END_STATE();
    case 10:
      if (lookahead == '{') ADVANCE(25);
      END_STATE();
    case 11:
      if (lookahead == '}') ADVANCE(110);
      END_STATE();
    case 12:
      if (lookahead == '}') ADVANCE(110);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(11);
      END_STATE();
    case 13:
      if (lookahead == '}') ADVANCE(110);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(12);
      END_STATE();
    case 14:
      if (lookahead == '}') ADVANCE(110);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(13);
      END_STATE();
    case 15:
      if (lookahead == '}') ADVANCE(110);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(14);
      END_STATE();
    case 16:
      if (lookahead == '}') ADVANCE(110);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(15);
      END_STATE();
    case 17:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(22);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(124);
      END_STATE();
    case 18:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(121);
      END_STATE();
    case 19:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(122);
      END_STATE();
    case 20:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(119);
      END_STATE();
    case 21:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(123);
      END_STATE();
    case 22:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(124);
      END_STATE();
    case 23:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(110);
      END_STATE();
    case 24:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(120);
      END_STATE();
    case 25:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(16);
      END_STATE();
    case 26:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(125);
      END_STATE();
    case 27:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(23);
      END_STATE();
    case 28:
      if (eof) ADVANCE(30);
      ADVANCE_MAP(
        '!', 68,
        '"', 105,
        '%', 93,
        '&', 76,
        '\'', 113,
        '(', 53,
        ')', 54,
        '*', 63,
        '+', 87,
        ',', 31,
        '-', 70,
        '.', 101,
        '/', 92,
        '0', 118,
        ':', 32,
        ';', 35,
        '<', 82,
        '=', 33,
        '>', 79,
        '?', 99,
        '@', 127,
        '[', 64,
        '\\', 8,
        ']', 65,
        '^', 83,
        '{', 56,
        '|', 61,
        '}', 57,
        '~', 69,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(28);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(119);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(128);
      END_STATE();
    case 29:
      if (eof) ADVANCE(30);
      ADVANCE_MAP(
        '!', 67,
        '"', 105,
        '&', 75,
        '\'', 113,
        '(', 53,
        ')', 54,
        '*', 62,
        ',', 31,
        '-', 72,
        '.', 102,
        '/', 6,
        '0', 118,
        ':', 32,
        ';', 35,
        '=', 34,
        '?', 99,
        '@', 127,
        '[', 64,
        '\\', 8,
        ']', 65,
        '{', 56,
        '|', 60,
        '}', 57,
        '~', 69,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(29);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(119);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(128);
      END_STATE();
    case 30:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 31:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 32:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 33:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(77);
      if (lookahead == '>') ADVANCE(98);
      END_STATE();
    case 34:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(98);
      END_STATE();
    case 35:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 36:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 37:
      ACCEPT_TOKEN(anon_sym_STAR_PERCENT_EQ);
      END_STATE();
    case 38:
      ACCEPT_TOKEN(anon_sym_STAR_PIPE_EQ);
      END_STATE();
    case 39:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 40:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_PLUS_PERCENT_EQ);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_PLUS_PIPE_EQ);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_DASH_PERCENT_EQ);
      END_STATE();
    case 46:
      ACCEPT_TOKEN(anon_sym_DASH_PIPE_EQ);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 48:
      ACCEPT_TOKEN(anon_sym_LT_LT_PIPE_EQ);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      if (lookahead == '.') ADVANCE(55);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(52);
      if (lookahead == '|') ADVANCE(97);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '%') ADVANCE(95);
      if (lookahead == '*') ADVANCE(94);
      if (lookahead == '=') ADVANCE(36);
      if (lookahead == '|') ADVANCE(96);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(78);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '%') ADVANCE(74);
      if (lookahead == '=') ADVANCE(44);
      if (lookahead == '>') ADVANCE(66);
      if (lookahead == '|') ADVANCE(91);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '%') ADVANCE(74);
      if (lookahead == '=') ADVANCE(44);
      if (lookahead == '|') ADVANCE(91);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '%') ADVANCE(73);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_DASH_PERCENT);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_DASH_PERCENT);
      if (lookahead == '=') ADVANCE(45);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '=') ADVANCE(50);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(80);
      if (lookahead == '>') ADVANCE(85);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(84);
      if (lookahead == '=') ADVANCE(81);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(51);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(47);
      if (lookahead == '|') ADVANCE(86);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(49);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_LT_LT_PIPE);
      if (lookahead == '=') ADVANCE(48);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '%') ADVANCE(89);
      if (lookahead == '+') ADVANCE(88);
      if (lookahead == '=') ADVANCE(41);
      if (lookahead == '|') ADVANCE(90);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_PLUS_PERCENT);
      if (lookahead == '=') ADVANCE(42);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_PLUS_PIPE);
      if (lookahead == '=') ADVANCE(43);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_DASH_PIPE);
      if (lookahead == '=') ADVANCE(46);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/') ADVANCE(129);
      if (lookahead == '=') ADVANCE(39);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(40);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_STAR_PERCENT);
      if (lookahead == '=') ADVANCE(37);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_STAR_PIPE);
      if (lookahead == '=') ADVANCE(38);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '*') ADVANCE(103);
      if (lookahead == '.') ADVANCE(59);
      if (lookahead == '?') ADVANCE(104);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '*') ADVANCE(103);
      if (lookahead == '.') ADVANCE(58);
      if (lookahead == '?') ADVANCE(104);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(5);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_DOT_STAR);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_DOT_QMARK);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '/') ADVANCE(107);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(106);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(108);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '/') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(108);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(108);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(aux_sym_multiline_string_token1);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(109);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(110);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(111);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(aux_sym_character_token1);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(aux_sym_character_token1);
      if (lookahead == '/') ADVANCE(129);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(aux_sym_character_token1);
      if (lookahead == '/') ADVANCE(115);
      if (lookahead == '\\') ADVANCE(117);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(116);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '\'') ADVANCE(114);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(aux_sym_character_token1);
      if (lookahead == 'u') ADVANCE(10);
      if (lookahead == 'x') ADVANCE(27);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(112);
      if (lookahead != 0 &&
          lookahead != 'U') ADVANCE(110);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(21);
      if (lookahead == '_') ADVANCE(20);
      if (lookahead == 'b') ADVANCE(18);
      if (lookahead == 'o') ADVANCE(19);
      if (lookahead == 'x') ADVANCE(24);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(17);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(119);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(21);
      if (lookahead == '_') ADVANCE(20);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(17);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(119);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(26);
      if (lookahead == '_') ADVANCE(24);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(17);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(120);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(18);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(121);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(19);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(122);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(21);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(17);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(123);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(22);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(124);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(26);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(17);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(125);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(sym_builtin_identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(126);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_AT);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(126);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(sym__identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(128);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(129);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        'a', 1,
        'b', 2,
        'c', 3,
        'd', 4,
        'e', 5,
        'f', 6,
        'i', 7,
        'l', 8,
        'n', 9,
        'o', 10,
        'p', 11,
        'r', 12,
        's', 13,
        't', 14,
        'u', 15,
        'v', 16,
        'w', 17,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'd') ADVANCE(18);
      if (lookahead == 'l') ADVANCE(19);
      if (lookahead == 'n') ADVANCE(20);
      if (lookahead == 's') ADVANCE(21);
      if (lookahead == 'w') ADVANCE(22);
      END_STATE();
    case 2:
      if (lookahead == 'o') ADVANCE(23);
      if (lookahead == 'r') ADVANCE(24);
      END_STATE();
    case 3:
      ACCEPT_TOKEN(anon_sym_c);
      if (lookahead == '_') ADVANCE(25);
      if (lookahead == 'a') ADVANCE(26);
      if (lookahead == 'o') ADVANCE(27);
      END_STATE();
    case 4:
      if (lookahead == 'e') ADVANCE(28);
      END_STATE();
    case 5:
      if (lookahead == 'l') ADVANCE(29);
      if (lookahead == 'n') ADVANCE(30);
      if (lookahead == 'r') ADVANCE(31);
      if (lookahead == 'x') ADVANCE(32);
      END_STATE();
    case 6:
      if (lookahead == '1') ADVANCE(33);
      if (lookahead == '3') ADVANCE(34);
      if (lookahead == '6') ADVANCE(35);
      if (lookahead == 'a') ADVANCE(36);
      if (lookahead == 'n') ADVANCE(37);
      if (lookahead == 'o') ADVANCE(38);
      END_STATE();
    case 7:
      if (lookahead == 'f') ADVANCE(39);
      if (lookahead == 'n') ADVANCE(40);
      if (lookahead == 's') ADVANCE(41);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(42);
      END_STATE();
    case 8:
      if (lookahead == 'i') ADVANCE(43);
      END_STATE();
    case 9:
      if (lookahead == 'o') ADVANCE(44);
      if (lookahead == 'u') ADVANCE(45);
      END_STATE();
    case 10:
      if (lookahead == 'p') ADVANCE(46);
      if (lookahead == 'r') ADVANCE(47);
      END_STATE();
    case 11:
      if (lookahead == 'a') ADVANCE(48);
      if (lookahead == 'u') ADVANCE(49);
      END_STATE();
    case 12:
      if (lookahead == 'e') ADVANCE(50);
      END_STATE();
    case 13:
      if (lookahead == 't') ADVANCE(51);
      if (lookahead == 'u') ADVANCE(52);
      if (lookahead == 'w') ADVANCE(53);
      END_STATE();
    case 14:
      if (lookahead == 'e') ADVANCE(54);
      if (lookahead == 'h') ADVANCE(55);
      if (lookahead == 'r') ADVANCE(56);
      if (lookahead == 'y') ADVANCE(57);
      END_STATE();
    case 15:
      if (lookahead == 'n') ADVANCE(58);
      if (lookahead == 's') ADVANCE(59);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(42);
      END_STATE();
    case 16:
      if (lookahead == 'a') ADVANCE(60);
      if (lookahead == 'o') ADVANCE(61);
      END_STATE();
    case 17:
      if (lookahead == 'h') ADVANCE(62);
      END_STATE();
    case 18:
      if (lookahead == 'd') ADVANCE(63);
      END_STATE();
    case 19:
      if (lookahead == 'i') ADVANCE(64);
      if (lookahead == 'l') ADVANCE(65);
      END_STATE();
    case 20:
      if (lookahead == 'd') ADVANCE(66);
      if (lookahead == 'y') ADVANCE(67);
      END_STATE();
    case 21:
      if (lookahead == 'm') ADVANCE(68);
      if (lookahead == 'y') ADVANCE(69);
      END_STATE();
    case 22:
      if (lookahead == 'a') ADVANCE(70);
      END_STATE();
    case 23:
      if (lookahead == 'o') ADVANCE(71);
      END_STATE();
    case 24:
      if (lookahead == 'e') ADVANCE(72);
      END_STATE();
    case 25:
      if (lookahead == 'i') ADVANCE(73);
      if (lookahead == 'l') ADVANCE(74);
      if (lookahead == 's') ADVANCE(75);
      if (lookahead == 'u') ADVANCE(76);
      END_STATE();
    case 26:
      if (lookahead == 'l') ADVANCE(77);
      if (lookahead == 't') ADVANCE(78);
      END_STATE();
    case 27:
      if (lookahead == 'm') ADVANCE(79);
      if (lookahead == 'n') ADVANCE(80);
      END_STATE();
    case 28:
      if (lookahead == 'f') ADVANCE(81);
      END_STATE();
    case 29:
      if (lookahead == 's') ADVANCE(82);
      END_STATE();
    case 30:
      if (lookahead == 'u') ADVANCE(83);
      END_STATE();
    case 31:
      if (lookahead == 'r') ADVANCE(84);
      END_STATE();
    case 32:
      if (lookahead == 'p') ADVANCE(85);
      if (lookahead == 't') ADVANCE(86);
      END_STATE();
    case 33:
      if (lookahead == '2') ADVANCE(87);
      if (lookahead == '6') ADVANCE(88);
      END_STATE();
    case 34:
      if (lookahead == '2') ADVANCE(89);
      END_STATE();
    case 35:
      if (lookahead == '4') ADVANCE(90);
      END_STATE();
    case 36:
      if (lookahead == 'l') ADVANCE(91);
      END_STATE();
    case 37:
      ACCEPT_TOKEN(anon_sym_fn);
      END_STATE();
    case 38:
      if (lookahead == 'r') ADVANCE(92);
      END_STATE();
    case 39:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 40:
      if (lookahead == 'l') ADVANCE(93);
      END_STATE();
    case 41:
      if (lookahead == 'i') ADVANCE(94);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(aux_sym_builtin_type_token1);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(42);
      END_STATE();
    case 43:
      if (lookahead == 'n') ADVANCE(95);
      END_STATE();
    case 44:
      if (lookahead == 'a') ADVANCE(96);
      if (lookahead == 'i') ADVANCE(97);
      if (lookahead == 'r') ADVANCE(98);
      if (lookahead == 's') ADVANCE(99);
      END_STATE();
    case 45:
      if (lookahead == 'l') ADVANCE(100);
      END_STATE();
    case 46:
      if (lookahead == 'a') ADVANCE(101);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_or);
      if (lookahead == 'e') ADVANCE(102);
      END_STATE();
    case 48:
      if (lookahead == 'c') ADVANCE(103);
      END_STATE();
    case 49:
      if (lookahead == 'b') ADVANCE(104);
      END_STATE();
    case 50:
      if (lookahead == 's') ADVANCE(105);
      if (lookahead == 't') ADVANCE(106);
      END_STATE();
    case 51:
      if (lookahead == 'r') ADVANCE(107);
      END_STATE();
    case 52:
      if (lookahead == 's') ADVANCE(108);
      END_STATE();
    case 53:
      if (lookahead == 'i') ADVANCE(109);
      END_STATE();
    case 54:
      if (lookahead == 's') ADVANCE(110);
      END_STATE();
    case 55:
      if (lookahead == 'r') ADVANCE(111);
      END_STATE();
    case 56:
      if (lookahead == 'u') ADVANCE(112);
      if (lookahead == 'y') ADVANCE(113);
      END_STATE();
    case 57:
      if (lookahead == 'p') ADVANCE(114);
      END_STATE();
    case 58:
      if (lookahead == 'd') ADVANCE(115);
      if (lookahead == 'i') ADVANCE(116);
      if (lookahead == 'r') ADVANCE(117);
      END_STATE();
    case 59:
      if (lookahead == 'i') ADVANCE(118);
      END_STATE();
    case 60:
      if (lookahead == 'r') ADVANCE(119);
      END_STATE();
    case 61:
      if (lookahead == 'i') ADVANCE(120);
      if (lookahead == 'l') ADVANCE(121);
      END_STATE();
    case 62:
      if (lookahead == 'i') ADVANCE(122);
      END_STATE();
    case 63:
      if (lookahead == 'r') ADVANCE(123);
      END_STATE();
    case 64:
      if (lookahead == 'g') ADVANCE(124);
      END_STATE();
    case 65:
      if (lookahead == 'o') ADVANCE(125);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_and);
      END_STATE();
    case 67:
      if (lookahead == 'e') ADVANCE(126);
      if (lookahead == 'f') ADVANCE(127);
      if (lookahead == 'o') ADVANCE(128);
      if (lookahead == 't') ADVANCE(129);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_asm);
      END_STATE();
    case 69:
      if (lookahead == 'n') ADVANCE(130);
      END_STATE();
    case 70:
      if (lookahead == 'i') ADVANCE(131);
      END_STATE();
    case 71:
      if (lookahead == 'l') ADVANCE(132);
      END_STATE();
    case 72:
      if (lookahead == 'a') ADVANCE(133);
      END_STATE();
    case 73:
      if (lookahead == 'n') ADVANCE(134);
      END_STATE();
    case 74:
      if (lookahead == 'o') ADVANCE(135);
      END_STATE();
    case 75:
      if (lookahead == 'h') ADVANCE(136);
      END_STATE();
    case 76:
      if (lookahead == 'i') ADVANCE(137);
      if (lookahead == 'l') ADVANCE(138);
      if (lookahead == 's') ADVANCE(139);
      END_STATE();
    case 77:
      if (lookahead == 'l') ADVANCE(140);
      END_STATE();
    case 78:
      if (lookahead == 'c') ADVANCE(141);
      END_STATE();
    case 79:
      if (lookahead == 'p') ADVANCE(142);
      END_STATE();
    case 80:
      if (lookahead == 's') ADVANCE(143);
      if (lookahead == 't') ADVANCE(144);
      END_STATE();
    case 81:
      if (lookahead == 'e') ADVANCE(145);
      END_STATE();
    case 82:
      if (lookahead == 'e') ADVANCE(146);
      END_STATE();
    case 83:
      if (lookahead == 'm') ADVANCE(147);
      END_STATE();
    case 84:
      if (lookahead == 'd') ADVANCE(148);
      if (lookahead == 'o') ADVANCE(149);
      END_STATE();
    case 85:
      if (lookahead == 'o') ADVANCE(150);
      END_STATE();
    case 86:
      if (lookahead == 'e') ADVANCE(151);
      END_STATE();
    case 87:
      if (lookahead == '8') ADVANCE(152);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_f16);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_f32);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_f64);
      END_STATE();
    case 91:
      if (lookahead == 's') ADVANCE(153);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 93:
      if (lookahead == 'i') ADVANCE(154);
      END_STATE();
    case 94:
      if (lookahead == 'z') ADVANCE(155);
      END_STATE();
    case 95:
      if (lookahead == 'k') ADVANCE(156);
      END_STATE();
    case 96:
      if (lookahead == 'l') ADVANCE(157);
      END_STATE();
    case 97:
      if (lookahead == 'n') ADVANCE(158);
      END_STATE();
    case 98:
      if (lookahead == 'e') ADVANCE(159);
      END_STATE();
    case 99:
      if (lookahead == 'u') ADVANCE(160);
      END_STATE();
    case 100:
      if (lookahead == 'l') ADVANCE(161);
      END_STATE();
    case 101:
      if (lookahead == 'q') ADVANCE(162);
      END_STATE();
    case 102:
      if (lookahead == 'l') ADVANCE(163);
      END_STATE();
    case 103:
      if (lookahead == 'k') ADVANCE(164);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_pub);
      END_STATE();
    case 105:
      if (lookahead == 'u') ADVANCE(165);
      END_STATE();
    case 106:
      if (lookahead == 'u') ADVANCE(166);
      END_STATE();
    case 107:
      if (lookahead == 'u') ADVANCE(167);
      END_STATE();
    case 108:
      if (lookahead == 'p') ADVANCE(168);
      END_STATE();
    case 109:
      if (lookahead == 't') ADVANCE(169);
      END_STATE();
    case 110:
      if (lookahead == 't') ADVANCE(170);
      END_STATE();
    case 111:
      if (lookahead == 'e') ADVANCE(171);
      END_STATE();
    case 112:
      if (lookahead == 'e') ADVANCE(172);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 114:
      if (lookahead == 'e') ADVANCE(173);
      END_STATE();
    case 115:
      if (lookahead == 'e') ADVANCE(174);
      END_STATE();
    case 116:
      if (lookahead == 'o') ADVANCE(175);
      END_STATE();
    case 117:
      if (lookahead == 'e') ADVANCE(176);
      END_STATE();
    case 118:
      if (lookahead == 'n') ADVANCE(177);
      if (lookahead == 'z') ADVANCE(178);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 120:
      if (lookahead == 'd') ADVANCE(179);
      END_STATE();
    case 121:
      if (lookahead == 'a') ADVANCE(180);
      END_STATE();
    case 122:
      if (lookahead == 'l') ADVANCE(181);
      END_STATE();
    case 123:
      if (lookahead == 's') ADVANCE(182);
      END_STATE();
    case 124:
      if (lookahead == 'n') ADVANCE(183);
      END_STATE();
    case 125:
      if (lookahead == 'w') ADVANCE(184);
      END_STATE();
    case 126:
      if (lookahead == 'r') ADVANCE(185);
      END_STATE();
    case 127:
      if (lookahead == 'r') ADVANCE(186);
      END_STATE();
    case 128:
      if (lookahead == 'p') ADVANCE(187);
      END_STATE();
    case 129:
      if (lookahead == 'y') ADVANCE(188);
      END_STATE();
    case 130:
      if (lookahead == 'c') ADVANCE(189);
      END_STATE();
    case 131:
      if (lookahead == 't') ADVANCE(190);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_bool);
      END_STATE();
    case 133:
      if (lookahead == 'k') ADVANCE(191);
      END_STATE();
    case 134:
      if (lookahead == 't') ADVANCE(192);
      END_STATE();
    case 135:
      if (lookahead == 'n') ADVANCE(193);
      END_STATE();
    case 136:
      if (lookahead == 'o') ADVANCE(194);
      END_STATE();
    case 137:
      if (lookahead == 'n') ADVANCE(195);
      END_STATE();
    case 138:
      if (lookahead == 'o') ADVANCE(196);
      END_STATE();
    case 139:
      if (lookahead == 'h') ADVANCE(197);
      END_STATE();
    case 140:
      if (lookahead == 'c') ADVANCE(198);
      END_STATE();
    case 141:
      if (lookahead == 'h') ADVANCE(199);
      END_STATE();
    case 142:
      if (lookahead == 't') ADVANCE(200);
      END_STATE();
    case 143:
      if (lookahead == 't') ADVANCE(201);
      END_STATE();
    case 144:
      if (lookahead == 'i') ADVANCE(202);
      END_STATE();
    case 145:
      if (lookahead == 'r') ADVANCE(203);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 148:
      if (lookahead == 'e') ADVANCE(204);
      END_STATE();
    case 149:
      if (lookahead == 'r') ADVANCE(205);
      END_STATE();
    case 150:
      if (lookahead == 'r') ADVANCE(206);
      END_STATE();
    case 151:
      if (lookahead == 'r') ADVANCE(207);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_f128);
      END_STATE();
    case 153:
      if (lookahead == 'e') ADVANCE(208);
      END_STATE();
    case 154:
      if (lookahead == 'n') ADVANCE(209);
      END_STATE();
    case 155:
      if (lookahead == 'e') ADVANCE(210);
      END_STATE();
    case 156:
      if (lookahead == 's') ADVANCE(211);
      END_STATE();
    case 157:
      if (lookahead == 'i') ADVANCE(212);
      END_STATE();
    case 158:
      if (lookahead == 'l') ADVANCE(213);
      END_STATE();
    case 159:
      if (lookahead == 't') ADVANCE(214);
      END_STATE();
    case 160:
      if (lookahead == 's') ADVANCE(215);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_null);
      END_STATE();
    case 162:
      if (lookahead == 'u') ADVANCE(216);
      END_STATE();
    case 163:
      if (lookahead == 's') ADVANCE(217);
      END_STATE();
    case 164:
      if (lookahead == 'e') ADVANCE(218);
      END_STATE();
    case 165:
      if (lookahead == 'm') ADVANCE(219);
      END_STATE();
    case 166:
      if (lookahead == 'r') ADVANCE(220);
      END_STATE();
    case 167:
      if (lookahead == 'c') ADVANCE(221);
      END_STATE();
    case 168:
      if (lookahead == 'e') ADVANCE(222);
      END_STATE();
    case 169:
      if (lookahead == 'c') ADVANCE(223);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_test);
      END_STATE();
    case 171:
      if (lookahead == 'a') ADVANCE(224);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_type);
      END_STATE();
    case 174:
      if (lookahead == 'f') ADVANCE(225);
      END_STATE();
    case 175:
      if (lookahead == 'n') ADVANCE(226);
      END_STATE();
    case 176:
      if (lookahead == 'a') ADVANCE(227);
      END_STATE();
    case 177:
      if (lookahead == 'g') ADVANCE(228);
      END_STATE();
    case 178:
      if (lookahead == 'e') ADVANCE(229);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 180:
      if (lookahead == 't') ADVANCE(230);
      END_STATE();
    case 181:
      if (lookahead == 'e') ADVANCE(231);
      END_STATE();
    case 182:
      if (lookahead == 'p') ADVANCE(232);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_align);
      END_STATE();
    case 184:
      if (lookahead == 'z') ADVANCE(233);
      END_STATE();
    case 185:
      if (lookahead == 'r') ADVANCE(234);
      END_STATE();
    case 186:
      if (lookahead == 'a') ADVANCE(235);
      END_STATE();
    case 187:
      if (lookahead == 'a') ADVANCE(236);
      END_STATE();
    case 188:
      if (lookahead == 'p') ADVANCE(237);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_c_int);
      END_STATE();
    case 193:
      if (lookahead == 'g') ADVANCE(238);
      END_STATE();
    case 194:
      if (lookahead == 'r') ADVANCE(239);
      END_STATE();
    case 195:
      if (lookahead == 't') ADVANCE(240);
      END_STATE();
    case 196:
      if (lookahead == 'n') ADVANCE(241);
      END_STATE();
    case 197:
      if (lookahead == 'o') ADVANCE(242);
      END_STATE();
    case 198:
      if (lookahead == 'o') ADVANCE(243);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 200:
      if (lookahead == 'i') ADVANCE(244);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 202:
      if (lookahead == 'n') ADVANCE(245);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_defer);
      END_STATE();
    case 204:
      if (lookahead == 'f') ADVANCE(246);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_error);
      END_STATE();
    case 206:
      if (lookahead == 't') ADVANCE(247);
      END_STATE();
    case 207:
      if (lookahead == 'n') ADVANCE(248);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 209:
      if (lookahead == 'e') ADVANCE(249);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_isize);
      END_STATE();
    case 211:
      if (lookahead == 'e') ADVANCE(250);
      END_STATE();
    case 212:
      if (lookahead == 'a') ADVANCE(251);
      END_STATE();
    case 213:
      if (lookahead == 'i') ADVANCE(252);
      END_STATE();
    case 214:
      if (lookahead == 'u') ADVANCE(253);
      END_STATE();
    case 215:
      if (lookahead == 'p') ADVANCE(254);
      END_STATE();
    case 216:
      if (lookahead == 'e') ADVANCE(255);
      END_STATE();
    case 217:
      if (lookahead == 'e') ADVANCE(256);
      END_STATE();
    case 218:
      if (lookahead == 'd') ADVANCE(257);
      END_STATE();
    case 219:
      if (lookahead == 'e') ADVANCE(258);
      END_STATE();
    case 220:
      if (lookahead == 'n') ADVANCE(259);
      END_STATE();
    case 221:
      if (lookahead == 't') ADVANCE(260);
      END_STATE();
    case 222:
      if (lookahead == 'n') ADVANCE(261);
      END_STATE();
    case 223:
      if (lookahead == 'h') ADVANCE(262);
      END_STATE();
    case 224:
      if (lookahead == 'd') ADVANCE(263);
      END_STATE();
    case 225:
      if (lookahead == 'i') ADVANCE(264);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(anon_sym_union);
      END_STATE();
    case 227:
      if (lookahead == 'c') ADVANCE(265);
      END_STATE();
    case 228:
      if (lookahead == 'n') ADVANCE(266);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(anon_sym_usize);
      END_STATE();
    case 230:
      if (lookahead == 'i') ADVANCE(267);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 232:
      if (lookahead == 'a') ADVANCE(268);
      END_STATE();
    case 233:
      if (lookahead == 'e') ADVANCE(269);
      END_STATE();
    case 234:
      if (lookahead == 'o') ADVANCE(270);
      END_STATE();
    case 235:
      if (lookahead == 'm') ADVANCE(271);
      END_STATE();
    case 236:
      if (lookahead == 'q') ADVANCE(272);
      END_STATE();
    case 237:
      if (lookahead == 'e') ADVANCE(273);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(anon_sym_c_long);
      if (lookahead == 'd') ADVANCE(274);
      if (lookahead == 'l') ADVANCE(275);
      END_STATE();
    case 239:
      if (lookahead == 't') ADVANCE(276);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym_c_uint);
      END_STATE();
    case 241:
      if (lookahead == 'g') ADVANCE(277);
      END_STATE();
    case 242:
      if (lookahead == 'r') ADVANCE(278);
      END_STATE();
    case 243:
      if (lookahead == 'n') ADVANCE(279);
      END_STATE();
    case 244:
      if (lookahead == 'm') ADVANCE(280);
      END_STATE();
    case 245:
      if (lookahead == 'u') ADVANCE(281);
      END_STATE();
    case 246:
      if (lookahead == 'e') ADVANCE(282);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(anon_sym_extern);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(anon_sym_inline);
      END_STATE();
    case 250:
      if (lookahead == 'c') ADVANCE(283);
      END_STATE();
    case 251:
      if (lookahead == 's') ADVANCE(284);
      END_STATE();
    case 252:
      if (lookahead == 'n') ADVANCE(285);
      END_STATE();
    case 253:
      if (lookahead == 'r') ADVANCE(286);
      END_STATE();
    case 254:
      if (lookahead == 'e') ADVANCE(287);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_opaque);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_orelse);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(anon_sym_packed);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(anon_sym_resume);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 261:
      if (lookahead == 'd') ADVANCE(288);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 263:
      if (lookahead == 'l') ADVANCE(289);
      END_STATE();
    case 264:
      if (lookahead == 'n') ADVANCE(290);
      END_STATE();
    case 265:
      if (lookahead == 'h') ADVANCE(291);
      END_STATE();
    case 266:
      if (lookahead == 'a') ADVANCE(292);
      END_STATE();
    case 267:
      if (lookahead == 'l') ADVANCE(293);
      END_STATE();
    case 268:
      if (lookahead == 'c') ADVANCE(294);
      END_STATE();
    case 269:
      if (lookahead == 'r') ADVANCE(295);
      END_STATE();
    case 270:
      if (lookahead == 'r') ADVANCE(296);
      END_STATE();
    case 271:
      if (lookahead == 'e') ADVANCE(297);
      END_STATE();
    case 272:
      if (lookahead == 'u') ADVANCE(298);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(anon_sym_anytype);
      END_STATE();
    case 274:
      if (lookahead == 'o') ADVANCE(299);
      END_STATE();
    case 275:
      if (lookahead == 'o') ADVANCE(300);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(anon_sym_c_short);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(anon_sym_c_ulong);
      if (lookahead == 'l') ADVANCE(301);
      END_STATE();
    case 278:
      if (lookahead == 't') ADVANCE(302);
      END_STATE();
    case 279:
      if (lookahead == 'v') ADVANCE(303);
      END_STATE();
    case 280:
      if (lookahead == 'e') ADVANCE(304);
      END_STATE();
    case 281:
      if (lookahead == 'e') ADVANCE(305);
      END_STATE();
    case 282:
      if (lookahead == 'r') ADVANCE(306);
      END_STATE();
    case 283:
      if (lookahead == 't') ADVANCE(307);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(anon_sym_noalias);
      END_STATE();
    case 285:
      if (lookahead == 'e') ADVANCE(308);
      END_STATE();
    case 286:
      if (lookahead == 'n') ADVANCE(309);
      END_STATE();
    case 287:
      if (lookahead == 'n') ADVANCE(310);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(anon_sym_suspend);
      END_STATE();
    case 289:
      if (lookahead == 'o') ADVANCE(311);
      END_STATE();
    case 290:
      if (lookahead == 'e') ADVANCE(312);
      END_STATE();
    case 291:
      if (lookahead == 'a') ADVANCE(313);
      END_STATE();
    case 292:
      if (lookahead == 'm') ADVANCE(314);
      END_STATE();
    case 293:
      if (lookahead == 'e') ADVANCE(315);
      END_STATE();
    case 294:
      if (lookahead == 'e') ADVANCE(316);
      END_STATE();
    case 295:
      if (lookahead == 'o') ADVANCE(317);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(anon_sym_anyerror);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(anon_sym_anyframe);
      END_STATE();
    case 298:
      if (lookahead == 'e') ADVANCE(318);
      END_STATE();
    case 299:
      if (lookahead == 'u') ADVANCE(319);
      END_STATE();
    case 300:
      if (lookahead == 'n') ADVANCE(320);
      END_STATE();
    case 301:
      if (lookahead == 'o') ADVANCE(321);
      END_STATE();
    case 302:
      ACCEPT_TOKEN(anon_sym_c_ushort);
      END_STATE();
    case 303:
      ACCEPT_TOKEN(anon_sym_callconv);
      END_STATE();
    case 304:
      ACCEPT_TOKEN(anon_sym_comptime);
      if (lookahead == '_') ADVANCE(322);
      END_STATE();
    case 305:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 306:
      ACCEPT_TOKEN(anon_sym_errdefer);
      END_STATE();
    case 307:
      if (lookahead == 'i') ADVANCE(323);
      END_STATE();
    case 308:
      ACCEPT_TOKEN(anon_sym_noinline);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(anon_sym_noreturn);
      END_STATE();
    case 310:
      if (lookahead == 'd') ADVANCE(324);
      END_STATE();
    case 311:
      if (lookahead == 'c') ADVANCE(325);
      END_STATE();
    case 312:
      if (lookahead == 'd') ADVANCE(326);
      END_STATE();
    case 313:
      if (lookahead == 'b') ADVANCE(327);
      END_STATE();
    case 314:
      if (lookahead == 'e') ADVANCE(328);
      END_STATE();
    case 315:
      ACCEPT_TOKEN(anon_sym_volatile);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(anon_sym_addrspace);
      END_STATE();
    case 317:
      ACCEPT_TOKEN(anon_sym_allowzero);
      END_STATE();
    case 318:
      ACCEPT_TOKEN(anon_sym_anyopaque);
      END_STATE();
    case 319:
      if (lookahead == 'b') ADVANCE(329);
      END_STATE();
    case 320:
      if (lookahead == 'g') ADVANCE(330);
      END_STATE();
    case 321:
      if (lookahead == 'n') ADVANCE(331);
      END_STATE();
    case 322:
      if (lookahead == 'f') ADVANCE(332);
      if (lookahead == 'i') ADVANCE(333);
      END_STATE();
    case 323:
      if (lookahead == 'o') ADVANCE(334);
      END_STATE();
    case 324:
      ACCEPT_TOKEN(anon_sym_nosuspend);
      END_STATE();
    case 325:
      if (lookahead == 'a') ADVANCE(335);
      END_STATE();
    case 326:
      ACCEPT_TOKEN(anon_sym_undefined);
      END_STATE();
    case 327:
      if (lookahead == 'l') ADVANCE(336);
      END_STATE();
    case 328:
      if (lookahead == 's') ADVANCE(337);
      END_STATE();
    case 329:
      if (lookahead == 'l') ADVANCE(338);
      END_STATE();
    case 330:
      ACCEPT_TOKEN(anon_sym_c_longlong);
      END_STATE();
    case 331:
      if (lookahead == 'g') ADVANCE(339);
      END_STATE();
    case 332:
      if (lookahead == 'l') ADVANCE(340);
      END_STATE();
    case 333:
      if (lookahead == 'n') ADVANCE(341);
      END_STATE();
    case 334:
      if (lookahead == 'n') ADVANCE(342);
      END_STATE();
    case 335:
      if (lookahead == 'l') ADVANCE(343);
      END_STATE();
    case 336:
      if (lookahead == 'e') ADVANCE(344);
      END_STATE();
    case 337:
      if (lookahead == 'p') ADVANCE(345);
      END_STATE();
    case 338:
      if (lookahead == 'e') ADVANCE(346);
      END_STATE();
    case 339:
      ACCEPT_TOKEN(anon_sym_c_ulonglong);
      END_STATE();
    case 340:
      if (lookahead == 'o') ADVANCE(347);
      END_STATE();
    case 341:
      if (lookahead == 't') ADVANCE(348);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(anon_sym_linksection);
      END_STATE();
    case 343:
      ACCEPT_TOKEN(anon_sym_threadlocal);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(anon_sym_unreachable);
      END_STATE();
    case 345:
      if (lookahead == 'a') ADVANCE(349);
      END_STATE();
    case 346:
      ACCEPT_TOKEN(anon_sym_c_longdouble);
      END_STATE();
    case 347:
      if (lookahead == 'a') ADVANCE(350);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(anon_sym_comptime_int);
      END_STATE();
    case 349:
      if (lookahead == 'c') ADVANCE(351);
      END_STATE();
    case 350:
      if (lookahead == 't') ADVANCE(352);
      END_STATE();
    case 351:
      if (lookahead == 'e') ADVANCE(353);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(anon_sym_comptime_float);
      END_STATE();
    case 353:
      ACCEPT_TOKEN(anon_sym_usingnamespace);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 29},
  [2] = {.lex_state = 28},
  [3] = {.lex_state = 28},
  [4] = {.lex_state = 28},
  [5] = {.lex_state = 28},
  [6] = {.lex_state = 28},
  [7] = {.lex_state = 28},
  [8] = {.lex_state = 28},
  [9] = {.lex_state = 28},
  [10] = {.lex_state = 28},
  [11] = {.lex_state = 28},
  [12] = {.lex_state = 28},
  [13] = {.lex_state = 3},
  [14] = {.lex_state = 3},
  [15] = {.lex_state = 3},
  [16] = {.lex_state = 3},
  [17] = {.lex_state = 28},
  [18] = {.lex_state = 28},
  [19] = {.lex_state = 28},
  [20] = {.lex_state = 28},
  [21] = {.lex_state = 3},
  [22] = {.lex_state = 28},
  [23] = {.lex_state = 3},
  [24] = {.lex_state = 3},
  [25] = {.lex_state = 3},
  [26] = {.lex_state = 28},
  [27] = {.lex_state = 28},
  [28] = {.lex_state = 28},
  [29] = {.lex_state = 28},
  [30] = {.lex_state = 3},
  [31] = {.lex_state = 3},
  [32] = {.lex_state = 3},
  [33] = {.lex_state = 28},
  [34] = {.lex_state = 28},
  [35] = {.lex_state = 28},
  [36] = {.lex_state = 28},
  [37] = {.lex_state = 29},
  [38] = {.lex_state = 29},
  [39] = {.lex_state = 29},
  [40] = {.lex_state = 29},
  [41] = {.lex_state = 29},
  [42] = {.lex_state = 29},
  [43] = {.lex_state = 29},
  [44] = {.lex_state = 29},
  [45] = {.lex_state = 29},
  [46] = {.lex_state = 29},
  [47] = {.lex_state = 29},
  [48] = {.lex_state = 29},
  [49] = {.lex_state = 29},
  [50] = {.lex_state = 29},
  [51] = {.lex_state = 29},
  [52] = {.lex_state = 29},
  [53] = {.lex_state = 29},
  [54] = {.lex_state = 29},
  [55] = {.lex_state = 29},
  [56] = {.lex_state = 29},
  [57] = {.lex_state = 29},
  [58] = {.lex_state = 29},
  [59] = {.lex_state = 29},
  [60] = {.lex_state = 29},
  [61] = {.lex_state = 29},
  [62] = {.lex_state = 29},
  [63] = {.lex_state = 29},
  [64] = {.lex_state = 29},
  [65] = {.lex_state = 29},
  [66] = {.lex_state = 29},
  [67] = {.lex_state = 29},
  [68] = {.lex_state = 29},
  [69] = {.lex_state = 29},
  [70] = {.lex_state = 29},
  [71] = {.lex_state = 29},
  [72] = {.lex_state = 29},
  [73] = {.lex_state = 29},
  [74] = {.lex_state = 29},
  [75] = {.lex_state = 29},
  [76] = {.lex_state = 29},
  [77] = {.lex_state = 29},
  [78] = {.lex_state = 29},
  [79] = {.lex_state = 29},
  [80] = {.lex_state = 29},
  [81] = {.lex_state = 29},
  [82] = {.lex_state = 29},
  [83] = {.lex_state = 29},
  [84] = {.lex_state = 29},
  [85] = {.lex_state = 29},
  [86] = {.lex_state = 29},
  [87] = {.lex_state = 29},
  [88] = {.lex_state = 29},
  [89] = {.lex_state = 29},
  [90] = {.lex_state = 29},
  [91] = {.lex_state = 29},
  [92] = {.lex_state = 29},
  [93] = {.lex_state = 28},
  [94] = {.lex_state = 28},
  [95] = {.lex_state = 29},
  [96] = {.lex_state = 29},
  [97] = {.lex_state = 29},
  [98] = {.lex_state = 29},
  [99] = {.lex_state = 29},
  [100] = {.lex_state = 29},
  [101] = {.lex_state = 29},
  [102] = {.lex_state = 29},
  [103] = {.lex_state = 29},
  [104] = {.lex_state = 29},
  [105] = {.lex_state = 29},
  [106] = {.lex_state = 29},
  [107] = {.lex_state = 29},
  [108] = {.lex_state = 29},
  [109] = {.lex_state = 29},
  [110] = {.lex_state = 29},
  [111] = {.lex_state = 29},
  [112] = {.lex_state = 29},
  [113] = {.lex_state = 29},
  [114] = {.lex_state = 29},
  [115] = {.lex_state = 29},
  [116] = {.lex_state = 29},
  [117] = {.lex_state = 29},
  [118] = {.lex_state = 29},
  [119] = {.lex_state = 29},
  [120] = {.lex_state = 29},
  [121] = {.lex_state = 29},
  [122] = {.lex_state = 29},
  [123] = {.lex_state = 29},
  [124] = {.lex_state = 29},
  [125] = {.lex_state = 29},
  [126] = {.lex_state = 29},
  [127] = {.lex_state = 28},
  [128] = {.lex_state = 29},
  [129] = {.lex_state = 29},
  [130] = {.lex_state = 29},
  [131] = {.lex_state = 29},
  [132] = {.lex_state = 29},
  [133] = {.lex_state = 29},
  [134] = {.lex_state = 28},
  [135] = {.lex_state = 29},
  [136] = {.lex_state = 29},
  [137] = {.lex_state = 29},
  [138] = {.lex_state = 29},
  [139] = {.lex_state = 29},
  [140] = {.lex_state = 29},
  [141] = {.lex_state = 29},
  [142] = {.lex_state = 28},
  [143] = {.lex_state = 28},
  [144] = {.lex_state = 29},
  [145] = {.lex_state = 28},
  [146] = {.lex_state = 29},
  [147] = {.lex_state = 29},
  [148] = {.lex_state = 29},
  [149] = {.lex_state = 29},
  [150] = {.lex_state = 29},
  [151] = {.lex_state = 29},
  [152] = {.lex_state = 29},
  [153] = {.lex_state = 29},
  [154] = {.lex_state = 29},
  [155] = {.lex_state = 29},
  [156] = {.lex_state = 29},
  [157] = {.lex_state = 29},
  [158] = {.lex_state = 29},
  [159] = {.lex_state = 29},
  [160] = {.lex_state = 29},
  [161] = {.lex_state = 29},
  [162] = {.lex_state = 29},
  [163] = {.lex_state = 29},
  [164] = {.lex_state = 29},
  [165] = {.lex_state = 29},
  [166] = {.lex_state = 29},
  [167] = {.lex_state = 29},
  [168] = {.lex_state = 29},
  [169] = {.lex_state = 29},
  [170] = {.lex_state = 29},
  [171] = {.lex_state = 29},
  [172] = {.lex_state = 29},
  [173] = {.lex_state = 29},
  [174] = {.lex_state = 29},
  [175] = {.lex_state = 28},
  [176] = {.lex_state = 29},
  [177] = {.lex_state = 28},
  [178] = {.lex_state = 29},
  [179] = {.lex_state = 29},
  [180] = {.lex_state = 29},
  [181] = {.lex_state = 29},
  [182] = {.lex_state = 29},
  [183] = {.lex_state = 29},
  [184] = {.lex_state = 29},
  [185] = {.lex_state = 29},
  [186] = {.lex_state = 29},
  [187] = {.lex_state = 29},
  [188] = {.lex_state = 29},
  [189] = {.lex_state = 29},
  [190] = {.lex_state = 29},
  [191] = {.lex_state = 29},
  [192] = {.lex_state = 29},
  [193] = {.lex_state = 29},
  [194] = {.lex_state = 29},
  [195] = {.lex_state = 29},
  [196] = {.lex_state = 29},
  [197] = {.lex_state = 29},
  [198] = {.lex_state = 29},
  [199] = {.lex_state = 29},
  [200] = {.lex_state = 29},
  [201] = {.lex_state = 29},
  [202] = {.lex_state = 29},
  [203] = {.lex_state = 29},
  [204] = {.lex_state = 29},
  [205] = {.lex_state = 29},
  [206] = {.lex_state = 29},
  [207] = {.lex_state = 29},
  [208] = {.lex_state = 29},
  [209] = {.lex_state = 29},
  [210] = {.lex_state = 29},
  [211] = {.lex_state = 29},
  [212] = {.lex_state = 29},
  [213] = {.lex_state = 29},
  [214] = {.lex_state = 29},
  [215] = {.lex_state = 29},
  [216] = {.lex_state = 29},
  [217] = {.lex_state = 29},
  [218] = {.lex_state = 29},
  [219] = {.lex_state = 29},
  [220] = {.lex_state = 29},
  [221] = {.lex_state = 29},
  [222] = {.lex_state = 29},
  [223] = {.lex_state = 29},
  [224] = {.lex_state = 29},
  [225] = {.lex_state = 29},
  [226] = {.lex_state = 29},
  [227] = {.lex_state = 29},
  [228] = {.lex_state = 29},
  [229] = {.lex_state = 29},
  [230] = {.lex_state = 29},
  [231] = {.lex_state = 29},
  [232] = {.lex_state = 29},
  [233] = {.lex_state = 29},
  [234] = {.lex_state = 29},
  [235] = {.lex_state = 29},
  [236] = {.lex_state = 29},
  [237] = {.lex_state = 29},
  [238] = {.lex_state = 29},
  [239] = {.lex_state = 29},
  [240] = {.lex_state = 29},
  [241] = {.lex_state = 29},
  [242] = {.lex_state = 29},
  [243] = {.lex_state = 29},
  [244] = {.lex_state = 29},
  [245] = {.lex_state = 29},
  [246] = {.lex_state = 29},
  [247] = {.lex_state = 29},
  [248] = {.lex_state = 28},
  [249] = {.lex_state = 29},
  [250] = {.lex_state = 29},
  [251] = {.lex_state = 29},
  [252] = {.lex_state = 29},
  [253] = {.lex_state = 28},
  [254] = {.lex_state = 29},
  [255] = {.lex_state = 29},
  [256] = {.lex_state = 29},
  [257] = {.lex_state = 29},
  [258] = {.lex_state = 29},
  [259] = {.lex_state = 29},
  [260] = {.lex_state = 29},
  [261] = {.lex_state = 29},
  [262] = {.lex_state = 29},
  [263] = {.lex_state = 29},
  [264] = {.lex_state = 29},
  [265] = {.lex_state = 29},
  [266] = {.lex_state = 29},
  [267] = {.lex_state = 29},
  [268] = {.lex_state = 29},
  [269] = {.lex_state = 29},
  [270] = {.lex_state = 29},
  [271] = {.lex_state = 29},
  [272] = {.lex_state = 28},
  [273] = {.lex_state = 29},
  [274] = {.lex_state = 29},
  [275] = {.lex_state = 29},
  [276] = {.lex_state = 29},
  [277] = {.lex_state = 29},
  [278] = {.lex_state = 29},
  [279] = {.lex_state = 29},
  [280] = {.lex_state = 29},
  [281] = {.lex_state = 29},
  [282] = {.lex_state = 29},
  [283] = {.lex_state = 29},
  [284] = {.lex_state = 29},
  [285] = {.lex_state = 29},
  [286] = {.lex_state = 29},
  [287] = {.lex_state = 29},
  [288] = {.lex_state = 29},
  [289] = {.lex_state = 29},
  [290] = {.lex_state = 29},
  [291] = {.lex_state = 29},
  [292] = {.lex_state = 29},
  [293] = {.lex_state = 29},
  [294] = {.lex_state = 29},
  [295] = {.lex_state = 29},
  [296] = {.lex_state = 29},
  [297] = {.lex_state = 29},
  [298] = {.lex_state = 29},
  [299] = {.lex_state = 29},
  [300] = {.lex_state = 29},
  [301] = {.lex_state = 29},
  [302] = {.lex_state = 29},
  [303] = {.lex_state = 29},
  [304] = {.lex_state = 29},
  [305] = {.lex_state = 29},
  [306] = {.lex_state = 29},
  [307] = {.lex_state = 29},
  [308] = {.lex_state = 29},
  [309] = {.lex_state = 29},
  [310] = {.lex_state = 29},
  [311] = {.lex_state = 29},
  [312] = {.lex_state = 29},
  [313] = {.lex_state = 29},
  [314] = {.lex_state = 29},
  [315] = {.lex_state = 29},
  [316] = {.lex_state = 29},
  [317] = {.lex_state = 29},
  [318] = {.lex_state = 29},
  [319] = {.lex_state = 29},
  [320] = {.lex_state = 29},
  [321] = {.lex_state = 29},
  [322] = {.lex_state = 29},
  [323] = {.lex_state = 29},
  [324] = {.lex_state = 29},
  [325] = {.lex_state = 29},
  [326] = {.lex_state = 29},
  [327] = {.lex_state = 29},
  [328] = {.lex_state = 29},
  [329] = {.lex_state = 29},
  [330] = {.lex_state = 29},
  [331] = {.lex_state = 29},
  [332] = {.lex_state = 29},
  [333] = {.lex_state = 29},
  [334] = {.lex_state = 29},
  [335] = {.lex_state = 29},
  [336] = {.lex_state = 29},
  [337] = {.lex_state = 29},
  [338] = {.lex_state = 29},
  [339] = {.lex_state = 29},
  [340] = {.lex_state = 29},
  [341] = {.lex_state = 29},
  [342] = {.lex_state = 29},
  [343] = {.lex_state = 29},
  [344] = {.lex_state = 29},
  [345] = {.lex_state = 29},
  [346] = {.lex_state = 29},
  [347] = {.lex_state = 29},
  [348] = {.lex_state = 29},
  [349] = {.lex_state = 29},
  [350] = {.lex_state = 29},
  [351] = {.lex_state = 29},
  [352] = {.lex_state = 29},
  [353] = {.lex_state = 29},
  [354] = {.lex_state = 29},
  [355] = {.lex_state = 29},
  [356] = {.lex_state = 29},
  [357] = {.lex_state = 29},
  [358] = {.lex_state = 29},
  [359] = {.lex_state = 29},
  [360] = {.lex_state = 29},
  [361] = {.lex_state = 29},
  [362] = {.lex_state = 29},
  [363] = {.lex_state = 29},
  [364] = {.lex_state = 29},
  [365] = {.lex_state = 29},
  [366] = {.lex_state = 29},
  [367] = {.lex_state = 29},
  [368] = {.lex_state = 29},
  [369] = {.lex_state = 29},
  [370] = {.lex_state = 29},
  [371] = {.lex_state = 29},
  [372] = {.lex_state = 29},
  [373] = {.lex_state = 28},
  [374] = {.lex_state = 29},
  [375] = {.lex_state = 29},
  [376] = {.lex_state = 29},
  [377] = {.lex_state = 29},
  [378] = {.lex_state = 29},
  [379] = {.lex_state = 29},
  [380] = {.lex_state = 29},
  [381] = {.lex_state = 29},
  [382] = {.lex_state = 29},
  [383] = {.lex_state = 29},
  [384] = {.lex_state = 29},
  [385] = {.lex_state = 29},
  [386] = {.lex_state = 29},
  [387] = {.lex_state = 29},
  [388] = {.lex_state = 29},
  [389] = {.lex_state = 29},
  [390] = {.lex_state = 29},
  [391] = {.lex_state = 29},
  [392] = {.lex_state = 29},
  [393] = {.lex_state = 29},
  [394] = {.lex_state = 29},
  [395] = {.lex_state = 29},
  [396] = {.lex_state = 29},
  [397] = {.lex_state = 29},
  [398] = {.lex_state = 29},
  [399] = {.lex_state = 29},
  [400] = {.lex_state = 29},
  [401] = {.lex_state = 29},
  [402] = {.lex_state = 29},
  [403] = {.lex_state = 29},
  [404] = {.lex_state = 29},
  [405] = {.lex_state = 29},
  [406] = {.lex_state = 29},
  [407] = {.lex_state = 29},
  [408] = {.lex_state = 29},
  [409] = {.lex_state = 29},
  [410] = {.lex_state = 29},
  [411] = {.lex_state = 29},
  [412] = {.lex_state = 29},
  [413] = {.lex_state = 29},
  [414] = {.lex_state = 29},
  [415] = {.lex_state = 29},
  [416] = {.lex_state = 29},
  [417] = {.lex_state = 29},
  [418] = {.lex_state = 29},
  [419] = {.lex_state = 29},
  [420] = {.lex_state = 29},
  [421] = {.lex_state = 29},
  [422] = {.lex_state = 29},
  [423] = {.lex_state = 29},
  [424] = {.lex_state = 29},
  [425] = {.lex_state = 29},
  [426] = {.lex_state = 29},
  [427] = {.lex_state = 29},
  [428] = {.lex_state = 29},
  [429] = {.lex_state = 29},
  [430] = {.lex_state = 29},
  [431] = {.lex_state = 29},
  [432] = {.lex_state = 29},
  [433] = {.lex_state = 29},
  [434] = {.lex_state = 29},
  [435] = {.lex_state = 29},
  [436] = {.lex_state = 29},
  [437] = {.lex_state = 29},
  [438] = {.lex_state = 29},
  [439] = {.lex_state = 29},
  [440] = {.lex_state = 29},
  [441] = {.lex_state = 29},
  [442] = {.lex_state = 29},
  [443] = {.lex_state = 29},
  [444] = {.lex_state = 29},
  [445] = {.lex_state = 29},
  [446] = {.lex_state = 29},
  [447] = {.lex_state = 29},
  [448] = {.lex_state = 29},
  [449] = {.lex_state = 29},
  [450] = {.lex_state = 29},
  [451] = {.lex_state = 29},
  [452] = {.lex_state = 29},
  [453] = {.lex_state = 29},
  [454] = {.lex_state = 29},
  [455] = {.lex_state = 29},
  [456] = {.lex_state = 29},
  [457] = {.lex_state = 29},
  [458] = {.lex_state = 29},
  [459] = {.lex_state = 29},
  [460] = {.lex_state = 29},
  [461] = {.lex_state = 29},
  [462] = {.lex_state = 29},
  [463] = {.lex_state = 29},
  [464] = {.lex_state = 29},
  [465] = {.lex_state = 29},
  [466] = {.lex_state = 29},
  [467] = {.lex_state = 29},
  [468] = {.lex_state = 29},
  [469] = {.lex_state = 29},
  [470] = {.lex_state = 29},
  [471] = {.lex_state = 29},
  [472] = {.lex_state = 29},
  [473] = {.lex_state = 29},
  [474] = {.lex_state = 29},
  [475] = {.lex_state = 29},
  [476] = {.lex_state = 29},
  [477] = {.lex_state = 29},
  [478] = {.lex_state = 29},
  [479] = {.lex_state = 29},
  [480] = {.lex_state = 29},
  [481] = {.lex_state = 29},
  [482] = {.lex_state = 29},
  [483] = {.lex_state = 29},
  [484] = {.lex_state = 29},
  [485] = {.lex_state = 29},
  [486] = {.lex_state = 29},
  [487] = {.lex_state = 29},
  [488] = {.lex_state = 29},
  [489] = {.lex_state = 29},
  [490] = {.lex_state = 29},
  [491] = {.lex_state = 29},
  [492] = {.lex_state = 29},
  [493] = {.lex_state = 29},
  [494] = {.lex_state = 29},
  [495] = {.lex_state = 29},
  [496] = {.lex_state = 29},
  [497] = {.lex_state = 29},
  [498] = {.lex_state = 29},
  [499] = {.lex_state = 29},
  [500] = {.lex_state = 29},
  [501] = {.lex_state = 29},
  [502] = {.lex_state = 29},
  [503] = {.lex_state = 29},
  [504] = {.lex_state = 29},
  [505] = {.lex_state = 29},
  [506] = {.lex_state = 29},
  [507] = {.lex_state = 29},
  [508] = {.lex_state = 29},
  [509] = {.lex_state = 29},
  [510] = {.lex_state = 29},
  [511] = {.lex_state = 29},
  [512] = {.lex_state = 29},
  [513] = {.lex_state = 29},
  [514] = {.lex_state = 29},
  [515] = {.lex_state = 29},
  [516] = {.lex_state = 29},
  [517] = {.lex_state = 29},
  [518] = {.lex_state = 29},
  [519] = {.lex_state = 29},
  [520] = {.lex_state = 29},
  [521] = {.lex_state = 29},
  [522] = {.lex_state = 29},
  [523] = {.lex_state = 29},
  [524] = {.lex_state = 29},
  [525] = {.lex_state = 29},
  [526] = {.lex_state = 29},
  [527] = {.lex_state = 29},
  [528] = {.lex_state = 29},
  [529] = {.lex_state = 29},
  [530] = {.lex_state = 29},
  [531] = {.lex_state = 29},
  [532] = {.lex_state = 29},
  [533] = {.lex_state = 29},
  [534] = {.lex_state = 29},
  [535] = {.lex_state = 29},
  [536] = {.lex_state = 29},
  [537] = {.lex_state = 29},
  [538] = {.lex_state = 29},
  [539] = {.lex_state = 29},
  [540] = {.lex_state = 29},
  [541] = {.lex_state = 29},
  [542] = {.lex_state = 29},
  [543] = {.lex_state = 29},
  [544] = {.lex_state = 29},
  [545] = {.lex_state = 29},
  [546] = {.lex_state = 29},
  [547] = {.lex_state = 29},
  [548] = {.lex_state = 29},
  [549] = {.lex_state = 29},
  [550] = {.lex_state = 29},
  [551] = {.lex_state = 29},
  [552] = {.lex_state = 29},
  [553] = {.lex_state = 29},
  [554] = {.lex_state = 29},
  [555] = {.lex_state = 29},
  [556] = {.lex_state = 29},
  [557] = {.lex_state = 29},
  [558] = {.lex_state = 29},
  [559] = {.lex_state = 29},
  [560] = {.lex_state = 29},
  [561] = {.lex_state = 29},
  [562] = {.lex_state = 29},
  [563] = {.lex_state = 29},
  [564] = {.lex_state = 29},
  [565] = {.lex_state = 29},
  [566] = {.lex_state = 29},
  [567] = {.lex_state = 29},
  [568] = {.lex_state = 29},
  [569] = {.lex_state = 29},
  [570] = {.lex_state = 29},
  [571] = {.lex_state = 29},
  [572] = {.lex_state = 29},
  [573] = {.lex_state = 29},
  [574] = {.lex_state = 29},
  [575] = {.lex_state = 29},
  [576] = {.lex_state = 29},
  [577] = {.lex_state = 29},
  [578] = {.lex_state = 29},
  [579] = {.lex_state = 29},
  [580] = {.lex_state = 29},
  [581] = {.lex_state = 29},
  [582] = {.lex_state = 29},
  [583] = {.lex_state = 29},
  [584] = {.lex_state = 29},
  [585] = {.lex_state = 29},
  [586] = {.lex_state = 29},
  [587] = {.lex_state = 29},
  [588] = {.lex_state = 29},
  [589] = {.lex_state = 29},
  [590] = {.lex_state = 29},
  [591] = {.lex_state = 29},
  [592] = {.lex_state = 29},
  [593] = {.lex_state = 29},
  [594] = {.lex_state = 29},
  [595] = {.lex_state = 29},
  [596] = {.lex_state = 29},
  [597] = {.lex_state = 29},
  [598] = {.lex_state = 29},
  [599] = {.lex_state = 29},
  [600] = {.lex_state = 29},
  [601] = {.lex_state = 29},
  [602] = {.lex_state = 29},
  [603] = {.lex_state = 29},
  [604] = {.lex_state = 29},
  [605] = {.lex_state = 29},
  [606] = {.lex_state = 29},
  [607] = {.lex_state = 29},
  [608] = {.lex_state = 29},
  [609] = {.lex_state = 29},
  [610] = {.lex_state = 29},
  [611] = {.lex_state = 29},
  [612] = {.lex_state = 29},
  [613] = {.lex_state = 29},
  [614] = {.lex_state = 29},
  [615] = {.lex_state = 29},
  [616] = {.lex_state = 29},
  [617] = {.lex_state = 29},
  [618] = {.lex_state = 29},
  [619] = {.lex_state = 29},
  [620] = {.lex_state = 29},
  [621] = {.lex_state = 29},
  [622] = {.lex_state = 29},
  [623] = {.lex_state = 29},
  [624] = {.lex_state = 29},
  [625] = {.lex_state = 29},
  [626] = {.lex_state = 29},
  [627] = {.lex_state = 29},
  [628] = {.lex_state = 29},
  [629] = {.lex_state = 29},
  [630] = {.lex_state = 29},
  [631] = {.lex_state = 29},
  [632] = {.lex_state = 29},
  [633] = {.lex_state = 29},
  [634] = {.lex_state = 29},
  [635] = {.lex_state = 29},
  [636] = {.lex_state = 29},
  [637] = {.lex_state = 29},
  [638] = {.lex_state = 29},
  [639] = {.lex_state = 29},
  [640] = {.lex_state = 29},
  [641] = {.lex_state = 29},
  [642] = {.lex_state = 29},
  [643] = {.lex_state = 29},
  [644] = {.lex_state = 29},
  [645] = {.lex_state = 29},
  [646] = {.lex_state = 29},
  [647] = {.lex_state = 29},
  [648] = {.lex_state = 29},
  [649] = {.lex_state = 29},
  [650] = {.lex_state = 29},
  [651] = {.lex_state = 29},
  [652] = {.lex_state = 29},
  [653] = {.lex_state = 29},
  [654] = {.lex_state = 29},
  [655] = {.lex_state = 29},
  [656] = {.lex_state = 29},
  [657] = {.lex_state = 29},
  [658] = {.lex_state = 29},
  [659] = {.lex_state = 29},
  [660] = {.lex_state = 29},
  [661] = {.lex_state = 29},
  [662] = {.lex_state = 29},
  [663] = {.lex_state = 29},
  [664] = {.lex_state = 29},
  [665] = {.lex_state = 29},
  [666] = {.lex_state = 29},
  [667] = {.lex_state = 29},
  [668] = {.lex_state = 29},
  [669] = {.lex_state = 29},
  [670] = {.lex_state = 29},
  [671] = {.lex_state = 29},
  [672] = {.lex_state = 29},
  [673] = {.lex_state = 29},
  [674] = {.lex_state = 29},
  [675] = {.lex_state = 29},
  [676] = {.lex_state = 29},
  [677] = {.lex_state = 29},
  [678] = {.lex_state = 29},
  [679] = {.lex_state = 28},
  [680] = {.lex_state = 28},
  [681] = {.lex_state = 28},
  [682] = {.lex_state = 28},
  [683] = {.lex_state = 28},
  [684] = {.lex_state = 28},
  [685] = {.lex_state = 28},
  [686] = {.lex_state = 3},
  [687] = {.lex_state = 3},
  [688] = {.lex_state = 3},
  [689] = {.lex_state = 3},
  [690] = {.lex_state = 3},
  [691] = {.lex_state = 29},
  [692] = {.lex_state = 29},
  [693] = {.lex_state = 29},
  [694] = {.lex_state = 29},
  [695] = {.lex_state = 29},
  [696] = {.lex_state = 29},
  [697] = {.lex_state = 29},
  [698] = {.lex_state = 29},
  [699] = {.lex_state = 29},
  [700] = {.lex_state = 29},
  [701] = {.lex_state = 29},
  [702] = {.lex_state = 29},
  [703] = {.lex_state = 29},
  [704] = {.lex_state = 29},
  [705] = {.lex_state = 29},
  [706] = {.lex_state = 29},
  [707] = {.lex_state = 29},
  [708] = {.lex_state = 29},
  [709] = {.lex_state = 29},
  [710] = {.lex_state = 29},
  [711] = {.lex_state = 29},
  [712] = {.lex_state = 29},
  [713] = {.lex_state = 29},
  [714] = {.lex_state = 29},
  [715] = {.lex_state = 29},
  [716] = {.lex_state = 29},
  [717] = {.lex_state = 29},
  [718] = {.lex_state = 29},
  [719] = {.lex_state = 29},
  [720] = {.lex_state = 29},
  [721] = {.lex_state = 29},
  [722] = {.lex_state = 29},
  [723] = {.lex_state = 29},
  [724] = {.lex_state = 29},
  [725] = {.lex_state = 29},
  [726] = {.lex_state = 29},
  [727] = {.lex_state = 29},
  [728] = {.lex_state = 29},
  [729] = {.lex_state = 29},
  [730] = {.lex_state = 29},
  [731] = {.lex_state = 29},
  [732] = {.lex_state = 29},
  [733] = {.lex_state = 29},
  [734] = {.lex_state = 29},
  [735] = {.lex_state = 29},
  [736] = {.lex_state = 29},
  [737] = {.lex_state = 29},
  [738] = {.lex_state = 29},
  [739] = {.lex_state = 29},
  [740] = {.lex_state = 29},
  [741] = {.lex_state = 29},
  [742] = {.lex_state = 29},
  [743] = {.lex_state = 29},
  [744] = {.lex_state = 29},
  [745] = {.lex_state = 29},
  [746] = {.lex_state = 29},
  [747] = {.lex_state = 29},
  [748] = {.lex_state = 29},
  [749] = {.lex_state = 29},
  [750] = {.lex_state = 29},
  [751] = {.lex_state = 29},
  [752] = {.lex_state = 29},
  [753] = {.lex_state = 29},
  [754] = {.lex_state = 29},
  [755] = {.lex_state = 29},
  [756] = {.lex_state = 29},
  [757] = {.lex_state = 29},
  [758] = {.lex_state = 29},
  [759] = {.lex_state = 29},
  [760] = {.lex_state = 29},
  [761] = {.lex_state = 29},
  [762] = {.lex_state = 29},
  [763] = {.lex_state = 29},
  [764] = {.lex_state = 29},
  [765] = {.lex_state = 29},
  [766] = {.lex_state = 29},
  [767] = {.lex_state = 29},
  [768] = {.lex_state = 29},
  [769] = {.lex_state = 29},
  [770] = {.lex_state = 29},
  [771] = {.lex_state = 29},
  [772] = {.lex_state = 29},
  [773] = {.lex_state = 29},
  [774] = {.lex_state = 29},
  [775] = {.lex_state = 29},
  [776] = {.lex_state = 29},
  [777] = {.lex_state = 29},
  [778] = {.lex_state = 29},
  [779] = {.lex_state = 29},
  [780] = {.lex_state = 29},
  [781] = {.lex_state = 29},
  [782] = {.lex_state = 29},
  [783] = {.lex_state = 29},
  [784] = {.lex_state = 29},
  [785] = {.lex_state = 29},
  [786] = {.lex_state = 29},
  [787] = {.lex_state = 29},
  [788] = {.lex_state = 29},
  [789] = {.lex_state = 29},
  [790] = {.lex_state = 29},
  [791] = {.lex_state = 29},
  [792] = {.lex_state = 29},
  [793] = {.lex_state = 29},
  [794] = {.lex_state = 29},
  [795] = {.lex_state = 28},
  [796] = {.lex_state = 28},
  [797] = {.lex_state = 28},
  [798] = {.lex_state = 28},
  [799] = {.lex_state = 28},
  [800] = {.lex_state = 28},
  [801] = {.lex_state = 28},
  [802] = {.lex_state = 28},
  [803] = {.lex_state = 28},
  [804] = {.lex_state = 28},
  [805] = {.lex_state = 28},
  [806] = {.lex_state = 28},
  [807] = {.lex_state = 28},
  [808] = {.lex_state = 28},
  [809] = {.lex_state = 28},
  [810] = {.lex_state = 28},
  [811] = {.lex_state = 28},
  [812] = {.lex_state = 28},
  [813] = {.lex_state = 28},
  [814] = {.lex_state = 28},
  [815] = {.lex_state = 28},
  [816] = {.lex_state = 28},
  [817] = {.lex_state = 28},
  [818] = {.lex_state = 28},
  [819] = {.lex_state = 28},
  [820] = {.lex_state = 28},
  [821] = {.lex_state = 28},
  [822] = {.lex_state = 28},
  [823] = {.lex_state = 28},
  [824] = {.lex_state = 28},
  [825] = {.lex_state = 28},
  [826] = {.lex_state = 28},
  [827] = {.lex_state = 28},
  [828] = {.lex_state = 28},
  [829] = {.lex_state = 28},
  [830] = {.lex_state = 28},
  [831] = {.lex_state = 28},
  [832] = {.lex_state = 28},
  [833] = {.lex_state = 28},
  [834] = {.lex_state = 28},
  [835] = {.lex_state = 28},
  [836] = {.lex_state = 28},
  [837] = {.lex_state = 28},
  [838] = {.lex_state = 28},
  [839] = {.lex_state = 28},
  [840] = {.lex_state = 28},
  [841] = {.lex_state = 28},
  [842] = {.lex_state = 28},
  [843] = {.lex_state = 28},
  [844] = {.lex_state = 28},
  [845] = {.lex_state = 28},
  [846] = {.lex_state = 28},
  [847] = {.lex_state = 28},
  [848] = {.lex_state = 28},
  [849] = {.lex_state = 28},
  [850] = {.lex_state = 28},
  [851] = {.lex_state = 28},
  [852] = {.lex_state = 28},
  [853] = {.lex_state = 28},
  [854] = {.lex_state = 28},
  [855] = {.lex_state = 28},
  [856] = {.lex_state = 28},
  [857] = {.lex_state = 28},
  [858] = {.lex_state = 28},
  [859] = {.lex_state = 28},
  [860] = {.lex_state = 28},
  [861] = {.lex_state = 28},
  [862] = {.lex_state = 28},
  [863] = {.lex_state = 28},
  [864] = {.lex_state = 28},
  [865] = {.lex_state = 28},
  [866] = {.lex_state = 28},
  [867] = {.lex_state = 28},
  [868] = {.lex_state = 28},
  [869] = {.lex_state = 28},
  [870] = {.lex_state = 28},
  [871] = {.lex_state = 28},
  [872] = {.lex_state = 28},
  [873] = {.lex_state = 28},
  [874] = {.lex_state = 28},
  [875] = {.lex_state = 28},
  [876] = {.lex_state = 28},
  [877] = {.lex_state = 28},
  [878] = {.lex_state = 28},
  [879] = {.lex_state = 28},
  [880] = {.lex_state = 28},
  [881] = {.lex_state = 28},
  [882] = {.lex_state = 28},
  [883] = {.lex_state = 28},
  [884] = {.lex_state = 28},
  [885] = {.lex_state = 28},
  [886] = {.lex_state = 28},
  [887] = {.lex_state = 28},
  [888] = {.lex_state = 28},
  [889] = {.lex_state = 28},
  [890] = {.lex_state = 28},
  [891] = {.lex_state = 28},
  [892] = {.lex_state = 28},
  [893] = {.lex_state = 28},
  [894] = {.lex_state = 28},
  [895] = {.lex_state = 28},
  [896] = {.lex_state = 28},
  [897] = {.lex_state = 28},
  [898] = {.lex_state = 28},
  [899] = {.lex_state = 28},
  [900] = {.lex_state = 28},
  [901] = {.lex_state = 28},
  [902] = {.lex_state = 28},
  [903] = {.lex_state = 28},
  [904] = {.lex_state = 28},
  [905] = {.lex_state = 28},
  [906] = {.lex_state = 28},
  [907] = {.lex_state = 28},
  [908] = {.lex_state = 28},
  [909] = {.lex_state = 28},
  [910] = {.lex_state = 28},
  [911] = {.lex_state = 28},
  [912] = {.lex_state = 28},
  [913] = {.lex_state = 28},
  [914] = {.lex_state = 28},
  [915] = {.lex_state = 28},
  [916] = {.lex_state = 28},
  [917] = {.lex_state = 28},
  [918] = {.lex_state = 28},
  [919] = {.lex_state = 28},
  [920] = {.lex_state = 28},
  [921] = {.lex_state = 28},
  [922] = {.lex_state = 28},
  [923] = {.lex_state = 28},
  [924] = {.lex_state = 28},
  [925] = {.lex_state = 28},
  [926] = {.lex_state = 28},
  [927] = {.lex_state = 28},
  [928] = {.lex_state = 28},
  [929] = {.lex_state = 28},
  [930] = {.lex_state = 28},
  [931] = {.lex_state = 28},
  [932] = {.lex_state = 28},
  [933] = {.lex_state = 28},
  [934] = {.lex_state = 28},
  [935] = {.lex_state = 28},
  [936] = {.lex_state = 28},
  [937] = {.lex_state = 28},
  [938] = {.lex_state = 28},
  [939] = {.lex_state = 28},
  [940] = {.lex_state = 28},
  [941] = {.lex_state = 28},
  [942] = {.lex_state = 28},
  [943] = {.lex_state = 28},
  [944] = {.lex_state = 28},
  [945] = {.lex_state = 28},
  [946] = {.lex_state = 28},
  [947] = {.lex_state = 28},
  [948] = {.lex_state = 28},
  [949] = {.lex_state = 28},
  [950] = {.lex_state = 3},
  [951] = {.lex_state = 28},
  [952] = {.lex_state = 28},
  [953] = {.lex_state = 28},
  [954] = {.lex_state = 28},
  [955] = {.lex_state = 28},
  [956] = {.lex_state = 28},
  [957] = {.lex_state = 28},
  [958] = {.lex_state = 28},
  [959] = {.lex_state = 28},
  [960] = {.lex_state = 28},
  [961] = {.lex_state = 28},
  [962] = {.lex_state = 28},
  [963] = {.lex_state = 28},
  [964] = {.lex_state = 28},
  [965] = {.lex_state = 28},
  [966] = {.lex_state = 28},
  [967] = {.lex_state = 28},
  [968] = {.lex_state = 28},
  [969] = {.lex_state = 28},
  [970] = {.lex_state = 28},
  [971] = {.lex_state = 28},
  [972] = {.lex_state = 28},
  [973] = {.lex_state = 3},
  [974] = {.lex_state = 28},
  [975] = {.lex_state = 28},
  [976] = {.lex_state = 28},
  [977] = {.lex_state = 28},
  [978] = {.lex_state = 28},
  [979] = {.lex_state = 28},
  [980] = {.lex_state = 28},
  [981] = {.lex_state = 28},
  [982] = {.lex_state = 28},
  [983] = {.lex_state = 28},
  [984] = {.lex_state = 28},
  [985] = {.lex_state = 28},
  [986] = {.lex_state = 28},
  [987] = {.lex_state = 28},
  [988] = {.lex_state = 28},
  [989] = {.lex_state = 28},
  [990] = {.lex_state = 28},
  [991] = {.lex_state = 28},
  [992] = {.lex_state = 28},
  [993] = {.lex_state = 28},
  [994] = {.lex_state = 28},
  [995] = {.lex_state = 28},
  [996] = {.lex_state = 28},
  [997] = {.lex_state = 0},
  [998] = {.lex_state = 28},
  [999] = {.lex_state = 0},
  [1000] = {.lex_state = 28},
  [1001] = {.lex_state = 0},
  [1002] = {.lex_state = 28},
  [1003] = {.lex_state = 28},
  [1004] = {.lex_state = 28},
  [1005] = {.lex_state = 28},
  [1006] = {.lex_state = 28},
  [1007] = {.lex_state = 0},
  [1008] = {.lex_state = 28},
  [1009] = {.lex_state = 0},
  [1010] = {.lex_state = 0},
  [1011] = {.lex_state = 28},
  [1012] = {.lex_state = 0},
  [1013] = {.lex_state = 0},
  [1014] = {.lex_state = 0},
  [1015] = {.lex_state = 0},
  [1016] = {.lex_state = 0},
  [1017] = {.lex_state = 0},
  [1018] = {.lex_state = 0},
  [1019] = {.lex_state = 0},
  [1020] = {.lex_state = 0},
  [1021] = {.lex_state = 0},
  [1022] = {.lex_state = 0},
  [1023] = {.lex_state = 0},
  [1024] = {.lex_state = 0},
  [1025] = {.lex_state = 0},
  [1026] = {.lex_state = 0},
  [1027] = {.lex_state = 0},
  [1028] = {.lex_state = 0},
  [1029] = {.lex_state = 0},
  [1030] = {.lex_state = 0},
  [1031] = {.lex_state = 0},
  [1032] = {.lex_state = 0},
  [1033] = {.lex_state = 0},
  [1034] = {.lex_state = 0},
  [1035] = {.lex_state = 0},
  [1036] = {.lex_state = 0},
  [1037] = {.lex_state = 0},
  [1038] = {.lex_state = 0},
  [1039] = {.lex_state = 0},
  [1040] = {.lex_state = 0},
  [1041] = {.lex_state = 0},
  [1042] = {.lex_state = 0},
  [1043] = {.lex_state = 0},
  [1044] = {.lex_state = 0},
  [1045] = {.lex_state = 0},
  [1046] = {.lex_state = 0},
  [1047] = {.lex_state = 0},
  [1048] = {.lex_state = 0},
  [1049] = {.lex_state = 0},
  [1050] = {.lex_state = 0},
  [1051] = {.lex_state = 0},
  [1052] = {.lex_state = 0},
  [1053] = {.lex_state = 0},
  [1054] = {.lex_state = 0},
  [1055] = {.lex_state = 0},
  [1056] = {.lex_state = 0},
  [1057] = {.lex_state = 0},
  [1058] = {.lex_state = 0},
  [1059] = {.lex_state = 0},
  [1060] = {.lex_state = 0},
  [1061] = {.lex_state = 0},
  [1062] = {.lex_state = 0},
  [1063] = {.lex_state = 0},
  [1064] = {.lex_state = 0},
  [1065] = {.lex_state = 0},
  [1066] = {.lex_state = 0},
  [1067] = {.lex_state = 0},
  [1068] = {.lex_state = 0},
  [1069] = {.lex_state = 0},
  [1070] = {.lex_state = 0},
  [1071] = {.lex_state = 0},
  [1072] = {.lex_state = 0},
  [1073] = {.lex_state = 0},
  [1074] = {.lex_state = 0},
  [1075] = {.lex_state = 0},
  [1076] = {.lex_state = 0},
  [1077] = {.lex_state = 0},
  [1078] = {.lex_state = 0},
  [1079] = {.lex_state = 0},
  [1080] = {.lex_state = 0},
  [1081] = {.lex_state = 0},
  [1082] = {.lex_state = 0},
  [1083] = {.lex_state = 0},
  [1084] = {.lex_state = 0},
  [1085] = {.lex_state = 0},
  [1086] = {.lex_state = 0},
  [1087] = {.lex_state = 0},
  [1088] = {.lex_state = 0},
  [1089] = {.lex_state = 0},
  [1090] = {.lex_state = 0},
  [1091] = {.lex_state = 0},
  [1092] = {.lex_state = 0},
  [1093] = {.lex_state = 0},
  [1094] = {.lex_state = 0},
  [1095] = {.lex_state = 0},
  [1096] = {.lex_state = 0},
  [1097] = {.lex_state = 0},
  [1098] = {.lex_state = 0},
  [1099] = {.lex_state = 0},
  [1100] = {.lex_state = 0},
  [1101] = {.lex_state = 28},
  [1102] = {.lex_state = 28},
  [1103] = {.lex_state = 28},
  [1104] = {.lex_state = 28},
  [1105] = {.lex_state = 28},
  [1106] = {.lex_state = 28},
  [1107] = {.lex_state = 28},
  [1108] = {.lex_state = 28},
  [1109] = {.lex_state = 28},
  [1110] = {.lex_state = 28},
  [1111] = {.lex_state = 28},
  [1112] = {.lex_state = 28},
  [1113] = {.lex_state = 28},
  [1114] = {.lex_state = 28},
  [1115] = {.lex_state = 28},
  [1116] = {.lex_state = 28},
  [1117] = {.lex_state = 28},
  [1118] = {.lex_state = 28},
  [1119] = {.lex_state = 28},
  [1120] = {.lex_state = 28},
  [1121] = {.lex_state = 28},
  [1122] = {.lex_state = 28},
  [1123] = {.lex_state = 28},
  [1124] = {.lex_state = 28},
  [1125] = {.lex_state = 28},
  [1126] = {.lex_state = 28},
  [1127] = {.lex_state = 28},
  [1128] = {.lex_state = 0},
  [1129] = {.lex_state = 0},
  [1130] = {.lex_state = 0},
  [1131] = {.lex_state = 0},
  [1132] = {.lex_state = 0},
  [1133] = {.lex_state = 0},
  [1134] = {.lex_state = 0},
  [1135] = {.lex_state = 0},
  [1136] = {.lex_state = 0},
  [1137] = {.lex_state = 0},
  [1138] = {.lex_state = 0},
  [1139] = {.lex_state = 0},
  [1140] = {.lex_state = 0},
  [1141] = {.lex_state = 0},
  [1142] = {.lex_state = 28},
  [1143] = {.lex_state = 0},
  [1144] = {.lex_state = 0},
  [1145] = {.lex_state = 0},
  [1146] = {.lex_state = 0},
  [1147] = {.lex_state = 0},
  [1148] = {.lex_state = 0},
  [1149] = {.lex_state = 0},
  [1150] = {.lex_state = 0},
  [1151] = {.lex_state = 28},
  [1152] = {.lex_state = 0},
  [1153] = {.lex_state = 0},
  [1154] = {.lex_state = 0},
  [1155] = {.lex_state = 0},
  [1156] = {.lex_state = 0},
  [1157] = {.lex_state = 0},
  [1158] = {.lex_state = 0},
  [1159] = {.lex_state = 28},
  [1160] = {.lex_state = 28},
  [1161] = {.lex_state = 28},
  [1162] = {.lex_state = 28},
  [1163] = {.lex_state = 28},
  [1164] = {.lex_state = 28},
  [1165] = {.lex_state = 28},
  [1166] = {.lex_state = 28},
  [1167] = {.lex_state = 28},
  [1168] = {.lex_state = 28},
  [1169] = {.lex_state = 28},
  [1170] = {.lex_state = 0},
  [1171] = {.lex_state = 28},
  [1172] = {.lex_state = 28},
  [1173] = {.lex_state = 0},
  [1174] = {.lex_state = 28},
  [1175] = {.lex_state = 0},
  [1176] = {.lex_state = 28},
  [1177] = {.lex_state = 28},
  [1178] = {.lex_state = 28},
  [1179] = {.lex_state = 28},
  [1180] = {.lex_state = 28},
  [1181] = {.lex_state = 28},
  [1182] = {.lex_state = 28},
  [1183] = {.lex_state = 28},
  [1184] = {.lex_state = 28},
  [1185] = {.lex_state = 0},
  [1186] = {.lex_state = 28},
  [1187] = {.lex_state = 28},
  [1188] = {.lex_state = 28},
  [1189] = {.lex_state = 28},
  [1190] = {.lex_state = 28},
  [1191] = {.lex_state = 28},
  [1192] = {.lex_state = 0},
  [1193] = {.lex_state = 0},
  [1194] = {.lex_state = 28},
  [1195] = {.lex_state = 28},
  [1196] = {.lex_state = 0},
  [1197] = {.lex_state = 28},
  [1198] = {.lex_state = 28},
  [1199] = {.lex_state = 0},
  [1200] = {.lex_state = 0},
  [1201] = {.lex_state = 28},
  [1202] = {.lex_state = 28},
  [1203] = {.lex_state = 28},
  [1204] = {.lex_state = 0},
  [1205] = {.lex_state = 0},
  [1206] = {.lex_state = 0},
  [1207] = {.lex_state = 0},
  [1208] = {.lex_state = 0},
  [1209] = {.lex_state = 0},
  [1210] = {.lex_state = 0},
  [1211] = {.lex_state = 0},
  [1212] = {.lex_state = 0},
  [1213] = {.lex_state = 0},
  [1214] = {.lex_state = 0},
  [1215] = {.lex_state = 0},
  [1216] = {.lex_state = 0},
  [1217] = {.lex_state = 0},
  [1218] = {.lex_state = 0},
  [1219] = {.lex_state = 0},
  [1220] = {.lex_state = 0},
  [1221] = {.lex_state = 28},
  [1222] = {.lex_state = 28},
  [1223] = {.lex_state = 28},
  [1224] = {.lex_state = 28},
  [1225] = {.lex_state = 28},
  [1226] = {.lex_state = 28},
  [1227] = {.lex_state = 28},
  [1228] = {.lex_state = 28},
  [1229] = {.lex_state = 28},
  [1230] = {.lex_state = 28},
  [1231] = {.lex_state = 28},
  [1232] = {.lex_state = 28},
  [1233] = {.lex_state = 0},
  [1234] = {.lex_state = 0},
  [1235] = {.lex_state = 28},
  [1236] = {.lex_state = 28},
  [1237] = {.lex_state = 28},
  [1238] = {.lex_state = 28},
  [1239] = {.lex_state = 28},
  [1240] = {.lex_state = 28},
  [1241] = {.lex_state = 28},
  [1242] = {.lex_state = 28},
  [1243] = {.lex_state = 28},
  [1244] = {.lex_state = 28},
  [1245] = {.lex_state = 28},
  [1246] = {.lex_state = 0},
  [1247] = {.lex_state = 0},
  [1248] = {.lex_state = 0},
  [1249] = {.lex_state = 0},
  [1250] = {.lex_state = 28},
  [1251] = {.lex_state = 0},
  [1252] = {.lex_state = 28},
  [1253] = {.lex_state = 28},
  [1254] = {.lex_state = 28},
  [1255] = {.lex_state = 28},
  [1256] = {.lex_state = 28},
  [1257] = {.lex_state = 28},
  [1258] = {.lex_state = 0},
  [1259] = {.lex_state = 0},
  [1260] = {.lex_state = 0},
  [1261] = {.lex_state = 0},
  [1262] = {.lex_state = 28},
  [1263] = {.lex_state = 28},
  [1264] = {.lex_state = 28},
  [1265] = {.lex_state = 0},
  [1266] = {.lex_state = 0},
  [1267] = {.lex_state = 28},
  [1268] = {.lex_state = 28},
  [1269] = {.lex_state = 28},
  [1270] = {.lex_state = 28},
  [1271] = {.lex_state = 28},
  [1272] = {.lex_state = 0},
  [1273] = {.lex_state = 0},
  [1274] = {.lex_state = 28},
  [1275] = {.lex_state = 0},
  [1276] = {.lex_state = 0},
  [1277] = {.lex_state = 28},
  [1278] = {.lex_state = 0},
  [1279] = {.lex_state = 28},
  [1280] = {.lex_state = 28},
  [1281] = {.lex_state = 0},
  [1282] = {.lex_state = 0},
  [1283] = {.lex_state = 0},
  [1284] = {.lex_state = 28},
  [1285] = {.lex_state = 0},
  [1286] = {.lex_state = 28},
  [1287] = {.lex_state = 28},
  [1288] = {.lex_state = 28},
  [1289] = {.lex_state = 28},
  [1290] = {.lex_state = 0},
  [1291] = {.lex_state = 28},
  [1292] = {.lex_state = 28},
  [1293] = {.lex_state = 0},
  [1294] = {.lex_state = 28},
  [1295] = {.lex_state = 28},
  [1296] = {.lex_state = 28},
  [1297] = {.lex_state = 0},
  [1298] = {.lex_state = 0},
  [1299] = {.lex_state = 0},
  [1300] = {.lex_state = 28},
  [1301] = {.lex_state = 0},
  [1302] = {.lex_state = 0},
  [1303] = {.lex_state = 0},
  [1304] = {.lex_state = 0},
  [1305] = {.lex_state = 28},
  [1306] = {.lex_state = 28},
  [1307] = {.lex_state = 28},
  [1308] = {.lex_state = 0},
  [1309] = {.lex_state = 0},
  [1310] = {.lex_state = 0},
  [1311] = {.lex_state = 28},
  [1312] = {.lex_state = 28},
  [1313] = {.lex_state = 0},
  [1314] = {.lex_state = 28},
  [1315] = {.lex_state = 0},
  [1316] = {.lex_state = 28},
  [1317] = {.lex_state = 0},
  [1318] = {.lex_state = 28},
  [1319] = {.lex_state = 28},
  [1320] = {.lex_state = 28},
  [1321] = {.lex_state = 28},
  [1322] = {.lex_state = 28},
  [1323] = {.lex_state = 0},
  [1324] = {.lex_state = 0},
  [1325] = {.lex_state = 0},
  [1326] = {.lex_state = 28},
  [1327] = {.lex_state = 28},
  [1328] = {.lex_state = 28},
  [1329] = {.lex_state = 0},
  [1330] = {.lex_state = 28},
  [1331] = {.lex_state = 0},
  [1332] = {.lex_state = 0},
  [1333] = {.lex_state = 0},
  [1334] = {.lex_state = 0},
  [1335] = {.lex_state = 0},
  [1336] = {.lex_state = 0},
  [1337] = {.lex_state = 28},
  [1338] = {.lex_state = 28},
  [1339] = {.lex_state = 28},
  [1340] = {.lex_state = 28},
  [1341] = {.lex_state = 28},
  [1342] = {.lex_state = 28},
  [1343] = {.lex_state = 28},
  [1344] = {.lex_state = 28},
  [1345] = {.lex_state = 28},
  [1346] = {.lex_state = 28},
  [1347] = {.lex_state = 28},
  [1348] = {.lex_state = 28},
  [1349] = {.lex_state = 28},
  [1350] = {.lex_state = 28},
  [1351] = {.lex_state = 28},
  [1352] = {.lex_state = 28},
  [1353] = {.lex_state = 28},
  [1354] = {.lex_state = 28},
  [1355] = {.lex_state = 28},
  [1356] = {.lex_state = 28},
  [1357] = {.lex_state = 28},
  [1358] = {.lex_state = 28},
  [1359] = {.lex_state = 28},
  [1360] = {.lex_state = 28},
  [1361] = {.lex_state = 28},
  [1362] = {.lex_state = 28},
  [1363] = {.lex_state = 28},
  [1364] = {.lex_state = 28},
  [1365] = {.lex_state = 28},
  [1366] = {.lex_state = 28},
  [1367] = {.lex_state = 28},
  [1368] = {.lex_state = 28},
  [1369] = {.lex_state = 28},
  [1370] = {.lex_state = 28},
  [1371] = {.lex_state = 28},
  [1372] = {.lex_state = 28},
  [1373] = {.lex_state = 28},
  [1374] = {.lex_state = 28},
  [1375] = {.lex_state = 0},
  [1376] = {.lex_state = 28},
  [1377] = {.lex_state = 28},
  [1378] = {.lex_state = 0},
  [1379] = {.lex_state = 0},
  [1380] = {.lex_state = 0},
  [1381] = {.lex_state = 28},
  [1382] = {.lex_state = 28},
  [1383] = {.lex_state = 28},
  [1384] = {.lex_state = 28},
  [1385] = {.lex_state = 28},
  [1386] = {.lex_state = 28},
  [1387] = {.lex_state = 28},
  [1388] = {.lex_state = 28},
  [1389] = {.lex_state = 28},
  [1390] = {.lex_state = 28},
  [1391] = {.lex_state = 28},
  [1392] = {.lex_state = 28},
  [1393] = {.lex_state = 28},
  [1394] = {.lex_state = 28},
  [1395] = {.lex_state = 28},
  [1396] = {.lex_state = 28},
  [1397] = {.lex_state = 28},
  [1398] = {.lex_state = 28},
  [1399] = {.lex_state = 28},
  [1400] = {.lex_state = 28},
  [1401] = {.lex_state = 28},
  [1402] = {.lex_state = 28},
  [1403] = {.lex_state = 28},
  [1404] = {.lex_state = 28},
  [1405] = {.lex_state = 28},
  [1406] = {.lex_state = 28},
  [1407] = {.lex_state = 28},
  [1408] = {.lex_state = 28},
  [1409] = {.lex_state = 28},
  [1410] = {.lex_state = 28},
  [1411] = {.lex_state = 28},
  [1412] = {.lex_state = 28},
  [1413] = {.lex_state = 28},
  [1414] = {.lex_state = 28},
  [1415] = {.lex_state = 28},
  [1416] = {.lex_state = 28},
  [1417] = {.lex_state = 28},
  [1418] = {.lex_state = 28},
  [1419] = {.lex_state = 28},
  [1420] = {.lex_state = 28},
  [1421] = {.lex_state = 28},
  [1422] = {.lex_state = 28},
  [1423] = {.lex_state = 28},
  [1424] = {.lex_state = 28},
  [1425] = {.lex_state = 28},
  [1426] = {.lex_state = 28},
  [1427] = {.lex_state = 28},
  [1428] = {.lex_state = 28},
  [1429] = {.lex_state = 28},
  [1430] = {.lex_state = 28},
  [1431] = {.lex_state = 28},
  [1432] = {.lex_state = 28},
  [1433] = {.lex_state = 28},
  [1434] = {.lex_state = 28},
  [1435] = {.lex_state = 28},
  [1436] = {.lex_state = 28},
  [1437] = {.lex_state = 28},
  [1438] = {.lex_state = 28},
  [1439] = {.lex_state = 28},
  [1440] = {.lex_state = 28},
  [1441] = {.lex_state = 28},
  [1442] = {.lex_state = 28},
  [1443] = {.lex_state = 28},
  [1444] = {.lex_state = 28},
  [1445] = {.lex_state = 28},
  [1446] = {.lex_state = 28},
  [1447] = {.lex_state = 28},
  [1448] = {.lex_state = 28},
  [1449] = {.lex_state = 28},
  [1450] = {.lex_state = 28},
  [1451] = {.lex_state = 28},
  [1452] = {.lex_state = 28},
  [1453] = {.lex_state = 28},
  [1454] = {.lex_state = 28},
  [1455] = {.lex_state = 28},
  [1456] = {.lex_state = 28},
  [1457] = {.lex_state = 28},
  [1458] = {.lex_state = 28},
  [1459] = {.lex_state = 28},
  [1460] = {.lex_state = 28},
  [1461] = {.lex_state = 28},
  [1462] = {.lex_state = 28},
  [1463] = {.lex_state = 28},
  [1464] = {.lex_state = 28},
  [1465] = {.lex_state = 28},
  [1466] = {.lex_state = 28},
  [1467] = {.lex_state = 28},
  [1468] = {.lex_state = 28},
  [1469] = {.lex_state = 28},
  [1470] = {.lex_state = 28},
  [1471] = {.lex_state = 28},
  [1472] = {.lex_state = 28},
  [1473] = {.lex_state = 28},
  [1474] = {.lex_state = 28},
  [1475] = {.lex_state = 28},
  [1476] = {.lex_state = 28},
  [1477] = {.lex_state = 28},
  [1478] = {.lex_state = 28},
  [1479] = {.lex_state = 28},
  [1480] = {.lex_state = 28},
  [1481] = {.lex_state = 28},
  [1482] = {.lex_state = 28},
  [1483] = {.lex_state = 28},
  [1484] = {.lex_state = 28},
  [1485] = {.lex_state = 28},
  [1486] = {.lex_state = 28},
  [1487] = {.lex_state = 0},
  [1488] = {.lex_state = 0},
  [1489] = {.lex_state = 0},
  [1490] = {.lex_state = 0},
  [1491] = {.lex_state = 0},
  [1492] = {.lex_state = 0},
  [1493] = {.lex_state = 0},
  [1494] = {.lex_state = 0},
  [1495] = {.lex_state = 0},
  [1496] = {.lex_state = 0},
  [1497] = {.lex_state = 0},
  [1498] = {.lex_state = 0},
  [1499] = {.lex_state = 0},
  [1500] = {.lex_state = 0},
  [1501] = {.lex_state = 0},
  [1502] = {.lex_state = 0},
  [1503] = {.lex_state = 0},
  [1504] = {.lex_state = 0},
  [1505] = {.lex_state = 0},
  [1506] = {.lex_state = 0},
  [1507] = {.lex_state = 0},
  [1508] = {.lex_state = 0},
  [1509] = {.lex_state = 0},
  [1510] = {.lex_state = 29},
  [1511] = {.lex_state = 0},
  [1512] = {.lex_state = 0},
  [1513] = {.lex_state = 0},
  [1514] = {.lex_state = 0},
  [1515] = {.lex_state = 0},
  [1516] = {.lex_state = 0},
  [1517] = {.lex_state = 29},
  [1518] = {.lex_state = 29},
  [1519] = {.lex_state = 0},
  [1520] = {.lex_state = 29},
  [1521] = {.lex_state = 0},
  [1522] = {.lex_state = 29},
  [1523] = {.lex_state = 0},
  [1524] = {.lex_state = 0},
  [1525] = {.lex_state = 0},
  [1526] = {.lex_state = 29},
  [1527] = {.lex_state = 0},
  [1528] = {.lex_state = 29},
  [1529] = {.lex_state = 0},
  [1530] = {.lex_state = 0},
  [1531] = {.lex_state = 0},
  [1532] = {.lex_state = 0},
  [1533] = {.lex_state = 0},
  [1534] = {.lex_state = 0},
  [1535] = {.lex_state = 29},
  [1536] = {.lex_state = 0},
  [1537] = {.lex_state = 0},
  [1538] = {.lex_state = 0},
  [1539] = {.lex_state = 0},
  [1540] = {.lex_state = 0},
  [1541] = {.lex_state = 0},
  [1542] = {.lex_state = 29},
  [1543] = {.lex_state = 0},
  [1544] = {.lex_state = 0},
  [1545] = {.lex_state = 0},
  [1546] = {.lex_state = 0},
  [1547] = {.lex_state = 0},
  [1548] = {.lex_state = 0},
  [1549] = {.lex_state = 0},
  [1550] = {.lex_state = 0},
  [1551] = {.lex_state = 1},
  [1552] = {.lex_state = 0},
  [1553] = {.lex_state = 1},
  [1554] = {.lex_state = 0},
  [1555] = {.lex_state = 0},
  [1556] = {.lex_state = 29},
  [1557] = {.lex_state = 0},
  [1558] = {.lex_state = 0},
  [1559] = {.lex_state = 1},
  [1560] = {.lex_state = 0},
  [1561] = {.lex_state = 1},
  [1562] = {.lex_state = 0},
  [1563] = {.lex_state = 0},
  [1564] = {.lex_state = 0},
  [1565] = {.lex_state = 0},
  [1566] = {.lex_state = 0},
  [1567] = {.lex_state = 0},
  [1568] = {.lex_state = 1},
  [1569] = {.lex_state = 0},
  [1570] = {.lex_state = 0},
  [1571] = {.lex_state = 29},
  [1572] = {.lex_state = 0},
  [1573] = {.lex_state = 0},
  [1574] = {.lex_state = 0},
  [1575] = {.lex_state = 0},
  [1576] = {.lex_state = 0},
  [1577] = {.lex_state = 0},
  [1578] = {.lex_state = 0},
  [1579] = {.lex_state = 0},
  [1580] = {.lex_state = 0},
  [1581] = {.lex_state = 0},
  [1582] = {.lex_state = 0},
  [1583] = {.lex_state = 0},
  [1584] = {.lex_state = 0},
  [1585] = {.lex_state = 0},
  [1586] = {.lex_state = 0},
  [1587] = {.lex_state = 0},
  [1588] = {.lex_state = 0},
  [1589] = {.lex_state = 0},
  [1590] = {.lex_state = 0},
  [1591] = {.lex_state = 0},
  [1592] = {.lex_state = 0},
  [1593] = {.lex_state = 0},
  [1594] = {.lex_state = 0},
  [1595] = {.lex_state = 0},
  [1596] = {.lex_state = 0},
  [1597] = {.lex_state = 0},
  [1598] = {.lex_state = 0},
  [1599] = {.lex_state = 0},
  [1600] = {.lex_state = 0},
  [1601] = {.lex_state = 0},
  [1602] = {.lex_state = 0},
  [1603] = {.lex_state = 0},
  [1604] = {.lex_state = 0},
  [1605] = {.lex_state = 0},
  [1606] = {.lex_state = 0},
  [1607] = {.lex_state = 0},
  [1608] = {.lex_state = 0},
  [1609] = {.lex_state = 0},
  [1610] = {.lex_state = 0},
  [1611] = {.lex_state = 0},
  [1612] = {.lex_state = 0},
  [1613] = {.lex_state = 0},
  [1614] = {.lex_state = 0},
  [1615] = {.lex_state = 0},
  [1616] = {.lex_state = 0},
  [1617] = {.lex_state = 0},
  [1618] = {.lex_state = 0},
  [1619] = {.lex_state = 0},
  [1620] = {.lex_state = 0},
  [1621] = {.lex_state = 0},
  [1622] = {.lex_state = 0},
  [1623] = {.lex_state = 0},
  [1624] = {.lex_state = 0},
  [1625] = {.lex_state = 0},
  [1626] = {.lex_state = 0},
  [1627] = {.lex_state = 0},
  [1628] = {.lex_state = 0},
  [1629] = {.lex_state = 0},
  [1630] = {.lex_state = 0},
  [1631] = {.lex_state = 0},
  [1632] = {.lex_state = 0},
  [1633] = {.lex_state = 0},
  [1634] = {.lex_state = 0},
  [1635] = {.lex_state = 0},
  [1636] = {.lex_state = 0},
  [1637] = {.lex_state = 0},
  [1638] = {.lex_state = 0},
  [1639] = {.lex_state = 0},
  [1640] = {.lex_state = 0},
  [1641] = {.lex_state = 0},
  [1642] = {.lex_state = 0},
  [1643] = {.lex_state = 0},
  [1644] = {.lex_state = 0},
  [1645] = {.lex_state = 0},
  [1646] = {.lex_state = 0},
  [1647] = {.lex_state = 0},
  [1648] = {.lex_state = 0},
  [1649] = {.lex_state = 0},
  [1650] = {.lex_state = 0},
  [1651] = {.lex_state = 0},
  [1652] = {.lex_state = 0},
  [1653] = {.lex_state = 0},
  [1654] = {.lex_state = 0},
  [1655] = {.lex_state = 0},
  [1656] = {.lex_state = 0},
  [1657] = {.lex_state = 0},
  [1658] = {.lex_state = 0},
  [1659] = {.lex_state = 0},
  [1660] = {.lex_state = 0},
  [1661] = {.lex_state = 0},
  [1662] = {.lex_state = 0},
  [1663] = {.lex_state = 0},
  [1664] = {.lex_state = 0},
  [1665] = {.lex_state = 0},
  [1666] = {.lex_state = 0},
  [1667] = {.lex_state = 0},
  [1668] = {.lex_state = 0},
  [1669] = {.lex_state = 0},
  [1670] = {.lex_state = 0},
  [1671] = {.lex_state = 0},
  [1672] = {.lex_state = 0},
  [1673] = {.lex_state = 0},
  [1674] = {.lex_state = 0},
  [1675] = {.lex_state = 0},
  [1676] = {.lex_state = 0},
  [1677] = {.lex_state = 0},
  [1678] = {.lex_state = 0},
  [1679] = {.lex_state = 0},
  [1680] = {.lex_state = 0},
  [1681] = {.lex_state = 0},
  [1682] = {.lex_state = 0},
  [1683] = {.lex_state = 0},
  [1684] = {.lex_state = 0},
  [1685] = {.lex_state = 0},
  [1686] = {.lex_state = 0},
  [1687] = {.lex_state = 0},
  [1688] = {.lex_state = 0},
  [1689] = {.lex_state = 0},
  [1690] = {.lex_state = 0},
  [1691] = {.lex_state = 2},
  [1692] = {.lex_state = 0},
  [1693] = {.lex_state = 0},
  [1694] = {.lex_state = 0},
  [1695] = {.lex_state = 0},
  [1696] = {.lex_state = 0},
  [1697] = {.lex_state = 0},
  [1698] = {.lex_state = 0},
  [1699] = {.lex_state = 0},
  [1700] = {.lex_state = 0},
  [1701] = {.lex_state = 0},
  [1702] = {.lex_state = 0},
  [1703] = {.lex_state = 0},
  [1704] = {.lex_state = 2},
  [1705] = {.lex_state = 0},
  [1706] = {.lex_state = 0},
  [1707] = {.lex_state = 0},
  [1708] = {.lex_state = 0},
  [1709] = {.lex_state = 0},
  [1710] = {.lex_state = 0},
  [1711] = {.lex_state = 0},
  [1712] = {.lex_state = 0},
  [1713] = {.lex_state = 0},
  [1714] = {.lex_state = 0},
  [1715] = {.lex_state = 0},
  [1716] = {.lex_state = 0},
  [1717] = {.lex_state = 0},
  [1718] = {.lex_state = 0},
  [1719] = {.lex_state = 0},
  [1720] = {.lex_state = 0},
  [1721] = {.lex_state = 0},
  [1722] = {.lex_state = 0},
  [1723] = {.lex_state = 0},
  [1724] = {.lex_state = 0},
  [1725] = {.lex_state = 0},
  [1726] = {.lex_state = 0},
  [1727] = {.lex_state = 0},
  [1728] = {.lex_state = 0},
  [1729] = {.lex_state = 0},
  [1730] = {.lex_state = 0},
  [1731] = {.lex_state = 0},
  [1732] = {.lex_state = 0},
  [1733] = {.lex_state = 0},
  [1734] = {.lex_state = 0},
  [1735] = {.lex_state = 0},
  [1736] = {.lex_state = 0},
  [1737] = {.lex_state = 0},
  [1738] = {.lex_state = 0},
  [1739] = {.lex_state = 0},
  [1740] = {.lex_state = 0},
  [1741] = {.lex_state = 0},
  [1742] = {.lex_state = 0},
  [1743] = {.lex_state = 0},
  [1744] = {.lex_state = 0},
  [1745] = {.lex_state = 0},
  [1746] = {.lex_state = 0},
  [1747] = {.lex_state = 0},
  [1748] = {.lex_state = 0},
  [1749] = {.lex_state = 0},
  [1750] = {.lex_state = 0},
  [1751] = {.lex_state = 0},
  [1752] = {.lex_state = 0},
  [1753] = {.lex_state = 0},
  [1754] = {.lex_state = 0},
  [1755] = {.lex_state = 0},
  [1756] = {.lex_state = 0},
  [1757] = {.lex_state = 0},
  [1758] = {.lex_state = 0},
  [1759] = {.lex_state = 0},
  [1760] = {.lex_state = 0},
  [1761] = {.lex_state = 0},
  [1762] = {.lex_state = 0},
  [1763] = {.lex_state = 0},
  [1764] = {.lex_state = 0},
  [1765] = {.lex_state = 0},
  [1766] = {.lex_state = 0},
  [1767] = {.lex_state = 0},
  [1768] = {.lex_state = 0},
  [1769] = {.lex_state = 0},
  [1770] = {.lex_state = 0},
  [1771] = {.lex_state = 0},
  [1772] = {.lex_state = 0},
  [1773] = {.lex_state = 0},
  [1774] = {.lex_state = 0},
  [1775] = {.lex_state = 0},
  [1776] = {.lex_state = 0},
  [1777] = {.lex_state = 0},
  [1778] = {.lex_state = 0},
  [1779] = {.lex_state = 0},
  [1780] = {.lex_state = 0},
  [1781] = {.lex_state = 0},
  [1782] = {.lex_state = 0},
  [1783] = {.lex_state = 0},
  [1784] = {.lex_state = 0},
  [1785] = {.lex_state = 0},
  [1786] = {.lex_state = 0},
  [1787] = {.lex_state = 0},
  [1788] = {.lex_state = 0},
  [1789] = {.lex_state = 0},
  [1790] = {.lex_state = 0},
  [1791] = {.lex_state = 0},
  [1792] = {.lex_state = 0},
  [1793] = {.lex_state = 0},
  [1794] = {.lex_state = 0},
  [1795] = {.lex_state = 0},
  [1796] = {.lex_state = 0},
  [1797] = {.lex_state = 0},
  [1798] = {.lex_state = 0},
  [1799] = {.lex_state = 0},
  [1800] = {.lex_state = 0},
  [1801] = {.lex_state = 0},
  [1802] = {.lex_state = 0},
  [1803] = {.lex_state = 0},
  [1804] = {.lex_state = 0},
  [1805] = {.lex_state = 0},
  [1806] = {.lex_state = 0},
  [1807] = {.lex_state = 0},
  [1808] = {.lex_state = 0},
  [1809] = {.lex_state = 0},
  [1810] = {.lex_state = 0},
  [1811] = {.lex_state = 0},
  [1812] = {.lex_state = 0},
  [1813] = {.lex_state = 0},
  [1814] = {.lex_state = 0},
  [1815] = {.lex_state = 0},
  [1816] = {.lex_state = 0},
  [1817] = {.lex_state = 0},
  [1818] = {.lex_state = 0},
  [1819] = {.lex_state = 0},
  [1820] = {.lex_state = 0},
  [1821] = {.lex_state = 0},
  [1822] = {.lex_state = 0},
  [1823] = {.lex_state = 0},
  [1824] = {.lex_state = 0},
  [1825] = {.lex_state = 0},
  [1826] = {.lex_state = 0},
  [1827] = {.lex_state = 0},
  [1828] = {.lex_state = 0},
  [1829] = {.lex_state = 0},
  [1830] = {.lex_state = 0},
  [1831] = {.lex_state = 0},
  [1832] = {.lex_state = 0},
  [1833] = {.lex_state = 0},
  [1834] = {.lex_state = 0},
  [1835] = {.lex_state = 0},
  [1836] = {.lex_state = 0},
  [1837] = {.lex_state = 0},
  [1838] = {.lex_state = 0},
  [1839] = {.lex_state = 0},
  [1840] = {.lex_state = 0},
  [1841] = {.lex_state = 0},
  [1842] = {.lex_state = 0},
  [1843] = {.lex_state = 0},
  [1844] = {.lex_state = 0},
  [1845] = {.lex_state = 0},
  [1846] = {.lex_state = 0},
  [1847] = {.lex_state = 0},
  [1848] = {.lex_state = 0},
  [1849] = {.lex_state = 0},
  [1850] = {.lex_state = 0},
  [1851] = {.lex_state = 0},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym__identifier] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_pub] = ACTIONS(1),
    [anon_sym_test] = ACTIONS(1),
    [anon_sym_comptime] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_extern] = ACTIONS(1),
    [anon_sym_threadlocal] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_inline] = ACTIONS(1),
    [anon_sym_noinline] = ACTIONS(1),
    [anon_sym_fn] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_noalias] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_usingnamespace] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_packed] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_opaque] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_union] = ACTIONS(1),
    [anon_sym_error] = ACTIONS(1),
    [anon_sym_nosuspend] = ACTIONS(1),
    [anon_sym_suspend] = ACTIONS(1),
    [anon_sym_defer] = ACTIONS(1),
    [anon_sym_errdefer] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_DOT_DOT] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_align] = ACTIONS(1),
    [anon_sym_addrspace] = ACTIONS(1),
    [anon_sym_linksection] = ACTIONS(1),
    [anon_sym_callconv] = ACTIONS(1),
    [anon_sym_asm] = ACTIONS(1),
    [anon_sym_volatile] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_DASH_PERCENT] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_or] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_orelse] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1),
    [anon_sym_PLUS_PIPE] = ACTIONS(1),
    [anon_sym_DASH_PIPE] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_STAR_PERCENT] = ACTIONS(1),
    [anon_sym_STAR_PIPE] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_resume] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_anyframe] = ACTIONS(1),
    [anon_sym_unreachable] = ACTIONS(1),
    [anon_sym_undefined] = ACTIONS(1),
    [anon_sym_null] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_allowzero] = ACTIONS(1),
    [anon_sym_c] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_DOT_STAR] = ACTIONS(1),
    [anon_sym_DOT_QMARK] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [aux_sym_multiline_string_token1] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [sym_integer] = ACTIONS(1),
    [sym_float] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [anon_sym_bool] = ACTIONS(1),
    [anon_sym_f16] = ACTIONS(1),
    [anon_sym_f32] = ACTIONS(1),
    [anon_sym_f64] = ACTIONS(1),
    [anon_sym_f128] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_anyerror] = ACTIONS(1),
    [anon_sym_anyopaque] = ACTIONS(1),
    [anon_sym_anytype] = ACTIONS(1),
    [anon_sym_noreturn] = ACTIONS(1),
    [anon_sym_isize] = ACTIONS(1),
    [anon_sym_usize] = ACTIONS(1),
    [anon_sym_comptime_int] = ACTIONS(1),
    [anon_sym_comptime_float] = ACTIONS(1),
    [anon_sym_c_short] = ACTIONS(1),
    [anon_sym_c_ushort] = ACTIONS(1),
    [anon_sym_c_int] = ACTIONS(1),
    [anon_sym_c_uint] = ACTIONS(1),
    [anon_sym_c_long] = ACTIONS(1),
    [anon_sym_c_ulong] = ACTIONS(1),
    [anon_sym_c_longlong] = ACTIONS(1),
    [anon_sym_c_ulonglong] = ACTIONS(1),
    [anon_sym_c_longdouble] = ACTIONS(1),
    [aux_sym_builtin_type_token1] = ACTIONS(1),
    [sym_builtin_identifier] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
  },
  [1] = {
    [sym_source_file] = STATE(1845),
    [sym__container_members] = STATE(1799),
    [sym_test_declaration] = STATE(41),
    [sym_comptime_declaration] = STATE(41),
    [sym_container_field] = STATE(1605),
    [sym_variable_declaration] = STATE(41),
    [sym__variable_declaration_header] = STATE(1741),
    [sym_function_declaration] = STATE(41),
    [sym__function_prototype] = STATE(954),
    [sym_using_namespace_declaration] = STATE(41),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(549),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(988),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(1508),
    [sym_if_type_expression] = STATE(1508),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1003),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1004),
    [aux_sym__container_members_repeat1] = STATE(41),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_usingnamespace] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(87),
    [anon_sym_null] = ACTIONS(87),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [2] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(577),
    [sym__for_prefix] = STATE(571),
    [sym__while_prefix] = STATE(572),
    [sym_expression] = STATE(924),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1497),
    [sym_break_label] = STATE(5),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [ts_builtin_sym_end] = ACTIONS(109),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(109),
    [anon_sym_comptime] = ACTIONS(111),
    [anon_sym_COLON] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(109),
    [anon_sym_STAR_EQ] = ACTIONS(109),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(109),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(109),
    [anon_sym_SLASH_EQ] = ACTIONS(109),
    [anon_sym_PERCENT_EQ] = ACTIONS(109),
    [anon_sym_PLUS_EQ] = ACTIONS(109),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(109),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(109),
    [anon_sym_DASH_EQ] = ACTIONS(109),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(109),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(109),
    [anon_sym_LT_LT_EQ] = ACTIONS(109),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(109),
    [anon_sym_GT_GT_EQ] = ACTIONS(109),
    [anon_sym_AMP_EQ] = ACTIONS(109),
    [anon_sym_CARET_EQ] = ACTIONS(109),
    [anon_sym_PIPE_EQ] = ACTIONS(109),
    [anon_sym_inline] = ACTIONS(117),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_RPAREN] = ACTIONS(109),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(109),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_else] = ACTIONS(115),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_DOT_DOT] = ACTIONS(109),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(121),
    [anon_sym_align] = ACTIONS(115),
    [anon_sym_addrspace] = ACTIONS(115),
    [anon_sym_linksection] = ACTIONS(115),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_RBRACK] = ACTIONS(109),
    [anon_sym_BANG] = ACTIONS(123),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_DASH_PERCENT] = ACTIONS(127),
    [anon_sym_AMP] = ACTIONS(127),
    [anon_sym_or] = ACTIONS(115),
    [anon_sym_and] = ACTIONS(115),
    [anon_sym_EQ_EQ] = ACTIONS(109),
    [anon_sym_BANG_EQ] = ACTIONS(109),
    [anon_sym_GT] = ACTIONS(115),
    [anon_sym_GT_EQ] = ACTIONS(109),
    [anon_sym_LT_EQ] = ACTIONS(109),
    [anon_sym_LT] = ACTIONS(115),
    [anon_sym_CARET] = ACTIONS(115),
    [anon_sym_orelse] = ACTIONS(115),
    [anon_sym_LT_LT] = ACTIONS(115),
    [anon_sym_GT_GT] = ACTIONS(115),
    [anon_sym_LT_LT_PIPE] = ACTIONS(115),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_PLUS_PLUS] = ACTIONS(109),
    [anon_sym_PLUS_PERCENT] = ACTIONS(115),
    [anon_sym_PLUS_PIPE] = ACTIONS(115),
    [anon_sym_DASH_PIPE] = ACTIONS(115),
    [anon_sym_SLASH] = ACTIONS(115),
    [anon_sym_PERCENT] = ACTIONS(115),
    [anon_sym_STAR_STAR] = ACTIONS(109),
    [anon_sym_STAR_PERCENT] = ACTIONS(115),
    [anon_sym_STAR_PIPE] = ACTIONS(115),
    [anon_sym_PIPE_PIPE] = ACTIONS(109),
    [anon_sym_async] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(131),
    [anon_sym_continue] = ACTIONS(133),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_try] = ACTIONS(141),
    [anon_sym_catch] = ACTIONS(115),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_EQ_GT] = ACTIONS(109),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(143),
    [anon_sym_DOT_STAR] = ACTIONS(109),
    [anon_sym_DOT_QMARK] = ACTIONS(109),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [3] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(577),
    [sym__for_prefix] = STATE(571),
    [sym__while_prefix] = STATE(572),
    [sym_expression] = STATE(927),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1497),
    [sym_break_label] = STATE(6),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [ts_builtin_sym_end] = ACTIONS(147),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(147),
    [anon_sym_comptime] = ACTIONS(111),
    [anon_sym_COLON] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(149),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(147),
    [anon_sym_STAR_EQ] = ACTIONS(147),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(147),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(147),
    [anon_sym_SLASH_EQ] = ACTIONS(147),
    [anon_sym_PERCENT_EQ] = ACTIONS(147),
    [anon_sym_PLUS_EQ] = ACTIONS(147),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(147),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(147),
    [anon_sym_DASH_EQ] = ACTIONS(147),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(147),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(147),
    [anon_sym_LT_LT_EQ] = ACTIONS(147),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(147),
    [anon_sym_GT_GT_EQ] = ACTIONS(147),
    [anon_sym_AMP_EQ] = ACTIONS(147),
    [anon_sym_CARET_EQ] = ACTIONS(147),
    [anon_sym_PIPE_EQ] = ACTIONS(147),
    [anon_sym_inline] = ACTIONS(117),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_RPAREN] = ACTIONS(147),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(147),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_else] = ACTIONS(149),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_DOT_DOT] = ACTIONS(147),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(149),
    [anon_sym_STAR] = ACTIONS(121),
    [anon_sym_align] = ACTIONS(149),
    [anon_sym_addrspace] = ACTIONS(149),
    [anon_sym_linksection] = ACTIONS(149),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_RBRACK] = ACTIONS(147),
    [anon_sym_BANG] = ACTIONS(123),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_DASH_PERCENT] = ACTIONS(127),
    [anon_sym_AMP] = ACTIONS(127),
    [anon_sym_or] = ACTIONS(149),
    [anon_sym_and] = ACTIONS(149),
    [anon_sym_EQ_EQ] = ACTIONS(147),
    [anon_sym_BANG_EQ] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(149),
    [anon_sym_GT_EQ] = ACTIONS(147),
    [anon_sym_LT_EQ] = ACTIONS(147),
    [anon_sym_LT] = ACTIONS(149),
    [anon_sym_CARET] = ACTIONS(149),
    [anon_sym_orelse] = ACTIONS(149),
    [anon_sym_LT_LT] = ACTIONS(149),
    [anon_sym_GT_GT] = ACTIONS(149),
    [anon_sym_LT_LT_PIPE] = ACTIONS(149),
    [anon_sym_PLUS] = ACTIONS(149),
    [anon_sym_PLUS_PLUS] = ACTIONS(147),
    [anon_sym_PLUS_PERCENT] = ACTIONS(149),
    [anon_sym_PLUS_PIPE] = ACTIONS(149),
    [anon_sym_DASH_PIPE] = ACTIONS(149),
    [anon_sym_SLASH] = ACTIONS(149),
    [anon_sym_PERCENT] = ACTIONS(149),
    [anon_sym_STAR_STAR] = ACTIONS(147),
    [anon_sym_STAR_PERCENT] = ACTIONS(149),
    [anon_sym_STAR_PIPE] = ACTIONS(149),
    [anon_sym_PIPE_PIPE] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(131),
    [anon_sym_continue] = ACTIONS(133),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_try] = ACTIONS(141),
    [anon_sym_catch] = ACTIONS(149),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_EQ_GT] = ACTIONS(147),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(143),
    [anon_sym_DOT_STAR] = ACTIONS(147),
    [anon_sym_DOT_QMARK] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [4] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(577),
    [sym__for_prefix] = STATE(571),
    [sym__while_prefix] = STATE(572),
    [sym_expression] = STATE(913),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1497),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [ts_builtin_sym_end] = ACTIONS(151),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(151),
    [anon_sym_comptime] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(153),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(151),
    [anon_sym_STAR_EQ] = ACTIONS(151),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(151),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(151),
    [anon_sym_SLASH_EQ] = ACTIONS(151),
    [anon_sym_PERCENT_EQ] = ACTIONS(151),
    [anon_sym_PLUS_EQ] = ACTIONS(151),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(151),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(151),
    [anon_sym_DASH_EQ] = ACTIONS(151),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(151),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(151),
    [anon_sym_LT_LT_EQ] = ACTIONS(151),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(151),
    [anon_sym_GT_GT_EQ] = ACTIONS(151),
    [anon_sym_AMP_EQ] = ACTIONS(151),
    [anon_sym_CARET_EQ] = ACTIONS(151),
    [anon_sym_PIPE_EQ] = ACTIONS(151),
    [anon_sym_inline] = ACTIONS(117),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_RPAREN] = ACTIONS(151),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(151),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_else] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_DOT_DOT] = ACTIONS(151),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(153),
    [anon_sym_STAR] = ACTIONS(121),
    [anon_sym_align] = ACTIONS(153),
    [anon_sym_addrspace] = ACTIONS(153),
    [anon_sym_linksection] = ACTIONS(153),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_RBRACK] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(123),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_DASH_PERCENT] = ACTIONS(127),
    [anon_sym_AMP] = ACTIONS(127),
    [anon_sym_or] = ACTIONS(153),
    [anon_sym_and] = ACTIONS(153),
    [anon_sym_EQ_EQ] = ACTIONS(151),
    [anon_sym_BANG_EQ] = ACTIONS(151),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_GT_EQ] = ACTIONS(151),
    [anon_sym_LT_EQ] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_orelse] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(153),
    [anon_sym_GT_GT] = ACTIONS(153),
    [anon_sym_LT_LT_PIPE] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(151),
    [anon_sym_PLUS_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PIPE] = ACTIONS(153),
    [anon_sym_DASH_PIPE] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_STAR_STAR] = ACTIONS(151),
    [anon_sym_STAR_PERCENT] = ACTIONS(153),
    [anon_sym_STAR_PIPE] = ACTIONS(153),
    [anon_sym_PIPE_PIPE] = ACTIONS(151),
    [anon_sym_async] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(131),
    [anon_sym_continue] = ACTIONS(133),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_try] = ACTIONS(141),
    [anon_sym_catch] = ACTIONS(153),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_EQ_GT] = ACTIONS(151),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(143),
    [anon_sym_DOT_STAR] = ACTIONS(151),
    [anon_sym_DOT_QMARK] = ACTIONS(151),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [5] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(577),
    [sym__for_prefix] = STATE(571),
    [sym__while_prefix] = STATE(572),
    [sym_expression] = STATE(936),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1497),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [ts_builtin_sym_end] = ACTIONS(155),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(157),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_inline] = ACTIONS(117),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_RPAREN] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(155),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_else] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_DOT_DOT] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(157),
    [anon_sym_STAR] = ACTIONS(121),
    [anon_sym_align] = ACTIONS(157),
    [anon_sym_addrspace] = ACTIONS(157),
    [anon_sym_linksection] = ACTIONS(157),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_RBRACK] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(123),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_DASH_PERCENT] = ACTIONS(127),
    [anon_sym_AMP] = ACTIONS(127),
    [anon_sym_or] = ACTIONS(157),
    [anon_sym_and] = ACTIONS(157),
    [anon_sym_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(155),
    [anon_sym_GT] = ACTIONS(157),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(157),
    [anon_sym_CARET] = ACTIONS(157),
    [anon_sym_orelse] = ACTIONS(157),
    [anon_sym_LT_LT] = ACTIONS(157),
    [anon_sym_GT_GT] = ACTIONS(157),
    [anon_sym_LT_LT_PIPE] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(157),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_PLUS_PERCENT] = ACTIONS(157),
    [anon_sym_PLUS_PIPE] = ACTIONS(157),
    [anon_sym_DASH_PIPE] = ACTIONS(157),
    [anon_sym_SLASH] = ACTIONS(157),
    [anon_sym_PERCENT] = ACTIONS(157),
    [anon_sym_STAR_STAR] = ACTIONS(155),
    [anon_sym_STAR_PERCENT] = ACTIONS(157),
    [anon_sym_STAR_PIPE] = ACTIONS(157),
    [anon_sym_PIPE_PIPE] = ACTIONS(155),
    [anon_sym_async] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(131),
    [anon_sym_continue] = ACTIONS(133),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_try] = ACTIONS(141),
    [anon_sym_catch] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_EQ_GT] = ACTIONS(155),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(143),
    [anon_sym_DOT_STAR] = ACTIONS(155),
    [anon_sym_DOT_QMARK] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [6] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(577),
    [sym__for_prefix] = STATE(571),
    [sym__while_prefix] = STATE(572),
    [sym_expression] = STATE(937),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1497),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [ts_builtin_sym_end] = ACTIONS(159),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(159),
    [anon_sym_comptime] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(161),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_inline] = ACTIONS(117),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_RPAREN] = ACTIONS(159),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(159),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_else] = ACTIONS(161),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_DOT_DOT] = ACTIONS(159),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_STAR] = ACTIONS(121),
    [anon_sym_align] = ACTIONS(161),
    [anon_sym_addrspace] = ACTIONS(161),
    [anon_sym_linksection] = ACTIONS(161),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_RBRACK] = ACTIONS(159),
    [anon_sym_BANG] = ACTIONS(123),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_DASH_PERCENT] = ACTIONS(127),
    [anon_sym_AMP] = ACTIONS(127),
    [anon_sym_or] = ACTIONS(161),
    [anon_sym_and] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(159),
    [anon_sym_BANG_EQ] = ACTIONS(159),
    [anon_sym_GT] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_EQ] = ACTIONS(159),
    [anon_sym_LT] = ACTIONS(161),
    [anon_sym_CARET] = ACTIONS(161),
    [anon_sym_orelse] = ACTIONS(161),
    [anon_sym_LT_LT] = ACTIONS(161),
    [anon_sym_GT_GT] = ACTIONS(161),
    [anon_sym_LT_LT_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(161),
    [anon_sym_PLUS_PLUS] = ACTIONS(159),
    [anon_sym_PLUS_PERCENT] = ACTIONS(161),
    [anon_sym_PLUS_PIPE] = ACTIONS(161),
    [anon_sym_DASH_PIPE] = ACTIONS(161),
    [anon_sym_SLASH] = ACTIONS(161),
    [anon_sym_PERCENT] = ACTIONS(161),
    [anon_sym_STAR_STAR] = ACTIONS(159),
    [anon_sym_STAR_PERCENT] = ACTIONS(161),
    [anon_sym_STAR_PIPE] = ACTIONS(161),
    [anon_sym_PIPE_PIPE] = ACTIONS(159),
    [anon_sym_async] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(131),
    [anon_sym_continue] = ACTIONS(133),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_try] = ACTIONS(141),
    [anon_sym_catch] = ACTIONS(161),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(143),
    [anon_sym_DOT_STAR] = ACTIONS(159),
    [anon_sym_DOT_QMARK] = ACTIONS(159),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [7] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(577),
    [sym__for_prefix] = STATE(571),
    [sym__while_prefix] = STATE(572),
    [sym_expression] = STATE(926),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1497),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [ts_builtin_sym_end] = ACTIONS(163),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(163),
    [anon_sym_comptime] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(163),
    [anon_sym_STAR_EQ] = ACTIONS(163),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(163),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(163),
    [anon_sym_SLASH_EQ] = ACTIONS(163),
    [anon_sym_PERCENT_EQ] = ACTIONS(163),
    [anon_sym_PLUS_EQ] = ACTIONS(163),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(163),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(163),
    [anon_sym_DASH_EQ] = ACTIONS(163),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(163),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(163),
    [anon_sym_LT_LT_EQ] = ACTIONS(163),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(163),
    [anon_sym_GT_GT_EQ] = ACTIONS(163),
    [anon_sym_AMP_EQ] = ACTIONS(163),
    [anon_sym_CARET_EQ] = ACTIONS(163),
    [anon_sym_PIPE_EQ] = ACTIONS(163),
    [anon_sym_inline] = ACTIONS(117),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_RPAREN] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(163),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_else] = ACTIONS(165),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_DOT_DOT] = ACTIONS(163),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_STAR] = ACTIONS(121),
    [anon_sym_align] = ACTIONS(165),
    [anon_sym_addrspace] = ACTIONS(165),
    [anon_sym_linksection] = ACTIONS(165),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_RBRACK] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(123),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_DASH_PERCENT] = ACTIONS(127),
    [anon_sym_AMP] = ACTIONS(127),
    [anon_sym_or] = ACTIONS(165),
    [anon_sym_and] = ACTIONS(165),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(165),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_CARET] = ACTIONS(165),
    [anon_sym_orelse] = ACTIONS(165),
    [anon_sym_LT_LT] = ACTIONS(165),
    [anon_sym_GT_GT] = ACTIONS(165),
    [anon_sym_LT_LT_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(165),
    [anon_sym_PLUS_PLUS] = ACTIONS(163),
    [anon_sym_PLUS_PERCENT] = ACTIONS(165),
    [anon_sym_PLUS_PIPE] = ACTIONS(165),
    [anon_sym_DASH_PIPE] = ACTIONS(165),
    [anon_sym_SLASH] = ACTIONS(165),
    [anon_sym_PERCENT] = ACTIONS(165),
    [anon_sym_STAR_STAR] = ACTIONS(163),
    [anon_sym_STAR_PERCENT] = ACTIONS(165),
    [anon_sym_STAR_PIPE] = ACTIONS(165),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_async] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(131),
    [anon_sym_continue] = ACTIONS(133),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_try] = ACTIONS(141),
    [anon_sym_catch] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_EQ_GT] = ACTIONS(163),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(143),
    [anon_sym_DOT_STAR] = ACTIONS(163),
    [anon_sym_DOT_QMARK] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [8] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(990),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_break_label] = STATE(11),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [ts_builtin_sym_end] = ACTIONS(109),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(109),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_COLON] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(109),
    [anon_sym_STAR_EQ] = ACTIONS(109),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(109),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(109),
    [anon_sym_SLASH_EQ] = ACTIONS(109),
    [anon_sym_PERCENT_EQ] = ACTIONS(109),
    [anon_sym_PLUS_EQ] = ACTIONS(109),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(109),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(109),
    [anon_sym_DASH_EQ] = ACTIONS(109),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(109),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(109),
    [anon_sym_LT_LT_EQ] = ACTIONS(109),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(109),
    [anon_sym_GT_GT_EQ] = ACTIONS(109),
    [anon_sym_AMP_EQ] = ACTIONS(109),
    [anon_sym_CARET_EQ] = ACTIONS(109),
    [anon_sym_PIPE_EQ] = ACTIONS(109),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_RPAREN] = ACTIONS(109),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(109),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_else] = ACTIONS(115),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_DOT_DOT] = ACTIONS(109),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(121),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_RBRACK] = ACTIONS(109),
    [anon_sym_BANG] = ACTIONS(171),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(65),
    [anon_sym_AMP] = ACTIONS(65),
    [anon_sym_or] = ACTIONS(115),
    [anon_sym_and] = ACTIONS(115),
    [anon_sym_EQ_EQ] = ACTIONS(109),
    [anon_sym_BANG_EQ] = ACTIONS(109),
    [anon_sym_GT] = ACTIONS(115),
    [anon_sym_GT_EQ] = ACTIONS(109),
    [anon_sym_LT_EQ] = ACTIONS(109),
    [anon_sym_LT] = ACTIONS(115),
    [anon_sym_CARET] = ACTIONS(115),
    [anon_sym_orelse] = ACTIONS(115),
    [anon_sym_LT_LT] = ACTIONS(115),
    [anon_sym_GT_GT] = ACTIONS(115),
    [anon_sym_LT_LT_PIPE] = ACTIONS(115),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_PLUS_PLUS] = ACTIONS(109),
    [anon_sym_PLUS_PERCENT] = ACTIONS(115),
    [anon_sym_PLUS_PIPE] = ACTIONS(115),
    [anon_sym_DASH_PIPE] = ACTIONS(115),
    [anon_sym_SLASH] = ACTIONS(115),
    [anon_sym_PERCENT] = ACTIONS(115),
    [anon_sym_STAR_STAR] = ACTIONS(109),
    [anon_sym_STAR_PERCENT] = ACTIONS(115),
    [anon_sym_STAR_PIPE] = ACTIONS(115),
    [anon_sym_PIPE_PIPE] = ACTIONS(109),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_catch] = ACTIONS(115),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_EQ_GT] = ACTIONS(109),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(143),
    [anon_sym_DOT_STAR] = ACTIONS(109),
    [anon_sym_DOT_QMARK] = ACTIONS(109),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [9] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(955),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_break_label] = STATE(12),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [ts_builtin_sym_end] = ACTIONS(147),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(147),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_COLON] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(149),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(147),
    [anon_sym_STAR_EQ] = ACTIONS(147),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(147),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(147),
    [anon_sym_SLASH_EQ] = ACTIONS(147),
    [anon_sym_PERCENT_EQ] = ACTIONS(147),
    [anon_sym_PLUS_EQ] = ACTIONS(147),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(147),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(147),
    [anon_sym_DASH_EQ] = ACTIONS(147),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(147),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(147),
    [anon_sym_LT_LT_EQ] = ACTIONS(147),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(147),
    [anon_sym_GT_GT_EQ] = ACTIONS(147),
    [anon_sym_AMP_EQ] = ACTIONS(147),
    [anon_sym_CARET_EQ] = ACTIONS(147),
    [anon_sym_PIPE_EQ] = ACTIONS(147),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_RPAREN] = ACTIONS(147),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(147),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_else] = ACTIONS(149),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_DOT_DOT] = ACTIONS(147),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(149),
    [anon_sym_STAR] = ACTIONS(121),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_RBRACK] = ACTIONS(147),
    [anon_sym_BANG] = ACTIONS(171),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(65),
    [anon_sym_AMP] = ACTIONS(65),
    [anon_sym_or] = ACTIONS(149),
    [anon_sym_and] = ACTIONS(149),
    [anon_sym_EQ_EQ] = ACTIONS(147),
    [anon_sym_BANG_EQ] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(149),
    [anon_sym_GT_EQ] = ACTIONS(147),
    [anon_sym_LT_EQ] = ACTIONS(147),
    [anon_sym_LT] = ACTIONS(149),
    [anon_sym_CARET] = ACTIONS(149),
    [anon_sym_orelse] = ACTIONS(149),
    [anon_sym_LT_LT] = ACTIONS(149),
    [anon_sym_GT_GT] = ACTIONS(149),
    [anon_sym_LT_LT_PIPE] = ACTIONS(149),
    [anon_sym_PLUS] = ACTIONS(149),
    [anon_sym_PLUS_PLUS] = ACTIONS(147),
    [anon_sym_PLUS_PERCENT] = ACTIONS(149),
    [anon_sym_PLUS_PIPE] = ACTIONS(149),
    [anon_sym_DASH_PIPE] = ACTIONS(149),
    [anon_sym_SLASH] = ACTIONS(149),
    [anon_sym_PERCENT] = ACTIONS(149),
    [anon_sym_STAR_STAR] = ACTIONS(147),
    [anon_sym_STAR_PERCENT] = ACTIONS(149),
    [anon_sym_STAR_PIPE] = ACTIONS(149),
    [anon_sym_PIPE_PIPE] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_catch] = ACTIONS(149),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_EQ_GT] = ACTIONS(147),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(143),
    [anon_sym_DOT_STAR] = ACTIONS(147),
    [anon_sym_DOT_QMARK] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [10] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(945),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [ts_builtin_sym_end] = ACTIONS(163),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(163),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(163),
    [anon_sym_STAR_EQ] = ACTIONS(163),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(163),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(163),
    [anon_sym_SLASH_EQ] = ACTIONS(163),
    [anon_sym_PERCENT_EQ] = ACTIONS(163),
    [anon_sym_PLUS_EQ] = ACTIONS(163),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(163),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(163),
    [anon_sym_DASH_EQ] = ACTIONS(163),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(163),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(163),
    [anon_sym_LT_LT_EQ] = ACTIONS(163),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(163),
    [anon_sym_GT_GT_EQ] = ACTIONS(163),
    [anon_sym_AMP_EQ] = ACTIONS(163),
    [anon_sym_CARET_EQ] = ACTIONS(163),
    [anon_sym_PIPE_EQ] = ACTIONS(163),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_RPAREN] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(163),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_else] = ACTIONS(165),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_DOT_DOT] = ACTIONS(163),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_STAR] = ACTIONS(121),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_RBRACK] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(171),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(65),
    [anon_sym_AMP] = ACTIONS(65),
    [anon_sym_or] = ACTIONS(165),
    [anon_sym_and] = ACTIONS(165),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(165),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_CARET] = ACTIONS(165),
    [anon_sym_orelse] = ACTIONS(165),
    [anon_sym_LT_LT] = ACTIONS(165),
    [anon_sym_GT_GT] = ACTIONS(165),
    [anon_sym_LT_LT_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(165),
    [anon_sym_PLUS_PLUS] = ACTIONS(163),
    [anon_sym_PLUS_PERCENT] = ACTIONS(165),
    [anon_sym_PLUS_PIPE] = ACTIONS(165),
    [anon_sym_DASH_PIPE] = ACTIONS(165),
    [anon_sym_SLASH] = ACTIONS(165),
    [anon_sym_PERCENT] = ACTIONS(165),
    [anon_sym_STAR_STAR] = ACTIONS(163),
    [anon_sym_STAR_PERCENT] = ACTIONS(165),
    [anon_sym_STAR_PIPE] = ACTIONS(165),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_catch] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_EQ_GT] = ACTIONS(163),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(143),
    [anon_sym_DOT_STAR] = ACTIONS(163),
    [anon_sym_DOT_QMARK] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [11] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(981),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [ts_builtin_sym_end] = ACTIONS(155),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_EQ] = ACTIONS(157),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_RPAREN] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(155),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_else] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_DOT_DOT] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(157),
    [anon_sym_STAR] = ACTIONS(121),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_RBRACK] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(171),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(65),
    [anon_sym_AMP] = ACTIONS(65),
    [anon_sym_or] = ACTIONS(157),
    [anon_sym_and] = ACTIONS(157),
    [anon_sym_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(155),
    [anon_sym_GT] = ACTIONS(157),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(157),
    [anon_sym_CARET] = ACTIONS(157),
    [anon_sym_orelse] = ACTIONS(157),
    [anon_sym_LT_LT] = ACTIONS(157),
    [anon_sym_GT_GT] = ACTIONS(157),
    [anon_sym_LT_LT_PIPE] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(157),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_PLUS_PERCENT] = ACTIONS(157),
    [anon_sym_PLUS_PIPE] = ACTIONS(157),
    [anon_sym_DASH_PIPE] = ACTIONS(157),
    [anon_sym_SLASH] = ACTIONS(157),
    [anon_sym_PERCENT] = ACTIONS(157),
    [anon_sym_STAR_STAR] = ACTIONS(155),
    [anon_sym_STAR_PERCENT] = ACTIONS(157),
    [anon_sym_STAR_PIPE] = ACTIONS(157),
    [anon_sym_PIPE_PIPE] = ACTIONS(155),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_catch] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_EQ_GT] = ACTIONS(155),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(143),
    [anon_sym_DOT_STAR] = ACTIONS(155),
    [anon_sym_DOT_QMARK] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [12] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(948),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [ts_builtin_sym_end] = ACTIONS(159),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(159),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_EQ] = ACTIONS(161),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_RPAREN] = ACTIONS(159),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(159),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_else] = ACTIONS(161),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_DOT_DOT] = ACTIONS(159),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_STAR] = ACTIONS(121),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_RBRACK] = ACTIONS(159),
    [anon_sym_BANG] = ACTIONS(171),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(65),
    [anon_sym_AMP] = ACTIONS(65),
    [anon_sym_or] = ACTIONS(161),
    [anon_sym_and] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(159),
    [anon_sym_BANG_EQ] = ACTIONS(159),
    [anon_sym_GT] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_EQ] = ACTIONS(159),
    [anon_sym_LT] = ACTIONS(161),
    [anon_sym_CARET] = ACTIONS(161),
    [anon_sym_orelse] = ACTIONS(161),
    [anon_sym_LT_LT] = ACTIONS(161),
    [anon_sym_GT_GT] = ACTIONS(161),
    [anon_sym_LT_LT_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(161),
    [anon_sym_PLUS_PLUS] = ACTIONS(159),
    [anon_sym_PLUS_PERCENT] = ACTIONS(161),
    [anon_sym_PLUS_PIPE] = ACTIONS(161),
    [anon_sym_DASH_PIPE] = ACTIONS(161),
    [anon_sym_SLASH] = ACTIONS(161),
    [anon_sym_PERCENT] = ACTIONS(161),
    [anon_sym_STAR_STAR] = ACTIONS(159),
    [anon_sym_STAR_PERCENT] = ACTIONS(161),
    [anon_sym_STAR_PIPE] = ACTIONS(161),
    [anon_sym_PIPE_PIPE] = ACTIONS(159),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_catch] = ACTIONS(161),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(143),
    [anon_sym_DOT_STAR] = ACTIONS(159),
    [anon_sym_DOT_QMARK] = ACTIONS(159),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [13] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_expression] = STATE(1299),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_break_label] = STATE(23),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_COMMA] = ACTIONS(109),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_COLON] = ACTIONS(177),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_STAR_EQ] = ACTIONS(109),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(109),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(109),
    [anon_sym_SLASH_EQ] = ACTIONS(109),
    [anon_sym_PERCENT_EQ] = ACTIONS(109),
    [anon_sym_PLUS_EQ] = ACTIONS(109),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(109),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(109),
    [anon_sym_DASH_EQ] = ACTIONS(109),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(109),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(109),
    [anon_sym_LT_LT_EQ] = ACTIONS(109),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(109),
    [anon_sym_GT_GT_EQ] = ACTIONS(109),
    [anon_sym_AMP_EQ] = ACTIONS(109),
    [anon_sym_CARET_EQ] = ACTIONS(109),
    [anon_sym_PIPE_EQ] = ACTIONS(109),
    [anon_sym_inline] = ACTIONS(181),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_else] = ACTIONS(115),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_DOT_DOT] = ACTIONS(115),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(201),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(207),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(211),
    [anon_sym_AMP] = ACTIONS(211),
    [anon_sym_or] = ACTIONS(115),
    [anon_sym_and] = ACTIONS(115),
    [anon_sym_EQ_EQ] = ACTIONS(109),
    [anon_sym_BANG_EQ] = ACTIONS(109),
    [anon_sym_GT] = ACTIONS(115),
    [anon_sym_GT_EQ] = ACTIONS(109),
    [anon_sym_LT_EQ] = ACTIONS(109),
    [anon_sym_LT] = ACTIONS(115),
    [anon_sym_CARET] = ACTIONS(115),
    [anon_sym_orelse] = ACTIONS(115),
    [anon_sym_LT_LT] = ACTIONS(115),
    [anon_sym_GT_GT] = ACTIONS(115),
    [anon_sym_LT_LT_PIPE] = ACTIONS(115),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_PLUS_PLUS] = ACTIONS(109),
    [anon_sym_PLUS_PERCENT] = ACTIONS(115),
    [anon_sym_PLUS_PIPE] = ACTIONS(115),
    [anon_sym_DASH_PIPE] = ACTIONS(115),
    [anon_sym_SLASH] = ACTIONS(115),
    [anon_sym_PERCENT] = ACTIONS(115),
    [anon_sym_STAR_STAR] = ACTIONS(109),
    [anon_sym_STAR_PERCENT] = ACTIONS(115),
    [anon_sym_STAR_PIPE] = ACTIONS(115),
    [anon_sym_PIPE_PIPE] = ACTIONS(109),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_catch] = ACTIONS(115),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_EQ_GT] = ACTIONS(109),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(235),
    [anon_sym_DOT_STAR] = ACTIONS(109),
    [anon_sym_DOT_QMARK] = ACTIONS(109),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [14] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_expression] = STATE(1303),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_break_label] = STATE(24),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_COMMA] = ACTIONS(147),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_COLON] = ACTIONS(177),
    [anon_sym_EQ] = ACTIONS(149),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_STAR_EQ] = ACTIONS(147),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(147),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(147),
    [anon_sym_SLASH_EQ] = ACTIONS(147),
    [anon_sym_PERCENT_EQ] = ACTIONS(147),
    [anon_sym_PLUS_EQ] = ACTIONS(147),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(147),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(147),
    [anon_sym_DASH_EQ] = ACTIONS(147),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(147),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(147),
    [anon_sym_LT_LT_EQ] = ACTIONS(147),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(147),
    [anon_sym_GT_GT_EQ] = ACTIONS(147),
    [anon_sym_AMP_EQ] = ACTIONS(147),
    [anon_sym_CARET_EQ] = ACTIONS(147),
    [anon_sym_PIPE_EQ] = ACTIONS(147),
    [anon_sym_inline] = ACTIONS(181),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(147),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_else] = ACTIONS(149),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_DOT_DOT] = ACTIONS(149),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(149),
    [anon_sym_STAR] = ACTIONS(201),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(207),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(211),
    [anon_sym_AMP] = ACTIONS(211),
    [anon_sym_or] = ACTIONS(149),
    [anon_sym_and] = ACTIONS(149),
    [anon_sym_EQ_EQ] = ACTIONS(147),
    [anon_sym_BANG_EQ] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(149),
    [anon_sym_GT_EQ] = ACTIONS(147),
    [anon_sym_LT_EQ] = ACTIONS(147),
    [anon_sym_LT] = ACTIONS(149),
    [anon_sym_CARET] = ACTIONS(149),
    [anon_sym_orelse] = ACTIONS(149),
    [anon_sym_LT_LT] = ACTIONS(149),
    [anon_sym_GT_GT] = ACTIONS(149),
    [anon_sym_LT_LT_PIPE] = ACTIONS(149),
    [anon_sym_PLUS] = ACTIONS(149),
    [anon_sym_PLUS_PLUS] = ACTIONS(147),
    [anon_sym_PLUS_PERCENT] = ACTIONS(149),
    [anon_sym_PLUS_PIPE] = ACTIONS(149),
    [anon_sym_DASH_PIPE] = ACTIONS(149),
    [anon_sym_SLASH] = ACTIONS(149),
    [anon_sym_PERCENT] = ACTIONS(149),
    [anon_sym_STAR_STAR] = ACTIONS(147),
    [anon_sym_STAR_PERCENT] = ACTIONS(149),
    [anon_sym_STAR_PIPE] = ACTIONS(149),
    [anon_sym_PIPE_PIPE] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_catch] = ACTIONS(149),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_EQ_GT] = ACTIONS(147),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(235),
    [anon_sym_DOT_STAR] = ACTIONS(147),
    [anon_sym_DOT_QMARK] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [15] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(539),
    [sym__for_prefix] = STATE(534),
    [sym__while_prefix] = STATE(535),
    [sym_expression] = STATE(1212),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1492),
    [sym_break_label] = STATE(32),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_COMMA] = ACTIONS(147),
    [anon_sym_comptime] = ACTIONS(253),
    [anon_sym_COLON] = ACTIONS(177),
    [anon_sym_EQ] = ACTIONS(149),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_STAR_EQ] = ACTIONS(147),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(147),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(147),
    [anon_sym_SLASH_EQ] = ACTIONS(147),
    [anon_sym_PERCENT_EQ] = ACTIONS(147),
    [anon_sym_PLUS_EQ] = ACTIONS(147),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(147),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(147),
    [anon_sym_DASH_EQ] = ACTIONS(147),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(147),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(147),
    [anon_sym_LT_LT_EQ] = ACTIONS(147),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(147),
    [anon_sym_GT_GT_EQ] = ACTIONS(147),
    [anon_sym_AMP_EQ] = ACTIONS(147),
    [anon_sym_CARET_EQ] = ACTIONS(147),
    [anon_sym_PIPE_EQ] = ACTIONS(147),
    [anon_sym_inline] = ACTIONS(255),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(147),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(257),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_else] = ACTIONS(149),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_DOT_DOT] = ACTIONS(149),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(149),
    [anon_sym_STAR] = ACTIONS(201),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(259),
    [anon_sym_TILDE] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(263),
    [anon_sym_AMP] = ACTIONS(263),
    [anon_sym_or] = ACTIONS(149),
    [anon_sym_and] = ACTIONS(149),
    [anon_sym_EQ_EQ] = ACTIONS(147),
    [anon_sym_BANG_EQ] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(149),
    [anon_sym_GT_EQ] = ACTIONS(147),
    [anon_sym_LT_EQ] = ACTIONS(147),
    [anon_sym_LT] = ACTIONS(149),
    [anon_sym_CARET] = ACTIONS(149),
    [anon_sym_orelse] = ACTIONS(149),
    [anon_sym_LT_LT] = ACTIONS(149),
    [anon_sym_GT_GT] = ACTIONS(149),
    [anon_sym_LT_LT_PIPE] = ACTIONS(149),
    [anon_sym_PLUS] = ACTIONS(149),
    [anon_sym_PLUS_PLUS] = ACTIONS(147),
    [anon_sym_PLUS_PERCENT] = ACTIONS(149),
    [anon_sym_PLUS_PIPE] = ACTIONS(149),
    [anon_sym_DASH_PIPE] = ACTIONS(149),
    [anon_sym_SLASH] = ACTIONS(149),
    [anon_sym_PERCENT] = ACTIONS(149),
    [anon_sym_STAR_STAR] = ACTIONS(147),
    [anon_sym_STAR_PERCENT] = ACTIONS(149),
    [anon_sym_STAR_PIPE] = ACTIONS(149),
    [anon_sym_PIPE_PIPE] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(265),
    [anon_sym_await] = ACTIONS(267),
    [anon_sym_continue] = ACTIONS(269),
    [anon_sym_resume] = ACTIONS(271),
    [anon_sym_return] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(275),
    [anon_sym_try] = ACTIONS(277),
    [anon_sym_catch] = ACTIONS(149),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_EQ_GT] = ACTIONS(147),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(235),
    [anon_sym_DOT_STAR] = ACTIONS(147),
    [anon_sym_DOT_QMARK] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [16] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(539),
    [sym__for_prefix] = STATE(534),
    [sym__while_prefix] = STATE(535),
    [sym_expression] = STATE(1209),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1492),
    [sym_break_label] = STATE(31),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_COMMA] = ACTIONS(109),
    [anon_sym_comptime] = ACTIONS(253),
    [anon_sym_COLON] = ACTIONS(177),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_STAR_EQ] = ACTIONS(109),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(109),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(109),
    [anon_sym_SLASH_EQ] = ACTIONS(109),
    [anon_sym_PERCENT_EQ] = ACTIONS(109),
    [anon_sym_PLUS_EQ] = ACTIONS(109),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(109),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(109),
    [anon_sym_DASH_EQ] = ACTIONS(109),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(109),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(109),
    [anon_sym_LT_LT_EQ] = ACTIONS(109),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(109),
    [anon_sym_GT_GT_EQ] = ACTIONS(109),
    [anon_sym_AMP_EQ] = ACTIONS(109),
    [anon_sym_CARET_EQ] = ACTIONS(109),
    [anon_sym_PIPE_EQ] = ACTIONS(109),
    [anon_sym_inline] = ACTIONS(255),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(109),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(257),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_else] = ACTIONS(115),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_DOT_DOT] = ACTIONS(115),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(201),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(259),
    [anon_sym_TILDE] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(263),
    [anon_sym_AMP] = ACTIONS(263),
    [anon_sym_or] = ACTIONS(115),
    [anon_sym_and] = ACTIONS(115),
    [anon_sym_EQ_EQ] = ACTIONS(109),
    [anon_sym_BANG_EQ] = ACTIONS(109),
    [anon_sym_GT] = ACTIONS(115),
    [anon_sym_GT_EQ] = ACTIONS(109),
    [anon_sym_LT_EQ] = ACTIONS(109),
    [anon_sym_LT] = ACTIONS(115),
    [anon_sym_CARET] = ACTIONS(115),
    [anon_sym_orelse] = ACTIONS(115),
    [anon_sym_LT_LT] = ACTIONS(115),
    [anon_sym_GT_GT] = ACTIONS(115),
    [anon_sym_LT_LT_PIPE] = ACTIONS(115),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_PLUS_PLUS] = ACTIONS(109),
    [anon_sym_PLUS_PERCENT] = ACTIONS(115),
    [anon_sym_PLUS_PIPE] = ACTIONS(115),
    [anon_sym_DASH_PIPE] = ACTIONS(115),
    [anon_sym_SLASH] = ACTIONS(115),
    [anon_sym_PERCENT] = ACTIONS(115),
    [anon_sym_STAR_STAR] = ACTIONS(109),
    [anon_sym_STAR_PERCENT] = ACTIONS(115),
    [anon_sym_STAR_PIPE] = ACTIONS(115),
    [anon_sym_PIPE_PIPE] = ACTIONS(109),
    [anon_sym_async] = ACTIONS(265),
    [anon_sym_await] = ACTIONS(267),
    [anon_sym_continue] = ACTIONS(269),
    [anon_sym_resume] = ACTIONS(271),
    [anon_sym_return] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(275),
    [anon_sym_try] = ACTIONS(277),
    [anon_sym_catch] = ACTIONS(115),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_EQ_GT] = ACTIONS(109),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(235),
    [anon_sym_DOT_STAR] = ACTIONS(109),
    [anon_sym_DOT_QMARK] = ACTIONS(109),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [17] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(492),
    [sym__while_prefix] = STATE(493),
    [sym_expression] = STATE(1291),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1493),
    [sym_break_label] = STATE(28),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(149),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_STAR_EQ] = ACTIONS(147),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(147),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(147),
    [anon_sym_SLASH_EQ] = ACTIONS(147),
    [anon_sym_PERCENT_EQ] = ACTIONS(147),
    [anon_sym_PLUS_EQ] = ACTIONS(147),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(147),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(147),
    [anon_sym_DASH_EQ] = ACTIONS(147),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(147),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(147),
    [anon_sym_LT_LT_EQ] = ACTIONS(147),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(147),
    [anon_sym_GT_GT_EQ] = ACTIONS(147),
    [anon_sym_AMP_EQ] = ACTIONS(147),
    [anon_sym_CARET_EQ] = ACTIONS(147),
    [anon_sym_PIPE_EQ] = ACTIONS(147),
    [anon_sym_inline] = ACTIONS(281),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_RPAREN] = ACTIONS(147),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(285),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_else] = ACTIONS(149),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_DOT_DOT] = ACTIONS(147),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(149),
    [anon_sym_STAR] = ACTIONS(287),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_RBRACK] = ACTIONS(147),
    [anon_sym_BANG] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_DASH_PERCENT] = ACTIONS(295),
    [anon_sym_AMP] = ACTIONS(295),
    [anon_sym_or] = ACTIONS(149),
    [anon_sym_and] = ACTIONS(149),
    [anon_sym_EQ_EQ] = ACTIONS(147),
    [anon_sym_BANG_EQ] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(149),
    [anon_sym_GT_EQ] = ACTIONS(147),
    [anon_sym_LT_EQ] = ACTIONS(147),
    [anon_sym_LT] = ACTIONS(149),
    [anon_sym_CARET] = ACTIONS(149),
    [anon_sym_orelse] = ACTIONS(149),
    [anon_sym_LT_LT] = ACTIONS(149),
    [anon_sym_GT_GT] = ACTIONS(149),
    [anon_sym_LT_LT_PIPE] = ACTIONS(149),
    [anon_sym_PLUS] = ACTIONS(149),
    [anon_sym_PLUS_PLUS] = ACTIONS(147),
    [anon_sym_PLUS_PERCENT] = ACTIONS(149),
    [anon_sym_PLUS_PIPE] = ACTIONS(149),
    [anon_sym_DASH_PIPE] = ACTIONS(149),
    [anon_sym_SLASH] = ACTIONS(149),
    [anon_sym_PERCENT] = ACTIONS(149),
    [anon_sym_STAR_STAR] = ACTIONS(147),
    [anon_sym_STAR_PERCENT] = ACTIONS(149),
    [anon_sym_STAR_PIPE] = ACTIONS(149),
    [anon_sym_PIPE_PIPE] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_await] = ACTIONS(299),
    [anon_sym_continue] = ACTIONS(301),
    [anon_sym_resume] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_try] = ACTIONS(309),
    [anon_sym_catch] = ACTIONS(149),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(143),
    [anon_sym_DOT_STAR] = ACTIONS(147),
    [anon_sym_DOT_QMARK] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [18] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(492),
    [sym__while_prefix] = STATE(493),
    [sym_expression] = STATE(1288),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1493),
    [sym_break_label] = STATE(27),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_STAR_EQ] = ACTIONS(109),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(109),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(109),
    [anon_sym_SLASH_EQ] = ACTIONS(109),
    [anon_sym_PERCENT_EQ] = ACTIONS(109),
    [anon_sym_PLUS_EQ] = ACTIONS(109),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(109),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(109),
    [anon_sym_DASH_EQ] = ACTIONS(109),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(109),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(109),
    [anon_sym_LT_LT_EQ] = ACTIONS(109),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(109),
    [anon_sym_GT_GT_EQ] = ACTIONS(109),
    [anon_sym_AMP_EQ] = ACTIONS(109),
    [anon_sym_CARET_EQ] = ACTIONS(109),
    [anon_sym_PIPE_EQ] = ACTIONS(109),
    [anon_sym_inline] = ACTIONS(281),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_RPAREN] = ACTIONS(109),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(285),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_else] = ACTIONS(115),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_DOT_DOT] = ACTIONS(109),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(287),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_RBRACK] = ACTIONS(109),
    [anon_sym_BANG] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_DASH_PERCENT] = ACTIONS(295),
    [anon_sym_AMP] = ACTIONS(295),
    [anon_sym_or] = ACTIONS(115),
    [anon_sym_and] = ACTIONS(115),
    [anon_sym_EQ_EQ] = ACTIONS(109),
    [anon_sym_BANG_EQ] = ACTIONS(109),
    [anon_sym_GT] = ACTIONS(115),
    [anon_sym_GT_EQ] = ACTIONS(109),
    [anon_sym_LT_EQ] = ACTIONS(109),
    [anon_sym_LT] = ACTIONS(115),
    [anon_sym_CARET] = ACTIONS(115),
    [anon_sym_orelse] = ACTIONS(115),
    [anon_sym_LT_LT] = ACTIONS(115),
    [anon_sym_GT_GT] = ACTIONS(115),
    [anon_sym_LT_LT_PIPE] = ACTIONS(115),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_PLUS_PLUS] = ACTIONS(109),
    [anon_sym_PLUS_PERCENT] = ACTIONS(115),
    [anon_sym_PLUS_PIPE] = ACTIONS(115),
    [anon_sym_DASH_PIPE] = ACTIONS(115),
    [anon_sym_SLASH] = ACTIONS(115),
    [anon_sym_PERCENT] = ACTIONS(115),
    [anon_sym_STAR_STAR] = ACTIONS(109),
    [anon_sym_STAR_PERCENT] = ACTIONS(115),
    [anon_sym_STAR_PIPE] = ACTIONS(115),
    [anon_sym_PIPE_PIPE] = ACTIONS(109),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_await] = ACTIONS(299),
    [anon_sym_continue] = ACTIONS(301),
    [anon_sym_resume] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_try] = ACTIONS(309),
    [anon_sym_catch] = ACTIONS(115),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(143),
    [anon_sym_DOT_STAR] = ACTIONS(109),
    [anon_sym_DOT_QMARK] = ACTIONS(109),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [19] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(609),
    [sym__while_prefix] = STATE(610),
    [sym_expression] = STATE(1224),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1498),
    [sym_break_label] = STATE(34),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_COLON] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(115),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_STAR_EQ] = ACTIONS(109),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(109),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(109),
    [anon_sym_SLASH_EQ] = ACTIONS(109),
    [anon_sym_PERCENT_EQ] = ACTIONS(109),
    [anon_sym_PLUS_EQ] = ACTIONS(109),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(109),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(109),
    [anon_sym_DASH_EQ] = ACTIONS(109),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(109),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(109),
    [anon_sym_LT_LT_EQ] = ACTIONS(109),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(109),
    [anon_sym_GT_GT_EQ] = ACTIONS(109),
    [anon_sym_AMP_EQ] = ACTIONS(109),
    [anon_sym_CARET_EQ] = ACTIONS(109),
    [anon_sym_PIPE_EQ] = ACTIONS(109),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_RPAREN] = ACTIONS(109),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_else] = ACTIONS(115),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_DOT_DOT] = ACTIONS(109),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(287),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_RBRACK] = ACTIONS(109),
    [anon_sym_BANG] = ACTIONS(321),
    [anon_sym_TILDE] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_DASH_PERCENT] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_or] = ACTIONS(115),
    [anon_sym_and] = ACTIONS(115),
    [anon_sym_EQ_EQ] = ACTIONS(109),
    [anon_sym_BANG_EQ] = ACTIONS(109),
    [anon_sym_GT] = ACTIONS(115),
    [anon_sym_GT_EQ] = ACTIONS(109),
    [anon_sym_LT_EQ] = ACTIONS(109),
    [anon_sym_LT] = ACTIONS(115),
    [anon_sym_CARET] = ACTIONS(115),
    [anon_sym_orelse] = ACTIONS(115),
    [anon_sym_LT_LT] = ACTIONS(115),
    [anon_sym_GT_GT] = ACTIONS(115),
    [anon_sym_LT_LT_PIPE] = ACTIONS(115),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_PLUS_PLUS] = ACTIONS(109),
    [anon_sym_PLUS_PERCENT] = ACTIONS(115),
    [anon_sym_PLUS_PIPE] = ACTIONS(115),
    [anon_sym_DASH_PIPE] = ACTIONS(115),
    [anon_sym_SLASH] = ACTIONS(115),
    [anon_sym_PERCENT] = ACTIONS(115),
    [anon_sym_STAR_STAR] = ACTIONS(109),
    [anon_sym_STAR_PERCENT] = ACTIONS(115),
    [anon_sym_STAR_PIPE] = ACTIONS(115),
    [anon_sym_PIPE_PIPE] = ACTIONS(109),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_await] = ACTIONS(329),
    [anon_sym_continue] = ACTIONS(331),
    [anon_sym_resume] = ACTIONS(333),
    [anon_sym_return] = ACTIONS(335),
    [anon_sym_break] = ACTIONS(337),
    [anon_sym_try] = ACTIONS(339),
    [anon_sym_catch] = ACTIONS(115),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(143),
    [anon_sym_DOT_STAR] = ACTIONS(109),
    [anon_sym_DOT_QMARK] = ACTIONS(109),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [20] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(609),
    [sym__while_prefix] = STATE(610),
    [sym_expression] = STATE(1227),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1498),
    [sym_break_label] = STATE(22),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_COLON] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(149),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_STAR_EQ] = ACTIONS(147),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(147),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(147),
    [anon_sym_SLASH_EQ] = ACTIONS(147),
    [anon_sym_PERCENT_EQ] = ACTIONS(147),
    [anon_sym_PLUS_EQ] = ACTIONS(147),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(147),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(147),
    [anon_sym_DASH_EQ] = ACTIONS(147),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(147),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(147),
    [anon_sym_LT_LT_EQ] = ACTIONS(147),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(147),
    [anon_sym_GT_GT_EQ] = ACTIONS(147),
    [anon_sym_AMP_EQ] = ACTIONS(147),
    [anon_sym_CARET_EQ] = ACTIONS(147),
    [anon_sym_PIPE_EQ] = ACTIONS(147),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_RPAREN] = ACTIONS(147),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_else] = ACTIONS(149),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_DOT_DOT] = ACTIONS(147),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(149),
    [anon_sym_STAR] = ACTIONS(287),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_RBRACK] = ACTIONS(147),
    [anon_sym_BANG] = ACTIONS(321),
    [anon_sym_TILDE] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_DASH_PERCENT] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_or] = ACTIONS(149),
    [anon_sym_and] = ACTIONS(149),
    [anon_sym_EQ_EQ] = ACTIONS(147),
    [anon_sym_BANG_EQ] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(149),
    [anon_sym_GT_EQ] = ACTIONS(147),
    [anon_sym_LT_EQ] = ACTIONS(147),
    [anon_sym_LT] = ACTIONS(149),
    [anon_sym_CARET] = ACTIONS(149),
    [anon_sym_orelse] = ACTIONS(149),
    [anon_sym_LT_LT] = ACTIONS(149),
    [anon_sym_GT_GT] = ACTIONS(149),
    [anon_sym_LT_LT_PIPE] = ACTIONS(149),
    [anon_sym_PLUS] = ACTIONS(149),
    [anon_sym_PLUS_PLUS] = ACTIONS(147),
    [anon_sym_PLUS_PERCENT] = ACTIONS(149),
    [anon_sym_PLUS_PIPE] = ACTIONS(149),
    [anon_sym_DASH_PIPE] = ACTIONS(149),
    [anon_sym_SLASH] = ACTIONS(149),
    [anon_sym_PERCENT] = ACTIONS(149),
    [anon_sym_STAR_STAR] = ACTIONS(147),
    [anon_sym_STAR_PERCENT] = ACTIONS(149),
    [anon_sym_STAR_PIPE] = ACTIONS(149),
    [anon_sym_PIPE_PIPE] = ACTIONS(147),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_await] = ACTIONS(329),
    [anon_sym_continue] = ACTIONS(331),
    [anon_sym_resume] = ACTIONS(333),
    [anon_sym_return] = ACTIONS(335),
    [anon_sym_break] = ACTIONS(337),
    [anon_sym_try] = ACTIONS(339),
    [anon_sym_catch] = ACTIONS(149),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(143),
    [anon_sym_DOT_STAR] = ACTIONS(147),
    [anon_sym_DOT_QMARK] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [21] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_expression] = STATE(1302),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_COMMA] = ACTIONS(163),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_STAR_EQ] = ACTIONS(163),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(163),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(163),
    [anon_sym_SLASH_EQ] = ACTIONS(163),
    [anon_sym_PERCENT_EQ] = ACTIONS(163),
    [anon_sym_PLUS_EQ] = ACTIONS(163),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(163),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(163),
    [anon_sym_DASH_EQ] = ACTIONS(163),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(163),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(163),
    [anon_sym_LT_LT_EQ] = ACTIONS(163),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(163),
    [anon_sym_GT_GT_EQ] = ACTIONS(163),
    [anon_sym_AMP_EQ] = ACTIONS(163),
    [anon_sym_CARET_EQ] = ACTIONS(163),
    [anon_sym_PIPE_EQ] = ACTIONS(163),
    [anon_sym_inline] = ACTIONS(181),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_else] = ACTIONS(165),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_DOT_DOT] = ACTIONS(165),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_STAR] = ACTIONS(201),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(207),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(211),
    [anon_sym_AMP] = ACTIONS(211),
    [anon_sym_or] = ACTIONS(165),
    [anon_sym_and] = ACTIONS(165),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(165),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_CARET] = ACTIONS(165),
    [anon_sym_orelse] = ACTIONS(165),
    [anon_sym_LT_LT] = ACTIONS(165),
    [anon_sym_GT_GT] = ACTIONS(165),
    [anon_sym_LT_LT_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(165),
    [anon_sym_PLUS_PLUS] = ACTIONS(163),
    [anon_sym_PLUS_PERCENT] = ACTIONS(165),
    [anon_sym_PLUS_PIPE] = ACTIONS(165),
    [anon_sym_DASH_PIPE] = ACTIONS(165),
    [anon_sym_SLASH] = ACTIONS(165),
    [anon_sym_PERCENT] = ACTIONS(165),
    [anon_sym_STAR_STAR] = ACTIONS(163),
    [anon_sym_STAR_PERCENT] = ACTIONS(165),
    [anon_sym_STAR_PIPE] = ACTIONS(165),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_catch] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_EQ_GT] = ACTIONS(163),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(235),
    [anon_sym_DOT_STAR] = ACTIONS(163),
    [anon_sym_DOT_QMARK] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [22] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(609),
    [sym__while_prefix] = STATE(610),
    [sym_expression] = STATE(1162),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1498),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_COLON] = ACTIONS(159),
    [anon_sym_EQ] = ACTIONS(161),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_RPAREN] = ACTIONS(159),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_else] = ACTIONS(161),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_DOT_DOT] = ACTIONS(159),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_STAR] = ACTIONS(287),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_RBRACK] = ACTIONS(159),
    [anon_sym_BANG] = ACTIONS(321),
    [anon_sym_TILDE] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_DASH_PERCENT] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_or] = ACTIONS(161),
    [anon_sym_and] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(159),
    [anon_sym_BANG_EQ] = ACTIONS(159),
    [anon_sym_GT] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_EQ] = ACTIONS(159),
    [anon_sym_LT] = ACTIONS(161),
    [anon_sym_CARET] = ACTIONS(161),
    [anon_sym_orelse] = ACTIONS(161),
    [anon_sym_LT_LT] = ACTIONS(161),
    [anon_sym_GT_GT] = ACTIONS(161),
    [anon_sym_LT_LT_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(161),
    [anon_sym_PLUS_PLUS] = ACTIONS(159),
    [anon_sym_PLUS_PERCENT] = ACTIONS(161),
    [anon_sym_PLUS_PIPE] = ACTIONS(161),
    [anon_sym_DASH_PIPE] = ACTIONS(161),
    [anon_sym_SLASH] = ACTIONS(161),
    [anon_sym_PERCENT] = ACTIONS(161),
    [anon_sym_STAR_STAR] = ACTIONS(159),
    [anon_sym_STAR_PERCENT] = ACTIONS(161),
    [anon_sym_STAR_PIPE] = ACTIONS(161),
    [anon_sym_PIPE_PIPE] = ACTIONS(159),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_await] = ACTIONS(329),
    [anon_sym_continue] = ACTIONS(331),
    [anon_sym_resume] = ACTIONS(333),
    [anon_sym_return] = ACTIONS(335),
    [anon_sym_break] = ACTIONS(337),
    [anon_sym_try] = ACTIONS(339),
    [anon_sym_catch] = ACTIONS(161),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(143),
    [anon_sym_DOT_STAR] = ACTIONS(159),
    [anon_sym_DOT_QMARK] = ACTIONS(159),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [23] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_expression] = STATE(1308),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_EQ] = ACTIONS(157),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_inline] = ACTIONS(181),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_else] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_DOT_DOT] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(157),
    [anon_sym_STAR] = ACTIONS(201),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(207),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(211),
    [anon_sym_AMP] = ACTIONS(211),
    [anon_sym_or] = ACTIONS(157),
    [anon_sym_and] = ACTIONS(157),
    [anon_sym_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(155),
    [anon_sym_GT] = ACTIONS(157),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(157),
    [anon_sym_CARET] = ACTIONS(157),
    [anon_sym_orelse] = ACTIONS(157),
    [anon_sym_LT_LT] = ACTIONS(157),
    [anon_sym_GT_GT] = ACTIONS(157),
    [anon_sym_LT_LT_PIPE] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(157),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_PLUS_PERCENT] = ACTIONS(157),
    [anon_sym_PLUS_PIPE] = ACTIONS(157),
    [anon_sym_DASH_PIPE] = ACTIONS(157),
    [anon_sym_SLASH] = ACTIONS(157),
    [anon_sym_PERCENT] = ACTIONS(157),
    [anon_sym_STAR_STAR] = ACTIONS(155),
    [anon_sym_STAR_PERCENT] = ACTIONS(157),
    [anon_sym_STAR_PIPE] = ACTIONS(157),
    [anon_sym_PIPE_PIPE] = ACTIONS(155),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_catch] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_EQ_GT] = ACTIONS(155),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(235),
    [anon_sym_DOT_STAR] = ACTIONS(155),
    [anon_sym_DOT_QMARK] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [24] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_expression] = STATE(1310),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_COMMA] = ACTIONS(159),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_EQ] = ACTIONS(161),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_inline] = ACTIONS(181),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(159),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_else] = ACTIONS(161),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_DOT_DOT] = ACTIONS(161),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_STAR] = ACTIONS(201),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(207),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(211),
    [anon_sym_AMP] = ACTIONS(211),
    [anon_sym_or] = ACTIONS(161),
    [anon_sym_and] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(159),
    [anon_sym_BANG_EQ] = ACTIONS(159),
    [anon_sym_GT] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_EQ] = ACTIONS(159),
    [anon_sym_LT] = ACTIONS(161),
    [anon_sym_CARET] = ACTIONS(161),
    [anon_sym_orelse] = ACTIONS(161),
    [anon_sym_LT_LT] = ACTIONS(161),
    [anon_sym_GT_GT] = ACTIONS(161),
    [anon_sym_LT_LT_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(161),
    [anon_sym_PLUS_PLUS] = ACTIONS(159),
    [anon_sym_PLUS_PERCENT] = ACTIONS(161),
    [anon_sym_PLUS_PIPE] = ACTIONS(161),
    [anon_sym_DASH_PIPE] = ACTIONS(161),
    [anon_sym_SLASH] = ACTIONS(161),
    [anon_sym_PERCENT] = ACTIONS(161),
    [anon_sym_STAR_STAR] = ACTIONS(159),
    [anon_sym_STAR_PERCENT] = ACTIONS(161),
    [anon_sym_STAR_PIPE] = ACTIONS(161),
    [anon_sym_PIPE_PIPE] = ACTIONS(159),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_catch] = ACTIONS(161),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(235),
    [anon_sym_DOT_STAR] = ACTIONS(159),
    [anon_sym_DOT_QMARK] = ACTIONS(159),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [25] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(539),
    [sym__for_prefix] = STATE(534),
    [sym__while_prefix] = STATE(535),
    [sym_expression] = STATE(1025),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1492),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_COMMA] = ACTIONS(151),
    [anon_sym_comptime] = ACTIONS(253),
    [anon_sym_EQ] = ACTIONS(153),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_STAR_EQ] = ACTIONS(151),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(151),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(151),
    [anon_sym_SLASH_EQ] = ACTIONS(151),
    [anon_sym_PERCENT_EQ] = ACTIONS(151),
    [anon_sym_PLUS_EQ] = ACTIONS(151),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(151),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(151),
    [anon_sym_DASH_EQ] = ACTIONS(151),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(151),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(151),
    [anon_sym_LT_LT_EQ] = ACTIONS(151),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(151),
    [anon_sym_GT_GT_EQ] = ACTIONS(151),
    [anon_sym_AMP_EQ] = ACTIONS(151),
    [anon_sym_CARET_EQ] = ACTIONS(151),
    [anon_sym_PIPE_EQ] = ACTIONS(151),
    [anon_sym_inline] = ACTIONS(255),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(151),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(257),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_else] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_DOT_DOT] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(153),
    [anon_sym_STAR] = ACTIONS(201),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(259),
    [anon_sym_TILDE] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(263),
    [anon_sym_AMP] = ACTIONS(263),
    [anon_sym_or] = ACTIONS(153),
    [anon_sym_and] = ACTIONS(153),
    [anon_sym_EQ_EQ] = ACTIONS(151),
    [anon_sym_BANG_EQ] = ACTIONS(151),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_GT_EQ] = ACTIONS(151),
    [anon_sym_LT_EQ] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_orelse] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(153),
    [anon_sym_GT_GT] = ACTIONS(153),
    [anon_sym_LT_LT_PIPE] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(151),
    [anon_sym_PLUS_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PIPE] = ACTIONS(153),
    [anon_sym_DASH_PIPE] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_STAR_STAR] = ACTIONS(151),
    [anon_sym_STAR_PERCENT] = ACTIONS(153),
    [anon_sym_STAR_PIPE] = ACTIONS(153),
    [anon_sym_PIPE_PIPE] = ACTIONS(151),
    [anon_sym_async] = ACTIONS(265),
    [anon_sym_await] = ACTIONS(267),
    [anon_sym_continue] = ACTIONS(269),
    [anon_sym_resume] = ACTIONS(271),
    [anon_sym_return] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(275),
    [anon_sym_try] = ACTIONS(277),
    [anon_sym_catch] = ACTIONS(153),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_EQ_GT] = ACTIONS(151),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(235),
    [anon_sym_DOT_STAR] = ACTIONS(151),
    [anon_sym_DOT_QMARK] = ACTIONS(151),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [26] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(492),
    [sym__while_prefix] = STATE(493),
    [sym_expression] = STATE(1243),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1493),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(163),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_STAR_EQ] = ACTIONS(163),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(163),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(163),
    [anon_sym_SLASH_EQ] = ACTIONS(163),
    [anon_sym_PERCENT_EQ] = ACTIONS(163),
    [anon_sym_PLUS_EQ] = ACTIONS(163),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(163),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(163),
    [anon_sym_DASH_EQ] = ACTIONS(163),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(163),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(163),
    [anon_sym_LT_LT_EQ] = ACTIONS(163),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(163),
    [anon_sym_GT_GT_EQ] = ACTIONS(163),
    [anon_sym_AMP_EQ] = ACTIONS(163),
    [anon_sym_CARET_EQ] = ACTIONS(163),
    [anon_sym_PIPE_EQ] = ACTIONS(163),
    [anon_sym_inline] = ACTIONS(281),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_RPAREN] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(285),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_else] = ACTIONS(165),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_DOT_DOT] = ACTIONS(163),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_STAR] = ACTIONS(287),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_RBRACK] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_DASH_PERCENT] = ACTIONS(295),
    [anon_sym_AMP] = ACTIONS(295),
    [anon_sym_or] = ACTIONS(165),
    [anon_sym_and] = ACTIONS(165),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(165),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_CARET] = ACTIONS(165),
    [anon_sym_orelse] = ACTIONS(165),
    [anon_sym_LT_LT] = ACTIONS(165),
    [anon_sym_GT_GT] = ACTIONS(165),
    [anon_sym_LT_LT_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(165),
    [anon_sym_PLUS_PLUS] = ACTIONS(163),
    [anon_sym_PLUS_PERCENT] = ACTIONS(165),
    [anon_sym_PLUS_PIPE] = ACTIONS(165),
    [anon_sym_DASH_PIPE] = ACTIONS(165),
    [anon_sym_SLASH] = ACTIONS(165),
    [anon_sym_PERCENT] = ACTIONS(165),
    [anon_sym_STAR_STAR] = ACTIONS(163),
    [anon_sym_STAR_PERCENT] = ACTIONS(165),
    [anon_sym_STAR_PIPE] = ACTIONS(165),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_await] = ACTIONS(299),
    [anon_sym_continue] = ACTIONS(301),
    [anon_sym_resume] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_try] = ACTIONS(309),
    [anon_sym_catch] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(143),
    [anon_sym_DOT_STAR] = ACTIONS(163),
    [anon_sym_DOT_QMARK] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [27] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(492),
    [sym__while_prefix] = STATE(493),
    [sym_expression] = STATE(1311),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1493),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(155),
    [anon_sym_EQ] = ACTIONS(157),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_inline] = ACTIONS(281),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_RPAREN] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(285),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_else] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_DOT_DOT] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(157),
    [anon_sym_STAR] = ACTIONS(287),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_RBRACK] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_DASH_PERCENT] = ACTIONS(295),
    [anon_sym_AMP] = ACTIONS(295),
    [anon_sym_or] = ACTIONS(157),
    [anon_sym_and] = ACTIONS(157),
    [anon_sym_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(155),
    [anon_sym_GT] = ACTIONS(157),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(157),
    [anon_sym_CARET] = ACTIONS(157),
    [anon_sym_orelse] = ACTIONS(157),
    [anon_sym_LT_LT] = ACTIONS(157),
    [anon_sym_GT_GT] = ACTIONS(157),
    [anon_sym_LT_LT_PIPE] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(157),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_PLUS_PERCENT] = ACTIONS(157),
    [anon_sym_PLUS_PIPE] = ACTIONS(157),
    [anon_sym_DASH_PIPE] = ACTIONS(157),
    [anon_sym_SLASH] = ACTIONS(157),
    [anon_sym_PERCENT] = ACTIONS(157),
    [anon_sym_STAR_STAR] = ACTIONS(155),
    [anon_sym_STAR_PERCENT] = ACTIONS(157),
    [anon_sym_STAR_PIPE] = ACTIONS(157),
    [anon_sym_PIPE_PIPE] = ACTIONS(155),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_await] = ACTIONS(299),
    [anon_sym_continue] = ACTIONS(301),
    [anon_sym_resume] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_try] = ACTIONS(309),
    [anon_sym_catch] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(143),
    [anon_sym_DOT_STAR] = ACTIONS(155),
    [anon_sym_DOT_QMARK] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [28] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(492),
    [sym__while_prefix] = STATE(493),
    [sym_expression] = STATE(1312),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1493),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(159),
    [anon_sym_EQ] = ACTIONS(161),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_inline] = ACTIONS(281),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_RPAREN] = ACTIONS(159),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(285),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_else] = ACTIONS(161),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_DOT_DOT] = ACTIONS(159),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_STAR] = ACTIONS(287),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_RBRACK] = ACTIONS(159),
    [anon_sym_BANG] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_DASH_PERCENT] = ACTIONS(295),
    [anon_sym_AMP] = ACTIONS(295),
    [anon_sym_or] = ACTIONS(161),
    [anon_sym_and] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(159),
    [anon_sym_BANG_EQ] = ACTIONS(159),
    [anon_sym_GT] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_EQ] = ACTIONS(159),
    [anon_sym_LT] = ACTIONS(161),
    [anon_sym_CARET] = ACTIONS(161),
    [anon_sym_orelse] = ACTIONS(161),
    [anon_sym_LT_LT] = ACTIONS(161),
    [anon_sym_GT_GT] = ACTIONS(161),
    [anon_sym_LT_LT_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(161),
    [anon_sym_PLUS_PLUS] = ACTIONS(159),
    [anon_sym_PLUS_PERCENT] = ACTIONS(161),
    [anon_sym_PLUS_PIPE] = ACTIONS(161),
    [anon_sym_DASH_PIPE] = ACTIONS(161),
    [anon_sym_SLASH] = ACTIONS(161),
    [anon_sym_PERCENT] = ACTIONS(161),
    [anon_sym_STAR_STAR] = ACTIONS(159),
    [anon_sym_STAR_PERCENT] = ACTIONS(161),
    [anon_sym_STAR_PIPE] = ACTIONS(161),
    [anon_sym_PIPE_PIPE] = ACTIONS(159),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_await] = ACTIONS(299),
    [anon_sym_continue] = ACTIONS(301),
    [anon_sym_resume] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_try] = ACTIONS(309),
    [anon_sym_catch] = ACTIONS(161),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(143),
    [anon_sym_DOT_STAR] = ACTIONS(159),
    [anon_sym_DOT_QMARK] = ACTIONS(159),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [29] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(609),
    [sym__while_prefix] = STATE(610),
    [sym_expression] = STATE(1105),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1498),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_COLON] = ACTIONS(151),
    [anon_sym_EQ] = ACTIONS(153),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_STAR_EQ] = ACTIONS(151),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(151),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(151),
    [anon_sym_SLASH_EQ] = ACTIONS(151),
    [anon_sym_PERCENT_EQ] = ACTIONS(151),
    [anon_sym_PLUS_EQ] = ACTIONS(151),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(151),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(151),
    [anon_sym_DASH_EQ] = ACTIONS(151),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(151),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(151),
    [anon_sym_LT_LT_EQ] = ACTIONS(151),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(151),
    [anon_sym_GT_GT_EQ] = ACTIONS(151),
    [anon_sym_AMP_EQ] = ACTIONS(151),
    [anon_sym_CARET_EQ] = ACTIONS(151),
    [anon_sym_PIPE_EQ] = ACTIONS(151),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_RPAREN] = ACTIONS(151),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_else] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_DOT_DOT] = ACTIONS(151),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(153),
    [anon_sym_STAR] = ACTIONS(287),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_RBRACK] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(321),
    [anon_sym_TILDE] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_DASH_PERCENT] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_or] = ACTIONS(153),
    [anon_sym_and] = ACTIONS(153),
    [anon_sym_EQ_EQ] = ACTIONS(151),
    [anon_sym_BANG_EQ] = ACTIONS(151),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_GT_EQ] = ACTIONS(151),
    [anon_sym_LT_EQ] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_orelse] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(153),
    [anon_sym_GT_GT] = ACTIONS(153),
    [anon_sym_LT_LT_PIPE] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(151),
    [anon_sym_PLUS_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PIPE] = ACTIONS(153),
    [anon_sym_DASH_PIPE] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_STAR_STAR] = ACTIONS(151),
    [anon_sym_STAR_PERCENT] = ACTIONS(153),
    [anon_sym_STAR_PIPE] = ACTIONS(153),
    [anon_sym_PIPE_PIPE] = ACTIONS(151),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_await] = ACTIONS(329),
    [anon_sym_continue] = ACTIONS(331),
    [anon_sym_resume] = ACTIONS(333),
    [anon_sym_return] = ACTIONS(335),
    [anon_sym_break] = ACTIONS(337),
    [anon_sym_try] = ACTIONS(339),
    [anon_sym_catch] = ACTIONS(153),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(143),
    [anon_sym_DOT_STAR] = ACTIONS(151),
    [anon_sym_DOT_QMARK] = ACTIONS(151),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [30] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(539),
    [sym__for_prefix] = STATE(534),
    [sym__while_prefix] = STATE(535),
    [sym_expression] = STATE(1211),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1492),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_COMMA] = ACTIONS(163),
    [anon_sym_comptime] = ACTIONS(253),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_STAR_EQ] = ACTIONS(163),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(163),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(163),
    [anon_sym_SLASH_EQ] = ACTIONS(163),
    [anon_sym_PERCENT_EQ] = ACTIONS(163),
    [anon_sym_PLUS_EQ] = ACTIONS(163),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(163),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(163),
    [anon_sym_DASH_EQ] = ACTIONS(163),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(163),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(163),
    [anon_sym_LT_LT_EQ] = ACTIONS(163),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(163),
    [anon_sym_GT_GT_EQ] = ACTIONS(163),
    [anon_sym_AMP_EQ] = ACTIONS(163),
    [anon_sym_CARET_EQ] = ACTIONS(163),
    [anon_sym_PIPE_EQ] = ACTIONS(163),
    [anon_sym_inline] = ACTIONS(255),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(257),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_else] = ACTIONS(165),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_DOT_DOT] = ACTIONS(165),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_STAR] = ACTIONS(201),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(259),
    [anon_sym_TILDE] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(263),
    [anon_sym_AMP] = ACTIONS(263),
    [anon_sym_or] = ACTIONS(165),
    [anon_sym_and] = ACTIONS(165),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(165),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_CARET] = ACTIONS(165),
    [anon_sym_orelse] = ACTIONS(165),
    [anon_sym_LT_LT] = ACTIONS(165),
    [anon_sym_GT_GT] = ACTIONS(165),
    [anon_sym_LT_LT_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(165),
    [anon_sym_PLUS_PLUS] = ACTIONS(163),
    [anon_sym_PLUS_PERCENT] = ACTIONS(165),
    [anon_sym_PLUS_PIPE] = ACTIONS(165),
    [anon_sym_DASH_PIPE] = ACTIONS(165),
    [anon_sym_SLASH] = ACTIONS(165),
    [anon_sym_PERCENT] = ACTIONS(165),
    [anon_sym_STAR_STAR] = ACTIONS(163),
    [anon_sym_STAR_PERCENT] = ACTIONS(165),
    [anon_sym_STAR_PIPE] = ACTIONS(165),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_async] = ACTIONS(265),
    [anon_sym_await] = ACTIONS(267),
    [anon_sym_continue] = ACTIONS(269),
    [anon_sym_resume] = ACTIONS(271),
    [anon_sym_return] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(275),
    [anon_sym_try] = ACTIONS(277),
    [anon_sym_catch] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_EQ_GT] = ACTIONS(163),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(235),
    [anon_sym_DOT_STAR] = ACTIONS(163),
    [anon_sym_DOT_QMARK] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [31] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(539),
    [sym__for_prefix] = STATE(534),
    [sym__while_prefix] = STATE(535),
    [sym_expression] = STATE(1130),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1492),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_comptime] = ACTIONS(253),
    [anon_sym_EQ] = ACTIONS(157),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_inline] = ACTIONS(255),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(257),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_else] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_DOT_DOT] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(157),
    [anon_sym_STAR] = ACTIONS(201),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(259),
    [anon_sym_TILDE] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(263),
    [anon_sym_AMP] = ACTIONS(263),
    [anon_sym_or] = ACTIONS(157),
    [anon_sym_and] = ACTIONS(157),
    [anon_sym_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(155),
    [anon_sym_GT] = ACTIONS(157),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(157),
    [anon_sym_CARET] = ACTIONS(157),
    [anon_sym_orelse] = ACTIONS(157),
    [anon_sym_LT_LT] = ACTIONS(157),
    [anon_sym_GT_GT] = ACTIONS(157),
    [anon_sym_LT_LT_PIPE] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(157),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_PLUS_PERCENT] = ACTIONS(157),
    [anon_sym_PLUS_PIPE] = ACTIONS(157),
    [anon_sym_DASH_PIPE] = ACTIONS(157),
    [anon_sym_SLASH] = ACTIONS(157),
    [anon_sym_PERCENT] = ACTIONS(157),
    [anon_sym_STAR_STAR] = ACTIONS(155),
    [anon_sym_STAR_PERCENT] = ACTIONS(157),
    [anon_sym_STAR_PIPE] = ACTIONS(157),
    [anon_sym_PIPE_PIPE] = ACTIONS(155),
    [anon_sym_async] = ACTIONS(265),
    [anon_sym_await] = ACTIONS(267),
    [anon_sym_continue] = ACTIONS(269),
    [anon_sym_resume] = ACTIONS(271),
    [anon_sym_return] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(275),
    [anon_sym_try] = ACTIONS(277),
    [anon_sym_catch] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_EQ_GT] = ACTIONS(155),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(235),
    [anon_sym_DOT_STAR] = ACTIONS(155),
    [anon_sym_DOT_QMARK] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [32] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(539),
    [sym__for_prefix] = STATE(534),
    [sym__while_prefix] = STATE(535),
    [sym_expression] = STATE(1131),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1492),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_COMMA] = ACTIONS(159),
    [anon_sym_comptime] = ACTIONS(253),
    [anon_sym_EQ] = ACTIONS(161),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_inline] = ACTIONS(255),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(159),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(257),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_else] = ACTIONS(161),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_DOT_DOT] = ACTIONS(161),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(161),
    [anon_sym_STAR] = ACTIONS(201),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(259),
    [anon_sym_TILDE] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(263),
    [anon_sym_AMP] = ACTIONS(263),
    [anon_sym_or] = ACTIONS(161),
    [anon_sym_and] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(159),
    [anon_sym_BANG_EQ] = ACTIONS(159),
    [anon_sym_GT] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(159),
    [anon_sym_LT_EQ] = ACTIONS(159),
    [anon_sym_LT] = ACTIONS(161),
    [anon_sym_CARET] = ACTIONS(161),
    [anon_sym_orelse] = ACTIONS(161),
    [anon_sym_LT_LT] = ACTIONS(161),
    [anon_sym_GT_GT] = ACTIONS(161),
    [anon_sym_LT_LT_PIPE] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(161),
    [anon_sym_PLUS_PLUS] = ACTIONS(159),
    [anon_sym_PLUS_PERCENT] = ACTIONS(161),
    [anon_sym_PLUS_PIPE] = ACTIONS(161),
    [anon_sym_DASH_PIPE] = ACTIONS(161),
    [anon_sym_SLASH] = ACTIONS(161),
    [anon_sym_PERCENT] = ACTIONS(161),
    [anon_sym_STAR_STAR] = ACTIONS(159),
    [anon_sym_STAR_PERCENT] = ACTIONS(161),
    [anon_sym_STAR_PIPE] = ACTIONS(161),
    [anon_sym_PIPE_PIPE] = ACTIONS(159),
    [anon_sym_async] = ACTIONS(265),
    [anon_sym_await] = ACTIONS(267),
    [anon_sym_continue] = ACTIONS(269),
    [anon_sym_resume] = ACTIONS(271),
    [anon_sym_return] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(275),
    [anon_sym_try] = ACTIONS(277),
    [anon_sym_catch] = ACTIONS(161),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(235),
    [anon_sym_DOT_STAR] = ACTIONS(159),
    [anon_sym_DOT_QMARK] = ACTIONS(159),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [33] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(609),
    [sym__while_prefix] = STATE(610),
    [sym_expression] = STATE(1226),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1498),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_COLON] = ACTIONS(163),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_STAR_EQ] = ACTIONS(163),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(163),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(163),
    [anon_sym_SLASH_EQ] = ACTIONS(163),
    [anon_sym_PERCENT_EQ] = ACTIONS(163),
    [anon_sym_PLUS_EQ] = ACTIONS(163),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(163),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(163),
    [anon_sym_DASH_EQ] = ACTIONS(163),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(163),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(163),
    [anon_sym_LT_LT_EQ] = ACTIONS(163),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(163),
    [anon_sym_GT_GT_EQ] = ACTIONS(163),
    [anon_sym_AMP_EQ] = ACTIONS(163),
    [anon_sym_CARET_EQ] = ACTIONS(163),
    [anon_sym_PIPE_EQ] = ACTIONS(163),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_RPAREN] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_else] = ACTIONS(165),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_DOT_DOT] = ACTIONS(163),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_STAR] = ACTIONS(287),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_RBRACK] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(321),
    [anon_sym_TILDE] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_DASH_PERCENT] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_or] = ACTIONS(165),
    [anon_sym_and] = ACTIONS(165),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(165),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_CARET] = ACTIONS(165),
    [anon_sym_orelse] = ACTIONS(165),
    [anon_sym_LT_LT] = ACTIONS(165),
    [anon_sym_GT_GT] = ACTIONS(165),
    [anon_sym_LT_LT_PIPE] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(165),
    [anon_sym_PLUS_PLUS] = ACTIONS(163),
    [anon_sym_PLUS_PERCENT] = ACTIONS(165),
    [anon_sym_PLUS_PIPE] = ACTIONS(165),
    [anon_sym_DASH_PIPE] = ACTIONS(165),
    [anon_sym_SLASH] = ACTIONS(165),
    [anon_sym_PERCENT] = ACTIONS(165),
    [anon_sym_STAR_STAR] = ACTIONS(163),
    [anon_sym_STAR_PERCENT] = ACTIONS(165),
    [anon_sym_STAR_PIPE] = ACTIONS(165),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_await] = ACTIONS(329),
    [anon_sym_continue] = ACTIONS(331),
    [anon_sym_resume] = ACTIONS(333),
    [anon_sym_return] = ACTIONS(335),
    [anon_sym_break] = ACTIONS(337),
    [anon_sym_try] = ACTIONS(339),
    [anon_sym_catch] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(143),
    [anon_sym_DOT_STAR] = ACTIONS(163),
    [anon_sym_DOT_QMARK] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [34] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(609),
    [sym__while_prefix] = STATE(610),
    [sym_expression] = STATE(1161),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1498),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_COLON] = ACTIONS(155),
    [anon_sym_EQ] = ACTIONS(157),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_RPAREN] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_else] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_DOT_DOT] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(157),
    [anon_sym_STAR] = ACTIONS(287),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_RBRACK] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(321),
    [anon_sym_TILDE] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_DASH_PERCENT] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_or] = ACTIONS(157),
    [anon_sym_and] = ACTIONS(157),
    [anon_sym_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(155),
    [anon_sym_GT] = ACTIONS(157),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(157),
    [anon_sym_CARET] = ACTIONS(157),
    [anon_sym_orelse] = ACTIONS(157),
    [anon_sym_LT_LT] = ACTIONS(157),
    [anon_sym_GT_GT] = ACTIONS(157),
    [anon_sym_LT_LT_PIPE] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(157),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_PLUS_PERCENT] = ACTIONS(157),
    [anon_sym_PLUS_PIPE] = ACTIONS(157),
    [anon_sym_DASH_PIPE] = ACTIONS(157),
    [anon_sym_SLASH] = ACTIONS(157),
    [anon_sym_PERCENT] = ACTIONS(157),
    [anon_sym_STAR_STAR] = ACTIONS(155),
    [anon_sym_STAR_PERCENT] = ACTIONS(157),
    [anon_sym_STAR_PIPE] = ACTIONS(157),
    [anon_sym_PIPE_PIPE] = ACTIONS(155),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_await] = ACTIONS(329),
    [anon_sym_continue] = ACTIONS(331),
    [anon_sym_resume] = ACTIONS(333),
    [anon_sym_return] = ACTIONS(335),
    [anon_sym_break] = ACTIONS(337),
    [anon_sym_try] = ACTIONS(339),
    [anon_sym_catch] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(143),
    [anon_sym_DOT_STAR] = ACTIONS(155),
    [anon_sym_DOT_QMARK] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [35] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(577),
    [sym__for_prefix] = STATE(571),
    [sym__while_prefix] = STATE(572),
    [sym_expression] = STATE(1242),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1497),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(151),
    [anon_sym_comptime] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(153),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_STAR_EQ] = ACTIONS(151),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(151),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(151),
    [anon_sym_SLASH_EQ] = ACTIONS(151),
    [anon_sym_PERCENT_EQ] = ACTIONS(151),
    [anon_sym_PLUS_EQ] = ACTIONS(151),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(151),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(151),
    [anon_sym_DASH_EQ] = ACTIONS(151),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(151),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(151),
    [anon_sym_LT_LT_EQ] = ACTIONS(151),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(151),
    [anon_sym_GT_GT_EQ] = ACTIONS(151),
    [anon_sym_AMP_EQ] = ACTIONS(151),
    [anon_sym_CARET_EQ] = ACTIONS(151),
    [anon_sym_PIPE_EQ] = ACTIONS(151),
    [anon_sym_inline] = ACTIONS(117),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_RPAREN] = ACTIONS(151),
    [anon_sym_LBRACE] = ACTIONS(151),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_DOT_DOT] = ACTIONS(151),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(153),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_DASH_PERCENT] = ACTIONS(153),
    [anon_sym_AMP] = ACTIONS(153),
    [anon_sym_or] = ACTIONS(153),
    [anon_sym_and] = ACTIONS(153),
    [anon_sym_EQ_EQ] = ACTIONS(151),
    [anon_sym_BANG_EQ] = ACTIONS(151),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_GT_EQ] = ACTIONS(151),
    [anon_sym_LT_EQ] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_orelse] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(153),
    [anon_sym_GT_GT] = ACTIONS(153),
    [anon_sym_LT_LT_PIPE] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(151),
    [anon_sym_PLUS_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PIPE] = ACTIONS(153),
    [anon_sym_DASH_PIPE] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_STAR_STAR] = ACTIONS(151),
    [anon_sym_STAR_PERCENT] = ACTIONS(153),
    [anon_sym_STAR_PIPE] = ACTIONS(153),
    [anon_sym_PIPE_PIPE] = ACTIONS(151),
    [anon_sym_async] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(131),
    [anon_sym_continue] = ACTIONS(133),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_try] = ACTIONS(141),
    [anon_sym_catch] = ACTIONS(153),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(153),
    [anon_sym_DOT_STAR] = ACTIONS(151),
    [anon_sym_DOT_QMARK] = ACTIONS(151),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [36] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(577),
    [sym__for_prefix] = STATE(571),
    [sym__while_prefix] = STATE(572),
    [sym_expression] = STATE(1319),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1497),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(151),
    [anon_sym_comptime] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(153),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_STAR_EQ] = ACTIONS(151),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(151),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(151),
    [anon_sym_SLASH_EQ] = ACTIONS(151),
    [anon_sym_PERCENT_EQ] = ACTIONS(151),
    [anon_sym_PLUS_EQ] = ACTIONS(151),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(151),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(151),
    [anon_sym_DASH_EQ] = ACTIONS(151),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(151),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(151),
    [anon_sym_LT_LT_EQ] = ACTIONS(151),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(151),
    [anon_sym_GT_GT_EQ] = ACTIONS(151),
    [anon_sym_AMP_EQ] = ACTIONS(151),
    [anon_sym_CARET_EQ] = ACTIONS(151),
    [anon_sym_PIPE_EQ] = ACTIONS(151),
    [anon_sym_inline] = ACTIONS(117),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_RPAREN] = ACTIONS(151),
    [anon_sym_LBRACE] = ACTIONS(151),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_DOT_DOT] = ACTIONS(151),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(153),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(153),
    [anon_sym_DASH_PERCENT] = ACTIONS(153),
    [anon_sym_AMP] = ACTIONS(153),
    [anon_sym_or] = ACTIONS(153),
    [anon_sym_and] = ACTIONS(153),
    [anon_sym_EQ_EQ] = ACTIONS(151),
    [anon_sym_BANG_EQ] = ACTIONS(151),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym_GT_EQ] = ACTIONS(151),
    [anon_sym_LT_EQ] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_CARET] = ACTIONS(153),
    [anon_sym_orelse] = ACTIONS(153),
    [anon_sym_LT_LT] = ACTIONS(153),
    [anon_sym_GT_GT] = ACTIONS(153),
    [anon_sym_LT_LT_PIPE] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_PLUS_PLUS] = ACTIONS(151),
    [anon_sym_PLUS_PERCENT] = ACTIONS(153),
    [anon_sym_PLUS_PIPE] = ACTIONS(153),
    [anon_sym_DASH_PIPE] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym_PERCENT] = ACTIONS(153),
    [anon_sym_STAR_STAR] = ACTIONS(151),
    [anon_sym_STAR_PERCENT] = ACTIONS(153),
    [anon_sym_STAR_PIPE] = ACTIONS(153),
    [anon_sym_PIPE_PIPE] = ACTIONS(151),
    [anon_sym_async] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(131),
    [anon_sym_continue] = ACTIONS(133),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_try] = ACTIONS(141),
    [anon_sym_catch] = ACTIONS(153),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(153),
    [anon_sym_DOT_STAR] = ACTIONS(151),
    [anon_sym_DOT_QMARK] = ACTIONS(151),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [37] = {
    [sym__variable_declaration_expression_statement] = STATE(754),
    [sym__variable_declaration_header] = STATE(1643),
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(682),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym_statement] = STATE(759),
    [sym_comptime_statement] = STATE(757),
    [sym_nosuspend_statement] = STATE(757),
    [sym_suspend_statement] = STATE(757),
    [sym_defer_statement] = STATE(757),
    [sym_errdefer_statement] = STATE(757),
    [sym_labeled_statement] = STATE(757),
    [sym_expression_statement] = STATE(757),
    [sym_if_statement] = STATE(757),
    [sym__if_prefix] = STATE(216),
    [sym_for_statement] = STATE(762),
    [sym__for_prefix] = STATE(218),
    [sym_while_statement] = STATE(762),
    [sym__while_prefix] = STATE(237),
    [sym_payload] = STATE(87),
    [sym_expression] = STATE(1362),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(681),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1489),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(341),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(343),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(345),
    [anon_sym_suspend] = ACTIONS(347),
    [anon_sym_defer] = ACTIONS(349),
    [anon_sym_errdefer] = ACTIONS(351),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(353),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [38] = {
    [sym__variable_declaration_expression_statement] = STATE(754),
    [sym__variable_declaration_header] = STATE(1643),
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(682),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym_statement] = STATE(39),
    [sym_comptime_statement] = STATE(757),
    [sym_nosuspend_statement] = STATE(757),
    [sym_suspend_statement] = STATE(757),
    [sym_defer_statement] = STATE(757),
    [sym_errdefer_statement] = STATE(757),
    [sym_labeled_statement] = STATE(757),
    [sym_expression_statement] = STATE(757),
    [sym_if_statement] = STATE(757),
    [sym__if_prefix] = STATE(216),
    [sym_for_statement] = STATE(762),
    [sym__for_prefix] = STATE(218),
    [sym_while_statement] = STATE(762),
    [sym__while_prefix] = STATE(237),
    [sym_expression] = STATE(1366),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(681),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1489),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_block_repeat1] = STATE(39),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(341),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(343),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(355),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(345),
    [anon_sym_suspend] = ACTIONS(347),
    [anon_sym_defer] = ACTIONS(349),
    [anon_sym_errdefer] = ACTIONS(351),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [39] = {
    [sym__variable_declaration_expression_statement] = STATE(754),
    [sym__variable_declaration_header] = STATE(1643),
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(682),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym_statement] = STATE(39),
    [sym_comptime_statement] = STATE(757),
    [sym_nosuspend_statement] = STATE(757),
    [sym_suspend_statement] = STATE(757),
    [sym_defer_statement] = STATE(757),
    [sym_errdefer_statement] = STATE(757),
    [sym_labeled_statement] = STATE(757),
    [sym_expression_statement] = STATE(757),
    [sym_if_statement] = STATE(757),
    [sym__if_prefix] = STATE(216),
    [sym_for_statement] = STATE(762),
    [sym__for_prefix] = STATE(218),
    [sym_while_statement] = STATE(762),
    [sym__while_prefix] = STATE(237),
    [sym_expression] = STATE(1366),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(681),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1489),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_block_repeat1] = STATE(39),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(357),
    [anon_sym_comptime] = ACTIONS(360),
    [anon_sym_extern] = ACTIONS(363),
    [anon_sym_const] = ACTIONS(366),
    [anon_sym_var] = ACTIONS(366),
    [anon_sym_inline] = ACTIONS(369),
    [anon_sym_fn] = ACTIONS(372),
    [anon_sym_LPAREN] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(378),
    [anon_sym_RBRACE] = ACTIONS(381),
    [anon_sym_packed] = ACTIONS(363),
    [anon_sym_struct] = ACTIONS(383),
    [anon_sym_opaque] = ACTIONS(386),
    [anon_sym_enum] = ACTIONS(389),
    [anon_sym_union] = ACTIONS(392),
    [anon_sym_error] = ACTIONS(395),
    [anon_sym_nosuspend] = ACTIONS(398),
    [anon_sym_suspend] = ACTIONS(401),
    [anon_sym_defer] = ACTIONS(404),
    [anon_sym_errdefer] = ACTIONS(407),
    [anon_sym_if] = ACTIONS(410),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_while] = ACTIONS(416),
    [anon_sym_STAR] = ACTIONS(419),
    [anon_sym_asm] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_BANG] = ACTIONS(428),
    [anon_sym_TILDE] = ACTIONS(431),
    [anon_sym_DASH] = ACTIONS(434),
    [anon_sym_DASH_PERCENT] = ACTIONS(431),
    [anon_sym_AMP] = ACTIONS(431),
    [anon_sym_async] = ACTIONS(437),
    [anon_sym_await] = ACTIONS(440),
    [anon_sym_continue] = ACTIONS(443),
    [anon_sym_resume] = ACTIONS(446),
    [anon_sym_return] = ACTIONS(449),
    [anon_sym_break] = ACTIONS(452),
    [anon_sym_try] = ACTIONS(455),
    [anon_sym_switch] = ACTIONS(458),
    [anon_sym_anyframe] = ACTIONS(461),
    [anon_sym_unreachable] = ACTIONS(464),
    [anon_sym_undefined] = ACTIONS(464),
    [anon_sym_null] = ACTIONS(464),
    [anon_sym_QMARK] = ACTIONS(467),
    [anon_sym_DOT] = ACTIONS(470),
    [anon_sym_DQUOTE] = ACTIONS(473),
    [aux_sym_multiline_string_token1] = ACTIONS(476),
    [anon_sym_SQUOTE] = ACTIONS(479),
    [sym_integer] = ACTIONS(464),
    [sym_float] = ACTIONS(482),
    [anon_sym_true] = ACTIONS(485),
    [anon_sym_false] = ACTIONS(485),
    [anon_sym_bool] = ACTIONS(488),
    [anon_sym_f16] = ACTIONS(488),
    [anon_sym_f32] = ACTIONS(488),
    [anon_sym_f64] = ACTIONS(488),
    [anon_sym_f128] = ACTIONS(488),
    [anon_sym_void] = ACTIONS(488),
    [anon_sym_type] = ACTIONS(488),
    [anon_sym_anyerror] = ACTIONS(488),
    [anon_sym_anyopaque] = ACTIONS(488),
    [anon_sym_anytype] = ACTIONS(488),
    [anon_sym_noreturn] = ACTIONS(488),
    [anon_sym_isize] = ACTIONS(488),
    [anon_sym_usize] = ACTIONS(488),
    [anon_sym_comptime_int] = ACTIONS(488),
    [anon_sym_comptime_float] = ACTIONS(488),
    [anon_sym_c_short] = ACTIONS(488),
    [anon_sym_c_ushort] = ACTIONS(488),
    [anon_sym_c_int] = ACTIONS(488),
    [anon_sym_c_uint] = ACTIONS(488),
    [anon_sym_c_long] = ACTIONS(488),
    [anon_sym_c_ulong] = ACTIONS(488),
    [anon_sym_c_longlong] = ACTIONS(488),
    [anon_sym_c_ulonglong] = ACTIONS(488),
    [anon_sym_c_longdouble] = ACTIONS(488),
    [aux_sym_builtin_type_token1] = ACTIONS(488),
    [sym_builtin_identifier] = ACTIONS(491),
    [anon_sym_AT] = ACTIONS(494),
    [sym_comment] = ACTIONS(3),
  },
  [40] = {
    [sym__variable_declaration_expression_statement] = STATE(754),
    [sym__variable_declaration_header] = STATE(1643),
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(682),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym_statement] = STATE(759),
    [sym_comptime_statement] = STATE(757),
    [sym_nosuspend_statement] = STATE(757),
    [sym_suspend_statement] = STATE(757),
    [sym_defer_statement] = STATE(757),
    [sym_errdefer_statement] = STATE(757),
    [sym_labeled_statement] = STATE(757),
    [sym_expression_statement] = STATE(757),
    [sym_if_statement] = STATE(757),
    [sym__if_prefix] = STATE(216),
    [sym_for_statement] = STATE(762),
    [sym__for_prefix] = STATE(218),
    [sym_while_statement] = STATE(762),
    [sym__while_prefix] = STATE(237),
    [sym_payload] = STATE(87),
    [sym_expression] = STATE(1382),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(681),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1489),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(341),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(343),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(345),
    [anon_sym_suspend] = ACTIONS(347),
    [anon_sym_defer] = ACTIONS(349),
    [anon_sym_errdefer] = ACTIONS(351),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(353),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [41] = {
    [sym_test_declaration] = STATE(51),
    [sym_comptime_declaration] = STATE(51),
    [sym_container_field] = STATE(1602),
    [sym_variable_declaration] = STATE(51),
    [sym__variable_declaration_header] = STATE(1741),
    [sym_function_declaration] = STATE(51),
    [sym__function_prototype] = STATE(954),
    [sym_using_namespace_declaration] = STATE(51),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(549),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(988),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(1508),
    [sym_if_type_expression] = STATE(1508),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1003),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1004),
    [aux_sym__container_members_repeat1] = STATE(51),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [ts_builtin_sym_end] = ACTIONS(497),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_usingnamespace] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(497),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(87),
    [anon_sym_null] = ACTIONS(87),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [42] = {
    [sym__variable_declaration_expression_statement] = STATE(754),
    [sym__variable_declaration_header] = STATE(1643),
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(682),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym_statement] = STATE(759),
    [sym_comptime_statement] = STATE(757),
    [sym_nosuspend_statement] = STATE(757),
    [sym_suspend_statement] = STATE(757),
    [sym_defer_statement] = STATE(757),
    [sym_errdefer_statement] = STATE(757),
    [sym_labeled_statement] = STATE(757),
    [sym_expression_statement] = STATE(757),
    [sym_if_statement] = STATE(757),
    [sym__if_prefix] = STATE(216),
    [sym_for_statement] = STATE(762),
    [sym__for_prefix] = STATE(218),
    [sym_while_statement] = STATE(762),
    [sym__while_prefix] = STATE(237),
    [sym_payload] = STATE(87),
    [sym_expression] = STATE(1366),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(681),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1489),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(341),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(343),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(345),
    [anon_sym_suspend] = ACTIONS(347),
    [anon_sym_defer] = ACTIONS(349),
    [anon_sym_errdefer] = ACTIONS(351),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(353),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [43] = {
    [sym__variable_declaration_expression_statement] = STATE(754),
    [sym__variable_declaration_header] = STATE(1643),
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(682),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym_statement] = STATE(47),
    [sym_comptime_statement] = STATE(757),
    [sym_nosuspend_statement] = STATE(757),
    [sym_suspend_statement] = STATE(757),
    [sym_defer_statement] = STATE(757),
    [sym_errdefer_statement] = STATE(757),
    [sym_labeled_statement] = STATE(757),
    [sym_expression_statement] = STATE(757),
    [sym_if_statement] = STATE(757),
    [sym__if_prefix] = STATE(216),
    [sym_for_statement] = STATE(762),
    [sym__for_prefix] = STATE(218),
    [sym_while_statement] = STATE(762),
    [sym__while_prefix] = STATE(237),
    [sym_expression] = STATE(1366),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(681),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1489),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_block_repeat1] = STATE(47),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(341),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(343),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(499),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(345),
    [anon_sym_suspend] = ACTIONS(347),
    [anon_sym_defer] = ACTIONS(349),
    [anon_sym_errdefer] = ACTIONS(351),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [44] = {
    [sym__variable_declaration_expression_statement] = STATE(754),
    [sym__variable_declaration_header] = STATE(1643),
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(682),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym_statement] = STATE(759),
    [sym_comptime_statement] = STATE(757),
    [sym_nosuspend_statement] = STATE(757),
    [sym_suspend_statement] = STATE(757),
    [sym_defer_statement] = STATE(757),
    [sym_errdefer_statement] = STATE(757),
    [sym_labeled_statement] = STATE(757),
    [sym_expression_statement] = STATE(757),
    [sym_if_statement] = STATE(757),
    [sym__if_prefix] = STATE(216),
    [sym_for_statement] = STATE(762),
    [sym__for_prefix] = STATE(218),
    [sym_while_statement] = STATE(762),
    [sym__while_prefix] = STATE(237),
    [sym_payload] = STATE(89),
    [sym_expression] = STATE(1383),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(681),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1489),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(341),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(343),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(345),
    [anon_sym_suspend] = ACTIONS(347),
    [anon_sym_defer] = ACTIONS(349),
    [anon_sym_errdefer] = ACTIONS(351),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(353),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [45] = {
    [sym__variable_declaration_expression_statement] = STATE(754),
    [sym__variable_declaration_header] = STATE(1643),
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(682),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym_statement] = STATE(39),
    [sym_comptime_statement] = STATE(757),
    [sym_nosuspend_statement] = STATE(757),
    [sym_suspend_statement] = STATE(757),
    [sym_defer_statement] = STATE(757),
    [sym_errdefer_statement] = STATE(757),
    [sym_labeled_statement] = STATE(757),
    [sym_expression_statement] = STATE(757),
    [sym_if_statement] = STATE(757),
    [sym__if_prefix] = STATE(216),
    [sym_for_statement] = STATE(762),
    [sym__for_prefix] = STATE(218),
    [sym_while_statement] = STATE(762),
    [sym__while_prefix] = STATE(237),
    [sym_expression] = STATE(1366),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(681),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1489),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_block_repeat1] = STATE(39),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(341),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(343),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(501),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(345),
    [anon_sym_suspend] = ACTIONS(347),
    [anon_sym_defer] = ACTIONS(349),
    [anon_sym_errdefer] = ACTIONS(351),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [46] = {
    [sym__variable_declaration_expression_statement] = STATE(754),
    [sym__variable_declaration_header] = STATE(1643),
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(682),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym_statement] = STATE(759),
    [sym_comptime_statement] = STATE(757),
    [sym_nosuspend_statement] = STATE(757),
    [sym_suspend_statement] = STATE(757),
    [sym_defer_statement] = STATE(757),
    [sym_errdefer_statement] = STATE(757),
    [sym_labeled_statement] = STATE(757),
    [sym_expression_statement] = STATE(757),
    [sym_if_statement] = STATE(757),
    [sym__if_prefix] = STATE(216),
    [sym_for_statement] = STATE(762),
    [sym__for_prefix] = STATE(218),
    [sym_while_statement] = STATE(762),
    [sym__while_prefix] = STATE(237),
    [sym_payload] = STATE(87),
    [sym_expression] = STATE(1368),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(681),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1489),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(341),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(343),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(345),
    [anon_sym_suspend] = ACTIONS(347),
    [anon_sym_defer] = ACTIONS(349),
    [anon_sym_errdefer] = ACTIONS(351),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(353),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [47] = {
    [sym__variable_declaration_expression_statement] = STATE(754),
    [sym__variable_declaration_header] = STATE(1643),
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(682),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym_statement] = STATE(39),
    [sym_comptime_statement] = STATE(757),
    [sym_nosuspend_statement] = STATE(757),
    [sym_suspend_statement] = STATE(757),
    [sym_defer_statement] = STATE(757),
    [sym_errdefer_statement] = STATE(757),
    [sym_labeled_statement] = STATE(757),
    [sym_expression_statement] = STATE(757),
    [sym_if_statement] = STATE(757),
    [sym__if_prefix] = STATE(216),
    [sym_for_statement] = STATE(762),
    [sym__for_prefix] = STATE(218),
    [sym_while_statement] = STATE(762),
    [sym__while_prefix] = STATE(237),
    [sym_expression] = STATE(1366),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(681),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1489),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_block_repeat1] = STATE(39),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(341),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(343),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(503),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(345),
    [anon_sym_suspend] = ACTIONS(347),
    [anon_sym_defer] = ACTIONS(349),
    [anon_sym_errdefer] = ACTIONS(351),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [48] = {
    [sym__variable_declaration_expression_statement] = STATE(754),
    [sym__variable_declaration_header] = STATE(1643),
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(682),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym_statement] = STATE(759),
    [sym_comptime_statement] = STATE(757),
    [sym_nosuspend_statement] = STATE(757),
    [sym_suspend_statement] = STATE(757),
    [sym_defer_statement] = STATE(757),
    [sym_errdefer_statement] = STATE(757),
    [sym_labeled_statement] = STATE(757),
    [sym_expression_statement] = STATE(757),
    [sym_if_statement] = STATE(757),
    [sym__if_prefix] = STATE(216),
    [sym_for_statement] = STATE(762),
    [sym__for_prefix] = STATE(218),
    [sym_while_statement] = STATE(762),
    [sym__while_prefix] = STATE(237),
    [sym_payload] = STATE(90),
    [sym_expression] = STATE(1369),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(681),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1489),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(341),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(343),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(345),
    [anon_sym_suspend] = ACTIONS(347),
    [anon_sym_defer] = ACTIONS(349),
    [anon_sym_errdefer] = ACTIONS(351),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(353),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [49] = {
    [sym__variable_declaration_expression_statement] = STATE(754),
    [sym__variable_declaration_header] = STATE(1643),
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(682),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym_statement] = STATE(759),
    [sym_comptime_statement] = STATE(757),
    [sym_nosuspend_statement] = STATE(757),
    [sym_suspend_statement] = STATE(757),
    [sym_defer_statement] = STATE(757),
    [sym_errdefer_statement] = STATE(757),
    [sym_labeled_statement] = STATE(757),
    [sym_expression_statement] = STATE(757),
    [sym_if_statement] = STATE(757),
    [sym__if_prefix] = STATE(216),
    [sym_for_statement] = STATE(762),
    [sym__for_prefix] = STATE(218),
    [sym_while_statement] = STATE(762),
    [sym__while_prefix] = STATE(237),
    [sym_payload] = STATE(92),
    [sym_expression] = STATE(1387),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(681),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1489),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(341),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(343),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(345),
    [anon_sym_suspend] = ACTIONS(347),
    [anon_sym_defer] = ACTIONS(349),
    [anon_sym_errdefer] = ACTIONS(351),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(353),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [50] = {
    [sym__variable_declaration_expression_statement] = STATE(754),
    [sym__variable_declaration_header] = STATE(1643),
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(682),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym_statement] = STATE(38),
    [sym_comptime_statement] = STATE(757),
    [sym_nosuspend_statement] = STATE(757),
    [sym_suspend_statement] = STATE(757),
    [sym_defer_statement] = STATE(757),
    [sym_errdefer_statement] = STATE(757),
    [sym_labeled_statement] = STATE(757),
    [sym_expression_statement] = STATE(757),
    [sym_if_statement] = STATE(757),
    [sym__if_prefix] = STATE(216),
    [sym_for_statement] = STATE(762),
    [sym__for_prefix] = STATE(218),
    [sym_while_statement] = STATE(762),
    [sym__while_prefix] = STATE(237),
    [sym_expression] = STATE(1366),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(681),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1489),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_block_repeat1] = STATE(38),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(341),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(343),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(505),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(345),
    [anon_sym_suspend] = ACTIONS(347),
    [anon_sym_defer] = ACTIONS(349),
    [anon_sym_errdefer] = ACTIONS(351),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [51] = {
    [sym_test_declaration] = STATE(51),
    [sym_comptime_declaration] = STATE(51),
    [sym_container_field] = STATE(1820),
    [sym_variable_declaration] = STATE(51),
    [sym__variable_declaration_header] = STATE(1741),
    [sym_function_declaration] = STATE(51),
    [sym__function_prototype] = STATE(954),
    [sym_using_namespace_declaration] = STATE(51),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(549),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(988),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(1508),
    [sym_if_type_expression] = STATE(1508),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1003),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1004),
    [aux_sym__container_members_repeat1] = STATE(51),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [ts_builtin_sym_end] = ACTIONS(507),
    [sym__identifier] = ACTIONS(509),
    [anon_sym_pub] = ACTIONS(512),
    [anon_sym_test] = ACTIONS(515),
    [anon_sym_comptime] = ACTIONS(518),
    [anon_sym_export] = ACTIONS(521),
    [anon_sym_extern] = ACTIONS(524),
    [anon_sym_threadlocal] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(530),
    [anon_sym_var] = ACTIONS(530),
    [anon_sym_inline] = ACTIONS(533),
    [anon_sym_noinline] = ACTIONS(536),
    [anon_sym_fn] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(542),
    [anon_sym_usingnamespace] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(548),
    [anon_sym_RBRACE] = ACTIONS(507),
    [anon_sym_packed] = ACTIONS(551),
    [anon_sym_struct] = ACTIONS(554),
    [anon_sym_opaque] = ACTIONS(557),
    [anon_sym_enum] = ACTIONS(560),
    [anon_sym_union] = ACTIONS(563),
    [anon_sym_error] = ACTIONS(566),
    [anon_sym_nosuspend] = ACTIONS(569),
    [anon_sym_if] = ACTIONS(572),
    [anon_sym_for] = ACTIONS(575),
    [anon_sym_while] = ACTIONS(578),
    [anon_sym_STAR] = ACTIONS(581),
    [anon_sym_asm] = ACTIONS(584),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(596),
    [anon_sym_DASH_PERCENT] = ACTIONS(593),
    [anon_sym_AMP] = ACTIONS(593),
    [anon_sym_async] = ACTIONS(599),
    [anon_sym_await] = ACTIONS(602),
    [anon_sym_continue] = ACTIONS(605),
    [anon_sym_resume] = ACTIONS(608),
    [anon_sym_return] = ACTIONS(611),
    [anon_sym_break] = ACTIONS(614),
    [anon_sym_try] = ACTIONS(617),
    [anon_sym_switch] = ACTIONS(620),
    [anon_sym_anyframe] = ACTIONS(623),
    [anon_sym_unreachable] = ACTIONS(626),
    [anon_sym_undefined] = ACTIONS(629),
    [anon_sym_null] = ACTIONS(629),
    [anon_sym_QMARK] = ACTIONS(632),
    [anon_sym_DOT] = ACTIONS(635),
    [anon_sym_DQUOTE] = ACTIONS(638),
    [aux_sym_multiline_string_token1] = ACTIONS(641),
    [anon_sym_SQUOTE] = ACTIONS(644),
    [sym_integer] = ACTIONS(626),
    [sym_float] = ACTIONS(647),
    [anon_sym_true] = ACTIONS(650),
    [anon_sym_false] = ACTIONS(650),
    [anon_sym_bool] = ACTIONS(653),
    [anon_sym_f16] = ACTIONS(653),
    [anon_sym_f32] = ACTIONS(653),
    [anon_sym_f64] = ACTIONS(653),
    [anon_sym_f128] = ACTIONS(653),
    [anon_sym_void] = ACTIONS(653),
    [anon_sym_type] = ACTIONS(653),
    [anon_sym_anyerror] = ACTIONS(653),
    [anon_sym_anyopaque] = ACTIONS(653),
    [anon_sym_anytype] = ACTIONS(653),
    [anon_sym_noreturn] = ACTIONS(653),
    [anon_sym_isize] = ACTIONS(653),
    [anon_sym_usize] = ACTIONS(653),
    [anon_sym_comptime_int] = ACTIONS(653),
    [anon_sym_comptime_float] = ACTIONS(653),
    [anon_sym_c_short] = ACTIONS(653),
    [anon_sym_c_ushort] = ACTIONS(653),
    [anon_sym_c_int] = ACTIONS(653),
    [anon_sym_c_uint] = ACTIONS(653),
    [anon_sym_c_long] = ACTIONS(653),
    [anon_sym_c_ulong] = ACTIONS(653),
    [anon_sym_c_longlong] = ACTIONS(653),
    [anon_sym_c_ulonglong] = ACTIONS(653),
    [anon_sym_c_longdouble] = ACTIONS(653),
    [aux_sym_builtin_type_token1] = ACTIONS(653),
    [sym_builtin_identifier] = ACTIONS(656),
    [anon_sym_AT] = ACTIONS(659),
    [sym_comment] = ACTIONS(3),
  },
  [52] = {
    [sym__variable_declaration_expression_statement] = STATE(754),
    [sym__variable_declaration_header] = STATE(1643),
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(682),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym_statement] = STATE(759),
    [sym_comptime_statement] = STATE(757),
    [sym_nosuspend_statement] = STATE(757),
    [sym_suspend_statement] = STATE(757),
    [sym_defer_statement] = STATE(757),
    [sym_errdefer_statement] = STATE(757),
    [sym_labeled_statement] = STATE(757),
    [sym_expression_statement] = STATE(757),
    [sym_if_statement] = STATE(757),
    [sym__if_prefix] = STATE(216),
    [sym_for_statement] = STATE(762),
    [sym__for_prefix] = STATE(218),
    [sym_while_statement] = STATE(762),
    [sym__while_prefix] = STATE(237),
    [sym_payload] = STATE(91),
    [sym_expression] = STATE(1363),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(681),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1489),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(341),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(343),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(345),
    [anon_sym_suspend] = ACTIONS(347),
    [anon_sym_defer] = ACTIONS(349),
    [anon_sym_errdefer] = ACTIONS(351),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(353),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [53] = {
    [sym__variable_declaration_expression_statement] = STATE(754),
    [sym__variable_declaration_header] = STATE(1643),
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(682),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym_statement] = STATE(45),
    [sym_comptime_statement] = STATE(757),
    [sym_nosuspend_statement] = STATE(757),
    [sym_suspend_statement] = STATE(757),
    [sym_defer_statement] = STATE(757),
    [sym_errdefer_statement] = STATE(757),
    [sym_labeled_statement] = STATE(757),
    [sym_expression_statement] = STATE(757),
    [sym_if_statement] = STATE(757),
    [sym__if_prefix] = STATE(216),
    [sym_for_statement] = STATE(762),
    [sym__for_prefix] = STATE(218),
    [sym_while_statement] = STATE(762),
    [sym__while_prefix] = STATE(237),
    [sym_expression] = STATE(1366),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(681),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1489),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_block_repeat1] = STATE(45),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(341),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(343),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(662),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(345),
    [anon_sym_suspend] = ACTIONS(347),
    [anon_sym_defer] = ACTIONS(349),
    [anon_sym_errdefer] = ACTIONS(351),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [54] = {
    [sym__variable_declaration_expression_statement] = STATE(754),
    [sym__variable_declaration_header] = STATE(1643),
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(682),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym_statement] = STATE(759),
    [sym_comptime_statement] = STATE(757),
    [sym_nosuspend_statement] = STATE(757),
    [sym_suspend_statement] = STATE(757),
    [sym_defer_statement] = STATE(757),
    [sym_errdefer_statement] = STATE(757),
    [sym_labeled_statement] = STATE(757),
    [sym_expression_statement] = STATE(757),
    [sym_if_statement] = STATE(757),
    [sym__if_prefix] = STATE(216),
    [sym_for_statement] = STATE(762),
    [sym__for_prefix] = STATE(218),
    [sym_while_statement] = STATE(762),
    [sym__while_prefix] = STATE(237),
    [sym_payload] = STATE(88),
    [sym_expression] = STATE(1381),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(681),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1489),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(341),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(343),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(345),
    [anon_sym_suspend] = ACTIONS(347),
    [anon_sym_defer] = ACTIONS(349),
    [anon_sym_errdefer] = ACTIONS(351),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(353),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [55] = {
    [sym__container_members] = STATE(1836),
    [sym_test_declaration] = STATE(41),
    [sym_comptime_declaration] = STATE(41),
    [sym_container_field] = STATE(1605),
    [sym_variable_declaration] = STATE(41),
    [sym__variable_declaration_header] = STATE(1741),
    [sym_function_declaration] = STATE(41),
    [sym__function_prototype] = STATE(954),
    [sym_using_namespace_declaration] = STATE(41),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(549),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(988),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(1508),
    [sym_if_type_expression] = STATE(1508),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1003),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1004),
    [aux_sym__container_members_repeat1] = STATE(41),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_usingnamespace] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(87),
    [anon_sym_null] = ACTIONS(87),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [56] = {
    [sym__container_members] = STATE(1797),
    [sym_test_declaration] = STATE(41),
    [sym_comptime_declaration] = STATE(41),
    [sym_container_field] = STATE(1605),
    [sym_variable_declaration] = STATE(41),
    [sym__variable_declaration_header] = STATE(1741),
    [sym_function_declaration] = STATE(41),
    [sym__function_prototype] = STATE(954),
    [sym_using_namespace_declaration] = STATE(41),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(549),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(988),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(1508),
    [sym_if_type_expression] = STATE(1508),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1003),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1004),
    [aux_sym__container_members_repeat1] = STATE(41),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_usingnamespace] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(87),
    [anon_sym_null] = ACTIONS(87),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [57] = {
    [sym__container_members] = STATE(1802),
    [sym_test_declaration] = STATE(41),
    [sym_comptime_declaration] = STATE(41),
    [sym_container_field] = STATE(1605),
    [sym_variable_declaration] = STATE(41),
    [sym__variable_declaration_header] = STATE(1741),
    [sym_function_declaration] = STATE(41),
    [sym__function_prototype] = STATE(954),
    [sym_using_namespace_declaration] = STATE(41),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(549),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(988),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(1508),
    [sym_if_type_expression] = STATE(1508),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1003),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1004),
    [aux_sym__container_members_repeat1] = STATE(41),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_usingnamespace] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(87),
    [anon_sym_null] = ACTIONS(87),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [58] = {
    [sym__container_members] = STATE(1771),
    [sym_test_declaration] = STATE(41),
    [sym_comptime_declaration] = STATE(41),
    [sym_container_field] = STATE(1605),
    [sym_variable_declaration] = STATE(41),
    [sym__variable_declaration_header] = STATE(1741),
    [sym_function_declaration] = STATE(41),
    [sym__function_prototype] = STATE(954),
    [sym_using_namespace_declaration] = STATE(41),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(549),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(988),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(1508),
    [sym_if_type_expression] = STATE(1508),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1003),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1004),
    [aux_sym__container_members_repeat1] = STATE(41),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_usingnamespace] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(87),
    [anon_sym_null] = ACTIONS(87),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [59] = {
    [sym__container_members] = STATE(1834),
    [sym_test_declaration] = STATE(41),
    [sym_comptime_declaration] = STATE(41),
    [sym_container_field] = STATE(1605),
    [sym_variable_declaration] = STATE(41),
    [sym__variable_declaration_header] = STATE(1741),
    [sym_function_declaration] = STATE(41),
    [sym__function_prototype] = STATE(954),
    [sym_using_namespace_declaration] = STATE(41),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(549),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(988),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(1508),
    [sym_if_type_expression] = STATE(1508),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1003),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1004),
    [aux_sym__container_members_repeat1] = STATE(41),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_usingnamespace] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(87),
    [anon_sym_null] = ACTIONS(87),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [60] = {
    [sym__container_members] = STATE(1807),
    [sym_test_declaration] = STATE(41),
    [sym_comptime_declaration] = STATE(41),
    [sym_container_field] = STATE(1605),
    [sym_variable_declaration] = STATE(41),
    [sym__variable_declaration_header] = STATE(1741),
    [sym_function_declaration] = STATE(41),
    [sym__function_prototype] = STATE(954),
    [sym_using_namespace_declaration] = STATE(41),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(549),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(988),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(1508),
    [sym_if_type_expression] = STATE(1508),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1003),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1004),
    [aux_sym__container_members_repeat1] = STATE(41),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_usingnamespace] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(87),
    [anon_sym_null] = ACTIONS(87),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [61] = {
    [sym__container_members] = STATE(1800),
    [sym_test_declaration] = STATE(41),
    [sym_comptime_declaration] = STATE(41),
    [sym_container_field] = STATE(1605),
    [sym_variable_declaration] = STATE(41),
    [sym__variable_declaration_header] = STATE(1741),
    [sym_function_declaration] = STATE(41),
    [sym__function_prototype] = STATE(954),
    [sym_using_namespace_declaration] = STATE(41),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(549),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(988),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(1508),
    [sym_if_type_expression] = STATE(1508),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1003),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1004),
    [aux_sym__container_members_repeat1] = STATE(41),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_usingnamespace] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(87),
    [anon_sym_null] = ACTIONS(87),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [62] = {
    [sym__container_members] = STATE(1779),
    [sym_test_declaration] = STATE(41),
    [sym_comptime_declaration] = STATE(41),
    [sym_container_field] = STATE(1605),
    [sym_variable_declaration] = STATE(41),
    [sym__variable_declaration_header] = STATE(1741),
    [sym_function_declaration] = STATE(41),
    [sym__function_prototype] = STATE(954),
    [sym_using_namespace_declaration] = STATE(41),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(549),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(988),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(1508),
    [sym_if_type_expression] = STATE(1508),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1003),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1004),
    [aux_sym__container_members_repeat1] = STATE(41),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_usingnamespace] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(87),
    [anon_sym_null] = ACTIONS(87),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [63] = {
    [sym__container_members] = STATE(1826),
    [sym_test_declaration] = STATE(41),
    [sym_comptime_declaration] = STATE(41),
    [sym_container_field] = STATE(1605),
    [sym_variable_declaration] = STATE(41),
    [sym__variable_declaration_header] = STATE(1741),
    [sym_function_declaration] = STATE(41),
    [sym__function_prototype] = STATE(954),
    [sym_using_namespace_declaration] = STATE(41),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(549),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(988),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(1508),
    [sym_if_type_expression] = STATE(1508),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1003),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1004),
    [aux_sym__container_members_repeat1] = STATE(41),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_usingnamespace] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(87),
    [anon_sym_null] = ACTIONS(87),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [64] = {
    [sym__container_members] = STATE(1778),
    [sym_test_declaration] = STATE(41),
    [sym_comptime_declaration] = STATE(41),
    [sym_container_field] = STATE(1605),
    [sym_variable_declaration] = STATE(41),
    [sym__variable_declaration_header] = STATE(1741),
    [sym_function_declaration] = STATE(41),
    [sym__function_prototype] = STATE(954),
    [sym_using_namespace_declaration] = STATE(41),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(549),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(988),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(1508),
    [sym_if_type_expression] = STATE(1508),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1003),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1004),
    [aux_sym__container_members_repeat1] = STATE(41),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_usingnamespace] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(87),
    [anon_sym_null] = ACTIONS(87),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [65] = {
    [sym__container_members] = STATE(1847),
    [sym_test_declaration] = STATE(41),
    [sym_comptime_declaration] = STATE(41),
    [sym_container_field] = STATE(1605),
    [sym_variable_declaration] = STATE(41),
    [sym__variable_declaration_header] = STATE(1741),
    [sym_function_declaration] = STATE(41),
    [sym__function_prototype] = STATE(954),
    [sym_using_namespace_declaration] = STATE(41),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(549),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(988),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(1508),
    [sym_if_type_expression] = STATE(1508),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1003),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1004),
    [aux_sym__container_members_repeat1] = STATE(41),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_usingnamespace] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(87),
    [anon_sym_null] = ACTIONS(87),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [66] = {
    [sym__container_members] = STATE(1837),
    [sym_test_declaration] = STATE(41),
    [sym_comptime_declaration] = STATE(41),
    [sym_container_field] = STATE(1605),
    [sym_variable_declaration] = STATE(41),
    [sym__variable_declaration_header] = STATE(1741),
    [sym_function_declaration] = STATE(41),
    [sym__function_prototype] = STATE(954),
    [sym_using_namespace_declaration] = STATE(41),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(549),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(988),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(1508),
    [sym_if_type_expression] = STATE(1508),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1003),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1004),
    [aux_sym__container_members_repeat1] = STATE(41),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_usingnamespace] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(87),
    [anon_sym_null] = ACTIONS(87),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [67] = {
    [sym__container_members] = STATE(1792),
    [sym_test_declaration] = STATE(41),
    [sym_comptime_declaration] = STATE(41),
    [sym_container_field] = STATE(1605),
    [sym_variable_declaration] = STATE(41),
    [sym__variable_declaration_header] = STATE(1741),
    [sym_function_declaration] = STATE(41),
    [sym__function_prototype] = STATE(954),
    [sym_using_namespace_declaration] = STATE(41),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(549),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(988),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(1508),
    [sym_if_type_expression] = STATE(1508),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1003),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1004),
    [aux_sym__container_members_repeat1] = STATE(41),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_usingnamespace] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(87),
    [anon_sym_null] = ACTIONS(87),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [68] = {
    [sym__container_members] = STATE(1806),
    [sym_test_declaration] = STATE(41),
    [sym_comptime_declaration] = STATE(41),
    [sym_container_field] = STATE(1605),
    [sym_variable_declaration] = STATE(41),
    [sym__variable_declaration_header] = STATE(1741),
    [sym_function_declaration] = STATE(41),
    [sym__function_prototype] = STATE(954),
    [sym_using_namespace_declaration] = STATE(41),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(549),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(988),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(1508),
    [sym_if_type_expression] = STATE(1508),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1003),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1004),
    [aux_sym__container_members_repeat1] = STATE(41),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_usingnamespace] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(87),
    [anon_sym_null] = ACTIONS(87),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [69] = {
    [sym__container_members] = STATE(1763),
    [sym_test_declaration] = STATE(41),
    [sym_comptime_declaration] = STATE(41),
    [sym_container_field] = STATE(1605),
    [sym_variable_declaration] = STATE(41),
    [sym__variable_declaration_header] = STATE(1741),
    [sym_function_declaration] = STATE(41),
    [sym__function_prototype] = STATE(954),
    [sym_using_namespace_declaration] = STATE(41),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(549),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(988),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(1508),
    [sym_if_type_expression] = STATE(1508),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1003),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1004),
    [aux_sym__container_members_repeat1] = STATE(41),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_usingnamespace] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(87),
    [anon_sym_null] = ACTIONS(87),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [70] = {
    [sym__container_members] = STATE(1850),
    [sym_test_declaration] = STATE(41),
    [sym_comptime_declaration] = STATE(41),
    [sym_container_field] = STATE(1605),
    [sym_variable_declaration] = STATE(41),
    [sym__variable_declaration_header] = STATE(1741),
    [sym_function_declaration] = STATE(41),
    [sym__function_prototype] = STATE(954),
    [sym_using_namespace_declaration] = STATE(41),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(549),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(988),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(1508),
    [sym_if_type_expression] = STATE(1508),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1003),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1004),
    [aux_sym__container_members_repeat1] = STATE(41),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_usingnamespace] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(87),
    [anon_sym_null] = ACTIONS(87),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [71] = {
    [sym__container_members] = STATE(1760),
    [sym_test_declaration] = STATE(41),
    [sym_comptime_declaration] = STATE(41),
    [sym_container_field] = STATE(1605),
    [sym_variable_declaration] = STATE(41),
    [sym__variable_declaration_header] = STATE(1741),
    [sym_function_declaration] = STATE(41),
    [sym__function_prototype] = STATE(954),
    [sym_using_namespace_declaration] = STATE(41),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(549),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(988),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(1508),
    [sym_if_type_expression] = STATE(1508),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1003),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1004),
    [aux_sym__container_members_repeat1] = STATE(41),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_usingnamespace] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(87),
    [anon_sym_null] = ACTIONS(87),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [72] = {
    [sym__container_members] = STATE(1764),
    [sym_test_declaration] = STATE(41),
    [sym_comptime_declaration] = STATE(41),
    [sym_container_field] = STATE(1605),
    [sym_variable_declaration] = STATE(41),
    [sym__variable_declaration_header] = STATE(1741),
    [sym_function_declaration] = STATE(41),
    [sym__function_prototype] = STATE(954),
    [sym_using_namespace_declaration] = STATE(41),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(549),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(988),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(1508),
    [sym_if_type_expression] = STATE(1508),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1003),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1004),
    [aux_sym__container_members_repeat1] = STATE(41),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_usingnamespace] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(87),
    [anon_sym_null] = ACTIONS(87),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [73] = {
    [sym__container_members] = STATE(1769),
    [sym_test_declaration] = STATE(41),
    [sym_comptime_declaration] = STATE(41),
    [sym_container_field] = STATE(1605),
    [sym_variable_declaration] = STATE(41),
    [sym__variable_declaration_header] = STATE(1741),
    [sym_function_declaration] = STATE(41),
    [sym__function_prototype] = STATE(954),
    [sym_using_namespace_declaration] = STATE(41),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(549),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(988),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(1508),
    [sym_if_type_expression] = STATE(1508),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1003),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1004),
    [aux_sym__container_members_repeat1] = STATE(41),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_usingnamespace] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(87),
    [anon_sym_null] = ACTIONS(87),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [74] = {
    [sym__container_members] = STATE(1774),
    [sym_test_declaration] = STATE(41),
    [sym_comptime_declaration] = STATE(41),
    [sym_container_field] = STATE(1605),
    [sym_variable_declaration] = STATE(41),
    [sym__variable_declaration_header] = STATE(1741),
    [sym_function_declaration] = STATE(41),
    [sym__function_prototype] = STATE(954),
    [sym_using_namespace_declaration] = STATE(41),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(549),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(988),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(1508),
    [sym_if_type_expression] = STATE(1508),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1003),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1004),
    [aux_sym__container_members_repeat1] = STATE(41),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_usingnamespace] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(87),
    [anon_sym_null] = ACTIONS(87),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [75] = {
    [sym__container_members] = STATE(1765),
    [sym_test_declaration] = STATE(41),
    [sym_comptime_declaration] = STATE(41),
    [sym_container_field] = STATE(1605),
    [sym_variable_declaration] = STATE(41),
    [sym__variable_declaration_header] = STATE(1741),
    [sym_function_declaration] = STATE(41),
    [sym__function_prototype] = STATE(954),
    [sym_using_namespace_declaration] = STATE(41),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(549),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(988),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(1508),
    [sym_if_type_expression] = STATE(1508),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1003),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1004),
    [aux_sym__container_members_repeat1] = STATE(41),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_usingnamespace] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(87),
    [anon_sym_null] = ACTIONS(87),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [76] = {
    [sym__container_members] = STATE(1766),
    [sym_test_declaration] = STATE(41),
    [sym_comptime_declaration] = STATE(41),
    [sym_container_field] = STATE(1605),
    [sym_variable_declaration] = STATE(41),
    [sym__variable_declaration_header] = STATE(1741),
    [sym_function_declaration] = STATE(41),
    [sym__function_prototype] = STATE(954),
    [sym_using_namespace_declaration] = STATE(41),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(549),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(988),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(1508),
    [sym_if_type_expression] = STATE(1508),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1003),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1004),
    [aux_sym__container_members_repeat1] = STATE(41),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_usingnamespace] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(87),
    [anon_sym_null] = ACTIONS(87),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [77] = {
    [sym__container_members] = STATE(1767),
    [sym_test_declaration] = STATE(41),
    [sym_comptime_declaration] = STATE(41),
    [sym_container_field] = STATE(1605),
    [sym_variable_declaration] = STATE(41),
    [sym__variable_declaration_header] = STATE(1741),
    [sym_function_declaration] = STATE(41),
    [sym__function_prototype] = STATE(954),
    [sym_using_namespace_declaration] = STATE(41),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(549),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(988),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(1508),
    [sym_if_type_expression] = STATE(1508),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1003),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1004),
    [aux_sym__container_members_repeat1] = STATE(41),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_usingnamespace] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(87),
    [anon_sym_null] = ACTIONS(87),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [78] = {
    [sym__container_members] = STATE(1768),
    [sym_test_declaration] = STATE(41),
    [sym_comptime_declaration] = STATE(41),
    [sym_container_field] = STATE(1605),
    [sym_variable_declaration] = STATE(41),
    [sym__variable_declaration_header] = STATE(1741),
    [sym_function_declaration] = STATE(41),
    [sym__function_prototype] = STATE(954),
    [sym_using_namespace_declaration] = STATE(41),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(549),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(988),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(1508),
    [sym_if_type_expression] = STATE(1508),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1003),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1004),
    [aux_sym__container_members_repeat1] = STATE(41),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_usingnamespace] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(87),
    [anon_sym_null] = ACTIONS(87),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [79] = {
    [sym__container_members] = STATE(1761),
    [sym_test_declaration] = STATE(41),
    [sym_comptime_declaration] = STATE(41),
    [sym_container_field] = STATE(1605),
    [sym_variable_declaration] = STATE(41),
    [sym__variable_declaration_header] = STATE(1741),
    [sym_function_declaration] = STATE(41),
    [sym__function_prototype] = STATE(954),
    [sym_using_namespace_declaration] = STATE(41),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(549),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(988),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(1508),
    [sym_if_type_expression] = STATE(1508),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1003),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1004),
    [aux_sym__container_members_repeat1] = STATE(41),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_usingnamespace] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(87),
    [anon_sym_null] = ACTIONS(87),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [80] = {
    [sym__container_members] = STATE(1787),
    [sym_test_declaration] = STATE(41),
    [sym_comptime_declaration] = STATE(41),
    [sym_container_field] = STATE(1605),
    [sym_variable_declaration] = STATE(41),
    [sym__variable_declaration_header] = STATE(1741),
    [sym_function_declaration] = STATE(41),
    [sym__function_prototype] = STATE(954),
    [sym_using_namespace_declaration] = STATE(41),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(549),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(988),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(1508),
    [sym_if_type_expression] = STATE(1508),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1003),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1004),
    [aux_sym__container_members_repeat1] = STATE(41),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_usingnamespace] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(87),
    [anon_sym_null] = ACTIONS(87),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [81] = {
    [sym__container_members] = STATE(1788),
    [sym_test_declaration] = STATE(41),
    [sym_comptime_declaration] = STATE(41),
    [sym_container_field] = STATE(1605),
    [sym_variable_declaration] = STATE(41),
    [sym__variable_declaration_header] = STATE(1741),
    [sym_function_declaration] = STATE(41),
    [sym__function_prototype] = STATE(954),
    [sym_using_namespace_declaration] = STATE(41),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(549),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(988),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(1508),
    [sym_if_type_expression] = STATE(1508),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1003),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1004),
    [aux_sym__container_members_repeat1] = STATE(41),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_usingnamespace] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(87),
    [anon_sym_null] = ACTIONS(87),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [82] = {
    [sym__container_members] = STATE(1830),
    [sym_test_declaration] = STATE(41),
    [sym_comptime_declaration] = STATE(41),
    [sym_container_field] = STATE(1605),
    [sym_variable_declaration] = STATE(41),
    [sym__variable_declaration_header] = STATE(1741),
    [sym_function_declaration] = STATE(41),
    [sym__function_prototype] = STATE(954),
    [sym_using_namespace_declaration] = STATE(41),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(549),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(988),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(1508),
    [sym_if_type_expression] = STATE(1508),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1003),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1004),
    [aux_sym__container_members_repeat1] = STATE(41),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_usingnamespace] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(87),
    [anon_sym_null] = ACTIONS(87),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [83] = {
    [sym__container_members] = STATE(1835),
    [sym_test_declaration] = STATE(41),
    [sym_comptime_declaration] = STATE(41),
    [sym_container_field] = STATE(1605),
    [sym_variable_declaration] = STATE(41),
    [sym__variable_declaration_header] = STATE(1741),
    [sym_function_declaration] = STATE(41),
    [sym__function_prototype] = STATE(954),
    [sym_using_namespace_declaration] = STATE(41),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(549),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(988),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(1508),
    [sym_if_type_expression] = STATE(1508),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1003),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1004),
    [aux_sym__container_members_repeat1] = STATE(41),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_usingnamespace] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(87),
    [anon_sym_null] = ACTIONS(87),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [84] = {
    [sym__container_members] = STATE(1844),
    [sym_test_declaration] = STATE(41),
    [sym_comptime_declaration] = STATE(41),
    [sym_container_field] = STATE(1605),
    [sym_variable_declaration] = STATE(41),
    [sym__variable_declaration_header] = STATE(1741),
    [sym_function_declaration] = STATE(41),
    [sym__function_prototype] = STATE(954),
    [sym_using_namespace_declaration] = STATE(41),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(549),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(988),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(1508),
    [sym_if_type_expression] = STATE(1508),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1003),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1004),
    [aux_sym__container_members_repeat1] = STATE(41),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_usingnamespace] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(87),
    [anon_sym_null] = ACTIONS(87),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [85] = {
    [sym__container_members] = STATE(1831),
    [sym_test_declaration] = STATE(41),
    [sym_comptime_declaration] = STATE(41),
    [sym_container_field] = STATE(1605),
    [sym_variable_declaration] = STATE(41),
    [sym__variable_declaration_header] = STATE(1741),
    [sym_function_declaration] = STATE(41),
    [sym__function_prototype] = STATE(954),
    [sym_using_namespace_declaration] = STATE(41),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(549),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(988),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(1508),
    [sym_if_type_expression] = STATE(1508),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1003),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1004),
    [aux_sym__container_members_repeat1] = STATE(41),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_usingnamespace] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(87),
    [anon_sym_null] = ACTIONS(87),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [86] = {
    [sym__container_members] = STATE(1805),
    [sym_test_declaration] = STATE(41),
    [sym_comptime_declaration] = STATE(41),
    [sym_container_field] = STATE(1605),
    [sym_variable_declaration] = STATE(41),
    [sym__variable_declaration_header] = STATE(1741),
    [sym_function_declaration] = STATE(41),
    [sym__function_prototype] = STATE(954),
    [sym_using_namespace_declaration] = STATE(41),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(549),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(988),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(1508),
    [sym_if_type_expression] = STATE(1508),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1003),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1004),
    [aux_sym__container_members_repeat1] = STATE(41),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_pub] = ACTIONS(9),
    [anon_sym_test] = ACTIONS(11),
    [anon_sym_comptime] = ACTIONS(13),
    [anon_sym_export] = ACTIONS(15),
    [anon_sym_extern] = ACTIONS(17),
    [anon_sym_threadlocal] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(23),
    [anon_sym_noinline] = ACTIONS(25),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_usingnamespace] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(87),
    [anon_sym_null] = ACTIONS(87),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [87] = {
    [sym__variable_declaration_expression_statement] = STATE(754),
    [sym__variable_declaration_header] = STATE(1643),
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(682),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym_statement] = STATE(772),
    [sym_comptime_statement] = STATE(757),
    [sym_nosuspend_statement] = STATE(757),
    [sym_suspend_statement] = STATE(757),
    [sym_defer_statement] = STATE(757),
    [sym_errdefer_statement] = STATE(757),
    [sym_labeled_statement] = STATE(757),
    [sym_expression_statement] = STATE(757),
    [sym_if_statement] = STATE(757),
    [sym__if_prefix] = STATE(216),
    [sym_for_statement] = STATE(762),
    [sym__for_prefix] = STATE(218),
    [sym_while_statement] = STATE(762),
    [sym__while_prefix] = STATE(237),
    [sym_expression] = STATE(1366),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(681),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1489),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(341),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(343),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(345),
    [anon_sym_suspend] = ACTIONS(347),
    [anon_sym_defer] = ACTIONS(349),
    [anon_sym_errdefer] = ACTIONS(351),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [88] = {
    [sym__variable_declaration_expression_statement] = STATE(754),
    [sym__variable_declaration_header] = STATE(1643),
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(682),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym_statement] = STATE(772),
    [sym_comptime_statement] = STATE(757),
    [sym_nosuspend_statement] = STATE(757),
    [sym_suspend_statement] = STATE(757),
    [sym_defer_statement] = STATE(757),
    [sym_errdefer_statement] = STATE(757),
    [sym_labeled_statement] = STATE(757),
    [sym_expression_statement] = STATE(757),
    [sym_if_statement] = STATE(757),
    [sym__if_prefix] = STATE(216),
    [sym_for_statement] = STATE(762),
    [sym__for_prefix] = STATE(218),
    [sym_while_statement] = STATE(762),
    [sym__while_prefix] = STATE(237),
    [sym_expression] = STATE(1384),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(681),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1489),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(341),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(343),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(345),
    [anon_sym_suspend] = ACTIONS(347),
    [anon_sym_defer] = ACTIONS(349),
    [anon_sym_errdefer] = ACTIONS(351),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [89] = {
    [sym__variable_declaration_expression_statement] = STATE(754),
    [sym__variable_declaration_header] = STATE(1643),
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(682),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym_statement] = STATE(772),
    [sym_comptime_statement] = STATE(757),
    [sym_nosuspend_statement] = STATE(757),
    [sym_suspend_statement] = STATE(757),
    [sym_defer_statement] = STATE(757),
    [sym_errdefer_statement] = STATE(757),
    [sym_labeled_statement] = STATE(757),
    [sym_expression_statement] = STATE(757),
    [sym_if_statement] = STATE(757),
    [sym__if_prefix] = STATE(216),
    [sym_for_statement] = STATE(762),
    [sym__for_prefix] = STATE(218),
    [sym_while_statement] = STATE(762),
    [sym__while_prefix] = STATE(237),
    [sym_expression] = STATE(1385),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(681),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1489),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(341),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(343),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(345),
    [anon_sym_suspend] = ACTIONS(347),
    [anon_sym_defer] = ACTIONS(349),
    [anon_sym_errdefer] = ACTIONS(351),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [90] = {
    [sym__variable_declaration_expression_statement] = STATE(754),
    [sym__variable_declaration_header] = STATE(1643),
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(682),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym_statement] = STATE(772),
    [sym_comptime_statement] = STATE(757),
    [sym_nosuspend_statement] = STATE(757),
    [sym_suspend_statement] = STATE(757),
    [sym_defer_statement] = STATE(757),
    [sym_errdefer_statement] = STATE(757),
    [sym_labeled_statement] = STATE(757),
    [sym_expression_statement] = STATE(757),
    [sym_if_statement] = STATE(757),
    [sym__if_prefix] = STATE(216),
    [sym_for_statement] = STATE(762),
    [sym__for_prefix] = STATE(218),
    [sym_while_statement] = STATE(762),
    [sym__while_prefix] = STATE(237),
    [sym_expression] = STATE(1361),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(681),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1489),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(341),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(343),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(345),
    [anon_sym_suspend] = ACTIONS(347),
    [anon_sym_defer] = ACTIONS(349),
    [anon_sym_errdefer] = ACTIONS(351),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [91] = {
    [sym__variable_declaration_expression_statement] = STATE(754),
    [sym__variable_declaration_header] = STATE(1643),
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(682),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym_statement] = STATE(772),
    [sym_comptime_statement] = STATE(757),
    [sym_nosuspend_statement] = STATE(757),
    [sym_suspend_statement] = STATE(757),
    [sym_defer_statement] = STATE(757),
    [sym_errdefer_statement] = STATE(757),
    [sym_labeled_statement] = STATE(757),
    [sym_expression_statement] = STATE(757),
    [sym_if_statement] = STATE(757),
    [sym__if_prefix] = STATE(216),
    [sym_for_statement] = STATE(762),
    [sym__for_prefix] = STATE(218),
    [sym_while_statement] = STATE(762),
    [sym__while_prefix] = STATE(237),
    [sym_expression] = STATE(1372),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(681),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1489),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(341),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(343),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(345),
    [anon_sym_suspend] = ACTIONS(347),
    [anon_sym_defer] = ACTIONS(349),
    [anon_sym_errdefer] = ACTIONS(351),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [92] = {
    [sym__variable_declaration_expression_statement] = STATE(754),
    [sym__variable_declaration_header] = STATE(1643),
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(682),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym_statement] = STATE(772),
    [sym_comptime_statement] = STATE(757),
    [sym_nosuspend_statement] = STATE(757),
    [sym_suspend_statement] = STATE(757),
    [sym_defer_statement] = STATE(757),
    [sym_errdefer_statement] = STATE(757),
    [sym_labeled_statement] = STATE(757),
    [sym_expression_statement] = STATE(757),
    [sym_if_statement] = STATE(757),
    [sym__if_prefix] = STATE(216),
    [sym_for_statement] = STATE(762),
    [sym__for_prefix] = STATE(218),
    [sym_while_statement] = STATE(762),
    [sym__while_prefix] = STATE(237),
    [sym_expression] = STATE(1364),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(681),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1489),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(341),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(343),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(345),
    [anon_sym_suspend] = ACTIONS(347),
    [anon_sym_defer] = ACTIONS(349),
    [anon_sym_errdefer] = ACTIONS(351),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [93] = {
    [ts_builtin_sym_end] = ACTIONS(664),
    [sym__identifier] = ACTIONS(666),
    [anon_sym_COMMA] = ACTIONS(664),
    [anon_sym_pub] = ACTIONS(666),
    [anon_sym_test] = ACTIONS(666),
    [anon_sym_comptime] = ACTIONS(666),
    [anon_sym_COLON] = ACTIONS(664),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_export] = ACTIONS(666),
    [anon_sym_extern] = ACTIONS(666),
    [anon_sym_threadlocal] = ACTIONS(666),
    [anon_sym_SEMI] = ACTIONS(664),
    [anon_sym_STAR_EQ] = ACTIONS(664),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(664),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(664),
    [anon_sym_SLASH_EQ] = ACTIONS(664),
    [anon_sym_PERCENT_EQ] = ACTIONS(664),
    [anon_sym_PLUS_EQ] = ACTIONS(664),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(664),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(664),
    [anon_sym_DASH_EQ] = ACTIONS(664),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(664),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(664),
    [anon_sym_LT_LT_EQ] = ACTIONS(664),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(664),
    [anon_sym_GT_GT_EQ] = ACTIONS(664),
    [anon_sym_AMP_EQ] = ACTIONS(664),
    [anon_sym_CARET_EQ] = ACTIONS(664),
    [anon_sym_PIPE_EQ] = ACTIONS(664),
    [anon_sym_const] = ACTIONS(666),
    [anon_sym_var] = ACTIONS(666),
    [anon_sym_inline] = ACTIONS(666),
    [anon_sym_noinline] = ACTIONS(666),
    [anon_sym_fn] = ACTIONS(666),
    [anon_sym_LPAREN] = ACTIONS(664),
    [anon_sym_RPAREN] = ACTIONS(664),
    [anon_sym_usingnamespace] = ACTIONS(666),
    [anon_sym_LBRACE] = ACTIONS(664),
    [anon_sym_RBRACE] = ACTIONS(664),
    [anon_sym_packed] = ACTIONS(666),
    [anon_sym_struct] = ACTIONS(666),
    [anon_sym_opaque] = ACTIONS(666),
    [anon_sym_enum] = ACTIONS(666),
    [anon_sym_union] = ACTIONS(666),
    [anon_sym_error] = ACTIONS(666),
    [anon_sym_nosuspend] = ACTIONS(666),
    [anon_sym_suspend] = ACTIONS(666),
    [anon_sym_defer] = ACTIONS(666),
    [anon_sym_errdefer] = ACTIONS(666),
    [anon_sym_if] = ACTIONS(666),
    [anon_sym_else] = ACTIONS(666),
    [anon_sym_for] = ACTIONS(666),
    [anon_sym_DOT_DOT] = ACTIONS(664),
    [anon_sym_while] = ACTIONS(666),
    [anon_sym_PIPE] = ACTIONS(666),
    [anon_sym_STAR] = ACTIONS(666),
    [anon_sym_align] = ACTIONS(666),
    [anon_sym_addrspace] = ACTIONS(666),
    [anon_sym_linksection] = ACTIONS(666),
    [anon_sym_asm] = ACTIONS(666),
    [anon_sym_LBRACK] = ACTIONS(664),
    [anon_sym_RBRACK] = ACTIONS(664),
    [anon_sym_BANG] = ACTIONS(666),
    [anon_sym_TILDE] = ACTIONS(664),
    [anon_sym_DASH] = ACTIONS(666),
    [anon_sym_DASH_PERCENT] = ACTIONS(666),
    [anon_sym_AMP] = ACTIONS(666),
    [anon_sym_or] = ACTIONS(666),
    [anon_sym_and] = ACTIONS(666),
    [anon_sym_EQ_EQ] = ACTIONS(664),
    [anon_sym_BANG_EQ] = ACTIONS(664),
    [anon_sym_GT] = ACTIONS(666),
    [anon_sym_GT_EQ] = ACTIONS(664),
    [anon_sym_LT_EQ] = ACTIONS(664),
    [anon_sym_LT] = ACTIONS(666),
    [anon_sym_CARET] = ACTIONS(666),
    [anon_sym_orelse] = ACTIONS(666),
    [anon_sym_LT_LT] = ACTIONS(666),
    [anon_sym_GT_GT] = ACTIONS(666),
    [anon_sym_LT_LT_PIPE] = ACTIONS(666),
    [anon_sym_PLUS] = ACTIONS(666),
    [anon_sym_PLUS_PLUS] = ACTIONS(664),
    [anon_sym_PLUS_PERCENT] = ACTIONS(666),
    [anon_sym_PLUS_PIPE] = ACTIONS(666),
    [anon_sym_DASH_PIPE] = ACTIONS(666),
    [anon_sym_SLASH] = ACTIONS(666),
    [anon_sym_PERCENT] = ACTIONS(666),
    [anon_sym_STAR_STAR] = ACTIONS(664),
    [anon_sym_STAR_PERCENT] = ACTIONS(666),
    [anon_sym_STAR_PIPE] = ACTIONS(666),
    [anon_sym_PIPE_PIPE] = ACTIONS(664),
    [anon_sym_async] = ACTIONS(666),
    [anon_sym_await] = ACTIONS(666),
    [anon_sym_continue] = ACTIONS(666),
    [anon_sym_resume] = ACTIONS(666),
    [anon_sym_return] = ACTIONS(666),
    [anon_sym_break] = ACTIONS(666),
    [anon_sym_try] = ACTIONS(666),
    [anon_sym_catch] = ACTIONS(666),
    [anon_sym_switch] = ACTIONS(666),
    [anon_sym_EQ_GT] = ACTIONS(664),
    [anon_sym_anyframe] = ACTIONS(666),
    [anon_sym_unreachable] = ACTIONS(666),
    [anon_sym_undefined] = ACTIONS(666),
    [anon_sym_null] = ACTIONS(666),
    [anon_sym_QMARK] = ACTIONS(664),
    [anon_sym_DOT] = ACTIONS(666),
    [anon_sym_DOT_STAR] = ACTIONS(664),
    [anon_sym_DOT_QMARK] = ACTIONS(664),
    [anon_sym_DQUOTE] = ACTIONS(664),
    [aux_sym_multiline_string_token1] = ACTIONS(664),
    [anon_sym_SQUOTE] = ACTIONS(664),
    [sym_integer] = ACTIONS(666),
    [sym_float] = ACTIONS(664),
    [anon_sym_true] = ACTIONS(666),
    [anon_sym_false] = ACTIONS(666),
    [anon_sym_bool] = ACTIONS(666),
    [anon_sym_f16] = ACTIONS(666),
    [anon_sym_f32] = ACTIONS(666),
    [anon_sym_f64] = ACTIONS(666),
    [anon_sym_f128] = ACTIONS(666),
    [anon_sym_void] = ACTIONS(666),
    [anon_sym_type] = ACTIONS(666),
    [anon_sym_anyerror] = ACTIONS(666),
    [anon_sym_anyopaque] = ACTIONS(666),
    [anon_sym_anytype] = ACTIONS(666),
    [anon_sym_noreturn] = ACTIONS(666),
    [anon_sym_isize] = ACTIONS(666),
    [anon_sym_usize] = ACTIONS(666),
    [anon_sym_comptime_int] = ACTIONS(666),
    [anon_sym_comptime_float] = ACTIONS(666),
    [anon_sym_c_short] = ACTIONS(666),
    [anon_sym_c_ushort] = ACTIONS(666),
    [anon_sym_c_int] = ACTIONS(666),
    [anon_sym_c_uint] = ACTIONS(666),
    [anon_sym_c_long] = ACTIONS(666),
    [anon_sym_c_ulong] = ACTIONS(666),
    [anon_sym_c_longlong] = ACTIONS(666),
    [anon_sym_c_ulonglong] = ACTIONS(666),
    [anon_sym_c_longdouble] = ACTIONS(666),
    [aux_sym_builtin_type_token1] = ACTIONS(666),
    [sym_builtin_identifier] = ACTIONS(664),
    [anon_sym_AT] = ACTIONS(666),
    [sym_comment] = ACTIONS(3),
  },
  [94] = {
    [ts_builtin_sym_end] = ACTIONS(668),
    [sym__identifier] = ACTIONS(670),
    [anon_sym_COMMA] = ACTIONS(668),
    [anon_sym_pub] = ACTIONS(670),
    [anon_sym_test] = ACTIONS(670),
    [anon_sym_comptime] = ACTIONS(670),
    [anon_sym_COLON] = ACTIONS(668),
    [anon_sym_EQ] = ACTIONS(670),
    [anon_sym_export] = ACTIONS(670),
    [anon_sym_extern] = ACTIONS(670),
    [anon_sym_threadlocal] = ACTIONS(670),
    [anon_sym_SEMI] = ACTIONS(668),
    [anon_sym_STAR_EQ] = ACTIONS(668),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(668),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(668),
    [anon_sym_SLASH_EQ] = ACTIONS(668),
    [anon_sym_PERCENT_EQ] = ACTIONS(668),
    [anon_sym_PLUS_EQ] = ACTIONS(668),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(668),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(668),
    [anon_sym_DASH_EQ] = ACTIONS(668),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(668),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(668),
    [anon_sym_LT_LT_EQ] = ACTIONS(668),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(668),
    [anon_sym_GT_GT_EQ] = ACTIONS(668),
    [anon_sym_AMP_EQ] = ACTIONS(668),
    [anon_sym_CARET_EQ] = ACTIONS(668),
    [anon_sym_PIPE_EQ] = ACTIONS(668),
    [anon_sym_const] = ACTIONS(670),
    [anon_sym_var] = ACTIONS(670),
    [anon_sym_inline] = ACTIONS(670),
    [anon_sym_noinline] = ACTIONS(670),
    [anon_sym_fn] = ACTIONS(670),
    [anon_sym_LPAREN] = ACTIONS(668),
    [anon_sym_RPAREN] = ACTIONS(668),
    [anon_sym_usingnamespace] = ACTIONS(670),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_RBRACE] = ACTIONS(668),
    [anon_sym_packed] = ACTIONS(670),
    [anon_sym_struct] = ACTIONS(670),
    [anon_sym_opaque] = ACTIONS(670),
    [anon_sym_enum] = ACTIONS(670),
    [anon_sym_union] = ACTIONS(670),
    [anon_sym_error] = ACTIONS(670),
    [anon_sym_nosuspend] = ACTIONS(670),
    [anon_sym_suspend] = ACTIONS(670),
    [anon_sym_defer] = ACTIONS(670),
    [anon_sym_errdefer] = ACTIONS(670),
    [anon_sym_if] = ACTIONS(670),
    [anon_sym_else] = ACTIONS(670),
    [anon_sym_for] = ACTIONS(670),
    [anon_sym_DOT_DOT] = ACTIONS(668),
    [anon_sym_while] = ACTIONS(670),
    [anon_sym_PIPE] = ACTIONS(670),
    [anon_sym_STAR] = ACTIONS(670),
    [anon_sym_align] = ACTIONS(670),
    [anon_sym_addrspace] = ACTIONS(670),
    [anon_sym_linksection] = ACTIONS(670),
    [anon_sym_asm] = ACTIONS(670),
    [anon_sym_LBRACK] = ACTIONS(668),
    [anon_sym_RBRACK] = ACTIONS(668),
    [anon_sym_BANG] = ACTIONS(670),
    [anon_sym_TILDE] = ACTIONS(668),
    [anon_sym_DASH] = ACTIONS(670),
    [anon_sym_DASH_PERCENT] = ACTIONS(670),
    [anon_sym_AMP] = ACTIONS(670),
    [anon_sym_or] = ACTIONS(670),
    [anon_sym_and] = ACTIONS(670),
    [anon_sym_EQ_EQ] = ACTIONS(668),
    [anon_sym_BANG_EQ] = ACTIONS(668),
    [anon_sym_GT] = ACTIONS(670),
    [anon_sym_GT_EQ] = ACTIONS(668),
    [anon_sym_LT_EQ] = ACTIONS(668),
    [anon_sym_LT] = ACTIONS(670),
    [anon_sym_CARET] = ACTIONS(670),
    [anon_sym_orelse] = ACTIONS(670),
    [anon_sym_LT_LT] = ACTIONS(670),
    [anon_sym_GT_GT] = ACTIONS(670),
    [anon_sym_LT_LT_PIPE] = ACTIONS(670),
    [anon_sym_PLUS] = ACTIONS(670),
    [anon_sym_PLUS_PLUS] = ACTIONS(668),
    [anon_sym_PLUS_PERCENT] = ACTIONS(670),
    [anon_sym_PLUS_PIPE] = ACTIONS(670),
    [anon_sym_DASH_PIPE] = ACTIONS(670),
    [anon_sym_SLASH] = ACTIONS(670),
    [anon_sym_PERCENT] = ACTIONS(670),
    [anon_sym_STAR_STAR] = ACTIONS(668),
    [anon_sym_STAR_PERCENT] = ACTIONS(670),
    [anon_sym_STAR_PIPE] = ACTIONS(670),
    [anon_sym_PIPE_PIPE] = ACTIONS(668),
    [anon_sym_async] = ACTIONS(670),
    [anon_sym_await] = ACTIONS(670),
    [anon_sym_continue] = ACTIONS(670),
    [anon_sym_resume] = ACTIONS(670),
    [anon_sym_return] = ACTIONS(670),
    [anon_sym_break] = ACTIONS(670),
    [anon_sym_try] = ACTIONS(670),
    [anon_sym_catch] = ACTIONS(670),
    [anon_sym_switch] = ACTIONS(670),
    [anon_sym_EQ_GT] = ACTIONS(668),
    [anon_sym_anyframe] = ACTIONS(670),
    [anon_sym_unreachable] = ACTIONS(670),
    [anon_sym_undefined] = ACTIONS(670),
    [anon_sym_null] = ACTIONS(670),
    [anon_sym_QMARK] = ACTIONS(668),
    [anon_sym_DOT] = ACTIONS(670),
    [anon_sym_DOT_STAR] = ACTIONS(668),
    [anon_sym_DOT_QMARK] = ACTIONS(668),
    [anon_sym_DQUOTE] = ACTIONS(668),
    [aux_sym_multiline_string_token1] = ACTIONS(668),
    [anon_sym_SQUOTE] = ACTIONS(668),
    [sym_integer] = ACTIONS(670),
    [sym_float] = ACTIONS(668),
    [anon_sym_true] = ACTIONS(670),
    [anon_sym_false] = ACTIONS(670),
    [anon_sym_bool] = ACTIONS(670),
    [anon_sym_f16] = ACTIONS(670),
    [anon_sym_f32] = ACTIONS(670),
    [anon_sym_f64] = ACTIONS(670),
    [anon_sym_f128] = ACTIONS(670),
    [anon_sym_void] = ACTIONS(670),
    [anon_sym_type] = ACTIONS(670),
    [anon_sym_anyerror] = ACTIONS(670),
    [anon_sym_anyopaque] = ACTIONS(670),
    [anon_sym_anytype] = ACTIONS(670),
    [anon_sym_noreturn] = ACTIONS(670),
    [anon_sym_isize] = ACTIONS(670),
    [anon_sym_usize] = ACTIONS(670),
    [anon_sym_comptime_int] = ACTIONS(670),
    [anon_sym_comptime_float] = ACTIONS(670),
    [anon_sym_c_short] = ACTIONS(670),
    [anon_sym_c_ushort] = ACTIONS(670),
    [anon_sym_c_int] = ACTIONS(670),
    [anon_sym_c_uint] = ACTIONS(670),
    [anon_sym_c_long] = ACTIONS(670),
    [anon_sym_c_ulong] = ACTIONS(670),
    [anon_sym_c_longlong] = ACTIONS(670),
    [anon_sym_c_ulonglong] = ACTIONS(670),
    [anon_sym_c_longdouble] = ACTIONS(670),
    [aux_sym_builtin_type_token1] = ACTIONS(670),
    [sym_builtin_identifier] = ACTIONS(668),
    [anon_sym_AT] = ACTIONS(670),
    [sym_comment] = ACTIONS(3),
  },
  [95] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(435),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_byte_alignment] = STATE(124),
    [sym_address_space] = STATE(166),
    [sym_link_section] = STATE(180),
    [sym_calling_convention] = STATE(225),
    [sym_expression] = STATE(1485),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1089),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_comptime_type_expression] = STATE(1030),
    [sym_if_type_expression] = STATE(1030),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1494),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(672),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_align] = ACTIONS(676),
    [anon_sym_addrspace] = ACTIONS(678),
    [anon_sym_linksection] = ACTIONS(680),
    [anon_sym_callconv] = ACTIONS(682),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(684),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [96] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(491),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_byte_alignment] = STATE(114),
    [sym_address_space] = STATE(162),
    [sym_link_section] = STATE(211),
    [sym_calling_convention] = STATE(316),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(873),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(803),
    [sym_if_type_expression] = STATE(803),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(688),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_align] = ACTIONS(676),
    [anon_sym_addrspace] = ACTIONS(678),
    [anon_sym_linksection] = ACTIONS(680),
    [anon_sym_callconv] = ACTIONS(682),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [97] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_address_space] = STATE(130),
    [sym_expression] = STATE(1483),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1198),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_pointer_type_repeat1] = STATE(130),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_COLON] = ACTIONS(690),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_const] = ACTIONS(692),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_align] = ACTIONS(696),
    [anon_sym_addrspace] = ACTIONS(678),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_volatile] = ACTIONS(692),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_RBRACK] = ACTIONS(698),
    [anon_sym_BANG] = ACTIONS(700),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_allowzero] = ACTIONS(692),
    [anon_sym_c] = ACTIONS(702),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [98] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(491),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_byte_alignment] = STATE(121),
    [sym_address_space] = STATE(170),
    [sym_link_section] = STATE(186),
    [sym_calling_convention] = STATE(217),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(900),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(854),
    [sym_if_type_expression] = STATE(854),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(688),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_align] = ACTIONS(676),
    [anon_sym_addrspace] = ACTIONS(678),
    [anon_sym_linksection] = ACTIONS(680),
    [anon_sym_callconv] = ACTIONS(682),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [99] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(643),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_byte_alignment] = STATE(109),
    [sym_address_space] = STATE(158),
    [sym_link_section] = STATE(188),
    [sym_calling_convention] = STATE(226),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1359),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(854),
    [sym_if_type_expression] = STATE(854),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(704),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_align] = ACTIONS(676),
    [anon_sym_addrspace] = ACTIONS(678),
    [anon_sym_linksection] = ACTIONS(680),
    [anon_sym_callconv] = ACTIONS(682),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [100] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_address_space] = STATE(130),
    [sym_expression] = STATE(1483),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1198),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_pointer_type_repeat1] = STATE(130),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_COLON] = ACTIONS(706),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_const] = ACTIONS(692),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_align] = ACTIONS(696),
    [anon_sym_addrspace] = ACTIONS(678),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_volatile] = ACTIONS(692),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_RBRACK] = ACTIONS(708),
    [anon_sym_BANG] = ACTIONS(700),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_allowzero] = ACTIONS(692),
    [anon_sym_c] = ACTIONS(710),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [101] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(643),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_byte_alignment] = STATE(111),
    [sym_address_space] = STATE(172),
    [sym_link_section] = STATE(190),
    [sym_calling_convention] = STATE(236),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1351),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(803),
    [sym_if_type_expression] = STATE(803),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(704),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_align] = ACTIONS(676),
    [anon_sym_addrspace] = ACTIONS(678),
    [anon_sym_linksection] = ACTIONS(680),
    [anon_sym_callconv] = ACTIONS(682),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [102] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(435),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_byte_alignment] = STATE(122),
    [sym_address_space] = STATE(161),
    [sym_link_section] = STATE(193),
    [sym_calling_convention] = STATE(325),
    [sym_expression] = STATE(1485),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1086),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_comptime_type_expression] = STATE(1014),
    [sym_if_type_expression] = STATE(1014),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1494),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(672),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_align] = ACTIONS(676),
    [anon_sym_addrspace] = ACTIONS(678),
    [anon_sym_linksection] = ACTIONS(680),
    [anon_sym_callconv] = ACTIONS(682),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(684),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [103] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(608),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_byte_alignment] = STATE(117),
    [sym_address_space] = STATE(169),
    [sym_link_section] = STATE(202),
    [sym_calling_convention] = STATE(278),
    [sym_expression] = STATE(1483),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1101),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(854),
    [sym_if_type_expression] = STATE(854),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(712),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_align] = ACTIONS(676),
    [anon_sym_addrspace] = ACTIONS(678),
    [anon_sym_linksection] = ACTIONS(680),
    [anon_sym_callconv] = ACTIONS(682),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(700),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [104] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(608),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_byte_alignment] = STATE(119),
    [sym_address_space] = STATE(155),
    [sym_link_section] = STATE(205),
    [sym_calling_convention] = STATE(288),
    [sym_expression] = STATE(1483),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1109),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(803),
    [sym_if_type_expression] = STATE(803),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(712),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_align] = ACTIONS(676),
    [anon_sym_addrspace] = ACTIONS(678),
    [anon_sym_linksection] = ACTIONS(680),
    [anon_sym_callconv] = ACTIONS(682),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(700),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [105] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_address_space] = STATE(130),
    [sym_expression] = STATE(1483),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1198),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_pointer_type_repeat1] = STATE(130),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_COLON] = ACTIONS(714),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_const] = ACTIONS(692),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_align] = ACTIONS(696),
    [anon_sym_addrspace] = ACTIONS(678),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_volatile] = ACTIONS(692),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_RBRACK] = ACTIONS(716),
    [anon_sym_BANG] = ACTIONS(700),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_allowzero] = ACTIONS(692),
    [anon_sym_c] = ACTIONS(718),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [106] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_byte_alignment] = STATE(110),
    [sym_address_space] = STATE(110),
    [sym_expression] = STATE(1483),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1103),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_slice_type_repeat1] = STATE(110),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_const] = ACTIONS(720),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_align] = ACTIONS(676),
    [anon_sym_addrspace] = ACTIONS(678),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_volatile] = ACTIONS(720),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(700),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_allowzero] = ACTIONS(720),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [107] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_byte_alignment] = STATE(745),
    [sym_address_space] = STATE(745),
    [sym_expression] = STATE(1485),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1061),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1494),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_slice_type_repeat1] = STATE(745),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_const] = ACTIONS(722),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_align] = ACTIONS(676),
    [anon_sym_addrspace] = ACTIONS(678),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_volatile] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(684),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_allowzero] = ACTIONS(722),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [108] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_byte_alignment] = STATE(745),
    [sym_address_space] = STATE(745),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(911),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_slice_type_repeat1] = STATE(745),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_const] = ACTIONS(722),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_align] = ACTIONS(676),
    [anon_sym_addrspace] = ACTIONS(678),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_volatile] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_allowzero] = ACTIONS(722),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [109] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(643),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_address_space] = STATE(165),
    [sym_link_section] = STATE(189),
    [sym_calling_convention] = STATE(232),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1344),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(843),
    [sym_if_type_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(704),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_addrspace] = ACTIONS(678),
    [anon_sym_linksection] = ACTIONS(680),
    [anon_sym_callconv] = ACTIONS(682),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [110] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_byte_alignment] = STATE(745),
    [sym_address_space] = STATE(745),
    [sym_expression] = STATE(1483),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1111),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_slice_type_repeat1] = STATE(745),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_const] = ACTIONS(722),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_align] = ACTIONS(676),
    [anon_sym_addrspace] = ACTIONS(678),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_volatile] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(700),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_allowzero] = ACTIONS(722),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [111] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(643),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_address_space] = STATE(160),
    [sym_link_section] = STATE(212),
    [sym_calling_convention] = STATE(245),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1348),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(806),
    [sym_if_type_expression] = STATE(806),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(704),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_addrspace] = ACTIONS(678),
    [anon_sym_linksection] = ACTIONS(680),
    [anon_sym_callconv] = ACTIONS(682),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [112] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_byte_alignment] = STATE(113),
    [sym_address_space] = STATE(113),
    [sym_expression] = STATE(1483),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1115),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_slice_type_repeat1] = STATE(113),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_const] = ACTIONS(724),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_align] = ACTIONS(676),
    [anon_sym_addrspace] = ACTIONS(678),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_volatile] = ACTIONS(724),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(700),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_allowzero] = ACTIONS(724),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [113] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_byte_alignment] = STATE(745),
    [sym_address_space] = STATE(745),
    [sym_expression] = STATE(1483),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1119),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_slice_type_repeat1] = STATE(745),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_const] = ACTIONS(722),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_align] = ACTIONS(676),
    [anon_sym_addrspace] = ACTIONS(678),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_volatile] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(700),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_allowzero] = ACTIONS(722),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [114] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(491),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_address_space] = STATE(167),
    [sym_link_section] = STATE(184),
    [sym_calling_convention] = STATE(292),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(892),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(806),
    [sym_if_type_expression] = STATE(806),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(688),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_addrspace] = ACTIONS(678),
    [anon_sym_linksection] = ACTIONS(680),
    [anon_sym_callconv] = ACTIONS(682),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [115] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_byte_alignment] = STATE(745),
    [sym_address_space] = STATE(745),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(898),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_slice_type_repeat1] = STATE(745),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_const] = ACTIONS(722),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_align] = ACTIONS(676),
    [anon_sym_addrspace] = ACTIONS(678),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_volatile] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_allowzero] = ACTIONS(722),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [116] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_byte_alignment] = STATE(115),
    [sym_address_space] = STATE(115),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(902),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_slice_type_repeat1] = STATE(115),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_const] = ACTIONS(726),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_align] = ACTIONS(676),
    [anon_sym_addrspace] = ACTIONS(678),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_volatile] = ACTIONS(726),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_allowzero] = ACTIONS(726),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [117] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(608),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_address_space] = STATE(174),
    [sym_link_section] = STATE(204),
    [sym_calling_convention] = STATE(285),
    [sym_expression] = STATE(1483),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1108),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(843),
    [sym_if_type_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(712),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_addrspace] = ACTIONS(678),
    [anon_sym_linksection] = ACTIONS(680),
    [anon_sym_callconv] = ACTIONS(682),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(700),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [118] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_byte_alignment] = STATE(123),
    [sym_address_space] = STATE(123),
    [sym_expression] = STATE(1485),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1019),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1494),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_slice_type_repeat1] = STATE(123),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_const] = ACTIONS(728),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_align] = ACTIONS(676),
    [anon_sym_addrspace] = ACTIONS(678),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_volatile] = ACTIONS(728),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(684),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_allowzero] = ACTIONS(728),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [119] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(608),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_address_space] = STATE(156),
    [sym_link_section] = STATE(208),
    [sym_calling_convention] = STATE(294),
    [sym_expression] = STATE(1483),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1114),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(806),
    [sym_if_type_expression] = STATE(806),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(712),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_addrspace] = ACTIONS(678),
    [anon_sym_linksection] = ACTIONS(680),
    [anon_sym_callconv] = ACTIONS(682),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(700),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [120] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_byte_alignment] = STATE(108),
    [sym_address_space] = STATE(108),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(920),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_slice_type_repeat1] = STATE(108),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_const] = ACTIONS(730),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_align] = ACTIONS(676),
    [anon_sym_addrspace] = ACTIONS(678),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_volatile] = ACTIONS(730),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_allowzero] = ACTIONS(730),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [121] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(491),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_address_space] = STATE(173),
    [sym_link_section] = STATE(207),
    [sym_calling_convention] = STATE(302),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(915),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(843),
    [sym_if_type_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(688),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_addrspace] = ACTIONS(678),
    [anon_sym_linksection] = ACTIONS(680),
    [anon_sym_callconv] = ACTIONS(682),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [122] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(435),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_address_space] = STATE(164),
    [sym_link_section] = STATE(179),
    [sym_calling_convention] = STATE(314),
    [sym_expression] = STATE(1485),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1088),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_comptime_type_expression] = STATE(1029),
    [sym_if_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1494),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(672),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_addrspace] = ACTIONS(678),
    [anon_sym_linksection] = ACTIONS(680),
    [anon_sym_callconv] = ACTIONS(682),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(684),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [123] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_byte_alignment] = STATE(745),
    [sym_address_space] = STATE(745),
    [sym_expression] = STATE(1485),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1038),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1494),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_slice_type_repeat1] = STATE(745),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_const] = ACTIONS(722),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_align] = ACTIONS(676),
    [anon_sym_addrspace] = ACTIONS(678),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_volatile] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(684),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_allowzero] = ACTIONS(722),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [124] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(435),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_address_space] = STATE(171),
    [sym_link_section] = STATE(181),
    [sym_calling_convention] = STATE(256),
    [sym_expression] = STATE(1485),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1091),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_comptime_type_expression] = STATE(1049),
    [sym_if_type_expression] = STATE(1049),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1494),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(672),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_addrspace] = ACTIONS(678),
    [anon_sym_linksection] = ACTIONS(680),
    [anon_sym_callconv] = ACTIONS(682),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(684),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [125] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_byte_alignment] = STATE(107),
    [sym_address_space] = STATE(107),
    [sym_expression] = STATE(1485),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1052),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1494),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_slice_type_repeat1] = STATE(107),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_const] = ACTIONS(732),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_align] = ACTIONS(676),
    [anon_sym_addrspace] = ACTIONS(678),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_volatile] = ACTIONS(732),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(684),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_allowzero] = ACTIONS(732),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [126] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_address_space] = STATE(746),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(916),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_pointer_type_repeat1] = STATE(746),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_const] = ACTIONS(734),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_align] = ACTIONS(696),
    [anon_sym_addrspace] = ACTIONS(678),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_volatile] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_allowzero] = ACTIONS(734),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [127] = {
    [ts_builtin_sym_end] = ACTIONS(736),
    [sym__identifier] = ACTIONS(738),
    [anon_sym_COMMA] = ACTIONS(736),
    [anon_sym_comptime] = ACTIONS(738),
    [anon_sym_COLON] = ACTIONS(736),
    [anon_sym_EQ] = ACTIONS(738),
    [anon_sym_extern] = ACTIONS(738),
    [anon_sym_SEMI] = ACTIONS(736),
    [anon_sym_STAR_EQ] = ACTIONS(736),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(736),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(736),
    [anon_sym_SLASH_EQ] = ACTIONS(736),
    [anon_sym_PERCENT_EQ] = ACTIONS(736),
    [anon_sym_PLUS_EQ] = ACTIONS(736),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(736),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(736),
    [anon_sym_DASH_EQ] = ACTIONS(736),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(736),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(736),
    [anon_sym_LT_LT_EQ] = ACTIONS(736),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(736),
    [anon_sym_GT_GT_EQ] = ACTIONS(736),
    [anon_sym_AMP_EQ] = ACTIONS(736),
    [anon_sym_CARET_EQ] = ACTIONS(736),
    [anon_sym_PIPE_EQ] = ACTIONS(736),
    [anon_sym_const] = ACTIONS(738),
    [anon_sym_var] = ACTIONS(738),
    [anon_sym_inline] = ACTIONS(738),
    [anon_sym_fn] = ACTIONS(738),
    [anon_sym_LPAREN] = ACTIONS(736),
    [anon_sym_RPAREN] = ACTIONS(736),
    [anon_sym_LBRACE] = ACTIONS(736),
    [anon_sym_RBRACE] = ACTIONS(736),
    [anon_sym_packed] = ACTIONS(738),
    [anon_sym_struct] = ACTIONS(738),
    [anon_sym_opaque] = ACTIONS(738),
    [anon_sym_enum] = ACTIONS(738),
    [anon_sym_union] = ACTIONS(738),
    [anon_sym_error] = ACTIONS(738),
    [anon_sym_nosuspend] = ACTIONS(738),
    [anon_sym_suspend] = ACTIONS(738),
    [anon_sym_defer] = ACTIONS(738),
    [anon_sym_errdefer] = ACTIONS(738),
    [anon_sym_if] = ACTIONS(738),
    [anon_sym_else] = ACTIONS(738),
    [anon_sym_for] = ACTIONS(738),
    [anon_sym_DOT_DOT] = ACTIONS(736),
    [anon_sym_while] = ACTIONS(738),
    [anon_sym_PIPE] = ACTIONS(738),
    [anon_sym_STAR] = ACTIONS(738),
    [anon_sym_align] = ACTIONS(738),
    [anon_sym_addrspace] = ACTIONS(738),
    [anon_sym_linksection] = ACTIONS(738),
    [anon_sym_asm] = ACTIONS(738),
    [anon_sym_LBRACK] = ACTIONS(736),
    [anon_sym_RBRACK] = ACTIONS(736),
    [anon_sym_BANG] = ACTIONS(738),
    [anon_sym_TILDE] = ACTIONS(736),
    [anon_sym_DASH] = ACTIONS(738),
    [anon_sym_DASH_PERCENT] = ACTIONS(738),
    [anon_sym_AMP] = ACTIONS(738),
    [anon_sym_or] = ACTIONS(738),
    [anon_sym_and] = ACTIONS(738),
    [anon_sym_EQ_EQ] = ACTIONS(736),
    [anon_sym_BANG_EQ] = ACTIONS(736),
    [anon_sym_GT] = ACTIONS(738),
    [anon_sym_GT_EQ] = ACTIONS(736),
    [anon_sym_LT_EQ] = ACTIONS(736),
    [anon_sym_LT] = ACTIONS(738),
    [anon_sym_CARET] = ACTIONS(738),
    [anon_sym_orelse] = ACTIONS(738),
    [anon_sym_LT_LT] = ACTIONS(738),
    [anon_sym_GT_GT] = ACTIONS(738),
    [anon_sym_LT_LT_PIPE] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(738),
    [anon_sym_PLUS_PLUS] = ACTIONS(736),
    [anon_sym_PLUS_PERCENT] = ACTIONS(738),
    [anon_sym_PLUS_PIPE] = ACTIONS(738),
    [anon_sym_DASH_PIPE] = ACTIONS(738),
    [anon_sym_SLASH] = ACTIONS(738),
    [anon_sym_PERCENT] = ACTIONS(738),
    [anon_sym_STAR_STAR] = ACTIONS(736),
    [anon_sym_STAR_PERCENT] = ACTIONS(738),
    [anon_sym_STAR_PIPE] = ACTIONS(738),
    [anon_sym_PIPE_PIPE] = ACTIONS(736),
    [anon_sym_async] = ACTIONS(738),
    [anon_sym_await] = ACTIONS(738),
    [anon_sym_continue] = ACTIONS(738),
    [anon_sym_resume] = ACTIONS(738),
    [anon_sym_return] = ACTIONS(738),
    [anon_sym_break] = ACTIONS(738),
    [anon_sym_try] = ACTIONS(738),
    [anon_sym_catch] = ACTIONS(738),
    [anon_sym_switch] = ACTIONS(738),
    [anon_sym_EQ_GT] = ACTIONS(736),
    [anon_sym_anyframe] = ACTIONS(738),
    [anon_sym_unreachable] = ACTIONS(738),
    [anon_sym_undefined] = ACTIONS(738),
    [anon_sym_null] = ACTIONS(738),
    [anon_sym_QMARK] = ACTIONS(736),
    [anon_sym_DOT] = ACTIONS(738),
    [anon_sym_DOT_STAR] = ACTIONS(736),
    [anon_sym_DOT_QMARK] = ACTIONS(736),
    [anon_sym_DQUOTE] = ACTIONS(736),
    [aux_sym_multiline_string_token1] = ACTIONS(736),
    [anon_sym_SQUOTE] = ACTIONS(736),
    [sym_integer] = ACTIONS(738),
    [sym_float] = ACTIONS(736),
    [anon_sym_true] = ACTIONS(738),
    [anon_sym_false] = ACTIONS(738),
    [anon_sym_bool] = ACTIONS(738),
    [anon_sym_f16] = ACTIONS(738),
    [anon_sym_f32] = ACTIONS(738),
    [anon_sym_f64] = ACTIONS(738),
    [anon_sym_f128] = ACTIONS(738),
    [anon_sym_void] = ACTIONS(738),
    [anon_sym_type] = ACTIONS(738),
    [anon_sym_anyerror] = ACTIONS(738),
    [anon_sym_anyopaque] = ACTIONS(738),
    [anon_sym_anytype] = ACTIONS(738),
    [anon_sym_noreturn] = ACTIONS(738),
    [anon_sym_isize] = ACTIONS(738),
    [anon_sym_usize] = ACTIONS(738),
    [anon_sym_comptime_int] = ACTIONS(738),
    [anon_sym_comptime_float] = ACTIONS(738),
    [anon_sym_c_short] = ACTIONS(738),
    [anon_sym_c_ushort] = ACTIONS(738),
    [anon_sym_c_int] = ACTIONS(738),
    [anon_sym_c_uint] = ACTIONS(738),
    [anon_sym_c_long] = ACTIONS(738),
    [anon_sym_c_ulong] = ACTIONS(738),
    [anon_sym_c_longlong] = ACTIONS(738),
    [anon_sym_c_ulonglong] = ACTIONS(738),
    [anon_sym_c_longdouble] = ACTIONS(738),
    [aux_sym_builtin_type_token1] = ACTIONS(738),
    [sym_builtin_identifier] = ACTIONS(736),
    [anon_sym_AT] = ACTIONS(738),
    [sym_comment] = ACTIONS(3),
  },
  [128] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_address_space] = STATE(746),
    [sym_expression] = STATE(1483),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1116),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_pointer_type_repeat1] = STATE(746),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_const] = ACTIONS(734),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_align] = ACTIONS(696),
    [anon_sym_addrspace] = ACTIONS(678),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_volatile] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(700),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_allowzero] = ACTIONS(734),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [129] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_address_space] = STATE(132),
    [sym_expression] = STATE(1483),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1116),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_pointer_type_repeat1] = STATE(132),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_const] = ACTIONS(740),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_align] = ACTIONS(696),
    [anon_sym_addrspace] = ACTIONS(678),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_volatile] = ACTIONS(740),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(700),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_allowzero] = ACTIONS(740),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [130] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_address_space] = STATE(746),
    [sym_expression] = STATE(1483),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1102),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_pointer_type_repeat1] = STATE(746),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_const] = ACTIONS(734),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_align] = ACTIONS(696),
    [anon_sym_addrspace] = ACTIONS(678),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_volatile] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(700),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_allowzero] = ACTIONS(734),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [131] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_address_space] = STATE(133),
    [sym_expression] = STATE(1483),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1120),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_pointer_type_repeat1] = STATE(133),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_const] = ACTIONS(742),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_align] = ACTIONS(696),
    [anon_sym_addrspace] = ACTIONS(678),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_volatile] = ACTIONS(742),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(700),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_allowzero] = ACTIONS(742),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [132] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_address_space] = STATE(746),
    [sym_expression] = STATE(1483),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1120),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_pointer_type_repeat1] = STATE(746),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_const] = ACTIONS(734),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_align] = ACTIONS(696),
    [anon_sym_addrspace] = ACTIONS(678),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_volatile] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(700),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_allowzero] = ACTIONS(734),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [133] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_address_space] = STATE(746),
    [sym_expression] = STATE(1483),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1124),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_pointer_type_repeat1] = STATE(746),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_const] = ACTIONS(734),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_align] = ACTIONS(696),
    [anon_sym_addrspace] = ACTIONS(678),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_volatile] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(700),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_allowzero] = ACTIONS(734),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [134] = {
    [ts_builtin_sym_end] = ACTIONS(744),
    [sym__identifier] = ACTIONS(746),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_comptime] = ACTIONS(746),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(746),
    [anon_sym_extern] = ACTIONS(746),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_STAR_EQ] = ACTIONS(744),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(744),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(744),
    [anon_sym_SLASH_EQ] = ACTIONS(744),
    [anon_sym_PERCENT_EQ] = ACTIONS(744),
    [anon_sym_PLUS_EQ] = ACTIONS(744),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(744),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(744),
    [anon_sym_DASH_EQ] = ACTIONS(744),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(744),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(744),
    [anon_sym_LT_LT_EQ] = ACTIONS(744),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(744),
    [anon_sym_GT_GT_EQ] = ACTIONS(744),
    [anon_sym_AMP_EQ] = ACTIONS(744),
    [anon_sym_CARET_EQ] = ACTIONS(744),
    [anon_sym_PIPE_EQ] = ACTIONS(744),
    [anon_sym_const] = ACTIONS(746),
    [anon_sym_var] = ACTIONS(746),
    [anon_sym_inline] = ACTIONS(746),
    [anon_sym_fn] = ACTIONS(746),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_packed] = ACTIONS(746),
    [anon_sym_struct] = ACTIONS(746),
    [anon_sym_opaque] = ACTIONS(746),
    [anon_sym_enum] = ACTIONS(746),
    [anon_sym_union] = ACTIONS(746),
    [anon_sym_error] = ACTIONS(746),
    [anon_sym_nosuspend] = ACTIONS(746),
    [anon_sym_suspend] = ACTIONS(746),
    [anon_sym_defer] = ACTIONS(746),
    [anon_sym_errdefer] = ACTIONS(746),
    [anon_sym_if] = ACTIONS(746),
    [anon_sym_else] = ACTIONS(746),
    [anon_sym_for] = ACTIONS(746),
    [anon_sym_DOT_DOT] = ACTIONS(744),
    [anon_sym_while] = ACTIONS(746),
    [anon_sym_PIPE] = ACTIONS(746),
    [anon_sym_STAR] = ACTIONS(746),
    [anon_sym_align] = ACTIONS(746),
    [anon_sym_addrspace] = ACTIONS(746),
    [anon_sym_linksection] = ACTIONS(746),
    [anon_sym_asm] = ACTIONS(746),
    [anon_sym_LBRACK] = ACTIONS(744),
    [anon_sym_RBRACK] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(746),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(746),
    [anon_sym_DASH_PERCENT] = ACTIONS(746),
    [anon_sym_AMP] = ACTIONS(746),
    [anon_sym_or] = ACTIONS(746),
    [anon_sym_and] = ACTIONS(746),
    [anon_sym_EQ_EQ] = ACTIONS(744),
    [anon_sym_BANG_EQ] = ACTIONS(744),
    [anon_sym_GT] = ACTIONS(746),
    [anon_sym_GT_EQ] = ACTIONS(744),
    [anon_sym_LT_EQ] = ACTIONS(744),
    [anon_sym_LT] = ACTIONS(746),
    [anon_sym_CARET] = ACTIONS(746),
    [anon_sym_orelse] = ACTIONS(746),
    [anon_sym_LT_LT] = ACTIONS(746),
    [anon_sym_GT_GT] = ACTIONS(746),
    [anon_sym_LT_LT_PIPE] = ACTIONS(746),
    [anon_sym_PLUS] = ACTIONS(746),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_PLUS_PERCENT] = ACTIONS(746),
    [anon_sym_PLUS_PIPE] = ACTIONS(746),
    [anon_sym_DASH_PIPE] = ACTIONS(746),
    [anon_sym_SLASH] = ACTIONS(746),
    [anon_sym_PERCENT] = ACTIONS(746),
    [anon_sym_STAR_STAR] = ACTIONS(744),
    [anon_sym_STAR_PERCENT] = ACTIONS(746),
    [anon_sym_STAR_PIPE] = ACTIONS(746),
    [anon_sym_PIPE_PIPE] = ACTIONS(744),
    [anon_sym_async] = ACTIONS(746),
    [anon_sym_await] = ACTIONS(746),
    [anon_sym_continue] = ACTIONS(746),
    [anon_sym_resume] = ACTIONS(746),
    [anon_sym_return] = ACTIONS(746),
    [anon_sym_break] = ACTIONS(746),
    [anon_sym_try] = ACTIONS(746),
    [anon_sym_catch] = ACTIONS(746),
    [anon_sym_switch] = ACTIONS(746),
    [anon_sym_EQ_GT] = ACTIONS(744),
    [anon_sym_anyframe] = ACTIONS(746),
    [anon_sym_unreachable] = ACTIONS(746),
    [anon_sym_undefined] = ACTIONS(746),
    [anon_sym_null] = ACTIONS(746),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(746),
    [anon_sym_DOT_STAR] = ACTIONS(744),
    [anon_sym_DOT_QMARK] = ACTIONS(744),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [aux_sym_multiline_string_token1] = ACTIONS(744),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [sym_integer] = ACTIONS(746),
    [sym_float] = ACTIONS(744),
    [anon_sym_true] = ACTIONS(746),
    [anon_sym_false] = ACTIONS(746),
    [anon_sym_bool] = ACTIONS(746),
    [anon_sym_f16] = ACTIONS(746),
    [anon_sym_f32] = ACTIONS(746),
    [anon_sym_f64] = ACTIONS(746),
    [anon_sym_f128] = ACTIONS(746),
    [anon_sym_void] = ACTIONS(746),
    [anon_sym_type] = ACTIONS(746),
    [anon_sym_anyerror] = ACTIONS(746),
    [anon_sym_anyopaque] = ACTIONS(746),
    [anon_sym_anytype] = ACTIONS(746),
    [anon_sym_noreturn] = ACTIONS(746),
    [anon_sym_isize] = ACTIONS(746),
    [anon_sym_usize] = ACTIONS(746),
    [anon_sym_comptime_int] = ACTIONS(746),
    [anon_sym_comptime_float] = ACTIONS(746),
    [anon_sym_c_short] = ACTIONS(746),
    [anon_sym_c_ushort] = ACTIONS(746),
    [anon_sym_c_int] = ACTIONS(746),
    [anon_sym_c_uint] = ACTIONS(746),
    [anon_sym_c_long] = ACTIONS(746),
    [anon_sym_c_ulong] = ACTIONS(746),
    [anon_sym_c_longlong] = ACTIONS(746),
    [anon_sym_c_ulonglong] = ACTIONS(746),
    [anon_sym_c_longdouble] = ACTIONS(746),
    [aux_sym_builtin_type_token1] = ACTIONS(746),
    [sym_builtin_identifier] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(746),
    [sym_comment] = ACTIONS(3),
  },
  [135] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_address_space] = STATE(746),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(899),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_pointer_type_repeat1] = STATE(746),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_const] = ACTIONS(734),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_align] = ACTIONS(696),
    [anon_sym_addrspace] = ACTIONS(678),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_volatile] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_allowzero] = ACTIONS(734),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [136] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_address_space] = STATE(746),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(919),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_pointer_type_repeat1] = STATE(746),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_const] = ACTIONS(734),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_align] = ACTIONS(696),
    [anon_sym_addrspace] = ACTIONS(678),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_volatile] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_allowzero] = ACTIONS(734),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [137] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_address_space] = STATE(139),
    [sym_expression] = STATE(1485),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1196),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1494),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_pointer_type_repeat1] = STATE(139),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_const] = ACTIONS(748),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_align] = ACTIONS(696),
    [anon_sym_addrspace] = ACTIONS(678),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_volatile] = ACTIONS(748),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(684),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_allowzero] = ACTIONS(748),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [138] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_address_space] = STATE(746),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(903),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_pointer_type_repeat1] = STATE(746),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_const] = ACTIONS(734),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_align] = ACTIONS(696),
    [anon_sym_addrspace] = ACTIONS(678),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_volatile] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_allowzero] = ACTIONS(734),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [139] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_address_space] = STATE(746),
    [sym_expression] = STATE(1485),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1018),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1494),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_pointer_type_repeat1] = STATE(746),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_const] = ACTIONS(734),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_align] = ACTIONS(696),
    [anon_sym_addrspace] = ACTIONS(678),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_volatile] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(684),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_allowzero] = ACTIONS(734),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [140] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_address_space] = STATE(135),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(903),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_pointer_type_repeat1] = STATE(135),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_const] = ACTIONS(750),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_align] = ACTIONS(696),
    [anon_sym_addrspace] = ACTIONS(678),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_volatile] = ACTIONS(750),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_allowzero] = ACTIONS(750),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [141] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_address_space] = STATE(126),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(894),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_pointer_type_repeat1] = STATE(126),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_const] = ACTIONS(752),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_align] = ACTIONS(696),
    [anon_sym_addrspace] = ACTIONS(678),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_volatile] = ACTIONS(752),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_allowzero] = ACTIONS(752),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [142] = {
    [ts_builtin_sym_end] = ACTIONS(754),
    [sym__identifier] = ACTIONS(756),
    [anon_sym_COMMA] = ACTIONS(754),
    [anon_sym_comptime] = ACTIONS(756),
    [anon_sym_COLON] = ACTIONS(754),
    [anon_sym_EQ] = ACTIONS(756),
    [anon_sym_extern] = ACTIONS(756),
    [anon_sym_SEMI] = ACTIONS(754),
    [anon_sym_STAR_EQ] = ACTIONS(754),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(754),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(754),
    [anon_sym_SLASH_EQ] = ACTIONS(754),
    [anon_sym_PERCENT_EQ] = ACTIONS(754),
    [anon_sym_PLUS_EQ] = ACTIONS(754),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(754),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(754),
    [anon_sym_DASH_EQ] = ACTIONS(754),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(754),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(754),
    [anon_sym_LT_LT_EQ] = ACTIONS(754),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(754),
    [anon_sym_GT_GT_EQ] = ACTIONS(754),
    [anon_sym_AMP_EQ] = ACTIONS(754),
    [anon_sym_CARET_EQ] = ACTIONS(754),
    [anon_sym_PIPE_EQ] = ACTIONS(754),
    [anon_sym_const] = ACTIONS(756),
    [anon_sym_var] = ACTIONS(756),
    [anon_sym_inline] = ACTIONS(756),
    [anon_sym_fn] = ACTIONS(756),
    [anon_sym_LPAREN] = ACTIONS(754),
    [anon_sym_RPAREN] = ACTIONS(754),
    [anon_sym_LBRACE] = ACTIONS(754),
    [anon_sym_RBRACE] = ACTIONS(754),
    [anon_sym_packed] = ACTIONS(756),
    [anon_sym_struct] = ACTIONS(756),
    [anon_sym_opaque] = ACTIONS(756),
    [anon_sym_enum] = ACTIONS(756),
    [anon_sym_union] = ACTIONS(756),
    [anon_sym_error] = ACTIONS(756),
    [anon_sym_nosuspend] = ACTIONS(756),
    [anon_sym_suspend] = ACTIONS(756),
    [anon_sym_defer] = ACTIONS(756),
    [anon_sym_errdefer] = ACTIONS(756),
    [anon_sym_if] = ACTIONS(756),
    [anon_sym_else] = ACTIONS(756),
    [anon_sym_for] = ACTIONS(756),
    [anon_sym_DOT_DOT] = ACTIONS(754),
    [anon_sym_while] = ACTIONS(756),
    [anon_sym_PIPE] = ACTIONS(756),
    [anon_sym_STAR] = ACTIONS(756),
    [anon_sym_align] = ACTIONS(756),
    [anon_sym_addrspace] = ACTIONS(756),
    [anon_sym_linksection] = ACTIONS(756),
    [anon_sym_asm] = ACTIONS(756),
    [anon_sym_LBRACK] = ACTIONS(754),
    [anon_sym_RBRACK] = ACTIONS(754),
    [anon_sym_BANG] = ACTIONS(756),
    [anon_sym_TILDE] = ACTIONS(754),
    [anon_sym_DASH] = ACTIONS(756),
    [anon_sym_DASH_PERCENT] = ACTIONS(756),
    [anon_sym_AMP] = ACTIONS(756),
    [anon_sym_or] = ACTIONS(756),
    [anon_sym_and] = ACTIONS(756),
    [anon_sym_EQ_EQ] = ACTIONS(754),
    [anon_sym_BANG_EQ] = ACTIONS(754),
    [anon_sym_GT] = ACTIONS(756),
    [anon_sym_GT_EQ] = ACTIONS(754),
    [anon_sym_LT_EQ] = ACTIONS(754),
    [anon_sym_LT] = ACTIONS(756),
    [anon_sym_CARET] = ACTIONS(756),
    [anon_sym_orelse] = ACTIONS(756),
    [anon_sym_LT_LT] = ACTIONS(756),
    [anon_sym_GT_GT] = ACTIONS(756),
    [anon_sym_LT_LT_PIPE] = ACTIONS(756),
    [anon_sym_PLUS] = ACTIONS(756),
    [anon_sym_PLUS_PLUS] = ACTIONS(754),
    [anon_sym_PLUS_PERCENT] = ACTIONS(756),
    [anon_sym_PLUS_PIPE] = ACTIONS(756),
    [anon_sym_DASH_PIPE] = ACTIONS(756),
    [anon_sym_SLASH] = ACTIONS(756),
    [anon_sym_PERCENT] = ACTIONS(756),
    [anon_sym_STAR_STAR] = ACTIONS(754),
    [anon_sym_STAR_PERCENT] = ACTIONS(756),
    [anon_sym_STAR_PIPE] = ACTIONS(756),
    [anon_sym_PIPE_PIPE] = ACTIONS(754),
    [anon_sym_async] = ACTIONS(756),
    [anon_sym_await] = ACTIONS(756),
    [anon_sym_continue] = ACTIONS(756),
    [anon_sym_resume] = ACTIONS(756),
    [anon_sym_return] = ACTIONS(756),
    [anon_sym_break] = ACTIONS(756),
    [anon_sym_try] = ACTIONS(756),
    [anon_sym_catch] = ACTIONS(756),
    [anon_sym_switch] = ACTIONS(756),
    [anon_sym_EQ_GT] = ACTIONS(754),
    [anon_sym_anyframe] = ACTIONS(756),
    [anon_sym_unreachable] = ACTIONS(756),
    [anon_sym_undefined] = ACTIONS(756),
    [anon_sym_null] = ACTIONS(756),
    [anon_sym_QMARK] = ACTIONS(754),
    [anon_sym_DOT] = ACTIONS(756),
    [anon_sym_DOT_STAR] = ACTIONS(754),
    [anon_sym_DOT_QMARK] = ACTIONS(754),
    [anon_sym_DQUOTE] = ACTIONS(754),
    [aux_sym_multiline_string_token1] = ACTIONS(754),
    [anon_sym_SQUOTE] = ACTIONS(754),
    [sym_integer] = ACTIONS(756),
    [sym_float] = ACTIONS(754),
    [anon_sym_true] = ACTIONS(756),
    [anon_sym_false] = ACTIONS(756),
    [anon_sym_bool] = ACTIONS(756),
    [anon_sym_f16] = ACTIONS(756),
    [anon_sym_f32] = ACTIONS(756),
    [anon_sym_f64] = ACTIONS(756),
    [anon_sym_f128] = ACTIONS(756),
    [anon_sym_void] = ACTIONS(756),
    [anon_sym_type] = ACTIONS(756),
    [anon_sym_anyerror] = ACTIONS(756),
    [anon_sym_anyopaque] = ACTIONS(756),
    [anon_sym_anytype] = ACTIONS(756),
    [anon_sym_noreturn] = ACTIONS(756),
    [anon_sym_isize] = ACTIONS(756),
    [anon_sym_usize] = ACTIONS(756),
    [anon_sym_comptime_int] = ACTIONS(756),
    [anon_sym_comptime_float] = ACTIONS(756),
    [anon_sym_c_short] = ACTIONS(756),
    [anon_sym_c_ushort] = ACTIONS(756),
    [anon_sym_c_int] = ACTIONS(756),
    [anon_sym_c_uint] = ACTIONS(756),
    [anon_sym_c_long] = ACTIONS(756),
    [anon_sym_c_ulong] = ACTIONS(756),
    [anon_sym_c_longlong] = ACTIONS(756),
    [anon_sym_c_ulonglong] = ACTIONS(756),
    [anon_sym_c_longdouble] = ACTIONS(756),
    [aux_sym_builtin_type_token1] = ACTIONS(756),
    [sym_builtin_identifier] = ACTIONS(754),
    [anon_sym_AT] = ACTIONS(756),
    [sym_comment] = ACTIONS(3),
  },
  [143] = {
    [ts_builtin_sym_end] = ACTIONS(758),
    [sym__identifier] = ACTIONS(760),
    [anon_sym_COMMA] = ACTIONS(758),
    [anon_sym_comptime] = ACTIONS(760),
    [anon_sym_COLON] = ACTIONS(758),
    [anon_sym_EQ] = ACTIONS(760),
    [anon_sym_extern] = ACTIONS(760),
    [anon_sym_SEMI] = ACTIONS(758),
    [anon_sym_STAR_EQ] = ACTIONS(758),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(758),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(758),
    [anon_sym_SLASH_EQ] = ACTIONS(758),
    [anon_sym_PERCENT_EQ] = ACTIONS(758),
    [anon_sym_PLUS_EQ] = ACTIONS(758),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(758),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(758),
    [anon_sym_DASH_EQ] = ACTIONS(758),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(758),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(758),
    [anon_sym_LT_LT_EQ] = ACTIONS(758),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(758),
    [anon_sym_GT_GT_EQ] = ACTIONS(758),
    [anon_sym_AMP_EQ] = ACTIONS(758),
    [anon_sym_CARET_EQ] = ACTIONS(758),
    [anon_sym_PIPE_EQ] = ACTIONS(758),
    [anon_sym_const] = ACTIONS(760),
    [anon_sym_var] = ACTIONS(760),
    [anon_sym_inline] = ACTIONS(760),
    [anon_sym_fn] = ACTIONS(760),
    [anon_sym_LPAREN] = ACTIONS(758),
    [anon_sym_RPAREN] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(758),
    [anon_sym_RBRACE] = ACTIONS(758),
    [anon_sym_packed] = ACTIONS(760),
    [anon_sym_struct] = ACTIONS(760),
    [anon_sym_opaque] = ACTIONS(760),
    [anon_sym_enum] = ACTIONS(760),
    [anon_sym_union] = ACTIONS(760),
    [anon_sym_error] = ACTIONS(760),
    [anon_sym_nosuspend] = ACTIONS(760),
    [anon_sym_suspend] = ACTIONS(760),
    [anon_sym_defer] = ACTIONS(760),
    [anon_sym_errdefer] = ACTIONS(760),
    [anon_sym_if] = ACTIONS(760),
    [anon_sym_else] = ACTIONS(760),
    [anon_sym_for] = ACTIONS(760),
    [anon_sym_DOT_DOT] = ACTIONS(758),
    [anon_sym_while] = ACTIONS(760),
    [anon_sym_PIPE] = ACTIONS(760),
    [anon_sym_STAR] = ACTIONS(760),
    [anon_sym_align] = ACTIONS(760),
    [anon_sym_addrspace] = ACTIONS(760),
    [anon_sym_linksection] = ACTIONS(760),
    [anon_sym_asm] = ACTIONS(760),
    [anon_sym_LBRACK] = ACTIONS(758),
    [anon_sym_RBRACK] = ACTIONS(758),
    [anon_sym_BANG] = ACTIONS(760),
    [anon_sym_TILDE] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(760),
    [anon_sym_DASH_PERCENT] = ACTIONS(760),
    [anon_sym_AMP] = ACTIONS(760),
    [anon_sym_or] = ACTIONS(760),
    [anon_sym_and] = ACTIONS(760),
    [anon_sym_EQ_EQ] = ACTIONS(758),
    [anon_sym_BANG_EQ] = ACTIONS(758),
    [anon_sym_GT] = ACTIONS(760),
    [anon_sym_GT_EQ] = ACTIONS(758),
    [anon_sym_LT_EQ] = ACTIONS(758),
    [anon_sym_LT] = ACTIONS(760),
    [anon_sym_CARET] = ACTIONS(760),
    [anon_sym_orelse] = ACTIONS(760),
    [anon_sym_LT_LT] = ACTIONS(760),
    [anon_sym_GT_GT] = ACTIONS(760),
    [anon_sym_LT_LT_PIPE] = ACTIONS(760),
    [anon_sym_PLUS] = ACTIONS(760),
    [anon_sym_PLUS_PLUS] = ACTIONS(758),
    [anon_sym_PLUS_PERCENT] = ACTIONS(760),
    [anon_sym_PLUS_PIPE] = ACTIONS(760),
    [anon_sym_DASH_PIPE] = ACTIONS(760),
    [anon_sym_SLASH] = ACTIONS(760),
    [anon_sym_PERCENT] = ACTIONS(760),
    [anon_sym_STAR_STAR] = ACTIONS(758),
    [anon_sym_STAR_PERCENT] = ACTIONS(760),
    [anon_sym_STAR_PIPE] = ACTIONS(760),
    [anon_sym_PIPE_PIPE] = ACTIONS(758),
    [anon_sym_async] = ACTIONS(760),
    [anon_sym_await] = ACTIONS(760),
    [anon_sym_continue] = ACTIONS(760),
    [anon_sym_resume] = ACTIONS(760),
    [anon_sym_return] = ACTIONS(760),
    [anon_sym_break] = ACTIONS(760),
    [anon_sym_try] = ACTIONS(760),
    [anon_sym_catch] = ACTIONS(760),
    [anon_sym_switch] = ACTIONS(760),
    [anon_sym_EQ_GT] = ACTIONS(758),
    [anon_sym_anyframe] = ACTIONS(760),
    [anon_sym_unreachable] = ACTIONS(760),
    [anon_sym_undefined] = ACTIONS(760),
    [anon_sym_null] = ACTIONS(760),
    [anon_sym_QMARK] = ACTIONS(758),
    [anon_sym_DOT] = ACTIONS(760),
    [anon_sym_DOT_STAR] = ACTIONS(758),
    [anon_sym_DOT_QMARK] = ACTIONS(758),
    [anon_sym_DQUOTE] = ACTIONS(758),
    [aux_sym_multiline_string_token1] = ACTIONS(758),
    [anon_sym_SQUOTE] = ACTIONS(758),
    [sym_integer] = ACTIONS(760),
    [sym_float] = ACTIONS(758),
    [anon_sym_true] = ACTIONS(760),
    [anon_sym_false] = ACTIONS(760),
    [anon_sym_bool] = ACTIONS(760),
    [anon_sym_f16] = ACTIONS(760),
    [anon_sym_f32] = ACTIONS(760),
    [anon_sym_f64] = ACTIONS(760),
    [anon_sym_f128] = ACTIONS(760),
    [anon_sym_void] = ACTIONS(760),
    [anon_sym_type] = ACTIONS(760),
    [anon_sym_anyerror] = ACTIONS(760),
    [anon_sym_anyopaque] = ACTIONS(760),
    [anon_sym_anytype] = ACTIONS(760),
    [anon_sym_noreturn] = ACTIONS(760),
    [anon_sym_isize] = ACTIONS(760),
    [anon_sym_usize] = ACTIONS(760),
    [anon_sym_comptime_int] = ACTIONS(760),
    [anon_sym_comptime_float] = ACTIONS(760),
    [anon_sym_c_short] = ACTIONS(760),
    [anon_sym_c_ushort] = ACTIONS(760),
    [anon_sym_c_int] = ACTIONS(760),
    [anon_sym_c_uint] = ACTIONS(760),
    [anon_sym_c_long] = ACTIONS(760),
    [anon_sym_c_ulong] = ACTIONS(760),
    [anon_sym_c_longlong] = ACTIONS(760),
    [anon_sym_c_ulonglong] = ACTIONS(760),
    [anon_sym_c_longdouble] = ACTIONS(760),
    [aux_sym_builtin_type_token1] = ACTIONS(760),
    [sym_builtin_identifier] = ACTIONS(758),
    [anon_sym_AT] = ACTIONS(760),
    [sym_comment] = ACTIONS(3),
  },
  [144] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_address_space] = STATE(128),
    [sym_expression] = STATE(1483),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1110),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_pointer_type_repeat1] = STATE(128),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_const] = ACTIONS(762),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_align] = ACTIONS(696),
    [anon_sym_addrspace] = ACTIONS(678),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_volatile] = ACTIONS(762),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(700),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_allowzero] = ACTIONS(762),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [145] = {
    [ts_builtin_sym_end] = ACTIONS(764),
    [sym__identifier] = ACTIONS(766),
    [anon_sym_COMMA] = ACTIONS(764),
    [anon_sym_comptime] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(764),
    [anon_sym_EQ] = ACTIONS(766),
    [anon_sym_extern] = ACTIONS(766),
    [anon_sym_SEMI] = ACTIONS(764),
    [anon_sym_STAR_EQ] = ACTIONS(764),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(764),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(764),
    [anon_sym_SLASH_EQ] = ACTIONS(764),
    [anon_sym_PERCENT_EQ] = ACTIONS(764),
    [anon_sym_PLUS_EQ] = ACTIONS(764),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(764),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(764),
    [anon_sym_DASH_EQ] = ACTIONS(764),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(764),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(764),
    [anon_sym_LT_LT_EQ] = ACTIONS(764),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(764),
    [anon_sym_GT_GT_EQ] = ACTIONS(764),
    [anon_sym_AMP_EQ] = ACTIONS(764),
    [anon_sym_CARET_EQ] = ACTIONS(764),
    [anon_sym_PIPE_EQ] = ACTIONS(764),
    [anon_sym_const] = ACTIONS(766),
    [anon_sym_var] = ACTIONS(766),
    [anon_sym_inline] = ACTIONS(766),
    [anon_sym_fn] = ACTIONS(766),
    [anon_sym_LPAREN] = ACTIONS(764),
    [anon_sym_RPAREN] = ACTIONS(764),
    [anon_sym_LBRACE] = ACTIONS(764),
    [anon_sym_RBRACE] = ACTIONS(764),
    [anon_sym_packed] = ACTIONS(766),
    [anon_sym_struct] = ACTIONS(766),
    [anon_sym_opaque] = ACTIONS(766),
    [anon_sym_enum] = ACTIONS(766),
    [anon_sym_union] = ACTIONS(766),
    [anon_sym_error] = ACTIONS(766),
    [anon_sym_nosuspend] = ACTIONS(766),
    [anon_sym_suspend] = ACTIONS(766),
    [anon_sym_defer] = ACTIONS(766),
    [anon_sym_errdefer] = ACTIONS(766),
    [anon_sym_if] = ACTIONS(766),
    [anon_sym_else] = ACTIONS(766),
    [anon_sym_for] = ACTIONS(766),
    [anon_sym_DOT_DOT] = ACTIONS(764),
    [anon_sym_while] = ACTIONS(766),
    [anon_sym_PIPE] = ACTIONS(766),
    [anon_sym_STAR] = ACTIONS(766),
    [anon_sym_align] = ACTIONS(766),
    [anon_sym_addrspace] = ACTIONS(766),
    [anon_sym_linksection] = ACTIONS(766),
    [anon_sym_asm] = ACTIONS(766),
    [anon_sym_LBRACK] = ACTIONS(764),
    [anon_sym_RBRACK] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(766),
    [anon_sym_TILDE] = ACTIONS(764),
    [anon_sym_DASH] = ACTIONS(766),
    [anon_sym_DASH_PERCENT] = ACTIONS(766),
    [anon_sym_AMP] = ACTIONS(766),
    [anon_sym_or] = ACTIONS(766),
    [anon_sym_and] = ACTIONS(766),
    [anon_sym_EQ_EQ] = ACTIONS(764),
    [anon_sym_BANG_EQ] = ACTIONS(764),
    [anon_sym_GT] = ACTIONS(766),
    [anon_sym_GT_EQ] = ACTIONS(764),
    [anon_sym_LT_EQ] = ACTIONS(764),
    [anon_sym_LT] = ACTIONS(766),
    [anon_sym_CARET] = ACTIONS(766),
    [anon_sym_orelse] = ACTIONS(766),
    [anon_sym_LT_LT] = ACTIONS(766),
    [anon_sym_GT_GT] = ACTIONS(766),
    [anon_sym_LT_LT_PIPE] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(766),
    [anon_sym_PLUS_PLUS] = ACTIONS(764),
    [anon_sym_PLUS_PERCENT] = ACTIONS(766),
    [anon_sym_PLUS_PIPE] = ACTIONS(766),
    [anon_sym_DASH_PIPE] = ACTIONS(766),
    [anon_sym_SLASH] = ACTIONS(766),
    [anon_sym_PERCENT] = ACTIONS(766),
    [anon_sym_STAR_STAR] = ACTIONS(764),
    [anon_sym_STAR_PERCENT] = ACTIONS(766),
    [anon_sym_STAR_PIPE] = ACTIONS(766),
    [anon_sym_PIPE_PIPE] = ACTIONS(764),
    [anon_sym_async] = ACTIONS(766),
    [anon_sym_await] = ACTIONS(766),
    [anon_sym_continue] = ACTIONS(766),
    [anon_sym_resume] = ACTIONS(766),
    [anon_sym_return] = ACTIONS(766),
    [anon_sym_break] = ACTIONS(766),
    [anon_sym_try] = ACTIONS(766),
    [anon_sym_catch] = ACTIONS(766),
    [anon_sym_switch] = ACTIONS(766),
    [anon_sym_EQ_GT] = ACTIONS(764),
    [anon_sym_anyframe] = ACTIONS(766),
    [anon_sym_unreachable] = ACTIONS(766),
    [anon_sym_undefined] = ACTIONS(766),
    [anon_sym_null] = ACTIONS(766),
    [anon_sym_QMARK] = ACTIONS(764),
    [anon_sym_DOT] = ACTIONS(766),
    [anon_sym_DOT_STAR] = ACTIONS(764),
    [anon_sym_DOT_QMARK] = ACTIONS(764),
    [anon_sym_DQUOTE] = ACTIONS(764),
    [aux_sym_multiline_string_token1] = ACTIONS(764),
    [anon_sym_SQUOTE] = ACTIONS(764),
    [sym_integer] = ACTIONS(766),
    [sym_float] = ACTIONS(764),
    [anon_sym_true] = ACTIONS(766),
    [anon_sym_false] = ACTIONS(766),
    [anon_sym_bool] = ACTIONS(766),
    [anon_sym_f16] = ACTIONS(766),
    [anon_sym_f32] = ACTIONS(766),
    [anon_sym_f64] = ACTIONS(766),
    [anon_sym_f128] = ACTIONS(766),
    [anon_sym_void] = ACTIONS(766),
    [anon_sym_type] = ACTIONS(766),
    [anon_sym_anyerror] = ACTIONS(766),
    [anon_sym_anyopaque] = ACTIONS(766),
    [anon_sym_anytype] = ACTIONS(766),
    [anon_sym_noreturn] = ACTIONS(766),
    [anon_sym_isize] = ACTIONS(766),
    [anon_sym_usize] = ACTIONS(766),
    [anon_sym_comptime_int] = ACTIONS(766),
    [anon_sym_comptime_float] = ACTIONS(766),
    [anon_sym_c_short] = ACTIONS(766),
    [anon_sym_c_ushort] = ACTIONS(766),
    [anon_sym_c_int] = ACTIONS(766),
    [anon_sym_c_uint] = ACTIONS(766),
    [anon_sym_c_long] = ACTIONS(766),
    [anon_sym_c_ulong] = ACTIONS(766),
    [anon_sym_c_longlong] = ACTIONS(766),
    [anon_sym_c_ulonglong] = ACTIONS(766),
    [anon_sym_c_longdouble] = ACTIONS(766),
    [aux_sym_builtin_type_token1] = ACTIONS(766),
    [sym_builtin_identifier] = ACTIONS(764),
    [anon_sym_AT] = ACTIONS(766),
    [sym_comment] = ACTIONS(3),
  },
  [146] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_address_space] = STATE(149),
    [sym_expression] = STATE(1485),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1037),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1494),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_pointer_type_repeat1] = STATE(149),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_const] = ACTIONS(768),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_align] = ACTIONS(696),
    [anon_sym_addrspace] = ACTIONS(678),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_volatile] = ACTIONS(768),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(684),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_allowzero] = ACTIONS(768),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [147] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_address_space] = STATE(138),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(910),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_pointer_type_repeat1] = STATE(138),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_const] = ACTIONS(770),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_align] = ACTIONS(696),
    [anon_sym_addrspace] = ACTIONS(678),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_volatile] = ACTIONS(770),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_allowzero] = ACTIONS(770),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [148] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_address_space] = STATE(136),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(899),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_pointer_type_repeat1] = STATE(136),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_const] = ACTIONS(772),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_align] = ACTIONS(696),
    [anon_sym_addrspace] = ACTIONS(678),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_volatile] = ACTIONS(772),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_allowzero] = ACTIONS(772),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [149] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_address_space] = STATE(746),
    [sym_expression] = STATE(1485),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1053),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1494),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_pointer_type_repeat1] = STATE(746),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_const] = ACTIONS(734),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_align] = ACTIONS(696),
    [anon_sym_addrspace] = ACTIONS(678),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_volatile] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(684),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_allowzero] = ACTIONS(734),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [150] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_address_space] = STATE(152),
    [sym_expression] = STATE(1485),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1053),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1494),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_pointer_type_repeat1] = STATE(152),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_const] = ACTIONS(774),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_align] = ACTIONS(696),
    [anon_sym_addrspace] = ACTIONS(678),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_volatile] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(684),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_allowzero] = ACTIONS(774),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [151] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_address_space] = STATE(153),
    [sym_expression] = STATE(1485),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1062),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1494),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_pointer_type_repeat1] = STATE(153),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_const] = ACTIONS(776),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_align] = ACTIONS(696),
    [anon_sym_addrspace] = ACTIONS(678),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_volatile] = ACTIONS(776),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(684),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_allowzero] = ACTIONS(776),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [152] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_address_space] = STATE(746),
    [sym_expression] = STATE(1485),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1062),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1494),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_pointer_type_repeat1] = STATE(746),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_const] = ACTIONS(734),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_align] = ACTIONS(696),
    [anon_sym_addrspace] = ACTIONS(678),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_volatile] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(684),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_allowzero] = ACTIONS(734),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [153] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_address_space] = STATE(746),
    [sym_expression] = STATE(1485),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1074),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1494),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_pointer_type_repeat1] = STATE(746),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_const] = ACTIONS(734),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_align] = ACTIONS(696),
    [anon_sym_addrspace] = ACTIONS(678),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_volatile] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(684),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_allowzero] = ACTIONS(734),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [154] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_address_space] = STATE(130),
    [sym_expression] = STATE(1483),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1198),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_pointer_type_repeat1] = STATE(130),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_const] = ACTIONS(692),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_align] = ACTIONS(696),
    [anon_sym_addrspace] = ACTIONS(678),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_volatile] = ACTIONS(692),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(700),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_allowzero] = ACTIONS(692),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [155] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(608),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_link_section] = STATE(208),
    [sym_calling_convention] = STATE(294),
    [sym_expression] = STATE(1483),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1114),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(806),
    [sym_if_type_expression] = STATE(806),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(712),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_linksection] = ACTIONS(680),
    [anon_sym_callconv] = ACTIONS(682),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(700),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [156] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(608),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_link_section] = STATE(209),
    [sym_calling_convention] = STATE(298),
    [sym_expression] = STATE(1483),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1118),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(824),
    [sym_if_type_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(712),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_linksection] = ACTIONS(680),
    [anon_sym_callconv] = ACTIONS(682),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(700),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [157] = {
    [sym__function_prototype] = STATE(802),
    [sym_parameter] = STATE(1674),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(570),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1355),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(1724),
    [sym_if_type_expression] = STATE(1724),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1239),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1240),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(778),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_RPAREN] = ACTIONS(780),
    [anon_sym_noalias] = ACTIONS(782),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(784),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(143),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [158] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(643),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_link_section] = STATE(189),
    [sym_calling_convention] = STATE(232),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1344),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(843),
    [sym_if_type_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(704),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_linksection] = ACTIONS(680),
    [anon_sym_callconv] = ACTIONS(682),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [159] = {
    [sym__variable_declaration_expression_statement] = STATE(770),
    [sym__variable_declaration_header] = STATE(1643),
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(684),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__block_expr_statement] = STATE(749),
    [sym_expression_statement] = STATE(749),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1370),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1500),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [160] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(643),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_link_section] = STATE(195),
    [sym_calling_convention] = STATE(252),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1392),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(824),
    [sym_if_type_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(704),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_linksection] = ACTIONS(680),
    [anon_sym_callconv] = ACTIONS(682),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [161] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(435),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_link_section] = STATE(179),
    [sym_calling_convention] = STATE(314),
    [sym_expression] = STATE(1485),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1088),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_comptime_type_expression] = STATE(1029),
    [sym_if_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1494),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(672),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_linksection] = ACTIONS(680),
    [anon_sym_callconv] = ACTIONS(682),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(684),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [162] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(491),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_link_section] = STATE(184),
    [sym_calling_convention] = STATE(292),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(892),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(806),
    [sym_if_type_expression] = STATE(806),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(688),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_linksection] = ACTIONS(680),
    [anon_sym_callconv] = ACTIONS(682),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [163] = {
    [sym__function_prototype] = STATE(802),
    [sym_parameter] = STATE(1737),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(570),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1355),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(1724),
    [sym_if_type_expression] = STATE(1724),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1239),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1240),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(778),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_RPAREN] = ACTIONS(786),
    [anon_sym_noalias] = ACTIONS(782),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(784),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(143),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [164] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(435),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_link_section] = STATE(178),
    [sym_calling_convention] = STATE(249),
    [sym_expression] = STATE(1485),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1090),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_comptime_type_expression] = STATE(1048),
    [sym_if_type_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1494),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(672),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_linksection] = ACTIONS(680),
    [anon_sym_callconv] = ACTIONS(682),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(684),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [165] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(643),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_link_section] = STATE(191),
    [sym_calling_convention] = STATE(242),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1347),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(805),
    [sym_if_type_expression] = STATE(805),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(704),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_linksection] = ACTIONS(680),
    [anon_sym_callconv] = ACTIONS(682),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [166] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(435),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_link_section] = STATE(181),
    [sym_calling_convention] = STATE(256),
    [sym_expression] = STATE(1485),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1091),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_comptime_type_expression] = STATE(1049),
    [sym_if_type_expression] = STATE(1049),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1494),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(672),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_linksection] = ACTIONS(680),
    [anon_sym_callconv] = ACTIONS(682),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(684),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [167] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(491),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_link_section] = STATE(192),
    [sym_calling_convention] = STATE(246),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(874),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(824),
    [sym_if_type_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(688),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_linksection] = ACTIONS(680),
    [anon_sym_callconv] = ACTIONS(682),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [168] = {
    [sym__function_prototype] = STATE(802),
    [sym_parameter] = STATE(1737),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(570),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1355),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(1724),
    [sym_if_type_expression] = STATE(1724),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1239),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1240),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(778),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_RPAREN] = ACTIONS(788),
    [anon_sym_noalias] = ACTIONS(782),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(784),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(143),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [169] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(608),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_link_section] = STATE(204),
    [sym_calling_convention] = STATE(285),
    [sym_expression] = STATE(1483),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1108),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(843),
    [sym_if_type_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(712),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_linksection] = ACTIONS(680),
    [anon_sym_callconv] = ACTIONS(682),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(700),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [170] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(491),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_link_section] = STATE(207),
    [sym_calling_convention] = STATE(302),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(915),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(843),
    [sym_if_type_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(688),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_linksection] = ACTIONS(680),
    [anon_sym_callconv] = ACTIONS(682),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [171] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(435),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_link_section] = STATE(183),
    [sym_calling_convention] = STATE(284),
    [sym_expression] = STATE(1485),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1093),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_comptime_type_expression] = STATE(1058),
    [sym_if_type_expression] = STATE(1058),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1494),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(672),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_linksection] = ACTIONS(680),
    [anon_sym_callconv] = ACTIONS(682),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(684),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [172] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(643),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_link_section] = STATE(212),
    [sym_calling_convention] = STATE(245),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1348),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(806),
    [sym_if_type_expression] = STATE(806),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(704),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_linksection] = ACTIONS(680),
    [anon_sym_callconv] = ACTIONS(682),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [173] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(491),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_link_section] = STATE(182),
    [sym_calling_convention] = STATE(258),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(877),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(805),
    [sym_if_type_expression] = STATE(805),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(688),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_linksection] = ACTIONS(680),
    [anon_sym_callconv] = ACTIONS(682),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [174] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(608),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_link_section] = STATE(206),
    [sym_calling_convention] = STATE(291),
    [sym_expression] = STATE(1483),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1113),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(805),
    [sym_if_type_expression] = STATE(805),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(712),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_linksection] = ACTIONS(680),
    [anon_sym_callconv] = ACTIONS(682),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(700),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [175] = {
    [ts_builtin_sym_end] = ACTIONS(790),
    [sym__identifier] = ACTIONS(792),
    [anon_sym_COMMA] = ACTIONS(790),
    [anon_sym_comptime] = ACTIONS(792),
    [anon_sym_COLON] = ACTIONS(790),
    [anon_sym_EQ] = ACTIONS(792),
    [anon_sym_extern] = ACTIONS(792),
    [anon_sym_threadlocal] = ACTIONS(792),
    [anon_sym_SEMI] = ACTIONS(790),
    [anon_sym_STAR_EQ] = ACTIONS(790),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(790),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(790),
    [anon_sym_SLASH_EQ] = ACTIONS(790),
    [anon_sym_PERCENT_EQ] = ACTIONS(790),
    [anon_sym_PLUS_EQ] = ACTIONS(790),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(790),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(790),
    [anon_sym_DASH_EQ] = ACTIONS(790),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(790),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(790),
    [anon_sym_LT_LT_EQ] = ACTIONS(790),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(790),
    [anon_sym_GT_GT_EQ] = ACTIONS(790),
    [anon_sym_AMP_EQ] = ACTIONS(790),
    [anon_sym_CARET_EQ] = ACTIONS(790),
    [anon_sym_PIPE_EQ] = ACTIONS(790),
    [anon_sym_const] = ACTIONS(792),
    [anon_sym_var] = ACTIONS(792),
    [anon_sym_inline] = ACTIONS(792),
    [anon_sym_fn] = ACTIONS(792),
    [anon_sym_LPAREN] = ACTIONS(790),
    [anon_sym_RPAREN] = ACTIONS(790),
    [anon_sym_LBRACE] = ACTIONS(790),
    [anon_sym_RBRACE] = ACTIONS(790),
    [anon_sym_packed] = ACTIONS(792),
    [anon_sym_struct] = ACTIONS(792),
    [anon_sym_opaque] = ACTIONS(792),
    [anon_sym_enum] = ACTIONS(792),
    [anon_sym_union] = ACTIONS(792),
    [anon_sym_error] = ACTIONS(792),
    [anon_sym_nosuspend] = ACTIONS(792),
    [anon_sym_if] = ACTIONS(792),
    [anon_sym_else] = ACTIONS(792),
    [anon_sym_for] = ACTIONS(792),
    [anon_sym_DOT_DOT] = ACTIONS(790),
    [anon_sym_while] = ACTIONS(792),
    [anon_sym_PIPE] = ACTIONS(792),
    [anon_sym_STAR] = ACTIONS(792),
    [anon_sym_align] = ACTIONS(792),
    [anon_sym_addrspace] = ACTIONS(792),
    [anon_sym_linksection] = ACTIONS(792),
    [anon_sym_asm] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(790),
    [anon_sym_RBRACK] = ACTIONS(790),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_DASH_PERCENT] = ACTIONS(792),
    [anon_sym_AMP] = ACTIONS(792),
    [anon_sym_or] = ACTIONS(792),
    [anon_sym_and] = ACTIONS(792),
    [anon_sym_EQ_EQ] = ACTIONS(790),
    [anon_sym_BANG_EQ] = ACTIONS(790),
    [anon_sym_GT] = ACTIONS(792),
    [anon_sym_GT_EQ] = ACTIONS(790),
    [anon_sym_LT_EQ] = ACTIONS(790),
    [anon_sym_LT] = ACTIONS(792),
    [anon_sym_CARET] = ACTIONS(792),
    [anon_sym_orelse] = ACTIONS(792),
    [anon_sym_LT_LT] = ACTIONS(792),
    [anon_sym_GT_GT] = ACTIONS(792),
    [anon_sym_LT_LT_PIPE] = ACTIONS(792),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_PLUS_PERCENT] = ACTIONS(792),
    [anon_sym_PLUS_PIPE] = ACTIONS(792),
    [anon_sym_DASH_PIPE] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_PERCENT] = ACTIONS(792),
    [anon_sym_STAR_STAR] = ACTIONS(790),
    [anon_sym_STAR_PERCENT] = ACTIONS(792),
    [anon_sym_STAR_PIPE] = ACTIONS(792),
    [anon_sym_PIPE_PIPE] = ACTIONS(790),
    [anon_sym_async] = ACTIONS(792),
    [anon_sym_await] = ACTIONS(792),
    [anon_sym_continue] = ACTIONS(792),
    [anon_sym_resume] = ACTIONS(792),
    [anon_sym_return] = ACTIONS(792),
    [anon_sym_break] = ACTIONS(792),
    [anon_sym_try] = ACTIONS(792),
    [anon_sym_catch] = ACTIONS(792),
    [anon_sym_switch] = ACTIONS(792),
    [anon_sym_EQ_GT] = ACTIONS(790),
    [anon_sym_anyframe] = ACTIONS(792),
    [anon_sym_unreachable] = ACTIONS(792),
    [anon_sym_undefined] = ACTIONS(792),
    [anon_sym_null] = ACTIONS(792),
    [anon_sym_QMARK] = ACTIONS(790),
    [anon_sym_DOT] = ACTIONS(792),
    [anon_sym_DOT_STAR] = ACTIONS(790),
    [anon_sym_DOT_QMARK] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [aux_sym_multiline_string_token1] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(790),
    [sym_integer] = ACTIONS(792),
    [sym_float] = ACTIONS(790),
    [anon_sym_true] = ACTIONS(792),
    [anon_sym_false] = ACTIONS(792),
    [anon_sym_bool] = ACTIONS(792),
    [anon_sym_f16] = ACTIONS(792),
    [anon_sym_f32] = ACTIONS(792),
    [anon_sym_f64] = ACTIONS(792),
    [anon_sym_f128] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_type] = ACTIONS(792),
    [anon_sym_anyerror] = ACTIONS(792),
    [anon_sym_anyopaque] = ACTIONS(792),
    [anon_sym_anytype] = ACTIONS(792),
    [anon_sym_noreturn] = ACTIONS(792),
    [anon_sym_isize] = ACTIONS(792),
    [anon_sym_usize] = ACTIONS(792),
    [anon_sym_comptime_int] = ACTIONS(792),
    [anon_sym_comptime_float] = ACTIONS(792),
    [anon_sym_c_short] = ACTIONS(792),
    [anon_sym_c_ushort] = ACTIONS(792),
    [anon_sym_c_int] = ACTIONS(792),
    [anon_sym_c_uint] = ACTIONS(792),
    [anon_sym_c_long] = ACTIONS(792),
    [anon_sym_c_ulong] = ACTIONS(792),
    [anon_sym_c_longlong] = ACTIONS(792),
    [anon_sym_c_ulonglong] = ACTIONS(792),
    [anon_sym_c_longdouble] = ACTIONS(792),
    [aux_sym_builtin_type_token1] = ACTIONS(792),
    [sym_builtin_identifier] = ACTIONS(790),
    [anon_sym_AT] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
  },
  [176] = {
    [sym__function_prototype] = STATE(802),
    [sym_parameter] = STATE(1737),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(570),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1355),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(1724),
    [sym_if_type_expression] = STATE(1724),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1239),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1240),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(778),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_noalias] = ACTIONS(782),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(784),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(143),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [177] = {
    [ts_builtin_sym_end] = ACTIONS(794),
    [sym__identifier] = ACTIONS(796),
    [anon_sym_COMMA] = ACTIONS(794),
    [anon_sym_comptime] = ACTIONS(796),
    [anon_sym_COLON] = ACTIONS(794),
    [anon_sym_EQ] = ACTIONS(796),
    [anon_sym_extern] = ACTIONS(796),
    [anon_sym_threadlocal] = ACTIONS(796),
    [anon_sym_SEMI] = ACTIONS(794),
    [anon_sym_STAR_EQ] = ACTIONS(794),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(794),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(794),
    [anon_sym_SLASH_EQ] = ACTIONS(794),
    [anon_sym_PERCENT_EQ] = ACTIONS(794),
    [anon_sym_PLUS_EQ] = ACTIONS(794),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(794),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(794),
    [anon_sym_DASH_EQ] = ACTIONS(794),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(794),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(794),
    [anon_sym_LT_LT_EQ] = ACTIONS(794),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(794),
    [anon_sym_GT_GT_EQ] = ACTIONS(794),
    [anon_sym_AMP_EQ] = ACTIONS(794),
    [anon_sym_CARET_EQ] = ACTIONS(794),
    [anon_sym_PIPE_EQ] = ACTIONS(794),
    [anon_sym_const] = ACTIONS(796),
    [anon_sym_var] = ACTIONS(796),
    [anon_sym_inline] = ACTIONS(796),
    [anon_sym_fn] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(794),
    [anon_sym_RPAREN] = ACTIONS(794),
    [anon_sym_LBRACE] = ACTIONS(794),
    [anon_sym_RBRACE] = ACTIONS(794),
    [anon_sym_packed] = ACTIONS(796),
    [anon_sym_struct] = ACTIONS(796),
    [anon_sym_opaque] = ACTIONS(796),
    [anon_sym_enum] = ACTIONS(796),
    [anon_sym_union] = ACTIONS(796),
    [anon_sym_error] = ACTIONS(796),
    [anon_sym_nosuspend] = ACTIONS(796),
    [anon_sym_if] = ACTIONS(796),
    [anon_sym_else] = ACTIONS(796),
    [anon_sym_for] = ACTIONS(796),
    [anon_sym_DOT_DOT] = ACTIONS(794),
    [anon_sym_while] = ACTIONS(796),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_STAR] = ACTIONS(796),
    [anon_sym_align] = ACTIONS(796),
    [anon_sym_addrspace] = ACTIONS(796),
    [anon_sym_linksection] = ACTIONS(796),
    [anon_sym_asm] = ACTIONS(796),
    [anon_sym_LBRACK] = ACTIONS(794),
    [anon_sym_RBRACK] = ACTIONS(794),
    [anon_sym_BANG] = ACTIONS(796),
    [anon_sym_TILDE] = ACTIONS(794),
    [anon_sym_DASH] = ACTIONS(796),
    [anon_sym_DASH_PERCENT] = ACTIONS(796),
    [anon_sym_AMP] = ACTIONS(796),
    [anon_sym_or] = ACTIONS(796),
    [anon_sym_and] = ACTIONS(796),
    [anon_sym_EQ_EQ] = ACTIONS(794),
    [anon_sym_BANG_EQ] = ACTIONS(794),
    [anon_sym_GT] = ACTIONS(796),
    [anon_sym_GT_EQ] = ACTIONS(794),
    [anon_sym_LT_EQ] = ACTIONS(794),
    [anon_sym_LT] = ACTIONS(796),
    [anon_sym_CARET] = ACTIONS(796),
    [anon_sym_orelse] = ACTIONS(796),
    [anon_sym_LT_LT] = ACTIONS(796),
    [anon_sym_GT_GT] = ACTIONS(796),
    [anon_sym_LT_LT_PIPE] = ACTIONS(796),
    [anon_sym_PLUS] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_PLUS_PERCENT] = ACTIONS(796),
    [anon_sym_PLUS_PIPE] = ACTIONS(796),
    [anon_sym_DASH_PIPE] = ACTIONS(796),
    [anon_sym_SLASH] = ACTIONS(796),
    [anon_sym_PERCENT] = ACTIONS(796),
    [anon_sym_STAR_STAR] = ACTIONS(794),
    [anon_sym_STAR_PERCENT] = ACTIONS(796),
    [anon_sym_STAR_PIPE] = ACTIONS(796),
    [anon_sym_PIPE_PIPE] = ACTIONS(794),
    [anon_sym_async] = ACTIONS(796),
    [anon_sym_await] = ACTIONS(796),
    [anon_sym_continue] = ACTIONS(796),
    [anon_sym_resume] = ACTIONS(796),
    [anon_sym_return] = ACTIONS(796),
    [anon_sym_break] = ACTIONS(796),
    [anon_sym_try] = ACTIONS(796),
    [anon_sym_catch] = ACTIONS(796),
    [anon_sym_switch] = ACTIONS(796),
    [anon_sym_EQ_GT] = ACTIONS(794),
    [anon_sym_anyframe] = ACTIONS(796),
    [anon_sym_unreachable] = ACTIONS(796),
    [anon_sym_undefined] = ACTIONS(796),
    [anon_sym_null] = ACTIONS(796),
    [anon_sym_QMARK] = ACTIONS(794),
    [anon_sym_DOT] = ACTIONS(796),
    [anon_sym_DOT_STAR] = ACTIONS(794),
    [anon_sym_DOT_QMARK] = ACTIONS(794),
    [anon_sym_DQUOTE] = ACTIONS(794),
    [aux_sym_multiline_string_token1] = ACTIONS(794),
    [anon_sym_SQUOTE] = ACTIONS(794),
    [sym_integer] = ACTIONS(796),
    [sym_float] = ACTIONS(794),
    [anon_sym_true] = ACTIONS(796),
    [anon_sym_false] = ACTIONS(796),
    [anon_sym_bool] = ACTIONS(796),
    [anon_sym_f16] = ACTIONS(796),
    [anon_sym_f32] = ACTIONS(796),
    [anon_sym_f64] = ACTIONS(796),
    [anon_sym_f128] = ACTIONS(796),
    [anon_sym_void] = ACTIONS(796),
    [anon_sym_type] = ACTIONS(796),
    [anon_sym_anyerror] = ACTIONS(796),
    [anon_sym_anyopaque] = ACTIONS(796),
    [anon_sym_anytype] = ACTIONS(796),
    [anon_sym_noreturn] = ACTIONS(796),
    [anon_sym_isize] = ACTIONS(796),
    [anon_sym_usize] = ACTIONS(796),
    [anon_sym_comptime_int] = ACTIONS(796),
    [anon_sym_comptime_float] = ACTIONS(796),
    [anon_sym_c_short] = ACTIONS(796),
    [anon_sym_c_ushort] = ACTIONS(796),
    [anon_sym_c_int] = ACTIONS(796),
    [anon_sym_c_uint] = ACTIONS(796),
    [anon_sym_c_long] = ACTIONS(796),
    [anon_sym_c_ulong] = ACTIONS(796),
    [anon_sym_c_longlong] = ACTIONS(796),
    [anon_sym_c_ulonglong] = ACTIONS(796),
    [anon_sym_c_longdouble] = ACTIONS(796),
    [aux_sym_builtin_type_token1] = ACTIONS(796),
    [sym_builtin_identifier] = ACTIONS(794),
    [anon_sym_AT] = ACTIONS(796),
    [sym_comment] = ACTIONS(3),
  },
  [178] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(435),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_calling_convention] = STATE(277),
    [sym_expression] = STATE(1485),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1092),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_comptime_type_expression] = STATE(1057),
    [sym_if_type_expression] = STATE(1057),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1494),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(672),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_callconv] = ACTIONS(682),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(684),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [179] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(435),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_calling_convention] = STATE(249),
    [sym_expression] = STATE(1485),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1090),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_comptime_type_expression] = STATE(1048),
    [sym_if_type_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1494),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(672),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_callconv] = ACTIONS(682),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(684),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [180] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(435),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_calling_convention] = STATE(256),
    [sym_expression] = STATE(1485),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1091),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_comptime_type_expression] = STATE(1049),
    [sym_if_type_expression] = STATE(1049),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1494),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(672),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_callconv] = ACTIONS(682),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(684),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [181] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(435),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_calling_convention] = STATE(284),
    [sym_expression] = STATE(1485),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1093),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_comptime_type_expression] = STATE(1058),
    [sym_if_type_expression] = STATE(1058),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1494),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(672),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_callconv] = ACTIONS(682),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(684),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [182] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(491),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_calling_convention] = STATE(239),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(938),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(822),
    [sym_if_type_expression] = STATE(822),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(688),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_callconv] = ACTIONS(682),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [183] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(435),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_calling_convention] = STATE(290),
    [sym_expression] = STATE(1485),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1095),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_comptime_type_expression] = STATE(1070),
    [sym_if_type_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1494),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(672),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_callconv] = ACTIONS(682),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(684),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [184] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(491),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_calling_convention] = STATE(246),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(874),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(824),
    [sym_if_type_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(688),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_callconv] = ACTIONS(682),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [185] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(684),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__block_expr_statement] = STATE(753),
    [sym_expression_statement] = STATE(753),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_payload] = STATE(222),
    [sym_expression] = STATE(1419),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1500),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(353),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [186] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(491),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_calling_convention] = STATE(302),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(915),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(843),
    [sym_if_type_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(688),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_callconv] = ACTIONS(682),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [187] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_expression] = STATE(1246),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_switch_case] = STATE(1638),
    [sym__switch_case_exp] = STATE(1811),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(798),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_RBRACE] = ACTIONS(800),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_else] = ACTIONS(802),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [188] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(643),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_calling_convention] = STATE(232),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1344),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(843),
    [sym_if_type_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(704),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_callconv] = ACTIONS(682),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [189] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(643),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_calling_convention] = STATE(242),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1347),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(805),
    [sym_if_type_expression] = STATE(805),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(704),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_callconv] = ACTIONS(682),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [190] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(643),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_calling_convention] = STATE(245),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1348),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(806),
    [sym_if_type_expression] = STATE(806),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(704),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_callconv] = ACTIONS(682),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [191] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(643),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_calling_convention] = STATE(251),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1388),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(822),
    [sym_if_type_expression] = STATE(822),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(704),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_callconv] = ACTIONS(682),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [192] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(491),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_calling_convention] = STATE(269),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(909),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(819),
    [sym_if_type_expression] = STATE(819),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(688),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_callconv] = ACTIONS(682),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [193] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(435),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_calling_convention] = STATE(314),
    [sym_expression] = STATE(1485),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1088),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_comptime_type_expression] = STATE(1029),
    [sym_if_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1494),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(672),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_callconv] = ACTIONS(682),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(684),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [194] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_expression] = STATE(1246),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_switch_case] = STATE(1635),
    [sym__switch_case_exp] = STATE(1811),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(798),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_RBRACE] = ACTIONS(806),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_else] = ACTIONS(802),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [195] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(643),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_calling_convention] = STATE(255),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1343),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(819),
    [sym_if_type_expression] = STATE(819),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(704),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_callconv] = ACTIONS(682),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [196] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_expression] = STATE(1246),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_switch_case] = STATE(1666),
    [sym__switch_case_exp] = STATE(1811),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(798),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_RBRACE] = ACTIONS(808),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_else] = ACTIONS(802),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [197] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_expression] = STATE(1246),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_switch_case] = STATE(1739),
    [sym__switch_case_exp] = STATE(1811),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(798),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_RBRACE] = ACTIONS(810),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_else] = ACTIONS(802),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [198] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_expression] = STATE(1246),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_switch_case] = STATE(1739),
    [sym__switch_case_exp] = STATE(1811),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(798),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_RBRACE] = ACTIONS(812),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_else] = ACTIONS(802),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [199] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_expression] = STATE(1246),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_switch_case] = STATE(1739),
    [sym__switch_case_exp] = STATE(1811),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(798),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_RBRACE] = ACTIONS(814),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_else] = ACTIONS(802),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [200] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_expression] = STATE(1246),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_switch_case] = STATE(1665),
    [sym__switch_case_exp] = STATE(1811),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(798),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_RBRACE] = ACTIONS(816),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_else] = ACTIONS(802),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [201] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_expression] = STATE(1246),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_switch_case] = STATE(1739),
    [sym__switch_case_exp] = STATE(1811),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(798),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_RBRACE] = ACTIONS(818),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_else] = ACTIONS(802),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [202] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(608),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_calling_convention] = STATE(285),
    [sym_expression] = STATE(1483),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1108),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(843),
    [sym_if_type_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(712),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_callconv] = ACTIONS(682),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(700),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [203] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_expression] = STATE(1246),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_switch_case] = STATE(1739),
    [sym__switch_case_exp] = STATE(1811),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(798),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_RBRACE] = ACTIONS(820),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_else] = ACTIONS(802),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [204] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(608),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_calling_convention] = STATE(291),
    [sym_expression] = STATE(1483),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1113),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(805),
    [sym_if_type_expression] = STATE(805),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(712),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_callconv] = ACTIONS(682),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(700),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [205] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(608),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_calling_convention] = STATE(294),
    [sym_expression] = STATE(1483),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1114),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(806),
    [sym_if_type_expression] = STATE(806),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(712),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_callconv] = ACTIONS(682),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(700),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [206] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(608),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_calling_convention] = STATE(296),
    [sym_expression] = STATE(1483),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1117),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(822),
    [sym_if_type_expression] = STATE(822),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(712),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_callconv] = ACTIONS(682),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(700),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [207] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(491),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_calling_convention] = STATE(258),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(877),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(805),
    [sym_if_type_expression] = STATE(805),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(688),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_callconv] = ACTIONS(682),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [208] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(608),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_calling_convention] = STATE(298),
    [sym_expression] = STATE(1483),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1118),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(824),
    [sym_if_type_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(712),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_callconv] = ACTIONS(682),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(700),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [209] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(608),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_calling_convention] = STATE(299),
    [sym_expression] = STATE(1483),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1123),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(819),
    [sym_if_type_expression] = STATE(819),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(712),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_callconv] = ACTIONS(682),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(700),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [210] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_expression] = STATE(1246),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_switch_case] = STATE(1739),
    [sym__switch_case_exp] = STATE(1811),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(798),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_RBRACE] = ACTIONS(822),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_else] = ACTIONS(802),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [211] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(491),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_calling_convention] = STATE(292),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(892),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(806),
    [sym_if_type_expression] = STATE(806),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(688),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_callconv] = ACTIONS(682),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [212] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(643),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_calling_convention] = STATE(252),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1392),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(824),
    [sym_if_type_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(704),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_callconv] = ACTIONS(682),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [213] = {
    [sym__variable_declaration_header] = STATE(1751),
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1463),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_const] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [214] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_expression] = STATE(1246),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_switch_case] = STATE(1739),
    [sym__switch_case_exp] = STATE(1811),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(798),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_else] = ACTIONS(802),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [215] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(539),
    [sym__for_prefix] = STATE(534),
    [sym__while_prefix] = STATE(535),
    [sym_payload] = STATE(552),
    [sym_expression] = STATE(1139),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1492),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(253),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(255),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(257),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(353),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(824),
    [anon_sym_TILDE] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(261),
    [anon_sym_AMP] = ACTIONS(261),
    [anon_sym_async] = ACTIONS(265),
    [anon_sym_await] = ACTIONS(267),
    [anon_sym_continue] = ACTIONS(269),
    [anon_sym_resume] = ACTIONS(271),
    [anon_sym_return] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(275),
    [anon_sym_try] = ACTIONS(277),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [216] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(679),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym_block_expression] = STATE(744),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym__conditional_body] = STATE(756),
    [sym_expression] = STATE(1337),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1501),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [217] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(491),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(915),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(843),
    [sym_if_type_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(688),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [218] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(679),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym_block_expression] = STATE(744),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym__conditional_body] = STATE(758),
    [sym_expression] = STATE(1338),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1501),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [219] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(679),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym_block_expression] = STATE(744),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym__conditional_body] = STATE(763),
    [sym_expression] = STATE(1270),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1501),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [220] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(679),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym_block_expression] = STATE(744),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym__conditional_body] = STATE(764),
    [sym_expression] = STATE(1277),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1501),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [221] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1393),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_field_initializer] = STATE(1681),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(826),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(828),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [222] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(684),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__block_expr_statement] = STATE(766),
    [sym_expression_statement] = STATE(766),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1419),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1500),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [223] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(492),
    [sym__while_prefix] = STATE(493),
    [sym_payload] = STATE(513),
    [sym_expression] = STATE(1328),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1493),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(279),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(281),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(285),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(353),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(830),
    [anon_sym_TILDE] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_DASH_PERCENT] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_await] = ACTIONS(299),
    [anon_sym_continue] = ACTIONS(301),
    [anon_sym_resume] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_try] = ACTIONS(309),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [224] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_payload] = STATE(466),
    [sym_expression] = STATE(1485),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1099),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1494),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(353),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(684),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [225] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(435),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1485),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1091),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_comptime_type_expression] = STATE(1049),
    [sym_if_type_expression] = STATE(1049),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1494),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(672),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(684),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [226] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(643),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1344),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(843),
    [sym_if_type_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(704),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [227] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(492),
    [sym__while_prefix] = STATE(493),
    [sym_payload] = STATE(521),
    [sym_expression] = STATE(1269),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1493),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(279),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(281),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(285),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(353),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(830),
    [anon_sym_TILDE] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_DASH_PERCENT] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_await] = ACTIONS(299),
    [anon_sym_continue] = ACTIONS(301),
    [anon_sym_resume] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_try] = ACTIONS(309),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [228] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_payload] = STATE(522),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(875),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(353),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [229] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(492),
    [sym__while_prefix] = STATE(493),
    [sym_payload] = STATE(523),
    [sym_expression] = STATE(1274),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1493),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(279),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(281),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(285),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(353),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(830),
    [anon_sym_TILDE] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_DASH_PERCENT] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_await] = ACTIONS(299),
    [anon_sym_continue] = ACTIONS(301),
    [anon_sym_resume] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_try] = ACTIONS(309),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [230] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(492),
    [sym__while_prefix] = STATE(493),
    [sym_payload] = STATE(525),
    [sym_expression] = STATE(1245),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1493),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(279),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(281),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(285),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(353),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(830),
    [anon_sym_TILDE] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_DASH_PERCENT] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_await] = ACTIONS(299),
    [anon_sym_continue] = ACTIONS(301),
    [anon_sym_resume] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_try] = ACTIONS(309),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [231] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_payload] = STATE(411),
    [sym_expression] = STATE(992),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(353),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [232] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(643),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1347),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(805),
    [sym_if_type_expression] = STATE(805),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(704),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [233] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(679),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym_block_expression] = STATE(744),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym__conditional_body] = STATE(758),
    [sym_expression] = STATE(1270),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1501),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [234] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(679),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym_block_expression] = STATE(744),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym__conditional_body] = STATE(747),
    [sym_expression] = STATE(1295),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1501),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [235] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_payload] = STATE(399),
    [sym_expression] = STATE(949),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(353),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [236] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(643),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1348),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(806),
    [sym_if_type_expression] = STATE(806),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(704),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [237] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(679),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym_block_expression] = STATE(744),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym__conditional_body] = STATE(747),
    [sym_expression] = STATE(1339),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1501),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [238] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(549),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(972),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(1509),
    [sym_if_type_expression] = STATE(1509),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(832),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [239] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(491),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(907),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(840),
    [sym_if_type_expression] = STATE(840),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(688),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [240] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(492),
    [sym__while_prefix] = STATE(493),
    [sym_payload] = STATE(530),
    [sym_expression] = STATE(1254),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1493),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(279),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(281),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(285),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(353),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(830),
    [anon_sym_TILDE] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_DASH_PERCENT] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_await] = ACTIONS(299),
    [anon_sym_continue] = ACTIONS(301),
    [anon_sym_resume] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_try] = ACTIONS(309),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [241] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(570),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1349),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(1723),
    [sym_if_type_expression] = STATE(1723),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(834),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [242] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(643),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1388),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(822),
    [sym_if_type_expression] = STATE(822),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(704),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [243] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_payload] = STATE(479),
    [sym_expression] = STATE(1333),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(181),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(353),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [244] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(570),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1350),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(1689),
    [sym_if_type_expression] = STATE(1689),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(834),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [245] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(643),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1392),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(824),
    [sym_if_type_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(704),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [246] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(491),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(909),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(819),
    [sym_if_type_expression] = STATE(819),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(688),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [247] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1386),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_field_initializer] = STATE(1617),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(836),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(828),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [248] = {
    [ts_builtin_sym_end] = ACTIONS(838),
    [sym__identifier] = ACTIONS(840),
    [anon_sym_COMMA] = ACTIONS(838),
    [anon_sym_comptime] = ACTIONS(840),
    [anon_sym_COLON] = ACTIONS(838),
    [anon_sym_EQ] = ACTIONS(840),
    [anon_sym_extern] = ACTIONS(840),
    [anon_sym_SEMI] = ACTIONS(838),
    [anon_sym_STAR_EQ] = ACTIONS(838),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(838),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(838),
    [anon_sym_SLASH_EQ] = ACTIONS(838),
    [anon_sym_PERCENT_EQ] = ACTIONS(838),
    [anon_sym_PLUS_EQ] = ACTIONS(838),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(838),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(838),
    [anon_sym_DASH_EQ] = ACTIONS(838),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(838),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(838),
    [anon_sym_LT_LT_EQ] = ACTIONS(838),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(838),
    [anon_sym_GT_GT_EQ] = ACTIONS(838),
    [anon_sym_AMP_EQ] = ACTIONS(838),
    [anon_sym_CARET_EQ] = ACTIONS(838),
    [anon_sym_PIPE_EQ] = ACTIONS(838),
    [anon_sym_inline] = ACTIONS(840),
    [anon_sym_fn] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(838),
    [anon_sym_RPAREN] = ACTIONS(838),
    [anon_sym_LBRACE] = ACTIONS(838),
    [anon_sym_RBRACE] = ACTIONS(838),
    [anon_sym_packed] = ACTIONS(840),
    [anon_sym_struct] = ACTIONS(840),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_enum] = ACTIONS(840),
    [anon_sym_union] = ACTIONS(840),
    [anon_sym_error] = ACTIONS(840),
    [anon_sym_nosuspend] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(840),
    [anon_sym_else] = ACTIONS(840),
    [anon_sym_for] = ACTIONS(840),
    [anon_sym_DOT_DOT] = ACTIONS(838),
    [anon_sym_while] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(840),
    [anon_sym_STAR] = ACTIONS(840),
    [anon_sym_align] = ACTIONS(840),
    [anon_sym_addrspace] = ACTIONS(840),
    [anon_sym_linksection] = ACTIONS(840),
    [anon_sym_asm] = ACTIONS(840),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_RBRACK] = ACTIONS(838),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(840),
    [anon_sym_DASH_PERCENT] = ACTIONS(840),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_or] = ACTIONS(840),
    [anon_sym_and] = ACTIONS(840),
    [anon_sym_EQ_EQ] = ACTIONS(838),
    [anon_sym_BANG_EQ] = ACTIONS(838),
    [anon_sym_GT] = ACTIONS(840),
    [anon_sym_GT_EQ] = ACTIONS(838),
    [anon_sym_LT_EQ] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(840),
    [anon_sym_CARET] = ACTIONS(840),
    [anon_sym_orelse] = ACTIONS(840),
    [anon_sym_LT_LT] = ACTIONS(840),
    [anon_sym_GT_GT] = ACTIONS(840),
    [anon_sym_LT_LT_PIPE] = ACTIONS(840),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(838),
    [anon_sym_PLUS_PERCENT] = ACTIONS(840),
    [anon_sym_PLUS_PIPE] = ACTIONS(840),
    [anon_sym_DASH_PIPE] = ACTIONS(840),
    [anon_sym_SLASH] = ACTIONS(840),
    [anon_sym_PERCENT] = ACTIONS(840),
    [anon_sym_STAR_STAR] = ACTIONS(838),
    [anon_sym_STAR_PERCENT] = ACTIONS(840),
    [anon_sym_STAR_PIPE] = ACTIONS(840),
    [anon_sym_PIPE_PIPE] = ACTIONS(838),
    [anon_sym_async] = ACTIONS(840),
    [anon_sym_await] = ACTIONS(840),
    [anon_sym_continue] = ACTIONS(840),
    [anon_sym_resume] = ACTIONS(840),
    [anon_sym_return] = ACTIONS(840),
    [anon_sym_break] = ACTIONS(840),
    [anon_sym_try] = ACTIONS(840),
    [anon_sym_catch] = ACTIONS(840),
    [anon_sym_switch] = ACTIONS(840),
    [anon_sym_EQ_GT] = ACTIONS(838),
    [anon_sym_anyframe] = ACTIONS(840),
    [anon_sym_unreachable] = ACTIONS(840),
    [anon_sym_undefined] = ACTIONS(840),
    [anon_sym_null] = ACTIONS(840),
    [anon_sym_QMARK] = ACTIONS(838),
    [anon_sym_DOT] = ACTIONS(840),
    [anon_sym_DOT_STAR] = ACTIONS(838),
    [anon_sym_DOT_QMARK] = ACTIONS(838),
    [anon_sym_DQUOTE] = ACTIONS(838),
    [aux_sym_multiline_string_token1] = ACTIONS(838),
    [anon_sym_SQUOTE] = ACTIONS(838),
    [sym_integer] = ACTIONS(840),
    [sym_float] = ACTIONS(838),
    [anon_sym_true] = ACTIONS(840),
    [anon_sym_false] = ACTIONS(840),
    [anon_sym_bool] = ACTIONS(840),
    [anon_sym_f16] = ACTIONS(840),
    [anon_sym_f32] = ACTIONS(840),
    [anon_sym_f64] = ACTIONS(840),
    [anon_sym_f128] = ACTIONS(840),
    [anon_sym_void] = ACTIONS(840),
    [anon_sym_type] = ACTIONS(840),
    [anon_sym_anyerror] = ACTIONS(840),
    [anon_sym_anyopaque] = ACTIONS(840),
    [anon_sym_anytype] = ACTIONS(840),
    [anon_sym_noreturn] = ACTIONS(840),
    [anon_sym_isize] = ACTIONS(840),
    [anon_sym_usize] = ACTIONS(840),
    [anon_sym_comptime_int] = ACTIONS(840),
    [anon_sym_comptime_float] = ACTIONS(840),
    [anon_sym_c_short] = ACTIONS(840),
    [anon_sym_c_ushort] = ACTIONS(840),
    [anon_sym_c_int] = ACTIONS(840),
    [anon_sym_c_uint] = ACTIONS(840),
    [anon_sym_c_long] = ACTIONS(840),
    [anon_sym_c_ulong] = ACTIONS(840),
    [anon_sym_c_longlong] = ACTIONS(840),
    [anon_sym_c_ulonglong] = ACTIONS(840),
    [anon_sym_c_longdouble] = ACTIONS(840),
    [aux_sym_builtin_type_token1] = ACTIONS(840),
    [sym_builtin_identifier] = ACTIONS(838),
    [anon_sym_AT] = ACTIONS(840),
    [sym_comment] = ACTIONS(3),
  },
  [249] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(435),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1485),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1092),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_comptime_type_expression] = STATE(1057),
    [sym_if_type_expression] = STATE(1057),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1494),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(672),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(684),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [250] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(492),
    [sym__while_prefix] = STATE(493),
    [sym_payload] = STATE(531),
    [sym_expression] = STATE(1263),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1493),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(279),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(281),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(285),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(353),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(830),
    [anon_sym_TILDE] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_DASH_PERCENT] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_await] = ACTIONS(299),
    [anon_sym_continue] = ACTIONS(301),
    [anon_sym_resume] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_try] = ACTIONS(309),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [251] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(643),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1342),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(840),
    [sym_if_type_expression] = STATE(840),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(704),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [252] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(643),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1343),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(819),
    [sym_if_type_expression] = STATE(819),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(704),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [253] = {
    [ts_builtin_sym_end] = ACTIONS(842),
    [sym__identifier] = ACTIONS(844),
    [anon_sym_COMMA] = ACTIONS(842),
    [anon_sym_comptime] = ACTIONS(844),
    [anon_sym_COLON] = ACTIONS(842),
    [anon_sym_EQ] = ACTIONS(844),
    [anon_sym_extern] = ACTIONS(844),
    [anon_sym_SEMI] = ACTIONS(842),
    [anon_sym_STAR_EQ] = ACTIONS(842),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(842),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(842),
    [anon_sym_SLASH_EQ] = ACTIONS(842),
    [anon_sym_PERCENT_EQ] = ACTIONS(842),
    [anon_sym_PLUS_EQ] = ACTIONS(842),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(842),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(842),
    [anon_sym_DASH_EQ] = ACTIONS(842),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(842),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(842),
    [anon_sym_LT_LT_EQ] = ACTIONS(842),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(842),
    [anon_sym_GT_GT_EQ] = ACTIONS(842),
    [anon_sym_AMP_EQ] = ACTIONS(842),
    [anon_sym_CARET_EQ] = ACTIONS(842),
    [anon_sym_PIPE_EQ] = ACTIONS(842),
    [anon_sym_inline] = ACTIONS(844),
    [anon_sym_fn] = ACTIONS(844),
    [anon_sym_LPAREN] = ACTIONS(842),
    [anon_sym_RPAREN] = ACTIONS(842),
    [anon_sym_LBRACE] = ACTIONS(842),
    [anon_sym_RBRACE] = ACTIONS(842),
    [anon_sym_packed] = ACTIONS(844),
    [anon_sym_struct] = ACTIONS(844),
    [anon_sym_opaque] = ACTIONS(844),
    [anon_sym_enum] = ACTIONS(844),
    [anon_sym_union] = ACTIONS(844),
    [anon_sym_error] = ACTIONS(844),
    [anon_sym_nosuspend] = ACTIONS(844),
    [anon_sym_if] = ACTIONS(844),
    [anon_sym_else] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(844),
    [anon_sym_DOT_DOT] = ACTIONS(842),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_PIPE] = ACTIONS(844),
    [anon_sym_STAR] = ACTIONS(844),
    [anon_sym_align] = ACTIONS(844),
    [anon_sym_addrspace] = ACTIONS(844),
    [anon_sym_linksection] = ACTIONS(844),
    [anon_sym_asm] = ACTIONS(844),
    [anon_sym_LBRACK] = ACTIONS(842),
    [anon_sym_RBRACK] = ACTIONS(842),
    [anon_sym_BANG] = ACTIONS(844),
    [anon_sym_TILDE] = ACTIONS(842),
    [anon_sym_DASH] = ACTIONS(844),
    [anon_sym_DASH_PERCENT] = ACTIONS(844),
    [anon_sym_AMP] = ACTIONS(844),
    [anon_sym_or] = ACTIONS(844),
    [anon_sym_and] = ACTIONS(844),
    [anon_sym_EQ_EQ] = ACTIONS(842),
    [anon_sym_BANG_EQ] = ACTIONS(842),
    [anon_sym_GT] = ACTIONS(844),
    [anon_sym_GT_EQ] = ACTIONS(842),
    [anon_sym_LT_EQ] = ACTIONS(842),
    [anon_sym_LT] = ACTIONS(844),
    [anon_sym_CARET] = ACTIONS(844),
    [anon_sym_orelse] = ACTIONS(844),
    [anon_sym_LT_LT] = ACTIONS(844),
    [anon_sym_GT_GT] = ACTIONS(844),
    [anon_sym_LT_LT_PIPE] = ACTIONS(844),
    [anon_sym_PLUS] = ACTIONS(844),
    [anon_sym_PLUS_PLUS] = ACTIONS(842),
    [anon_sym_PLUS_PERCENT] = ACTIONS(844),
    [anon_sym_PLUS_PIPE] = ACTIONS(844),
    [anon_sym_DASH_PIPE] = ACTIONS(844),
    [anon_sym_SLASH] = ACTIONS(844),
    [anon_sym_PERCENT] = ACTIONS(844),
    [anon_sym_STAR_STAR] = ACTIONS(842),
    [anon_sym_STAR_PERCENT] = ACTIONS(844),
    [anon_sym_STAR_PIPE] = ACTIONS(844),
    [anon_sym_PIPE_PIPE] = ACTIONS(842),
    [anon_sym_async] = ACTIONS(844),
    [anon_sym_await] = ACTIONS(844),
    [anon_sym_continue] = ACTIONS(844),
    [anon_sym_resume] = ACTIONS(844),
    [anon_sym_return] = ACTIONS(844),
    [anon_sym_break] = ACTIONS(844),
    [anon_sym_try] = ACTIONS(844),
    [anon_sym_catch] = ACTIONS(844),
    [anon_sym_switch] = ACTIONS(844),
    [anon_sym_EQ_GT] = ACTIONS(842),
    [anon_sym_anyframe] = ACTIONS(844),
    [anon_sym_unreachable] = ACTIONS(844),
    [anon_sym_undefined] = ACTIONS(844),
    [anon_sym_null] = ACTIONS(844),
    [anon_sym_QMARK] = ACTIONS(842),
    [anon_sym_DOT] = ACTIONS(844),
    [anon_sym_DOT_STAR] = ACTIONS(842),
    [anon_sym_DOT_QMARK] = ACTIONS(842),
    [anon_sym_DQUOTE] = ACTIONS(842),
    [aux_sym_multiline_string_token1] = ACTIONS(842),
    [anon_sym_SQUOTE] = ACTIONS(842),
    [sym_integer] = ACTIONS(844),
    [sym_float] = ACTIONS(842),
    [anon_sym_true] = ACTIONS(844),
    [anon_sym_false] = ACTIONS(844),
    [anon_sym_bool] = ACTIONS(844),
    [anon_sym_f16] = ACTIONS(844),
    [anon_sym_f32] = ACTIONS(844),
    [anon_sym_f64] = ACTIONS(844),
    [anon_sym_f128] = ACTIONS(844),
    [anon_sym_void] = ACTIONS(844),
    [anon_sym_type] = ACTIONS(844),
    [anon_sym_anyerror] = ACTIONS(844),
    [anon_sym_anyopaque] = ACTIONS(844),
    [anon_sym_anytype] = ACTIONS(844),
    [anon_sym_noreturn] = ACTIONS(844),
    [anon_sym_isize] = ACTIONS(844),
    [anon_sym_usize] = ACTIONS(844),
    [anon_sym_comptime_int] = ACTIONS(844),
    [anon_sym_comptime_float] = ACTIONS(844),
    [anon_sym_c_short] = ACTIONS(844),
    [anon_sym_c_ushort] = ACTIONS(844),
    [anon_sym_c_int] = ACTIONS(844),
    [anon_sym_c_uint] = ACTIONS(844),
    [anon_sym_c_long] = ACTIONS(844),
    [anon_sym_c_ulong] = ACTIONS(844),
    [anon_sym_c_longlong] = ACTIONS(844),
    [anon_sym_c_ulonglong] = ACTIONS(844),
    [anon_sym_c_longdouble] = ACTIONS(844),
    [aux_sym_builtin_type_token1] = ACTIONS(844),
    [sym_builtin_identifier] = ACTIONS(842),
    [anon_sym_AT] = ACTIONS(844),
    [sym_comment] = ACTIONS(3),
  },
  [254] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_payload] = STATE(467),
    [sym_expression] = STATE(1332),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(181),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(353),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [255] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(643),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1346),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(814),
    [sym_if_type_expression] = STATE(814),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(704),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [256] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(435),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1485),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1093),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_comptime_type_expression] = STATE(1058),
    [sym_if_type_expression] = STATE(1058),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1494),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(672),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(684),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [257] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_payload] = STATE(468),
    [sym_expression] = STATE(1273),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(181),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(353),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [258] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(491),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(938),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(822),
    [sym_if_type_expression] = STATE(822),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(688),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [259] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_payload] = STATE(378),
    [sym_expression] = STATE(968),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(353),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [260] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_payload] = STATE(379),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(969),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(353),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [261] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_payload] = STATE(380),
    [sym_expression] = STATE(986),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(353),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [262] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(373),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(549),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(958),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(976),
    [sym_primary_type_expression] = STATE(978),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(1515),
    [sym_if_type_expression] = STATE(1515),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1011),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(998),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(832),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(846),
    [anon_sym_null] = ACTIONS(846),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(848),
    [anon_sym_false] = ACTIONS(848),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [263] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(539),
    [sym__for_prefix] = STATE(534),
    [sym__while_prefix] = STATE(535),
    [sym_payload] = STATE(557),
    [sym_expression] = STATE(1141),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1492),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(253),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(255),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(257),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(353),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(824),
    [anon_sym_TILDE] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(261),
    [anon_sym_AMP] = ACTIONS(261),
    [anon_sym_async] = ACTIONS(265),
    [anon_sym_await] = ACTIONS(267),
    [anon_sym_continue] = ACTIONS(269),
    [anon_sym_resume] = ACTIONS(271),
    [anon_sym_return] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(275),
    [anon_sym_try] = ACTIONS(277),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [264] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(539),
    [sym__for_prefix] = STATE(534),
    [sym__while_prefix] = STATE(535),
    [sym_payload] = STATE(558),
    [sym_expression] = STATE(1144),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1492),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(253),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(255),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(257),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(353),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(824),
    [anon_sym_TILDE] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(261),
    [anon_sym_AMP] = ACTIONS(261),
    [anon_sym_async] = ACTIONS(265),
    [anon_sym_await] = ACTIONS(267),
    [anon_sym_continue] = ACTIONS(269),
    [anon_sym_resume] = ACTIONS(271),
    [anon_sym_return] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(275),
    [anon_sym_try] = ACTIONS(277),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [265] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(539),
    [sym__for_prefix] = STATE(534),
    [sym__while_prefix] = STATE(535),
    [sym_payload] = STATE(559),
    [sym_expression] = STATE(1149),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1492),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(253),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(255),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(257),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(353),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(824),
    [anon_sym_TILDE] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(261),
    [anon_sym_AMP] = ACTIONS(261),
    [anon_sym_async] = ACTIONS(265),
    [anon_sym_await] = ACTIONS(267),
    [anon_sym_continue] = ACTIONS(269),
    [anon_sym_resume] = ACTIONS(271),
    [anon_sym_return] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(275),
    [anon_sym_try] = ACTIONS(277),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [266] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(539),
    [sym__for_prefix] = STATE(534),
    [sym__while_prefix] = STATE(535),
    [sym_payload] = STATE(561),
    [sym_expression] = STATE(1153),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1492),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(253),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(255),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(257),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(353),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(824),
    [anon_sym_TILDE] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(261),
    [anon_sym_AMP] = ACTIONS(261),
    [anon_sym_async] = ACTIONS(265),
    [anon_sym_await] = ACTIONS(267),
    [anon_sym_continue] = ACTIONS(269),
    [anon_sym_resume] = ACTIONS(271),
    [anon_sym_return] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(275),
    [anon_sym_try] = ACTIONS(277),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [267] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(539),
    [sym__for_prefix] = STATE(534),
    [sym__while_prefix] = STATE(535),
    [sym_payload] = STATE(562),
    [sym_expression] = STATE(1156),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1492),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(253),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(255),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(257),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(353),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(824),
    [anon_sym_TILDE] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(261),
    [anon_sym_AMP] = ACTIONS(261),
    [anon_sym_async] = ACTIONS(265),
    [anon_sym_await] = ACTIONS(267),
    [anon_sym_continue] = ACTIONS(269),
    [anon_sym_resume] = ACTIONS(271),
    [anon_sym_return] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(275),
    [anon_sym_try] = ACTIONS(277),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [268] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(684),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__block_expr_statement] = STATE(752),
    [sym_expression_statement] = STATE(752),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1419),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1500),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [269] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(491),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(888),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(814),
    [sym_if_type_expression] = STATE(814),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(688),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [270] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_payload] = STATE(388),
    [sym_expression] = STATE(989),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(353),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [271] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(684),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__block_expr_statement] = STATE(750),
    [sym_expression_statement] = STATE(750),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1404),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1500),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [272] = {
    [ts_builtin_sym_end] = ACTIONS(850),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_COMMA] = ACTIONS(850),
    [anon_sym_comptime] = ACTIONS(852),
    [anon_sym_COLON] = ACTIONS(850),
    [anon_sym_EQ] = ACTIONS(852),
    [anon_sym_extern] = ACTIONS(852),
    [anon_sym_SEMI] = ACTIONS(850),
    [anon_sym_STAR_EQ] = ACTIONS(850),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(850),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(850),
    [anon_sym_SLASH_EQ] = ACTIONS(850),
    [anon_sym_PERCENT_EQ] = ACTIONS(850),
    [anon_sym_PLUS_EQ] = ACTIONS(850),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(850),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(850),
    [anon_sym_DASH_EQ] = ACTIONS(850),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(850),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(850),
    [anon_sym_LT_LT_EQ] = ACTIONS(850),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(850),
    [anon_sym_GT_GT_EQ] = ACTIONS(850),
    [anon_sym_AMP_EQ] = ACTIONS(850),
    [anon_sym_CARET_EQ] = ACTIONS(850),
    [anon_sym_PIPE_EQ] = ACTIONS(850),
    [anon_sym_inline] = ACTIONS(852),
    [anon_sym_fn] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(850),
    [anon_sym_RPAREN] = ACTIONS(850),
    [anon_sym_LBRACE] = ACTIONS(850),
    [anon_sym_RBRACE] = ACTIONS(850),
    [anon_sym_packed] = ACTIONS(852),
    [anon_sym_struct] = ACTIONS(852),
    [anon_sym_opaque] = ACTIONS(852),
    [anon_sym_enum] = ACTIONS(852),
    [anon_sym_union] = ACTIONS(852),
    [anon_sym_error] = ACTIONS(852),
    [anon_sym_nosuspend] = ACTIONS(852),
    [anon_sym_if] = ACTIONS(852),
    [anon_sym_else] = ACTIONS(852),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_DOT_DOT] = ACTIONS(850),
    [anon_sym_while] = ACTIONS(852),
    [anon_sym_PIPE] = ACTIONS(852),
    [anon_sym_STAR] = ACTIONS(852),
    [anon_sym_align] = ACTIONS(852),
    [anon_sym_addrspace] = ACTIONS(852),
    [anon_sym_linksection] = ACTIONS(852),
    [anon_sym_asm] = ACTIONS(852),
    [anon_sym_LBRACK] = ACTIONS(850),
    [anon_sym_RBRACK] = ACTIONS(850),
    [anon_sym_BANG] = ACTIONS(852),
    [anon_sym_TILDE] = ACTIONS(850),
    [anon_sym_DASH] = ACTIONS(852),
    [anon_sym_DASH_PERCENT] = ACTIONS(852),
    [anon_sym_AMP] = ACTIONS(852),
    [anon_sym_or] = ACTIONS(852),
    [anon_sym_and] = ACTIONS(852),
    [anon_sym_EQ_EQ] = ACTIONS(850),
    [anon_sym_BANG_EQ] = ACTIONS(850),
    [anon_sym_GT] = ACTIONS(852),
    [anon_sym_GT_EQ] = ACTIONS(850),
    [anon_sym_LT_EQ] = ACTIONS(850),
    [anon_sym_LT] = ACTIONS(852),
    [anon_sym_CARET] = ACTIONS(852),
    [anon_sym_orelse] = ACTIONS(852),
    [anon_sym_LT_LT] = ACTIONS(852),
    [anon_sym_GT_GT] = ACTIONS(852),
    [anon_sym_LT_LT_PIPE] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(852),
    [anon_sym_PLUS_PLUS] = ACTIONS(850),
    [anon_sym_PLUS_PERCENT] = ACTIONS(852),
    [anon_sym_PLUS_PIPE] = ACTIONS(852),
    [anon_sym_DASH_PIPE] = ACTIONS(852),
    [anon_sym_SLASH] = ACTIONS(852),
    [anon_sym_PERCENT] = ACTIONS(852),
    [anon_sym_STAR_STAR] = ACTIONS(850),
    [anon_sym_STAR_PERCENT] = ACTIONS(852),
    [anon_sym_STAR_PIPE] = ACTIONS(852),
    [anon_sym_PIPE_PIPE] = ACTIONS(850),
    [anon_sym_async] = ACTIONS(852),
    [anon_sym_await] = ACTIONS(852),
    [anon_sym_continue] = ACTIONS(852),
    [anon_sym_resume] = ACTIONS(852),
    [anon_sym_return] = ACTIONS(852),
    [anon_sym_break] = ACTIONS(852),
    [anon_sym_try] = ACTIONS(852),
    [anon_sym_catch] = ACTIONS(852),
    [anon_sym_switch] = ACTIONS(852),
    [anon_sym_EQ_GT] = ACTIONS(850),
    [anon_sym_anyframe] = ACTIONS(852),
    [anon_sym_unreachable] = ACTIONS(852),
    [anon_sym_undefined] = ACTIONS(852),
    [anon_sym_null] = ACTIONS(852),
    [anon_sym_QMARK] = ACTIONS(850),
    [anon_sym_DOT] = ACTIONS(852),
    [anon_sym_DOT_STAR] = ACTIONS(850),
    [anon_sym_DOT_QMARK] = ACTIONS(850),
    [anon_sym_DQUOTE] = ACTIONS(850),
    [aux_sym_multiline_string_token1] = ACTIONS(850),
    [anon_sym_SQUOTE] = ACTIONS(850),
    [sym_integer] = ACTIONS(852),
    [sym_float] = ACTIONS(850),
    [anon_sym_true] = ACTIONS(852),
    [anon_sym_false] = ACTIONS(852),
    [anon_sym_bool] = ACTIONS(852),
    [anon_sym_f16] = ACTIONS(852),
    [anon_sym_f32] = ACTIONS(852),
    [anon_sym_f64] = ACTIONS(852),
    [anon_sym_f128] = ACTIONS(852),
    [anon_sym_void] = ACTIONS(852),
    [anon_sym_type] = ACTIONS(852),
    [anon_sym_anyerror] = ACTIONS(852),
    [anon_sym_anyopaque] = ACTIONS(852),
    [anon_sym_anytype] = ACTIONS(852),
    [anon_sym_noreturn] = ACTIONS(852),
    [anon_sym_isize] = ACTIONS(852),
    [anon_sym_usize] = ACTIONS(852),
    [anon_sym_comptime_int] = ACTIONS(852),
    [anon_sym_comptime_float] = ACTIONS(852),
    [anon_sym_c_short] = ACTIONS(852),
    [anon_sym_c_ushort] = ACTIONS(852),
    [anon_sym_c_int] = ACTIONS(852),
    [anon_sym_c_uint] = ACTIONS(852),
    [anon_sym_c_long] = ACTIONS(852),
    [anon_sym_c_ulong] = ACTIONS(852),
    [anon_sym_c_longlong] = ACTIONS(852),
    [anon_sym_c_ulonglong] = ACTIONS(852),
    [anon_sym_c_longdouble] = ACTIONS(852),
    [aux_sym_builtin_type_token1] = ACTIONS(852),
    [sym_builtin_identifier] = ACTIONS(850),
    [anon_sym_AT] = ACTIONS(852),
    [sym_comment] = ACTIONS(3),
  },
  [273] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_payload] = STATE(423),
    [sym_expression] = STATE(1405),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(353),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [274] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(570),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1373),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(1749),
    [sym_if_type_expression] = STATE(1749),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(834),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [275] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(577),
    [sym__for_prefix] = STATE(571),
    [sym__while_prefix] = STATE(572),
    [sym_payload] = STATE(588),
    [sym_expression] = STATE(872),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1497),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(111),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(117),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(353),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_DASH_PERCENT] = ACTIONS(125),
    [anon_sym_AMP] = ACTIONS(125),
    [anon_sym_async] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(131),
    [anon_sym_continue] = ACTIONS(133),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_try] = ACTIONS(141),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [276] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(570),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1374),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(1694),
    [sym_if_type_expression] = STATE(1694),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(834),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [277] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(435),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1485),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1094),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_comptime_type_expression] = STATE(1069),
    [sym_if_type_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1494),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(672),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(684),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [278] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(608),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1483),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1108),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(843),
    [sym_if_type_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(712),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(700),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [279] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(684),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__block_expr_statement] = STATE(751),
    [sym_expression_statement] = STATE(751),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1419),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1500),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [280] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(577),
    [sym__for_prefix] = STATE(571),
    [sym__while_prefix] = STATE(572),
    [sym_payload] = STATE(593),
    [sym_expression] = STATE(876),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1497),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(111),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(117),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(353),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_DASH_PERCENT] = ACTIONS(125),
    [anon_sym_AMP] = ACTIONS(125),
    [anon_sym_async] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(131),
    [anon_sym_continue] = ACTIONS(133),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_try] = ACTIONS(141),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [281] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_payload] = STATE(594),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1237),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(353),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [282] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(577),
    [sym__for_prefix] = STATE(571),
    [sym__while_prefix] = STATE(572),
    [sym_payload] = STATE(595),
    [sym_expression] = STATE(880),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1497),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(111),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(117),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(353),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_DASH_PERCENT] = ACTIONS(125),
    [anon_sym_AMP] = ACTIONS(125),
    [anon_sym_async] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(131),
    [anon_sym_continue] = ACTIONS(133),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_try] = ACTIONS(141),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [283] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(577),
    [sym__for_prefix] = STATE(571),
    [sym__while_prefix] = STATE(572),
    [sym_payload] = STATE(596),
    [sym_expression] = STATE(885),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1497),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(111),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(117),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(353),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_DASH_PERCENT] = ACTIONS(125),
    [anon_sym_AMP] = ACTIONS(125),
    [anon_sym_async] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(131),
    [anon_sym_continue] = ACTIONS(133),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_try] = ACTIONS(141),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [284] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(435),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1485),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1095),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_comptime_type_expression] = STATE(1070),
    [sym_if_type_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1494),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(672),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(684),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [285] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(608),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1483),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1113),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(805),
    [sym_if_type_expression] = STATE(805),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(712),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(700),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [286] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_payload] = STATE(431),
    [sym_expression] = STATE(1379),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(181),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(353),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [287] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_payload] = STATE(465),
    [sym_expression] = STATE(1313),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(181),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(353),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [288] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(608),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1483),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1114),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(806),
    [sym_if_type_expression] = STATE(806),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(712),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(700),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [289] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(577),
    [sym__for_prefix] = STATE(571),
    [sym__while_prefix] = STATE(572),
    [sym_payload] = STATE(599),
    [sym_expression] = STATE(890),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1497),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(111),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(117),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(353),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_DASH_PERCENT] = ACTIONS(125),
    [anon_sym_AMP] = ACTIONS(125),
    [anon_sym_async] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(131),
    [anon_sym_continue] = ACTIONS(133),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_try] = ACTIONS(141),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [290] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(435),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1485),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1096),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_comptime_type_expression] = STATE(1079),
    [sym_if_type_expression] = STATE(1079),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1494),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(672),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(684),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [291] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(608),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1483),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1117),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(822),
    [sym_if_type_expression] = STATE(822),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(712),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(700),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [292] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(491),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(874),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(824),
    [sym_if_type_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(688),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [293] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(549),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(943),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(1491),
    [sym_if_type_expression] = STATE(1491),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(832),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [294] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(608),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1483),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1118),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(824),
    [sym_if_type_expression] = STATE(824),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(712),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(700),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [295] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(577),
    [sym__for_prefix] = STATE(571),
    [sym__while_prefix] = STATE(572),
    [sym_payload] = STATE(600),
    [sym_expression] = STATE(895),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1497),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(111),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(117),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(353),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_DASH_PERCENT] = ACTIONS(125),
    [anon_sym_AMP] = ACTIONS(125),
    [anon_sym_async] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(131),
    [anon_sym_continue] = ACTIONS(133),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_try] = ACTIONS(141),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [296] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(608),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1483),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1122),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(840),
    [sym_if_type_expression] = STATE(840),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(712),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(700),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [297] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(492),
    [sym__while_prefix] = STATE(493),
    [sym_expression] = STATE(1411),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1493),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(856),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(281),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(285),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(858),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_RBRACK] = ACTIONS(860),
    [anon_sym_BANG] = ACTIONS(830),
    [anon_sym_TILDE] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_DASH_PERCENT] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_await] = ACTIONS(299),
    [anon_sym_continue] = ACTIONS(301),
    [anon_sym_resume] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_try] = ACTIONS(309),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [298] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(608),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1483),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1123),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(819),
    [sym_if_type_expression] = STATE(819),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(712),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(700),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [299] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(608),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1483),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1125),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(814),
    [sym_if_type_expression] = STATE(814),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(712),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(700),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [300] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(570),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(958),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1341),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(1703),
    [sym_if_type_expression] = STATE(1703),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1241),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1235),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(834),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [301] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(570),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1365),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(1703),
    [sym_if_type_expression] = STATE(1703),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1241),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1235),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(834),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [302] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(491),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(877),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(805),
    [sym_if_type_expression] = STATE(805),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(688),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [303] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(609),
    [sym__while_prefix] = STATE(610),
    [sym_payload] = STATE(627),
    [sym_expression] = STATE(1171),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1498),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(353),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(862),
    [anon_sym_TILDE] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_DASH_PERCENT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(323),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_await] = ACTIONS(329),
    [anon_sym_continue] = ACTIONS(331),
    [anon_sym_resume] = ACTIONS(333),
    [anon_sym_return] = ACTIONS(335),
    [anon_sym_break] = ACTIONS(337),
    [anon_sym_try] = ACTIONS(339),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [304] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(609),
    [sym__while_prefix] = STATE(610),
    [sym_payload] = STATE(631),
    [sym_expression] = STATE(1174),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1498),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(353),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(862),
    [anon_sym_TILDE] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_DASH_PERCENT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(323),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_await] = ACTIONS(329),
    [anon_sym_continue] = ACTIONS(331),
    [anon_sym_resume] = ACTIONS(333),
    [anon_sym_return] = ACTIONS(335),
    [anon_sym_break] = ACTIONS(337),
    [anon_sym_try] = ACTIONS(339),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [305] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_payload] = STATE(632),
    [sym_expression] = STATE(1483),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1142),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(353),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(700),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [306] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(609),
    [sym__while_prefix] = STATE(610),
    [sym_payload] = STATE(633),
    [sym_expression] = STATE(1177),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1498),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(353),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(862),
    [anon_sym_TILDE] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_DASH_PERCENT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(323),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_await] = ACTIONS(329),
    [anon_sym_continue] = ACTIONS(331),
    [anon_sym_resume] = ACTIONS(333),
    [anon_sym_return] = ACTIONS(335),
    [anon_sym_break] = ACTIONS(337),
    [anon_sym_try] = ACTIONS(339),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [307] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(609),
    [sym__while_prefix] = STATE(610),
    [sym_payload] = STATE(634),
    [sym_expression] = STATE(1182),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1498),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(353),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(862),
    [anon_sym_TILDE] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_DASH_PERCENT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(323),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_await] = ACTIONS(329),
    [anon_sym_continue] = ACTIONS(331),
    [anon_sym_resume] = ACTIONS(333),
    [anon_sym_return] = ACTIONS(335),
    [anon_sym_break] = ACTIONS(337),
    [anon_sym_try] = ACTIONS(339),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [308] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(609),
    [sym__while_prefix] = STATE(610),
    [sym_payload] = STATE(636),
    [sym_expression] = STATE(1186),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1498),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(353),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(862),
    [anon_sym_TILDE] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_DASH_PERCENT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(323),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_await] = ACTIONS(329),
    [anon_sym_continue] = ACTIONS(331),
    [anon_sym_resume] = ACTIONS(333),
    [anon_sym_return] = ACTIONS(335),
    [anon_sym_break] = ACTIONS(337),
    [anon_sym_try] = ACTIONS(339),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [309] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(609),
    [sym__while_prefix] = STATE(610),
    [sym_payload] = STATE(637),
    [sym_expression] = STATE(1189),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1498),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(353),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(862),
    [anon_sym_TILDE] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_DASH_PERCENT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(323),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_await] = ACTIONS(329),
    [anon_sym_continue] = ACTIONS(331),
    [anon_sym_resume] = ACTIONS(333),
    [anon_sym_return] = ACTIONS(335),
    [anon_sym_break] = ACTIONS(337),
    [anon_sym_try] = ACTIONS(339),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [310] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_payload] = STATE(645),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1237),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(353),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [311] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(492),
    [sym__while_prefix] = STATE(493),
    [sym_expression] = STATE(1414),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1493),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(864),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(281),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(285),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(866),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_RBRACK] = ACTIONS(868),
    [anon_sym_BANG] = ACTIONS(830),
    [anon_sym_TILDE] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_DASH_PERCENT] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_await] = ACTIONS(299),
    [anon_sym_continue] = ACTIONS(301),
    [anon_sym_resume] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_try] = ACTIONS(309),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [312] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(492),
    [sym__while_prefix] = STATE(493),
    [sym_expression] = STATE(1407),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1493),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(870),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(281),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(285),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(872),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_RBRACK] = ACTIONS(874),
    [anon_sym_BANG] = ACTIONS(830),
    [anon_sym_TILDE] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_DASH_PERCENT] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_await] = ACTIONS(299),
    [anon_sym_continue] = ACTIONS(301),
    [anon_sym_resume] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_try] = ACTIONS(309),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [313] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_payload] = STATE(359),
    [sym_expression] = STATE(963),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(353),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [314] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(435),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1485),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1090),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_comptime_type_expression] = STATE(1048),
    [sym_if_type_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1494),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(672),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(684),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [315] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(435),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1485),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1204),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_comptime_type_expression] = STATE(1217),
    [sym_if_type_expression] = STATE(1217),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1494),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(672),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(684),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [316] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(491),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(892),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(806),
    [sym_if_type_expression] = STATE(806),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(688),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [317] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(549),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(979),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(1506),
    [sym_if_type_expression] = STATE(1506),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(832),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [318] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(549),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(972),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(1509),
    [sym_if_type_expression] = STATE(1509),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(832),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [319] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(491),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(918),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(855),
    [sym_if_type_expression] = STATE(855),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(688),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [320] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(549),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(951),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(1511),
    [sym_if_type_expression] = STATE(1511),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(832),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [321] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(679),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym_block_expression] = STATE(744),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym__conditional_body] = STATE(763),
    [sym_expression] = STATE(1250),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1501),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [322] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_payload] = STATE(459),
    [sym_expression] = STATE(1285),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(181),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(353),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [323] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(679),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym_block_expression] = STATE(744),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym__conditional_body] = STATE(764),
    [sym_expression] = STATE(1255),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1501),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [324] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(608),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1483),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1203),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(855),
    [sym_if_type_expression] = STATE(855),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(712),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(700),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [325] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(435),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1485),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1088),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_comptime_type_expression] = STATE(1029),
    [sym_if_type_expression] = STATE(1029),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1494),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(672),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(684),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [326] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(549),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(964),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(1514),
    [sym_if_type_expression] = STATE(1514),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(832),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [327] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(549),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(951),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_comptime_type_expression] = STATE(1511),
    [sym_if_type_expression] = STATE(1511),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(832),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [328] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_payload] = STATE(481),
    [sym_expression] = STATE(1281),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(181),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(353),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [329] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1400),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_RPAREN] = ACTIONS(876),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [330] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1400),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_RPAREN] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [331] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1396),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_RPAREN] = ACTIONS(880),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [332] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1400),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_RPAREN] = ACTIONS(882),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [333] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1390),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_RPAREN] = ACTIONS(884),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [334] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1400),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_RPAREN] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [335] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_expression] = STATE(1375),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(181),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_EQ_GT] = ACTIONS(888),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [336] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1400),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(890),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [337] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1400),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_RPAREN] = ACTIONS(892),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [338] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1412),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_RPAREN] = ACTIONS(894),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [339] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_expression] = STATE(1375),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(181),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_EQ_GT] = ACTIONS(896),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [340] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1400),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_RPAREN] = ACTIONS(898),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [341] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1412),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_RPAREN] = ACTIONS(900),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [342] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1400),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_RPAREN] = ACTIONS(902),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [343] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1394),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_RPAREN] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [344] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1367),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_RPAREN] = ACTIONS(906),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [345] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_expression] = STATE(1375),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(181),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_EQ_GT] = ACTIONS(908),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [346] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1397),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_RPAREN] = ACTIONS(910),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [347] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1400),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(912),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [348] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(415),
    [sym__while_prefix] = STATE(416),
    [sym_expression] = STATE(1334),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(181),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_else] = ACTIONS(914),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [349] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1400),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(916),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [350] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1412),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_RPAREN] = ACTIONS(918),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [351] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1400),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(920),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [352] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_expression] = STATE(1375),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(181),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_EQ_GT] = ACTIONS(922),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [353] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1400),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_RPAREN] = ACTIONS(924),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [354] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_expression] = STATE(1375),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(181),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_EQ_GT] = ACTIONS(926),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [355] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(960),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [356] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(912),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [357] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(970),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [358] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1448),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [359] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(952),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [360] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1452),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [361] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1391),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [362] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(946),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [363] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(975),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [364] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1417),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [365] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1461),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [366] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1424),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [367] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1453),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [368] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1360),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [369] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1454),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [370] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(944),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [371] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1425),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [372] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(958),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(976),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [373] = {
    [ts_builtin_sym_end] = ACTIONS(928),
    [sym__identifier] = ACTIONS(930),
    [anon_sym_pub] = ACTIONS(930),
    [anon_sym_test] = ACTIONS(930),
    [anon_sym_comptime] = ACTIONS(930),
    [anon_sym_EQ] = ACTIONS(932),
    [anon_sym_export] = ACTIONS(930),
    [anon_sym_extern] = ACTIONS(930),
    [anon_sym_threadlocal] = ACTIONS(930),
    [anon_sym_STAR_EQ] = ACTIONS(934),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(934),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(934),
    [anon_sym_SLASH_EQ] = ACTIONS(934),
    [anon_sym_PERCENT_EQ] = ACTIONS(934),
    [anon_sym_PLUS_EQ] = ACTIONS(934),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(934),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(934),
    [anon_sym_DASH_EQ] = ACTIONS(934),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(934),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(934),
    [anon_sym_LT_LT_EQ] = ACTIONS(934),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(934),
    [anon_sym_GT_GT_EQ] = ACTIONS(934),
    [anon_sym_AMP_EQ] = ACTIONS(934),
    [anon_sym_CARET_EQ] = ACTIONS(934),
    [anon_sym_PIPE_EQ] = ACTIONS(934),
    [anon_sym_const] = ACTIONS(930),
    [anon_sym_var] = ACTIONS(930),
    [anon_sym_inline] = ACTIONS(930),
    [anon_sym_noinline] = ACTIONS(930),
    [anon_sym_fn] = ACTIONS(930),
    [anon_sym_LPAREN] = ACTIONS(928),
    [anon_sym_usingnamespace] = ACTIONS(930),
    [anon_sym_LBRACE] = ACTIONS(928),
    [anon_sym_RBRACE] = ACTIONS(928),
    [anon_sym_packed] = ACTIONS(930),
    [anon_sym_struct] = ACTIONS(930),
    [anon_sym_opaque] = ACTIONS(930),
    [anon_sym_enum] = ACTIONS(930),
    [anon_sym_union] = ACTIONS(930),
    [anon_sym_error] = ACTIONS(930),
    [anon_sym_nosuspend] = ACTIONS(930),
    [anon_sym_if] = ACTIONS(930),
    [anon_sym_for] = ACTIONS(930),
    [anon_sym_DOT_DOT] = ACTIONS(934),
    [anon_sym_while] = ACTIONS(930),
    [anon_sym_PIPE] = ACTIONS(932),
    [anon_sym_STAR] = ACTIONS(930),
    [anon_sym_asm] = ACTIONS(930),
    [anon_sym_LBRACK] = ACTIONS(928),
    [anon_sym_BANG] = ACTIONS(930),
    [anon_sym_TILDE] = ACTIONS(928),
    [anon_sym_DASH] = ACTIONS(930),
    [anon_sym_DASH_PERCENT] = ACTIONS(930),
    [anon_sym_AMP] = ACTIONS(930),
    [anon_sym_or] = ACTIONS(932),
    [anon_sym_and] = ACTIONS(932),
    [anon_sym_EQ_EQ] = ACTIONS(934),
    [anon_sym_BANG_EQ] = ACTIONS(934),
    [anon_sym_GT] = ACTIONS(932),
    [anon_sym_GT_EQ] = ACTIONS(934),
    [anon_sym_LT_EQ] = ACTIONS(934),
    [anon_sym_LT] = ACTIONS(932),
    [anon_sym_CARET] = ACTIONS(932),
    [anon_sym_orelse] = ACTIONS(932),
    [anon_sym_LT_LT] = ACTIONS(932),
    [anon_sym_GT_GT] = ACTIONS(932),
    [anon_sym_LT_LT_PIPE] = ACTIONS(932),
    [anon_sym_PLUS] = ACTIONS(932),
    [anon_sym_PLUS_PLUS] = ACTIONS(934),
    [anon_sym_PLUS_PERCENT] = ACTIONS(932),
    [anon_sym_PLUS_PIPE] = ACTIONS(932),
    [anon_sym_DASH_PIPE] = ACTIONS(932),
    [anon_sym_SLASH] = ACTIONS(932),
    [anon_sym_PERCENT] = ACTIONS(932),
    [anon_sym_STAR_STAR] = ACTIONS(934),
    [anon_sym_STAR_PERCENT] = ACTIONS(932),
    [anon_sym_STAR_PIPE] = ACTIONS(932),
    [anon_sym_PIPE_PIPE] = ACTIONS(934),
    [anon_sym_async] = ACTIONS(930),
    [anon_sym_await] = ACTIONS(930),
    [anon_sym_continue] = ACTIONS(930),
    [anon_sym_resume] = ACTIONS(930),
    [anon_sym_return] = ACTIONS(930),
    [anon_sym_break] = ACTIONS(930),
    [anon_sym_try] = ACTIONS(930),
    [anon_sym_catch] = ACTIONS(932),
    [anon_sym_switch] = ACTIONS(930),
    [anon_sym_anyframe] = ACTIONS(930),
    [anon_sym_unreachable] = ACTIONS(930),
    [anon_sym_undefined] = ACTIONS(930),
    [anon_sym_null] = ACTIONS(930),
    [anon_sym_QMARK] = ACTIONS(928),
    [anon_sym_DOT] = ACTIONS(930),
    [anon_sym_DOT_STAR] = ACTIONS(934),
    [anon_sym_DOT_QMARK] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(928),
    [aux_sym_multiline_string_token1] = ACTIONS(928),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [sym_integer] = ACTIONS(930),
    [sym_float] = ACTIONS(928),
    [anon_sym_true] = ACTIONS(930),
    [anon_sym_false] = ACTIONS(930),
    [anon_sym_bool] = ACTIONS(930),
    [anon_sym_f16] = ACTIONS(930),
    [anon_sym_f32] = ACTIONS(930),
    [anon_sym_f64] = ACTIONS(930),
    [anon_sym_f128] = ACTIONS(930),
    [anon_sym_void] = ACTIONS(930),
    [anon_sym_type] = ACTIONS(930),
    [anon_sym_anyerror] = ACTIONS(930),
    [anon_sym_anyopaque] = ACTIONS(930),
    [anon_sym_anytype] = ACTIONS(930),
    [anon_sym_noreturn] = ACTIONS(930),
    [anon_sym_isize] = ACTIONS(930),
    [anon_sym_usize] = ACTIONS(930),
    [anon_sym_comptime_int] = ACTIONS(930),
    [anon_sym_comptime_float] = ACTIONS(930),
    [anon_sym_c_short] = ACTIONS(930),
    [anon_sym_c_ushort] = ACTIONS(930),
    [anon_sym_c_int] = ACTIONS(930),
    [anon_sym_c_uint] = ACTIONS(930),
    [anon_sym_c_long] = ACTIONS(930),
    [anon_sym_c_ulong] = ACTIONS(930),
    [anon_sym_c_longlong] = ACTIONS(930),
    [anon_sym_c_ulonglong] = ACTIONS(930),
    [anon_sym_c_longdouble] = ACTIONS(930),
    [aux_sym_builtin_type_token1] = ACTIONS(930),
    [sym_builtin_identifier] = ACTIONS(928),
    [anon_sym_AT] = ACTIONS(930),
    [sym_comment] = ACTIONS(3),
  },
  [374] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1432),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [375] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1442),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [376] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1447),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [377] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1356),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [378] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(965),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [379] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(993),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [380] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(956),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [381] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1422),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [382] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1399),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [383] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1464),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [384] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1431),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [385] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1352),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [386] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1354),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [387] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1444),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [388] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(967),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [389] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(982),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [390] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(991),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [391] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1445),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [392] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(958),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [393] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(961),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [394] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(492),
    [sym__while_prefix] = STATE(493),
    [sym_expression] = STATE(1466),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1493),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(279),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(281),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(285),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(830),
    [anon_sym_TILDE] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_DASH_PERCENT] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_await] = ACTIONS(299),
    [anon_sym_continue] = ACTIONS(301),
    [anon_sym_resume] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_try] = ACTIONS(309),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [395] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(901),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [396] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1345),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [397] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1415),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [398] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(983),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [399] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(995),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [400] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1353),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [401] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1423),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [402] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1357),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [403] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1358),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [404] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1437),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [405] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1439),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [406] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1412),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [407] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1457),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [408] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1446),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(936),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [409] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(904),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(941),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [410] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1400),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [411] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(959),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [412] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1481),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [413] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1420),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [414] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1421),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [415] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_expression] = STATE(1335),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(181),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [416] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_expression] = STATE(1336),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(181),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [417] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(904),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [418] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1376),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [419] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1456),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [420] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(985),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [421] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1377),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [422] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(492),
    [sym__while_prefix] = STATE(493),
    [sym_expression] = STATE(1398),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1493),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(279),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(281),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(285),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(830),
    [anon_sym_TILDE] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_DASH_PERCENT] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_await] = ACTIONS(299),
    [anon_sym_continue] = ACTIONS(301),
    [anon_sym_resume] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_try] = ACTIONS(309),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [423] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1408),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [424] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1462),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [425] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_expression] = STATE(1378),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(181),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [426] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(987),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [427] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1409),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [428] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_expression] = STATE(1375),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(181),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [429] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1433),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [430] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1410),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [431] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_expression] = STATE(1380),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(181),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [432] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_expression] = STATE(1301),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(181),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [433] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(994),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [434] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_expression] = STATE(1304),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(181),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [435] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1443),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1098),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1494),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(684),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [436] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_expression] = STATE(1324),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(181),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [437] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_expression] = STATE(1325),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(181),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [438] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1482),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1097),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1494),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(684),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [439] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_expression] = STATE(1290),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(181),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [440] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_expression] = STATE(1247),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(181),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [441] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_expression] = STATE(1272),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(181),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [442] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_expression] = STATE(1323),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(181),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [443] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1436),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [444] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(906),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [445] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1485),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1020),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1494),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(684),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [446] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_expression] = STATE(1293),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(181),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [447] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_expression] = STATE(1265),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(181),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [448] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_expression] = STATE(1026),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(181),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [449] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_expression] = STATE(1259),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(181),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [450] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_expression] = STATE(1260),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(181),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [451] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_expression] = STATE(1261),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(181),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [452] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_expression] = STATE(1275),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(181),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [453] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_expression] = STATE(1283),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(181),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [454] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1485),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1028),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1494),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(684),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [455] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_expression] = STATE(1309),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(181),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [456] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(957),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [457] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1485),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1039),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1494),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(684),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [458] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_expression] = STATE(1317),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(181),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [459] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_expression] = STATE(1248),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(181),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [460] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_expression] = STATE(1251),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(181),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [461] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_expression] = STATE(1258),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(181),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [462] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_expression] = STATE(1266),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(181),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [463] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1478),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [464] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(980),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [465] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_expression] = STATE(1329),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(181),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [466] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1485),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1100),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1494),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(684),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [467] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_expression] = STATE(1331),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(181),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [468] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_expression] = STATE(1249),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(181),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [469] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(953),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [470] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(889),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [471] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(492),
    [sym__while_prefix] = STATE(493),
    [sym_expression] = STATE(1413),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1493),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(279),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(281),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(285),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(830),
    [anon_sym_TILDE] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_DASH_PERCENT] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_await] = ACTIONS(299),
    [anon_sym_continue] = ACTIONS(301),
    [anon_sym_resume] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_try] = ACTIONS(309),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [472] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(966),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [473] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(974),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [474] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(947),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [475] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(996),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [476] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(984),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [477] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1485),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1063),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1494),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(684),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [478] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_expression] = STATE(1278),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(181),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [479] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_expression] = STATE(1282),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(181),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [480] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(917),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [481] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_expression] = STATE(1315),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(181),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [482] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1395),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [483] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(492),
    [sym__while_prefix] = STATE(493),
    [sym_expression] = STATE(1280),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1493),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(279),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(281),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(285),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(830),
    [anon_sym_TILDE] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_DASH_PERCENT] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_await] = ACTIONS(299),
    [anon_sym_continue] = ACTIONS(301),
    [anon_sym_resume] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_try] = ACTIONS(309),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [484] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(492),
    [sym__while_prefix] = STATE(493),
    [sym_expression] = STATE(1201),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1202),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1493),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(279),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(281),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(285),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(830),
    [anon_sym_TILDE] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_DASH_PERCENT] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_await] = ACTIONS(299),
    [anon_sym_continue] = ACTIONS(301),
    [anon_sym_resume] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_try] = ACTIONS(309),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [485] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(492),
    [sym__while_prefix] = STATE(493),
    [sym_expression] = STATE(1201),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1493),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(279),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(281),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(285),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(830),
    [anon_sym_TILDE] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_DASH_PERCENT] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_await] = ACTIONS(299),
    [anon_sym_continue] = ACTIONS(301),
    [anon_sym_resume] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_try] = ACTIONS(309),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [486] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(492),
    [sym__while_prefix] = STATE(493),
    [sym_expression] = STATE(1286),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1493),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(279),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(281),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(285),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(830),
    [anon_sym_TILDE] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_DASH_PERCENT] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_await] = ACTIONS(299),
    [anon_sym_continue] = ACTIONS(301),
    [anon_sym_resume] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_try] = ACTIONS(309),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [487] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(492),
    [sym__while_prefix] = STATE(493),
    [sym_expression] = STATE(1287),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1493),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(279),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(281),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(285),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(830),
    [anon_sym_TILDE] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_DASH_PERCENT] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_await] = ACTIONS(299),
    [anon_sym_continue] = ACTIONS(301),
    [anon_sym_resume] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_try] = ACTIONS(309),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [488] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(492),
    [sym__while_prefix] = STATE(493),
    [sym_expression] = STATE(1289),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1493),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(279),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(281),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(285),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(830),
    [anon_sym_TILDE] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_DASH_PERCENT] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_await] = ACTIONS(299),
    [anon_sym_continue] = ACTIONS(301),
    [anon_sym_resume] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_try] = ACTIONS(309),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [489] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(492),
    [sym__while_prefix] = STATE(493),
    [sym_expression] = STATE(1292),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1493),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(279),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(281),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(285),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(830),
    [anon_sym_TILDE] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_DASH_PERCENT] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_await] = ACTIONS(299),
    [anon_sym_continue] = ACTIONS(301),
    [anon_sym_resume] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_try] = ACTIONS(309),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [490] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1455),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [491] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(961),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(914),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [492] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(492),
    [sym__while_prefix] = STATE(493),
    [sym_expression] = STATE(1340),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1493),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(279),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(281),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(285),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(830),
    [anon_sym_TILDE] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_DASH_PERCENT] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_await] = ACTIONS(299),
    [anon_sym_continue] = ACTIONS(301),
    [anon_sym_resume] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_try] = ACTIONS(309),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [493] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(492),
    [sym__while_prefix] = STATE(493),
    [sym_expression] = STATE(1296),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1493),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(279),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(281),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(285),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(830),
    [anon_sym_TILDE] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_DASH_PERCENT] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_await] = ACTIONS(299),
    [anon_sym_continue] = ACTIONS(301),
    [anon_sym_resume] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_try] = ACTIONS(309),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [494] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(958),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(908),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [495] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(492),
    [sym__while_prefix] = STATE(493),
    [sym_expression] = STATE(1306),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1493),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(279),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(281),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(285),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(830),
    [anon_sym_TILDE] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_DASH_PERCENT] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_await] = ACTIONS(299),
    [anon_sym_continue] = ACTIONS(301),
    [anon_sym_resume] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_try] = ACTIONS(309),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [496] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(492),
    [sym__while_prefix] = STATE(493),
    [sym_expression] = STATE(1307),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1493),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(279),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(281),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(285),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(830),
    [anon_sym_TILDE] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_DASH_PERCENT] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_await] = ACTIONS(299),
    [anon_sym_continue] = ACTIONS(301),
    [anon_sym_resume] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_try] = ACTIONS(309),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [497] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(492),
    [sym__while_prefix] = STATE(493),
    [sym_expression] = STATE(1279),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1493),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(279),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(281),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(285),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(830),
    [anon_sym_TILDE] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_DASH_PERCENT] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_await] = ACTIONS(299),
    [anon_sym_continue] = ACTIONS(301),
    [anon_sym_resume] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_try] = ACTIONS(309),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [498] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(492),
    [sym__while_prefix] = STATE(493),
    [sym_expression] = STATE(1294),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1493),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(279),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(281),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(285),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(830),
    [anon_sym_TILDE] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_DASH_PERCENT] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_await] = ACTIONS(299),
    [anon_sym_continue] = ACTIONS(301),
    [anon_sym_resume] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_try] = ACTIONS(309),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [499] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1483),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1104),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(700),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [500] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(492),
    [sym__while_prefix] = STATE(493),
    [sym_expression] = STATE(1314),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1493),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(279),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(281),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(285),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(830),
    [anon_sym_TILDE] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_DASH_PERCENT] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_await] = ACTIONS(299),
    [anon_sym_continue] = ACTIONS(301),
    [anon_sym_resume] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_try] = ACTIONS(309),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [501] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(492),
    [sym__while_prefix] = STATE(493),
    [sym_expression] = STATE(1316),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1493),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(279),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(281),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(285),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(830),
    [anon_sym_TILDE] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_DASH_PERCENT] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_await] = ACTIONS(299),
    [anon_sym_continue] = ACTIONS(301),
    [anon_sym_resume] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_try] = ACTIONS(309),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [502] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(492),
    [sym__while_prefix] = STATE(493),
    [sym_expression] = STATE(1106),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1493),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(279),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(281),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(285),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(830),
    [anon_sym_TILDE] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_DASH_PERCENT] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_await] = ACTIONS(299),
    [anon_sym_continue] = ACTIONS(301),
    [anon_sym_resume] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_try] = ACTIONS(309),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [503] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(492),
    [sym__while_prefix] = STATE(493),
    [sym_expression] = STATE(1320),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1493),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(279),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(281),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(285),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(830),
    [anon_sym_TILDE] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_DASH_PERCENT] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_await] = ACTIONS(299),
    [anon_sym_continue] = ACTIONS(301),
    [anon_sym_resume] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_try] = ACTIONS(309),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [504] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(492),
    [sym__while_prefix] = STATE(493),
    [sym_expression] = STATE(1321),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1493),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(279),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(281),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(285),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(830),
    [anon_sym_TILDE] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_DASH_PERCENT] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_await] = ACTIONS(299),
    [anon_sym_continue] = ACTIONS(301),
    [anon_sym_resume] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_try] = ACTIONS(309),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [505] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(492),
    [sym__while_prefix] = STATE(493),
    [sym_expression] = STATE(1322),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1493),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(279),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(281),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(285),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(830),
    [anon_sym_TILDE] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_DASH_PERCENT] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_await] = ACTIONS(299),
    [anon_sym_continue] = ACTIONS(301),
    [anon_sym_resume] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_try] = ACTIONS(309),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [506] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(492),
    [sym__while_prefix] = STATE(493),
    [sym_expression] = STATE(1326),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1493),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(279),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(281),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(285),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(830),
    [anon_sym_TILDE] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_DASH_PERCENT] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_await] = ACTIONS(299),
    [anon_sym_continue] = ACTIONS(301),
    [anon_sym_resume] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_try] = ACTIONS(309),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [507] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(492),
    [sym__while_prefix] = STATE(493),
    [sym_expression] = STATE(1327),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1493),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(279),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(281),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(285),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(830),
    [anon_sym_TILDE] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_DASH_PERCENT] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_await] = ACTIONS(299),
    [anon_sym_continue] = ACTIONS(301),
    [anon_sym_resume] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_try] = ACTIONS(309),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [508] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1483),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1107),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(700),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [509] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(492),
    [sym__while_prefix] = STATE(493),
    [sym_expression] = STATE(1330),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1493),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(279),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(281),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(285),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(830),
    [anon_sym_TILDE] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_DASH_PERCENT] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_await] = ACTIONS(299),
    [anon_sym_continue] = ACTIONS(301),
    [anon_sym_resume] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_try] = ACTIONS(309),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [510] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1435),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [511] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1483),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1112),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(700),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [512] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(492),
    [sym__while_prefix] = STATE(493),
    [sym_expression] = STATE(1271),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1493),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(279),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(281),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(285),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(830),
    [anon_sym_TILDE] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_DASH_PERCENT] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_await] = ACTIONS(299),
    [anon_sym_continue] = ACTIONS(301),
    [anon_sym_resume] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_try] = ACTIONS(309),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [513] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(492),
    [sym__while_prefix] = STATE(493),
    [sym_expression] = STATE(1284),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1493),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(279),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(281),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(285),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(830),
    [anon_sym_TILDE] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_DASH_PERCENT] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_await] = ACTIONS(299),
    [anon_sym_continue] = ACTIONS(301),
    [anon_sym_resume] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_try] = ACTIONS(309),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [514] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(492),
    [sym__while_prefix] = STATE(493),
    [sym_expression] = STATE(1300),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1493),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(279),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(281),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(285),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(830),
    [anon_sym_TILDE] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_DASH_PERCENT] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_await] = ACTIONS(299),
    [anon_sym_continue] = ACTIONS(301),
    [anon_sym_resume] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_try] = ACTIONS(309),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [515] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(492),
    [sym__while_prefix] = STATE(493),
    [sym_expression] = STATE(1305),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1493),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(279),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(281),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(285),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(830),
    [anon_sym_TILDE] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_DASH_PERCENT] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_await] = ACTIONS(299),
    [anon_sym_continue] = ACTIONS(301),
    [anon_sym_resume] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_try] = ACTIONS(309),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [516] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(492),
    [sym__while_prefix] = STATE(493),
    [sym_expression] = STATE(1244),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1493),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(279),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(281),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(285),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(830),
    [anon_sym_TILDE] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_DASH_PERCENT] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_await] = ACTIONS(299),
    [anon_sym_continue] = ACTIONS(301),
    [anon_sym_resume] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_try] = ACTIONS(309),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [517] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1371),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [518] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1427),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [519] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1428),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [520] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1430),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [521] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(492),
    [sym__while_prefix] = STATE(493),
    [sym_expression] = STATE(1252),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1493),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(279),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(281),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(285),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(830),
    [anon_sym_TILDE] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_DASH_PERCENT] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_await] = ACTIONS(299),
    [anon_sym_continue] = ACTIONS(301),
    [anon_sym_resume] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_try] = ACTIONS(309),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [522] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(879),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [523] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(492),
    [sym__while_prefix] = STATE(493),
    [sym_expression] = STATE(1253),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1493),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(279),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(281),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(285),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(830),
    [anon_sym_TILDE] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_DASH_PERCENT] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_await] = ACTIONS(299),
    [anon_sym_continue] = ACTIONS(301),
    [anon_sym_resume] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_try] = ACTIONS(309),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [524] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1441),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(938),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [525] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(492),
    [sym__while_prefix] = STATE(493),
    [sym_expression] = STATE(1256),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1493),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(279),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(281),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(285),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(830),
    [anon_sym_TILDE] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_DASH_PERCENT] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_await] = ACTIONS(299),
    [anon_sym_continue] = ACTIONS(301),
    [anon_sym_resume] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_try] = ACTIONS(309),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [526] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1449),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [527] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1467),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [528] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1483),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1121),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(700),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [529] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(492),
    [sym__while_prefix] = STATE(493),
    [sym_expression] = STATE(1262),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1493),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(279),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(281),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(285),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(830),
    [anon_sym_TILDE] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_DASH_PERCENT] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_await] = ACTIONS(299),
    [anon_sym_continue] = ACTIONS(301),
    [anon_sym_resume] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_try] = ACTIONS(309),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [530] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(492),
    [sym__while_prefix] = STATE(493),
    [sym_expression] = STATE(1264),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1493),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(279),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(281),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(285),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(830),
    [anon_sym_TILDE] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_DASH_PERCENT] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_await] = ACTIONS(299),
    [anon_sym_continue] = ACTIONS(301),
    [anon_sym_resume] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_try] = ACTIONS(309),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [531] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(492),
    [sym__while_prefix] = STATE(493),
    [sym_expression] = STATE(1268),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1493),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(279),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(281),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(285),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(830),
    [anon_sym_TILDE] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_DASH_PERCENT] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_await] = ACTIONS(299),
    [anon_sym_continue] = ACTIONS(301),
    [anon_sym_resume] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_try] = ACTIONS(309),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [532] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(539),
    [sym__for_prefix] = STATE(534),
    [sym__while_prefix] = STATE(535),
    [sym_expression] = STATE(1210),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1492),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(253),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(255),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(257),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(824),
    [anon_sym_TILDE] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(261),
    [anon_sym_AMP] = ACTIONS(261),
    [anon_sym_async] = ACTIONS(265),
    [anon_sym_await] = ACTIONS(267),
    [anon_sym_continue] = ACTIONS(269),
    [anon_sym_resume] = ACTIONS(271),
    [anon_sym_return] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(275),
    [anon_sym_try] = ACTIONS(277),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [533] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(539),
    [sym__for_prefix] = STATE(534),
    [sym__while_prefix] = STATE(535),
    [sym_expression] = STATE(1213),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1492),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(253),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(255),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(257),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(824),
    [anon_sym_TILDE] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(261),
    [anon_sym_AMP] = ACTIONS(261),
    [anon_sym_async] = ACTIONS(265),
    [anon_sym_await] = ACTIONS(267),
    [anon_sym_continue] = ACTIONS(269),
    [anon_sym_resume] = ACTIONS(271),
    [anon_sym_return] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(275),
    [anon_sym_try] = ACTIONS(277),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [534] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(539),
    [sym__for_prefix] = STATE(534),
    [sym__while_prefix] = STATE(535),
    [sym_expression] = STATE(1215),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1492),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(253),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(255),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(257),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(824),
    [anon_sym_TILDE] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(261),
    [anon_sym_AMP] = ACTIONS(261),
    [anon_sym_async] = ACTIONS(265),
    [anon_sym_await] = ACTIONS(267),
    [anon_sym_continue] = ACTIONS(269),
    [anon_sym_resume] = ACTIONS(271),
    [anon_sym_return] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(275),
    [anon_sym_try] = ACTIONS(277),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [535] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(539),
    [sym__for_prefix] = STATE(534),
    [sym__while_prefix] = STATE(535),
    [sym_expression] = STATE(1216),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1492),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(253),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(255),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(257),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(824),
    [anon_sym_TILDE] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(261),
    [anon_sym_AMP] = ACTIONS(261),
    [anon_sym_async] = ACTIONS(265),
    [anon_sym_await] = ACTIONS(267),
    [anon_sym_continue] = ACTIONS(269),
    [anon_sym_resume] = ACTIONS(271),
    [anon_sym_return] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(275),
    [anon_sym_try] = ACTIONS(277),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [536] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(539),
    [sym__for_prefix] = STATE(534),
    [sym__while_prefix] = STATE(535),
    [sym_expression] = STATE(1128),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1492),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(253),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(255),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(257),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(824),
    [anon_sym_TILDE] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(261),
    [anon_sym_AMP] = ACTIONS(261),
    [anon_sym_async] = ACTIONS(265),
    [anon_sym_await] = ACTIONS(267),
    [anon_sym_continue] = ACTIONS(269),
    [anon_sym_resume] = ACTIONS(271),
    [anon_sym_return] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(275),
    [anon_sym_try] = ACTIONS(277),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [537] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(539),
    [sym__for_prefix] = STATE(534),
    [sym__while_prefix] = STATE(535),
    [sym_expression] = STATE(1129),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1492),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(253),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(255),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(257),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(824),
    [anon_sym_TILDE] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(261),
    [anon_sym_AMP] = ACTIONS(261),
    [anon_sym_async] = ACTIONS(265),
    [anon_sym_await] = ACTIONS(267),
    [anon_sym_continue] = ACTIONS(269),
    [anon_sym_resume] = ACTIONS(271),
    [anon_sym_return] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(275),
    [anon_sym_try] = ACTIONS(277),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [538] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(539),
    [sym__for_prefix] = STATE(534),
    [sym__while_prefix] = STATE(535),
    [sym_expression] = STATE(1205),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1492),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(253),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(255),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(257),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(824),
    [anon_sym_TILDE] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(261),
    [anon_sym_AMP] = ACTIONS(261),
    [anon_sym_async] = ACTIONS(265),
    [anon_sym_await] = ACTIONS(267),
    [anon_sym_continue] = ACTIONS(269),
    [anon_sym_resume] = ACTIONS(271),
    [anon_sym_return] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(275),
    [anon_sym_try] = ACTIONS(277),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [539] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(539),
    [sym__for_prefix] = STATE(534),
    [sym__while_prefix] = STATE(535),
    [sym_expression] = STATE(1214),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1492),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(253),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(255),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(257),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(824),
    [anon_sym_TILDE] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(261),
    [anon_sym_AMP] = ACTIONS(261),
    [anon_sym_async] = ACTIONS(265),
    [anon_sym_await] = ACTIONS(267),
    [anon_sym_continue] = ACTIONS(269),
    [anon_sym_resume] = ACTIONS(271),
    [anon_sym_return] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(275),
    [anon_sym_try] = ACTIONS(277),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [540] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(539),
    [sym__for_prefix] = STATE(534),
    [sym__while_prefix] = STATE(535),
    [sym_expression] = STATE(1132),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1492),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(253),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(255),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(257),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(824),
    [anon_sym_TILDE] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(261),
    [anon_sym_AMP] = ACTIONS(261),
    [anon_sym_async] = ACTIONS(265),
    [anon_sym_await] = ACTIONS(267),
    [anon_sym_continue] = ACTIONS(269),
    [anon_sym_resume] = ACTIONS(271),
    [anon_sym_return] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(275),
    [anon_sym_try] = ACTIONS(277),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [541] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(539),
    [sym__for_prefix] = STATE(534),
    [sym__while_prefix] = STATE(535),
    [sym_expression] = STATE(1133),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1492),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(253),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(255),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(257),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(824),
    [anon_sym_TILDE] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(261),
    [anon_sym_AMP] = ACTIONS(261),
    [anon_sym_async] = ACTIONS(265),
    [anon_sym_await] = ACTIONS(267),
    [anon_sym_continue] = ACTIONS(269),
    [anon_sym_resume] = ACTIONS(271),
    [anon_sym_return] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(275),
    [anon_sym_try] = ACTIONS(277),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [542] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(539),
    [sym__for_prefix] = STATE(534),
    [sym__while_prefix] = STATE(535),
    [sym_expression] = STATE(1026),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1492),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(253),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(255),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(257),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(824),
    [anon_sym_TILDE] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(261),
    [anon_sym_AMP] = ACTIONS(261),
    [anon_sym_async] = ACTIONS(265),
    [anon_sym_await] = ACTIONS(267),
    [anon_sym_continue] = ACTIONS(269),
    [anon_sym_resume] = ACTIONS(271),
    [anon_sym_return] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(275),
    [anon_sym_try] = ACTIONS(277),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [543] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(539),
    [sym__for_prefix] = STATE(534),
    [sym__while_prefix] = STATE(535),
    [sym_expression] = STATE(1134),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1492),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(253),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(255),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(257),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(824),
    [anon_sym_TILDE] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(261),
    [anon_sym_AMP] = ACTIONS(261),
    [anon_sym_async] = ACTIONS(265),
    [anon_sym_await] = ACTIONS(267),
    [anon_sym_continue] = ACTIONS(269),
    [anon_sym_resume] = ACTIONS(271),
    [anon_sym_return] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(275),
    [anon_sym_try] = ACTIONS(277),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [544] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(539),
    [sym__for_prefix] = STATE(534),
    [sym__while_prefix] = STATE(535),
    [sym_expression] = STATE(1135),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1492),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(253),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(255),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(257),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(824),
    [anon_sym_TILDE] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(261),
    [anon_sym_AMP] = ACTIONS(261),
    [anon_sym_async] = ACTIONS(265),
    [anon_sym_await] = ACTIONS(267),
    [anon_sym_continue] = ACTIONS(269),
    [anon_sym_resume] = ACTIONS(271),
    [anon_sym_return] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(275),
    [anon_sym_try] = ACTIONS(277),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [545] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(539),
    [sym__for_prefix] = STATE(534),
    [sym__while_prefix] = STATE(535),
    [sym_expression] = STATE(1136),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1492),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(253),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(255),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(257),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(824),
    [anon_sym_TILDE] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(261),
    [anon_sym_AMP] = ACTIONS(261),
    [anon_sym_async] = ACTIONS(265),
    [anon_sym_await] = ACTIONS(267),
    [anon_sym_continue] = ACTIONS(269),
    [anon_sym_resume] = ACTIONS(271),
    [anon_sym_return] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(275),
    [anon_sym_try] = ACTIONS(277),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [546] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(539),
    [sym__for_prefix] = STATE(534),
    [sym__while_prefix] = STATE(535),
    [sym_expression] = STATE(1137),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1492),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(253),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(255),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(257),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(824),
    [anon_sym_TILDE] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(261),
    [anon_sym_AMP] = ACTIONS(261),
    [anon_sym_async] = ACTIONS(265),
    [anon_sym_await] = ACTIONS(267),
    [anon_sym_continue] = ACTIONS(269),
    [anon_sym_resume] = ACTIONS(271),
    [anon_sym_return] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(275),
    [anon_sym_try] = ACTIONS(277),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [547] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(539),
    [sym__for_prefix] = STATE(534),
    [sym__while_prefix] = STATE(535),
    [sym_expression] = STATE(1138),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1492),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(253),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(255),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(257),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(824),
    [anon_sym_TILDE] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(261),
    [anon_sym_AMP] = ACTIONS(261),
    [anon_sym_async] = ACTIONS(265),
    [anon_sym_await] = ACTIONS(267),
    [anon_sym_continue] = ACTIONS(269),
    [anon_sym_resume] = ACTIONS(271),
    [anon_sym_return] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(275),
    [anon_sym_try] = ACTIONS(277),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [548] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(539),
    [sym__for_prefix] = STATE(534),
    [sym__while_prefix] = STATE(535),
    [sym_expression] = STATE(1140),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1492),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(253),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(255),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(257),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(824),
    [anon_sym_TILDE] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(261),
    [anon_sym_AMP] = ACTIONS(261),
    [anon_sym_async] = ACTIONS(265),
    [anon_sym_await] = ACTIONS(267),
    [anon_sym_continue] = ACTIONS(269),
    [anon_sym_resume] = ACTIONS(271),
    [anon_sym_return] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(275),
    [anon_sym_try] = ACTIONS(277),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [549] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(961),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(942),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [550] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(539),
    [sym__for_prefix] = STATE(534),
    [sym__while_prefix] = STATE(535),
    [sym_expression] = STATE(1143),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1492),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(253),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(255),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(257),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(824),
    [anon_sym_TILDE] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(261),
    [anon_sym_AMP] = ACTIONS(261),
    [anon_sym_async] = ACTIONS(265),
    [anon_sym_await] = ACTIONS(267),
    [anon_sym_continue] = ACTIONS(269),
    [anon_sym_resume] = ACTIONS(271),
    [anon_sym_return] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(275),
    [anon_sym_try] = ACTIONS(277),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [551] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(971),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [552] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(539),
    [sym__for_prefix] = STATE(534),
    [sym__while_prefix] = STATE(535),
    [sym_expression] = STATE(1145),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1492),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(253),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(255),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(257),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(824),
    [anon_sym_TILDE] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(261),
    [anon_sym_AMP] = ACTIONS(261),
    [anon_sym_async] = ACTIONS(265),
    [anon_sym_await] = ACTIONS(267),
    [anon_sym_continue] = ACTIONS(269),
    [anon_sym_resume] = ACTIONS(271),
    [anon_sym_return] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(275),
    [anon_sym_try] = ACTIONS(277),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [553] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(539),
    [sym__for_prefix] = STATE(534),
    [sym__while_prefix] = STATE(535),
    [sym_expression] = STATE(1146),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1492),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(253),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(255),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(257),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(824),
    [anon_sym_TILDE] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(261),
    [anon_sym_AMP] = ACTIONS(261),
    [anon_sym_async] = ACTIONS(265),
    [anon_sym_await] = ACTIONS(267),
    [anon_sym_continue] = ACTIONS(269),
    [anon_sym_resume] = ACTIONS(271),
    [anon_sym_return] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(275),
    [anon_sym_try] = ACTIONS(277),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [554] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(539),
    [sym__for_prefix] = STATE(534),
    [sym__while_prefix] = STATE(535),
    [sym_expression] = STATE(1147),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1492),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(253),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(255),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(257),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(824),
    [anon_sym_TILDE] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(261),
    [anon_sym_AMP] = ACTIONS(261),
    [anon_sym_async] = ACTIONS(265),
    [anon_sym_await] = ACTIONS(267),
    [anon_sym_continue] = ACTIONS(269),
    [anon_sym_resume] = ACTIONS(271),
    [anon_sym_return] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(275),
    [anon_sym_try] = ACTIONS(277),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [555] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(539),
    [sym__for_prefix] = STATE(534),
    [sym__while_prefix] = STATE(535),
    [sym_expression] = STATE(1148),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1492),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(253),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(255),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(257),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(824),
    [anon_sym_TILDE] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(261),
    [anon_sym_AMP] = ACTIONS(261),
    [anon_sym_async] = ACTIONS(265),
    [anon_sym_await] = ACTIONS(267),
    [anon_sym_continue] = ACTIONS(269),
    [anon_sym_resume] = ACTIONS(271),
    [anon_sym_return] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(275),
    [anon_sym_try] = ACTIONS(277),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [556] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(962),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [557] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(539),
    [sym__for_prefix] = STATE(534),
    [sym__while_prefix] = STATE(535),
    [sym_expression] = STATE(1150),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1492),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(253),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(255),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(257),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(824),
    [anon_sym_TILDE] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(261),
    [anon_sym_AMP] = ACTIONS(261),
    [anon_sym_async] = ACTIONS(265),
    [anon_sym_await] = ACTIONS(267),
    [anon_sym_continue] = ACTIONS(269),
    [anon_sym_resume] = ACTIONS(271),
    [anon_sym_return] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(275),
    [anon_sym_try] = ACTIONS(277),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [558] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(539),
    [sym__for_prefix] = STATE(534),
    [sym__while_prefix] = STATE(535),
    [sym_expression] = STATE(1152),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1492),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(253),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(255),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(257),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(824),
    [anon_sym_TILDE] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(261),
    [anon_sym_AMP] = ACTIONS(261),
    [anon_sym_async] = ACTIONS(265),
    [anon_sym_await] = ACTIONS(267),
    [anon_sym_continue] = ACTIONS(269),
    [anon_sym_resume] = ACTIONS(271),
    [anon_sym_return] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(275),
    [anon_sym_try] = ACTIONS(277),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [559] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(539),
    [sym__for_prefix] = STATE(534),
    [sym__while_prefix] = STATE(535),
    [sym_expression] = STATE(1154),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1492),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(253),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(255),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(257),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(824),
    [anon_sym_TILDE] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(261),
    [anon_sym_AMP] = ACTIONS(261),
    [anon_sym_async] = ACTIONS(265),
    [anon_sym_await] = ACTIONS(267),
    [anon_sym_continue] = ACTIONS(269),
    [anon_sym_resume] = ACTIONS(271),
    [anon_sym_return] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(275),
    [anon_sym_try] = ACTIONS(277),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [560] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(539),
    [sym__for_prefix] = STATE(534),
    [sym__while_prefix] = STATE(535),
    [sym_expression] = STATE(1155),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1492),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(253),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(255),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(257),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(824),
    [anon_sym_TILDE] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(261),
    [anon_sym_AMP] = ACTIONS(261),
    [anon_sym_async] = ACTIONS(265),
    [anon_sym_await] = ACTIONS(267),
    [anon_sym_continue] = ACTIONS(269),
    [anon_sym_resume] = ACTIONS(271),
    [anon_sym_return] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(275),
    [anon_sym_try] = ACTIONS(277),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [561] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(539),
    [sym__for_prefix] = STATE(534),
    [sym__while_prefix] = STATE(535),
    [sym_expression] = STATE(1157),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1492),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(253),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(255),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(257),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(824),
    [anon_sym_TILDE] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(261),
    [anon_sym_AMP] = ACTIONS(261),
    [anon_sym_async] = ACTIONS(265),
    [anon_sym_await] = ACTIONS(267),
    [anon_sym_continue] = ACTIONS(269),
    [anon_sym_resume] = ACTIONS(271),
    [anon_sym_return] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(275),
    [anon_sym_try] = ACTIONS(277),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [562] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(539),
    [sym__for_prefix] = STATE(534),
    [sym__while_prefix] = STATE(535),
    [sym_expression] = STATE(1158),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1492),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(253),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(255),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(257),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(824),
    [anon_sym_TILDE] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(261),
    [anon_sym_AMP] = ACTIONS(261),
    [anon_sym_async] = ACTIONS(265),
    [anon_sym_await] = ACTIONS(267),
    [anon_sym_continue] = ACTIONS(269),
    [anon_sym_resume] = ACTIONS(271),
    [anon_sym_return] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(275),
    [anon_sym_try] = ACTIONS(277),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [563] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(577),
    [sym__for_prefix] = STATE(571),
    [sym__while_prefix] = STATE(572),
    [sym_expression] = STATE(921),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1497),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(111),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(117),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_DASH_PERCENT] = ACTIONS(125),
    [anon_sym_AMP] = ACTIONS(125),
    [anon_sym_async] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(131),
    [anon_sym_continue] = ACTIONS(133),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_try] = ACTIONS(141),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [564] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1201),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1202),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(700),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [565] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(577),
    [sym__for_prefix] = STATE(571),
    [sym__while_prefix] = STATE(572),
    [sym_expression] = STATE(904),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1497),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(111),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(117),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_DASH_PERCENT] = ACTIONS(125),
    [anon_sym_AMP] = ACTIONS(125),
    [anon_sym_async] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(131),
    [anon_sym_continue] = ACTIONS(133),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_try] = ACTIONS(141),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [566] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(577),
    [sym__for_prefix] = STATE(571),
    [sym__while_prefix] = STATE(572),
    [sym_expression] = STATE(922),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1497),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(111),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(117),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_DASH_PERCENT] = ACTIONS(125),
    [anon_sym_AMP] = ACTIONS(125),
    [anon_sym_async] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(131),
    [anon_sym_continue] = ACTIONS(133),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_try] = ACTIONS(141),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [567] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(577),
    [sym__for_prefix] = STATE(571),
    [sym__while_prefix] = STATE(572),
    [sym_expression] = STATE(923),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1497),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(111),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(117),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_DASH_PERCENT] = ACTIONS(125),
    [anon_sym_AMP] = ACTIONS(125),
    [anon_sym_async] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(131),
    [anon_sym_continue] = ACTIONS(133),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_try] = ACTIONS(141),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [568] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(577),
    [sym__for_prefix] = STATE(571),
    [sym__while_prefix] = STATE(572),
    [sym_expression] = STATE(925),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1497),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(111),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(117),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_DASH_PERCENT] = ACTIONS(125),
    [anon_sym_AMP] = ACTIONS(125),
    [anon_sym_async] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(131),
    [anon_sym_continue] = ACTIONS(133),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_try] = ACTIONS(141),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [569] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(577),
    [sym__for_prefix] = STATE(571),
    [sym__while_prefix] = STATE(572),
    [sym_expression] = STATE(928),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1497),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(111),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(117),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_DASH_PERCENT] = ACTIONS(125),
    [anon_sym_AMP] = ACTIONS(125),
    [anon_sym_async] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(131),
    [anon_sym_continue] = ACTIONS(133),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_try] = ACTIONS(141),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [570] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(961),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1257),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [571] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(577),
    [sym__for_prefix] = STATE(571),
    [sym__while_prefix] = STATE(572),
    [sym_expression] = STATE(929),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1497),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(111),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(117),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_DASH_PERCENT] = ACTIONS(125),
    [anon_sym_AMP] = ACTIONS(125),
    [anon_sym_async] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(131),
    [anon_sym_continue] = ACTIONS(133),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_try] = ACTIONS(141),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [572] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(577),
    [sym__for_prefix] = STATE(571),
    [sym__while_prefix] = STATE(572),
    [sym_expression] = STATE(930),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1497),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(111),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(117),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_DASH_PERCENT] = ACTIONS(125),
    [anon_sym_AMP] = ACTIONS(125),
    [anon_sym_async] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(131),
    [anon_sym_continue] = ACTIONS(133),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_try] = ACTIONS(141),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [573] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1486),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1126),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(700),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [574] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(577),
    [sym__for_prefix] = STATE(571),
    [sym__while_prefix] = STATE(572),
    [sym_expression] = STATE(933),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1497),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(111),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(117),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_DASH_PERCENT] = ACTIONS(125),
    [anon_sym_AMP] = ACTIONS(125),
    [anon_sym_async] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(131),
    [anon_sym_continue] = ACTIONS(133),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_try] = ACTIONS(141),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [575] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(577),
    [sym__for_prefix] = STATE(571),
    [sym__while_prefix] = STATE(572),
    [sym_expression] = STATE(934),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1497),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(111),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(117),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_DASH_PERCENT] = ACTIONS(125),
    [anon_sym_AMP] = ACTIONS(125),
    [anon_sym_async] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(131),
    [anon_sym_continue] = ACTIONS(133),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_try] = ACTIONS(141),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [576] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(577),
    [sym__for_prefix] = STATE(571),
    [sym__while_prefix] = STATE(572),
    [sym_expression] = STATE(931),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1497),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(111),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(117),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_DASH_PERCENT] = ACTIONS(125),
    [anon_sym_AMP] = ACTIONS(125),
    [anon_sym_async] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(131),
    [anon_sym_continue] = ACTIONS(133),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_try] = ACTIONS(141),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [577] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(577),
    [sym__for_prefix] = STATE(571),
    [sym__while_prefix] = STATE(572),
    [sym_expression] = STATE(932),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1497),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(111),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(117),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_DASH_PERCENT] = ACTIONS(125),
    [anon_sym_AMP] = ACTIONS(125),
    [anon_sym_async] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(131),
    [anon_sym_continue] = ACTIONS(133),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_try] = ACTIONS(141),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [578] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(577),
    [sym__for_prefix] = STATE(571),
    [sym__while_prefix] = STATE(572),
    [sym_expression] = STATE(939),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1497),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(111),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(117),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_DASH_PERCENT] = ACTIONS(125),
    [anon_sym_AMP] = ACTIONS(125),
    [anon_sym_async] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(131),
    [anon_sym_continue] = ACTIONS(133),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_try] = ACTIONS(141),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [579] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(577),
    [sym__for_prefix] = STATE(571),
    [sym__while_prefix] = STATE(572),
    [sym_expression] = STATE(940),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1497),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(111),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(117),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_DASH_PERCENT] = ACTIONS(125),
    [anon_sym_AMP] = ACTIONS(125),
    [anon_sym_async] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(131),
    [anon_sym_continue] = ACTIONS(133),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_try] = ACTIONS(141),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [580] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(577),
    [sym__for_prefix] = STATE(571),
    [sym__while_prefix] = STATE(572),
    [sym_expression] = STATE(889),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1497),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(111),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(117),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_DASH_PERCENT] = ACTIONS(125),
    [anon_sym_AMP] = ACTIONS(125),
    [anon_sym_async] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(131),
    [anon_sym_continue] = ACTIONS(133),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_try] = ACTIONS(141),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [581] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(577),
    [sym__for_prefix] = STATE(571),
    [sym__while_prefix] = STATE(572),
    [sym_expression] = STATE(905),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1497),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(111),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(117),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_DASH_PERCENT] = ACTIONS(125),
    [anon_sym_AMP] = ACTIONS(125),
    [anon_sym_async] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(131),
    [anon_sym_continue] = ACTIONS(133),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_try] = ACTIONS(141),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [582] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(577),
    [sym__for_prefix] = STATE(571),
    [sym__while_prefix] = STATE(572),
    [sym_expression] = STATE(868),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1497),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(111),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(117),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_DASH_PERCENT] = ACTIONS(125),
    [anon_sym_AMP] = ACTIONS(125),
    [anon_sym_async] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(131),
    [anon_sym_continue] = ACTIONS(133),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_try] = ACTIONS(141),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [583] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(577),
    [sym__for_prefix] = STATE(571),
    [sym__while_prefix] = STATE(572),
    [sym_expression] = STATE(869),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1497),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(111),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(117),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_DASH_PERCENT] = ACTIONS(125),
    [anon_sym_AMP] = ACTIONS(125),
    [anon_sym_async] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(131),
    [anon_sym_continue] = ACTIONS(133),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_try] = ACTIONS(141),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [584] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(577),
    [sym__for_prefix] = STATE(571),
    [sym__while_prefix] = STATE(572),
    [sym_expression] = STATE(870),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1497),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(111),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(117),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_DASH_PERCENT] = ACTIONS(125),
    [anon_sym_AMP] = ACTIONS(125),
    [anon_sym_async] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(131),
    [anon_sym_continue] = ACTIONS(133),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_try] = ACTIONS(141),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [585] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(577),
    [sym__for_prefix] = STATE(571),
    [sym__while_prefix] = STATE(572),
    [sym_expression] = STATE(871),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1497),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(111),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(117),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_DASH_PERCENT] = ACTIONS(125),
    [anon_sym_AMP] = ACTIONS(125),
    [anon_sym_async] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(131),
    [anon_sym_continue] = ACTIONS(133),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_try] = ACTIONS(141),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [586] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(577),
    [sym__for_prefix] = STATE(571),
    [sym__while_prefix] = STATE(572),
    [sym_expression] = STATE(867),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1497),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(111),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(117),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_DASH_PERCENT] = ACTIONS(125),
    [anon_sym_AMP] = ACTIONS(125),
    [anon_sym_async] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(131),
    [anon_sym_continue] = ACTIONS(133),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_try] = ACTIONS(141),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [587] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(577),
    [sym__for_prefix] = STATE(571),
    [sym__while_prefix] = STATE(572),
    [sym_expression] = STATE(878),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1497),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(111),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(117),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_DASH_PERCENT] = ACTIONS(125),
    [anon_sym_AMP] = ACTIONS(125),
    [anon_sym_async] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(131),
    [anon_sym_continue] = ACTIONS(133),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_try] = ACTIONS(141),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [588] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(577),
    [sym__for_prefix] = STATE(571),
    [sym__while_prefix] = STATE(572),
    [sym_expression] = STATE(881),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1497),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(111),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(117),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_DASH_PERCENT] = ACTIONS(125),
    [anon_sym_AMP] = ACTIONS(125),
    [anon_sym_async] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(131),
    [anon_sym_continue] = ACTIONS(133),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_try] = ACTIONS(141),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [589] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(577),
    [sym__for_prefix] = STATE(571),
    [sym__while_prefix] = STATE(572),
    [sym_expression] = STATE(882),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1497),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(111),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(117),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_DASH_PERCENT] = ACTIONS(125),
    [anon_sym_AMP] = ACTIONS(125),
    [anon_sym_async] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(131),
    [anon_sym_continue] = ACTIONS(133),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_try] = ACTIONS(141),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [590] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(577),
    [sym__for_prefix] = STATE(571),
    [sym__while_prefix] = STATE(572),
    [sym_expression] = STATE(883),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1497),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(111),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(117),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_DASH_PERCENT] = ACTIONS(125),
    [anon_sym_AMP] = ACTIONS(125),
    [anon_sym_async] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(131),
    [anon_sym_continue] = ACTIONS(133),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_try] = ACTIONS(141),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [591] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(577),
    [sym__for_prefix] = STATE(571),
    [sym__while_prefix] = STATE(572),
    [sym_expression] = STATE(884),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1497),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(111),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(117),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_DASH_PERCENT] = ACTIONS(125),
    [anon_sym_AMP] = ACTIONS(125),
    [anon_sym_async] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(131),
    [anon_sym_continue] = ACTIONS(133),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_try] = ACTIONS(141),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [592] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1426),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [593] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(577),
    [sym__for_prefix] = STATE(571),
    [sym__while_prefix] = STATE(572),
    [sym_expression] = STATE(886),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1497),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(111),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(117),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_DASH_PERCENT] = ACTIONS(125),
    [anon_sym_AMP] = ACTIONS(125),
    [anon_sym_async] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(131),
    [anon_sym_continue] = ACTIONS(133),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_try] = ACTIONS(141),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [594] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1238),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [595] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(577),
    [sym__for_prefix] = STATE(571),
    [sym__while_prefix] = STATE(572),
    [sym_expression] = STATE(887),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1497),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(111),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(117),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_DASH_PERCENT] = ACTIONS(125),
    [anon_sym_AMP] = ACTIONS(125),
    [anon_sym_async] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(131),
    [anon_sym_continue] = ACTIONS(133),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_try] = ACTIONS(141),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [596] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(577),
    [sym__for_prefix] = STATE(571),
    [sym__while_prefix] = STATE(572),
    [sym_expression] = STATE(891),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1497),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(111),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(117),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_DASH_PERCENT] = ACTIONS(125),
    [anon_sym_AMP] = ACTIONS(125),
    [anon_sym_async] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(131),
    [anon_sym_continue] = ACTIONS(133),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_try] = ACTIONS(141),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [597] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(577),
    [sym__for_prefix] = STATE(571),
    [sym__while_prefix] = STATE(572),
    [sym_expression] = STATE(893),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1497),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(111),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(117),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_DASH_PERCENT] = ACTIONS(125),
    [anon_sym_AMP] = ACTIONS(125),
    [anon_sym_async] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(131),
    [anon_sym_continue] = ACTIONS(133),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_try] = ACTIONS(141),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [598] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1406),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [599] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(577),
    [sym__for_prefix] = STATE(571),
    [sym__while_prefix] = STATE(572),
    [sym_expression] = STATE(896),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1497),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(111),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(117),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_DASH_PERCENT] = ACTIONS(125),
    [anon_sym_AMP] = ACTIONS(125),
    [anon_sym_async] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(131),
    [anon_sym_continue] = ACTIONS(133),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_try] = ACTIONS(141),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [600] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(577),
    [sym__for_prefix] = STATE(571),
    [sym__while_prefix] = STATE(572),
    [sym_expression] = STATE(897),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1497),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(111),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(117),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_DASH_PERCENT] = ACTIONS(125),
    [anon_sym_AMP] = ACTIONS(125),
    [anon_sym_async] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(131),
    [anon_sym_continue] = ACTIONS(133),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_try] = ACTIONS(141),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [601] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(609),
    [sym__while_prefix] = STATE(610),
    [sym_expression] = STATE(1221),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1498),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(862),
    [anon_sym_TILDE] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_DASH_PERCENT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(323),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_await] = ACTIONS(329),
    [anon_sym_continue] = ACTIONS(331),
    [anon_sym_resume] = ACTIONS(333),
    [anon_sym_return] = ACTIONS(335),
    [anon_sym_break] = ACTIONS(337),
    [anon_sym_try] = ACTIONS(339),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [602] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(577),
    [sym__for_prefix] = STATE(571),
    [sym__while_prefix] = STATE(572),
    [sym_expression] = STATE(904),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(941),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1497),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(111),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(117),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(125),
    [anon_sym_DASH] = ACTIONS(127),
    [anon_sym_DASH_PERCENT] = ACTIONS(125),
    [anon_sym_AMP] = ACTIONS(125),
    [anon_sym_async] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(131),
    [anon_sym_continue] = ACTIONS(133),
    [anon_sym_resume] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_try] = ACTIONS(141),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [603] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(609),
    [sym__while_prefix] = STATE(610),
    [sym_expression] = STATE(1201),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1498),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(862),
    [anon_sym_TILDE] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_DASH_PERCENT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(323),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_await] = ACTIONS(329),
    [anon_sym_continue] = ACTIONS(331),
    [anon_sym_resume] = ACTIONS(333),
    [anon_sym_return] = ACTIONS(335),
    [anon_sym_break] = ACTIONS(337),
    [anon_sym_try] = ACTIONS(339),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [604] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(609),
    [sym__while_prefix] = STATE(610),
    [sym_expression] = STATE(1222),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1498),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(862),
    [anon_sym_TILDE] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_DASH_PERCENT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(323),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_await] = ACTIONS(329),
    [anon_sym_continue] = ACTIONS(331),
    [anon_sym_resume] = ACTIONS(333),
    [anon_sym_return] = ACTIONS(335),
    [anon_sym_break] = ACTIONS(337),
    [anon_sym_try] = ACTIONS(339),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [605] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(609),
    [sym__while_prefix] = STATE(610),
    [sym_expression] = STATE(1223),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1498),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(862),
    [anon_sym_TILDE] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_DASH_PERCENT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(323),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_await] = ACTIONS(329),
    [anon_sym_continue] = ACTIONS(331),
    [anon_sym_resume] = ACTIONS(333),
    [anon_sym_return] = ACTIONS(335),
    [anon_sym_break] = ACTIONS(337),
    [anon_sym_try] = ACTIONS(339),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [606] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(609),
    [sym__while_prefix] = STATE(610),
    [sym_expression] = STATE(1225),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1498),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(862),
    [anon_sym_TILDE] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_DASH_PERCENT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(323),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_await] = ACTIONS(329),
    [anon_sym_continue] = ACTIONS(331),
    [anon_sym_resume] = ACTIONS(333),
    [anon_sym_return] = ACTIONS(335),
    [anon_sym_break] = ACTIONS(337),
    [anon_sym_try] = ACTIONS(339),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [607] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(609),
    [sym__while_prefix] = STATE(610),
    [sym_expression] = STATE(1228),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1498),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(862),
    [anon_sym_TILDE] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_DASH_PERCENT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(323),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_await] = ACTIONS(329),
    [anon_sym_continue] = ACTIONS(331),
    [anon_sym_resume] = ACTIONS(333),
    [anon_sym_return] = ACTIONS(335),
    [anon_sym_break] = ACTIONS(337),
    [anon_sym_try] = ACTIONS(339),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [608] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1468),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1127),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(700),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [609] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(609),
    [sym__while_prefix] = STATE(610),
    [sym_expression] = STATE(1229),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1498),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(862),
    [anon_sym_TILDE] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_DASH_PERCENT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(323),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_await] = ACTIONS(329),
    [anon_sym_continue] = ACTIONS(331),
    [anon_sym_resume] = ACTIONS(333),
    [anon_sym_return] = ACTIONS(335),
    [anon_sym_break] = ACTIONS(337),
    [anon_sym_try] = ACTIONS(339),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [610] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(609),
    [sym__while_prefix] = STATE(610),
    [sym_expression] = STATE(1230),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1498),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(862),
    [anon_sym_TILDE] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_DASH_PERCENT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(323),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_await] = ACTIONS(329),
    [anon_sym_continue] = ACTIONS(331),
    [anon_sym_resume] = ACTIONS(333),
    [anon_sym_return] = ACTIONS(335),
    [anon_sym_break] = ACTIONS(337),
    [anon_sym_try] = ACTIONS(339),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [611] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(958),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1236),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [612] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(609),
    [sym__while_prefix] = STATE(610),
    [sym_expression] = STATE(1159),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1498),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(862),
    [anon_sym_TILDE] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_DASH_PERCENT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(323),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_await] = ACTIONS(329),
    [anon_sym_continue] = ACTIONS(331),
    [anon_sym_resume] = ACTIONS(333),
    [anon_sym_return] = ACTIONS(335),
    [anon_sym_break] = ACTIONS(337),
    [anon_sym_try] = ACTIONS(339),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [613] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(609),
    [sym__while_prefix] = STATE(610),
    [sym_expression] = STATE(1160),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1498),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(862),
    [anon_sym_TILDE] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_DASH_PERCENT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(323),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_await] = ACTIONS(329),
    [anon_sym_continue] = ACTIONS(331),
    [anon_sym_resume] = ACTIONS(333),
    [anon_sym_return] = ACTIONS(335),
    [anon_sym_break] = ACTIONS(337),
    [anon_sym_try] = ACTIONS(339),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [614] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(609),
    [sym__while_prefix] = STATE(610),
    [sym_expression] = STATE(1231),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1498),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(862),
    [anon_sym_TILDE] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_DASH_PERCENT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(323),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_await] = ACTIONS(329),
    [anon_sym_continue] = ACTIONS(331),
    [anon_sym_resume] = ACTIONS(333),
    [anon_sym_return] = ACTIONS(335),
    [anon_sym_break] = ACTIONS(337),
    [anon_sym_try] = ACTIONS(339),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [615] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(609),
    [sym__while_prefix] = STATE(610),
    [sym_expression] = STATE(1232),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1498),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(862),
    [anon_sym_TILDE] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_DASH_PERCENT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(323),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_await] = ACTIONS(329),
    [anon_sym_continue] = ACTIONS(331),
    [anon_sym_resume] = ACTIONS(333),
    [anon_sym_return] = ACTIONS(335),
    [anon_sym_break] = ACTIONS(337),
    [anon_sym_try] = ACTIONS(339),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [616] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1434),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [617] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(609),
    [sym__while_prefix] = STATE(610),
    [sym_expression] = STATE(1163),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1498),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(862),
    [anon_sym_TILDE] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_DASH_PERCENT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(323),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_await] = ACTIONS(329),
    [anon_sym_continue] = ACTIONS(331),
    [anon_sym_resume] = ACTIONS(333),
    [anon_sym_return] = ACTIONS(335),
    [anon_sym_break] = ACTIONS(337),
    [anon_sym_try] = ACTIONS(339),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [618] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(609),
    [sym__while_prefix] = STATE(610),
    [sym_expression] = STATE(1164),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1498),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(862),
    [anon_sym_TILDE] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_DASH_PERCENT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(323),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_await] = ACTIONS(329),
    [anon_sym_continue] = ACTIONS(331),
    [anon_sym_resume] = ACTIONS(333),
    [anon_sym_return] = ACTIONS(335),
    [anon_sym_break] = ACTIONS(337),
    [anon_sym_try] = ACTIONS(339),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [619] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(609),
    [sym__while_prefix] = STATE(610),
    [sym_expression] = STATE(1106),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1498),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(862),
    [anon_sym_TILDE] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_DASH_PERCENT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(323),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_await] = ACTIONS(329),
    [anon_sym_continue] = ACTIONS(331),
    [anon_sym_resume] = ACTIONS(333),
    [anon_sym_return] = ACTIONS(335),
    [anon_sym_break] = ACTIONS(337),
    [anon_sym_try] = ACTIONS(339),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [620] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(609),
    [sym__while_prefix] = STATE(610),
    [sym_expression] = STATE(1165),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1498),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(862),
    [anon_sym_TILDE] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_DASH_PERCENT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(323),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_await] = ACTIONS(329),
    [anon_sym_continue] = ACTIONS(331),
    [anon_sym_resume] = ACTIONS(333),
    [anon_sym_return] = ACTIONS(335),
    [anon_sym_break] = ACTIONS(337),
    [anon_sym_try] = ACTIONS(339),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [621] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(609),
    [sym__while_prefix] = STATE(610),
    [sym_expression] = STATE(1166),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1498),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(862),
    [anon_sym_TILDE] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_DASH_PERCENT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(323),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_await] = ACTIONS(329),
    [anon_sym_continue] = ACTIONS(331),
    [anon_sym_resume] = ACTIONS(333),
    [anon_sym_return] = ACTIONS(335),
    [anon_sym_break] = ACTIONS(337),
    [anon_sym_try] = ACTIONS(339),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [622] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(609),
    [sym__while_prefix] = STATE(610),
    [sym_expression] = STATE(1167),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1498),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(862),
    [anon_sym_TILDE] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_DASH_PERCENT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(323),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_await] = ACTIONS(329),
    [anon_sym_continue] = ACTIONS(331),
    [anon_sym_resume] = ACTIONS(333),
    [anon_sym_return] = ACTIONS(335),
    [anon_sym_break] = ACTIONS(337),
    [anon_sym_try] = ACTIONS(339),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [623] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(609),
    [sym__while_prefix] = STATE(610),
    [sym_expression] = STATE(1168),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1498),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(862),
    [anon_sym_TILDE] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_DASH_PERCENT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(323),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_await] = ACTIONS(329),
    [anon_sym_continue] = ACTIONS(331),
    [anon_sym_resume] = ACTIONS(333),
    [anon_sym_return] = ACTIONS(335),
    [anon_sym_break] = ACTIONS(337),
    [anon_sym_try] = ACTIONS(339),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [624] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(609),
    [sym__while_prefix] = STATE(610),
    [sym_expression] = STATE(1169),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1498),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(862),
    [anon_sym_TILDE] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_DASH_PERCENT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(323),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_await] = ACTIONS(329),
    [anon_sym_continue] = ACTIONS(331),
    [anon_sym_resume] = ACTIONS(333),
    [anon_sym_return] = ACTIONS(335),
    [anon_sym_break] = ACTIONS(337),
    [anon_sym_try] = ACTIONS(339),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [625] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(609),
    [sym__while_prefix] = STATE(610),
    [sym_expression] = STATE(1172),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1498),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(862),
    [anon_sym_TILDE] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_DASH_PERCENT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(323),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_await] = ACTIONS(329),
    [anon_sym_continue] = ACTIONS(331),
    [anon_sym_resume] = ACTIONS(333),
    [anon_sym_return] = ACTIONS(335),
    [anon_sym_break] = ACTIONS(337),
    [anon_sym_try] = ACTIONS(339),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [626] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(609),
    [sym__while_prefix] = STATE(610),
    [sym_expression] = STATE(1176),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1498),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(862),
    [anon_sym_TILDE] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_DASH_PERCENT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(323),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_await] = ACTIONS(329),
    [anon_sym_continue] = ACTIONS(331),
    [anon_sym_resume] = ACTIONS(333),
    [anon_sym_return] = ACTIONS(335),
    [anon_sym_break] = ACTIONS(337),
    [anon_sym_try] = ACTIONS(339),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [627] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(609),
    [sym__while_prefix] = STATE(610),
    [sym_expression] = STATE(1178),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1498),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(862),
    [anon_sym_TILDE] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_DASH_PERCENT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(323),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_await] = ACTIONS(329),
    [anon_sym_continue] = ACTIONS(331),
    [anon_sym_resume] = ACTIONS(333),
    [anon_sym_return] = ACTIONS(335),
    [anon_sym_break] = ACTIONS(337),
    [anon_sym_try] = ACTIONS(339),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [628] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(609),
    [sym__while_prefix] = STATE(610),
    [sym_expression] = STATE(1179),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1498),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(862),
    [anon_sym_TILDE] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_DASH_PERCENT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(323),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_await] = ACTIONS(329),
    [anon_sym_continue] = ACTIONS(331),
    [anon_sym_resume] = ACTIONS(333),
    [anon_sym_return] = ACTIONS(335),
    [anon_sym_break] = ACTIONS(337),
    [anon_sym_try] = ACTIONS(339),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [629] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(609),
    [sym__while_prefix] = STATE(610),
    [sym_expression] = STATE(1180),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1498),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(862),
    [anon_sym_TILDE] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_DASH_PERCENT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(323),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_await] = ACTIONS(329),
    [anon_sym_continue] = ACTIONS(331),
    [anon_sym_resume] = ACTIONS(333),
    [anon_sym_return] = ACTIONS(335),
    [anon_sym_break] = ACTIONS(337),
    [anon_sym_try] = ACTIONS(339),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [630] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(609),
    [sym__while_prefix] = STATE(610),
    [sym_expression] = STATE(1181),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1498),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(862),
    [anon_sym_TILDE] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_DASH_PERCENT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(323),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_await] = ACTIONS(329),
    [anon_sym_continue] = ACTIONS(331),
    [anon_sym_resume] = ACTIONS(333),
    [anon_sym_return] = ACTIONS(335),
    [anon_sym_break] = ACTIONS(337),
    [anon_sym_try] = ACTIONS(339),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [631] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(609),
    [sym__while_prefix] = STATE(610),
    [sym_expression] = STATE(1183),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1498),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(862),
    [anon_sym_TILDE] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_DASH_PERCENT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(323),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_await] = ACTIONS(329),
    [anon_sym_continue] = ACTIONS(331),
    [anon_sym_resume] = ACTIONS(333),
    [anon_sym_return] = ACTIONS(335),
    [anon_sym_break] = ACTIONS(337),
    [anon_sym_try] = ACTIONS(339),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [632] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1483),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1151),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(700),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [633] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(609),
    [sym__while_prefix] = STATE(610),
    [sym_expression] = STATE(1184),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1498),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(862),
    [anon_sym_TILDE] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_DASH_PERCENT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(323),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_await] = ACTIONS(329),
    [anon_sym_continue] = ACTIONS(331),
    [anon_sym_resume] = ACTIONS(333),
    [anon_sym_return] = ACTIONS(335),
    [anon_sym_break] = ACTIONS(337),
    [anon_sym_try] = ACTIONS(339),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [634] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(609),
    [sym__while_prefix] = STATE(610),
    [sym_expression] = STATE(1187),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1498),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(862),
    [anon_sym_TILDE] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_DASH_PERCENT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(323),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_await] = ACTIONS(329),
    [anon_sym_continue] = ACTIONS(331),
    [anon_sym_resume] = ACTIONS(333),
    [anon_sym_return] = ACTIONS(335),
    [anon_sym_break] = ACTIONS(337),
    [anon_sym_try] = ACTIONS(339),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [635] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(609),
    [sym__while_prefix] = STATE(610),
    [sym_expression] = STATE(1188),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1498),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(862),
    [anon_sym_TILDE] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_DASH_PERCENT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(323),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_await] = ACTIONS(329),
    [anon_sym_continue] = ACTIONS(331),
    [anon_sym_resume] = ACTIONS(333),
    [anon_sym_return] = ACTIONS(335),
    [anon_sym_break] = ACTIONS(337),
    [anon_sym_try] = ACTIONS(339),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [636] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(609),
    [sym__while_prefix] = STATE(610),
    [sym_expression] = STATE(1190),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1498),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(862),
    [anon_sym_TILDE] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_DASH_PERCENT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(323),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_await] = ACTIONS(329),
    [anon_sym_continue] = ACTIONS(331),
    [anon_sym_resume] = ACTIONS(333),
    [anon_sym_return] = ACTIONS(335),
    [anon_sym_break] = ACTIONS(337),
    [anon_sym_try] = ACTIONS(339),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [637] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(609),
    [sym__while_prefix] = STATE(610),
    [sym_expression] = STATE(1191),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1498),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(862),
    [anon_sym_TILDE] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_DASH_PERCENT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(323),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_await] = ACTIONS(329),
    [anon_sym_continue] = ACTIONS(331),
    [anon_sym_resume] = ACTIONS(333),
    [anon_sym_return] = ACTIONS(335),
    [anon_sym_break] = ACTIONS(337),
    [anon_sym_try] = ACTIONS(339),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [638] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_expression] = STATE(1276),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(181),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [639] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(615),
    [sym__for_prefix] = STATE(609),
    [sym__while_prefix] = STATE(610),
    [sym_expression] = STATE(1201),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1202),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1498),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(315),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(319),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(862),
    [anon_sym_TILDE] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_DASH_PERCENT] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(323),
    [anon_sym_async] = ACTIONS(327),
    [anon_sym_await] = ACTIONS(329),
    [anon_sym_continue] = ACTIONS(331),
    [anon_sym_resume] = ACTIONS(333),
    [anon_sym_return] = ACTIONS(335),
    [anon_sym_break] = ACTIONS(337),
    [anon_sym_try] = ACTIONS(339),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [640] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_expression] = STATE(1199),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(181),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [641] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_expression] = STATE(1297),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(181),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [642] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_expression] = STATE(1298),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(997),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(181),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [643] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(961),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1318),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [644] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(958),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1236),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [645] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1484),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1238),
    [sym_primary_type_expression] = STATE(798),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [646] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(539),
    [sym__for_prefix] = STATE(534),
    [sym__while_prefix] = STATE(535),
    [sym_expression] = STATE(1206),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1492),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(253),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(255),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(257),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(824),
    [anon_sym_TILDE] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(261),
    [anon_sym_AMP] = ACTIONS(261),
    [anon_sym_async] = ACTIONS(265),
    [anon_sym_await] = ACTIONS(267),
    [anon_sym_continue] = ACTIONS(269),
    [anon_sym_resume] = ACTIONS(271),
    [anon_sym_return] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(275),
    [anon_sym_try] = ACTIONS(277),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [647] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(442),
    [sym__for_prefix] = STATE(436),
    [sym__while_prefix] = STATE(437),
    [sym_expression] = STATE(1199),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1200),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1499),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(181),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(211),
    [anon_sym_DASH_PERCENT] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_async] = ACTIONS(213),
    [anon_sym_await] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(217),
    [anon_sym_resume] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(221),
    [anon_sym_break] = ACTIONS(223),
    [anon_sym_try] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [648] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(539),
    [sym__for_prefix] = STATE(534),
    [sym__while_prefix] = STATE(535),
    [sym_expression] = STATE(1199),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1492),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(253),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(255),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(257),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(824),
    [anon_sym_TILDE] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(261),
    [anon_sym_AMP] = ACTIONS(261),
    [anon_sym_async] = ACTIONS(265),
    [anon_sym_await] = ACTIONS(267),
    [anon_sym_continue] = ACTIONS(269),
    [anon_sym_resume] = ACTIONS(271),
    [anon_sym_return] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(275),
    [anon_sym_try] = ACTIONS(277),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [649] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(539),
    [sym__for_prefix] = STATE(534),
    [sym__while_prefix] = STATE(535),
    [sym_expression] = STATE(1207),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1492),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(253),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(255),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(257),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(824),
    [anon_sym_TILDE] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(261),
    [anon_sym_AMP] = ACTIONS(261),
    [anon_sym_async] = ACTIONS(265),
    [anon_sym_await] = ACTIONS(267),
    [anon_sym_continue] = ACTIONS(269),
    [anon_sym_resume] = ACTIONS(271),
    [anon_sym_return] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(275),
    [anon_sym_try] = ACTIONS(277),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [650] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(539),
    [sym__for_prefix] = STATE(534),
    [sym__while_prefix] = STATE(535),
    [sym_expression] = STATE(1208),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1185),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1492),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(253),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(255),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(257),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(824),
    [anon_sym_TILDE] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(261),
    [anon_sym_AMP] = ACTIONS(261),
    [anon_sym_async] = ACTIONS(265),
    [anon_sym_await] = ACTIONS(267),
    [anon_sym_continue] = ACTIONS(269),
    [anon_sym_resume] = ACTIONS(271),
    [anon_sym_return] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(275),
    [anon_sym_try] = ACTIONS(277),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [651] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1440),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1200),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1494),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(684),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [652] = {
    [sym__function_prototype] = STATE(1192),
    [sym_block] = STATE(1173),
    [sym_struct_declaration] = STATE(1170),
    [sym_opaque_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_union_declaration] = STATE(1170),
    [sym_error_set_declaration] = STATE(1175),
    [sym__if_prefix] = STATE(539),
    [sym__for_prefix] = STATE(534),
    [sym__while_prefix] = STATE(535),
    [sym_expression] = STATE(1199),
    [sym_asm_expression] = STATE(1173),
    [sym_if_expression] = STATE(1173),
    [sym_for_expression] = STATE(1173),
    [sym_while_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_comptime_expression] = STATE(1173),
    [sym_async_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_nosuspend_expression] = STATE(1173),
    [sym_continue_expression] = STATE(1173),
    [sym_resume_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_break_expression] = STATE(1173),
    [sym_try_expression] = STATE(1173),
    [sym_catch_expression] = STATE(1173),
    [sym_switch_expression] = STATE(1170),
    [sym_type_expression] = STATE(1200),
    [sym_primary_type_expression] = STATE(1010),
    [sym_nullable_type] = STATE(1170),
    [sym_anyframe_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_error_union_type] = STATE(1170),
    [sym_field_expression] = STATE(1170),
    [sym_index_expression] = STATE(1170),
    [sym_dereference_expression] = STATE(1170),
    [sym_null_coercion_expression] = STATE(1170),
    [sym_range_expression] = STATE(1170),
    [sym_call_expression] = STATE(1170),
    [sym_anonymous_struct_initializer] = STATE(1175),
    [sym_struct_initializer] = STATE(1175),
    [sym_labeled_type_expression] = STATE(1175),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_block_label] = STATE(1492),
    [sym_builtin_function] = STATE(1170),
    [sym_string] = STATE(1170),
    [sym_multiline_string] = STATE(1170),
    [sym_character] = STATE(1170),
    [sym_boolean] = STATE(1170),
    [sym_builtin_type] = STATE(1009),
    [sym_error_type] = STATE(1170),
    [sym_identifier] = STATE(1001),
    [aux_sym_multiline_string_repeat1] = STATE(950),
    [sym__identifier] = ACTIONS(173),
    [anon_sym_comptime] = ACTIONS(253),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym_inline] = ACTIONS(255),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LPAREN] = ACTIONS(185),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_packed] = ACTIONS(179),
    [anon_sym_struct] = ACTIONS(189),
    [anon_sym_opaque] = ACTIONS(191),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_union] = ACTIONS(195),
    [anon_sym_error] = ACTIONS(197),
    [anon_sym_nosuspend] = ACTIONS(257),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(674),
    [anon_sym_asm] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(824),
    [anon_sym_TILDE] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_DASH_PERCENT] = ACTIONS(261),
    [anon_sym_AMP] = ACTIONS(261),
    [anon_sym_async] = ACTIONS(265),
    [anon_sym_await] = ACTIONS(267),
    [anon_sym_continue] = ACTIONS(269),
    [anon_sym_resume] = ACTIONS(271),
    [anon_sym_return] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(275),
    [anon_sym_try] = ACTIONS(277),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_anyframe] = ACTIONS(229),
    [anon_sym_unreachable] = ACTIONS(231),
    [anon_sym_undefined] = ACTIONS(231),
    [anon_sym_null] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [aux_sym_multiline_string_token1] = ACTIONS(239),
    [anon_sym_SQUOTE] = ACTIONS(241),
    [sym_integer] = ACTIONS(231),
    [sym_float] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(245),
    [anon_sym_false] = ACTIONS(245),
    [anon_sym_bool] = ACTIONS(247),
    [anon_sym_f16] = ACTIONS(247),
    [anon_sym_f32] = ACTIONS(247),
    [anon_sym_f64] = ACTIONS(247),
    [anon_sym_f128] = ACTIONS(247),
    [anon_sym_void] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_anyerror] = ACTIONS(247),
    [anon_sym_anyopaque] = ACTIONS(247),
    [anon_sym_anytype] = ACTIONS(247),
    [anon_sym_noreturn] = ACTIONS(247),
    [anon_sym_isize] = ACTIONS(247),
    [anon_sym_usize] = ACTIONS(247),
    [anon_sym_comptime_int] = ACTIONS(247),
    [anon_sym_comptime_float] = ACTIONS(247),
    [anon_sym_c_short] = ACTIONS(247),
    [anon_sym_c_ushort] = ACTIONS(247),
    [anon_sym_c_int] = ACTIONS(247),
    [anon_sym_c_uint] = ACTIONS(247),
    [anon_sym_c_long] = ACTIONS(247),
    [anon_sym_c_ulong] = ACTIONS(247),
    [anon_sym_c_longlong] = ACTIONS(247),
    [anon_sym_c_ulonglong] = ACTIONS(247),
    [anon_sym_c_longdouble] = ACTIONS(247),
    [aux_sym_builtin_type_token1] = ACTIONS(247),
    [sym_builtin_identifier] = ACTIONS(249),
    [anon_sym_AT] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
  },
  [653] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1438),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [654] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(492),
    [sym__while_prefix] = STATE(493),
    [sym_expression] = STATE(1389),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1493),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(279),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(281),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(285),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(830),
    [anon_sym_TILDE] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_DASH_PERCENT] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_await] = ACTIONS(299),
    [anon_sym_continue] = ACTIONS(301),
    [anon_sym_resume] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_try] = ACTIONS(309),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [655] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1451),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [656] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(492),
    [sym__while_prefix] = STATE(493),
    [sym_expression] = STATE(1403),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1493),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(279),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(281),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(285),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(830),
    [anon_sym_TILDE] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_DASH_PERCENT] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_await] = ACTIONS(299),
    [anon_sym_continue] = ACTIONS(301),
    [anon_sym_resume] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_try] = ACTIONS(309),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [657] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(492),
    [sym__while_prefix] = STATE(493),
    [sym_expression] = STATE(1416),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1493),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(279),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(281),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(285),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(830),
    [anon_sym_TILDE] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_DASH_PERCENT] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_await] = ACTIONS(299),
    [anon_sym_continue] = ACTIONS(301),
    [anon_sym_resume] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_try] = ACTIONS(309),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [658] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1465),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [659] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(492),
    [sym__while_prefix] = STATE(493),
    [sym_expression] = STATE(1401),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1493),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(279),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(281),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(285),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(830),
    [anon_sym_TILDE] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_DASH_PERCENT] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_await] = ACTIONS(299),
    [anon_sym_continue] = ACTIONS(301),
    [anon_sym_resume] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_try] = ACTIONS(309),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [660] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1469),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [661] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1418),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [662] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1429),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [663] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(498),
    [sym__for_prefix] = STATE(492),
    [sym__while_prefix] = STATE(493),
    [sym_expression] = STATE(1402),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(1197),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1493),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(1194),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(1195),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(279),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(281),
    [anon_sym_fn] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(285),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(289),
    [anon_sym_BANG] = ACTIONS(830),
    [anon_sym_TILDE] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_DASH_PERCENT] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [anon_sym_async] = ACTIONS(297),
    [anon_sym_await] = ACTIONS(299),
    [anon_sym_continue] = ACTIONS(301),
    [anon_sym_resume] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_try] = ACTIONS(309),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(311),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [664] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1450),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [665] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1458),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [666] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1459),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [667] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1460),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [668] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1470),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [669] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1471),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [670] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1472),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [671] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1473),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [672] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1474),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(940),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [673] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1475),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [674] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1476),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [675] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1477),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(942),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [676] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1479),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [677] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(1480),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [678] = {
    [sym__function_prototype] = STATE(802),
    [sym_block] = STATE(812),
    [sym_struct_declaration] = STATE(865),
    [sym_opaque_declaration] = STATE(865),
    [sym_enum_declaration] = STATE(865),
    [sym_union_declaration] = STATE(865),
    [sym_error_set_declaration] = STATE(829),
    [sym__if_prefix] = STATE(393),
    [sym__for_prefix] = STATE(551),
    [sym__while_prefix] = STATE(556),
    [sym_expression] = STATE(977),
    [sym_asm_expression] = STATE(812),
    [sym_if_expression] = STATE(812),
    [sym_for_expression] = STATE(812),
    [sym_while_expression] = STATE(812),
    [sym_assignment_expression] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_binary_expression] = STATE(812),
    [sym_comptime_expression] = STATE(812),
    [sym_async_expression] = STATE(812),
    [sym_await_expression] = STATE(812),
    [sym_nosuspend_expression] = STATE(812),
    [sym_continue_expression] = STATE(812),
    [sym_resume_expression] = STATE(812),
    [sym_return_expression] = STATE(812),
    [sym_break_expression] = STATE(812),
    [sym_try_expression] = STATE(812),
    [sym_catch_expression] = STATE(812),
    [sym_switch_expression] = STATE(865),
    [sym_type_expression] = STATE(935),
    [sym_primary_type_expression] = STATE(797),
    [sym_nullable_type] = STATE(865),
    [sym_anyframe_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_error_union_type] = STATE(865),
    [sym_field_expression] = STATE(865),
    [sym_index_expression] = STATE(865),
    [sym_dereference_expression] = STATE(865),
    [sym_null_coercion_expression] = STATE(865),
    [sym_range_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_anonymous_struct_initializer] = STATE(829),
    [sym_struct_initializer] = STATE(829),
    [sym_labeled_type_expression] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_block_label] = STATE(1496),
    [sym_builtin_function] = STATE(865),
    [sym_string] = STATE(865),
    [sym_multiline_string] = STATE(865),
    [sym_character] = STATE(865),
    [sym_boolean] = STATE(865),
    [sym_builtin_type] = STATE(852),
    [sym_error_type] = STATE(865),
    [sym_identifier] = STATE(826),
    [aux_sym_multiline_string_repeat1] = STATE(796),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_comptime] = ACTIONS(167),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym_inline] = ACTIONS(169),
    [anon_sym_fn] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_packed] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_opaque] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(41),
    [anon_sym_union] = ACTIONS(43),
    [anon_sym_error] = ACTIONS(45),
    [anon_sym_nosuspend] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_asm] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_DASH_PERCENT] = ACTIONS(63),
    [anon_sym_AMP] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_resume] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_try] = ACTIONS(79),
    [anon_sym_switch] = ACTIONS(81),
    [anon_sym_anyframe] = ACTIONS(83),
    [anon_sym_unreachable] = ACTIONS(85),
    [anon_sym_undefined] = ACTIONS(85),
    [anon_sym_null] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DQUOTE] = ACTIONS(93),
    [aux_sym_multiline_string_token1] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [sym_integer] = ACTIONS(85),
    [sym_float] = ACTIONS(99),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(145),
    [anon_sym_bool] = ACTIONS(103),
    [anon_sym_f16] = ACTIONS(103),
    [anon_sym_f32] = ACTIONS(103),
    [anon_sym_f64] = ACTIONS(103),
    [anon_sym_f128] = ACTIONS(103),
    [anon_sym_void] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(103),
    [anon_sym_anyerror] = ACTIONS(103),
    [anon_sym_anyopaque] = ACTIONS(103),
    [anon_sym_anytype] = ACTIONS(103),
    [anon_sym_noreturn] = ACTIONS(103),
    [anon_sym_isize] = ACTIONS(103),
    [anon_sym_usize] = ACTIONS(103),
    [anon_sym_comptime_int] = ACTIONS(103),
    [anon_sym_comptime_float] = ACTIONS(103),
    [anon_sym_c_short] = ACTIONS(103),
    [anon_sym_c_ushort] = ACTIONS(103),
    [anon_sym_c_int] = ACTIONS(103),
    [anon_sym_c_uint] = ACTIONS(103),
    [anon_sym_c_long] = ACTIONS(103),
    [anon_sym_c_ulong] = ACTIONS(103),
    [anon_sym_c_longlong] = ACTIONS(103),
    [anon_sym_c_ulonglong] = ACTIONS(103),
    [anon_sym_c_longdouble] = ACTIONS(103),
    [aux_sym_builtin_type_token1] = ACTIONS(103),
    [sym_builtin_identifier] = ACTIONS(105),
    [anon_sym_AT] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [679] = {
    [sym__identifier] = ACTIONS(944),
    [anon_sym_COMMA] = ACTIONS(934),
    [anon_sym_comptime] = ACTIONS(944),
    [anon_sym_EQ] = ACTIONS(932),
    [anon_sym_extern] = ACTIONS(944),
    [anon_sym_SEMI] = ACTIONS(934),
    [anon_sym_STAR_EQ] = ACTIONS(934),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(934),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(934),
    [anon_sym_SLASH_EQ] = ACTIONS(934),
    [anon_sym_PERCENT_EQ] = ACTIONS(934),
    [anon_sym_PLUS_EQ] = ACTIONS(934),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(934),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(934),
    [anon_sym_DASH_EQ] = ACTIONS(934),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(934),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(934),
    [anon_sym_LT_LT_EQ] = ACTIONS(934),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(934),
    [anon_sym_GT_GT_EQ] = ACTIONS(934),
    [anon_sym_AMP_EQ] = ACTIONS(934),
    [anon_sym_CARET_EQ] = ACTIONS(934),
    [anon_sym_PIPE_EQ] = ACTIONS(934),
    [anon_sym_const] = ACTIONS(944),
    [anon_sym_var] = ACTIONS(944),
    [anon_sym_inline] = ACTIONS(944),
    [anon_sym_fn] = ACTIONS(944),
    [anon_sym_LPAREN] = ACTIONS(946),
    [anon_sym_LBRACE] = ACTIONS(946),
    [anon_sym_RBRACE] = ACTIONS(946),
    [anon_sym_packed] = ACTIONS(944),
    [anon_sym_struct] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(944),
    [anon_sym_enum] = ACTIONS(944),
    [anon_sym_union] = ACTIONS(944),
    [anon_sym_error] = ACTIONS(944),
    [anon_sym_nosuspend] = ACTIONS(944),
    [anon_sym_suspend] = ACTIONS(944),
    [anon_sym_defer] = ACTIONS(944),
    [anon_sym_errdefer] = ACTIONS(944),
    [anon_sym_if] = ACTIONS(944),
    [anon_sym_else] = ACTIONS(944),
    [anon_sym_for] = ACTIONS(944),
    [anon_sym_DOT_DOT] = ACTIONS(934),
    [anon_sym_while] = ACTIONS(944),
    [anon_sym_PIPE] = ACTIONS(932),
    [anon_sym_STAR] = ACTIONS(944),
    [anon_sym_asm] = ACTIONS(944),
    [anon_sym_LBRACK] = ACTIONS(946),
    [anon_sym_BANG] = ACTIONS(944),
    [anon_sym_TILDE] = ACTIONS(946),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_PERCENT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(944),
    [anon_sym_or] = ACTIONS(932),
    [anon_sym_and] = ACTIONS(932),
    [anon_sym_EQ_EQ] = ACTIONS(934),
    [anon_sym_BANG_EQ] = ACTIONS(934),
    [anon_sym_GT] = ACTIONS(932),
    [anon_sym_GT_EQ] = ACTIONS(934),
    [anon_sym_LT_EQ] = ACTIONS(934),
    [anon_sym_LT] = ACTIONS(932),
    [anon_sym_CARET] = ACTIONS(932),
    [anon_sym_orelse] = ACTIONS(932),
    [anon_sym_LT_LT] = ACTIONS(932),
    [anon_sym_GT_GT] = ACTIONS(932),
    [anon_sym_LT_LT_PIPE] = ACTIONS(932),
    [anon_sym_PLUS] = ACTIONS(932),
    [anon_sym_PLUS_PLUS] = ACTIONS(934),
    [anon_sym_PLUS_PERCENT] = ACTIONS(932),
    [anon_sym_PLUS_PIPE] = ACTIONS(932),
    [anon_sym_DASH_PIPE] = ACTIONS(932),
    [anon_sym_SLASH] = ACTIONS(932),
    [anon_sym_PERCENT] = ACTIONS(932),
    [anon_sym_STAR_STAR] = ACTIONS(934),
    [anon_sym_STAR_PERCENT] = ACTIONS(932),
    [anon_sym_STAR_PIPE] = ACTIONS(932),
    [anon_sym_PIPE_PIPE] = ACTIONS(934),
    [anon_sym_async] = ACTIONS(944),
    [anon_sym_await] = ACTIONS(944),
    [anon_sym_continue] = ACTIONS(944),
    [anon_sym_resume] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(944),
    [anon_sym_break] = ACTIONS(944),
    [anon_sym_try] = ACTIONS(944),
    [anon_sym_catch] = ACTIONS(932),
    [anon_sym_switch] = ACTIONS(944),
    [anon_sym_anyframe] = ACTIONS(944),
    [anon_sym_unreachable] = ACTIONS(944),
    [anon_sym_undefined] = ACTIONS(944),
    [anon_sym_null] = ACTIONS(944),
    [anon_sym_QMARK] = ACTIONS(946),
    [anon_sym_DOT] = ACTIONS(944),
    [anon_sym_DOT_STAR] = ACTIONS(934),
    [anon_sym_DOT_QMARK] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(946),
    [aux_sym_multiline_string_token1] = ACTIONS(946),
    [anon_sym_SQUOTE] = ACTIONS(946),
    [sym_integer] = ACTIONS(944),
    [sym_float] = ACTIONS(946),
    [anon_sym_true] = ACTIONS(944),
    [anon_sym_false] = ACTIONS(944),
    [anon_sym_bool] = ACTIONS(944),
    [anon_sym_f16] = ACTIONS(944),
    [anon_sym_f32] = ACTIONS(944),
    [anon_sym_f64] = ACTIONS(944),
    [anon_sym_f128] = ACTIONS(944),
    [anon_sym_void] = ACTIONS(944),
    [anon_sym_type] = ACTIONS(944),
    [anon_sym_anyerror] = ACTIONS(944),
    [anon_sym_anyopaque] = ACTIONS(944),
    [anon_sym_anytype] = ACTIONS(944),
    [anon_sym_noreturn] = ACTIONS(944),
    [anon_sym_isize] = ACTIONS(944),
    [anon_sym_usize] = ACTIONS(944),
    [anon_sym_comptime_int] = ACTIONS(944),
    [anon_sym_comptime_float] = ACTIONS(944),
    [anon_sym_c_short] = ACTIONS(944),
    [anon_sym_c_ushort] = ACTIONS(944),
    [anon_sym_c_int] = ACTIONS(944),
    [anon_sym_c_uint] = ACTIONS(944),
    [anon_sym_c_long] = ACTIONS(944),
    [anon_sym_c_ulong] = ACTIONS(944),
    [anon_sym_c_longlong] = ACTIONS(944),
    [anon_sym_c_ulonglong] = ACTIONS(944),
    [anon_sym_c_longdouble] = ACTIONS(944),
    [aux_sym_builtin_type_token1] = ACTIONS(944),
    [sym_builtin_identifier] = ACTIONS(946),
    [anon_sym_AT] = ACTIONS(944),
    [sym_comment] = ACTIONS(3),
  },
  [680] = {
    [sym__identifier] = ACTIONS(948),
    [anon_sym_COMMA] = ACTIONS(950),
    [anon_sym_comptime] = ACTIONS(948),
    [anon_sym_EQ] = ACTIONS(952),
    [anon_sym_extern] = ACTIONS(948),
    [anon_sym_SEMI] = ACTIONS(950),
    [anon_sym_STAR_EQ] = ACTIONS(950),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(950),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(950),
    [anon_sym_SLASH_EQ] = ACTIONS(950),
    [anon_sym_PERCENT_EQ] = ACTIONS(950),
    [anon_sym_PLUS_EQ] = ACTIONS(950),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(950),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(950),
    [anon_sym_DASH_EQ] = ACTIONS(950),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(950),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(950),
    [anon_sym_LT_LT_EQ] = ACTIONS(950),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(950),
    [anon_sym_GT_GT_EQ] = ACTIONS(950),
    [anon_sym_AMP_EQ] = ACTIONS(950),
    [anon_sym_CARET_EQ] = ACTIONS(950),
    [anon_sym_PIPE_EQ] = ACTIONS(950),
    [anon_sym_const] = ACTIONS(948),
    [anon_sym_var] = ACTIONS(948),
    [anon_sym_inline] = ACTIONS(948),
    [anon_sym_fn] = ACTIONS(948),
    [anon_sym_LPAREN] = ACTIONS(954),
    [anon_sym_LBRACE] = ACTIONS(954),
    [anon_sym_RBRACE] = ACTIONS(954),
    [anon_sym_packed] = ACTIONS(948),
    [anon_sym_struct] = ACTIONS(948),
    [anon_sym_opaque] = ACTIONS(948),
    [anon_sym_enum] = ACTIONS(948),
    [anon_sym_union] = ACTIONS(948),
    [anon_sym_error] = ACTIONS(948),
    [anon_sym_nosuspend] = ACTIONS(948),
    [anon_sym_suspend] = ACTIONS(948),
    [anon_sym_defer] = ACTIONS(948),
    [anon_sym_errdefer] = ACTIONS(948),
    [anon_sym_if] = ACTIONS(948),
    [anon_sym_else] = ACTIONS(948),
    [anon_sym_for] = ACTIONS(948),
    [anon_sym_DOT_DOT] = ACTIONS(950),
    [anon_sym_while] = ACTIONS(948),
    [anon_sym_PIPE] = ACTIONS(952),
    [anon_sym_STAR] = ACTIONS(948),
    [anon_sym_asm] = ACTIONS(948),
    [anon_sym_LBRACK] = ACTIONS(954),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_TILDE] = ACTIONS(954),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_DASH_PERCENT] = ACTIONS(948),
    [anon_sym_AMP] = ACTIONS(948),
    [anon_sym_or] = ACTIONS(952),
    [anon_sym_and] = ACTIONS(952),
    [anon_sym_EQ_EQ] = ACTIONS(950),
    [anon_sym_BANG_EQ] = ACTIONS(950),
    [anon_sym_GT] = ACTIONS(952),
    [anon_sym_GT_EQ] = ACTIONS(950),
    [anon_sym_LT_EQ] = ACTIONS(950),
    [anon_sym_LT] = ACTIONS(952),
    [anon_sym_CARET] = ACTIONS(952),
    [anon_sym_orelse] = ACTIONS(952),
    [anon_sym_LT_LT] = ACTIONS(952),
    [anon_sym_GT_GT] = ACTIONS(952),
    [anon_sym_LT_LT_PIPE] = ACTIONS(952),
    [anon_sym_PLUS] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(950),
    [anon_sym_PLUS_PERCENT] = ACTIONS(952),
    [anon_sym_PLUS_PIPE] = ACTIONS(952),
    [anon_sym_DASH_PIPE] = ACTIONS(952),
    [anon_sym_SLASH] = ACTIONS(952),
    [anon_sym_PERCENT] = ACTIONS(952),
    [anon_sym_STAR_STAR] = ACTIONS(950),
    [anon_sym_STAR_PERCENT] = ACTIONS(952),
    [anon_sym_STAR_PIPE] = ACTIONS(952),
    [anon_sym_PIPE_PIPE] = ACTIONS(950),
    [anon_sym_async] = ACTIONS(948),
    [anon_sym_await] = ACTIONS(948),
    [anon_sym_continue] = ACTIONS(948),
    [anon_sym_resume] = ACTIONS(948),
    [anon_sym_return] = ACTIONS(948),
    [anon_sym_break] = ACTIONS(948),
    [anon_sym_try] = ACTIONS(948),
    [anon_sym_catch] = ACTIONS(952),
    [anon_sym_switch] = ACTIONS(948),
    [anon_sym_anyframe] = ACTIONS(948),
    [anon_sym_unreachable] = ACTIONS(948),
    [anon_sym_undefined] = ACTIONS(948),
    [anon_sym_null] = ACTIONS(948),
    [anon_sym_QMARK] = ACTIONS(954),
    [anon_sym_DOT] = ACTIONS(948),
    [anon_sym_DOT_STAR] = ACTIONS(950),
    [anon_sym_DOT_QMARK] = ACTIONS(950),
    [anon_sym_DQUOTE] = ACTIONS(954),
    [aux_sym_multiline_string_token1] = ACTIONS(954),
    [anon_sym_SQUOTE] = ACTIONS(954),
    [sym_integer] = ACTIONS(948),
    [sym_float] = ACTIONS(954),
    [anon_sym_true] = ACTIONS(948),
    [anon_sym_false] = ACTIONS(948),
    [anon_sym_bool] = ACTIONS(948),
    [anon_sym_f16] = ACTIONS(948),
    [anon_sym_f32] = ACTIONS(948),
    [anon_sym_f64] = ACTIONS(948),
    [anon_sym_f128] = ACTIONS(948),
    [anon_sym_void] = ACTIONS(948),
    [anon_sym_type] = ACTIONS(948),
    [anon_sym_anyerror] = ACTIONS(948),
    [anon_sym_anyopaque] = ACTIONS(948),
    [anon_sym_anytype] = ACTIONS(948),
    [anon_sym_noreturn] = ACTIONS(948),
    [anon_sym_isize] = ACTIONS(948),
    [anon_sym_usize] = ACTIONS(948),
    [anon_sym_comptime_int] = ACTIONS(948),
    [anon_sym_comptime_float] = ACTIONS(948),
    [anon_sym_c_short] = ACTIONS(948),
    [anon_sym_c_ushort] = ACTIONS(948),
    [anon_sym_c_int] = ACTIONS(948),
    [anon_sym_c_uint] = ACTIONS(948),
    [anon_sym_c_long] = ACTIONS(948),
    [anon_sym_c_ulong] = ACTIONS(948),
    [anon_sym_c_longlong] = ACTIONS(948),
    [anon_sym_c_ulonglong] = ACTIONS(948),
    [anon_sym_c_longdouble] = ACTIONS(948),
    [aux_sym_builtin_type_token1] = ACTIONS(948),
    [sym_builtin_identifier] = ACTIONS(954),
    [anon_sym_AT] = ACTIONS(948),
    [sym_comment] = ACTIONS(3),
  },
  [681] = {
    [sym__identifier] = ACTIONS(956),
    [anon_sym_COMMA] = ACTIONS(958),
    [anon_sym_comptime] = ACTIONS(956),
    [anon_sym_EQ] = ACTIONS(960),
    [anon_sym_extern] = ACTIONS(956),
    [anon_sym_SEMI] = ACTIONS(958),
    [anon_sym_STAR_EQ] = ACTIONS(958),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(958),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(958),
    [anon_sym_SLASH_EQ] = ACTIONS(958),
    [anon_sym_PERCENT_EQ] = ACTIONS(958),
    [anon_sym_PLUS_EQ] = ACTIONS(958),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(958),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(958),
    [anon_sym_DASH_EQ] = ACTIONS(958),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(958),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(958),
    [anon_sym_LT_LT_EQ] = ACTIONS(958),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(958),
    [anon_sym_GT_GT_EQ] = ACTIONS(958),
    [anon_sym_AMP_EQ] = ACTIONS(958),
    [anon_sym_CARET_EQ] = ACTIONS(958),
    [anon_sym_PIPE_EQ] = ACTIONS(958),
    [anon_sym_const] = ACTIONS(956),
    [anon_sym_var] = ACTIONS(956),
    [anon_sym_inline] = ACTIONS(956),
    [anon_sym_fn] = ACTIONS(956),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE] = ACTIONS(962),
    [anon_sym_RBRACE] = ACTIONS(962),
    [anon_sym_packed] = ACTIONS(956),
    [anon_sym_struct] = ACTIONS(956),
    [anon_sym_opaque] = ACTIONS(956),
    [anon_sym_enum] = ACTIONS(956),
    [anon_sym_union] = ACTIONS(956),
    [anon_sym_error] = ACTIONS(956),
    [anon_sym_nosuspend] = ACTIONS(956),
    [anon_sym_suspend] = ACTIONS(956),
    [anon_sym_defer] = ACTIONS(956),
    [anon_sym_errdefer] = ACTIONS(956),
    [anon_sym_if] = ACTIONS(956),
    [anon_sym_for] = ACTIONS(956),
    [anon_sym_DOT_DOT] = ACTIONS(958),
    [anon_sym_while] = ACTIONS(956),
    [anon_sym_PIPE] = ACTIONS(960),
    [anon_sym_STAR] = ACTIONS(956),
    [anon_sym_asm] = ACTIONS(956),
    [anon_sym_LBRACK] = ACTIONS(962),
    [anon_sym_BANG] = ACTIONS(956),
    [anon_sym_TILDE] = ACTIONS(962),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_DASH_PERCENT] = ACTIONS(956),
    [anon_sym_AMP] = ACTIONS(956),
    [anon_sym_or] = ACTIONS(960),
    [anon_sym_and] = ACTIONS(960),
    [anon_sym_EQ_EQ] = ACTIONS(958),
    [anon_sym_BANG_EQ] = ACTIONS(958),
    [anon_sym_GT] = ACTIONS(960),
    [anon_sym_GT_EQ] = ACTIONS(958),
    [anon_sym_LT_EQ] = ACTIONS(958),
    [anon_sym_LT] = ACTIONS(960),
    [anon_sym_CARET] = ACTIONS(960),
    [anon_sym_orelse] = ACTIONS(960),
    [anon_sym_LT_LT] = ACTIONS(960),
    [anon_sym_GT_GT] = ACTIONS(960),
    [anon_sym_LT_LT_PIPE] = ACTIONS(960),
    [anon_sym_PLUS] = ACTIONS(960),
    [anon_sym_PLUS_PLUS] = ACTIONS(958),
    [anon_sym_PLUS_PERCENT] = ACTIONS(960),
    [anon_sym_PLUS_PIPE] = ACTIONS(960),
    [anon_sym_DASH_PIPE] = ACTIONS(960),
    [anon_sym_SLASH] = ACTIONS(960),
    [anon_sym_PERCENT] = ACTIONS(960),
    [anon_sym_STAR_STAR] = ACTIONS(958),
    [anon_sym_STAR_PERCENT] = ACTIONS(960),
    [anon_sym_STAR_PIPE] = ACTIONS(960),
    [anon_sym_PIPE_PIPE] = ACTIONS(958),
    [anon_sym_async] = ACTIONS(956),
    [anon_sym_await] = ACTIONS(956),
    [anon_sym_continue] = ACTIONS(956),
    [anon_sym_resume] = ACTIONS(956),
    [anon_sym_return] = ACTIONS(956),
    [anon_sym_break] = ACTIONS(956),
    [anon_sym_try] = ACTIONS(956),
    [anon_sym_catch] = ACTIONS(960),
    [anon_sym_switch] = ACTIONS(956),
    [anon_sym_anyframe] = ACTIONS(956),
    [anon_sym_unreachable] = ACTIONS(956),
    [anon_sym_undefined] = ACTIONS(956),
    [anon_sym_null] = ACTIONS(956),
    [anon_sym_QMARK] = ACTIONS(962),
    [anon_sym_DOT] = ACTIONS(956),
    [anon_sym_DOT_STAR] = ACTIONS(958),
    [anon_sym_DOT_QMARK] = ACTIONS(958),
    [anon_sym_DQUOTE] = ACTIONS(962),
    [aux_sym_multiline_string_token1] = ACTIONS(962),
    [anon_sym_SQUOTE] = ACTIONS(962),
    [sym_integer] = ACTIONS(956),
    [sym_float] = ACTIONS(962),
    [anon_sym_true] = ACTIONS(956),
    [anon_sym_false] = ACTIONS(956),
    [anon_sym_bool] = ACTIONS(956),
    [anon_sym_f16] = ACTIONS(956),
    [anon_sym_f32] = ACTIONS(956),
    [anon_sym_f64] = ACTIONS(956),
    [anon_sym_f128] = ACTIONS(956),
    [anon_sym_void] = ACTIONS(956),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_anyerror] = ACTIONS(956),
    [anon_sym_anyopaque] = ACTIONS(956),
    [anon_sym_anytype] = ACTIONS(956),
    [anon_sym_noreturn] = ACTIONS(956),
    [anon_sym_isize] = ACTIONS(956),
    [anon_sym_usize] = ACTIONS(956),
    [anon_sym_comptime_int] = ACTIONS(956),
    [anon_sym_comptime_float] = ACTIONS(956),
    [anon_sym_c_short] = ACTIONS(956),
    [anon_sym_c_ushort] = ACTIONS(956),
    [anon_sym_c_int] = ACTIONS(956),
    [anon_sym_c_uint] = ACTIONS(956),
    [anon_sym_c_long] = ACTIONS(956),
    [anon_sym_c_ulong] = ACTIONS(956),
    [anon_sym_c_longlong] = ACTIONS(956),
    [anon_sym_c_ulonglong] = ACTIONS(956),
    [anon_sym_c_longdouble] = ACTIONS(956),
    [aux_sym_builtin_type_token1] = ACTIONS(956),
    [sym_builtin_identifier] = ACTIONS(962),
    [anon_sym_AT] = ACTIONS(956),
    [sym_comment] = ACTIONS(3),
  },
  [682] = {
    [sym__identifier] = ACTIONS(964),
    [anon_sym_COMMA] = ACTIONS(934),
    [anon_sym_comptime] = ACTIONS(964),
    [anon_sym_EQ] = ACTIONS(932),
    [anon_sym_extern] = ACTIONS(964),
    [anon_sym_SEMI] = ACTIONS(934),
    [anon_sym_STAR_EQ] = ACTIONS(934),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(934),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(934),
    [anon_sym_SLASH_EQ] = ACTIONS(934),
    [anon_sym_PERCENT_EQ] = ACTIONS(934),
    [anon_sym_PLUS_EQ] = ACTIONS(934),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(934),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(934),
    [anon_sym_DASH_EQ] = ACTIONS(934),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(934),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(934),
    [anon_sym_LT_LT_EQ] = ACTIONS(934),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(934),
    [anon_sym_GT_GT_EQ] = ACTIONS(934),
    [anon_sym_AMP_EQ] = ACTIONS(934),
    [anon_sym_CARET_EQ] = ACTIONS(934),
    [anon_sym_PIPE_EQ] = ACTIONS(934),
    [anon_sym_const] = ACTIONS(964),
    [anon_sym_var] = ACTIONS(964),
    [anon_sym_inline] = ACTIONS(964),
    [anon_sym_fn] = ACTIONS(964),
    [anon_sym_LPAREN] = ACTIONS(966),
    [anon_sym_LBRACE] = ACTIONS(966),
    [anon_sym_RBRACE] = ACTIONS(966),
    [anon_sym_packed] = ACTIONS(964),
    [anon_sym_struct] = ACTIONS(964),
    [anon_sym_opaque] = ACTIONS(964),
    [anon_sym_enum] = ACTIONS(964),
    [anon_sym_union] = ACTIONS(964),
    [anon_sym_error] = ACTIONS(964),
    [anon_sym_nosuspend] = ACTIONS(964),
    [anon_sym_suspend] = ACTIONS(964),
    [anon_sym_defer] = ACTIONS(964),
    [anon_sym_errdefer] = ACTIONS(964),
    [anon_sym_if] = ACTIONS(964),
    [anon_sym_for] = ACTIONS(964),
    [anon_sym_DOT_DOT] = ACTIONS(934),
    [anon_sym_while] = ACTIONS(964),
    [anon_sym_PIPE] = ACTIONS(932),
    [anon_sym_STAR] = ACTIONS(964),
    [anon_sym_asm] = ACTIONS(964),
    [anon_sym_LBRACK] = ACTIONS(966),
    [anon_sym_BANG] = ACTIONS(964),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(964),
    [anon_sym_DASH_PERCENT] = ACTIONS(964),
    [anon_sym_AMP] = ACTIONS(964),
    [anon_sym_or] = ACTIONS(932),
    [anon_sym_and] = ACTIONS(932),
    [anon_sym_EQ_EQ] = ACTIONS(934),
    [anon_sym_BANG_EQ] = ACTIONS(934),
    [anon_sym_GT] = ACTIONS(932),
    [anon_sym_GT_EQ] = ACTIONS(934),
    [anon_sym_LT_EQ] = ACTIONS(934),
    [anon_sym_LT] = ACTIONS(932),
    [anon_sym_CARET] = ACTIONS(932),
    [anon_sym_orelse] = ACTIONS(932),
    [anon_sym_LT_LT] = ACTIONS(932),
    [anon_sym_GT_GT] = ACTIONS(932),
    [anon_sym_LT_LT_PIPE] = ACTIONS(932),
    [anon_sym_PLUS] = ACTIONS(932),
    [anon_sym_PLUS_PLUS] = ACTIONS(934),
    [anon_sym_PLUS_PERCENT] = ACTIONS(932),
    [anon_sym_PLUS_PIPE] = ACTIONS(932),
    [anon_sym_DASH_PIPE] = ACTIONS(932),
    [anon_sym_SLASH] = ACTIONS(932),
    [anon_sym_PERCENT] = ACTIONS(932),
    [anon_sym_STAR_STAR] = ACTIONS(934),
    [anon_sym_STAR_PERCENT] = ACTIONS(932),
    [anon_sym_STAR_PIPE] = ACTIONS(932),
    [anon_sym_PIPE_PIPE] = ACTIONS(934),
    [anon_sym_async] = ACTIONS(964),
    [anon_sym_await] = ACTIONS(964),
    [anon_sym_continue] = ACTIONS(964),
    [anon_sym_resume] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(964),
    [anon_sym_try] = ACTIONS(964),
    [anon_sym_catch] = ACTIONS(932),
    [anon_sym_switch] = ACTIONS(964),
    [anon_sym_anyframe] = ACTIONS(964),
    [anon_sym_unreachable] = ACTIONS(964),
    [anon_sym_undefined] = ACTIONS(964),
    [anon_sym_null] = ACTIONS(964),
    [anon_sym_QMARK] = ACTIONS(966),
    [anon_sym_DOT] = ACTIONS(964),
    [anon_sym_DOT_STAR] = ACTIONS(934),
    [anon_sym_DOT_QMARK] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(966),
    [aux_sym_multiline_string_token1] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(966),
    [sym_integer] = ACTIONS(964),
    [sym_float] = ACTIONS(966),
    [anon_sym_true] = ACTIONS(964),
    [anon_sym_false] = ACTIONS(964),
    [anon_sym_bool] = ACTIONS(964),
    [anon_sym_f16] = ACTIONS(964),
    [anon_sym_f32] = ACTIONS(964),
    [anon_sym_f64] = ACTIONS(964),
    [anon_sym_f128] = ACTIONS(964),
    [anon_sym_void] = ACTIONS(964),
    [anon_sym_type] = ACTIONS(964),
    [anon_sym_anyerror] = ACTIONS(964),
    [anon_sym_anyopaque] = ACTIONS(964),
    [anon_sym_anytype] = ACTIONS(964),
    [anon_sym_noreturn] = ACTIONS(964),
    [anon_sym_isize] = ACTIONS(964),
    [anon_sym_usize] = ACTIONS(964),
    [anon_sym_comptime_int] = ACTIONS(964),
    [anon_sym_comptime_float] = ACTIONS(964),
    [anon_sym_c_short] = ACTIONS(964),
    [anon_sym_c_ushort] = ACTIONS(964),
    [anon_sym_c_int] = ACTIONS(964),
    [anon_sym_c_uint] = ACTIONS(964),
    [anon_sym_c_long] = ACTIONS(964),
    [anon_sym_c_ulong] = ACTIONS(964),
    [anon_sym_c_longlong] = ACTIONS(964),
    [anon_sym_c_ulonglong] = ACTIONS(964),
    [anon_sym_c_longdouble] = ACTIONS(964),
    [aux_sym_builtin_type_token1] = ACTIONS(964),
    [sym_builtin_identifier] = ACTIONS(966),
    [anon_sym_AT] = ACTIONS(964),
    [sym_comment] = ACTIONS(3),
  },
  [683] = {
    [sym__identifier] = ACTIONS(968),
    [anon_sym_COMMA] = ACTIONS(950),
    [anon_sym_comptime] = ACTIONS(968),
    [anon_sym_EQ] = ACTIONS(952),
    [anon_sym_extern] = ACTIONS(968),
    [anon_sym_SEMI] = ACTIONS(950),
    [anon_sym_STAR_EQ] = ACTIONS(950),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(950),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(950),
    [anon_sym_SLASH_EQ] = ACTIONS(950),
    [anon_sym_PERCENT_EQ] = ACTIONS(950),
    [anon_sym_PLUS_EQ] = ACTIONS(950),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(950),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(950),
    [anon_sym_DASH_EQ] = ACTIONS(950),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(950),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(950),
    [anon_sym_LT_LT_EQ] = ACTIONS(950),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(950),
    [anon_sym_GT_GT_EQ] = ACTIONS(950),
    [anon_sym_AMP_EQ] = ACTIONS(950),
    [anon_sym_CARET_EQ] = ACTIONS(950),
    [anon_sym_PIPE_EQ] = ACTIONS(950),
    [anon_sym_const] = ACTIONS(968),
    [anon_sym_var] = ACTIONS(968),
    [anon_sym_inline] = ACTIONS(968),
    [anon_sym_fn] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(970),
    [anon_sym_LBRACE] = ACTIONS(970),
    [anon_sym_RBRACE] = ACTIONS(970),
    [anon_sym_packed] = ACTIONS(968),
    [anon_sym_struct] = ACTIONS(968),
    [anon_sym_opaque] = ACTIONS(968),
    [anon_sym_enum] = ACTIONS(968),
    [anon_sym_union] = ACTIONS(968),
    [anon_sym_error] = ACTIONS(968),
    [anon_sym_nosuspend] = ACTIONS(968),
    [anon_sym_suspend] = ACTIONS(968),
    [anon_sym_defer] = ACTIONS(968),
    [anon_sym_errdefer] = ACTIONS(968),
    [anon_sym_if] = ACTIONS(968),
    [anon_sym_for] = ACTIONS(968),
    [anon_sym_DOT_DOT] = ACTIONS(950),
    [anon_sym_while] = ACTIONS(968),
    [anon_sym_PIPE] = ACTIONS(952),
    [anon_sym_STAR] = ACTIONS(968),
    [anon_sym_asm] = ACTIONS(968),
    [anon_sym_LBRACK] = ACTIONS(970),
    [anon_sym_BANG] = ACTIONS(968),
    [anon_sym_TILDE] = ACTIONS(970),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_DASH_PERCENT] = ACTIONS(968),
    [anon_sym_AMP] = ACTIONS(968),
    [anon_sym_or] = ACTIONS(952),
    [anon_sym_and] = ACTIONS(952),
    [anon_sym_EQ_EQ] = ACTIONS(950),
    [anon_sym_BANG_EQ] = ACTIONS(950),
    [anon_sym_GT] = ACTIONS(952),
    [anon_sym_GT_EQ] = ACTIONS(950),
    [anon_sym_LT_EQ] = ACTIONS(950),
    [anon_sym_LT] = ACTIONS(952),
    [anon_sym_CARET] = ACTIONS(952),
    [anon_sym_orelse] = ACTIONS(952),
    [anon_sym_LT_LT] = ACTIONS(952),
    [anon_sym_GT_GT] = ACTIONS(952),
    [anon_sym_LT_LT_PIPE] = ACTIONS(952),
    [anon_sym_PLUS] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(950),
    [anon_sym_PLUS_PERCENT] = ACTIONS(952),
    [anon_sym_PLUS_PIPE] = ACTIONS(952),
    [anon_sym_DASH_PIPE] = ACTIONS(952),
    [anon_sym_SLASH] = ACTIONS(952),
    [anon_sym_PERCENT] = ACTIONS(952),
    [anon_sym_STAR_STAR] = ACTIONS(950),
    [anon_sym_STAR_PERCENT] = ACTIONS(952),
    [anon_sym_STAR_PIPE] = ACTIONS(952),
    [anon_sym_PIPE_PIPE] = ACTIONS(950),
    [anon_sym_async] = ACTIONS(968),
    [anon_sym_await] = ACTIONS(968),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_resume] = ACTIONS(968),
    [anon_sym_return] = ACTIONS(968),
    [anon_sym_break] = ACTIONS(968),
    [anon_sym_try] = ACTIONS(968),
    [anon_sym_catch] = ACTIONS(952),
    [anon_sym_switch] = ACTIONS(968),
    [anon_sym_anyframe] = ACTIONS(968),
    [anon_sym_unreachable] = ACTIONS(968),
    [anon_sym_undefined] = ACTIONS(968),
    [anon_sym_null] = ACTIONS(968),
    [anon_sym_QMARK] = ACTIONS(970),
    [anon_sym_DOT] = ACTIONS(968),
    [anon_sym_DOT_STAR] = ACTIONS(950),
    [anon_sym_DOT_QMARK] = ACTIONS(950),
    [anon_sym_DQUOTE] = ACTIONS(970),
    [aux_sym_multiline_string_token1] = ACTIONS(970),
    [anon_sym_SQUOTE] = ACTIONS(970),
    [sym_integer] = ACTIONS(968),
    [sym_float] = ACTIONS(970),
    [anon_sym_true] = ACTIONS(968),
    [anon_sym_false] = ACTIONS(968),
    [anon_sym_bool] = ACTIONS(968),
    [anon_sym_f16] = ACTIONS(968),
    [anon_sym_f32] = ACTIONS(968),
    [anon_sym_f64] = ACTIONS(968),
    [anon_sym_f128] = ACTIONS(968),
    [anon_sym_void] = ACTIONS(968),
    [anon_sym_type] = ACTIONS(968),
    [anon_sym_anyerror] = ACTIONS(968),
    [anon_sym_anyopaque] = ACTIONS(968),
    [anon_sym_anytype] = ACTIONS(968),
    [anon_sym_noreturn] = ACTIONS(968),
    [anon_sym_isize] = ACTIONS(968),
    [anon_sym_usize] = ACTIONS(968),
    [anon_sym_comptime_int] = ACTIONS(968),
    [anon_sym_comptime_float] = ACTIONS(968),
    [anon_sym_c_short] = ACTIONS(968),
    [anon_sym_c_ushort] = ACTIONS(968),
    [anon_sym_c_int] = ACTIONS(968),
    [anon_sym_c_uint] = ACTIONS(968),
    [anon_sym_c_long] = ACTIONS(968),
    [anon_sym_c_ulong] = ACTIONS(968),
    [anon_sym_c_longlong] = ACTIONS(968),
    [anon_sym_c_ulonglong] = ACTIONS(968),
    [anon_sym_c_longdouble] = ACTIONS(968),
    [aux_sym_builtin_type_token1] = ACTIONS(968),
    [sym_builtin_identifier] = ACTIONS(970),
    [anon_sym_AT] = ACTIONS(968),
    [sym_comment] = ACTIONS(3),
  },
  [684] = {
    [sym__identifier] = ACTIONS(972),
    [anon_sym_COMMA] = ACTIONS(934),
    [anon_sym_comptime] = ACTIONS(972),
    [anon_sym_EQ] = ACTIONS(932),
    [anon_sym_extern] = ACTIONS(972),
    [anon_sym_SEMI] = ACTIONS(934),
    [anon_sym_STAR_EQ] = ACTIONS(934),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(934),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(934),
    [anon_sym_SLASH_EQ] = ACTIONS(934),
    [anon_sym_PERCENT_EQ] = ACTIONS(934),
    [anon_sym_PLUS_EQ] = ACTIONS(934),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(934),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(934),
    [anon_sym_DASH_EQ] = ACTIONS(934),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(934),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(934),
    [anon_sym_LT_LT_EQ] = ACTIONS(934),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(934),
    [anon_sym_GT_GT_EQ] = ACTIONS(934),
    [anon_sym_AMP_EQ] = ACTIONS(934),
    [anon_sym_CARET_EQ] = ACTIONS(934),
    [anon_sym_PIPE_EQ] = ACTIONS(934),
    [anon_sym_const] = ACTIONS(972),
    [anon_sym_var] = ACTIONS(972),
    [anon_sym_inline] = ACTIONS(972),
    [anon_sym_fn] = ACTIONS(972),
    [anon_sym_LPAREN] = ACTIONS(974),
    [anon_sym_LBRACE] = ACTIONS(974),
    [anon_sym_RBRACE] = ACTIONS(974),
    [anon_sym_packed] = ACTIONS(972),
    [anon_sym_struct] = ACTIONS(972),
    [anon_sym_opaque] = ACTIONS(972),
    [anon_sym_enum] = ACTIONS(972),
    [anon_sym_union] = ACTIONS(972),
    [anon_sym_error] = ACTIONS(972),
    [anon_sym_nosuspend] = ACTIONS(972),
    [anon_sym_suspend] = ACTIONS(972),
    [anon_sym_defer] = ACTIONS(972),
    [anon_sym_errdefer] = ACTIONS(972),
    [anon_sym_if] = ACTIONS(972),
    [anon_sym_for] = ACTIONS(972),
    [anon_sym_DOT_DOT] = ACTIONS(934),
    [anon_sym_while] = ACTIONS(972),
    [anon_sym_PIPE] = ACTIONS(932),
    [anon_sym_STAR] = ACTIONS(972),
    [anon_sym_asm] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(974),
    [anon_sym_BANG] = ACTIONS(972),
    [anon_sym_TILDE] = ACTIONS(974),
    [anon_sym_DASH] = ACTIONS(972),
    [anon_sym_DASH_PERCENT] = ACTIONS(972),
    [anon_sym_AMP] = ACTIONS(972),
    [anon_sym_or] = ACTIONS(932),
    [anon_sym_and] = ACTIONS(932),
    [anon_sym_EQ_EQ] = ACTIONS(934),
    [anon_sym_BANG_EQ] = ACTIONS(934),
    [anon_sym_GT] = ACTIONS(932),
    [anon_sym_GT_EQ] = ACTIONS(934),
    [anon_sym_LT_EQ] = ACTIONS(934),
    [anon_sym_LT] = ACTIONS(932),
    [anon_sym_CARET] = ACTIONS(932),
    [anon_sym_orelse] = ACTIONS(932),
    [anon_sym_LT_LT] = ACTIONS(932),
    [anon_sym_GT_GT] = ACTIONS(932),
    [anon_sym_LT_LT_PIPE] = ACTIONS(932),
    [anon_sym_PLUS] = ACTIONS(932),
    [anon_sym_PLUS_PLUS] = ACTIONS(934),
    [anon_sym_PLUS_PERCENT] = ACTIONS(932),
    [anon_sym_PLUS_PIPE] = ACTIONS(932),
    [anon_sym_DASH_PIPE] = ACTIONS(932),
    [anon_sym_SLASH] = ACTIONS(932),
    [anon_sym_PERCENT] = ACTIONS(932),
    [anon_sym_STAR_STAR] = ACTIONS(934),
    [anon_sym_STAR_PERCENT] = ACTIONS(932),
    [anon_sym_STAR_PIPE] = ACTIONS(932),
    [anon_sym_PIPE_PIPE] = ACTIONS(934),
    [anon_sym_async] = ACTIONS(972),
    [anon_sym_await] = ACTIONS(972),
    [anon_sym_continue] = ACTIONS(972),
    [anon_sym_resume] = ACTIONS(972),
    [anon_sym_return] = ACTIONS(972),
    [anon_sym_break] = ACTIONS(972),
    [anon_sym_try] = ACTIONS(972),
    [anon_sym_catch] = ACTIONS(932),
    [anon_sym_switch] = ACTIONS(972),
    [anon_sym_anyframe] = ACTIONS(972),
    [anon_sym_unreachable] = ACTIONS(972),
    [anon_sym_undefined] = ACTIONS(972),
    [anon_sym_null] = ACTIONS(972),
    [anon_sym_QMARK] = ACTIONS(974),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_DOT_STAR] = ACTIONS(934),
    [anon_sym_DOT_QMARK] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(974),
    [aux_sym_multiline_string_token1] = ACTIONS(974),
    [anon_sym_SQUOTE] = ACTIONS(974),
    [sym_integer] = ACTIONS(972),
    [sym_float] = ACTIONS(974),
    [anon_sym_true] = ACTIONS(972),
    [anon_sym_false] = ACTIONS(972),
    [anon_sym_bool] = ACTIONS(972),
    [anon_sym_f16] = ACTIONS(972),
    [anon_sym_f32] = ACTIONS(972),
    [anon_sym_f64] = ACTIONS(972),
    [anon_sym_f128] = ACTIONS(972),
    [anon_sym_void] = ACTIONS(972),
    [anon_sym_type] = ACTIONS(972),
    [anon_sym_anyerror] = ACTIONS(972),
    [anon_sym_anyopaque] = ACTIONS(972),
    [anon_sym_anytype] = ACTIONS(972),
    [anon_sym_noreturn] = ACTIONS(972),
    [anon_sym_isize] = ACTIONS(972),
    [anon_sym_usize] = ACTIONS(972),
    [anon_sym_comptime_int] = ACTIONS(972),
    [anon_sym_comptime_float] = ACTIONS(972),
    [anon_sym_c_short] = ACTIONS(972),
    [anon_sym_c_ushort] = ACTIONS(972),
    [anon_sym_c_int] = ACTIONS(972),
    [anon_sym_c_uint] = ACTIONS(972),
    [anon_sym_c_long] = ACTIONS(972),
    [anon_sym_c_ulong] = ACTIONS(972),
    [anon_sym_c_longlong] = ACTIONS(972),
    [anon_sym_c_ulonglong] = ACTIONS(972),
    [anon_sym_c_longdouble] = ACTIONS(972),
    [aux_sym_builtin_type_token1] = ACTIONS(972),
    [sym_builtin_identifier] = ACTIONS(974),
    [anon_sym_AT] = ACTIONS(972),
    [sym_comment] = ACTIONS(3),
  },
  [685] = {
    [sym__identifier] = ACTIONS(976),
    [anon_sym_COMMA] = ACTIONS(950),
    [anon_sym_comptime] = ACTIONS(976),
    [anon_sym_EQ] = ACTIONS(952),
    [anon_sym_extern] = ACTIONS(976),
    [anon_sym_SEMI] = ACTIONS(950),
    [anon_sym_STAR_EQ] = ACTIONS(950),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(950),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(950),
    [anon_sym_SLASH_EQ] = ACTIONS(950),
    [anon_sym_PERCENT_EQ] = ACTIONS(950),
    [anon_sym_PLUS_EQ] = ACTIONS(950),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(950),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(950),
    [anon_sym_DASH_EQ] = ACTIONS(950),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(950),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(950),
    [anon_sym_LT_LT_EQ] = ACTIONS(950),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(950),
    [anon_sym_GT_GT_EQ] = ACTIONS(950),
    [anon_sym_AMP_EQ] = ACTIONS(950),
    [anon_sym_CARET_EQ] = ACTIONS(950),
    [anon_sym_PIPE_EQ] = ACTIONS(950),
    [anon_sym_const] = ACTIONS(976),
    [anon_sym_var] = ACTIONS(976),
    [anon_sym_inline] = ACTIONS(976),
    [anon_sym_fn] = ACTIONS(976),
    [anon_sym_LPAREN] = ACTIONS(978),
    [anon_sym_LBRACE] = ACTIONS(978),
    [anon_sym_RBRACE] = ACTIONS(978),
    [anon_sym_packed] = ACTIONS(976),
    [anon_sym_struct] = ACTIONS(976),
    [anon_sym_opaque] = ACTIONS(976),
    [anon_sym_enum] = ACTIONS(976),
    [anon_sym_union] = ACTIONS(976),
    [anon_sym_error] = ACTIONS(976),
    [anon_sym_nosuspend] = ACTIONS(976),
    [anon_sym_suspend] = ACTIONS(976),
    [anon_sym_defer] = ACTIONS(976),
    [anon_sym_errdefer] = ACTIONS(976),
    [anon_sym_if] = ACTIONS(976),
    [anon_sym_for] = ACTIONS(976),
    [anon_sym_DOT_DOT] = ACTIONS(950),
    [anon_sym_while] = ACTIONS(976),
    [anon_sym_PIPE] = ACTIONS(952),
    [anon_sym_STAR] = ACTIONS(976),
    [anon_sym_asm] = ACTIONS(976),
    [anon_sym_LBRACK] = ACTIONS(978),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(978),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_DASH_PERCENT] = ACTIONS(976),
    [anon_sym_AMP] = ACTIONS(976),
    [anon_sym_or] = ACTIONS(952),
    [anon_sym_and] = ACTIONS(952),
    [anon_sym_EQ_EQ] = ACTIONS(950),
    [anon_sym_BANG_EQ] = ACTIONS(950),
    [anon_sym_GT] = ACTIONS(952),
    [anon_sym_GT_EQ] = ACTIONS(950),
    [anon_sym_LT_EQ] = ACTIONS(950),
    [anon_sym_LT] = ACTIONS(952),
    [anon_sym_CARET] = ACTIONS(952),
    [anon_sym_orelse] = ACTIONS(952),
    [anon_sym_LT_LT] = ACTIONS(952),
    [anon_sym_GT_GT] = ACTIONS(952),
    [anon_sym_LT_LT_PIPE] = ACTIONS(952),
    [anon_sym_PLUS] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(950),
    [anon_sym_PLUS_PERCENT] = ACTIONS(952),
    [anon_sym_PLUS_PIPE] = ACTIONS(952),
    [anon_sym_DASH_PIPE] = ACTIONS(952),
    [anon_sym_SLASH] = ACTIONS(952),
    [anon_sym_PERCENT] = ACTIONS(952),
    [anon_sym_STAR_STAR] = ACTIONS(950),
    [anon_sym_STAR_PERCENT] = ACTIONS(952),
    [anon_sym_STAR_PIPE] = ACTIONS(952),
    [anon_sym_PIPE_PIPE] = ACTIONS(950),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_await] = ACTIONS(976),
    [anon_sym_continue] = ACTIONS(976),
    [anon_sym_resume] = ACTIONS(976),
    [anon_sym_return] = ACTIONS(976),
    [anon_sym_break] = ACTIONS(976),
    [anon_sym_try] = ACTIONS(976),
    [anon_sym_catch] = ACTIONS(952),
    [anon_sym_switch] = ACTIONS(976),
    [anon_sym_anyframe] = ACTIONS(976),
    [anon_sym_unreachable] = ACTIONS(976),
    [anon_sym_undefined] = ACTIONS(976),
    [anon_sym_null] = ACTIONS(976),
    [anon_sym_QMARK] = ACTIONS(978),
    [anon_sym_DOT] = ACTIONS(976),
    [anon_sym_DOT_STAR] = ACTIONS(950),
    [anon_sym_DOT_QMARK] = ACTIONS(950),
    [anon_sym_DQUOTE] = ACTIONS(978),
    [aux_sym_multiline_string_token1] = ACTIONS(978),
    [anon_sym_SQUOTE] = ACTIONS(978),
    [sym_integer] = ACTIONS(976),
    [sym_float] = ACTIONS(978),
    [anon_sym_true] = ACTIONS(976),
    [anon_sym_false] = ACTIONS(976),
    [anon_sym_bool] = ACTIONS(976),
    [anon_sym_f16] = ACTIONS(976),
    [anon_sym_f32] = ACTIONS(976),
    [anon_sym_f64] = ACTIONS(976),
    [anon_sym_f128] = ACTIONS(976),
    [anon_sym_void] = ACTIONS(976),
    [anon_sym_type] = ACTIONS(976),
    [anon_sym_anyerror] = ACTIONS(976),
    [anon_sym_anyopaque] = ACTIONS(976),
    [anon_sym_anytype] = ACTIONS(976),
    [anon_sym_noreturn] = ACTIONS(976),
    [anon_sym_isize] = ACTIONS(976),
    [anon_sym_usize] = ACTIONS(976),
    [anon_sym_comptime_int] = ACTIONS(976),
    [anon_sym_comptime_float] = ACTIONS(976),
    [anon_sym_c_short] = ACTIONS(976),
    [anon_sym_c_ushort] = ACTIONS(976),
    [anon_sym_c_int] = ACTIONS(976),
    [anon_sym_c_uint] = ACTIONS(976),
    [anon_sym_c_long] = ACTIONS(976),
    [anon_sym_c_ulong] = ACTIONS(976),
    [anon_sym_c_longlong] = ACTIONS(976),
    [anon_sym_c_ulonglong] = ACTIONS(976),
    [anon_sym_c_longdouble] = ACTIONS(976),
    [aux_sym_builtin_type_token1] = ACTIONS(976),
    [sym_builtin_identifier] = ACTIONS(978),
    [anon_sym_AT] = ACTIONS(976),
    [sym_comment] = ACTIONS(3),
  },
  [686] = {
    [sym__identifier] = ACTIONS(840),
    [anon_sym_COMMA] = ACTIONS(838),
    [anon_sym_comptime] = ACTIONS(840),
    [anon_sym_COLON] = ACTIONS(838),
    [anon_sym_EQ] = ACTIONS(840),
    [anon_sym_extern] = ACTIONS(840),
    [anon_sym_STAR_EQ] = ACTIONS(838),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(838),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(838),
    [anon_sym_SLASH_EQ] = ACTIONS(838),
    [anon_sym_PERCENT_EQ] = ACTIONS(838),
    [anon_sym_PLUS_EQ] = ACTIONS(838),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(838),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(838),
    [anon_sym_DASH_EQ] = ACTIONS(838),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(838),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(838),
    [anon_sym_LT_LT_EQ] = ACTIONS(838),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(838),
    [anon_sym_GT_GT_EQ] = ACTIONS(838),
    [anon_sym_AMP_EQ] = ACTIONS(838),
    [anon_sym_CARET_EQ] = ACTIONS(838),
    [anon_sym_PIPE_EQ] = ACTIONS(838),
    [anon_sym_inline] = ACTIONS(840),
    [anon_sym_fn] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(838),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(838),
    [anon_sym_LBRACE] = ACTIONS(838),
    [anon_sym_packed] = ACTIONS(840),
    [anon_sym_struct] = ACTIONS(840),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_enum] = ACTIONS(840),
    [anon_sym_union] = ACTIONS(840),
    [anon_sym_error] = ACTIONS(840),
    [anon_sym_nosuspend] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(840),
    [anon_sym_else] = ACTIONS(840),
    [anon_sym_for] = ACTIONS(840),
    [anon_sym_DOT_DOT] = ACTIONS(840),
    [anon_sym_while] = ACTIONS(840),
    [anon_sym_PIPE] = ACTIONS(840),
    [anon_sym_STAR] = ACTIONS(840),
    [anon_sym_asm] = ACTIONS(840),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(840),
    [anon_sym_DASH_PERCENT] = ACTIONS(840),
    [anon_sym_AMP] = ACTIONS(840),
    [anon_sym_or] = ACTIONS(840),
    [anon_sym_and] = ACTIONS(840),
    [anon_sym_EQ_EQ] = ACTIONS(838),
    [anon_sym_BANG_EQ] = ACTIONS(838),
    [anon_sym_GT] = ACTIONS(840),
    [anon_sym_GT_EQ] = ACTIONS(838),
    [anon_sym_LT_EQ] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(840),
    [anon_sym_CARET] = ACTIONS(840),
    [anon_sym_orelse] = ACTIONS(840),
    [anon_sym_LT_LT] = ACTIONS(840),
    [anon_sym_GT_GT] = ACTIONS(840),
    [anon_sym_LT_LT_PIPE] = ACTIONS(840),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(838),
    [anon_sym_PLUS_PERCENT] = ACTIONS(840),
    [anon_sym_PLUS_PIPE] = ACTIONS(840),
    [anon_sym_DASH_PIPE] = ACTIONS(840),
    [anon_sym_SLASH] = ACTIONS(840),
    [anon_sym_PERCENT] = ACTIONS(840),
    [anon_sym_STAR_STAR] = ACTIONS(838),
    [anon_sym_STAR_PERCENT] = ACTIONS(840),
    [anon_sym_STAR_PIPE] = ACTIONS(840),
    [anon_sym_PIPE_PIPE] = ACTIONS(838),
    [anon_sym_async] = ACTIONS(840),
    [anon_sym_await] = ACTIONS(840),
    [anon_sym_continue] = ACTIONS(840),
    [anon_sym_resume] = ACTIONS(840),
    [anon_sym_return] = ACTIONS(840),
    [anon_sym_break] = ACTIONS(840),
    [anon_sym_try] = ACTIONS(840),
    [anon_sym_catch] = ACTIONS(840),
    [anon_sym_switch] = ACTIONS(840),
    [anon_sym_EQ_GT] = ACTIONS(838),
    [anon_sym_anyframe] = ACTIONS(840),
    [anon_sym_unreachable] = ACTIONS(840),
    [anon_sym_undefined] = ACTIONS(840),
    [anon_sym_null] = ACTIONS(840),
    [anon_sym_QMARK] = ACTIONS(838),
    [anon_sym_DOT] = ACTIONS(840),
    [anon_sym_DOT_STAR] = ACTIONS(838),
    [anon_sym_DOT_QMARK] = ACTIONS(838),
    [anon_sym_DQUOTE] = ACTIONS(838),
    [aux_sym_multiline_string_token1] = ACTIONS(838),
    [anon_sym_SQUOTE] = ACTIONS(838),
    [sym_integer] = ACTIONS(840),
    [sym_float] = ACTIONS(838),
    [anon_sym_true] = ACTIONS(840),
    [anon_sym_false] = ACTIONS(840),
    [anon_sym_bool] = ACTIONS(840),
    [anon_sym_f16] = ACTIONS(840),
    [anon_sym_f32] = ACTIONS(840),
    [anon_sym_f64] = ACTIONS(840),
    [anon_sym_f128] = ACTIONS(840),
    [anon_sym_void] = ACTIONS(840),
    [anon_sym_type] = ACTIONS(840),
    [anon_sym_anyerror] = ACTIONS(840),
    [anon_sym_anyopaque] = ACTIONS(840),
    [anon_sym_anytype] = ACTIONS(840),
    [anon_sym_noreturn] = ACTIONS(840),
    [anon_sym_isize] = ACTIONS(840),
    [anon_sym_usize] = ACTIONS(840),
    [anon_sym_comptime_int] = ACTIONS(840),
    [anon_sym_comptime_float] = ACTIONS(840),
    [anon_sym_c_short] = ACTIONS(840),
    [anon_sym_c_ushort] = ACTIONS(840),
    [anon_sym_c_int] = ACTIONS(840),
    [anon_sym_c_uint] = ACTIONS(840),
    [anon_sym_c_long] = ACTIONS(840),
    [anon_sym_c_ulong] = ACTIONS(840),
    [anon_sym_c_longlong] = ACTIONS(840),
    [anon_sym_c_ulonglong] = ACTIONS(840),
    [anon_sym_c_longdouble] = ACTIONS(840),
    [aux_sym_builtin_type_token1] = ACTIONS(840),
    [sym_builtin_identifier] = ACTIONS(838),
    [anon_sym_AT] = ACTIONS(840),
    [sym_comment] = ACTIONS(3),
  },
  [687] = {
    [sym__identifier] = ACTIONS(792),
    [anon_sym_COMMA] = ACTIONS(790),
    [anon_sym_comptime] = ACTIONS(792),
    [anon_sym_COLON] = ACTIONS(790),
    [anon_sym_EQ] = ACTIONS(792),
    [anon_sym_extern] = ACTIONS(792),
    [anon_sym_STAR_EQ] = ACTIONS(790),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(790),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(790),
    [anon_sym_SLASH_EQ] = ACTIONS(790),
    [anon_sym_PERCENT_EQ] = ACTIONS(790),
    [anon_sym_PLUS_EQ] = ACTIONS(790),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(790),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(790),
    [anon_sym_DASH_EQ] = ACTIONS(790),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(790),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(790),
    [anon_sym_LT_LT_EQ] = ACTIONS(790),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(790),
    [anon_sym_GT_GT_EQ] = ACTIONS(790),
    [anon_sym_AMP_EQ] = ACTIONS(790),
    [anon_sym_CARET_EQ] = ACTIONS(790),
    [anon_sym_PIPE_EQ] = ACTIONS(790),
    [anon_sym_inline] = ACTIONS(792),
    [anon_sym_fn] = ACTIONS(792),
    [anon_sym_LPAREN] = ACTIONS(790),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(790),
    [anon_sym_LBRACE] = ACTIONS(790),
    [anon_sym_packed] = ACTIONS(792),
    [anon_sym_struct] = ACTIONS(792),
    [anon_sym_opaque] = ACTIONS(792),
    [anon_sym_enum] = ACTIONS(792),
    [anon_sym_union] = ACTIONS(792),
    [anon_sym_error] = ACTIONS(792),
    [anon_sym_nosuspend] = ACTIONS(792),
    [anon_sym_if] = ACTIONS(792),
    [anon_sym_else] = ACTIONS(792),
    [anon_sym_for] = ACTIONS(792),
    [anon_sym_DOT_DOT] = ACTIONS(792),
    [anon_sym_while] = ACTIONS(792),
    [anon_sym_PIPE] = ACTIONS(792),
    [anon_sym_STAR] = ACTIONS(792),
    [anon_sym_asm] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(790),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_DASH_PERCENT] = ACTIONS(792),
    [anon_sym_AMP] = ACTIONS(792),
    [anon_sym_or] = ACTIONS(792),
    [anon_sym_and] = ACTIONS(792),
    [anon_sym_EQ_EQ] = ACTIONS(790),
    [anon_sym_BANG_EQ] = ACTIONS(790),
    [anon_sym_GT] = ACTIONS(792),
    [anon_sym_GT_EQ] = ACTIONS(790),
    [anon_sym_LT_EQ] = ACTIONS(790),
    [anon_sym_LT] = ACTIONS(792),
    [anon_sym_CARET] = ACTIONS(792),
    [anon_sym_orelse] = ACTIONS(792),
    [anon_sym_LT_LT] = ACTIONS(792),
    [anon_sym_GT_GT] = ACTIONS(792),
    [anon_sym_LT_LT_PIPE] = ACTIONS(792),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_PLUS_PERCENT] = ACTIONS(792),
    [anon_sym_PLUS_PIPE] = ACTIONS(792),
    [anon_sym_DASH_PIPE] = ACTIONS(792),
    [anon_sym_SLASH] = ACTIONS(792),
    [anon_sym_PERCENT] = ACTIONS(792),
    [anon_sym_STAR_STAR] = ACTIONS(790),
    [anon_sym_STAR_PERCENT] = ACTIONS(792),
    [anon_sym_STAR_PIPE] = ACTIONS(792),
    [anon_sym_PIPE_PIPE] = ACTIONS(790),
    [anon_sym_async] = ACTIONS(792),
    [anon_sym_await] = ACTIONS(792),
    [anon_sym_continue] = ACTIONS(792),
    [anon_sym_resume] = ACTIONS(792),
    [anon_sym_return] = ACTIONS(792),
    [anon_sym_break] = ACTIONS(792),
    [anon_sym_try] = ACTIONS(792),
    [anon_sym_catch] = ACTIONS(792),
    [anon_sym_switch] = ACTIONS(792),
    [anon_sym_EQ_GT] = ACTIONS(790),
    [anon_sym_anyframe] = ACTIONS(792),
    [anon_sym_unreachable] = ACTIONS(792),
    [anon_sym_undefined] = ACTIONS(792),
    [anon_sym_null] = ACTIONS(792),
    [anon_sym_QMARK] = ACTIONS(790),
    [anon_sym_DOT] = ACTIONS(792),
    [anon_sym_DOT_STAR] = ACTIONS(790),
    [anon_sym_DOT_QMARK] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(790),
    [aux_sym_multiline_string_token1] = ACTIONS(790),
    [anon_sym_SQUOTE] = ACTIONS(790),
    [sym_integer] = ACTIONS(792),
    [sym_float] = ACTIONS(790),
    [anon_sym_true] = ACTIONS(792),
    [anon_sym_false] = ACTIONS(792),
    [anon_sym_bool] = ACTIONS(792),
    [anon_sym_f16] = ACTIONS(792),
    [anon_sym_f32] = ACTIONS(792),
    [anon_sym_f64] = ACTIONS(792),
    [anon_sym_f128] = ACTIONS(792),
    [anon_sym_void] = ACTIONS(792),
    [anon_sym_type] = ACTIONS(792),
    [anon_sym_anyerror] = ACTIONS(792),
    [anon_sym_anyopaque] = ACTIONS(792),
    [anon_sym_anytype] = ACTIONS(792),
    [anon_sym_noreturn] = ACTIONS(792),
    [anon_sym_isize] = ACTIONS(792),
    [anon_sym_usize] = ACTIONS(792),
    [anon_sym_comptime_int] = ACTIONS(792),
    [anon_sym_comptime_float] = ACTIONS(792),
    [anon_sym_c_short] = ACTIONS(792),
    [anon_sym_c_ushort] = ACTIONS(792),
    [anon_sym_c_int] = ACTIONS(792),
    [anon_sym_c_uint] = ACTIONS(792),
    [anon_sym_c_long] = ACTIONS(792),
    [anon_sym_c_ulong] = ACTIONS(792),
    [anon_sym_c_longlong] = ACTIONS(792),
    [anon_sym_c_ulonglong] = ACTIONS(792),
    [anon_sym_c_longdouble] = ACTIONS(792),
    [aux_sym_builtin_type_token1] = ACTIONS(792),
    [sym_builtin_identifier] = ACTIONS(790),
    [anon_sym_AT] = ACTIONS(792),
    [sym_comment] = ACTIONS(3),
  },
  [688] = {
    [sym__identifier] = ACTIONS(796),
    [anon_sym_COMMA] = ACTIONS(794),
    [anon_sym_comptime] = ACTIONS(796),
    [anon_sym_COLON] = ACTIONS(794),
    [anon_sym_EQ] = ACTIONS(796),
    [anon_sym_extern] = ACTIONS(796),
    [anon_sym_STAR_EQ] = ACTIONS(794),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(794),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(794),
    [anon_sym_SLASH_EQ] = ACTIONS(794),
    [anon_sym_PERCENT_EQ] = ACTIONS(794),
    [anon_sym_PLUS_EQ] = ACTIONS(794),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(794),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(794),
    [anon_sym_DASH_EQ] = ACTIONS(794),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(794),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(794),
    [anon_sym_LT_LT_EQ] = ACTIONS(794),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(794),
    [anon_sym_GT_GT_EQ] = ACTIONS(794),
    [anon_sym_AMP_EQ] = ACTIONS(794),
    [anon_sym_CARET_EQ] = ACTIONS(794),
    [anon_sym_PIPE_EQ] = ACTIONS(794),
    [anon_sym_inline] = ACTIONS(796),
    [anon_sym_fn] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(794),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(794),
    [anon_sym_LBRACE] = ACTIONS(794),
    [anon_sym_packed] = ACTIONS(796),
    [anon_sym_struct] = ACTIONS(796),
    [anon_sym_opaque] = ACTIONS(796),
    [anon_sym_enum] = ACTIONS(796),
    [anon_sym_union] = ACTIONS(796),
    [anon_sym_error] = ACTIONS(796),
    [anon_sym_nosuspend] = ACTIONS(796),
    [anon_sym_if] = ACTIONS(796),
    [anon_sym_else] = ACTIONS(796),
    [anon_sym_for] = ACTIONS(796),
    [anon_sym_DOT_DOT] = ACTIONS(796),
    [anon_sym_while] = ACTIONS(796),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_STAR] = ACTIONS(796),
    [anon_sym_asm] = ACTIONS(796),
    [anon_sym_LBRACK] = ACTIONS(794),
    [anon_sym_BANG] = ACTIONS(796),
    [anon_sym_TILDE] = ACTIONS(794),
    [anon_sym_DASH] = ACTIONS(796),
    [anon_sym_DASH_PERCENT] = ACTIONS(796),
    [anon_sym_AMP] = ACTIONS(796),
    [anon_sym_or] = ACTIONS(796),
    [anon_sym_and] = ACTIONS(796),
    [anon_sym_EQ_EQ] = ACTIONS(794),
    [anon_sym_BANG_EQ] = ACTIONS(794),
    [anon_sym_GT] = ACTIONS(796),
    [anon_sym_GT_EQ] = ACTIONS(794),
    [anon_sym_LT_EQ] = ACTIONS(794),
    [anon_sym_LT] = ACTIONS(796),
    [anon_sym_CARET] = ACTIONS(796),
    [anon_sym_orelse] = ACTIONS(796),
    [anon_sym_LT_LT] = ACTIONS(796),
    [anon_sym_GT_GT] = ACTIONS(796),
    [anon_sym_LT_LT_PIPE] = ACTIONS(796),
    [anon_sym_PLUS] = ACTIONS(796),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_PLUS_PERCENT] = ACTIONS(796),
    [anon_sym_PLUS_PIPE] = ACTIONS(796),
    [anon_sym_DASH_PIPE] = ACTIONS(796),
    [anon_sym_SLASH] = ACTIONS(796),
    [anon_sym_PERCENT] = ACTIONS(796),
    [anon_sym_STAR_STAR] = ACTIONS(794),
    [anon_sym_STAR_PERCENT] = ACTIONS(796),
    [anon_sym_STAR_PIPE] = ACTIONS(796),
    [anon_sym_PIPE_PIPE] = ACTIONS(794),
    [anon_sym_async] = ACTIONS(796),
    [anon_sym_await] = ACTIONS(796),
    [anon_sym_continue] = ACTIONS(796),
    [anon_sym_resume] = ACTIONS(796),
    [anon_sym_return] = ACTIONS(796),
    [anon_sym_break] = ACTIONS(796),
    [anon_sym_try] = ACTIONS(796),
    [anon_sym_catch] = ACTIONS(796),
    [anon_sym_switch] = ACTIONS(796),
    [anon_sym_EQ_GT] = ACTIONS(794),
    [anon_sym_anyframe] = ACTIONS(796),
    [anon_sym_unreachable] = ACTIONS(796),
    [anon_sym_undefined] = ACTIONS(796),
    [anon_sym_null] = ACTIONS(796),
    [anon_sym_QMARK] = ACTIONS(794),
    [anon_sym_DOT] = ACTIONS(796),
    [anon_sym_DOT_STAR] = ACTIONS(794),
    [anon_sym_DOT_QMARK] = ACTIONS(794),
    [anon_sym_DQUOTE] = ACTIONS(794),
    [aux_sym_multiline_string_token1] = ACTIONS(794),
    [anon_sym_SQUOTE] = ACTIONS(794),
    [sym_integer] = ACTIONS(796),
    [sym_float] = ACTIONS(794),
    [anon_sym_true] = ACTIONS(796),
    [anon_sym_false] = ACTIONS(796),
    [anon_sym_bool] = ACTIONS(796),
    [anon_sym_f16] = ACTIONS(796),
    [anon_sym_f32] = ACTIONS(796),
    [anon_sym_f64] = ACTIONS(796),
    [anon_sym_f128] = ACTIONS(796),
    [anon_sym_void] = ACTIONS(796),
    [anon_sym_type] = ACTIONS(796),
    [anon_sym_anyerror] = ACTIONS(796),
    [anon_sym_anyopaque] = ACTIONS(796),
    [anon_sym_anytype] = ACTIONS(796),
    [anon_sym_noreturn] = ACTIONS(796),
    [anon_sym_isize] = ACTIONS(796),
    [anon_sym_usize] = ACTIONS(796),
    [anon_sym_comptime_int] = ACTIONS(796),
    [anon_sym_comptime_float] = ACTIONS(796),
    [anon_sym_c_short] = ACTIONS(796),
    [anon_sym_c_ushort] = ACTIONS(796),
    [anon_sym_c_int] = ACTIONS(796),
    [anon_sym_c_uint] = ACTIONS(796),
    [anon_sym_c_long] = ACTIONS(796),
    [anon_sym_c_ulong] = ACTIONS(796),
    [anon_sym_c_longlong] = ACTIONS(796),
    [anon_sym_c_ulonglong] = ACTIONS(796),
    [anon_sym_c_longdouble] = ACTIONS(796),
    [aux_sym_builtin_type_token1] = ACTIONS(796),
    [sym_builtin_identifier] = ACTIONS(794),
    [anon_sym_AT] = ACTIONS(796),
    [sym_comment] = ACTIONS(3),
  },
  [689] = {
    [sym__identifier] = ACTIONS(852),
    [anon_sym_COMMA] = ACTIONS(850),
    [anon_sym_comptime] = ACTIONS(852),
    [anon_sym_COLON] = ACTIONS(850),
    [anon_sym_EQ] = ACTIONS(852),
    [anon_sym_extern] = ACTIONS(852),
    [anon_sym_STAR_EQ] = ACTIONS(850),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(850),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(850),
    [anon_sym_SLASH_EQ] = ACTIONS(850),
    [anon_sym_PERCENT_EQ] = ACTIONS(850),
    [anon_sym_PLUS_EQ] = ACTIONS(850),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(850),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(850),
    [anon_sym_DASH_EQ] = ACTIONS(850),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(850),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(850),
    [anon_sym_LT_LT_EQ] = ACTIONS(850),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(850),
    [anon_sym_GT_GT_EQ] = ACTIONS(850),
    [anon_sym_AMP_EQ] = ACTIONS(850),
    [anon_sym_CARET_EQ] = ACTIONS(850),
    [anon_sym_PIPE_EQ] = ACTIONS(850),
    [anon_sym_inline] = ACTIONS(852),
    [anon_sym_fn] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(850),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(850),
    [anon_sym_LBRACE] = ACTIONS(850),
    [anon_sym_packed] = ACTIONS(852),
    [anon_sym_struct] = ACTIONS(852),
    [anon_sym_opaque] = ACTIONS(852),
    [anon_sym_enum] = ACTIONS(852),
    [anon_sym_union] = ACTIONS(852),
    [anon_sym_error] = ACTIONS(852),
    [anon_sym_nosuspend] = ACTIONS(852),
    [anon_sym_if] = ACTIONS(852),
    [anon_sym_else] = ACTIONS(852),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_DOT_DOT] = ACTIONS(852),
    [anon_sym_while] = ACTIONS(852),
    [anon_sym_PIPE] = ACTIONS(852),
    [anon_sym_STAR] = ACTIONS(852),
    [anon_sym_asm] = ACTIONS(852),
    [anon_sym_LBRACK] = ACTIONS(850),
    [anon_sym_BANG] = ACTIONS(852),
    [anon_sym_TILDE] = ACTIONS(850),
    [anon_sym_DASH] = ACTIONS(852),
    [anon_sym_DASH_PERCENT] = ACTIONS(852),
    [anon_sym_AMP] = ACTIONS(852),
    [anon_sym_or] = ACTIONS(852),
    [anon_sym_and] = ACTIONS(852),
    [anon_sym_EQ_EQ] = ACTIONS(850),
    [anon_sym_BANG_EQ] = ACTIONS(850),
    [anon_sym_GT] = ACTIONS(852),
    [anon_sym_GT_EQ] = ACTIONS(850),
    [anon_sym_LT_EQ] = ACTIONS(850),
    [anon_sym_LT] = ACTIONS(852),
    [anon_sym_CARET] = ACTIONS(852),
    [anon_sym_orelse] = ACTIONS(852),
    [anon_sym_LT_LT] = ACTIONS(852),
    [anon_sym_GT_GT] = ACTIONS(852),
    [anon_sym_LT_LT_PIPE] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(852),
    [anon_sym_PLUS_PLUS] = ACTIONS(850),
    [anon_sym_PLUS_PERCENT] = ACTIONS(852),
    [anon_sym_PLUS_PIPE] = ACTIONS(852),
    [anon_sym_DASH_PIPE] = ACTIONS(852),
    [anon_sym_SLASH] = ACTIONS(852),
    [anon_sym_PERCENT] = ACTIONS(852),
    [anon_sym_STAR_STAR] = ACTIONS(850),
    [anon_sym_STAR_PERCENT] = ACTIONS(852),
    [anon_sym_STAR_PIPE] = ACTIONS(852),
    [anon_sym_PIPE_PIPE] = ACTIONS(850),
    [anon_sym_async] = ACTIONS(852),
    [anon_sym_await] = ACTIONS(852),
    [anon_sym_continue] = ACTIONS(852),
    [anon_sym_resume] = ACTIONS(852),
    [anon_sym_return] = ACTIONS(852),
    [anon_sym_break] = ACTIONS(852),
    [anon_sym_try] = ACTIONS(852),
    [anon_sym_catch] = ACTIONS(852),
    [anon_sym_switch] = ACTIONS(852),
    [anon_sym_EQ_GT] = ACTIONS(850),
    [anon_sym_anyframe] = ACTIONS(852),
    [anon_sym_unreachable] = ACTIONS(852),
    [anon_sym_undefined] = ACTIONS(852),
    [anon_sym_null] = ACTIONS(852),
    [anon_sym_QMARK] = ACTIONS(850),
    [anon_sym_DOT] = ACTIONS(852),
    [anon_sym_DOT_STAR] = ACTIONS(850),
    [anon_sym_DOT_QMARK] = ACTIONS(850),
    [anon_sym_DQUOTE] = ACTIONS(850),
    [aux_sym_multiline_string_token1] = ACTIONS(850),
    [anon_sym_SQUOTE] = ACTIONS(850),
    [sym_integer] = ACTIONS(852),
    [sym_float] = ACTIONS(850),
    [anon_sym_true] = ACTIONS(852),
    [anon_sym_false] = ACTIONS(852),
    [anon_sym_bool] = ACTIONS(852),
    [anon_sym_f16] = ACTIONS(852),
    [anon_sym_f32] = ACTIONS(852),
    [anon_sym_f64] = ACTIONS(852),
    [anon_sym_f128] = ACTIONS(852),
    [anon_sym_void] = ACTIONS(852),
    [anon_sym_type] = ACTIONS(852),
    [anon_sym_anyerror] = ACTIONS(852),
    [anon_sym_anyopaque] = ACTIONS(852),
    [anon_sym_anytype] = ACTIONS(852),
    [anon_sym_noreturn] = ACTIONS(852),
    [anon_sym_isize] = ACTIONS(852),
    [anon_sym_usize] = ACTIONS(852),
    [anon_sym_comptime_int] = ACTIONS(852),
    [anon_sym_comptime_float] = ACTIONS(852),
    [anon_sym_c_short] = ACTIONS(852),
    [anon_sym_c_ushort] = ACTIONS(852),
    [anon_sym_c_int] = ACTIONS(852),
    [anon_sym_c_uint] = ACTIONS(852),
    [anon_sym_c_long] = ACTIONS(852),
    [anon_sym_c_ulong] = ACTIONS(852),
    [anon_sym_c_longlong] = ACTIONS(852),
    [anon_sym_c_ulonglong] = ACTIONS(852),
    [anon_sym_c_longdouble] = ACTIONS(852),
    [aux_sym_builtin_type_token1] = ACTIONS(852),
    [sym_builtin_identifier] = ACTIONS(850),
    [anon_sym_AT] = ACTIONS(852),
    [sym_comment] = ACTIONS(3),
  },
  [690] = {
    [sym__identifier] = ACTIONS(844),
    [anon_sym_COMMA] = ACTIONS(842),
    [anon_sym_comptime] = ACTIONS(844),
    [anon_sym_EQ] = ACTIONS(844),
    [anon_sym_extern] = ACTIONS(844),
    [anon_sym_STAR_EQ] = ACTIONS(842),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(842),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(842),
    [anon_sym_SLASH_EQ] = ACTIONS(842),
    [anon_sym_PERCENT_EQ] = ACTIONS(842),
    [anon_sym_PLUS_EQ] = ACTIONS(842),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(842),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(842),
    [anon_sym_DASH_EQ] = ACTIONS(842),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(842),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(842),
    [anon_sym_LT_LT_EQ] = ACTIONS(842),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(842),
    [anon_sym_GT_GT_EQ] = ACTIONS(842),
    [anon_sym_AMP_EQ] = ACTIONS(842),
    [anon_sym_CARET_EQ] = ACTIONS(842),
    [anon_sym_PIPE_EQ] = ACTIONS(842),
    [anon_sym_inline] = ACTIONS(844),
    [anon_sym_fn] = ACTIONS(844),
    [anon_sym_LPAREN] = ACTIONS(842),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(842),
    [anon_sym_LBRACE] = ACTIONS(842),
    [anon_sym_packed] = ACTIONS(844),
    [anon_sym_struct] = ACTIONS(844),
    [anon_sym_opaque] = ACTIONS(844),
    [anon_sym_enum] = ACTIONS(844),
    [anon_sym_union] = ACTIONS(844),
    [anon_sym_error] = ACTIONS(844),
    [anon_sym_nosuspend] = ACTIONS(844),
    [anon_sym_if] = ACTIONS(844),
    [anon_sym_else] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(844),
    [anon_sym_DOT_DOT] = ACTIONS(844),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_PIPE] = ACTIONS(844),
    [anon_sym_STAR] = ACTIONS(844),
    [anon_sym_asm] = ACTIONS(844),
    [anon_sym_LBRACK] = ACTIONS(842),
    [anon_sym_BANG] = ACTIONS(844),
    [anon_sym_TILDE] = ACTIONS(842),
    [anon_sym_DASH] = ACTIONS(844),
    [anon_sym_DASH_PERCENT] = ACTIONS(844),
    [anon_sym_AMP] = ACTIONS(844),
    [anon_sym_or] = ACTIONS(844),
    [anon_sym_and] = ACTIONS(844),
    [anon_sym_EQ_EQ] = ACTIONS(842),
    [anon_sym_BANG_EQ] = ACTIONS(842),
    [anon_sym_GT] = ACTIONS(844),
    [anon_sym_GT_EQ] = ACTIONS(842),
    [anon_sym_LT_EQ] = ACTIONS(842),
    [anon_sym_LT] = ACTIONS(844),
    [anon_sym_CARET] = ACTIONS(844),
    [anon_sym_orelse] = ACTIONS(844),
    [anon_sym_LT_LT] = ACTIONS(844),
    [anon_sym_GT_GT] = ACTIONS(844),
    [anon_sym_LT_LT_PIPE] = ACTIONS(844),
    [anon_sym_PLUS] = ACTIONS(844),
    [anon_sym_PLUS_PLUS] = ACTIONS(842),
    [anon_sym_PLUS_PERCENT] = ACTIONS(844),
    [anon_sym_PLUS_PIPE] = ACTIONS(844),
    [anon_sym_DASH_PIPE] = ACTIONS(844),
    [anon_sym_SLASH] = ACTIONS(844),
    [anon_sym_PERCENT] = ACTIONS(844),
    [anon_sym_STAR_STAR] = ACTIONS(842),
    [anon_sym_STAR_PERCENT] = ACTIONS(844),
    [anon_sym_STAR_PIPE] = ACTIONS(844),
    [anon_sym_PIPE_PIPE] = ACTIONS(842),
    [anon_sym_async] = ACTIONS(844),
    [anon_sym_await] = ACTIONS(844),
    [anon_sym_continue] = ACTIONS(844),
    [anon_sym_resume] = ACTIONS(844),
    [anon_sym_return] = ACTIONS(844),
    [anon_sym_break] = ACTIONS(844),
    [anon_sym_try] = ACTIONS(844),
    [anon_sym_catch] = ACTIONS(844),
    [anon_sym_switch] = ACTIONS(844),
    [anon_sym_EQ_GT] = ACTIONS(842),
    [anon_sym_anyframe] = ACTIONS(844),
    [anon_sym_unreachable] = ACTIONS(844),
    [anon_sym_undefined] = ACTIONS(844),
    [anon_sym_null] = ACTIONS(844),
    [anon_sym_QMARK] = ACTIONS(842),
    [anon_sym_DOT] = ACTIONS(844),
    [anon_sym_DOT_STAR] = ACTIONS(842),
    [anon_sym_DOT_QMARK] = ACTIONS(842),
    [anon_sym_DQUOTE] = ACTIONS(842),
    [aux_sym_multiline_string_token1] = ACTIONS(842),
    [anon_sym_SQUOTE] = ACTIONS(842),
    [sym_integer] = ACTIONS(844),
    [sym_float] = ACTIONS(842),
    [anon_sym_true] = ACTIONS(844),
    [anon_sym_false] = ACTIONS(844),
    [anon_sym_bool] = ACTIONS(844),
    [anon_sym_f16] = ACTIONS(844),
    [anon_sym_f32] = ACTIONS(844),
    [anon_sym_f64] = ACTIONS(844),
    [anon_sym_f128] = ACTIONS(844),
    [anon_sym_void] = ACTIONS(844),
    [anon_sym_type] = ACTIONS(844),
    [anon_sym_anyerror] = ACTIONS(844),
    [anon_sym_anyopaque] = ACTIONS(844),
    [anon_sym_anytype] = ACTIONS(844),
    [anon_sym_noreturn] = ACTIONS(844),
    [anon_sym_isize] = ACTIONS(844),
    [anon_sym_usize] = ACTIONS(844),
    [anon_sym_comptime_int] = ACTIONS(844),
    [anon_sym_comptime_float] = ACTIONS(844),
    [anon_sym_c_short] = ACTIONS(844),
    [anon_sym_c_ushort] = ACTIONS(844),
    [anon_sym_c_int] = ACTIONS(844),
    [anon_sym_c_uint] = ACTIONS(844),
    [anon_sym_c_long] = ACTIONS(844),
    [anon_sym_c_ulong] = ACTIONS(844),
    [anon_sym_c_longlong] = ACTIONS(844),
    [anon_sym_c_ulonglong] = ACTIONS(844),
    [anon_sym_c_longdouble] = ACTIONS(844),
    [aux_sym_builtin_type_token1] = ACTIONS(844),
    [sym_builtin_identifier] = ACTIONS(842),
    [anon_sym_AT] = ACTIONS(844),
    [sym_comment] = ACTIONS(3),
  },
  [691] = {
    [ts_builtin_sym_end] = ACTIONS(980),
    [sym__identifier] = ACTIONS(982),
    [anon_sym_COMMA] = ACTIONS(980),
    [anon_sym_comptime] = ACTIONS(982),
    [anon_sym_EQ] = ACTIONS(980),
    [anon_sym_extern] = ACTIONS(982),
    [anon_sym_SEMI] = ACTIONS(980),
    [anon_sym_const] = ACTIONS(982),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_fn] = ACTIONS(982),
    [anon_sym_LPAREN] = ACTIONS(980),
    [anon_sym_LBRACE] = ACTIONS(980),
    [anon_sym_RBRACE] = ACTIONS(980),
    [anon_sym_packed] = ACTIONS(982),
    [anon_sym_struct] = ACTIONS(982),
    [anon_sym_opaque] = ACTIONS(982),
    [anon_sym_enum] = ACTIONS(982),
    [anon_sym_union] = ACTIONS(982),
    [anon_sym_error] = ACTIONS(982),
    [anon_sym_nosuspend] = ACTIONS(982),
    [anon_sym_if] = ACTIONS(982),
    [anon_sym_for] = ACTIONS(982),
    [anon_sym_while] = ACTIONS(982),
    [anon_sym_STAR] = ACTIONS(980),
    [anon_sym_align] = ACTIONS(982),
    [anon_sym_addrspace] = ACTIONS(982),
    [anon_sym_linksection] = ACTIONS(982),
    [anon_sym_callconv] = ACTIONS(982),
    [anon_sym_asm] = ACTIONS(982),
    [anon_sym_volatile] = ACTIONS(982),
    [anon_sym_LBRACK] = ACTIONS(980),
    [anon_sym_BANG] = ACTIONS(980),
    [anon_sym_TILDE] = ACTIONS(980),
    [anon_sym_DASH] = ACTIONS(982),
    [anon_sym_DASH_PERCENT] = ACTIONS(980),
    [anon_sym_AMP] = ACTIONS(980),
    [anon_sym_async] = ACTIONS(982),
    [anon_sym_await] = ACTIONS(982),
    [anon_sym_continue] = ACTIONS(982),
    [anon_sym_resume] = ACTIONS(982),
    [anon_sym_return] = ACTIONS(982),
    [anon_sym_break] = ACTIONS(982),
    [anon_sym_try] = ACTIONS(982),
    [anon_sym_switch] = ACTIONS(982),
    [anon_sym_anyframe] = ACTIONS(982),
    [anon_sym_unreachable] = ACTIONS(982),
    [anon_sym_undefined] = ACTIONS(982),
    [anon_sym_null] = ACTIONS(982),
    [anon_sym_QMARK] = ACTIONS(980),
    [anon_sym_allowzero] = ACTIONS(982),
    [anon_sym_DOT] = ACTIONS(980),
    [anon_sym_DQUOTE] = ACTIONS(980),
    [aux_sym_multiline_string_token1] = ACTIONS(980),
    [anon_sym_SQUOTE] = ACTIONS(980),
    [sym_integer] = ACTIONS(982),
    [sym_float] = ACTIONS(980),
    [anon_sym_true] = ACTIONS(982),
    [anon_sym_false] = ACTIONS(982),
    [anon_sym_bool] = ACTIONS(982),
    [anon_sym_f16] = ACTIONS(982),
    [anon_sym_f32] = ACTIONS(982),
    [anon_sym_f64] = ACTIONS(982),
    [anon_sym_f128] = ACTIONS(982),
    [anon_sym_void] = ACTIONS(982),
    [anon_sym_type] = ACTIONS(982),
    [anon_sym_anyerror] = ACTIONS(982),
    [anon_sym_anyopaque] = ACTIONS(982),
    [anon_sym_anytype] = ACTIONS(982),
    [anon_sym_noreturn] = ACTIONS(982),
    [anon_sym_isize] = ACTIONS(982),
    [anon_sym_usize] = ACTIONS(982),
    [anon_sym_comptime_int] = ACTIONS(982),
    [anon_sym_comptime_float] = ACTIONS(982),
    [anon_sym_c_short] = ACTIONS(982),
    [anon_sym_c_ushort] = ACTIONS(982),
    [anon_sym_c_int] = ACTIONS(982),
    [anon_sym_c_uint] = ACTIONS(982),
    [anon_sym_c_long] = ACTIONS(982),
    [anon_sym_c_ulong] = ACTIONS(982),
    [anon_sym_c_longlong] = ACTIONS(982),
    [anon_sym_c_ulonglong] = ACTIONS(982),
    [anon_sym_c_longdouble] = ACTIONS(982),
    [aux_sym_builtin_type_token1] = ACTIONS(982),
    [sym_builtin_identifier] = ACTIONS(980),
    [anon_sym_AT] = ACTIONS(982),
    [sym_comment] = ACTIONS(3),
  },
  [692] = {
    [ts_builtin_sym_end] = ACTIONS(984),
    [sym__identifier] = ACTIONS(986),
    [anon_sym_pub] = ACTIONS(986),
    [anon_sym_test] = ACTIONS(986),
    [anon_sym_comptime] = ACTIONS(986),
    [anon_sym_export] = ACTIONS(986),
    [anon_sym_extern] = ACTIONS(986),
    [anon_sym_threadlocal] = ACTIONS(986),
    [anon_sym_const] = ACTIONS(986),
    [anon_sym_var] = ACTIONS(986),
    [anon_sym_inline] = ACTIONS(986),
    [anon_sym_noinline] = ACTIONS(986),
    [anon_sym_fn] = ACTIONS(986),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_usingnamespace] = ACTIONS(986),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_RBRACE] = ACTIONS(984),
    [anon_sym_packed] = ACTIONS(986),
    [anon_sym_struct] = ACTIONS(986),
    [anon_sym_opaque] = ACTIONS(986),
    [anon_sym_enum] = ACTIONS(986),
    [anon_sym_union] = ACTIONS(986),
    [anon_sym_error] = ACTIONS(986),
    [anon_sym_nosuspend] = ACTIONS(986),
    [anon_sym_if] = ACTIONS(986),
    [anon_sym_for] = ACTIONS(986),
    [anon_sym_while] = ACTIONS(986),
    [anon_sym_STAR] = ACTIONS(984),
    [anon_sym_asm] = ACTIONS(986),
    [anon_sym_LBRACK] = ACTIONS(984),
    [anon_sym_BANG] = ACTIONS(984),
    [anon_sym_TILDE] = ACTIONS(984),
    [anon_sym_DASH] = ACTIONS(986),
    [anon_sym_DASH_PERCENT] = ACTIONS(984),
    [anon_sym_AMP] = ACTIONS(984),
    [anon_sym_async] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(986),
    [anon_sym_continue] = ACTIONS(986),
    [anon_sym_resume] = ACTIONS(986),
    [anon_sym_return] = ACTIONS(986),
    [anon_sym_break] = ACTIONS(986),
    [anon_sym_try] = ACTIONS(986),
    [anon_sym_switch] = ACTIONS(986),
    [anon_sym_anyframe] = ACTIONS(986),
    [anon_sym_unreachable] = ACTIONS(986),
    [anon_sym_undefined] = ACTIONS(986),
    [anon_sym_null] = ACTIONS(986),
    [anon_sym_QMARK] = ACTIONS(984),
    [anon_sym_DOT] = ACTIONS(984),
    [anon_sym_DQUOTE] = ACTIONS(984),
    [aux_sym_multiline_string_token1] = ACTIONS(984),
    [anon_sym_SQUOTE] = ACTIONS(984),
    [sym_integer] = ACTIONS(986),
    [sym_float] = ACTIONS(984),
    [anon_sym_true] = ACTIONS(986),
    [anon_sym_false] = ACTIONS(986),
    [anon_sym_bool] = ACTIONS(986),
    [anon_sym_f16] = ACTIONS(986),
    [anon_sym_f32] = ACTIONS(986),
    [anon_sym_f64] = ACTIONS(986),
    [anon_sym_f128] = ACTIONS(986),
    [anon_sym_void] = ACTIONS(986),
    [anon_sym_type] = ACTIONS(986),
    [anon_sym_anyerror] = ACTIONS(986),
    [anon_sym_anyopaque] = ACTIONS(986),
    [anon_sym_anytype] = ACTIONS(986),
    [anon_sym_noreturn] = ACTIONS(986),
    [anon_sym_isize] = ACTIONS(986),
    [anon_sym_usize] = ACTIONS(986),
    [anon_sym_comptime_int] = ACTIONS(986),
    [anon_sym_comptime_float] = ACTIONS(986),
    [anon_sym_c_short] = ACTIONS(986),
    [anon_sym_c_ushort] = ACTIONS(986),
    [anon_sym_c_int] = ACTIONS(986),
    [anon_sym_c_uint] = ACTIONS(986),
    [anon_sym_c_long] = ACTIONS(986),
    [anon_sym_c_ulong] = ACTIONS(986),
    [anon_sym_c_longlong] = ACTIONS(986),
    [anon_sym_c_ulonglong] = ACTIONS(986),
    [anon_sym_c_longdouble] = ACTIONS(986),
    [aux_sym_builtin_type_token1] = ACTIONS(986),
    [sym_builtin_identifier] = ACTIONS(984),
    [anon_sym_AT] = ACTIONS(986),
    [sym_comment] = ACTIONS(3),
  },
  [693] = {
    [ts_builtin_sym_end] = ACTIONS(988),
    [sym__identifier] = ACTIONS(990),
    [anon_sym_pub] = ACTIONS(990),
    [anon_sym_test] = ACTIONS(990),
    [anon_sym_comptime] = ACTIONS(990),
    [anon_sym_export] = ACTIONS(990),
    [anon_sym_extern] = ACTIONS(990),
    [anon_sym_threadlocal] = ACTIONS(990),
    [anon_sym_const] = ACTIONS(990),
    [anon_sym_var] = ACTIONS(990),
    [anon_sym_inline] = ACTIONS(990),
    [anon_sym_noinline] = ACTIONS(990),
    [anon_sym_fn] = ACTIONS(990),
    [anon_sym_LPAREN] = ACTIONS(988),
    [anon_sym_usingnamespace] = ACTIONS(990),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym_RBRACE] = ACTIONS(988),
    [anon_sym_packed] = ACTIONS(990),
    [anon_sym_struct] = ACTIONS(990),
    [anon_sym_opaque] = ACTIONS(990),
    [anon_sym_enum] = ACTIONS(990),
    [anon_sym_union] = ACTIONS(990),
    [anon_sym_error] = ACTIONS(990),
    [anon_sym_nosuspend] = ACTIONS(990),
    [anon_sym_if] = ACTIONS(990),
    [anon_sym_for] = ACTIONS(990),
    [anon_sym_while] = ACTIONS(990),
    [anon_sym_STAR] = ACTIONS(988),
    [anon_sym_asm] = ACTIONS(990),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_BANG] = ACTIONS(988),
    [anon_sym_TILDE] = ACTIONS(988),
    [anon_sym_DASH] = ACTIONS(990),
    [anon_sym_DASH_PERCENT] = ACTIONS(988),
    [anon_sym_AMP] = ACTIONS(988),
    [anon_sym_async] = ACTIONS(990),
    [anon_sym_await] = ACTIONS(990),
    [anon_sym_continue] = ACTIONS(990),
    [anon_sym_resume] = ACTIONS(990),
    [anon_sym_return] = ACTIONS(990),
    [anon_sym_break] = ACTIONS(990),
    [anon_sym_try] = ACTIONS(990),
    [anon_sym_switch] = ACTIONS(990),
    [anon_sym_anyframe] = ACTIONS(990),
    [anon_sym_unreachable] = ACTIONS(990),
    [anon_sym_undefined] = ACTIONS(990),
    [anon_sym_null] = ACTIONS(990),
    [anon_sym_QMARK] = ACTIONS(988),
    [anon_sym_DOT] = ACTIONS(988),
    [anon_sym_DQUOTE] = ACTIONS(988),
    [aux_sym_multiline_string_token1] = ACTIONS(988),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym_integer] = ACTIONS(990),
    [sym_float] = ACTIONS(988),
    [anon_sym_true] = ACTIONS(990),
    [anon_sym_false] = ACTIONS(990),
    [anon_sym_bool] = ACTIONS(990),
    [anon_sym_f16] = ACTIONS(990),
    [anon_sym_f32] = ACTIONS(990),
    [anon_sym_f64] = ACTIONS(990),
    [anon_sym_f128] = ACTIONS(990),
    [anon_sym_void] = ACTIONS(990),
    [anon_sym_type] = ACTIONS(990),
    [anon_sym_anyerror] = ACTIONS(990),
    [anon_sym_anyopaque] = ACTIONS(990),
    [anon_sym_anytype] = ACTIONS(990),
    [anon_sym_noreturn] = ACTIONS(990),
    [anon_sym_isize] = ACTIONS(990),
    [anon_sym_usize] = ACTIONS(990),
    [anon_sym_comptime_int] = ACTIONS(990),
    [anon_sym_comptime_float] = ACTIONS(990),
    [anon_sym_c_short] = ACTIONS(990),
    [anon_sym_c_ushort] = ACTIONS(990),
    [anon_sym_c_int] = ACTIONS(990),
    [anon_sym_c_uint] = ACTIONS(990),
    [anon_sym_c_long] = ACTIONS(990),
    [anon_sym_c_ulong] = ACTIONS(990),
    [anon_sym_c_longlong] = ACTIONS(990),
    [anon_sym_c_ulonglong] = ACTIONS(990),
    [anon_sym_c_longdouble] = ACTIONS(990),
    [aux_sym_builtin_type_token1] = ACTIONS(990),
    [sym_builtin_identifier] = ACTIONS(988),
    [anon_sym_AT] = ACTIONS(990),
    [sym_comment] = ACTIONS(3),
  },
  [694] = {
    [ts_builtin_sym_end] = ACTIONS(992),
    [sym__identifier] = ACTIONS(994),
    [anon_sym_pub] = ACTIONS(994),
    [anon_sym_test] = ACTIONS(994),
    [anon_sym_comptime] = ACTIONS(994),
    [anon_sym_export] = ACTIONS(994),
    [anon_sym_extern] = ACTIONS(994),
    [anon_sym_threadlocal] = ACTIONS(994),
    [anon_sym_const] = ACTIONS(994),
    [anon_sym_var] = ACTIONS(994),
    [anon_sym_inline] = ACTIONS(994),
    [anon_sym_noinline] = ACTIONS(994),
    [anon_sym_fn] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(992),
    [anon_sym_usingnamespace] = ACTIONS(994),
    [anon_sym_LBRACE] = ACTIONS(992),
    [anon_sym_RBRACE] = ACTIONS(992),
    [anon_sym_packed] = ACTIONS(994),
    [anon_sym_struct] = ACTIONS(994),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_enum] = ACTIONS(994),
    [anon_sym_union] = ACTIONS(994),
    [anon_sym_error] = ACTIONS(994),
    [anon_sym_nosuspend] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(994),
    [anon_sym_for] = ACTIONS(994),
    [anon_sym_while] = ACTIONS(994),
    [anon_sym_STAR] = ACTIONS(992),
    [anon_sym_asm] = ACTIONS(994),
    [anon_sym_LBRACK] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(994),
    [anon_sym_DASH_PERCENT] = ACTIONS(992),
    [anon_sym_AMP] = ACTIONS(992),
    [anon_sym_async] = ACTIONS(994),
    [anon_sym_await] = ACTIONS(994),
    [anon_sym_continue] = ACTIONS(994),
    [anon_sym_resume] = ACTIONS(994),
    [anon_sym_return] = ACTIONS(994),
    [anon_sym_break] = ACTIONS(994),
    [anon_sym_try] = ACTIONS(994),
    [anon_sym_switch] = ACTIONS(994),
    [anon_sym_anyframe] = ACTIONS(994),
    [anon_sym_unreachable] = ACTIONS(994),
    [anon_sym_undefined] = ACTIONS(994),
    [anon_sym_null] = ACTIONS(994),
    [anon_sym_QMARK] = ACTIONS(992),
    [anon_sym_DOT] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(992),
    [aux_sym_multiline_string_token1] = ACTIONS(992),
    [anon_sym_SQUOTE] = ACTIONS(992),
    [sym_integer] = ACTIONS(994),
    [sym_float] = ACTIONS(992),
    [anon_sym_true] = ACTIONS(994),
    [anon_sym_false] = ACTIONS(994),
    [anon_sym_bool] = ACTIONS(994),
    [anon_sym_f16] = ACTIONS(994),
    [anon_sym_f32] = ACTIONS(994),
    [anon_sym_f64] = ACTIONS(994),
    [anon_sym_f128] = ACTIONS(994),
    [anon_sym_void] = ACTIONS(994),
    [anon_sym_type] = ACTIONS(994),
    [anon_sym_anyerror] = ACTIONS(994),
    [anon_sym_anyopaque] = ACTIONS(994),
    [anon_sym_anytype] = ACTIONS(994),
    [anon_sym_noreturn] = ACTIONS(994),
    [anon_sym_isize] = ACTIONS(994),
    [anon_sym_usize] = ACTIONS(994),
    [anon_sym_comptime_int] = ACTIONS(994),
    [anon_sym_comptime_float] = ACTIONS(994),
    [anon_sym_c_short] = ACTIONS(994),
    [anon_sym_c_ushort] = ACTIONS(994),
    [anon_sym_c_int] = ACTIONS(994),
    [anon_sym_c_uint] = ACTIONS(994),
    [anon_sym_c_long] = ACTIONS(994),
    [anon_sym_c_ulong] = ACTIONS(994),
    [anon_sym_c_longlong] = ACTIONS(994),
    [anon_sym_c_ulonglong] = ACTIONS(994),
    [anon_sym_c_longdouble] = ACTIONS(994),
    [aux_sym_builtin_type_token1] = ACTIONS(994),
    [sym_builtin_identifier] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(994),
    [sym_comment] = ACTIONS(3),
  },
  [695] = {
    [ts_builtin_sym_end] = ACTIONS(996),
    [sym__identifier] = ACTIONS(998),
    [anon_sym_pub] = ACTIONS(998),
    [anon_sym_test] = ACTIONS(998),
    [anon_sym_comptime] = ACTIONS(998),
    [anon_sym_export] = ACTIONS(998),
    [anon_sym_extern] = ACTIONS(998),
    [anon_sym_threadlocal] = ACTIONS(998),
    [anon_sym_const] = ACTIONS(998),
    [anon_sym_var] = ACTIONS(998),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_noinline] = ACTIONS(998),
    [anon_sym_fn] = ACTIONS(998),
    [anon_sym_LPAREN] = ACTIONS(996),
    [anon_sym_usingnamespace] = ACTIONS(998),
    [anon_sym_LBRACE] = ACTIONS(996),
    [anon_sym_RBRACE] = ACTIONS(996),
    [anon_sym_packed] = ACTIONS(998),
    [anon_sym_struct] = ACTIONS(998),
    [anon_sym_opaque] = ACTIONS(998),
    [anon_sym_enum] = ACTIONS(998),
    [anon_sym_union] = ACTIONS(998),
    [anon_sym_error] = ACTIONS(998),
    [anon_sym_nosuspend] = ACTIONS(998),
    [anon_sym_if] = ACTIONS(998),
    [anon_sym_for] = ACTIONS(998),
    [anon_sym_while] = ACTIONS(998),
    [anon_sym_STAR] = ACTIONS(996),
    [anon_sym_asm] = ACTIONS(998),
    [anon_sym_LBRACK] = ACTIONS(996),
    [anon_sym_BANG] = ACTIONS(996),
    [anon_sym_TILDE] = ACTIONS(996),
    [anon_sym_DASH] = ACTIONS(998),
    [anon_sym_DASH_PERCENT] = ACTIONS(996),
    [anon_sym_AMP] = ACTIONS(996),
    [anon_sym_async] = ACTIONS(998),
    [anon_sym_await] = ACTIONS(998),
    [anon_sym_continue] = ACTIONS(998),
    [anon_sym_resume] = ACTIONS(998),
    [anon_sym_return] = ACTIONS(998),
    [anon_sym_break] = ACTIONS(998),
    [anon_sym_try] = ACTIONS(998),
    [anon_sym_switch] = ACTIONS(998),
    [anon_sym_anyframe] = ACTIONS(998),
    [anon_sym_unreachable] = ACTIONS(998),
    [anon_sym_undefined] = ACTIONS(998),
    [anon_sym_null] = ACTIONS(998),
    [anon_sym_QMARK] = ACTIONS(996),
    [anon_sym_DOT] = ACTIONS(996),
    [anon_sym_DQUOTE] = ACTIONS(996),
    [aux_sym_multiline_string_token1] = ACTIONS(996),
    [anon_sym_SQUOTE] = ACTIONS(996),
    [sym_integer] = ACTIONS(998),
    [sym_float] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [anon_sym_bool] = ACTIONS(998),
    [anon_sym_f16] = ACTIONS(998),
    [anon_sym_f32] = ACTIONS(998),
    [anon_sym_f64] = ACTIONS(998),
    [anon_sym_f128] = ACTIONS(998),
    [anon_sym_void] = ACTIONS(998),
    [anon_sym_type] = ACTIONS(998),
    [anon_sym_anyerror] = ACTIONS(998),
    [anon_sym_anyopaque] = ACTIONS(998),
    [anon_sym_anytype] = ACTIONS(998),
    [anon_sym_noreturn] = ACTIONS(998),
    [anon_sym_isize] = ACTIONS(998),
    [anon_sym_usize] = ACTIONS(998),
    [anon_sym_comptime_int] = ACTIONS(998),
    [anon_sym_comptime_float] = ACTIONS(998),
    [anon_sym_c_short] = ACTIONS(998),
    [anon_sym_c_ushort] = ACTIONS(998),
    [anon_sym_c_int] = ACTIONS(998),
    [anon_sym_c_uint] = ACTIONS(998),
    [anon_sym_c_long] = ACTIONS(998),
    [anon_sym_c_ulong] = ACTIONS(998),
    [anon_sym_c_longlong] = ACTIONS(998),
    [anon_sym_c_ulonglong] = ACTIONS(998),
    [anon_sym_c_longdouble] = ACTIONS(998),
    [aux_sym_builtin_type_token1] = ACTIONS(998),
    [sym_builtin_identifier] = ACTIONS(996),
    [anon_sym_AT] = ACTIONS(998),
    [sym_comment] = ACTIONS(3),
  },
  [696] = {
    [ts_builtin_sym_end] = ACTIONS(1000),
    [sym__identifier] = ACTIONS(1002),
    [anon_sym_pub] = ACTIONS(1002),
    [anon_sym_test] = ACTIONS(1002),
    [anon_sym_comptime] = ACTIONS(1002),
    [anon_sym_export] = ACTIONS(1002),
    [anon_sym_extern] = ACTIONS(1002),
    [anon_sym_threadlocal] = ACTIONS(1002),
    [anon_sym_const] = ACTIONS(1002),
    [anon_sym_var] = ACTIONS(1002),
    [anon_sym_inline] = ACTIONS(1002),
    [anon_sym_noinline] = ACTIONS(1002),
    [anon_sym_fn] = ACTIONS(1002),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_usingnamespace] = ACTIONS(1002),
    [anon_sym_LBRACE] = ACTIONS(1000),
    [anon_sym_RBRACE] = ACTIONS(1000),
    [anon_sym_packed] = ACTIONS(1002),
    [anon_sym_struct] = ACTIONS(1002),
    [anon_sym_opaque] = ACTIONS(1002),
    [anon_sym_enum] = ACTIONS(1002),
    [anon_sym_union] = ACTIONS(1002),
    [anon_sym_error] = ACTIONS(1002),
    [anon_sym_nosuspend] = ACTIONS(1002),
    [anon_sym_if] = ACTIONS(1002),
    [anon_sym_for] = ACTIONS(1002),
    [anon_sym_while] = ACTIONS(1002),
    [anon_sym_STAR] = ACTIONS(1000),
    [anon_sym_asm] = ACTIONS(1002),
    [anon_sym_LBRACK] = ACTIONS(1000),
    [anon_sym_BANG] = ACTIONS(1000),
    [anon_sym_TILDE] = ACTIONS(1000),
    [anon_sym_DASH] = ACTIONS(1002),
    [anon_sym_DASH_PERCENT] = ACTIONS(1000),
    [anon_sym_AMP] = ACTIONS(1000),
    [anon_sym_async] = ACTIONS(1002),
    [anon_sym_await] = ACTIONS(1002),
    [anon_sym_continue] = ACTIONS(1002),
    [anon_sym_resume] = ACTIONS(1002),
    [anon_sym_return] = ACTIONS(1002),
    [anon_sym_break] = ACTIONS(1002),
    [anon_sym_try] = ACTIONS(1002),
    [anon_sym_switch] = ACTIONS(1002),
    [anon_sym_anyframe] = ACTIONS(1002),
    [anon_sym_unreachable] = ACTIONS(1002),
    [anon_sym_undefined] = ACTIONS(1002),
    [anon_sym_null] = ACTIONS(1002),
    [anon_sym_QMARK] = ACTIONS(1000),
    [anon_sym_DOT] = ACTIONS(1000),
    [anon_sym_DQUOTE] = ACTIONS(1000),
    [aux_sym_multiline_string_token1] = ACTIONS(1000),
    [anon_sym_SQUOTE] = ACTIONS(1000),
    [sym_integer] = ACTIONS(1002),
    [sym_float] = ACTIONS(1000),
    [anon_sym_true] = ACTIONS(1002),
    [anon_sym_false] = ACTIONS(1002),
    [anon_sym_bool] = ACTIONS(1002),
    [anon_sym_f16] = ACTIONS(1002),
    [anon_sym_f32] = ACTIONS(1002),
    [anon_sym_f64] = ACTIONS(1002),
    [anon_sym_f128] = ACTIONS(1002),
    [anon_sym_void] = ACTIONS(1002),
    [anon_sym_type] = ACTIONS(1002),
    [anon_sym_anyerror] = ACTIONS(1002),
    [anon_sym_anyopaque] = ACTIONS(1002),
    [anon_sym_anytype] = ACTIONS(1002),
    [anon_sym_noreturn] = ACTIONS(1002),
    [anon_sym_isize] = ACTIONS(1002),
    [anon_sym_usize] = ACTIONS(1002),
    [anon_sym_comptime_int] = ACTIONS(1002),
    [anon_sym_comptime_float] = ACTIONS(1002),
    [anon_sym_c_short] = ACTIONS(1002),
    [anon_sym_c_ushort] = ACTIONS(1002),
    [anon_sym_c_int] = ACTIONS(1002),
    [anon_sym_c_uint] = ACTIONS(1002),
    [anon_sym_c_long] = ACTIONS(1002),
    [anon_sym_c_ulong] = ACTIONS(1002),
    [anon_sym_c_longlong] = ACTIONS(1002),
    [anon_sym_c_ulonglong] = ACTIONS(1002),
    [anon_sym_c_longdouble] = ACTIONS(1002),
    [aux_sym_builtin_type_token1] = ACTIONS(1002),
    [sym_builtin_identifier] = ACTIONS(1000),
    [anon_sym_AT] = ACTIONS(1002),
    [sym_comment] = ACTIONS(3),
  },
  [697] = {
    [ts_builtin_sym_end] = ACTIONS(1004),
    [sym__identifier] = ACTIONS(1006),
    [anon_sym_pub] = ACTIONS(1006),
    [anon_sym_test] = ACTIONS(1006),
    [anon_sym_comptime] = ACTIONS(1006),
    [anon_sym_export] = ACTIONS(1006),
    [anon_sym_extern] = ACTIONS(1006),
    [anon_sym_threadlocal] = ACTIONS(1006),
    [anon_sym_const] = ACTIONS(1006),
    [anon_sym_var] = ACTIONS(1006),
    [anon_sym_inline] = ACTIONS(1006),
    [anon_sym_noinline] = ACTIONS(1006),
    [anon_sym_fn] = ACTIONS(1006),
    [anon_sym_LPAREN] = ACTIONS(1004),
    [anon_sym_usingnamespace] = ACTIONS(1006),
    [anon_sym_LBRACE] = ACTIONS(1004),
    [anon_sym_RBRACE] = ACTIONS(1004),
    [anon_sym_packed] = ACTIONS(1006),
    [anon_sym_struct] = ACTIONS(1006),
    [anon_sym_opaque] = ACTIONS(1006),
    [anon_sym_enum] = ACTIONS(1006),
    [anon_sym_union] = ACTIONS(1006),
    [anon_sym_error] = ACTIONS(1006),
    [anon_sym_nosuspend] = ACTIONS(1006),
    [anon_sym_if] = ACTIONS(1006),
    [anon_sym_for] = ACTIONS(1006),
    [anon_sym_while] = ACTIONS(1006),
    [anon_sym_STAR] = ACTIONS(1004),
    [anon_sym_asm] = ACTIONS(1006),
    [anon_sym_LBRACK] = ACTIONS(1004),
    [anon_sym_BANG] = ACTIONS(1004),
    [anon_sym_TILDE] = ACTIONS(1004),
    [anon_sym_DASH] = ACTIONS(1006),
    [anon_sym_DASH_PERCENT] = ACTIONS(1004),
    [anon_sym_AMP] = ACTIONS(1004),
    [anon_sym_async] = ACTIONS(1006),
    [anon_sym_await] = ACTIONS(1006),
    [anon_sym_continue] = ACTIONS(1006),
    [anon_sym_resume] = ACTIONS(1006),
    [anon_sym_return] = ACTIONS(1006),
    [anon_sym_break] = ACTIONS(1006),
    [anon_sym_try] = ACTIONS(1006),
    [anon_sym_switch] = ACTIONS(1006),
    [anon_sym_anyframe] = ACTIONS(1006),
    [anon_sym_unreachable] = ACTIONS(1006),
    [anon_sym_undefined] = ACTIONS(1006),
    [anon_sym_null] = ACTIONS(1006),
    [anon_sym_QMARK] = ACTIONS(1004),
    [anon_sym_DOT] = ACTIONS(1004),
    [anon_sym_DQUOTE] = ACTIONS(1004),
    [aux_sym_multiline_string_token1] = ACTIONS(1004),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [sym_integer] = ACTIONS(1006),
    [sym_float] = ACTIONS(1004),
    [anon_sym_true] = ACTIONS(1006),
    [anon_sym_false] = ACTIONS(1006),
    [anon_sym_bool] = ACTIONS(1006),
    [anon_sym_f16] = ACTIONS(1006),
    [anon_sym_f32] = ACTIONS(1006),
    [anon_sym_f64] = ACTIONS(1006),
    [anon_sym_f128] = ACTIONS(1006),
    [anon_sym_void] = ACTIONS(1006),
    [anon_sym_type] = ACTIONS(1006),
    [anon_sym_anyerror] = ACTIONS(1006),
    [anon_sym_anyopaque] = ACTIONS(1006),
    [anon_sym_anytype] = ACTIONS(1006),
    [anon_sym_noreturn] = ACTIONS(1006),
    [anon_sym_isize] = ACTIONS(1006),
    [anon_sym_usize] = ACTIONS(1006),
    [anon_sym_comptime_int] = ACTIONS(1006),
    [anon_sym_comptime_float] = ACTIONS(1006),
    [anon_sym_c_short] = ACTIONS(1006),
    [anon_sym_c_ushort] = ACTIONS(1006),
    [anon_sym_c_int] = ACTIONS(1006),
    [anon_sym_c_uint] = ACTIONS(1006),
    [anon_sym_c_long] = ACTIONS(1006),
    [anon_sym_c_ulong] = ACTIONS(1006),
    [anon_sym_c_longlong] = ACTIONS(1006),
    [anon_sym_c_ulonglong] = ACTIONS(1006),
    [anon_sym_c_longdouble] = ACTIONS(1006),
    [aux_sym_builtin_type_token1] = ACTIONS(1006),
    [sym_builtin_identifier] = ACTIONS(1004),
    [anon_sym_AT] = ACTIONS(1006),
    [sym_comment] = ACTIONS(3),
  },
  [698] = {
    [ts_builtin_sym_end] = ACTIONS(988),
    [sym__identifier] = ACTIONS(990),
    [anon_sym_pub] = ACTIONS(990),
    [anon_sym_test] = ACTIONS(990),
    [anon_sym_comptime] = ACTIONS(990),
    [anon_sym_export] = ACTIONS(990),
    [anon_sym_extern] = ACTIONS(990),
    [anon_sym_threadlocal] = ACTIONS(990),
    [anon_sym_const] = ACTIONS(990),
    [anon_sym_var] = ACTIONS(990),
    [anon_sym_inline] = ACTIONS(990),
    [anon_sym_noinline] = ACTIONS(990),
    [anon_sym_fn] = ACTIONS(990),
    [anon_sym_LPAREN] = ACTIONS(988),
    [anon_sym_usingnamespace] = ACTIONS(990),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym_RBRACE] = ACTIONS(988),
    [anon_sym_packed] = ACTIONS(990),
    [anon_sym_struct] = ACTIONS(990),
    [anon_sym_opaque] = ACTIONS(990),
    [anon_sym_enum] = ACTIONS(990),
    [anon_sym_union] = ACTIONS(990),
    [anon_sym_error] = ACTIONS(990),
    [anon_sym_nosuspend] = ACTIONS(990),
    [anon_sym_if] = ACTIONS(990),
    [anon_sym_for] = ACTIONS(990),
    [anon_sym_while] = ACTIONS(990),
    [anon_sym_STAR] = ACTIONS(988),
    [anon_sym_asm] = ACTIONS(990),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_BANG] = ACTIONS(988),
    [anon_sym_TILDE] = ACTIONS(988),
    [anon_sym_DASH] = ACTIONS(990),
    [anon_sym_DASH_PERCENT] = ACTIONS(988),
    [anon_sym_AMP] = ACTIONS(988),
    [anon_sym_async] = ACTIONS(990),
    [anon_sym_await] = ACTIONS(990),
    [anon_sym_continue] = ACTIONS(990),
    [anon_sym_resume] = ACTIONS(990),
    [anon_sym_return] = ACTIONS(990),
    [anon_sym_break] = ACTIONS(990),
    [anon_sym_try] = ACTIONS(990),
    [anon_sym_switch] = ACTIONS(990),
    [anon_sym_anyframe] = ACTIONS(990),
    [anon_sym_unreachable] = ACTIONS(990),
    [anon_sym_undefined] = ACTIONS(990),
    [anon_sym_null] = ACTIONS(990),
    [anon_sym_QMARK] = ACTIONS(988),
    [anon_sym_DOT] = ACTIONS(988),
    [anon_sym_DQUOTE] = ACTIONS(988),
    [aux_sym_multiline_string_token1] = ACTIONS(988),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym_integer] = ACTIONS(990),
    [sym_float] = ACTIONS(988),
    [anon_sym_true] = ACTIONS(990),
    [anon_sym_false] = ACTIONS(990),
    [anon_sym_bool] = ACTIONS(990),
    [anon_sym_f16] = ACTIONS(990),
    [anon_sym_f32] = ACTIONS(990),
    [anon_sym_f64] = ACTIONS(990),
    [anon_sym_f128] = ACTIONS(990),
    [anon_sym_void] = ACTIONS(990),
    [anon_sym_type] = ACTIONS(990),
    [anon_sym_anyerror] = ACTIONS(990),
    [anon_sym_anyopaque] = ACTIONS(990),
    [anon_sym_anytype] = ACTIONS(990),
    [anon_sym_noreturn] = ACTIONS(990),
    [anon_sym_isize] = ACTIONS(990),
    [anon_sym_usize] = ACTIONS(990),
    [anon_sym_comptime_int] = ACTIONS(990),
    [anon_sym_comptime_float] = ACTIONS(990),
    [anon_sym_c_short] = ACTIONS(990),
    [anon_sym_c_ushort] = ACTIONS(990),
    [anon_sym_c_int] = ACTIONS(990),
    [anon_sym_c_uint] = ACTIONS(990),
    [anon_sym_c_long] = ACTIONS(990),
    [anon_sym_c_ulong] = ACTIONS(990),
    [anon_sym_c_longlong] = ACTIONS(990),
    [anon_sym_c_ulonglong] = ACTIONS(990),
    [anon_sym_c_longdouble] = ACTIONS(990),
    [aux_sym_builtin_type_token1] = ACTIONS(990),
    [sym_builtin_identifier] = ACTIONS(988),
    [anon_sym_AT] = ACTIONS(990),
    [sym_comment] = ACTIONS(3),
  },
  [699] = {
    [sym__identifier] = ACTIONS(1008),
    [anon_sym_COMMA] = ACTIONS(1010),
    [anon_sym_comptime] = ACTIONS(1008),
    [anon_sym_EQ] = ACTIONS(1010),
    [anon_sym_extern] = ACTIONS(1008),
    [anon_sym_SEMI] = ACTIONS(1010),
    [anon_sym_const] = ACTIONS(1008),
    [anon_sym_inline] = ACTIONS(1008),
    [anon_sym_fn] = ACTIONS(1008),
    [anon_sym_LPAREN] = ACTIONS(1010),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_packed] = ACTIONS(1008),
    [anon_sym_struct] = ACTIONS(1008),
    [anon_sym_opaque] = ACTIONS(1008),
    [anon_sym_enum] = ACTIONS(1008),
    [anon_sym_union] = ACTIONS(1008),
    [anon_sym_error] = ACTIONS(1008),
    [anon_sym_nosuspend] = ACTIONS(1008),
    [anon_sym_if] = ACTIONS(1008),
    [anon_sym_for] = ACTIONS(1008),
    [anon_sym_while] = ACTIONS(1008),
    [anon_sym_STAR] = ACTIONS(1010),
    [anon_sym_align] = ACTIONS(1008),
    [anon_sym_addrspace] = ACTIONS(1008),
    [anon_sym_linksection] = ACTIONS(1008),
    [anon_sym_callconv] = ACTIONS(1008),
    [anon_sym_asm] = ACTIONS(1008),
    [anon_sym_volatile] = ACTIONS(1008),
    [anon_sym_LBRACK] = ACTIONS(1010),
    [anon_sym_BANG] = ACTIONS(1010),
    [anon_sym_TILDE] = ACTIONS(1010),
    [anon_sym_DASH] = ACTIONS(1008),
    [anon_sym_DASH_PERCENT] = ACTIONS(1010),
    [anon_sym_AMP] = ACTIONS(1010),
    [anon_sym_async] = ACTIONS(1008),
    [anon_sym_await] = ACTIONS(1008),
    [anon_sym_continue] = ACTIONS(1008),
    [anon_sym_resume] = ACTIONS(1008),
    [anon_sym_return] = ACTIONS(1008),
    [anon_sym_break] = ACTIONS(1008),
    [anon_sym_try] = ACTIONS(1008),
    [anon_sym_switch] = ACTIONS(1008),
    [anon_sym_anyframe] = ACTIONS(1008),
    [anon_sym_unreachable] = ACTIONS(1008),
    [anon_sym_undefined] = ACTIONS(1008),
    [anon_sym_null] = ACTIONS(1008),
    [anon_sym_QMARK] = ACTIONS(1010),
    [anon_sym_allowzero] = ACTIONS(1008),
    [anon_sym_DOT] = ACTIONS(1010),
    [anon_sym_DQUOTE] = ACTIONS(1010),
    [aux_sym_multiline_string_token1] = ACTIONS(1010),
    [anon_sym_SQUOTE] = ACTIONS(1010),
    [sym_integer] = ACTIONS(1008),
    [sym_float] = ACTIONS(1010),
    [anon_sym_true] = ACTIONS(1008),
    [anon_sym_false] = ACTIONS(1008),
    [anon_sym_bool] = ACTIONS(1008),
    [anon_sym_f16] = ACTIONS(1008),
    [anon_sym_f32] = ACTIONS(1008),
    [anon_sym_f64] = ACTIONS(1008),
    [anon_sym_f128] = ACTIONS(1008),
    [anon_sym_void] = ACTIONS(1008),
    [anon_sym_type] = ACTIONS(1008),
    [anon_sym_anyerror] = ACTIONS(1008),
    [anon_sym_anyopaque] = ACTIONS(1008),
    [anon_sym_anytype] = ACTIONS(1008),
    [anon_sym_noreturn] = ACTIONS(1008),
    [anon_sym_isize] = ACTIONS(1008),
    [anon_sym_usize] = ACTIONS(1008),
    [anon_sym_comptime_int] = ACTIONS(1008),
    [anon_sym_comptime_float] = ACTIONS(1008),
    [anon_sym_c_short] = ACTIONS(1008),
    [anon_sym_c_ushort] = ACTIONS(1008),
    [anon_sym_c_int] = ACTIONS(1008),
    [anon_sym_c_uint] = ACTIONS(1008),
    [anon_sym_c_long] = ACTIONS(1008),
    [anon_sym_c_ulong] = ACTIONS(1008),
    [anon_sym_c_longlong] = ACTIONS(1008),
    [anon_sym_c_ulonglong] = ACTIONS(1008),
    [anon_sym_c_longdouble] = ACTIONS(1008),
    [aux_sym_builtin_type_token1] = ACTIONS(1008),
    [sym_builtin_identifier] = ACTIONS(1010),
    [anon_sym_AT] = ACTIONS(1008),
    [sym_comment] = ACTIONS(3),
  },
  [700] = {
    [ts_builtin_sym_end] = ACTIONS(1012),
    [sym__identifier] = ACTIONS(1014),
    [anon_sym_pub] = ACTIONS(1014),
    [anon_sym_test] = ACTIONS(1014),
    [anon_sym_comptime] = ACTIONS(1014),
    [anon_sym_export] = ACTIONS(1014),
    [anon_sym_extern] = ACTIONS(1014),
    [anon_sym_threadlocal] = ACTIONS(1014),
    [anon_sym_const] = ACTIONS(1014),
    [anon_sym_var] = ACTIONS(1014),
    [anon_sym_inline] = ACTIONS(1014),
    [anon_sym_noinline] = ACTIONS(1014),
    [anon_sym_fn] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1012),
    [anon_sym_usingnamespace] = ACTIONS(1014),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_RBRACE] = ACTIONS(1012),
    [anon_sym_packed] = ACTIONS(1014),
    [anon_sym_struct] = ACTIONS(1014),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_enum] = ACTIONS(1014),
    [anon_sym_union] = ACTIONS(1014),
    [anon_sym_error] = ACTIONS(1014),
    [anon_sym_nosuspend] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1014),
    [anon_sym_for] = ACTIONS(1014),
    [anon_sym_while] = ACTIONS(1014),
    [anon_sym_STAR] = ACTIONS(1012),
    [anon_sym_asm] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(1012),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1014),
    [anon_sym_DASH_PERCENT] = ACTIONS(1012),
    [anon_sym_AMP] = ACTIONS(1012),
    [anon_sym_async] = ACTIONS(1014),
    [anon_sym_await] = ACTIONS(1014),
    [anon_sym_continue] = ACTIONS(1014),
    [anon_sym_resume] = ACTIONS(1014),
    [anon_sym_return] = ACTIONS(1014),
    [anon_sym_break] = ACTIONS(1014),
    [anon_sym_try] = ACTIONS(1014),
    [anon_sym_switch] = ACTIONS(1014),
    [anon_sym_anyframe] = ACTIONS(1014),
    [anon_sym_unreachable] = ACTIONS(1014),
    [anon_sym_undefined] = ACTIONS(1014),
    [anon_sym_null] = ACTIONS(1014),
    [anon_sym_QMARK] = ACTIONS(1012),
    [anon_sym_DOT] = ACTIONS(1012),
    [anon_sym_DQUOTE] = ACTIONS(1012),
    [aux_sym_multiline_string_token1] = ACTIONS(1012),
    [anon_sym_SQUOTE] = ACTIONS(1012),
    [sym_integer] = ACTIONS(1014),
    [sym_float] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [anon_sym_bool] = ACTIONS(1014),
    [anon_sym_f16] = ACTIONS(1014),
    [anon_sym_f32] = ACTIONS(1014),
    [anon_sym_f64] = ACTIONS(1014),
    [anon_sym_f128] = ACTIONS(1014),
    [anon_sym_void] = ACTIONS(1014),
    [anon_sym_type] = ACTIONS(1014),
    [anon_sym_anyerror] = ACTIONS(1014),
    [anon_sym_anyopaque] = ACTIONS(1014),
    [anon_sym_anytype] = ACTIONS(1014),
    [anon_sym_noreturn] = ACTIONS(1014),
    [anon_sym_isize] = ACTIONS(1014),
    [anon_sym_usize] = ACTIONS(1014),
    [anon_sym_comptime_int] = ACTIONS(1014),
    [anon_sym_comptime_float] = ACTIONS(1014),
    [anon_sym_c_short] = ACTIONS(1014),
    [anon_sym_c_ushort] = ACTIONS(1014),
    [anon_sym_c_int] = ACTIONS(1014),
    [anon_sym_c_uint] = ACTIONS(1014),
    [anon_sym_c_long] = ACTIONS(1014),
    [anon_sym_c_ulong] = ACTIONS(1014),
    [anon_sym_c_longlong] = ACTIONS(1014),
    [anon_sym_c_ulonglong] = ACTIONS(1014),
    [anon_sym_c_longdouble] = ACTIONS(1014),
    [aux_sym_builtin_type_token1] = ACTIONS(1014),
    [sym_builtin_identifier] = ACTIONS(1012),
    [anon_sym_AT] = ACTIONS(1014),
    [sym_comment] = ACTIONS(3),
  },
  [701] = {
    [ts_builtin_sym_end] = ACTIONS(1016),
    [sym__identifier] = ACTIONS(1018),
    [anon_sym_pub] = ACTIONS(1018),
    [anon_sym_test] = ACTIONS(1018),
    [anon_sym_comptime] = ACTIONS(1018),
    [anon_sym_export] = ACTIONS(1018),
    [anon_sym_extern] = ACTIONS(1018),
    [anon_sym_threadlocal] = ACTIONS(1018),
    [anon_sym_const] = ACTIONS(1018),
    [anon_sym_var] = ACTIONS(1018),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_noinline] = ACTIONS(1018),
    [anon_sym_fn] = ACTIONS(1018),
    [anon_sym_LPAREN] = ACTIONS(1016),
    [anon_sym_usingnamespace] = ACTIONS(1018),
    [anon_sym_LBRACE] = ACTIONS(1016),
    [anon_sym_RBRACE] = ACTIONS(1016),
    [anon_sym_packed] = ACTIONS(1018),
    [anon_sym_struct] = ACTIONS(1018),
    [anon_sym_opaque] = ACTIONS(1018),
    [anon_sym_enum] = ACTIONS(1018),
    [anon_sym_union] = ACTIONS(1018),
    [anon_sym_error] = ACTIONS(1018),
    [anon_sym_nosuspend] = ACTIONS(1018),
    [anon_sym_if] = ACTIONS(1018),
    [anon_sym_for] = ACTIONS(1018),
    [anon_sym_while] = ACTIONS(1018),
    [anon_sym_STAR] = ACTIONS(1016),
    [anon_sym_asm] = ACTIONS(1018),
    [anon_sym_LBRACK] = ACTIONS(1016),
    [anon_sym_BANG] = ACTIONS(1016),
    [anon_sym_TILDE] = ACTIONS(1016),
    [anon_sym_DASH] = ACTIONS(1018),
    [anon_sym_DASH_PERCENT] = ACTIONS(1016),
    [anon_sym_AMP] = ACTIONS(1016),
    [anon_sym_async] = ACTIONS(1018),
    [anon_sym_await] = ACTIONS(1018),
    [anon_sym_continue] = ACTIONS(1018),
    [anon_sym_resume] = ACTIONS(1018),
    [anon_sym_return] = ACTIONS(1018),
    [anon_sym_break] = ACTIONS(1018),
    [anon_sym_try] = ACTIONS(1018),
    [anon_sym_switch] = ACTIONS(1018),
    [anon_sym_anyframe] = ACTIONS(1018),
    [anon_sym_unreachable] = ACTIONS(1018),
    [anon_sym_undefined] = ACTIONS(1018),
    [anon_sym_null] = ACTIONS(1018),
    [anon_sym_QMARK] = ACTIONS(1016),
    [anon_sym_DOT] = ACTIONS(1016),
    [anon_sym_DQUOTE] = ACTIONS(1016),
    [aux_sym_multiline_string_token1] = ACTIONS(1016),
    [anon_sym_SQUOTE] = ACTIONS(1016),
    [sym_integer] = ACTIONS(1018),
    [sym_float] = ACTIONS(1016),
    [anon_sym_true] = ACTIONS(1018),
    [anon_sym_false] = ACTIONS(1018),
    [anon_sym_bool] = ACTIONS(1018),
    [anon_sym_f16] = ACTIONS(1018),
    [anon_sym_f32] = ACTIONS(1018),
    [anon_sym_f64] = ACTIONS(1018),
    [anon_sym_f128] = ACTIONS(1018),
    [anon_sym_void] = ACTIONS(1018),
    [anon_sym_type] = ACTIONS(1018),
    [anon_sym_anyerror] = ACTIONS(1018),
    [anon_sym_anyopaque] = ACTIONS(1018),
    [anon_sym_anytype] = ACTIONS(1018),
    [anon_sym_noreturn] = ACTIONS(1018),
    [anon_sym_isize] = ACTIONS(1018),
    [anon_sym_usize] = ACTIONS(1018),
    [anon_sym_comptime_int] = ACTIONS(1018),
    [anon_sym_comptime_float] = ACTIONS(1018),
    [anon_sym_c_short] = ACTIONS(1018),
    [anon_sym_c_ushort] = ACTIONS(1018),
    [anon_sym_c_int] = ACTIONS(1018),
    [anon_sym_c_uint] = ACTIONS(1018),
    [anon_sym_c_long] = ACTIONS(1018),
    [anon_sym_c_ulong] = ACTIONS(1018),
    [anon_sym_c_longlong] = ACTIONS(1018),
    [anon_sym_c_ulonglong] = ACTIONS(1018),
    [anon_sym_c_longdouble] = ACTIONS(1018),
    [aux_sym_builtin_type_token1] = ACTIONS(1018),
    [sym_builtin_identifier] = ACTIONS(1016),
    [anon_sym_AT] = ACTIONS(1018),
    [sym_comment] = ACTIONS(3),
  },
  [702] = {
    [ts_builtin_sym_end] = ACTIONS(1020),
    [sym__identifier] = ACTIONS(1022),
    [anon_sym_pub] = ACTIONS(1022),
    [anon_sym_test] = ACTIONS(1022),
    [anon_sym_comptime] = ACTIONS(1022),
    [anon_sym_export] = ACTIONS(1022),
    [anon_sym_extern] = ACTIONS(1022),
    [anon_sym_threadlocal] = ACTIONS(1022),
    [anon_sym_const] = ACTIONS(1022),
    [anon_sym_var] = ACTIONS(1022),
    [anon_sym_inline] = ACTIONS(1022),
    [anon_sym_noinline] = ACTIONS(1022),
    [anon_sym_fn] = ACTIONS(1022),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_usingnamespace] = ACTIONS(1022),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_RBRACE] = ACTIONS(1020),
    [anon_sym_packed] = ACTIONS(1022),
    [anon_sym_struct] = ACTIONS(1022),
    [anon_sym_opaque] = ACTIONS(1022),
    [anon_sym_enum] = ACTIONS(1022),
    [anon_sym_union] = ACTIONS(1022),
    [anon_sym_error] = ACTIONS(1022),
    [anon_sym_nosuspend] = ACTIONS(1022),
    [anon_sym_if] = ACTIONS(1022),
    [anon_sym_for] = ACTIONS(1022),
    [anon_sym_while] = ACTIONS(1022),
    [anon_sym_STAR] = ACTIONS(1020),
    [anon_sym_asm] = ACTIONS(1022),
    [anon_sym_LBRACK] = ACTIONS(1020),
    [anon_sym_BANG] = ACTIONS(1020),
    [anon_sym_TILDE] = ACTIONS(1020),
    [anon_sym_DASH] = ACTIONS(1022),
    [anon_sym_DASH_PERCENT] = ACTIONS(1020),
    [anon_sym_AMP] = ACTIONS(1020),
    [anon_sym_async] = ACTIONS(1022),
    [anon_sym_await] = ACTIONS(1022),
    [anon_sym_continue] = ACTIONS(1022),
    [anon_sym_resume] = ACTIONS(1022),
    [anon_sym_return] = ACTIONS(1022),
    [anon_sym_break] = ACTIONS(1022),
    [anon_sym_try] = ACTIONS(1022),
    [anon_sym_switch] = ACTIONS(1022),
    [anon_sym_anyframe] = ACTIONS(1022),
    [anon_sym_unreachable] = ACTIONS(1022),
    [anon_sym_undefined] = ACTIONS(1022),
    [anon_sym_null] = ACTIONS(1022),
    [anon_sym_QMARK] = ACTIONS(1020),
    [anon_sym_DOT] = ACTIONS(1020),
    [anon_sym_DQUOTE] = ACTIONS(1020),
    [aux_sym_multiline_string_token1] = ACTIONS(1020),
    [anon_sym_SQUOTE] = ACTIONS(1020),
    [sym_integer] = ACTIONS(1022),
    [sym_float] = ACTIONS(1020),
    [anon_sym_true] = ACTIONS(1022),
    [anon_sym_false] = ACTIONS(1022),
    [anon_sym_bool] = ACTIONS(1022),
    [anon_sym_f16] = ACTIONS(1022),
    [anon_sym_f32] = ACTIONS(1022),
    [anon_sym_f64] = ACTIONS(1022),
    [anon_sym_f128] = ACTIONS(1022),
    [anon_sym_void] = ACTIONS(1022),
    [anon_sym_type] = ACTIONS(1022),
    [anon_sym_anyerror] = ACTIONS(1022),
    [anon_sym_anyopaque] = ACTIONS(1022),
    [anon_sym_anytype] = ACTIONS(1022),
    [anon_sym_noreturn] = ACTIONS(1022),
    [anon_sym_isize] = ACTIONS(1022),
    [anon_sym_usize] = ACTIONS(1022),
    [anon_sym_comptime_int] = ACTIONS(1022),
    [anon_sym_comptime_float] = ACTIONS(1022),
    [anon_sym_c_short] = ACTIONS(1022),
    [anon_sym_c_ushort] = ACTIONS(1022),
    [anon_sym_c_int] = ACTIONS(1022),
    [anon_sym_c_uint] = ACTIONS(1022),
    [anon_sym_c_long] = ACTIONS(1022),
    [anon_sym_c_ulong] = ACTIONS(1022),
    [anon_sym_c_longlong] = ACTIONS(1022),
    [anon_sym_c_ulonglong] = ACTIONS(1022),
    [anon_sym_c_longdouble] = ACTIONS(1022),
    [aux_sym_builtin_type_token1] = ACTIONS(1022),
    [sym_builtin_identifier] = ACTIONS(1020),
    [anon_sym_AT] = ACTIONS(1022),
    [sym_comment] = ACTIONS(3),
  },
  [703] = {
    [ts_builtin_sym_end] = ACTIONS(992),
    [sym__identifier] = ACTIONS(994),
    [anon_sym_pub] = ACTIONS(994),
    [anon_sym_test] = ACTIONS(994),
    [anon_sym_comptime] = ACTIONS(994),
    [anon_sym_export] = ACTIONS(994),
    [anon_sym_extern] = ACTIONS(994),
    [anon_sym_threadlocal] = ACTIONS(994),
    [anon_sym_const] = ACTIONS(994),
    [anon_sym_var] = ACTIONS(994),
    [anon_sym_inline] = ACTIONS(994),
    [anon_sym_noinline] = ACTIONS(994),
    [anon_sym_fn] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(992),
    [anon_sym_usingnamespace] = ACTIONS(994),
    [anon_sym_LBRACE] = ACTIONS(992),
    [anon_sym_RBRACE] = ACTIONS(992),
    [anon_sym_packed] = ACTIONS(994),
    [anon_sym_struct] = ACTIONS(994),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_enum] = ACTIONS(994),
    [anon_sym_union] = ACTIONS(994),
    [anon_sym_error] = ACTIONS(994),
    [anon_sym_nosuspend] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(994),
    [anon_sym_for] = ACTIONS(994),
    [anon_sym_while] = ACTIONS(994),
    [anon_sym_STAR] = ACTIONS(992),
    [anon_sym_asm] = ACTIONS(994),
    [anon_sym_LBRACK] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(994),
    [anon_sym_DASH_PERCENT] = ACTIONS(992),
    [anon_sym_AMP] = ACTIONS(992),
    [anon_sym_async] = ACTIONS(994),
    [anon_sym_await] = ACTIONS(994),
    [anon_sym_continue] = ACTIONS(994),
    [anon_sym_resume] = ACTIONS(994),
    [anon_sym_return] = ACTIONS(994),
    [anon_sym_break] = ACTIONS(994),
    [anon_sym_try] = ACTIONS(994),
    [anon_sym_switch] = ACTIONS(994),
    [anon_sym_anyframe] = ACTIONS(994),
    [anon_sym_unreachable] = ACTIONS(994),
    [anon_sym_undefined] = ACTIONS(994),
    [anon_sym_null] = ACTIONS(994),
    [anon_sym_QMARK] = ACTIONS(992),
    [anon_sym_DOT] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(992),
    [aux_sym_multiline_string_token1] = ACTIONS(992),
    [anon_sym_SQUOTE] = ACTIONS(992),
    [sym_integer] = ACTIONS(994),
    [sym_float] = ACTIONS(992),
    [anon_sym_true] = ACTIONS(994),
    [anon_sym_false] = ACTIONS(994),
    [anon_sym_bool] = ACTIONS(994),
    [anon_sym_f16] = ACTIONS(994),
    [anon_sym_f32] = ACTIONS(994),
    [anon_sym_f64] = ACTIONS(994),
    [anon_sym_f128] = ACTIONS(994),
    [anon_sym_void] = ACTIONS(994),
    [anon_sym_type] = ACTIONS(994),
    [anon_sym_anyerror] = ACTIONS(994),
    [anon_sym_anyopaque] = ACTIONS(994),
    [anon_sym_anytype] = ACTIONS(994),
    [anon_sym_noreturn] = ACTIONS(994),
    [anon_sym_isize] = ACTIONS(994),
    [anon_sym_usize] = ACTIONS(994),
    [anon_sym_comptime_int] = ACTIONS(994),
    [anon_sym_comptime_float] = ACTIONS(994),
    [anon_sym_c_short] = ACTIONS(994),
    [anon_sym_c_ushort] = ACTIONS(994),
    [anon_sym_c_int] = ACTIONS(994),
    [anon_sym_c_uint] = ACTIONS(994),
    [anon_sym_c_long] = ACTIONS(994),
    [anon_sym_c_ulong] = ACTIONS(994),
    [anon_sym_c_longlong] = ACTIONS(994),
    [anon_sym_c_ulonglong] = ACTIONS(994),
    [anon_sym_c_longdouble] = ACTIONS(994),
    [aux_sym_builtin_type_token1] = ACTIONS(994),
    [sym_builtin_identifier] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(994),
    [sym_comment] = ACTIONS(3),
  },
  [704] = {
    [ts_builtin_sym_end] = ACTIONS(996),
    [sym__identifier] = ACTIONS(998),
    [anon_sym_pub] = ACTIONS(998),
    [anon_sym_test] = ACTIONS(998),
    [anon_sym_comptime] = ACTIONS(998),
    [anon_sym_export] = ACTIONS(998),
    [anon_sym_extern] = ACTIONS(998),
    [anon_sym_threadlocal] = ACTIONS(998),
    [anon_sym_const] = ACTIONS(998),
    [anon_sym_var] = ACTIONS(998),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_noinline] = ACTIONS(998),
    [anon_sym_fn] = ACTIONS(998),
    [anon_sym_LPAREN] = ACTIONS(996),
    [anon_sym_usingnamespace] = ACTIONS(998),
    [anon_sym_LBRACE] = ACTIONS(996),
    [anon_sym_RBRACE] = ACTIONS(996),
    [anon_sym_packed] = ACTIONS(998),
    [anon_sym_struct] = ACTIONS(998),
    [anon_sym_opaque] = ACTIONS(998),
    [anon_sym_enum] = ACTIONS(998),
    [anon_sym_union] = ACTIONS(998),
    [anon_sym_error] = ACTIONS(998),
    [anon_sym_nosuspend] = ACTIONS(998),
    [anon_sym_if] = ACTIONS(998),
    [anon_sym_for] = ACTIONS(998),
    [anon_sym_while] = ACTIONS(998),
    [anon_sym_STAR] = ACTIONS(996),
    [anon_sym_asm] = ACTIONS(998),
    [anon_sym_LBRACK] = ACTIONS(996),
    [anon_sym_BANG] = ACTIONS(996),
    [anon_sym_TILDE] = ACTIONS(996),
    [anon_sym_DASH] = ACTIONS(998),
    [anon_sym_DASH_PERCENT] = ACTIONS(996),
    [anon_sym_AMP] = ACTIONS(996),
    [anon_sym_async] = ACTIONS(998),
    [anon_sym_await] = ACTIONS(998),
    [anon_sym_continue] = ACTIONS(998),
    [anon_sym_resume] = ACTIONS(998),
    [anon_sym_return] = ACTIONS(998),
    [anon_sym_break] = ACTIONS(998),
    [anon_sym_try] = ACTIONS(998),
    [anon_sym_switch] = ACTIONS(998),
    [anon_sym_anyframe] = ACTIONS(998),
    [anon_sym_unreachable] = ACTIONS(998),
    [anon_sym_undefined] = ACTIONS(998),
    [anon_sym_null] = ACTIONS(998),
    [anon_sym_QMARK] = ACTIONS(996),
    [anon_sym_DOT] = ACTIONS(996),
    [anon_sym_DQUOTE] = ACTIONS(996),
    [aux_sym_multiline_string_token1] = ACTIONS(996),
    [anon_sym_SQUOTE] = ACTIONS(996),
    [sym_integer] = ACTIONS(998),
    [sym_float] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [anon_sym_bool] = ACTIONS(998),
    [anon_sym_f16] = ACTIONS(998),
    [anon_sym_f32] = ACTIONS(998),
    [anon_sym_f64] = ACTIONS(998),
    [anon_sym_f128] = ACTIONS(998),
    [anon_sym_void] = ACTIONS(998),
    [anon_sym_type] = ACTIONS(998),
    [anon_sym_anyerror] = ACTIONS(998),
    [anon_sym_anyopaque] = ACTIONS(998),
    [anon_sym_anytype] = ACTIONS(998),
    [anon_sym_noreturn] = ACTIONS(998),
    [anon_sym_isize] = ACTIONS(998),
    [anon_sym_usize] = ACTIONS(998),
    [anon_sym_comptime_int] = ACTIONS(998),
    [anon_sym_comptime_float] = ACTIONS(998),
    [anon_sym_c_short] = ACTIONS(998),
    [anon_sym_c_ushort] = ACTIONS(998),
    [anon_sym_c_int] = ACTIONS(998),
    [anon_sym_c_uint] = ACTIONS(998),
    [anon_sym_c_long] = ACTIONS(998),
    [anon_sym_c_ulong] = ACTIONS(998),
    [anon_sym_c_longlong] = ACTIONS(998),
    [anon_sym_c_ulonglong] = ACTIONS(998),
    [anon_sym_c_longdouble] = ACTIONS(998),
    [aux_sym_builtin_type_token1] = ACTIONS(998),
    [sym_builtin_identifier] = ACTIONS(996),
    [anon_sym_AT] = ACTIONS(998),
    [sym_comment] = ACTIONS(3),
  },
  [705] = {
    [ts_builtin_sym_end] = ACTIONS(1012),
    [sym__identifier] = ACTIONS(1014),
    [anon_sym_pub] = ACTIONS(1014),
    [anon_sym_test] = ACTIONS(1014),
    [anon_sym_comptime] = ACTIONS(1014),
    [anon_sym_export] = ACTIONS(1014),
    [anon_sym_extern] = ACTIONS(1014),
    [anon_sym_threadlocal] = ACTIONS(1014),
    [anon_sym_const] = ACTIONS(1014),
    [anon_sym_var] = ACTIONS(1014),
    [anon_sym_inline] = ACTIONS(1014),
    [anon_sym_noinline] = ACTIONS(1014),
    [anon_sym_fn] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1012),
    [anon_sym_usingnamespace] = ACTIONS(1014),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_RBRACE] = ACTIONS(1012),
    [anon_sym_packed] = ACTIONS(1014),
    [anon_sym_struct] = ACTIONS(1014),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_enum] = ACTIONS(1014),
    [anon_sym_union] = ACTIONS(1014),
    [anon_sym_error] = ACTIONS(1014),
    [anon_sym_nosuspend] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1014),
    [anon_sym_for] = ACTIONS(1014),
    [anon_sym_while] = ACTIONS(1014),
    [anon_sym_STAR] = ACTIONS(1012),
    [anon_sym_asm] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(1012),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1014),
    [anon_sym_DASH_PERCENT] = ACTIONS(1012),
    [anon_sym_AMP] = ACTIONS(1012),
    [anon_sym_async] = ACTIONS(1014),
    [anon_sym_await] = ACTIONS(1014),
    [anon_sym_continue] = ACTIONS(1014),
    [anon_sym_resume] = ACTIONS(1014),
    [anon_sym_return] = ACTIONS(1014),
    [anon_sym_break] = ACTIONS(1014),
    [anon_sym_try] = ACTIONS(1014),
    [anon_sym_switch] = ACTIONS(1014),
    [anon_sym_anyframe] = ACTIONS(1014),
    [anon_sym_unreachable] = ACTIONS(1014),
    [anon_sym_undefined] = ACTIONS(1014),
    [anon_sym_null] = ACTIONS(1014),
    [anon_sym_QMARK] = ACTIONS(1012),
    [anon_sym_DOT] = ACTIONS(1012),
    [anon_sym_DQUOTE] = ACTIONS(1012),
    [aux_sym_multiline_string_token1] = ACTIONS(1012),
    [anon_sym_SQUOTE] = ACTIONS(1012),
    [sym_integer] = ACTIONS(1014),
    [sym_float] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [anon_sym_bool] = ACTIONS(1014),
    [anon_sym_f16] = ACTIONS(1014),
    [anon_sym_f32] = ACTIONS(1014),
    [anon_sym_f64] = ACTIONS(1014),
    [anon_sym_f128] = ACTIONS(1014),
    [anon_sym_void] = ACTIONS(1014),
    [anon_sym_type] = ACTIONS(1014),
    [anon_sym_anyerror] = ACTIONS(1014),
    [anon_sym_anyopaque] = ACTIONS(1014),
    [anon_sym_anytype] = ACTIONS(1014),
    [anon_sym_noreturn] = ACTIONS(1014),
    [anon_sym_isize] = ACTIONS(1014),
    [anon_sym_usize] = ACTIONS(1014),
    [anon_sym_comptime_int] = ACTIONS(1014),
    [anon_sym_comptime_float] = ACTIONS(1014),
    [anon_sym_c_short] = ACTIONS(1014),
    [anon_sym_c_ushort] = ACTIONS(1014),
    [anon_sym_c_int] = ACTIONS(1014),
    [anon_sym_c_uint] = ACTIONS(1014),
    [anon_sym_c_long] = ACTIONS(1014),
    [anon_sym_c_ulong] = ACTIONS(1014),
    [anon_sym_c_longlong] = ACTIONS(1014),
    [anon_sym_c_ulonglong] = ACTIONS(1014),
    [anon_sym_c_longdouble] = ACTIONS(1014),
    [aux_sym_builtin_type_token1] = ACTIONS(1014),
    [sym_builtin_identifier] = ACTIONS(1012),
    [anon_sym_AT] = ACTIONS(1014),
    [sym_comment] = ACTIONS(3),
  },
  [706] = {
    [ts_builtin_sym_end] = ACTIONS(1016),
    [sym__identifier] = ACTIONS(1018),
    [anon_sym_pub] = ACTIONS(1018),
    [anon_sym_test] = ACTIONS(1018),
    [anon_sym_comptime] = ACTIONS(1018),
    [anon_sym_export] = ACTIONS(1018),
    [anon_sym_extern] = ACTIONS(1018),
    [anon_sym_threadlocal] = ACTIONS(1018),
    [anon_sym_const] = ACTIONS(1018),
    [anon_sym_var] = ACTIONS(1018),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_noinline] = ACTIONS(1018),
    [anon_sym_fn] = ACTIONS(1018),
    [anon_sym_LPAREN] = ACTIONS(1016),
    [anon_sym_usingnamespace] = ACTIONS(1018),
    [anon_sym_LBRACE] = ACTIONS(1016),
    [anon_sym_RBRACE] = ACTIONS(1016),
    [anon_sym_packed] = ACTIONS(1018),
    [anon_sym_struct] = ACTIONS(1018),
    [anon_sym_opaque] = ACTIONS(1018),
    [anon_sym_enum] = ACTIONS(1018),
    [anon_sym_union] = ACTIONS(1018),
    [anon_sym_error] = ACTIONS(1018),
    [anon_sym_nosuspend] = ACTIONS(1018),
    [anon_sym_if] = ACTIONS(1018),
    [anon_sym_for] = ACTIONS(1018),
    [anon_sym_while] = ACTIONS(1018),
    [anon_sym_STAR] = ACTIONS(1016),
    [anon_sym_asm] = ACTIONS(1018),
    [anon_sym_LBRACK] = ACTIONS(1016),
    [anon_sym_BANG] = ACTIONS(1016),
    [anon_sym_TILDE] = ACTIONS(1016),
    [anon_sym_DASH] = ACTIONS(1018),
    [anon_sym_DASH_PERCENT] = ACTIONS(1016),
    [anon_sym_AMP] = ACTIONS(1016),
    [anon_sym_async] = ACTIONS(1018),
    [anon_sym_await] = ACTIONS(1018),
    [anon_sym_continue] = ACTIONS(1018),
    [anon_sym_resume] = ACTIONS(1018),
    [anon_sym_return] = ACTIONS(1018),
    [anon_sym_break] = ACTIONS(1018),
    [anon_sym_try] = ACTIONS(1018),
    [anon_sym_switch] = ACTIONS(1018),
    [anon_sym_anyframe] = ACTIONS(1018),
    [anon_sym_unreachable] = ACTIONS(1018),
    [anon_sym_undefined] = ACTIONS(1018),
    [anon_sym_null] = ACTIONS(1018),
    [anon_sym_QMARK] = ACTIONS(1016),
    [anon_sym_DOT] = ACTIONS(1016),
    [anon_sym_DQUOTE] = ACTIONS(1016),
    [aux_sym_multiline_string_token1] = ACTIONS(1016),
    [anon_sym_SQUOTE] = ACTIONS(1016),
    [sym_integer] = ACTIONS(1018),
    [sym_float] = ACTIONS(1016),
    [anon_sym_true] = ACTIONS(1018),
    [anon_sym_false] = ACTIONS(1018),
    [anon_sym_bool] = ACTIONS(1018),
    [anon_sym_f16] = ACTIONS(1018),
    [anon_sym_f32] = ACTIONS(1018),
    [anon_sym_f64] = ACTIONS(1018),
    [anon_sym_f128] = ACTIONS(1018),
    [anon_sym_void] = ACTIONS(1018),
    [anon_sym_type] = ACTIONS(1018),
    [anon_sym_anyerror] = ACTIONS(1018),
    [anon_sym_anyopaque] = ACTIONS(1018),
    [anon_sym_anytype] = ACTIONS(1018),
    [anon_sym_noreturn] = ACTIONS(1018),
    [anon_sym_isize] = ACTIONS(1018),
    [anon_sym_usize] = ACTIONS(1018),
    [anon_sym_comptime_int] = ACTIONS(1018),
    [anon_sym_comptime_float] = ACTIONS(1018),
    [anon_sym_c_short] = ACTIONS(1018),
    [anon_sym_c_ushort] = ACTIONS(1018),
    [anon_sym_c_int] = ACTIONS(1018),
    [anon_sym_c_uint] = ACTIONS(1018),
    [anon_sym_c_long] = ACTIONS(1018),
    [anon_sym_c_ulong] = ACTIONS(1018),
    [anon_sym_c_longlong] = ACTIONS(1018),
    [anon_sym_c_ulonglong] = ACTIONS(1018),
    [anon_sym_c_longdouble] = ACTIONS(1018),
    [aux_sym_builtin_type_token1] = ACTIONS(1018),
    [sym_builtin_identifier] = ACTIONS(1016),
    [anon_sym_AT] = ACTIONS(1018),
    [sym_comment] = ACTIONS(3),
  },
  [707] = {
    [ts_builtin_sym_end] = ACTIONS(1020),
    [sym__identifier] = ACTIONS(1022),
    [anon_sym_pub] = ACTIONS(1022),
    [anon_sym_test] = ACTIONS(1022),
    [anon_sym_comptime] = ACTIONS(1022),
    [anon_sym_export] = ACTIONS(1022),
    [anon_sym_extern] = ACTIONS(1022),
    [anon_sym_threadlocal] = ACTIONS(1022),
    [anon_sym_const] = ACTIONS(1022),
    [anon_sym_var] = ACTIONS(1022),
    [anon_sym_inline] = ACTIONS(1022),
    [anon_sym_noinline] = ACTIONS(1022),
    [anon_sym_fn] = ACTIONS(1022),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_usingnamespace] = ACTIONS(1022),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_RBRACE] = ACTIONS(1020),
    [anon_sym_packed] = ACTIONS(1022),
    [anon_sym_struct] = ACTIONS(1022),
    [anon_sym_opaque] = ACTIONS(1022),
    [anon_sym_enum] = ACTIONS(1022),
    [anon_sym_union] = ACTIONS(1022),
    [anon_sym_error] = ACTIONS(1022),
    [anon_sym_nosuspend] = ACTIONS(1022),
    [anon_sym_if] = ACTIONS(1022),
    [anon_sym_for] = ACTIONS(1022),
    [anon_sym_while] = ACTIONS(1022),
    [anon_sym_STAR] = ACTIONS(1020),
    [anon_sym_asm] = ACTIONS(1022),
    [anon_sym_LBRACK] = ACTIONS(1020),
    [anon_sym_BANG] = ACTIONS(1020),
    [anon_sym_TILDE] = ACTIONS(1020),
    [anon_sym_DASH] = ACTIONS(1022),
    [anon_sym_DASH_PERCENT] = ACTIONS(1020),
    [anon_sym_AMP] = ACTIONS(1020),
    [anon_sym_async] = ACTIONS(1022),
    [anon_sym_await] = ACTIONS(1022),
    [anon_sym_continue] = ACTIONS(1022),
    [anon_sym_resume] = ACTIONS(1022),
    [anon_sym_return] = ACTIONS(1022),
    [anon_sym_break] = ACTIONS(1022),
    [anon_sym_try] = ACTIONS(1022),
    [anon_sym_switch] = ACTIONS(1022),
    [anon_sym_anyframe] = ACTIONS(1022),
    [anon_sym_unreachable] = ACTIONS(1022),
    [anon_sym_undefined] = ACTIONS(1022),
    [anon_sym_null] = ACTIONS(1022),
    [anon_sym_QMARK] = ACTIONS(1020),
    [anon_sym_DOT] = ACTIONS(1020),
    [anon_sym_DQUOTE] = ACTIONS(1020),
    [aux_sym_multiline_string_token1] = ACTIONS(1020),
    [anon_sym_SQUOTE] = ACTIONS(1020),
    [sym_integer] = ACTIONS(1022),
    [sym_float] = ACTIONS(1020),
    [anon_sym_true] = ACTIONS(1022),
    [anon_sym_false] = ACTIONS(1022),
    [anon_sym_bool] = ACTIONS(1022),
    [anon_sym_f16] = ACTIONS(1022),
    [anon_sym_f32] = ACTIONS(1022),
    [anon_sym_f64] = ACTIONS(1022),
    [anon_sym_f128] = ACTIONS(1022),
    [anon_sym_void] = ACTIONS(1022),
    [anon_sym_type] = ACTIONS(1022),
    [anon_sym_anyerror] = ACTIONS(1022),
    [anon_sym_anyopaque] = ACTIONS(1022),
    [anon_sym_anytype] = ACTIONS(1022),
    [anon_sym_noreturn] = ACTIONS(1022),
    [anon_sym_isize] = ACTIONS(1022),
    [anon_sym_usize] = ACTIONS(1022),
    [anon_sym_comptime_int] = ACTIONS(1022),
    [anon_sym_comptime_float] = ACTIONS(1022),
    [anon_sym_c_short] = ACTIONS(1022),
    [anon_sym_c_ushort] = ACTIONS(1022),
    [anon_sym_c_int] = ACTIONS(1022),
    [anon_sym_c_uint] = ACTIONS(1022),
    [anon_sym_c_long] = ACTIONS(1022),
    [anon_sym_c_ulong] = ACTIONS(1022),
    [anon_sym_c_longlong] = ACTIONS(1022),
    [anon_sym_c_ulonglong] = ACTIONS(1022),
    [anon_sym_c_longdouble] = ACTIONS(1022),
    [aux_sym_builtin_type_token1] = ACTIONS(1022),
    [sym_builtin_identifier] = ACTIONS(1020),
    [anon_sym_AT] = ACTIONS(1022),
    [sym_comment] = ACTIONS(3),
  },
  [708] = {
    [ts_builtin_sym_end] = ACTIONS(1024),
    [sym__identifier] = ACTIONS(1026),
    [anon_sym_pub] = ACTIONS(1026),
    [anon_sym_test] = ACTIONS(1026),
    [anon_sym_comptime] = ACTIONS(1026),
    [anon_sym_export] = ACTIONS(1026),
    [anon_sym_extern] = ACTIONS(1026),
    [anon_sym_threadlocal] = ACTIONS(1026),
    [anon_sym_const] = ACTIONS(1026),
    [anon_sym_var] = ACTIONS(1026),
    [anon_sym_inline] = ACTIONS(1026),
    [anon_sym_noinline] = ACTIONS(1026),
    [anon_sym_fn] = ACTIONS(1026),
    [anon_sym_LPAREN] = ACTIONS(1024),
    [anon_sym_usingnamespace] = ACTIONS(1026),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym_RBRACE] = ACTIONS(1024),
    [anon_sym_packed] = ACTIONS(1026),
    [anon_sym_struct] = ACTIONS(1026),
    [anon_sym_opaque] = ACTIONS(1026),
    [anon_sym_enum] = ACTIONS(1026),
    [anon_sym_union] = ACTIONS(1026),
    [anon_sym_error] = ACTIONS(1026),
    [anon_sym_nosuspend] = ACTIONS(1026),
    [anon_sym_if] = ACTIONS(1026),
    [anon_sym_for] = ACTIONS(1026),
    [anon_sym_while] = ACTIONS(1026),
    [anon_sym_STAR] = ACTIONS(1024),
    [anon_sym_asm] = ACTIONS(1026),
    [anon_sym_LBRACK] = ACTIONS(1024),
    [anon_sym_BANG] = ACTIONS(1024),
    [anon_sym_TILDE] = ACTIONS(1024),
    [anon_sym_DASH] = ACTIONS(1026),
    [anon_sym_DASH_PERCENT] = ACTIONS(1024),
    [anon_sym_AMP] = ACTIONS(1024),
    [anon_sym_async] = ACTIONS(1026),
    [anon_sym_await] = ACTIONS(1026),
    [anon_sym_continue] = ACTIONS(1026),
    [anon_sym_resume] = ACTIONS(1026),
    [anon_sym_return] = ACTIONS(1026),
    [anon_sym_break] = ACTIONS(1026),
    [anon_sym_try] = ACTIONS(1026),
    [anon_sym_switch] = ACTIONS(1026),
    [anon_sym_anyframe] = ACTIONS(1026),
    [anon_sym_unreachable] = ACTIONS(1026),
    [anon_sym_undefined] = ACTIONS(1026),
    [anon_sym_null] = ACTIONS(1026),
    [anon_sym_QMARK] = ACTIONS(1024),
    [anon_sym_DOT] = ACTIONS(1024),
    [anon_sym_DQUOTE] = ACTIONS(1024),
    [aux_sym_multiline_string_token1] = ACTIONS(1024),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym_integer] = ACTIONS(1026),
    [sym_float] = ACTIONS(1024),
    [anon_sym_true] = ACTIONS(1026),
    [anon_sym_false] = ACTIONS(1026),
    [anon_sym_bool] = ACTIONS(1026),
    [anon_sym_f16] = ACTIONS(1026),
    [anon_sym_f32] = ACTIONS(1026),
    [anon_sym_f64] = ACTIONS(1026),
    [anon_sym_f128] = ACTIONS(1026),
    [anon_sym_void] = ACTIONS(1026),
    [anon_sym_type] = ACTIONS(1026),
    [anon_sym_anyerror] = ACTIONS(1026),
    [anon_sym_anyopaque] = ACTIONS(1026),
    [anon_sym_anytype] = ACTIONS(1026),
    [anon_sym_noreturn] = ACTIONS(1026),
    [anon_sym_isize] = ACTIONS(1026),
    [anon_sym_usize] = ACTIONS(1026),
    [anon_sym_comptime_int] = ACTIONS(1026),
    [anon_sym_comptime_float] = ACTIONS(1026),
    [anon_sym_c_short] = ACTIONS(1026),
    [anon_sym_c_ushort] = ACTIONS(1026),
    [anon_sym_c_int] = ACTIONS(1026),
    [anon_sym_c_uint] = ACTIONS(1026),
    [anon_sym_c_long] = ACTIONS(1026),
    [anon_sym_c_ulong] = ACTIONS(1026),
    [anon_sym_c_longlong] = ACTIONS(1026),
    [anon_sym_c_ulonglong] = ACTIONS(1026),
    [anon_sym_c_longdouble] = ACTIONS(1026),
    [aux_sym_builtin_type_token1] = ACTIONS(1026),
    [sym_builtin_identifier] = ACTIONS(1024),
    [anon_sym_AT] = ACTIONS(1026),
    [sym_comment] = ACTIONS(3),
  },
  [709] = {
    [ts_builtin_sym_end] = ACTIONS(1028),
    [sym__identifier] = ACTIONS(1030),
    [anon_sym_pub] = ACTIONS(1030),
    [anon_sym_test] = ACTIONS(1030),
    [anon_sym_comptime] = ACTIONS(1030),
    [anon_sym_export] = ACTIONS(1030),
    [anon_sym_extern] = ACTIONS(1030),
    [anon_sym_threadlocal] = ACTIONS(1030),
    [anon_sym_const] = ACTIONS(1030),
    [anon_sym_var] = ACTIONS(1030),
    [anon_sym_inline] = ACTIONS(1030),
    [anon_sym_noinline] = ACTIONS(1030),
    [anon_sym_fn] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(1028),
    [anon_sym_usingnamespace] = ACTIONS(1030),
    [anon_sym_LBRACE] = ACTIONS(1028),
    [anon_sym_RBRACE] = ACTIONS(1028),
    [anon_sym_packed] = ACTIONS(1030),
    [anon_sym_struct] = ACTIONS(1030),
    [anon_sym_opaque] = ACTIONS(1030),
    [anon_sym_enum] = ACTIONS(1030),
    [anon_sym_union] = ACTIONS(1030),
    [anon_sym_error] = ACTIONS(1030),
    [anon_sym_nosuspend] = ACTIONS(1030),
    [anon_sym_if] = ACTIONS(1030),
    [anon_sym_for] = ACTIONS(1030),
    [anon_sym_while] = ACTIONS(1030),
    [anon_sym_STAR] = ACTIONS(1028),
    [anon_sym_asm] = ACTIONS(1030),
    [anon_sym_LBRACK] = ACTIONS(1028),
    [anon_sym_BANG] = ACTIONS(1028),
    [anon_sym_TILDE] = ACTIONS(1028),
    [anon_sym_DASH] = ACTIONS(1030),
    [anon_sym_DASH_PERCENT] = ACTIONS(1028),
    [anon_sym_AMP] = ACTIONS(1028),
    [anon_sym_async] = ACTIONS(1030),
    [anon_sym_await] = ACTIONS(1030),
    [anon_sym_continue] = ACTIONS(1030),
    [anon_sym_resume] = ACTIONS(1030),
    [anon_sym_return] = ACTIONS(1030),
    [anon_sym_break] = ACTIONS(1030),
    [anon_sym_try] = ACTIONS(1030),
    [anon_sym_switch] = ACTIONS(1030),
    [anon_sym_anyframe] = ACTIONS(1030),
    [anon_sym_unreachable] = ACTIONS(1030),
    [anon_sym_undefined] = ACTIONS(1030),
    [anon_sym_null] = ACTIONS(1030),
    [anon_sym_QMARK] = ACTIONS(1028),
    [anon_sym_DOT] = ACTIONS(1028),
    [anon_sym_DQUOTE] = ACTIONS(1028),
    [aux_sym_multiline_string_token1] = ACTIONS(1028),
    [anon_sym_SQUOTE] = ACTIONS(1028),
    [sym_integer] = ACTIONS(1030),
    [sym_float] = ACTIONS(1028),
    [anon_sym_true] = ACTIONS(1030),
    [anon_sym_false] = ACTIONS(1030),
    [anon_sym_bool] = ACTIONS(1030),
    [anon_sym_f16] = ACTIONS(1030),
    [anon_sym_f32] = ACTIONS(1030),
    [anon_sym_f64] = ACTIONS(1030),
    [anon_sym_f128] = ACTIONS(1030),
    [anon_sym_void] = ACTIONS(1030),
    [anon_sym_type] = ACTIONS(1030),
    [anon_sym_anyerror] = ACTIONS(1030),
    [anon_sym_anyopaque] = ACTIONS(1030),
    [anon_sym_anytype] = ACTIONS(1030),
    [anon_sym_noreturn] = ACTIONS(1030),
    [anon_sym_isize] = ACTIONS(1030),
    [anon_sym_usize] = ACTIONS(1030),
    [anon_sym_comptime_int] = ACTIONS(1030),
    [anon_sym_comptime_float] = ACTIONS(1030),
    [anon_sym_c_short] = ACTIONS(1030),
    [anon_sym_c_ushort] = ACTIONS(1030),
    [anon_sym_c_int] = ACTIONS(1030),
    [anon_sym_c_uint] = ACTIONS(1030),
    [anon_sym_c_long] = ACTIONS(1030),
    [anon_sym_c_ulong] = ACTIONS(1030),
    [anon_sym_c_longlong] = ACTIONS(1030),
    [anon_sym_c_ulonglong] = ACTIONS(1030),
    [anon_sym_c_longdouble] = ACTIONS(1030),
    [aux_sym_builtin_type_token1] = ACTIONS(1030),
    [sym_builtin_identifier] = ACTIONS(1028),
    [anon_sym_AT] = ACTIONS(1030),
    [sym_comment] = ACTIONS(3),
  },
  [710] = {
    [ts_builtin_sym_end] = ACTIONS(988),
    [sym__identifier] = ACTIONS(990),
    [anon_sym_pub] = ACTIONS(990),
    [anon_sym_test] = ACTIONS(990),
    [anon_sym_comptime] = ACTIONS(990),
    [anon_sym_export] = ACTIONS(990),
    [anon_sym_extern] = ACTIONS(990),
    [anon_sym_threadlocal] = ACTIONS(990),
    [anon_sym_const] = ACTIONS(990),
    [anon_sym_var] = ACTIONS(990),
    [anon_sym_inline] = ACTIONS(990),
    [anon_sym_noinline] = ACTIONS(990),
    [anon_sym_fn] = ACTIONS(990),
    [anon_sym_LPAREN] = ACTIONS(988),
    [anon_sym_usingnamespace] = ACTIONS(990),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym_RBRACE] = ACTIONS(988),
    [anon_sym_packed] = ACTIONS(990),
    [anon_sym_struct] = ACTIONS(990),
    [anon_sym_opaque] = ACTIONS(990),
    [anon_sym_enum] = ACTIONS(990),
    [anon_sym_union] = ACTIONS(990),
    [anon_sym_error] = ACTIONS(990),
    [anon_sym_nosuspend] = ACTIONS(990),
    [anon_sym_if] = ACTIONS(990),
    [anon_sym_for] = ACTIONS(990),
    [anon_sym_while] = ACTIONS(990),
    [anon_sym_STAR] = ACTIONS(988),
    [anon_sym_asm] = ACTIONS(990),
    [anon_sym_LBRACK] = ACTIONS(988),
    [anon_sym_BANG] = ACTIONS(988),
    [anon_sym_TILDE] = ACTIONS(988),
    [anon_sym_DASH] = ACTIONS(990),
    [anon_sym_DASH_PERCENT] = ACTIONS(988),
    [anon_sym_AMP] = ACTIONS(988),
    [anon_sym_async] = ACTIONS(990),
    [anon_sym_await] = ACTIONS(990),
    [anon_sym_continue] = ACTIONS(990),
    [anon_sym_resume] = ACTIONS(990),
    [anon_sym_return] = ACTIONS(990),
    [anon_sym_break] = ACTIONS(990),
    [anon_sym_try] = ACTIONS(990),
    [anon_sym_switch] = ACTIONS(990),
    [anon_sym_anyframe] = ACTIONS(990),
    [anon_sym_unreachable] = ACTIONS(990),
    [anon_sym_undefined] = ACTIONS(990),
    [anon_sym_null] = ACTIONS(990),
    [anon_sym_QMARK] = ACTIONS(988),
    [anon_sym_DOT] = ACTIONS(988),
    [anon_sym_DQUOTE] = ACTIONS(988),
    [aux_sym_multiline_string_token1] = ACTIONS(988),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym_integer] = ACTIONS(990),
    [sym_float] = ACTIONS(988),
    [anon_sym_true] = ACTIONS(990),
    [anon_sym_false] = ACTIONS(990),
    [anon_sym_bool] = ACTIONS(990),
    [anon_sym_f16] = ACTIONS(990),
    [anon_sym_f32] = ACTIONS(990),
    [anon_sym_f64] = ACTIONS(990),
    [anon_sym_f128] = ACTIONS(990),
    [anon_sym_void] = ACTIONS(990),
    [anon_sym_type] = ACTIONS(990),
    [anon_sym_anyerror] = ACTIONS(990),
    [anon_sym_anyopaque] = ACTIONS(990),
    [anon_sym_anytype] = ACTIONS(990),
    [anon_sym_noreturn] = ACTIONS(990),
    [anon_sym_isize] = ACTIONS(990),
    [anon_sym_usize] = ACTIONS(990),
    [anon_sym_comptime_int] = ACTIONS(990),
    [anon_sym_comptime_float] = ACTIONS(990),
    [anon_sym_c_short] = ACTIONS(990),
    [anon_sym_c_ushort] = ACTIONS(990),
    [anon_sym_c_int] = ACTIONS(990),
    [anon_sym_c_uint] = ACTIONS(990),
    [anon_sym_c_long] = ACTIONS(990),
    [anon_sym_c_ulong] = ACTIONS(990),
    [anon_sym_c_longlong] = ACTIONS(990),
    [anon_sym_c_ulonglong] = ACTIONS(990),
    [anon_sym_c_longdouble] = ACTIONS(990),
    [aux_sym_builtin_type_token1] = ACTIONS(990),
    [sym_builtin_identifier] = ACTIONS(988),
    [anon_sym_AT] = ACTIONS(990),
    [sym_comment] = ACTIONS(3),
  },
  [711] = {
    [ts_builtin_sym_end] = ACTIONS(992),
    [sym__identifier] = ACTIONS(994),
    [anon_sym_pub] = ACTIONS(994),
    [anon_sym_test] = ACTIONS(994),
    [anon_sym_comptime] = ACTIONS(994),
    [anon_sym_export] = ACTIONS(994),
    [anon_sym_extern] = ACTIONS(994),
    [anon_sym_threadlocal] = ACTIONS(994),
    [anon_sym_const] = ACTIONS(994),
    [anon_sym_var] = ACTIONS(994),
    [anon_sym_inline] = ACTIONS(994),
    [anon_sym_noinline] = ACTIONS(994),
    [anon_sym_fn] = ACTIONS(994),
    [anon_sym_LPAREN] = ACTIONS(992),
    [anon_sym_usingnamespace] = ACTIONS(994),
    [anon_sym_LBRACE] = ACTIONS(992),
    [anon_sym_RBRACE] = ACTIONS(992),
    [anon_sym_packed] = ACTIONS(994),
    [anon_sym_struct] = ACTIONS(994),
    [anon_sym_opaque] = ACTIONS(994),
    [anon_sym_enum] = ACTIONS(994),
    [anon_sym_union] = ACTIONS(994),
    [anon_sym_error] = ACTIONS(994),
    [anon_sym_nosuspend] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(994),
    [anon_sym_for] = ACTIONS(994),
    [anon_sym_while] = ACTIONS(994),
    [anon_sym_STAR] = ACTIONS(992),
    [anon_sym_asm] = ACTIONS(994),
    [anon_sym_LBRACK] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(994),
    [anon_sym_DASH_PERCENT] = ACTIONS(992),
    [anon_sym_AMP] = ACTIONS(992),
    [anon_sym_async] = ACTIONS(994),
    [anon_sym_await] = ACTIONS(994),
    [anon_sym_continue] = ACTIONS(994),
    [anon_sym_resume] = ACTIONS(994),
    [anon_sym_return] = ACTIONS(994),
    [anon_sym_break] = ACTIONS(994),
    [anon_sym_try] = ACTIONS(994),
    [anon_sym_switch] = ACTIONS(994),
    [anon_sym_anyframe] = ACTIONS(994),
    [anon_sym_unreachable] = ACTIONS(994),
    [anon_sym_undefined] = ACTIONS(994),
    [anon_sym_null] = ACTIONS(994),
    [anon_sym_QMARK] = ACTIONS(992),
    [anon_sym_DOT] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(992),
    [aux_sym_multiline_string_token1] = ACTIONS(992),
    [anon_sym_SQUOTE] = ACTIONS(992),
    [sym_integer] = ACTIONS(994),
    [sym_float] = ACTIONS(992),
    [anon_sym_true] = ACTIONS(994),
    [anon_sym_false] = ACTIONS(994),
    [anon_sym_bool] = ACTIONS(994),
    [anon_sym_f16] = ACTIONS(994),
    [anon_sym_f32] = ACTIONS(994),
    [anon_sym_f64] = ACTIONS(994),
    [anon_sym_f128] = ACTIONS(994),
    [anon_sym_void] = ACTIONS(994),
    [anon_sym_type] = ACTIONS(994),
    [anon_sym_anyerror] = ACTIONS(994),
    [anon_sym_anyopaque] = ACTIONS(994),
    [anon_sym_anytype] = ACTIONS(994),
    [anon_sym_noreturn] = ACTIONS(994),
    [anon_sym_isize] = ACTIONS(994),
    [anon_sym_usize] = ACTIONS(994),
    [anon_sym_comptime_int] = ACTIONS(994),
    [anon_sym_comptime_float] = ACTIONS(994),
    [anon_sym_c_short] = ACTIONS(994),
    [anon_sym_c_ushort] = ACTIONS(994),
    [anon_sym_c_int] = ACTIONS(994),
    [anon_sym_c_uint] = ACTIONS(994),
    [anon_sym_c_long] = ACTIONS(994),
    [anon_sym_c_ulong] = ACTIONS(994),
    [anon_sym_c_longlong] = ACTIONS(994),
    [anon_sym_c_ulonglong] = ACTIONS(994),
    [anon_sym_c_longdouble] = ACTIONS(994),
    [aux_sym_builtin_type_token1] = ACTIONS(994),
    [sym_builtin_identifier] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(994),
    [sym_comment] = ACTIONS(3),
  },
  [712] = {
    [ts_builtin_sym_end] = ACTIONS(1012),
    [sym__identifier] = ACTIONS(1014),
    [anon_sym_pub] = ACTIONS(1014),
    [anon_sym_test] = ACTIONS(1014),
    [anon_sym_comptime] = ACTIONS(1014),
    [anon_sym_export] = ACTIONS(1014),
    [anon_sym_extern] = ACTIONS(1014),
    [anon_sym_threadlocal] = ACTIONS(1014),
    [anon_sym_const] = ACTIONS(1014),
    [anon_sym_var] = ACTIONS(1014),
    [anon_sym_inline] = ACTIONS(1014),
    [anon_sym_noinline] = ACTIONS(1014),
    [anon_sym_fn] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1012),
    [anon_sym_usingnamespace] = ACTIONS(1014),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_RBRACE] = ACTIONS(1012),
    [anon_sym_packed] = ACTIONS(1014),
    [anon_sym_struct] = ACTIONS(1014),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_enum] = ACTIONS(1014),
    [anon_sym_union] = ACTIONS(1014),
    [anon_sym_error] = ACTIONS(1014),
    [anon_sym_nosuspend] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1014),
    [anon_sym_for] = ACTIONS(1014),
    [anon_sym_while] = ACTIONS(1014),
    [anon_sym_STAR] = ACTIONS(1012),
    [anon_sym_asm] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(1012),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1014),
    [anon_sym_DASH_PERCENT] = ACTIONS(1012),
    [anon_sym_AMP] = ACTIONS(1012),
    [anon_sym_async] = ACTIONS(1014),
    [anon_sym_await] = ACTIONS(1014),
    [anon_sym_continue] = ACTIONS(1014),
    [anon_sym_resume] = ACTIONS(1014),
    [anon_sym_return] = ACTIONS(1014),
    [anon_sym_break] = ACTIONS(1014),
    [anon_sym_try] = ACTIONS(1014),
    [anon_sym_switch] = ACTIONS(1014),
    [anon_sym_anyframe] = ACTIONS(1014),
    [anon_sym_unreachable] = ACTIONS(1014),
    [anon_sym_undefined] = ACTIONS(1014),
    [anon_sym_null] = ACTIONS(1014),
    [anon_sym_QMARK] = ACTIONS(1012),
    [anon_sym_DOT] = ACTIONS(1012),
    [anon_sym_DQUOTE] = ACTIONS(1012),
    [aux_sym_multiline_string_token1] = ACTIONS(1012),
    [anon_sym_SQUOTE] = ACTIONS(1012),
    [sym_integer] = ACTIONS(1014),
    [sym_float] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [anon_sym_bool] = ACTIONS(1014),
    [anon_sym_f16] = ACTIONS(1014),
    [anon_sym_f32] = ACTIONS(1014),
    [anon_sym_f64] = ACTIONS(1014),
    [anon_sym_f128] = ACTIONS(1014),
    [anon_sym_void] = ACTIONS(1014),
    [anon_sym_type] = ACTIONS(1014),
    [anon_sym_anyerror] = ACTIONS(1014),
    [anon_sym_anyopaque] = ACTIONS(1014),
    [anon_sym_anytype] = ACTIONS(1014),
    [anon_sym_noreturn] = ACTIONS(1014),
    [anon_sym_isize] = ACTIONS(1014),
    [anon_sym_usize] = ACTIONS(1014),
    [anon_sym_comptime_int] = ACTIONS(1014),
    [anon_sym_comptime_float] = ACTIONS(1014),
    [anon_sym_c_short] = ACTIONS(1014),
    [anon_sym_c_ushort] = ACTIONS(1014),
    [anon_sym_c_int] = ACTIONS(1014),
    [anon_sym_c_uint] = ACTIONS(1014),
    [anon_sym_c_long] = ACTIONS(1014),
    [anon_sym_c_ulong] = ACTIONS(1014),
    [anon_sym_c_longlong] = ACTIONS(1014),
    [anon_sym_c_ulonglong] = ACTIONS(1014),
    [anon_sym_c_longdouble] = ACTIONS(1014),
    [aux_sym_builtin_type_token1] = ACTIONS(1014),
    [sym_builtin_identifier] = ACTIONS(1012),
    [anon_sym_AT] = ACTIONS(1014),
    [sym_comment] = ACTIONS(3),
  },
  [713] = {
    [ts_builtin_sym_end] = ACTIONS(1016),
    [sym__identifier] = ACTIONS(1018),
    [anon_sym_pub] = ACTIONS(1018),
    [anon_sym_test] = ACTIONS(1018),
    [anon_sym_comptime] = ACTIONS(1018),
    [anon_sym_export] = ACTIONS(1018),
    [anon_sym_extern] = ACTIONS(1018),
    [anon_sym_threadlocal] = ACTIONS(1018),
    [anon_sym_const] = ACTIONS(1018),
    [anon_sym_var] = ACTIONS(1018),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_noinline] = ACTIONS(1018),
    [anon_sym_fn] = ACTIONS(1018),
    [anon_sym_LPAREN] = ACTIONS(1016),
    [anon_sym_usingnamespace] = ACTIONS(1018),
    [anon_sym_LBRACE] = ACTIONS(1016),
    [anon_sym_RBRACE] = ACTIONS(1016),
    [anon_sym_packed] = ACTIONS(1018),
    [anon_sym_struct] = ACTIONS(1018),
    [anon_sym_opaque] = ACTIONS(1018),
    [anon_sym_enum] = ACTIONS(1018),
    [anon_sym_union] = ACTIONS(1018),
    [anon_sym_error] = ACTIONS(1018),
    [anon_sym_nosuspend] = ACTIONS(1018),
    [anon_sym_if] = ACTIONS(1018),
    [anon_sym_for] = ACTIONS(1018),
    [anon_sym_while] = ACTIONS(1018),
    [anon_sym_STAR] = ACTIONS(1016),
    [anon_sym_asm] = ACTIONS(1018),
    [anon_sym_LBRACK] = ACTIONS(1016),
    [anon_sym_BANG] = ACTIONS(1016),
    [anon_sym_TILDE] = ACTIONS(1016),
    [anon_sym_DASH] = ACTIONS(1018),
    [anon_sym_DASH_PERCENT] = ACTIONS(1016),
    [anon_sym_AMP] = ACTIONS(1016),
    [anon_sym_async] = ACTIONS(1018),
    [anon_sym_await] = ACTIONS(1018),
    [anon_sym_continue] = ACTIONS(1018),
    [anon_sym_resume] = ACTIONS(1018),
    [anon_sym_return] = ACTIONS(1018),
    [anon_sym_break] = ACTIONS(1018),
    [anon_sym_try] = ACTIONS(1018),
    [anon_sym_switch] = ACTIONS(1018),
    [anon_sym_anyframe] = ACTIONS(1018),
    [anon_sym_unreachable] = ACTIONS(1018),
    [anon_sym_undefined] = ACTIONS(1018),
    [anon_sym_null] = ACTIONS(1018),
    [anon_sym_QMARK] = ACTIONS(1016),
    [anon_sym_DOT] = ACTIONS(1016),
    [anon_sym_DQUOTE] = ACTIONS(1016),
    [aux_sym_multiline_string_token1] = ACTIONS(1016),
    [anon_sym_SQUOTE] = ACTIONS(1016),
    [sym_integer] = ACTIONS(1018),
    [sym_float] = ACTIONS(1016),
    [anon_sym_true] = ACTIONS(1018),
    [anon_sym_false] = ACTIONS(1018),
    [anon_sym_bool] = ACTIONS(1018),
    [anon_sym_f16] = ACTIONS(1018),
    [anon_sym_f32] = ACTIONS(1018),
    [anon_sym_f64] = ACTIONS(1018),
    [anon_sym_f128] = ACTIONS(1018),
    [anon_sym_void] = ACTIONS(1018),
    [anon_sym_type] = ACTIONS(1018),
    [anon_sym_anyerror] = ACTIONS(1018),
    [anon_sym_anyopaque] = ACTIONS(1018),
    [anon_sym_anytype] = ACTIONS(1018),
    [anon_sym_noreturn] = ACTIONS(1018),
    [anon_sym_isize] = ACTIONS(1018),
    [anon_sym_usize] = ACTIONS(1018),
    [anon_sym_comptime_int] = ACTIONS(1018),
    [anon_sym_comptime_float] = ACTIONS(1018),
    [anon_sym_c_short] = ACTIONS(1018),
    [anon_sym_c_ushort] = ACTIONS(1018),
    [anon_sym_c_int] = ACTIONS(1018),
    [anon_sym_c_uint] = ACTIONS(1018),
    [anon_sym_c_long] = ACTIONS(1018),
    [anon_sym_c_ulong] = ACTIONS(1018),
    [anon_sym_c_longlong] = ACTIONS(1018),
    [anon_sym_c_ulonglong] = ACTIONS(1018),
    [anon_sym_c_longdouble] = ACTIONS(1018),
    [aux_sym_builtin_type_token1] = ACTIONS(1018),
    [sym_builtin_identifier] = ACTIONS(1016),
    [anon_sym_AT] = ACTIONS(1018),
    [sym_comment] = ACTIONS(3),
  },
  [714] = {
    [ts_builtin_sym_end] = ACTIONS(1020),
    [sym__identifier] = ACTIONS(1022),
    [anon_sym_pub] = ACTIONS(1022),
    [anon_sym_test] = ACTIONS(1022),
    [anon_sym_comptime] = ACTIONS(1022),
    [anon_sym_export] = ACTIONS(1022),
    [anon_sym_extern] = ACTIONS(1022),
    [anon_sym_threadlocal] = ACTIONS(1022),
    [anon_sym_const] = ACTIONS(1022),
    [anon_sym_var] = ACTIONS(1022),
    [anon_sym_inline] = ACTIONS(1022),
    [anon_sym_noinline] = ACTIONS(1022),
    [anon_sym_fn] = ACTIONS(1022),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_usingnamespace] = ACTIONS(1022),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_RBRACE] = ACTIONS(1020),
    [anon_sym_packed] = ACTIONS(1022),
    [anon_sym_struct] = ACTIONS(1022),
    [anon_sym_opaque] = ACTIONS(1022),
    [anon_sym_enum] = ACTIONS(1022),
    [anon_sym_union] = ACTIONS(1022),
    [anon_sym_error] = ACTIONS(1022),
    [anon_sym_nosuspend] = ACTIONS(1022),
    [anon_sym_if] = ACTIONS(1022),
    [anon_sym_for] = ACTIONS(1022),
    [anon_sym_while] = ACTIONS(1022),
    [anon_sym_STAR] = ACTIONS(1020),
    [anon_sym_asm] = ACTIONS(1022),
    [anon_sym_LBRACK] = ACTIONS(1020),
    [anon_sym_BANG] = ACTIONS(1020),
    [anon_sym_TILDE] = ACTIONS(1020),
    [anon_sym_DASH] = ACTIONS(1022),
    [anon_sym_DASH_PERCENT] = ACTIONS(1020),
    [anon_sym_AMP] = ACTIONS(1020),
    [anon_sym_async] = ACTIONS(1022),
    [anon_sym_await] = ACTIONS(1022),
    [anon_sym_continue] = ACTIONS(1022),
    [anon_sym_resume] = ACTIONS(1022),
    [anon_sym_return] = ACTIONS(1022),
    [anon_sym_break] = ACTIONS(1022),
    [anon_sym_try] = ACTIONS(1022),
    [anon_sym_switch] = ACTIONS(1022),
    [anon_sym_anyframe] = ACTIONS(1022),
    [anon_sym_unreachable] = ACTIONS(1022),
    [anon_sym_undefined] = ACTIONS(1022),
    [anon_sym_null] = ACTIONS(1022),
    [anon_sym_QMARK] = ACTIONS(1020),
    [anon_sym_DOT] = ACTIONS(1020),
    [anon_sym_DQUOTE] = ACTIONS(1020),
    [aux_sym_multiline_string_token1] = ACTIONS(1020),
    [anon_sym_SQUOTE] = ACTIONS(1020),
    [sym_integer] = ACTIONS(1022),
    [sym_float] = ACTIONS(1020),
    [anon_sym_true] = ACTIONS(1022),
    [anon_sym_false] = ACTIONS(1022),
    [anon_sym_bool] = ACTIONS(1022),
    [anon_sym_f16] = ACTIONS(1022),
    [anon_sym_f32] = ACTIONS(1022),
    [anon_sym_f64] = ACTIONS(1022),
    [anon_sym_f128] = ACTIONS(1022),
    [anon_sym_void] = ACTIONS(1022),
    [anon_sym_type] = ACTIONS(1022),
    [anon_sym_anyerror] = ACTIONS(1022),
    [anon_sym_anyopaque] = ACTIONS(1022),
    [anon_sym_anytype] = ACTIONS(1022),
    [anon_sym_noreturn] = ACTIONS(1022),
    [anon_sym_isize] = ACTIONS(1022),
    [anon_sym_usize] = ACTIONS(1022),
    [anon_sym_comptime_int] = ACTIONS(1022),
    [anon_sym_comptime_float] = ACTIONS(1022),
    [anon_sym_c_short] = ACTIONS(1022),
    [anon_sym_c_ushort] = ACTIONS(1022),
    [anon_sym_c_int] = ACTIONS(1022),
    [anon_sym_c_uint] = ACTIONS(1022),
    [anon_sym_c_long] = ACTIONS(1022),
    [anon_sym_c_ulong] = ACTIONS(1022),
    [anon_sym_c_longlong] = ACTIONS(1022),
    [anon_sym_c_ulonglong] = ACTIONS(1022),
    [anon_sym_c_longdouble] = ACTIONS(1022),
    [aux_sym_builtin_type_token1] = ACTIONS(1022),
    [sym_builtin_identifier] = ACTIONS(1020),
    [anon_sym_AT] = ACTIONS(1022),
    [sym_comment] = ACTIONS(3),
  },
  [715] = {
    [ts_builtin_sym_end] = ACTIONS(1012),
    [sym__identifier] = ACTIONS(1014),
    [anon_sym_pub] = ACTIONS(1014),
    [anon_sym_test] = ACTIONS(1014),
    [anon_sym_comptime] = ACTIONS(1014),
    [anon_sym_export] = ACTIONS(1014),
    [anon_sym_extern] = ACTIONS(1014),
    [anon_sym_threadlocal] = ACTIONS(1014),
    [anon_sym_const] = ACTIONS(1014),
    [anon_sym_var] = ACTIONS(1014),
    [anon_sym_inline] = ACTIONS(1014),
    [anon_sym_noinline] = ACTIONS(1014),
    [anon_sym_fn] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1012),
    [anon_sym_usingnamespace] = ACTIONS(1014),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_RBRACE] = ACTIONS(1012),
    [anon_sym_packed] = ACTIONS(1014),
    [anon_sym_struct] = ACTIONS(1014),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_enum] = ACTIONS(1014),
    [anon_sym_union] = ACTIONS(1014),
    [anon_sym_error] = ACTIONS(1014),
    [anon_sym_nosuspend] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1014),
    [anon_sym_for] = ACTIONS(1014),
    [anon_sym_while] = ACTIONS(1014),
    [anon_sym_STAR] = ACTIONS(1012),
    [anon_sym_asm] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(1012),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1014),
    [anon_sym_DASH_PERCENT] = ACTIONS(1012),
    [anon_sym_AMP] = ACTIONS(1012),
    [anon_sym_async] = ACTIONS(1014),
    [anon_sym_await] = ACTIONS(1014),
    [anon_sym_continue] = ACTIONS(1014),
    [anon_sym_resume] = ACTIONS(1014),
    [anon_sym_return] = ACTIONS(1014),
    [anon_sym_break] = ACTIONS(1014),
    [anon_sym_try] = ACTIONS(1014),
    [anon_sym_switch] = ACTIONS(1014),
    [anon_sym_anyframe] = ACTIONS(1014),
    [anon_sym_unreachable] = ACTIONS(1014),
    [anon_sym_undefined] = ACTIONS(1014),
    [anon_sym_null] = ACTIONS(1014),
    [anon_sym_QMARK] = ACTIONS(1012),
    [anon_sym_DOT] = ACTIONS(1012),
    [anon_sym_DQUOTE] = ACTIONS(1012),
    [aux_sym_multiline_string_token1] = ACTIONS(1012),
    [anon_sym_SQUOTE] = ACTIONS(1012),
    [sym_integer] = ACTIONS(1014),
    [sym_float] = ACTIONS(1012),
    [anon_sym_true] = ACTIONS(1014),
    [anon_sym_false] = ACTIONS(1014),
    [anon_sym_bool] = ACTIONS(1014),
    [anon_sym_f16] = ACTIONS(1014),
    [anon_sym_f32] = ACTIONS(1014),
    [anon_sym_f64] = ACTIONS(1014),
    [anon_sym_f128] = ACTIONS(1014),
    [anon_sym_void] = ACTIONS(1014),
    [anon_sym_type] = ACTIONS(1014),
    [anon_sym_anyerror] = ACTIONS(1014),
    [anon_sym_anyopaque] = ACTIONS(1014),
    [anon_sym_anytype] = ACTIONS(1014),
    [anon_sym_noreturn] = ACTIONS(1014),
    [anon_sym_isize] = ACTIONS(1014),
    [anon_sym_usize] = ACTIONS(1014),
    [anon_sym_comptime_int] = ACTIONS(1014),
    [anon_sym_comptime_float] = ACTIONS(1014),
    [anon_sym_c_short] = ACTIONS(1014),
    [anon_sym_c_ushort] = ACTIONS(1014),
    [anon_sym_c_int] = ACTIONS(1014),
    [anon_sym_c_uint] = ACTIONS(1014),
    [anon_sym_c_long] = ACTIONS(1014),
    [anon_sym_c_ulong] = ACTIONS(1014),
    [anon_sym_c_longlong] = ACTIONS(1014),
    [anon_sym_c_ulonglong] = ACTIONS(1014),
    [anon_sym_c_longdouble] = ACTIONS(1014),
    [aux_sym_builtin_type_token1] = ACTIONS(1014),
    [sym_builtin_identifier] = ACTIONS(1012),
    [anon_sym_AT] = ACTIONS(1014),
    [sym_comment] = ACTIONS(3),
  },
  [716] = {
    [ts_builtin_sym_end] = ACTIONS(1032),
    [sym__identifier] = ACTIONS(1034),
    [anon_sym_pub] = ACTIONS(1034),
    [anon_sym_test] = ACTIONS(1034),
    [anon_sym_comptime] = ACTIONS(1034),
    [anon_sym_export] = ACTIONS(1034),
    [anon_sym_extern] = ACTIONS(1034),
    [anon_sym_threadlocal] = ACTIONS(1034),
    [anon_sym_const] = ACTIONS(1034),
    [anon_sym_var] = ACTIONS(1034),
    [anon_sym_inline] = ACTIONS(1034),
    [anon_sym_noinline] = ACTIONS(1034),
    [anon_sym_fn] = ACTIONS(1034),
    [anon_sym_LPAREN] = ACTIONS(1032),
    [anon_sym_usingnamespace] = ACTIONS(1034),
    [anon_sym_LBRACE] = ACTIONS(1032),
    [anon_sym_RBRACE] = ACTIONS(1032),
    [anon_sym_packed] = ACTIONS(1034),
    [anon_sym_struct] = ACTIONS(1034),
    [anon_sym_opaque] = ACTIONS(1034),
    [anon_sym_enum] = ACTIONS(1034),
    [anon_sym_union] = ACTIONS(1034),
    [anon_sym_error] = ACTIONS(1034),
    [anon_sym_nosuspend] = ACTIONS(1034),
    [anon_sym_if] = ACTIONS(1034),
    [anon_sym_for] = ACTIONS(1034),
    [anon_sym_while] = ACTIONS(1034),
    [anon_sym_STAR] = ACTIONS(1032),
    [anon_sym_asm] = ACTIONS(1034),
    [anon_sym_LBRACK] = ACTIONS(1032),
    [anon_sym_BANG] = ACTIONS(1032),
    [anon_sym_TILDE] = ACTIONS(1032),
    [anon_sym_DASH] = ACTIONS(1034),
    [anon_sym_DASH_PERCENT] = ACTIONS(1032),
    [anon_sym_AMP] = ACTIONS(1032),
    [anon_sym_async] = ACTIONS(1034),
    [anon_sym_await] = ACTIONS(1034),
    [anon_sym_continue] = ACTIONS(1034),
    [anon_sym_resume] = ACTIONS(1034),
    [anon_sym_return] = ACTIONS(1034),
    [anon_sym_break] = ACTIONS(1034),
    [anon_sym_try] = ACTIONS(1034),
    [anon_sym_switch] = ACTIONS(1034),
    [anon_sym_anyframe] = ACTIONS(1034),
    [anon_sym_unreachable] = ACTIONS(1034),
    [anon_sym_undefined] = ACTIONS(1034),
    [anon_sym_null] = ACTIONS(1034),
    [anon_sym_QMARK] = ACTIONS(1032),
    [anon_sym_DOT] = ACTIONS(1032),
    [anon_sym_DQUOTE] = ACTIONS(1032),
    [aux_sym_multiline_string_token1] = ACTIONS(1032),
    [anon_sym_SQUOTE] = ACTIONS(1032),
    [sym_integer] = ACTIONS(1034),
    [sym_float] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [anon_sym_bool] = ACTIONS(1034),
    [anon_sym_f16] = ACTIONS(1034),
    [anon_sym_f32] = ACTIONS(1034),
    [anon_sym_f64] = ACTIONS(1034),
    [anon_sym_f128] = ACTIONS(1034),
    [anon_sym_void] = ACTIONS(1034),
    [anon_sym_type] = ACTIONS(1034),
    [anon_sym_anyerror] = ACTIONS(1034),
    [anon_sym_anyopaque] = ACTIONS(1034),
    [anon_sym_anytype] = ACTIONS(1034),
    [anon_sym_noreturn] = ACTIONS(1034),
    [anon_sym_isize] = ACTIONS(1034),
    [anon_sym_usize] = ACTIONS(1034),
    [anon_sym_comptime_int] = ACTIONS(1034),
    [anon_sym_comptime_float] = ACTIONS(1034),
    [anon_sym_c_short] = ACTIONS(1034),
    [anon_sym_c_ushort] = ACTIONS(1034),
    [anon_sym_c_int] = ACTIONS(1034),
    [anon_sym_c_uint] = ACTIONS(1034),
    [anon_sym_c_long] = ACTIONS(1034),
    [anon_sym_c_ulong] = ACTIONS(1034),
    [anon_sym_c_longlong] = ACTIONS(1034),
    [anon_sym_c_ulonglong] = ACTIONS(1034),
    [anon_sym_c_longdouble] = ACTIONS(1034),
    [aux_sym_builtin_type_token1] = ACTIONS(1034),
    [sym_builtin_identifier] = ACTIONS(1032),
    [anon_sym_AT] = ACTIONS(1034),
    [sym_comment] = ACTIONS(3),
  },
  [717] = {
    [ts_builtin_sym_end] = ACTIONS(1016),
    [sym__identifier] = ACTIONS(1018),
    [anon_sym_pub] = ACTIONS(1018),
    [anon_sym_test] = ACTIONS(1018),
    [anon_sym_comptime] = ACTIONS(1018),
    [anon_sym_export] = ACTIONS(1018),
    [anon_sym_extern] = ACTIONS(1018),
    [anon_sym_threadlocal] = ACTIONS(1018),
    [anon_sym_const] = ACTIONS(1018),
    [anon_sym_var] = ACTIONS(1018),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_noinline] = ACTIONS(1018),
    [anon_sym_fn] = ACTIONS(1018),
    [anon_sym_LPAREN] = ACTIONS(1016),
    [anon_sym_usingnamespace] = ACTIONS(1018),
    [anon_sym_LBRACE] = ACTIONS(1016),
    [anon_sym_RBRACE] = ACTIONS(1016),
    [anon_sym_packed] = ACTIONS(1018),
    [anon_sym_struct] = ACTIONS(1018),
    [anon_sym_opaque] = ACTIONS(1018),
    [anon_sym_enum] = ACTIONS(1018),
    [anon_sym_union] = ACTIONS(1018),
    [anon_sym_error] = ACTIONS(1018),
    [anon_sym_nosuspend] = ACTIONS(1018),
    [anon_sym_if] = ACTIONS(1018),
    [anon_sym_for] = ACTIONS(1018),
    [anon_sym_while] = ACTIONS(1018),
    [anon_sym_STAR] = ACTIONS(1016),
    [anon_sym_asm] = ACTIONS(1018),
    [anon_sym_LBRACK] = ACTIONS(1016),
    [anon_sym_BANG] = ACTIONS(1016),
    [anon_sym_TILDE] = ACTIONS(1016),
    [anon_sym_DASH] = ACTIONS(1018),
    [anon_sym_DASH_PERCENT] = ACTIONS(1016),
    [anon_sym_AMP] = ACTIONS(1016),
    [anon_sym_async] = ACTIONS(1018),
    [anon_sym_await] = ACTIONS(1018),
    [anon_sym_continue] = ACTIONS(1018),
    [anon_sym_resume] = ACTIONS(1018),
    [anon_sym_return] = ACTIONS(1018),
    [anon_sym_break] = ACTIONS(1018),
    [anon_sym_try] = ACTIONS(1018),
    [anon_sym_switch] = ACTIONS(1018),
    [anon_sym_anyframe] = ACTIONS(1018),
    [anon_sym_unreachable] = ACTIONS(1018),
    [anon_sym_undefined] = ACTIONS(1018),
    [anon_sym_null] = ACTIONS(1018),
    [anon_sym_QMARK] = ACTIONS(1016),
    [anon_sym_DOT] = ACTIONS(1016),
    [anon_sym_DQUOTE] = ACTIONS(1016),
    [aux_sym_multiline_string_token1] = ACTIONS(1016),
    [anon_sym_SQUOTE] = ACTIONS(1016),
    [sym_integer] = ACTIONS(1018),
    [sym_float] = ACTIONS(1016),
    [anon_sym_true] = ACTIONS(1018),
    [anon_sym_false] = ACTIONS(1018),
    [anon_sym_bool] = ACTIONS(1018),
    [anon_sym_f16] = ACTIONS(1018),
    [anon_sym_f32] = ACTIONS(1018),
    [anon_sym_f64] = ACTIONS(1018),
    [anon_sym_f128] = ACTIONS(1018),
    [anon_sym_void] = ACTIONS(1018),
    [anon_sym_type] = ACTIONS(1018),
    [anon_sym_anyerror] = ACTIONS(1018),
    [anon_sym_anyopaque] = ACTIONS(1018),
    [anon_sym_anytype] = ACTIONS(1018),
    [anon_sym_noreturn] = ACTIONS(1018),
    [anon_sym_isize] = ACTIONS(1018),
    [anon_sym_usize] = ACTIONS(1018),
    [anon_sym_comptime_int] = ACTIONS(1018),
    [anon_sym_comptime_float] = ACTIONS(1018),
    [anon_sym_c_short] = ACTIONS(1018),
    [anon_sym_c_ushort] = ACTIONS(1018),
    [anon_sym_c_int] = ACTIONS(1018),
    [anon_sym_c_uint] = ACTIONS(1018),
    [anon_sym_c_long] = ACTIONS(1018),
    [anon_sym_c_ulong] = ACTIONS(1018),
    [anon_sym_c_longlong] = ACTIONS(1018),
    [anon_sym_c_ulonglong] = ACTIONS(1018),
    [anon_sym_c_longdouble] = ACTIONS(1018),
    [aux_sym_builtin_type_token1] = ACTIONS(1018),
    [sym_builtin_identifier] = ACTIONS(1016),
    [anon_sym_AT] = ACTIONS(1018),
    [sym_comment] = ACTIONS(3),
  },
  [718] = {
    [ts_builtin_sym_end] = ACTIONS(1036),
    [sym__identifier] = ACTIONS(1038),
    [anon_sym_pub] = ACTIONS(1038),
    [anon_sym_test] = ACTIONS(1038),
    [anon_sym_comptime] = ACTIONS(1038),
    [anon_sym_export] = ACTIONS(1038),
    [anon_sym_extern] = ACTIONS(1038),
    [anon_sym_threadlocal] = ACTIONS(1038),
    [anon_sym_const] = ACTIONS(1038),
    [anon_sym_var] = ACTIONS(1038),
    [anon_sym_inline] = ACTIONS(1038),
    [anon_sym_noinline] = ACTIONS(1038),
    [anon_sym_fn] = ACTIONS(1038),
    [anon_sym_LPAREN] = ACTIONS(1036),
    [anon_sym_usingnamespace] = ACTIONS(1038),
    [anon_sym_LBRACE] = ACTIONS(1036),
    [anon_sym_RBRACE] = ACTIONS(1036),
    [anon_sym_packed] = ACTIONS(1038),
    [anon_sym_struct] = ACTIONS(1038),
    [anon_sym_opaque] = ACTIONS(1038),
    [anon_sym_enum] = ACTIONS(1038),
    [anon_sym_union] = ACTIONS(1038),
    [anon_sym_error] = ACTIONS(1038),
    [anon_sym_nosuspend] = ACTIONS(1038),
    [anon_sym_if] = ACTIONS(1038),
    [anon_sym_for] = ACTIONS(1038),
    [anon_sym_while] = ACTIONS(1038),
    [anon_sym_STAR] = ACTIONS(1036),
    [anon_sym_asm] = ACTIONS(1038),
    [anon_sym_LBRACK] = ACTIONS(1036),
    [anon_sym_BANG] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(1036),
    [anon_sym_DASH] = ACTIONS(1038),
    [anon_sym_DASH_PERCENT] = ACTIONS(1036),
    [anon_sym_AMP] = ACTIONS(1036),
    [anon_sym_async] = ACTIONS(1038),
    [anon_sym_await] = ACTIONS(1038),
    [anon_sym_continue] = ACTIONS(1038),
    [anon_sym_resume] = ACTIONS(1038),
    [anon_sym_return] = ACTIONS(1038),
    [anon_sym_break] = ACTIONS(1038),
    [anon_sym_try] = ACTIONS(1038),
    [anon_sym_switch] = ACTIONS(1038),
    [anon_sym_anyframe] = ACTIONS(1038),
    [anon_sym_unreachable] = ACTIONS(1038),
    [anon_sym_undefined] = ACTIONS(1038),
    [anon_sym_null] = ACTIONS(1038),
    [anon_sym_QMARK] = ACTIONS(1036),
    [anon_sym_DOT] = ACTIONS(1036),
    [anon_sym_DQUOTE] = ACTIONS(1036),
    [aux_sym_multiline_string_token1] = ACTIONS(1036),
    [anon_sym_SQUOTE] = ACTIONS(1036),
    [sym_integer] = ACTIONS(1038),
    [sym_float] = ACTIONS(1036),
    [anon_sym_true] = ACTIONS(1038),
    [anon_sym_false] = ACTIONS(1038),
    [anon_sym_bool] = ACTIONS(1038),
    [anon_sym_f16] = ACTIONS(1038),
    [anon_sym_f32] = ACTIONS(1038),
    [anon_sym_f64] = ACTIONS(1038),
    [anon_sym_f128] = ACTIONS(1038),
    [anon_sym_void] = ACTIONS(1038),
    [anon_sym_type] = ACTIONS(1038),
    [anon_sym_anyerror] = ACTIONS(1038),
    [anon_sym_anyopaque] = ACTIONS(1038),
    [anon_sym_anytype] = ACTIONS(1038),
    [anon_sym_noreturn] = ACTIONS(1038),
    [anon_sym_isize] = ACTIONS(1038),
    [anon_sym_usize] = ACTIONS(1038),
    [anon_sym_comptime_int] = ACTIONS(1038),
    [anon_sym_comptime_float] = ACTIONS(1038),
    [anon_sym_c_short] = ACTIONS(1038),
    [anon_sym_c_ushort] = ACTIONS(1038),
    [anon_sym_c_int] = ACTIONS(1038),
    [anon_sym_c_uint] = ACTIONS(1038),
    [anon_sym_c_long] = ACTIONS(1038),
    [anon_sym_c_ulong] = ACTIONS(1038),
    [anon_sym_c_longlong] = ACTIONS(1038),
    [anon_sym_c_ulonglong] = ACTIONS(1038),
    [anon_sym_c_longdouble] = ACTIONS(1038),
    [aux_sym_builtin_type_token1] = ACTIONS(1038),
    [sym_builtin_identifier] = ACTIONS(1036),
    [anon_sym_AT] = ACTIONS(1038),
    [sym_comment] = ACTIONS(3),
  },
  [719] = {
    [ts_builtin_sym_end] = ACTIONS(1020),
    [sym__identifier] = ACTIONS(1022),
    [anon_sym_pub] = ACTIONS(1022),
    [anon_sym_test] = ACTIONS(1022),
    [anon_sym_comptime] = ACTIONS(1022),
    [anon_sym_export] = ACTIONS(1022),
    [anon_sym_extern] = ACTIONS(1022),
    [anon_sym_threadlocal] = ACTIONS(1022),
    [anon_sym_const] = ACTIONS(1022),
    [anon_sym_var] = ACTIONS(1022),
    [anon_sym_inline] = ACTIONS(1022),
    [anon_sym_noinline] = ACTIONS(1022),
    [anon_sym_fn] = ACTIONS(1022),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_usingnamespace] = ACTIONS(1022),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_RBRACE] = ACTIONS(1020),
    [anon_sym_packed] = ACTIONS(1022),
    [anon_sym_struct] = ACTIONS(1022),
    [anon_sym_opaque] = ACTIONS(1022),
    [anon_sym_enum] = ACTIONS(1022),
    [anon_sym_union] = ACTIONS(1022),
    [anon_sym_error] = ACTIONS(1022),
    [anon_sym_nosuspend] = ACTIONS(1022),
    [anon_sym_if] = ACTIONS(1022),
    [anon_sym_for] = ACTIONS(1022),
    [anon_sym_while] = ACTIONS(1022),
    [anon_sym_STAR] = ACTIONS(1020),
    [anon_sym_asm] = ACTIONS(1022),
    [anon_sym_LBRACK] = ACTIONS(1020),
    [anon_sym_BANG] = ACTIONS(1020),
    [anon_sym_TILDE] = ACTIONS(1020),
    [anon_sym_DASH] = ACTIONS(1022),
    [anon_sym_DASH_PERCENT] = ACTIONS(1020),
    [anon_sym_AMP] = ACTIONS(1020),
    [anon_sym_async] = ACTIONS(1022),
    [anon_sym_await] = ACTIONS(1022),
    [anon_sym_continue] = ACTIONS(1022),
    [anon_sym_resume] = ACTIONS(1022),
    [anon_sym_return] = ACTIONS(1022),
    [anon_sym_break] = ACTIONS(1022),
    [anon_sym_try] = ACTIONS(1022),
    [anon_sym_switch] = ACTIONS(1022),
    [anon_sym_anyframe] = ACTIONS(1022),
    [anon_sym_unreachable] = ACTIONS(1022),
    [anon_sym_undefined] = ACTIONS(1022),
    [anon_sym_null] = ACTIONS(1022),
    [anon_sym_QMARK] = ACTIONS(1020),
    [anon_sym_DOT] = ACTIONS(1020),
    [anon_sym_DQUOTE] = ACTIONS(1020),
    [aux_sym_multiline_string_token1] = ACTIONS(1020),
    [anon_sym_SQUOTE] = ACTIONS(1020),
    [sym_integer] = ACTIONS(1022),
    [sym_float] = ACTIONS(1020),
    [anon_sym_true] = ACTIONS(1022),
    [anon_sym_false] = ACTIONS(1022),
    [anon_sym_bool] = ACTIONS(1022),
    [anon_sym_f16] = ACTIONS(1022),
    [anon_sym_f32] = ACTIONS(1022),
    [anon_sym_f64] = ACTIONS(1022),
    [anon_sym_f128] = ACTIONS(1022),
    [anon_sym_void] = ACTIONS(1022),
    [anon_sym_type] = ACTIONS(1022),
    [anon_sym_anyerror] = ACTIONS(1022),
    [anon_sym_anyopaque] = ACTIONS(1022),
    [anon_sym_anytype] = ACTIONS(1022),
    [anon_sym_noreturn] = ACTIONS(1022),
    [anon_sym_isize] = ACTIONS(1022),
    [anon_sym_usize] = ACTIONS(1022),
    [anon_sym_comptime_int] = ACTIONS(1022),
    [anon_sym_comptime_float] = ACTIONS(1022),
    [anon_sym_c_short] = ACTIONS(1022),
    [anon_sym_c_ushort] = ACTIONS(1022),
    [anon_sym_c_int] = ACTIONS(1022),
    [anon_sym_c_uint] = ACTIONS(1022),
    [anon_sym_c_long] = ACTIONS(1022),
    [anon_sym_c_ulong] = ACTIONS(1022),
    [anon_sym_c_longlong] = ACTIONS(1022),
    [anon_sym_c_ulonglong] = ACTIONS(1022),
    [anon_sym_c_longdouble] = ACTIONS(1022),
    [aux_sym_builtin_type_token1] = ACTIONS(1022),
    [sym_builtin_identifier] = ACTIONS(1020),
    [anon_sym_AT] = ACTIONS(1022),
    [sym_comment] = ACTIONS(3),
  },
  [720] = {
    [ts_builtin_sym_end] = ACTIONS(1036),
    [sym__identifier] = ACTIONS(1038),
    [anon_sym_pub] = ACTIONS(1038),
    [anon_sym_test] = ACTIONS(1038),
    [anon_sym_comptime] = ACTIONS(1038),
    [anon_sym_export] = ACTIONS(1038),
    [anon_sym_extern] = ACTIONS(1038),
    [anon_sym_threadlocal] = ACTIONS(1038),
    [anon_sym_const] = ACTIONS(1038),
    [anon_sym_var] = ACTIONS(1038),
    [anon_sym_inline] = ACTIONS(1038),
    [anon_sym_noinline] = ACTIONS(1038),
    [anon_sym_fn] = ACTIONS(1038),
    [anon_sym_LPAREN] = ACTIONS(1036),
    [anon_sym_usingnamespace] = ACTIONS(1038),
    [anon_sym_LBRACE] = ACTIONS(1036),
    [anon_sym_RBRACE] = ACTIONS(1036),
    [anon_sym_packed] = ACTIONS(1038),
    [anon_sym_struct] = ACTIONS(1038),
    [anon_sym_opaque] = ACTIONS(1038),
    [anon_sym_enum] = ACTIONS(1038),
    [anon_sym_union] = ACTIONS(1038),
    [anon_sym_error] = ACTIONS(1038),
    [anon_sym_nosuspend] = ACTIONS(1038),
    [anon_sym_if] = ACTIONS(1038),
    [anon_sym_for] = ACTIONS(1038),
    [anon_sym_while] = ACTIONS(1038),
    [anon_sym_STAR] = ACTIONS(1036),
    [anon_sym_asm] = ACTIONS(1038),
    [anon_sym_LBRACK] = ACTIONS(1036),
    [anon_sym_BANG] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(1036),
    [anon_sym_DASH] = ACTIONS(1038),
    [anon_sym_DASH_PERCENT] = ACTIONS(1036),
    [anon_sym_AMP] = ACTIONS(1036),
    [anon_sym_async] = ACTIONS(1038),
    [anon_sym_await] = ACTIONS(1038),
    [anon_sym_continue] = ACTIONS(1038),
    [anon_sym_resume] = ACTIONS(1038),
    [anon_sym_return] = ACTIONS(1038),
    [anon_sym_break] = ACTIONS(1038),
    [anon_sym_try] = ACTIONS(1038),
    [anon_sym_switch] = ACTIONS(1038),
    [anon_sym_anyframe] = ACTIONS(1038),
    [anon_sym_unreachable] = ACTIONS(1038),
    [anon_sym_undefined] = ACTIONS(1038),
    [anon_sym_null] = ACTIONS(1038),
    [anon_sym_QMARK] = ACTIONS(1036),
    [anon_sym_DOT] = ACTIONS(1036),
    [anon_sym_DQUOTE] = ACTIONS(1036),
    [aux_sym_multiline_string_token1] = ACTIONS(1036),
    [anon_sym_SQUOTE] = ACTIONS(1036),
    [sym_integer] = ACTIONS(1038),
    [sym_float] = ACTIONS(1036),
    [anon_sym_true] = ACTIONS(1038),
    [anon_sym_false] = ACTIONS(1038),
    [anon_sym_bool] = ACTIONS(1038),
    [anon_sym_f16] = ACTIONS(1038),
    [anon_sym_f32] = ACTIONS(1038),
    [anon_sym_f64] = ACTIONS(1038),
    [anon_sym_f128] = ACTIONS(1038),
    [anon_sym_void] = ACTIONS(1038),
    [anon_sym_type] = ACTIONS(1038),
    [anon_sym_anyerror] = ACTIONS(1038),
    [anon_sym_anyopaque] = ACTIONS(1038),
    [anon_sym_anytype] = ACTIONS(1038),
    [anon_sym_noreturn] = ACTIONS(1038),
    [anon_sym_isize] = ACTIONS(1038),
    [anon_sym_usize] = ACTIONS(1038),
    [anon_sym_comptime_int] = ACTIONS(1038),
    [anon_sym_comptime_float] = ACTIONS(1038),
    [anon_sym_c_short] = ACTIONS(1038),
    [anon_sym_c_ushort] = ACTIONS(1038),
    [anon_sym_c_int] = ACTIONS(1038),
    [anon_sym_c_uint] = ACTIONS(1038),
    [anon_sym_c_long] = ACTIONS(1038),
    [anon_sym_c_ulong] = ACTIONS(1038),
    [anon_sym_c_longlong] = ACTIONS(1038),
    [anon_sym_c_ulonglong] = ACTIONS(1038),
    [anon_sym_c_longdouble] = ACTIONS(1038),
    [aux_sym_builtin_type_token1] = ACTIONS(1038),
    [sym_builtin_identifier] = ACTIONS(1036),
    [anon_sym_AT] = ACTIONS(1038),
    [sym_comment] = ACTIONS(3),
  },
  [721] = {
    [ts_builtin_sym_end] = ACTIONS(1016),
    [sym__identifier] = ACTIONS(1018),
    [anon_sym_pub] = ACTIONS(1018),
    [anon_sym_test] = ACTIONS(1018),
    [anon_sym_comptime] = ACTIONS(1018),
    [anon_sym_export] = ACTIONS(1018),
    [anon_sym_extern] = ACTIONS(1018),
    [anon_sym_threadlocal] = ACTIONS(1018),
    [anon_sym_const] = ACTIONS(1018),
    [anon_sym_var] = ACTIONS(1018),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_noinline] = ACTIONS(1018),
    [anon_sym_fn] = ACTIONS(1018),
    [anon_sym_LPAREN] = ACTIONS(1016),
    [anon_sym_usingnamespace] = ACTIONS(1018),
    [anon_sym_LBRACE] = ACTIONS(1016),
    [anon_sym_RBRACE] = ACTIONS(1016),
    [anon_sym_packed] = ACTIONS(1018),
    [anon_sym_struct] = ACTIONS(1018),
    [anon_sym_opaque] = ACTIONS(1018),
    [anon_sym_enum] = ACTIONS(1018),
    [anon_sym_union] = ACTIONS(1018),
    [anon_sym_error] = ACTIONS(1018),
    [anon_sym_nosuspend] = ACTIONS(1018),
    [anon_sym_if] = ACTIONS(1018),
    [anon_sym_for] = ACTIONS(1018),
    [anon_sym_while] = ACTIONS(1018),
    [anon_sym_STAR] = ACTIONS(1016),
    [anon_sym_asm] = ACTIONS(1018),
    [anon_sym_LBRACK] = ACTIONS(1016),
    [anon_sym_BANG] = ACTIONS(1016),
    [anon_sym_TILDE] = ACTIONS(1016),
    [anon_sym_DASH] = ACTIONS(1018),
    [anon_sym_DASH_PERCENT] = ACTIONS(1016),
    [anon_sym_AMP] = ACTIONS(1016),
    [anon_sym_async] = ACTIONS(1018),
    [anon_sym_await] = ACTIONS(1018),
    [anon_sym_continue] = ACTIONS(1018),
    [anon_sym_resume] = ACTIONS(1018),
    [anon_sym_return] = ACTIONS(1018),
    [anon_sym_break] = ACTIONS(1018),
    [anon_sym_try] = ACTIONS(1018),
    [anon_sym_switch] = ACTIONS(1018),
    [anon_sym_anyframe] = ACTIONS(1018),
    [anon_sym_unreachable] = ACTIONS(1018),
    [anon_sym_undefined] = ACTIONS(1018),
    [anon_sym_null] = ACTIONS(1018),
    [anon_sym_QMARK] = ACTIONS(1016),
    [anon_sym_DOT] = ACTIONS(1016),
    [anon_sym_DQUOTE] = ACTIONS(1016),
    [aux_sym_multiline_string_token1] = ACTIONS(1016),
    [anon_sym_SQUOTE] = ACTIONS(1016),
    [sym_integer] = ACTIONS(1018),
    [sym_float] = ACTIONS(1016),
    [anon_sym_true] = ACTIONS(1018),
    [anon_sym_false] = ACTIONS(1018),
    [anon_sym_bool] = ACTIONS(1018),
    [anon_sym_f16] = ACTIONS(1018),
    [anon_sym_f32] = ACTIONS(1018),
    [anon_sym_f64] = ACTIONS(1018),
    [anon_sym_f128] = ACTIONS(1018),
    [anon_sym_void] = ACTIONS(1018),
    [anon_sym_type] = ACTIONS(1018),
    [anon_sym_anyerror] = ACTIONS(1018),
    [anon_sym_anyopaque] = ACTIONS(1018),
    [anon_sym_anytype] = ACTIONS(1018),
    [anon_sym_noreturn] = ACTIONS(1018),
    [anon_sym_isize] = ACTIONS(1018),
    [anon_sym_usize] = ACTIONS(1018),
    [anon_sym_comptime_int] = ACTIONS(1018),
    [anon_sym_comptime_float] = ACTIONS(1018),
    [anon_sym_c_short] = ACTIONS(1018),
    [anon_sym_c_ushort] = ACTIONS(1018),
    [anon_sym_c_int] = ACTIONS(1018),
    [anon_sym_c_uint] = ACTIONS(1018),
    [anon_sym_c_long] = ACTIONS(1018),
    [anon_sym_c_ulong] = ACTIONS(1018),
    [anon_sym_c_longlong] = ACTIONS(1018),
    [anon_sym_c_ulonglong] = ACTIONS(1018),
    [anon_sym_c_longdouble] = ACTIONS(1018),
    [aux_sym_builtin_type_token1] = ACTIONS(1018),
    [sym_builtin_identifier] = ACTIONS(1016),
    [anon_sym_AT] = ACTIONS(1018),
    [sym_comment] = ACTIONS(3),
  },
  [722] = {
    [ts_builtin_sym_end] = ACTIONS(1020),
    [sym__identifier] = ACTIONS(1022),
    [anon_sym_pub] = ACTIONS(1022),
    [anon_sym_test] = ACTIONS(1022),
    [anon_sym_comptime] = ACTIONS(1022),
    [anon_sym_export] = ACTIONS(1022),
    [anon_sym_extern] = ACTIONS(1022),
    [anon_sym_threadlocal] = ACTIONS(1022),
    [anon_sym_const] = ACTIONS(1022),
    [anon_sym_var] = ACTIONS(1022),
    [anon_sym_inline] = ACTIONS(1022),
    [anon_sym_noinline] = ACTIONS(1022),
    [anon_sym_fn] = ACTIONS(1022),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_usingnamespace] = ACTIONS(1022),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_RBRACE] = ACTIONS(1020),
    [anon_sym_packed] = ACTIONS(1022),
    [anon_sym_struct] = ACTIONS(1022),
    [anon_sym_opaque] = ACTIONS(1022),
    [anon_sym_enum] = ACTIONS(1022),
    [anon_sym_union] = ACTIONS(1022),
    [anon_sym_error] = ACTIONS(1022),
    [anon_sym_nosuspend] = ACTIONS(1022),
    [anon_sym_if] = ACTIONS(1022),
    [anon_sym_for] = ACTIONS(1022),
    [anon_sym_while] = ACTIONS(1022),
    [anon_sym_STAR] = ACTIONS(1020),
    [anon_sym_asm] = ACTIONS(1022),
    [anon_sym_LBRACK] = ACTIONS(1020),
    [anon_sym_BANG] = ACTIONS(1020),
    [anon_sym_TILDE] = ACTIONS(1020),
    [anon_sym_DASH] = ACTIONS(1022),
    [anon_sym_DASH_PERCENT] = ACTIONS(1020),
    [anon_sym_AMP] = ACTIONS(1020),
    [anon_sym_async] = ACTIONS(1022),
    [anon_sym_await] = ACTIONS(1022),
    [anon_sym_continue] = ACTIONS(1022),
    [anon_sym_resume] = ACTIONS(1022),
    [anon_sym_return] = ACTIONS(1022),
    [anon_sym_break] = ACTIONS(1022),
    [anon_sym_try] = ACTIONS(1022),
    [anon_sym_switch] = ACTIONS(1022),
    [anon_sym_anyframe] = ACTIONS(1022),
    [anon_sym_unreachable] = ACTIONS(1022),
    [anon_sym_undefined] = ACTIONS(1022),
    [anon_sym_null] = ACTIONS(1022),
    [anon_sym_QMARK] = ACTIONS(1020),
    [anon_sym_DOT] = ACTIONS(1020),
    [anon_sym_DQUOTE] = ACTIONS(1020),
    [aux_sym_multiline_string_token1] = ACTIONS(1020),
    [anon_sym_SQUOTE] = ACTIONS(1020),
    [sym_integer] = ACTIONS(1022),
    [sym_float] = ACTIONS(1020),
    [anon_sym_true] = ACTIONS(1022),
    [anon_sym_false] = ACTIONS(1022),
    [anon_sym_bool] = ACTIONS(1022),
    [anon_sym_f16] = ACTIONS(1022),
    [anon_sym_f32] = ACTIONS(1022),
    [anon_sym_f64] = ACTIONS(1022),
    [anon_sym_f128] = ACTIONS(1022),
    [anon_sym_void] = ACTIONS(1022),
    [anon_sym_type] = ACTIONS(1022),
    [anon_sym_anyerror] = ACTIONS(1022),
    [anon_sym_anyopaque] = ACTIONS(1022),
    [anon_sym_anytype] = ACTIONS(1022),
    [anon_sym_noreturn] = ACTIONS(1022),
    [anon_sym_isize] = ACTIONS(1022),
    [anon_sym_usize] = ACTIONS(1022),
    [anon_sym_comptime_int] = ACTIONS(1022),
    [anon_sym_comptime_float] = ACTIONS(1022),
    [anon_sym_c_short] = ACTIONS(1022),
    [anon_sym_c_ushort] = ACTIONS(1022),
    [anon_sym_c_int] = ACTIONS(1022),
    [anon_sym_c_uint] = ACTIONS(1022),
    [anon_sym_c_long] = ACTIONS(1022),
    [anon_sym_c_ulong] = ACTIONS(1022),
    [anon_sym_c_longlong] = ACTIONS(1022),
    [anon_sym_c_ulonglong] = ACTIONS(1022),
    [anon_sym_c_longdouble] = ACTIONS(1022),
    [aux_sym_builtin_type_token1] = ACTIONS(1022),
    [sym_builtin_identifier] = ACTIONS(1020),
    [anon_sym_AT] = ACTIONS(1022),
    [sym_comment] = ACTIONS(3),
  },
  [723] = {
    [ts_builtin_sym_end] = ACTIONS(1040),
    [sym__identifier] = ACTIONS(1042),
    [anon_sym_pub] = ACTIONS(1042),
    [anon_sym_test] = ACTIONS(1042),
    [anon_sym_comptime] = ACTIONS(1042),
    [anon_sym_export] = ACTIONS(1042),
    [anon_sym_extern] = ACTIONS(1042),
    [anon_sym_threadlocal] = ACTIONS(1042),
    [anon_sym_const] = ACTIONS(1042),
    [anon_sym_var] = ACTIONS(1042),
    [anon_sym_inline] = ACTIONS(1042),
    [anon_sym_noinline] = ACTIONS(1042),
    [anon_sym_fn] = ACTIONS(1042),
    [anon_sym_LPAREN] = ACTIONS(1040),
    [anon_sym_usingnamespace] = ACTIONS(1042),
    [anon_sym_LBRACE] = ACTIONS(1040),
    [anon_sym_RBRACE] = ACTIONS(1040),
    [anon_sym_packed] = ACTIONS(1042),
    [anon_sym_struct] = ACTIONS(1042),
    [anon_sym_opaque] = ACTIONS(1042),
    [anon_sym_enum] = ACTIONS(1042),
    [anon_sym_union] = ACTIONS(1042),
    [anon_sym_error] = ACTIONS(1042),
    [anon_sym_nosuspend] = ACTIONS(1042),
    [anon_sym_if] = ACTIONS(1042),
    [anon_sym_for] = ACTIONS(1042),
    [anon_sym_while] = ACTIONS(1042),
    [anon_sym_STAR] = ACTIONS(1040),
    [anon_sym_asm] = ACTIONS(1042),
    [anon_sym_LBRACK] = ACTIONS(1040),
    [anon_sym_BANG] = ACTIONS(1040),
    [anon_sym_TILDE] = ACTIONS(1040),
    [anon_sym_DASH] = ACTIONS(1042),
    [anon_sym_DASH_PERCENT] = ACTIONS(1040),
    [anon_sym_AMP] = ACTIONS(1040),
    [anon_sym_async] = ACTIONS(1042),
    [anon_sym_await] = ACTIONS(1042),
    [anon_sym_continue] = ACTIONS(1042),
    [anon_sym_resume] = ACTIONS(1042),
    [anon_sym_return] = ACTIONS(1042),
    [anon_sym_break] = ACTIONS(1042),
    [anon_sym_try] = ACTIONS(1042),
    [anon_sym_switch] = ACTIONS(1042),
    [anon_sym_anyframe] = ACTIONS(1042),
    [anon_sym_unreachable] = ACTIONS(1042),
    [anon_sym_undefined] = ACTIONS(1042),
    [anon_sym_null] = ACTIONS(1042),
    [anon_sym_QMARK] = ACTIONS(1040),
    [anon_sym_DOT] = ACTIONS(1040),
    [anon_sym_DQUOTE] = ACTIONS(1040),
    [aux_sym_multiline_string_token1] = ACTIONS(1040),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [sym_integer] = ACTIONS(1042),
    [sym_float] = ACTIONS(1040),
    [anon_sym_true] = ACTIONS(1042),
    [anon_sym_false] = ACTIONS(1042),
    [anon_sym_bool] = ACTIONS(1042),
    [anon_sym_f16] = ACTIONS(1042),
    [anon_sym_f32] = ACTIONS(1042),
    [anon_sym_f64] = ACTIONS(1042),
    [anon_sym_f128] = ACTIONS(1042),
    [anon_sym_void] = ACTIONS(1042),
    [anon_sym_type] = ACTIONS(1042),
    [anon_sym_anyerror] = ACTIONS(1042),
    [anon_sym_anyopaque] = ACTIONS(1042),
    [anon_sym_anytype] = ACTIONS(1042),
    [anon_sym_noreturn] = ACTIONS(1042),
    [anon_sym_isize] = ACTIONS(1042),
    [anon_sym_usize] = ACTIONS(1042),
    [anon_sym_comptime_int] = ACTIONS(1042),
    [anon_sym_comptime_float] = ACTIONS(1042),
    [anon_sym_c_short] = ACTIONS(1042),
    [anon_sym_c_ushort] = ACTIONS(1042),
    [anon_sym_c_int] = ACTIONS(1042),
    [anon_sym_c_uint] = ACTIONS(1042),
    [anon_sym_c_long] = ACTIONS(1042),
    [anon_sym_c_ulong] = ACTIONS(1042),
    [anon_sym_c_longlong] = ACTIONS(1042),
    [anon_sym_c_ulonglong] = ACTIONS(1042),
    [anon_sym_c_longdouble] = ACTIONS(1042),
    [aux_sym_builtin_type_token1] = ACTIONS(1042),
    [sym_builtin_identifier] = ACTIONS(1040),
    [anon_sym_AT] = ACTIONS(1042),
    [sym_comment] = ACTIONS(3),
  },
  [724] = {
    [ts_builtin_sym_end] = ACTIONS(1036),
    [sym__identifier] = ACTIONS(1038),
    [anon_sym_pub] = ACTIONS(1038),
    [anon_sym_test] = ACTIONS(1038),
    [anon_sym_comptime] = ACTIONS(1038),
    [anon_sym_export] = ACTIONS(1038),
    [anon_sym_extern] = ACTIONS(1038),
    [anon_sym_threadlocal] = ACTIONS(1038),
    [anon_sym_const] = ACTIONS(1038),
    [anon_sym_var] = ACTIONS(1038),
    [anon_sym_inline] = ACTIONS(1038),
    [anon_sym_noinline] = ACTIONS(1038),
    [anon_sym_fn] = ACTIONS(1038),
    [anon_sym_LPAREN] = ACTIONS(1036),
    [anon_sym_usingnamespace] = ACTIONS(1038),
    [anon_sym_LBRACE] = ACTIONS(1036),
    [anon_sym_RBRACE] = ACTIONS(1036),
    [anon_sym_packed] = ACTIONS(1038),
    [anon_sym_struct] = ACTIONS(1038),
    [anon_sym_opaque] = ACTIONS(1038),
    [anon_sym_enum] = ACTIONS(1038),
    [anon_sym_union] = ACTIONS(1038),
    [anon_sym_error] = ACTIONS(1038),
    [anon_sym_nosuspend] = ACTIONS(1038),
    [anon_sym_if] = ACTIONS(1038),
    [anon_sym_for] = ACTIONS(1038),
    [anon_sym_while] = ACTIONS(1038),
    [anon_sym_STAR] = ACTIONS(1036),
    [anon_sym_asm] = ACTIONS(1038),
    [anon_sym_LBRACK] = ACTIONS(1036),
    [anon_sym_BANG] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(1036),
    [anon_sym_DASH] = ACTIONS(1038),
    [anon_sym_DASH_PERCENT] = ACTIONS(1036),
    [anon_sym_AMP] = ACTIONS(1036),
    [anon_sym_async] = ACTIONS(1038),
    [anon_sym_await] = ACTIONS(1038),
    [anon_sym_continue] = ACTIONS(1038),
    [anon_sym_resume] = ACTIONS(1038),
    [anon_sym_return] = ACTIONS(1038),
    [anon_sym_break] = ACTIONS(1038),
    [anon_sym_try] = ACTIONS(1038),
    [anon_sym_switch] = ACTIONS(1038),
    [anon_sym_anyframe] = ACTIONS(1038),
    [anon_sym_unreachable] = ACTIONS(1038),
    [anon_sym_undefined] = ACTIONS(1038),
    [anon_sym_null] = ACTIONS(1038),
    [anon_sym_QMARK] = ACTIONS(1036),
    [anon_sym_DOT] = ACTIONS(1036),
    [anon_sym_DQUOTE] = ACTIONS(1036),
    [aux_sym_multiline_string_token1] = ACTIONS(1036),
    [anon_sym_SQUOTE] = ACTIONS(1036),
    [sym_integer] = ACTIONS(1038),
    [sym_float] = ACTIONS(1036),
    [anon_sym_true] = ACTIONS(1038),
    [anon_sym_false] = ACTIONS(1038),
    [anon_sym_bool] = ACTIONS(1038),
    [anon_sym_f16] = ACTIONS(1038),
    [anon_sym_f32] = ACTIONS(1038),
    [anon_sym_f64] = ACTIONS(1038),
    [anon_sym_f128] = ACTIONS(1038),
    [anon_sym_void] = ACTIONS(1038),
    [anon_sym_type] = ACTIONS(1038),
    [anon_sym_anyerror] = ACTIONS(1038),
    [anon_sym_anyopaque] = ACTIONS(1038),
    [anon_sym_anytype] = ACTIONS(1038),
    [anon_sym_noreturn] = ACTIONS(1038),
    [anon_sym_isize] = ACTIONS(1038),
    [anon_sym_usize] = ACTIONS(1038),
    [anon_sym_comptime_int] = ACTIONS(1038),
    [anon_sym_comptime_float] = ACTIONS(1038),
    [anon_sym_c_short] = ACTIONS(1038),
    [anon_sym_c_ushort] = ACTIONS(1038),
    [anon_sym_c_int] = ACTIONS(1038),
    [anon_sym_c_uint] = ACTIONS(1038),
    [anon_sym_c_long] = ACTIONS(1038),
    [anon_sym_c_ulong] = ACTIONS(1038),
    [anon_sym_c_longlong] = ACTIONS(1038),
    [anon_sym_c_ulonglong] = ACTIONS(1038),
    [anon_sym_c_longdouble] = ACTIONS(1038),
    [aux_sym_builtin_type_token1] = ACTIONS(1038),
    [sym_builtin_identifier] = ACTIONS(1036),
    [anon_sym_AT] = ACTIONS(1038),
    [sym_comment] = ACTIONS(3),
  },
  [725] = {
    [ts_builtin_sym_end] = ACTIONS(1044),
    [sym__identifier] = ACTIONS(1046),
    [anon_sym_pub] = ACTIONS(1046),
    [anon_sym_test] = ACTIONS(1046),
    [anon_sym_comptime] = ACTIONS(1046),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_extern] = ACTIONS(1046),
    [anon_sym_threadlocal] = ACTIONS(1046),
    [anon_sym_const] = ACTIONS(1046),
    [anon_sym_var] = ACTIONS(1046),
    [anon_sym_inline] = ACTIONS(1046),
    [anon_sym_noinline] = ACTIONS(1046),
    [anon_sym_fn] = ACTIONS(1046),
    [anon_sym_LPAREN] = ACTIONS(1044),
    [anon_sym_usingnamespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym_RBRACE] = ACTIONS(1044),
    [anon_sym_packed] = ACTIONS(1046),
    [anon_sym_struct] = ACTIONS(1046),
    [anon_sym_opaque] = ACTIONS(1046),
    [anon_sym_enum] = ACTIONS(1046),
    [anon_sym_union] = ACTIONS(1046),
    [anon_sym_error] = ACTIONS(1046),
    [anon_sym_nosuspend] = ACTIONS(1046),
    [anon_sym_if] = ACTIONS(1046),
    [anon_sym_for] = ACTIONS(1046),
    [anon_sym_while] = ACTIONS(1046),
    [anon_sym_STAR] = ACTIONS(1044),
    [anon_sym_asm] = ACTIONS(1046),
    [anon_sym_LBRACK] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(1044),
    [anon_sym_TILDE] = ACTIONS(1044),
    [anon_sym_DASH] = ACTIONS(1046),
    [anon_sym_DASH_PERCENT] = ACTIONS(1044),
    [anon_sym_AMP] = ACTIONS(1044),
    [anon_sym_async] = ACTIONS(1046),
    [anon_sym_await] = ACTIONS(1046),
    [anon_sym_continue] = ACTIONS(1046),
    [anon_sym_resume] = ACTIONS(1046),
    [anon_sym_return] = ACTIONS(1046),
    [anon_sym_break] = ACTIONS(1046),
    [anon_sym_try] = ACTIONS(1046),
    [anon_sym_switch] = ACTIONS(1046),
    [anon_sym_anyframe] = ACTIONS(1046),
    [anon_sym_unreachable] = ACTIONS(1046),
    [anon_sym_undefined] = ACTIONS(1046),
    [anon_sym_null] = ACTIONS(1046),
    [anon_sym_QMARK] = ACTIONS(1044),
    [anon_sym_DOT] = ACTIONS(1044),
    [anon_sym_DQUOTE] = ACTIONS(1044),
    [aux_sym_multiline_string_token1] = ACTIONS(1044),
    [anon_sym_SQUOTE] = ACTIONS(1044),
    [sym_integer] = ACTIONS(1046),
    [sym_float] = ACTIONS(1044),
    [anon_sym_true] = ACTIONS(1046),
    [anon_sym_false] = ACTIONS(1046),
    [anon_sym_bool] = ACTIONS(1046),
    [anon_sym_f16] = ACTIONS(1046),
    [anon_sym_f32] = ACTIONS(1046),
    [anon_sym_f64] = ACTIONS(1046),
    [anon_sym_f128] = ACTIONS(1046),
    [anon_sym_void] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_anyerror] = ACTIONS(1046),
    [anon_sym_anyopaque] = ACTIONS(1046),
    [anon_sym_anytype] = ACTIONS(1046),
    [anon_sym_noreturn] = ACTIONS(1046),
    [anon_sym_isize] = ACTIONS(1046),
    [anon_sym_usize] = ACTIONS(1046),
    [anon_sym_comptime_int] = ACTIONS(1046),
    [anon_sym_comptime_float] = ACTIONS(1046),
    [anon_sym_c_short] = ACTIONS(1046),
    [anon_sym_c_ushort] = ACTIONS(1046),
    [anon_sym_c_int] = ACTIONS(1046),
    [anon_sym_c_uint] = ACTIONS(1046),
    [anon_sym_c_long] = ACTIONS(1046),
    [anon_sym_c_ulong] = ACTIONS(1046),
    [anon_sym_c_longlong] = ACTIONS(1046),
    [anon_sym_c_ulonglong] = ACTIONS(1046),
    [anon_sym_c_longdouble] = ACTIONS(1046),
    [aux_sym_builtin_type_token1] = ACTIONS(1046),
    [sym_builtin_identifier] = ACTIONS(1044),
    [anon_sym_AT] = ACTIONS(1046),
    [sym_comment] = ACTIONS(3),
  },
  [726] = {
    [ts_builtin_sym_end] = ACTIONS(1048),
    [sym__identifier] = ACTIONS(1050),
    [anon_sym_pub] = ACTIONS(1050),
    [anon_sym_test] = ACTIONS(1050),
    [anon_sym_comptime] = ACTIONS(1050),
    [anon_sym_export] = ACTIONS(1050),
    [anon_sym_extern] = ACTIONS(1050),
    [anon_sym_threadlocal] = ACTIONS(1050),
    [anon_sym_const] = ACTIONS(1050),
    [anon_sym_var] = ACTIONS(1050),
    [anon_sym_inline] = ACTIONS(1050),
    [anon_sym_noinline] = ACTIONS(1050),
    [anon_sym_fn] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1048),
    [anon_sym_usingnamespace] = ACTIONS(1050),
    [anon_sym_LBRACE] = ACTIONS(1048),
    [anon_sym_RBRACE] = ACTIONS(1048),
    [anon_sym_packed] = ACTIONS(1050),
    [anon_sym_struct] = ACTIONS(1050),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_enum] = ACTIONS(1050),
    [anon_sym_union] = ACTIONS(1050),
    [anon_sym_error] = ACTIONS(1050),
    [anon_sym_nosuspend] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1050),
    [anon_sym_for] = ACTIONS(1050),
    [anon_sym_while] = ACTIONS(1050),
    [anon_sym_STAR] = ACTIONS(1048),
    [anon_sym_asm] = ACTIONS(1050),
    [anon_sym_LBRACK] = ACTIONS(1048),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1050),
    [anon_sym_DASH_PERCENT] = ACTIONS(1048),
    [anon_sym_AMP] = ACTIONS(1048),
    [anon_sym_async] = ACTIONS(1050),
    [anon_sym_await] = ACTIONS(1050),
    [anon_sym_continue] = ACTIONS(1050),
    [anon_sym_resume] = ACTIONS(1050),
    [anon_sym_return] = ACTIONS(1050),
    [anon_sym_break] = ACTIONS(1050),
    [anon_sym_try] = ACTIONS(1050),
    [anon_sym_switch] = ACTIONS(1050),
    [anon_sym_anyframe] = ACTIONS(1050),
    [anon_sym_unreachable] = ACTIONS(1050),
    [anon_sym_undefined] = ACTIONS(1050),
    [anon_sym_null] = ACTIONS(1050),
    [anon_sym_QMARK] = ACTIONS(1048),
    [anon_sym_DOT] = ACTIONS(1048),
    [anon_sym_DQUOTE] = ACTIONS(1048),
    [aux_sym_multiline_string_token1] = ACTIONS(1048),
    [anon_sym_SQUOTE] = ACTIONS(1048),
    [sym_integer] = ACTIONS(1050),
    [sym_float] = ACTIONS(1048),
    [anon_sym_true] = ACTIONS(1050),
    [anon_sym_false] = ACTIONS(1050),
    [anon_sym_bool] = ACTIONS(1050),
    [anon_sym_f16] = ACTIONS(1050),
    [anon_sym_f32] = ACTIONS(1050),
    [anon_sym_f64] = ACTIONS(1050),
    [anon_sym_f128] = ACTIONS(1050),
    [anon_sym_void] = ACTIONS(1050),
    [anon_sym_type] = ACTIONS(1050),
    [anon_sym_anyerror] = ACTIONS(1050),
    [anon_sym_anyopaque] = ACTIONS(1050),
    [anon_sym_anytype] = ACTIONS(1050),
    [anon_sym_noreturn] = ACTIONS(1050),
    [anon_sym_isize] = ACTIONS(1050),
    [anon_sym_usize] = ACTIONS(1050),
    [anon_sym_comptime_int] = ACTIONS(1050),
    [anon_sym_comptime_float] = ACTIONS(1050),
    [anon_sym_c_short] = ACTIONS(1050),
    [anon_sym_c_ushort] = ACTIONS(1050),
    [anon_sym_c_int] = ACTIONS(1050),
    [anon_sym_c_uint] = ACTIONS(1050),
    [anon_sym_c_long] = ACTIONS(1050),
    [anon_sym_c_ulong] = ACTIONS(1050),
    [anon_sym_c_longlong] = ACTIONS(1050),
    [anon_sym_c_ulonglong] = ACTIONS(1050),
    [anon_sym_c_longdouble] = ACTIONS(1050),
    [aux_sym_builtin_type_token1] = ACTIONS(1050),
    [sym_builtin_identifier] = ACTIONS(1048),
    [anon_sym_AT] = ACTIONS(1050),
    [sym_comment] = ACTIONS(3),
  },
  [727] = {
    [ts_builtin_sym_end] = ACTIONS(1052),
    [sym__identifier] = ACTIONS(1054),
    [anon_sym_pub] = ACTIONS(1054),
    [anon_sym_test] = ACTIONS(1054),
    [anon_sym_comptime] = ACTIONS(1054),
    [anon_sym_export] = ACTIONS(1054),
    [anon_sym_extern] = ACTIONS(1054),
    [anon_sym_threadlocal] = ACTIONS(1054),
    [anon_sym_const] = ACTIONS(1054),
    [anon_sym_var] = ACTIONS(1054),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_noinline] = ACTIONS(1054),
    [anon_sym_fn] = ACTIONS(1054),
    [anon_sym_LPAREN] = ACTIONS(1052),
    [anon_sym_usingnamespace] = ACTIONS(1054),
    [anon_sym_LBRACE] = ACTIONS(1052),
    [anon_sym_RBRACE] = ACTIONS(1052),
    [anon_sym_packed] = ACTIONS(1054),
    [anon_sym_struct] = ACTIONS(1054),
    [anon_sym_opaque] = ACTIONS(1054),
    [anon_sym_enum] = ACTIONS(1054),
    [anon_sym_union] = ACTIONS(1054),
    [anon_sym_error] = ACTIONS(1054),
    [anon_sym_nosuspend] = ACTIONS(1054),
    [anon_sym_if] = ACTIONS(1054),
    [anon_sym_for] = ACTIONS(1054),
    [anon_sym_while] = ACTIONS(1054),
    [anon_sym_STAR] = ACTIONS(1052),
    [anon_sym_asm] = ACTIONS(1054),
    [anon_sym_LBRACK] = ACTIONS(1052),
    [anon_sym_BANG] = ACTIONS(1052),
    [anon_sym_TILDE] = ACTIONS(1052),
    [anon_sym_DASH] = ACTIONS(1054),
    [anon_sym_DASH_PERCENT] = ACTIONS(1052),
    [anon_sym_AMP] = ACTIONS(1052),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_await] = ACTIONS(1054),
    [anon_sym_continue] = ACTIONS(1054),
    [anon_sym_resume] = ACTIONS(1054),
    [anon_sym_return] = ACTIONS(1054),
    [anon_sym_break] = ACTIONS(1054),
    [anon_sym_try] = ACTIONS(1054),
    [anon_sym_switch] = ACTIONS(1054),
    [anon_sym_anyframe] = ACTIONS(1054),
    [anon_sym_unreachable] = ACTIONS(1054),
    [anon_sym_undefined] = ACTIONS(1054),
    [anon_sym_null] = ACTIONS(1054),
    [anon_sym_QMARK] = ACTIONS(1052),
    [anon_sym_DOT] = ACTIONS(1052),
    [anon_sym_DQUOTE] = ACTIONS(1052),
    [aux_sym_multiline_string_token1] = ACTIONS(1052),
    [anon_sym_SQUOTE] = ACTIONS(1052),
    [sym_integer] = ACTIONS(1054),
    [sym_float] = ACTIONS(1052),
    [anon_sym_true] = ACTIONS(1054),
    [anon_sym_false] = ACTIONS(1054),
    [anon_sym_bool] = ACTIONS(1054),
    [anon_sym_f16] = ACTIONS(1054),
    [anon_sym_f32] = ACTIONS(1054),
    [anon_sym_f64] = ACTIONS(1054),
    [anon_sym_f128] = ACTIONS(1054),
    [anon_sym_void] = ACTIONS(1054),
    [anon_sym_type] = ACTIONS(1054),
    [anon_sym_anyerror] = ACTIONS(1054),
    [anon_sym_anyopaque] = ACTIONS(1054),
    [anon_sym_anytype] = ACTIONS(1054),
    [anon_sym_noreturn] = ACTIONS(1054),
    [anon_sym_isize] = ACTIONS(1054),
    [anon_sym_usize] = ACTIONS(1054),
    [anon_sym_comptime_int] = ACTIONS(1054),
    [anon_sym_comptime_float] = ACTIONS(1054),
    [anon_sym_c_short] = ACTIONS(1054),
    [anon_sym_c_ushort] = ACTIONS(1054),
    [anon_sym_c_int] = ACTIONS(1054),
    [anon_sym_c_uint] = ACTIONS(1054),
    [anon_sym_c_long] = ACTIONS(1054),
    [anon_sym_c_ulong] = ACTIONS(1054),
    [anon_sym_c_longlong] = ACTIONS(1054),
    [anon_sym_c_ulonglong] = ACTIONS(1054),
    [anon_sym_c_longdouble] = ACTIONS(1054),
    [aux_sym_builtin_type_token1] = ACTIONS(1054),
    [sym_builtin_identifier] = ACTIONS(1052),
    [anon_sym_AT] = ACTIONS(1054),
    [sym_comment] = ACTIONS(3),
  },
  [728] = {
    [ts_builtin_sym_end] = ACTIONS(1056),
    [sym__identifier] = ACTIONS(1058),
    [anon_sym_pub] = ACTIONS(1058),
    [anon_sym_test] = ACTIONS(1058),
    [anon_sym_comptime] = ACTIONS(1058),
    [anon_sym_export] = ACTIONS(1058),
    [anon_sym_extern] = ACTIONS(1058),
    [anon_sym_threadlocal] = ACTIONS(1058),
    [anon_sym_const] = ACTIONS(1058),
    [anon_sym_var] = ACTIONS(1058),
    [anon_sym_inline] = ACTIONS(1058),
    [anon_sym_noinline] = ACTIONS(1058),
    [anon_sym_fn] = ACTIONS(1058),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_usingnamespace] = ACTIONS(1058),
    [anon_sym_LBRACE] = ACTIONS(1056),
    [anon_sym_RBRACE] = ACTIONS(1056),
    [anon_sym_packed] = ACTIONS(1058),
    [anon_sym_struct] = ACTIONS(1058),
    [anon_sym_opaque] = ACTIONS(1058),
    [anon_sym_enum] = ACTIONS(1058),
    [anon_sym_union] = ACTIONS(1058),
    [anon_sym_error] = ACTIONS(1058),
    [anon_sym_nosuspend] = ACTIONS(1058),
    [anon_sym_if] = ACTIONS(1058),
    [anon_sym_for] = ACTIONS(1058),
    [anon_sym_while] = ACTIONS(1058),
    [anon_sym_STAR] = ACTIONS(1056),
    [anon_sym_asm] = ACTIONS(1058),
    [anon_sym_LBRACK] = ACTIONS(1056),
    [anon_sym_BANG] = ACTIONS(1056),
    [anon_sym_TILDE] = ACTIONS(1056),
    [anon_sym_DASH] = ACTIONS(1058),
    [anon_sym_DASH_PERCENT] = ACTIONS(1056),
    [anon_sym_AMP] = ACTIONS(1056),
    [anon_sym_async] = ACTIONS(1058),
    [anon_sym_await] = ACTIONS(1058),
    [anon_sym_continue] = ACTIONS(1058),
    [anon_sym_resume] = ACTIONS(1058),
    [anon_sym_return] = ACTIONS(1058),
    [anon_sym_break] = ACTIONS(1058),
    [anon_sym_try] = ACTIONS(1058),
    [anon_sym_switch] = ACTIONS(1058),
    [anon_sym_anyframe] = ACTIONS(1058),
    [anon_sym_unreachable] = ACTIONS(1058),
    [anon_sym_undefined] = ACTIONS(1058),
    [anon_sym_null] = ACTIONS(1058),
    [anon_sym_QMARK] = ACTIONS(1056),
    [anon_sym_DOT] = ACTIONS(1056),
    [anon_sym_DQUOTE] = ACTIONS(1056),
    [aux_sym_multiline_string_token1] = ACTIONS(1056),
    [anon_sym_SQUOTE] = ACTIONS(1056),
    [sym_integer] = ACTIONS(1058),
    [sym_float] = ACTIONS(1056),
    [anon_sym_true] = ACTIONS(1058),
    [anon_sym_false] = ACTIONS(1058),
    [anon_sym_bool] = ACTIONS(1058),
    [anon_sym_f16] = ACTIONS(1058),
    [anon_sym_f32] = ACTIONS(1058),
    [anon_sym_f64] = ACTIONS(1058),
    [anon_sym_f128] = ACTIONS(1058),
    [anon_sym_void] = ACTIONS(1058),
    [anon_sym_type] = ACTIONS(1058),
    [anon_sym_anyerror] = ACTIONS(1058),
    [anon_sym_anyopaque] = ACTIONS(1058),
    [anon_sym_anytype] = ACTIONS(1058),
    [anon_sym_noreturn] = ACTIONS(1058),
    [anon_sym_isize] = ACTIONS(1058),
    [anon_sym_usize] = ACTIONS(1058),
    [anon_sym_comptime_int] = ACTIONS(1058),
    [anon_sym_comptime_float] = ACTIONS(1058),
    [anon_sym_c_short] = ACTIONS(1058),
    [anon_sym_c_ushort] = ACTIONS(1058),
    [anon_sym_c_int] = ACTIONS(1058),
    [anon_sym_c_uint] = ACTIONS(1058),
    [anon_sym_c_long] = ACTIONS(1058),
    [anon_sym_c_ulong] = ACTIONS(1058),
    [anon_sym_c_longlong] = ACTIONS(1058),
    [anon_sym_c_ulonglong] = ACTIONS(1058),
    [anon_sym_c_longdouble] = ACTIONS(1058),
    [aux_sym_builtin_type_token1] = ACTIONS(1058),
    [sym_builtin_identifier] = ACTIONS(1056),
    [anon_sym_AT] = ACTIONS(1058),
    [sym_comment] = ACTIONS(3),
  },
  [729] = {
    [ts_builtin_sym_end] = ACTIONS(1056),
    [sym__identifier] = ACTIONS(1058),
    [anon_sym_pub] = ACTIONS(1058),
    [anon_sym_test] = ACTIONS(1058),
    [anon_sym_comptime] = ACTIONS(1058),
    [anon_sym_export] = ACTIONS(1058),
    [anon_sym_extern] = ACTIONS(1058),
    [anon_sym_threadlocal] = ACTIONS(1058),
    [anon_sym_const] = ACTIONS(1058),
    [anon_sym_var] = ACTIONS(1058),
    [anon_sym_inline] = ACTIONS(1058),
    [anon_sym_noinline] = ACTIONS(1058),
    [anon_sym_fn] = ACTIONS(1058),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_usingnamespace] = ACTIONS(1058),
    [anon_sym_LBRACE] = ACTIONS(1056),
    [anon_sym_RBRACE] = ACTIONS(1056),
    [anon_sym_packed] = ACTIONS(1058),
    [anon_sym_struct] = ACTIONS(1058),
    [anon_sym_opaque] = ACTIONS(1058),
    [anon_sym_enum] = ACTIONS(1058),
    [anon_sym_union] = ACTIONS(1058),
    [anon_sym_error] = ACTIONS(1058),
    [anon_sym_nosuspend] = ACTIONS(1058),
    [anon_sym_if] = ACTIONS(1058),
    [anon_sym_for] = ACTIONS(1058),
    [anon_sym_while] = ACTIONS(1058),
    [anon_sym_STAR] = ACTIONS(1056),
    [anon_sym_asm] = ACTIONS(1058),
    [anon_sym_LBRACK] = ACTIONS(1056),
    [anon_sym_BANG] = ACTIONS(1056),
    [anon_sym_TILDE] = ACTIONS(1056),
    [anon_sym_DASH] = ACTIONS(1058),
    [anon_sym_DASH_PERCENT] = ACTIONS(1056),
    [anon_sym_AMP] = ACTIONS(1056),
    [anon_sym_async] = ACTIONS(1058),
    [anon_sym_await] = ACTIONS(1058),
    [anon_sym_continue] = ACTIONS(1058),
    [anon_sym_resume] = ACTIONS(1058),
    [anon_sym_return] = ACTIONS(1058),
    [anon_sym_break] = ACTIONS(1058),
    [anon_sym_try] = ACTIONS(1058),
    [anon_sym_switch] = ACTIONS(1058),
    [anon_sym_anyframe] = ACTIONS(1058),
    [anon_sym_unreachable] = ACTIONS(1058),
    [anon_sym_undefined] = ACTIONS(1058),
    [anon_sym_null] = ACTIONS(1058),
    [anon_sym_QMARK] = ACTIONS(1056),
    [anon_sym_DOT] = ACTIONS(1056),
    [anon_sym_DQUOTE] = ACTIONS(1056),
    [aux_sym_multiline_string_token1] = ACTIONS(1056),
    [anon_sym_SQUOTE] = ACTIONS(1056),
    [sym_integer] = ACTIONS(1058),
    [sym_float] = ACTIONS(1056),
    [anon_sym_true] = ACTIONS(1058),
    [anon_sym_false] = ACTIONS(1058),
    [anon_sym_bool] = ACTIONS(1058),
    [anon_sym_f16] = ACTIONS(1058),
    [anon_sym_f32] = ACTIONS(1058),
    [anon_sym_f64] = ACTIONS(1058),
    [anon_sym_f128] = ACTIONS(1058),
    [anon_sym_void] = ACTIONS(1058),
    [anon_sym_type] = ACTIONS(1058),
    [anon_sym_anyerror] = ACTIONS(1058),
    [anon_sym_anyopaque] = ACTIONS(1058),
    [anon_sym_anytype] = ACTIONS(1058),
    [anon_sym_noreturn] = ACTIONS(1058),
    [anon_sym_isize] = ACTIONS(1058),
    [anon_sym_usize] = ACTIONS(1058),
    [anon_sym_comptime_int] = ACTIONS(1058),
    [anon_sym_comptime_float] = ACTIONS(1058),
    [anon_sym_c_short] = ACTIONS(1058),
    [anon_sym_c_ushort] = ACTIONS(1058),
    [anon_sym_c_int] = ACTIONS(1058),
    [anon_sym_c_uint] = ACTIONS(1058),
    [anon_sym_c_long] = ACTIONS(1058),
    [anon_sym_c_ulong] = ACTIONS(1058),
    [anon_sym_c_longlong] = ACTIONS(1058),
    [anon_sym_c_ulonglong] = ACTIONS(1058),
    [anon_sym_c_longdouble] = ACTIONS(1058),
    [aux_sym_builtin_type_token1] = ACTIONS(1058),
    [sym_builtin_identifier] = ACTIONS(1056),
    [anon_sym_AT] = ACTIONS(1058),
    [sym_comment] = ACTIONS(3),
  },
  [730] = {
    [ts_builtin_sym_end] = ACTIONS(984),
    [sym__identifier] = ACTIONS(986),
    [anon_sym_pub] = ACTIONS(986),
    [anon_sym_test] = ACTIONS(986),
    [anon_sym_comptime] = ACTIONS(986),
    [anon_sym_export] = ACTIONS(986),
    [anon_sym_extern] = ACTIONS(986),
    [anon_sym_threadlocal] = ACTIONS(986),
    [anon_sym_const] = ACTIONS(986),
    [anon_sym_var] = ACTIONS(986),
    [anon_sym_inline] = ACTIONS(986),
    [anon_sym_noinline] = ACTIONS(986),
    [anon_sym_fn] = ACTIONS(986),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_usingnamespace] = ACTIONS(986),
    [anon_sym_LBRACE] = ACTIONS(984),
    [anon_sym_RBRACE] = ACTIONS(984),
    [anon_sym_packed] = ACTIONS(986),
    [anon_sym_struct] = ACTIONS(986),
    [anon_sym_opaque] = ACTIONS(986),
    [anon_sym_enum] = ACTIONS(986),
    [anon_sym_union] = ACTIONS(986),
    [anon_sym_error] = ACTIONS(986),
    [anon_sym_nosuspend] = ACTIONS(986),
    [anon_sym_if] = ACTIONS(986),
    [anon_sym_for] = ACTIONS(986),
    [anon_sym_while] = ACTIONS(986),
    [anon_sym_STAR] = ACTIONS(984),
    [anon_sym_asm] = ACTIONS(986),
    [anon_sym_LBRACK] = ACTIONS(984),
    [anon_sym_BANG] = ACTIONS(984),
    [anon_sym_TILDE] = ACTIONS(984),
    [anon_sym_DASH] = ACTIONS(986),
    [anon_sym_DASH_PERCENT] = ACTIONS(984),
    [anon_sym_AMP] = ACTIONS(984),
    [anon_sym_async] = ACTIONS(986),
    [anon_sym_await] = ACTIONS(986),
    [anon_sym_continue] = ACTIONS(986),
    [anon_sym_resume] = ACTIONS(986),
    [anon_sym_return] = ACTIONS(986),
    [anon_sym_break] = ACTIONS(986),
    [anon_sym_try] = ACTIONS(986),
    [anon_sym_switch] = ACTIONS(986),
    [anon_sym_anyframe] = ACTIONS(986),
    [anon_sym_unreachable] = ACTIONS(986),
    [anon_sym_undefined] = ACTIONS(986),
    [anon_sym_null] = ACTIONS(986),
    [anon_sym_QMARK] = ACTIONS(984),
    [anon_sym_DOT] = ACTIONS(984),
    [anon_sym_DQUOTE] = ACTIONS(984),
    [aux_sym_multiline_string_token1] = ACTIONS(984),
    [anon_sym_SQUOTE] = ACTIONS(984),
    [sym_integer] = ACTIONS(986),
    [sym_float] = ACTIONS(984),
    [anon_sym_true] = ACTIONS(986),
    [anon_sym_false] = ACTIONS(986),
    [anon_sym_bool] = ACTIONS(986),
    [anon_sym_f16] = ACTIONS(986),
    [anon_sym_f32] = ACTIONS(986),
    [anon_sym_f64] = ACTIONS(986),
    [anon_sym_f128] = ACTIONS(986),
    [anon_sym_void] = ACTIONS(986),
    [anon_sym_type] = ACTIONS(986),
    [anon_sym_anyerror] = ACTIONS(986),
    [anon_sym_anyopaque] = ACTIONS(986),
    [anon_sym_anytype] = ACTIONS(986),
    [anon_sym_noreturn] = ACTIONS(986),
    [anon_sym_isize] = ACTIONS(986),
    [anon_sym_usize] = ACTIONS(986),
    [anon_sym_comptime_int] = ACTIONS(986),
    [anon_sym_comptime_float] = ACTIONS(986),
    [anon_sym_c_short] = ACTIONS(986),
    [anon_sym_c_ushort] = ACTIONS(986),
    [anon_sym_c_int] = ACTIONS(986),
    [anon_sym_c_uint] = ACTIONS(986),
    [anon_sym_c_long] = ACTIONS(986),
    [anon_sym_c_ulong] = ACTIONS(986),
    [anon_sym_c_longlong] = ACTIONS(986),
    [anon_sym_c_ulonglong] = ACTIONS(986),
    [anon_sym_c_longdouble] = ACTIONS(986),
    [aux_sym_builtin_type_token1] = ACTIONS(986),
    [sym_builtin_identifier] = ACTIONS(984),
    [anon_sym_AT] = ACTIONS(986),
    [sym_comment] = ACTIONS(3),
  },
  [731] = {
    [ts_builtin_sym_end] = ACTIONS(1060),
    [sym__identifier] = ACTIONS(1062),
    [anon_sym_pub] = ACTIONS(1062),
    [anon_sym_test] = ACTIONS(1062),
    [anon_sym_comptime] = ACTIONS(1062),
    [anon_sym_export] = ACTIONS(1062),
    [anon_sym_extern] = ACTIONS(1062),
    [anon_sym_threadlocal] = ACTIONS(1062),
    [anon_sym_const] = ACTIONS(1062),
    [anon_sym_var] = ACTIONS(1062),
    [anon_sym_inline] = ACTIONS(1062),
    [anon_sym_noinline] = ACTIONS(1062),
    [anon_sym_fn] = ACTIONS(1062),
    [anon_sym_LPAREN] = ACTIONS(1060),
    [anon_sym_usingnamespace] = ACTIONS(1062),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym_RBRACE] = ACTIONS(1060),
    [anon_sym_packed] = ACTIONS(1062),
    [anon_sym_struct] = ACTIONS(1062),
    [anon_sym_opaque] = ACTIONS(1062),
    [anon_sym_enum] = ACTIONS(1062),
    [anon_sym_union] = ACTIONS(1062),
    [anon_sym_error] = ACTIONS(1062),
    [anon_sym_nosuspend] = ACTIONS(1062),
    [anon_sym_if] = ACTIONS(1062),
    [anon_sym_for] = ACTIONS(1062),
    [anon_sym_while] = ACTIONS(1062),
    [anon_sym_STAR] = ACTIONS(1060),
    [anon_sym_asm] = ACTIONS(1062),
    [anon_sym_LBRACK] = ACTIONS(1060),
    [anon_sym_BANG] = ACTIONS(1060),
    [anon_sym_TILDE] = ACTIONS(1060),
    [anon_sym_DASH] = ACTIONS(1062),
    [anon_sym_DASH_PERCENT] = ACTIONS(1060),
    [anon_sym_AMP] = ACTIONS(1060),
    [anon_sym_async] = ACTIONS(1062),
    [anon_sym_await] = ACTIONS(1062),
    [anon_sym_continue] = ACTIONS(1062),
    [anon_sym_resume] = ACTIONS(1062),
    [anon_sym_return] = ACTIONS(1062),
    [anon_sym_break] = ACTIONS(1062),
    [anon_sym_try] = ACTIONS(1062),
    [anon_sym_switch] = ACTIONS(1062),
    [anon_sym_anyframe] = ACTIONS(1062),
    [anon_sym_unreachable] = ACTIONS(1062),
    [anon_sym_undefined] = ACTIONS(1062),
    [anon_sym_null] = ACTIONS(1062),
    [anon_sym_QMARK] = ACTIONS(1060),
    [anon_sym_DOT] = ACTIONS(1060),
    [anon_sym_DQUOTE] = ACTIONS(1060),
    [aux_sym_multiline_string_token1] = ACTIONS(1060),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym_integer] = ACTIONS(1062),
    [sym_float] = ACTIONS(1060),
    [anon_sym_true] = ACTIONS(1062),
    [anon_sym_false] = ACTIONS(1062),
    [anon_sym_bool] = ACTIONS(1062),
    [anon_sym_f16] = ACTIONS(1062),
    [anon_sym_f32] = ACTIONS(1062),
    [anon_sym_f64] = ACTIONS(1062),
    [anon_sym_f128] = ACTIONS(1062),
    [anon_sym_void] = ACTIONS(1062),
    [anon_sym_type] = ACTIONS(1062),
    [anon_sym_anyerror] = ACTIONS(1062),
    [anon_sym_anyopaque] = ACTIONS(1062),
    [anon_sym_anytype] = ACTIONS(1062),
    [anon_sym_noreturn] = ACTIONS(1062),
    [anon_sym_isize] = ACTIONS(1062),
    [anon_sym_usize] = ACTIONS(1062),
    [anon_sym_comptime_int] = ACTIONS(1062),
    [anon_sym_comptime_float] = ACTIONS(1062),
    [anon_sym_c_short] = ACTIONS(1062),
    [anon_sym_c_ushort] = ACTIONS(1062),
    [anon_sym_c_int] = ACTIONS(1062),
    [anon_sym_c_uint] = ACTIONS(1062),
    [anon_sym_c_long] = ACTIONS(1062),
    [anon_sym_c_ulong] = ACTIONS(1062),
    [anon_sym_c_longlong] = ACTIONS(1062),
    [anon_sym_c_ulonglong] = ACTIONS(1062),
    [anon_sym_c_longdouble] = ACTIONS(1062),
    [aux_sym_builtin_type_token1] = ACTIONS(1062),
    [sym_builtin_identifier] = ACTIONS(1060),
    [anon_sym_AT] = ACTIONS(1062),
    [sym_comment] = ACTIONS(3),
  },
  [732] = {
    [ts_builtin_sym_end] = ACTIONS(1064),
    [sym__identifier] = ACTIONS(1066),
    [anon_sym_pub] = ACTIONS(1066),
    [anon_sym_test] = ACTIONS(1066),
    [anon_sym_comptime] = ACTIONS(1066),
    [anon_sym_export] = ACTIONS(1066),
    [anon_sym_extern] = ACTIONS(1066),
    [anon_sym_threadlocal] = ACTIONS(1066),
    [anon_sym_const] = ACTIONS(1066),
    [anon_sym_var] = ACTIONS(1066),
    [anon_sym_inline] = ACTIONS(1066),
    [anon_sym_noinline] = ACTIONS(1066),
    [anon_sym_fn] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1064),
    [anon_sym_usingnamespace] = ACTIONS(1066),
    [anon_sym_LBRACE] = ACTIONS(1064),
    [anon_sym_RBRACE] = ACTIONS(1064),
    [anon_sym_packed] = ACTIONS(1066),
    [anon_sym_struct] = ACTIONS(1066),
    [anon_sym_opaque] = ACTIONS(1066),
    [anon_sym_enum] = ACTIONS(1066),
    [anon_sym_union] = ACTIONS(1066),
    [anon_sym_error] = ACTIONS(1066),
    [anon_sym_nosuspend] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(1066),
    [anon_sym_for] = ACTIONS(1066),
    [anon_sym_while] = ACTIONS(1066),
    [anon_sym_STAR] = ACTIONS(1064),
    [anon_sym_asm] = ACTIONS(1066),
    [anon_sym_LBRACK] = ACTIONS(1064),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1066),
    [anon_sym_DASH_PERCENT] = ACTIONS(1064),
    [anon_sym_AMP] = ACTIONS(1064),
    [anon_sym_async] = ACTIONS(1066),
    [anon_sym_await] = ACTIONS(1066),
    [anon_sym_continue] = ACTIONS(1066),
    [anon_sym_resume] = ACTIONS(1066),
    [anon_sym_return] = ACTIONS(1066),
    [anon_sym_break] = ACTIONS(1066),
    [anon_sym_try] = ACTIONS(1066),
    [anon_sym_switch] = ACTIONS(1066),
    [anon_sym_anyframe] = ACTIONS(1066),
    [anon_sym_unreachable] = ACTIONS(1066),
    [anon_sym_undefined] = ACTIONS(1066),
    [anon_sym_null] = ACTIONS(1066),
    [anon_sym_QMARK] = ACTIONS(1064),
    [anon_sym_DOT] = ACTIONS(1064),
    [anon_sym_DQUOTE] = ACTIONS(1064),
    [aux_sym_multiline_string_token1] = ACTIONS(1064),
    [anon_sym_SQUOTE] = ACTIONS(1064),
    [sym_integer] = ACTIONS(1066),
    [sym_float] = ACTIONS(1064),
    [anon_sym_true] = ACTIONS(1066),
    [anon_sym_false] = ACTIONS(1066),
    [anon_sym_bool] = ACTIONS(1066),
    [anon_sym_f16] = ACTIONS(1066),
    [anon_sym_f32] = ACTIONS(1066),
    [anon_sym_f64] = ACTIONS(1066),
    [anon_sym_f128] = ACTIONS(1066),
    [anon_sym_void] = ACTIONS(1066),
    [anon_sym_type] = ACTIONS(1066),
    [anon_sym_anyerror] = ACTIONS(1066),
    [anon_sym_anyopaque] = ACTIONS(1066),
    [anon_sym_anytype] = ACTIONS(1066),
    [anon_sym_noreturn] = ACTIONS(1066),
    [anon_sym_isize] = ACTIONS(1066),
    [anon_sym_usize] = ACTIONS(1066),
    [anon_sym_comptime_int] = ACTIONS(1066),
    [anon_sym_comptime_float] = ACTIONS(1066),
    [anon_sym_c_short] = ACTIONS(1066),
    [anon_sym_c_ushort] = ACTIONS(1066),
    [anon_sym_c_int] = ACTIONS(1066),
    [anon_sym_c_uint] = ACTIONS(1066),
    [anon_sym_c_long] = ACTIONS(1066),
    [anon_sym_c_ulong] = ACTIONS(1066),
    [anon_sym_c_longlong] = ACTIONS(1066),
    [anon_sym_c_ulonglong] = ACTIONS(1066),
    [anon_sym_c_longdouble] = ACTIONS(1066),
    [aux_sym_builtin_type_token1] = ACTIONS(1066),
    [sym_builtin_identifier] = ACTIONS(1064),
    [anon_sym_AT] = ACTIONS(1066),
    [sym_comment] = ACTIONS(3),
  },
  [733] = {
    [ts_builtin_sym_end] = ACTIONS(1068),
    [sym__identifier] = ACTIONS(1070),
    [anon_sym_pub] = ACTIONS(1070),
    [anon_sym_test] = ACTIONS(1070),
    [anon_sym_comptime] = ACTIONS(1070),
    [anon_sym_export] = ACTIONS(1070),
    [anon_sym_extern] = ACTIONS(1070),
    [anon_sym_threadlocal] = ACTIONS(1070),
    [anon_sym_const] = ACTIONS(1070),
    [anon_sym_var] = ACTIONS(1070),
    [anon_sym_inline] = ACTIONS(1070),
    [anon_sym_noinline] = ACTIONS(1070),
    [anon_sym_fn] = ACTIONS(1070),
    [anon_sym_LPAREN] = ACTIONS(1068),
    [anon_sym_usingnamespace] = ACTIONS(1070),
    [anon_sym_LBRACE] = ACTIONS(1068),
    [anon_sym_RBRACE] = ACTIONS(1068),
    [anon_sym_packed] = ACTIONS(1070),
    [anon_sym_struct] = ACTIONS(1070),
    [anon_sym_opaque] = ACTIONS(1070),
    [anon_sym_enum] = ACTIONS(1070),
    [anon_sym_union] = ACTIONS(1070),
    [anon_sym_error] = ACTIONS(1070),
    [anon_sym_nosuspend] = ACTIONS(1070),
    [anon_sym_if] = ACTIONS(1070),
    [anon_sym_for] = ACTIONS(1070),
    [anon_sym_while] = ACTIONS(1070),
    [anon_sym_STAR] = ACTIONS(1068),
    [anon_sym_asm] = ACTIONS(1070),
    [anon_sym_LBRACK] = ACTIONS(1068),
    [anon_sym_BANG] = ACTIONS(1068),
    [anon_sym_TILDE] = ACTIONS(1068),
    [anon_sym_DASH] = ACTIONS(1070),
    [anon_sym_DASH_PERCENT] = ACTIONS(1068),
    [anon_sym_AMP] = ACTIONS(1068),
    [anon_sym_async] = ACTIONS(1070),
    [anon_sym_await] = ACTIONS(1070),
    [anon_sym_continue] = ACTIONS(1070),
    [anon_sym_resume] = ACTIONS(1070),
    [anon_sym_return] = ACTIONS(1070),
    [anon_sym_break] = ACTIONS(1070),
    [anon_sym_try] = ACTIONS(1070),
    [anon_sym_switch] = ACTIONS(1070),
    [anon_sym_anyframe] = ACTIONS(1070),
    [anon_sym_unreachable] = ACTIONS(1070),
    [anon_sym_undefined] = ACTIONS(1070),
    [anon_sym_null] = ACTIONS(1070),
    [anon_sym_QMARK] = ACTIONS(1068),
    [anon_sym_DOT] = ACTIONS(1068),
    [anon_sym_DQUOTE] = ACTIONS(1068),
    [aux_sym_multiline_string_token1] = ACTIONS(1068),
    [anon_sym_SQUOTE] = ACTIONS(1068),
    [sym_integer] = ACTIONS(1070),
    [sym_float] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [anon_sym_bool] = ACTIONS(1070),
    [anon_sym_f16] = ACTIONS(1070),
    [anon_sym_f32] = ACTIONS(1070),
    [anon_sym_f64] = ACTIONS(1070),
    [anon_sym_f128] = ACTIONS(1070),
    [anon_sym_void] = ACTIONS(1070),
    [anon_sym_type] = ACTIONS(1070),
    [anon_sym_anyerror] = ACTIONS(1070),
    [anon_sym_anyopaque] = ACTIONS(1070),
    [anon_sym_anytype] = ACTIONS(1070),
    [anon_sym_noreturn] = ACTIONS(1070),
    [anon_sym_isize] = ACTIONS(1070),
    [anon_sym_usize] = ACTIONS(1070),
    [anon_sym_comptime_int] = ACTIONS(1070),
    [anon_sym_comptime_float] = ACTIONS(1070),
    [anon_sym_c_short] = ACTIONS(1070),
    [anon_sym_c_ushort] = ACTIONS(1070),
    [anon_sym_c_int] = ACTIONS(1070),
    [anon_sym_c_uint] = ACTIONS(1070),
    [anon_sym_c_long] = ACTIONS(1070),
    [anon_sym_c_ulong] = ACTIONS(1070),
    [anon_sym_c_longlong] = ACTIONS(1070),
    [anon_sym_c_ulonglong] = ACTIONS(1070),
    [anon_sym_c_longdouble] = ACTIONS(1070),
    [aux_sym_builtin_type_token1] = ACTIONS(1070),
    [sym_builtin_identifier] = ACTIONS(1068),
    [anon_sym_AT] = ACTIONS(1070),
    [sym_comment] = ACTIONS(3),
  },
  [734] = {
    [ts_builtin_sym_end] = ACTIONS(1072),
    [sym__identifier] = ACTIONS(1074),
    [anon_sym_pub] = ACTIONS(1074),
    [anon_sym_test] = ACTIONS(1074),
    [anon_sym_comptime] = ACTIONS(1074),
    [anon_sym_export] = ACTIONS(1074),
    [anon_sym_extern] = ACTIONS(1074),
    [anon_sym_threadlocal] = ACTIONS(1074),
    [anon_sym_const] = ACTIONS(1074),
    [anon_sym_var] = ACTIONS(1074),
    [anon_sym_inline] = ACTIONS(1074),
    [anon_sym_noinline] = ACTIONS(1074),
    [anon_sym_fn] = ACTIONS(1074),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_usingnamespace] = ACTIONS(1074),
    [anon_sym_LBRACE] = ACTIONS(1072),
    [anon_sym_RBRACE] = ACTIONS(1072),
    [anon_sym_packed] = ACTIONS(1074),
    [anon_sym_struct] = ACTIONS(1074),
    [anon_sym_opaque] = ACTIONS(1074),
    [anon_sym_enum] = ACTIONS(1074),
    [anon_sym_union] = ACTIONS(1074),
    [anon_sym_error] = ACTIONS(1074),
    [anon_sym_nosuspend] = ACTIONS(1074),
    [anon_sym_if] = ACTIONS(1074),
    [anon_sym_for] = ACTIONS(1074),
    [anon_sym_while] = ACTIONS(1074),
    [anon_sym_STAR] = ACTIONS(1072),
    [anon_sym_asm] = ACTIONS(1074),
    [anon_sym_LBRACK] = ACTIONS(1072),
    [anon_sym_BANG] = ACTIONS(1072),
    [anon_sym_TILDE] = ACTIONS(1072),
    [anon_sym_DASH] = ACTIONS(1074),
    [anon_sym_DASH_PERCENT] = ACTIONS(1072),
    [anon_sym_AMP] = ACTIONS(1072),
    [anon_sym_async] = ACTIONS(1074),
    [anon_sym_await] = ACTIONS(1074),
    [anon_sym_continue] = ACTIONS(1074),
    [anon_sym_resume] = ACTIONS(1074),
    [anon_sym_return] = ACTIONS(1074),
    [anon_sym_break] = ACTIONS(1074),
    [anon_sym_try] = ACTIONS(1074),
    [anon_sym_switch] = ACTIONS(1074),
    [anon_sym_anyframe] = ACTIONS(1074),
    [anon_sym_unreachable] = ACTIONS(1074),
    [anon_sym_undefined] = ACTIONS(1074),
    [anon_sym_null] = ACTIONS(1074),
    [anon_sym_QMARK] = ACTIONS(1072),
    [anon_sym_DOT] = ACTIONS(1072),
    [anon_sym_DQUOTE] = ACTIONS(1072),
    [aux_sym_multiline_string_token1] = ACTIONS(1072),
    [anon_sym_SQUOTE] = ACTIONS(1072),
    [sym_integer] = ACTIONS(1074),
    [sym_float] = ACTIONS(1072),
    [anon_sym_true] = ACTIONS(1074),
    [anon_sym_false] = ACTIONS(1074),
    [anon_sym_bool] = ACTIONS(1074),
    [anon_sym_f16] = ACTIONS(1074),
    [anon_sym_f32] = ACTIONS(1074),
    [anon_sym_f64] = ACTIONS(1074),
    [anon_sym_f128] = ACTIONS(1074),
    [anon_sym_void] = ACTIONS(1074),
    [anon_sym_type] = ACTIONS(1074),
    [anon_sym_anyerror] = ACTIONS(1074),
    [anon_sym_anyopaque] = ACTIONS(1074),
    [anon_sym_anytype] = ACTIONS(1074),
    [anon_sym_noreturn] = ACTIONS(1074),
    [anon_sym_isize] = ACTIONS(1074),
    [anon_sym_usize] = ACTIONS(1074),
    [anon_sym_comptime_int] = ACTIONS(1074),
    [anon_sym_comptime_float] = ACTIONS(1074),
    [anon_sym_c_short] = ACTIONS(1074),
    [anon_sym_c_ushort] = ACTIONS(1074),
    [anon_sym_c_int] = ACTIONS(1074),
    [anon_sym_c_uint] = ACTIONS(1074),
    [anon_sym_c_long] = ACTIONS(1074),
    [anon_sym_c_ulong] = ACTIONS(1074),
    [anon_sym_c_longlong] = ACTIONS(1074),
    [anon_sym_c_ulonglong] = ACTIONS(1074),
    [anon_sym_c_longdouble] = ACTIONS(1074),
    [aux_sym_builtin_type_token1] = ACTIONS(1074),
    [sym_builtin_identifier] = ACTIONS(1072),
    [anon_sym_AT] = ACTIONS(1074),
    [sym_comment] = ACTIONS(3),
  },
  [735] = {
    [ts_builtin_sym_end] = ACTIONS(1072),
    [sym__identifier] = ACTIONS(1074),
    [anon_sym_pub] = ACTIONS(1074),
    [anon_sym_test] = ACTIONS(1074),
    [anon_sym_comptime] = ACTIONS(1074),
    [anon_sym_export] = ACTIONS(1074),
    [anon_sym_extern] = ACTIONS(1074),
    [anon_sym_threadlocal] = ACTIONS(1074),
    [anon_sym_const] = ACTIONS(1074),
    [anon_sym_var] = ACTIONS(1074),
    [anon_sym_inline] = ACTIONS(1074),
    [anon_sym_noinline] = ACTIONS(1074),
    [anon_sym_fn] = ACTIONS(1074),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_usingnamespace] = ACTIONS(1074),
    [anon_sym_LBRACE] = ACTIONS(1072),
    [anon_sym_RBRACE] = ACTIONS(1072),
    [anon_sym_packed] = ACTIONS(1074),
    [anon_sym_struct] = ACTIONS(1074),
    [anon_sym_opaque] = ACTIONS(1074),
    [anon_sym_enum] = ACTIONS(1074),
    [anon_sym_union] = ACTIONS(1074),
    [anon_sym_error] = ACTIONS(1074),
    [anon_sym_nosuspend] = ACTIONS(1074),
    [anon_sym_if] = ACTIONS(1074),
    [anon_sym_for] = ACTIONS(1074),
    [anon_sym_while] = ACTIONS(1074),
    [anon_sym_STAR] = ACTIONS(1072),
    [anon_sym_asm] = ACTIONS(1074),
    [anon_sym_LBRACK] = ACTIONS(1072),
    [anon_sym_BANG] = ACTIONS(1072),
    [anon_sym_TILDE] = ACTIONS(1072),
    [anon_sym_DASH] = ACTIONS(1074),
    [anon_sym_DASH_PERCENT] = ACTIONS(1072),
    [anon_sym_AMP] = ACTIONS(1072),
    [anon_sym_async] = ACTIONS(1074),
    [anon_sym_await] = ACTIONS(1074),
    [anon_sym_continue] = ACTIONS(1074),
    [anon_sym_resume] = ACTIONS(1074),
    [anon_sym_return] = ACTIONS(1074),
    [anon_sym_break] = ACTIONS(1074),
    [anon_sym_try] = ACTIONS(1074),
    [anon_sym_switch] = ACTIONS(1074),
    [anon_sym_anyframe] = ACTIONS(1074),
    [anon_sym_unreachable] = ACTIONS(1074),
    [anon_sym_undefined] = ACTIONS(1074),
    [anon_sym_null] = ACTIONS(1074),
    [anon_sym_QMARK] = ACTIONS(1072),
    [anon_sym_DOT] = ACTIONS(1072),
    [anon_sym_DQUOTE] = ACTIONS(1072),
    [aux_sym_multiline_string_token1] = ACTIONS(1072),
    [anon_sym_SQUOTE] = ACTIONS(1072),
    [sym_integer] = ACTIONS(1074),
    [sym_float] = ACTIONS(1072),
    [anon_sym_true] = ACTIONS(1074),
    [anon_sym_false] = ACTIONS(1074),
    [anon_sym_bool] = ACTIONS(1074),
    [anon_sym_f16] = ACTIONS(1074),
    [anon_sym_f32] = ACTIONS(1074),
    [anon_sym_f64] = ACTIONS(1074),
    [anon_sym_f128] = ACTIONS(1074),
    [anon_sym_void] = ACTIONS(1074),
    [anon_sym_type] = ACTIONS(1074),
    [anon_sym_anyerror] = ACTIONS(1074),
    [anon_sym_anyopaque] = ACTIONS(1074),
    [anon_sym_anytype] = ACTIONS(1074),
    [anon_sym_noreturn] = ACTIONS(1074),
    [anon_sym_isize] = ACTIONS(1074),
    [anon_sym_usize] = ACTIONS(1074),
    [anon_sym_comptime_int] = ACTIONS(1074),
    [anon_sym_comptime_float] = ACTIONS(1074),
    [anon_sym_c_short] = ACTIONS(1074),
    [anon_sym_c_ushort] = ACTIONS(1074),
    [anon_sym_c_int] = ACTIONS(1074),
    [anon_sym_c_uint] = ACTIONS(1074),
    [anon_sym_c_long] = ACTIONS(1074),
    [anon_sym_c_ulong] = ACTIONS(1074),
    [anon_sym_c_longlong] = ACTIONS(1074),
    [anon_sym_c_ulonglong] = ACTIONS(1074),
    [anon_sym_c_longdouble] = ACTIONS(1074),
    [aux_sym_builtin_type_token1] = ACTIONS(1074),
    [sym_builtin_identifier] = ACTIONS(1072),
    [anon_sym_AT] = ACTIONS(1074),
    [sym_comment] = ACTIONS(3),
  },
  [736] = {
    [ts_builtin_sym_end] = ACTIONS(1076),
    [sym__identifier] = ACTIONS(1078),
    [anon_sym_pub] = ACTIONS(1078),
    [anon_sym_test] = ACTIONS(1078),
    [anon_sym_comptime] = ACTIONS(1078),
    [anon_sym_export] = ACTIONS(1078),
    [anon_sym_extern] = ACTIONS(1078),
    [anon_sym_threadlocal] = ACTIONS(1078),
    [anon_sym_const] = ACTIONS(1078),
    [anon_sym_var] = ACTIONS(1078),
    [anon_sym_inline] = ACTIONS(1078),
    [anon_sym_noinline] = ACTIONS(1078),
    [anon_sym_fn] = ACTIONS(1078),
    [anon_sym_LPAREN] = ACTIONS(1076),
    [anon_sym_usingnamespace] = ACTIONS(1078),
    [anon_sym_LBRACE] = ACTIONS(1076),
    [anon_sym_RBRACE] = ACTIONS(1076),
    [anon_sym_packed] = ACTIONS(1078),
    [anon_sym_struct] = ACTIONS(1078),
    [anon_sym_opaque] = ACTIONS(1078),
    [anon_sym_enum] = ACTIONS(1078),
    [anon_sym_union] = ACTIONS(1078),
    [anon_sym_error] = ACTIONS(1078),
    [anon_sym_nosuspend] = ACTIONS(1078),
    [anon_sym_if] = ACTIONS(1078),
    [anon_sym_for] = ACTIONS(1078),
    [anon_sym_while] = ACTIONS(1078),
    [anon_sym_STAR] = ACTIONS(1076),
    [anon_sym_asm] = ACTIONS(1078),
    [anon_sym_LBRACK] = ACTIONS(1076),
    [anon_sym_BANG] = ACTIONS(1076),
    [anon_sym_TILDE] = ACTIONS(1076),
    [anon_sym_DASH] = ACTIONS(1078),
    [anon_sym_DASH_PERCENT] = ACTIONS(1076),
    [anon_sym_AMP] = ACTIONS(1076),
    [anon_sym_async] = ACTIONS(1078),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_continue] = ACTIONS(1078),
    [anon_sym_resume] = ACTIONS(1078),
    [anon_sym_return] = ACTIONS(1078),
    [anon_sym_break] = ACTIONS(1078),
    [anon_sym_try] = ACTIONS(1078),
    [anon_sym_switch] = ACTIONS(1078),
    [anon_sym_anyframe] = ACTIONS(1078),
    [anon_sym_unreachable] = ACTIONS(1078),
    [anon_sym_undefined] = ACTIONS(1078),
    [anon_sym_null] = ACTIONS(1078),
    [anon_sym_QMARK] = ACTIONS(1076),
    [anon_sym_DOT] = ACTIONS(1076),
    [anon_sym_DQUOTE] = ACTIONS(1076),
    [aux_sym_multiline_string_token1] = ACTIONS(1076),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [sym_integer] = ACTIONS(1078),
    [sym_float] = ACTIONS(1076),
    [anon_sym_true] = ACTIONS(1078),
    [anon_sym_false] = ACTIONS(1078),
    [anon_sym_bool] = ACTIONS(1078),
    [anon_sym_f16] = ACTIONS(1078),
    [anon_sym_f32] = ACTIONS(1078),
    [anon_sym_f64] = ACTIONS(1078),
    [anon_sym_f128] = ACTIONS(1078),
    [anon_sym_void] = ACTIONS(1078),
    [anon_sym_type] = ACTIONS(1078),
    [anon_sym_anyerror] = ACTIONS(1078),
    [anon_sym_anyopaque] = ACTIONS(1078),
    [anon_sym_anytype] = ACTIONS(1078),
    [anon_sym_noreturn] = ACTIONS(1078),
    [anon_sym_isize] = ACTIONS(1078),
    [anon_sym_usize] = ACTIONS(1078),
    [anon_sym_comptime_int] = ACTIONS(1078),
    [anon_sym_comptime_float] = ACTIONS(1078),
    [anon_sym_c_short] = ACTIONS(1078),
    [anon_sym_c_ushort] = ACTIONS(1078),
    [anon_sym_c_int] = ACTIONS(1078),
    [anon_sym_c_uint] = ACTIONS(1078),
    [anon_sym_c_long] = ACTIONS(1078),
    [anon_sym_c_ulong] = ACTIONS(1078),
    [anon_sym_c_longlong] = ACTIONS(1078),
    [anon_sym_c_ulonglong] = ACTIONS(1078),
    [anon_sym_c_longdouble] = ACTIONS(1078),
    [aux_sym_builtin_type_token1] = ACTIONS(1078),
    [sym_builtin_identifier] = ACTIONS(1076),
    [anon_sym_AT] = ACTIONS(1078),
    [sym_comment] = ACTIONS(3),
  },
  [737] = {
    [ts_builtin_sym_end] = ACTIONS(668),
    [sym__identifier] = ACTIONS(670),
    [anon_sym_pub] = ACTIONS(670),
    [anon_sym_test] = ACTIONS(670),
    [anon_sym_comptime] = ACTIONS(670),
    [anon_sym_export] = ACTIONS(670),
    [anon_sym_extern] = ACTIONS(670),
    [anon_sym_threadlocal] = ACTIONS(670),
    [anon_sym_const] = ACTIONS(670),
    [anon_sym_var] = ACTIONS(670),
    [anon_sym_inline] = ACTIONS(670),
    [anon_sym_noinline] = ACTIONS(670),
    [anon_sym_fn] = ACTIONS(670),
    [anon_sym_LPAREN] = ACTIONS(668),
    [anon_sym_usingnamespace] = ACTIONS(670),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_RBRACE] = ACTIONS(668),
    [anon_sym_packed] = ACTIONS(670),
    [anon_sym_struct] = ACTIONS(670),
    [anon_sym_opaque] = ACTIONS(670),
    [anon_sym_enum] = ACTIONS(670),
    [anon_sym_union] = ACTIONS(670),
    [anon_sym_error] = ACTIONS(670),
    [anon_sym_nosuspend] = ACTIONS(670),
    [anon_sym_if] = ACTIONS(670),
    [anon_sym_for] = ACTIONS(670),
    [anon_sym_while] = ACTIONS(670),
    [anon_sym_STAR] = ACTIONS(668),
    [anon_sym_asm] = ACTIONS(670),
    [anon_sym_LBRACK] = ACTIONS(668),
    [anon_sym_BANG] = ACTIONS(668),
    [anon_sym_TILDE] = ACTIONS(668),
    [anon_sym_DASH] = ACTIONS(670),
    [anon_sym_DASH_PERCENT] = ACTIONS(668),
    [anon_sym_AMP] = ACTIONS(668),
    [anon_sym_async] = ACTIONS(670),
    [anon_sym_await] = ACTIONS(670),
    [anon_sym_continue] = ACTIONS(670),
    [anon_sym_resume] = ACTIONS(670),
    [anon_sym_return] = ACTIONS(670),
    [anon_sym_break] = ACTIONS(670),
    [anon_sym_try] = ACTIONS(670),
    [anon_sym_switch] = ACTIONS(670),
    [anon_sym_anyframe] = ACTIONS(670),
    [anon_sym_unreachable] = ACTIONS(670),
    [anon_sym_undefined] = ACTIONS(670),
    [anon_sym_null] = ACTIONS(670),
    [anon_sym_QMARK] = ACTIONS(668),
    [anon_sym_DOT] = ACTIONS(668),
    [anon_sym_DQUOTE] = ACTIONS(668),
    [aux_sym_multiline_string_token1] = ACTIONS(668),
    [anon_sym_SQUOTE] = ACTIONS(668),
    [sym_integer] = ACTIONS(670),
    [sym_float] = ACTIONS(668),
    [anon_sym_true] = ACTIONS(670),
    [anon_sym_false] = ACTIONS(670),
    [anon_sym_bool] = ACTIONS(670),
    [anon_sym_f16] = ACTIONS(670),
    [anon_sym_f32] = ACTIONS(670),
    [anon_sym_f64] = ACTIONS(670),
    [anon_sym_f128] = ACTIONS(670),
    [anon_sym_void] = ACTIONS(670),
    [anon_sym_type] = ACTIONS(670),
    [anon_sym_anyerror] = ACTIONS(670),
    [anon_sym_anyopaque] = ACTIONS(670),
    [anon_sym_anytype] = ACTIONS(670),
    [anon_sym_noreturn] = ACTIONS(670),
    [anon_sym_isize] = ACTIONS(670),
    [anon_sym_usize] = ACTIONS(670),
    [anon_sym_comptime_int] = ACTIONS(670),
    [anon_sym_comptime_float] = ACTIONS(670),
    [anon_sym_c_short] = ACTIONS(670),
    [anon_sym_c_ushort] = ACTIONS(670),
    [anon_sym_c_int] = ACTIONS(670),
    [anon_sym_c_uint] = ACTIONS(670),
    [anon_sym_c_long] = ACTIONS(670),
    [anon_sym_c_ulong] = ACTIONS(670),
    [anon_sym_c_longlong] = ACTIONS(670),
    [anon_sym_c_ulonglong] = ACTIONS(670),
    [anon_sym_c_longdouble] = ACTIONS(670),
    [aux_sym_builtin_type_token1] = ACTIONS(670),
    [sym_builtin_identifier] = ACTIONS(668),
    [anon_sym_AT] = ACTIONS(670),
    [sym_comment] = ACTIONS(3),
  },
  [738] = {
    [ts_builtin_sym_end] = ACTIONS(1072),
    [sym__identifier] = ACTIONS(1074),
    [anon_sym_pub] = ACTIONS(1074),
    [anon_sym_test] = ACTIONS(1074),
    [anon_sym_comptime] = ACTIONS(1074),
    [anon_sym_export] = ACTIONS(1074),
    [anon_sym_extern] = ACTIONS(1074),
    [anon_sym_threadlocal] = ACTIONS(1074),
    [anon_sym_const] = ACTIONS(1074),
    [anon_sym_var] = ACTIONS(1074),
    [anon_sym_inline] = ACTIONS(1074),
    [anon_sym_noinline] = ACTIONS(1074),
    [anon_sym_fn] = ACTIONS(1074),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_usingnamespace] = ACTIONS(1074),
    [anon_sym_LBRACE] = ACTIONS(1072),
    [anon_sym_RBRACE] = ACTIONS(1072),
    [anon_sym_packed] = ACTIONS(1074),
    [anon_sym_struct] = ACTIONS(1074),
    [anon_sym_opaque] = ACTIONS(1074),
    [anon_sym_enum] = ACTIONS(1074),
    [anon_sym_union] = ACTIONS(1074),
    [anon_sym_error] = ACTIONS(1074),
    [anon_sym_nosuspend] = ACTIONS(1074),
    [anon_sym_if] = ACTIONS(1074),
    [anon_sym_for] = ACTIONS(1074),
    [anon_sym_while] = ACTIONS(1074),
    [anon_sym_STAR] = ACTIONS(1072),
    [anon_sym_asm] = ACTIONS(1074),
    [anon_sym_LBRACK] = ACTIONS(1072),
    [anon_sym_BANG] = ACTIONS(1072),
    [anon_sym_TILDE] = ACTIONS(1072),
    [anon_sym_DASH] = ACTIONS(1074),
    [anon_sym_DASH_PERCENT] = ACTIONS(1072),
    [anon_sym_AMP] = ACTIONS(1072),
    [anon_sym_async] = ACTIONS(1074),
    [anon_sym_await] = ACTIONS(1074),
    [anon_sym_continue] = ACTIONS(1074),
    [anon_sym_resume] = ACTIONS(1074),
    [anon_sym_return] = ACTIONS(1074),
    [anon_sym_break] = ACTIONS(1074),
    [anon_sym_try] = ACTIONS(1074),
    [anon_sym_switch] = ACTIONS(1074),
    [anon_sym_anyframe] = ACTIONS(1074),
    [anon_sym_unreachable] = ACTIONS(1074),
    [anon_sym_undefined] = ACTIONS(1074),
    [anon_sym_null] = ACTIONS(1074),
    [anon_sym_QMARK] = ACTIONS(1072),
    [anon_sym_DOT] = ACTIONS(1072),
    [anon_sym_DQUOTE] = ACTIONS(1072),
    [aux_sym_multiline_string_token1] = ACTIONS(1072),
    [anon_sym_SQUOTE] = ACTIONS(1072),
    [sym_integer] = ACTIONS(1074),
    [sym_float] = ACTIONS(1072),
    [anon_sym_true] = ACTIONS(1074),
    [anon_sym_false] = ACTIONS(1074),
    [anon_sym_bool] = ACTIONS(1074),
    [anon_sym_f16] = ACTIONS(1074),
    [anon_sym_f32] = ACTIONS(1074),
    [anon_sym_f64] = ACTIONS(1074),
    [anon_sym_f128] = ACTIONS(1074),
    [anon_sym_void] = ACTIONS(1074),
    [anon_sym_type] = ACTIONS(1074),
    [anon_sym_anyerror] = ACTIONS(1074),
    [anon_sym_anyopaque] = ACTIONS(1074),
    [anon_sym_anytype] = ACTIONS(1074),
    [anon_sym_noreturn] = ACTIONS(1074),
    [anon_sym_isize] = ACTIONS(1074),
    [anon_sym_usize] = ACTIONS(1074),
    [anon_sym_comptime_int] = ACTIONS(1074),
    [anon_sym_comptime_float] = ACTIONS(1074),
    [anon_sym_c_short] = ACTIONS(1074),
    [anon_sym_c_ushort] = ACTIONS(1074),
    [anon_sym_c_int] = ACTIONS(1074),
    [anon_sym_c_uint] = ACTIONS(1074),
    [anon_sym_c_long] = ACTIONS(1074),
    [anon_sym_c_ulong] = ACTIONS(1074),
    [anon_sym_c_longlong] = ACTIONS(1074),
    [anon_sym_c_ulonglong] = ACTIONS(1074),
    [anon_sym_c_longdouble] = ACTIONS(1074),
    [aux_sym_builtin_type_token1] = ACTIONS(1074),
    [sym_builtin_identifier] = ACTIONS(1072),
    [anon_sym_AT] = ACTIONS(1074),
    [sym_comment] = ACTIONS(3),
  },
  [739] = {
    [ts_builtin_sym_end] = ACTIONS(1072),
    [sym__identifier] = ACTIONS(1074),
    [anon_sym_pub] = ACTIONS(1074),
    [anon_sym_test] = ACTIONS(1074),
    [anon_sym_comptime] = ACTIONS(1074),
    [anon_sym_export] = ACTIONS(1074),
    [anon_sym_extern] = ACTIONS(1074),
    [anon_sym_threadlocal] = ACTIONS(1074),
    [anon_sym_const] = ACTIONS(1074),
    [anon_sym_var] = ACTIONS(1074),
    [anon_sym_inline] = ACTIONS(1074),
    [anon_sym_noinline] = ACTIONS(1074),
    [anon_sym_fn] = ACTIONS(1074),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_usingnamespace] = ACTIONS(1074),
    [anon_sym_LBRACE] = ACTIONS(1072),
    [anon_sym_RBRACE] = ACTIONS(1072),
    [anon_sym_packed] = ACTIONS(1074),
    [anon_sym_struct] = ACTIONS(1074),
    [anon_sym_opaque] = ACTIONS(1074),
    [anon_sym_enum] = ACTIONS(1074),
    [anon_sym_union] = ACTIONS(1074),
    [anon_sym_error] = ACTIONS(1074),
    [anon_sym_nosuspend] = ACTIONS(1074),
    [anon_sym_if] = ACTIONS(1074),
    [anon_sym_for] = ACTIONS(1074),
    [anon_sym_while] = ACTIONS(1074),
    [anon_sym_STAR] = ACTIONS(1072),
    [anon_sym_asm] = ACTIONS(1074),
    [anon_sym_LBRACK] = ACTIONS(1072),
    [anon_sym_BANG] = ACTIONS(1072),
    [anon_sym_TILDE] = ACTIONS(1072),
    [anon_sym_DASH] = ACTIONS(1074),
    [anon_sym_DASH_PERCENT] = ACTIONS(1072),
    [anon_sym_AMP] = ACTIONS(1072),
    [anon_sym_async] = ACTIONS(1074),
    [anon_sym_await] = ACTIONS(1074),
    [anon_sym_continue] = ACTIONS(1074),
    [anon_sym_resume] = ACTIONS(1074),
    [anon_sym_return] = ACTIONS(1074),
    [anon_sym_break] = ACTIONS(1074),
    [anon_sym_try] = ACTIONS(1074),
    [anon_sym_switch] = ACTIONS(1074),
    [anon_sym_anyframe] = ACTIONS(1074),
    [anon_sym_unreachable] = ACTIONS(1074),
    [anon_sym_undefined] = ACTIONS(1074),
    [anon_sym_null] = ACTIONS(1074),
    [anon_sym_QMARK] = ACTIONS(1072),
    [anon_sym_DOT] = ACTIONS(1072),
    [anon_sym_DQUOTE] = ACTIONS(1072),
    [aux_sym_multiline_string_token1] = ACTIONS(1072),
    [anon_sym_SQUOTE] = ACTIONS(1072),
    [sym_integer] = ACTIONS(1074),
    [sym_float] = ACTIONS(1072),
    [anon_sym_true] = ACTIONS(1074),
    [anon_sym_false] = ACTIONS(1074),
    [anon_sym_bool] = ACTIONS(1074),
    [anon_sym_f16] = ACTIONS(1074),
    [anon_sym_f32] = ACTIONS(1074),
    [anon_sym_f64] = ACTIONS(1074),
    [anon_sym_f128] = ACTIONS(1074),
    [anon_sym_void] = ACTIONS(1074),
    [anon_sym_type] = ACTIONS(1074),
    [anon_sym_anyerror] = ACTIONS(1074),
    [anon_sym_anyopaque] = ACTIONS(1074),
    [anon_sym_anytype] = ACTIONS(1074),
    [anon_sym_noreturn] = ACTIONS(1074),
    [anon_sym_isize] = ACTIONS(1074),
    [anon_sym_usize] = ACTIONS(1074),
    [anon_sym_comptime_int] = ACTIONS(1074),
    [anon_sym_comptime_float] = ACTIONS(1074),
    [anon_sym_c_short] = ACTIONS(1074),
    [anon_sym_c_ushort] = ACTIONS(1074),
    [anon_sym_c_int] = ACTIONS(1074),
    [anon_sym_c_uint] = ACTIONS(1074),
    [anon_sym_c_long] = ACTIONS(1074),
    [anon_sym_c_ulong] = ACTIONS(1074),
    [anon_sym_c_longlong] = ACTIONS(1074),
    [anon_sym_c_ulonglong] = ACTIONS(1074),
    [anon_sym_c_longdouble] = ACTIONS(1074),
    [aux_sym_builtin_type_token1] = ACTIONS(1074),
    [sym_builtin_identifier] = ACTIONS(1072),
    [anon_sym_AT] = ACTIONS(1074),
    [sym_comment] = ACTIONS(3),
  },
  [740] = {
    [ts_builtin_sym_end] = ACTIONS(1080),
    [sym__identifier] = ACTIONS(1082),
    [anon_sym_pub] = ACTIONS(1082),
    [anon_sym_test] = ACTIONS(1082),
    [anon_sym_comptime] = ACTIONS(1082),
    [anon_sym_export] = ACTIONS(1082),
    [anon_sym_extern] = ACTIONS(1082),
    [anon_sym_threadlocal] = ACTIONS(1082),
    [anon_sym_const] = ACTIONS(1082),
    [anon_sym_var] = ACTIONS(1082),
    [anon_sym_inline] = ACTIONS(1082),
    [anon_sym_noinline] = ACTIONS(1082),
    [anon_sym_fn] = ACTIONS(1082),
    [anon_sym_LPAREN] = ACTIONS(1080),
    [anon_sym_usingnamespace] = ACTIONS(1082),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym_RBRACE] = ACTIONS(1080),
    [anon_sym_packed] = ACTIONS(1082),
    [anon_sym_struct] = ACTIONS(1082),
    [anon_sym_opaque] = ACTIONS(1082),
    [anon_sym_enum] = ACTIONS(1082),
    [anon_sym_union] = ACTIONS(1082),
    [anon_sym_error] = ACTIONS(1082),
    [anon_sym_nosuspend] = ACTIONS(1082),
    [anon_sym_if] = ACTIONS(1082),
    [anon_sym_for] = ACTIONS(1082),
    [anon_sym_while] = ACTIONS(1082),
    [anon_sym_STAR] = ACTIONS(1080),
    [anon_sym_asm] = ACTIONS(1082),
    [anon_sym_LBRACK] = ACTIONS(1080),
    [anon_sym_BANG] = ACTIONS(1080),
    [anon_sym_TILDE] = ACTIONS(1080),
    [anon_sym_DASH] = ACTIONS(1082),
    [anon_sym_DASH_PERCENT] = ACTIONS(1080),
    [anon_sym_AMP] = ACTIONS(1080),
    [anon_sym_async] = ACTIONS(1082),
    [anon_sym_await] = ACTIONS(1082),
    [anon_sym_continue] = ACTIONS(1082),
    [anon_sym_resume] = ACTIONS(1082),
    [anon_sym_return] = ACTIONS(1082),
    [anon_sym_break] = ACTIONS(1082),
    [anon_sym_try] = ACTIONS(1082),
    [anon_sym_switch] = ACTIONS(1082),
    [anon_sym_anyframe] = ACTIONS(1082),
    [anon_sym_unreachable] = ACTIONS(1082),
    [anon_sym_undefined] = ACTIONS(1082),
    [anon_sym_null] = ACTIONS(1082),
    [anon_sym_QMARK] = ACTIONS(1080),
    [anon_sym_DOT] = ACTIONS(1080),
    [anon_sym_DQUOTE] = ACTIONS(1080),
    [aux_sym_multiline_string_token1] = ACTIONS(1080),
    [anon_sym_SQUOTE] = ACTIONS(1080),
    [sym_integer] = ACTIONS(1082),
    [sym_float] = ACTIONS(1080),
    [anon_sym_true] = ACTIONS(1082),
    [anon_sym_false] = ACTIONS(1082),
    [anon_sym_bool] = ACTIONS(1082),
    [anon_sym_f16] = ACTIONS(1082),
    [anon_sym_f32] = ACTIONS(1082),
    [anon_sym_f64] = ACTIONS(1082),
    [anon_sym_f128] = ACTIONS(1082),
    [anon_sym_void] = ACTIONS(1082),
    [anon_sym_type] = ACTIONS(1082),
    [anon_sym_anyerror] = ACTIONS(1082),
    [anon_sym_anyopaque] = ACTIONS(1082),
    [anon_sym_anytype] = ACTIONS(1082),
    [anon_sym_noreturn] = ACTIONS(1082),
    [anon_sym_isize] = ACTIONS(1082),
    [anon_sym_usize] = ACTIONS(1082),
    [anon_sym_comptime_int] = ACTIONS(1082),
    [anon_sym_comptime_float] = ACTIONS(1082),
    [anon_sym_c_short] = ACTIONS(1082),
    [anon_sym_c_ushort] = ACTIONS(1082),
    [anon_sym_c_int] = ACTIONS(1082),
    [anon_sym_c_uint] = ACTIONS(1082),
    [anon_sym_c_long] = ACTIONS(1082),
    [anon_sym_c_ulong] = ACTIONS(1082),
    [anon_sym_c_longlong] = ACTIONS(1082),
    [anon_sym_c_ulonglong] = ACTIONS(1082),
    [anon_sym_c_longdouble] = ACTIONS(1082),
    [aux_sym_builtin_type_token1] = ACTIONS(1082),
    [sym_builtin_identifier] = ACTIONS(1080),
    [anon_sym_AT] = ACTIONS(1082),
    [sym_comment] = ACTIONS(3),
  },
  [741] = {
    [ts_builtin_sym_end] = ACTIONS(664),
    [sym__identifier] = ACTIONS(666),
    [anon_sym_pub] = ACTIONS(666),
    [anon_sym_test] = ACTIONS(666),
    [anon_sym_comptime] = ACTIONS(666),
    [anon_sym_export] = ACTIONS(666),
    [anon_sym_extern] = ACTIONS(666),
    [anon_sym_threadlocal] = ACTIONS(666),
    [anon_sym_const] = ACTIONS(666),
    [anon_sym_var] = ACTIONS(666),
    [anon_sym_inline] = ACTIONS(666),
    [anon_sym_noinline] = ACTIONS(666),
    [anon_sym_fn] = ACTIONS(666),
    [anon_sym_LPAREN] = ACTIONS(664),
    [anon_sym_usingnamespace] = ACTIONS(666),
    [anon_sym_LBRACE] = ACTIONS(664),
    [anon_sym_RBRACE] = ACTIONS(664),
    [anon_sym_packed] = ACTIONS(666),
    [anon_sym_struct] = ACTIONS(666),
    [anon_sym_opaque] = ACTIONS(666),
    [anon_sym_enum] = ACTIONS(666),
    [anon_sym_union] = ACTIONS(666),
    [anon_sym_error] = ACTIONS(666),
    [anon_sym_nosuspend] = ACTIONS(666),
    [anon_sym_if] = ACTIONS(666),
    [anon_sym_for] = ACTIONS(666),
    [anon_sym_while] = ACTIONS(666),
    [anon_sym_STAR] = ACTIONS(664),
    [anon_sym_asm] = ACTIONS(666),
    [anon_sym_LBRACK] = ACTIONS(664),
    [anon_sym_BANG] = ACTIONS(664),
    [anon_sym_TILDE] = ACTIONS(664),
    [anon_sym_DASH] = ACTIONS(666),
    [anon_sym_DASH_PERCENT] = ACTIONS(664),
    [anon_sym_AMP] = ACTIONS(664),
    [anon_sym_async] = ACTIONS(666),
    [anon_sym_await] = ACTIONS(666),
    [anon_sym_continue] = ACTIONS(666),
    [anon_sym_resume] = ACTIONS(666),
    [anon_sym_return] = ACTIONS(666),
    [anon_sym_break] = ACTIONS(666),
    [anon_sym_try] = ACTIONS(666),
    [anon_sym_switch] = ACTIONS(666),
    [anon_sym_anyframe] = ACTIONS(666),
    [anon_sym_unreachable] = ACTIONS(666),
    [anon_sym_undefined] = ACTIONS(666),
    [anon_sym_null] = ACTIONS(666),
    [anon_sym_QMARK] = ACTIONS(664),
    [anon_sym_DOT] = ACTIONS(664),
    [anon_sym_DQUOTE] = ACTIONS(664),
    [aux_sym_multiline_string_token1] = ACTIONS(664),
    [anon_sym_SQUOTE] = ACTIONS(664),
    [sym_integer] = ACTIONS(666),
    [sym_float] = ACTIONS(664),
    [anon_sym_true] = ACTIONS(666),
    [anon_sym_false] = ACTIONS(666),
    [anon_sym_bool] = ACTIONS(666),
    [anon_sym_f16] = ACTIONS(666),
    [anon_sym_f32] = ACTIONS(666),
    [anon_sym_f64] = ACTIONS(666),
    [anon_sym_f128] = ACTIONS(666),
    [anon_sym_void] = ACTIONS(666),
    [anon_sym_type] = ACTIONS(666),
    [anon_sym_anyerror] = ACTIONS(666),
    [anon_sym_anyopaque] = ACTIONS(666),
    [anon_sym_anytype] = ACTIONS(666),
    [anon_sym_noreturn] = ACTIONS(666),
    [anon_sym_isize] = ACTIONS(666),
    [anon_sym_usize] = ACTIONS(666),
    [anon_sym_comptime_int] = ACTIONS(666),
    [anon_sym_comptime_float] = ACTIONS(666),
    [anon_sym_c_short] = ACTIONS(666),
    [anon_sym_c_ushort] = ACTIONS(666),
    [anon_sym_c_int] = ACTIONS(666),
    [anon_sym_c_uint] = ACTIONS(666),
    [anon_sym_c_long] = ACTIONS(666),
    [anon_sym_c_ulong] = ACTIONS(666),
    [anon_sym_c_longlong] = ACTIONS(666),
    [anon_sym_c_ulonglong] = ACTIONS(666),
    [anon_sym_c_longdouble] = ACTIONS(666),
    [aux_sym_builtin_type_token1] = ACTIONS(666),
    [sym_builtin_identifier] = ACTIONS(664),
    [anon_sym_AT] = ACTIONS(666),
    [sym_comment] = ACTIONS(3),
  },
  [742] = {
    [ts_builtin_sym_end] = ACTIONS(996),
    [sym__identifier] = ACTIONS(998),
    [anon_sym_pub] = ACTIONS(998),
    [anon_sym_test] = ACTIONS(998),
    [anon_sym_comptime] = ACTIONS(998),
    [anon_sym_export] = ACTIONS(998),
    [anon_sym_extern] = ACTIONS(998),
    [anon_sym_threadlocal] = ACTIONS(998),
    [anon_sym_const] = ACTIONS(998),
    [anon_sym_var] = ACTIONS(998),
    [anon_sym_inline] = ACTIONS(998),
    [anon_sym_noinline] = ACTIONS(998),
    [anon_sym_fn] = ACTIONS(998),
    [anon_sym_LPAREN] = ACTIONS(996),
    [anon_sym_usingnamespace] = ACTIONS(998),
    [anon_sym_LBRACE] = ACTIONS(996),
    [anon_sym_RBRACE] = ACTIONS(996),
    [anon_sym_packed] = ACTIONS(998),
    [anon_sym_struct] = ACTIONS(998),
    [anon_sym_opaque] = ACTIONS(998),
    [anon_sym_enum] = ACTIONS(998),
    [anon_sym_union] = ACTIONS(998),
    [anon_sym_error] = ACTIONS(998),
    [anon_sym_nosuspend] = ACTIONS(998),
    [anon_sym_if] = ACTIONS(998),
    [anon_sym_for] = ACTIONS(998),
    [anon_sym_while] = ACTIONS(998),
    [anon_sym_STAR] = ACTIONS(996),
    [anon_sym_asm] = ACTIONS(998),
    [anon_sym_LBRACK] = ACTIONS(996),
    [anon_sym_BANG] = ACTIONS(996),
    [anon_sym_TILDE] = ACTIONS(996),
    [anon_sym_DASH] = ACTIONS(998),
    [anon_sym_DASH_PERCENT] = ACTIONS(996),
    [anon_sym_AMP] = ACTIONS(996),
    [anon_sym_async] = ACTIONS(998),
    [anon_sym_await] = ACTIONS(998),
    [anon_sym_continue] = ACTIONS(998),
    [anon_sym_resume] = ACTIONS(998),
    [anon_sym_return] = ACTIONS(998),
    [anon_sym_break] = ACTIONS(998),
    [anon_sym_try] = ACTIONS(998),
    [anon_sym_switch] = ACTIONS(998),
    [anon_sym_anyframe] = ACTIONS(998),
    [anon_sym_unreachable] = ACTIONS(998),
    [anon_sym_undefined] = ACTIONS(998),
    [anon_sym_null] = ACTIONS(998),
    [anon_sym_QMARK] = ACTIONS(996),
    [anon_sym_DOT] = ACTIONS(996),
    [anon_sym_DQUOTE] = ACTIONS(996),
    [aux_sym_multiline_string_token1] = ACTIONS(996),
    [anon_sym_SQUOTE] = ACTIONS(996),
    [sym_integer] = ACTIONS(998),
    [sym_float] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [anon_sym_bool] = ACTIONS(998),
    [anon_sym_f16] = ACTIONS(998),
    [anon_sym_f32] = ACTIONS(998),
    [anon_sym_f64] = ACTIONS(998),
    [anon_sym_f128] = ACTIONS(998),
    [anon_sym_void] = ACTIONS(998),
    [anon_sym_type] = ACTIONS(998),
    [anon_sym_anyerror] = ACTIONS(998),
    [anon_sym_anyopaque] = ACTIONS(998),
    [anon_sym_anytype] = ACTIONS(998),
    [anon_sym_noreturn] = ACTIONS(998),
    [anon_sym_isize] = ACTIONS(998),
    [anon_sym_usize] = ACTIONS(998),
    [anon_sym_comptime_int] = ACTIONS(998),
    [anon_sym_comptime_float] = ACTIONS(998),
    [anon_sym_c_short] = ACTIONS(998),
    [anon_sym_c_ushort] = ACTIONS(998),
    [anon_sym_c_int] = ACTIONS(998),
    [anon_sym_c_uint] = ACTIONS(998),
    [anon_sym_c_long] = ACTIONS(998),
    [anon_sym_c_ulong] = ACTIONS(998),
    [anon_sym_c_longlong] = ACTIONS(998),
    [anon_sym_c_ulonglong] = ACTIONS(998),
    [anon_sym_c_longdouble] = ACTIONS(998),
    [aux_sym_builtin_type_token1] = ACTIONS(998),
    [sym_builtin_identifier] = ACTIONS(996),
    [anon_sym_AT] = ACTIONS(998),
    [sym_comment] = ACTIONS(3),
  },
  [743] = {
    [ts_builtin_sym_end] = ACTIONS(507),
    [sym__identifier] = ACTIONS(1084),
    [anon_sym_pub] = ACTIONS(1084),
    [anon_sym_test] = ACTIONS(1084),
    [anon_sym_comptime] = ACTIONS(1084),
    [anon_sym_export] = ACTIONS(1084),
    [anon_sym_extern] = ACTIONS(1084),
    [anon_sym_threadlocal] = ACTIONS(1084),
    [anon_sym_const] = ACTIONS(1084),
    [anon_sym_var] = ACTIONS(1084),
    [anon_sym_inline] = ACTIONS(1084),
    [anon_sym_noinline] = ACTIONS(1084),
    [anon_sym_fn] = ACTIONS(1084),
    [anon_sym_LPAREN] = ACTIONS(507),
    [anon_sym_usingnamespace] = ACTIONS(1084),
    [anon_sym_LBRACE] = ACTIONS(507),
    [anon_sym_RBRACE] = ACTIONS(507),
    [anon_sym_packed] = ACTIONS(1084),
    [anon_sym_struct] = ACTIONS(1084),
    [anon_sym_opaque] = ACTIONS(1084),
    [anon_sym_enum] = ACTIONS(1084),
    [anon_sym_union] = ACTIONS(1084),
    [anon_sym_error] = ACTIONS(1084),
    [anon_sym_nosuspend] = ACTIONS(1084),
    [anon_sym_if] = ACTIONS(1084),
    [anon_sym_for] = ACTIONS(1084),
    [anon_sym_while] = ACTIONS(1084),
    [anon_sym_STAR] = ACTIONS(507),
    [anon_sym_asm] = ACTIONS(1084),
    [anon_sym_LBRACK] = ACTIONS(507),
    [anon_sym_BANG] = ACTIONS(507),
    [anon_sym_TILDE] = ACTIONS(507),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_DASH_PERCENT] = ACTIONS(507),
    [anon_sym_AMP] = ACTIONS(507),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_await] = ACTIONS(1084),
    [anon_sym_continue] = ACTIONS(1084),
    [anon_sym_resume] = ACTIONS(1084),
    [anon_sym_return] = ACTIONS(1084),
    [anon_sym_break] = ACTIONS(1084),
    [anon_sym_try] = ACTIONS(1084),
    [anon_sym_switch] = ACTIONS(1084),
    [anon_sym_anyframe] = ACTIONS(1084),
    [anon_sym_unreachable] = ACTIONS(1084),
    [anon_sym_undefined] = ACTIONS(1084),
    [anon_sym_null] = ACTIONS(1084),
    [anon_sym_QMARK] = ACTIONS(507),
    [anon_sym_DOT] = ACTIONS(507),
    [anon_sym_DQUOTE] = ACTIONS(507),
    [aux_sym_multiline_string_token1] = ACTIONS(507),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_integer] = ACTIONS(1084),
    [sym_float] = ACTIONS(507),
    [anon_sym_true] = ACTIONS(1084),
    [anon_sym_false] = ACTIONS(1084),
    [anon_sym_bool] = ACTIONS(1084),
    [anon_sym_f16] = ACTIONS(1084),
    [anon_sym_f32] = ACTIONS(1084),
    [anon_sym_f64] = ACTIONS(1084),
    [anon_sym_f128] = ACTIONS(1084),
    [anon_sym_void] = ACTIONS(1084),
    [anon_sym_type] = ACTIONS(1084),
    [anon_sym_anyerror] = ACTIONS(1084),
    [anon_sym_anyopaque] = ACTIONS(1084),
    [anon_sym_anytype] = ACTIONS(1084),
    [anon_sym_noreturn] = ACTIONS(1084),
    [anon_sym_isize] = ACTIONS(1084),
    [anon_sym_usize] = ACTIONS(1084),
    [anon_sym_comptime_int] = ACTIONS(1084),
    [anon_sym_comptime_float] = ACTIONS(1084),
    [anon_sym_c_short] = ACTIONS(1084),
    [anon_sym_c_ushort] = ACTIONS(1084),
    [anon_sym_c_int] = ACTIONS(1084),
    [anon_sym_c_uint] = ACTIONS(1084),
    [anon_sym_c_long] = ACTIONS(1084),
    [anon_sym_c_ulong] = ACTIONS(1084),
    [anon_sym_c_longlong] = ACTIONS(1084),
    [anon_sym_c_ulonglong] = ACTIONS(1084),
    [anon_sym_c_longdouble] = ACTIONS(1084),
    [aux_sym_builtin_type_token1] = ACTIONS(1084),
    [sym_builtin_identifier] = ACTIONS(507),
    [anon_sym_AT] = ACTIONS(1084),
    [sym_comment] = ACTIONS(3),
  },
  [744] = {
    [sym_else_clause] = STATE(767),
    [sym__identifier] = ACTIONS(1086),
    [anon_sym_comptime] = ACTIONS(1086),
    [anon_sym_extern] = ACTIONS(1086),
    [anon_sym_const] = ACTIONS(1086),
    [anon_sym_var] = ACTIONS(1086),
    [anon_sym_inline] = ACTIONS(1086),
    [anon_sym_fn] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1088),
    [anon_sym_LBRACE] = ACTIONS(1088),
    [anon_sym_RBRACE] = ACTIONS(1088),
    [anon_sym_packed] = ACTIONS(1086),
    [anon_sym_struct] = ACTIONS(1086),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_enum] = ACTIONS(1086),
    [anon_sym_union] = ACTIONS(1086),
    [anon_sym_error] = ACTIONS(1086),
    [anon_sym_nosuspend] = ACTIONS(1086),
    [anon_sym_suspend] = ACTIONS(1086),
    [anon_sym_defer] = ACTIONS(1086),
    [anon_sym_errdefer] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1086),
    [anon_sym_else] = ACTIONS(1090),
    [anon_sym_for] = ACTIONS(1086),
    [anon_sym_while] = ACTIONS(1086),
    [anon_sym_STAR] = ACTIONS(1088),
    [anon_sym_asm] = ACTIONS(1086),
    [anon_sym_LBRACK] = ACTIONS(1088),
    [anon_sym_BANG] = ACTIONS(1088),
    [anon_sym_TILDE] = ACTIONS(1088),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_DASH_PERCENT] = ACTIONS(1088),
    [anon_sym_AMP] = ACTIONS(1088),
    [anon_sym_async] = ACTIONS(1086),
    [anon_sym_await] = ACTIONS(1086),
    [anon_sym_continue] = ACTIONS(1086),
    [anon_sym_resume] = ACTIONS(1086),
    [anon_sym_return] = ACTIONS(1086),
    [anon_sym_break] = ACTIONS(1086),
    [anon_sym_try] = ACTIONS(1086),
    [anon_sym_switch] = ACTIONS(1086),
    [anon_sym_anyframe] = ACTIONS(1086),
    [anon_sym_unreachable] = ACTIONS(1086),
    [anon_sym_undefined] = ACTIONS(1086),
    [anon_sym_null] = ACTIONS(1086),
    [anon_sym_QMARK] = ACTIONS(1088),
    [anon_sym_DOT] = ACTIONS(1088),
    [anon_sym_DQUOTE] = ACTIONS(1088),
    [aux_sym_multiline_string_token1] = ACTIONS(1088),
    [anon_sym_SQUOTE] = ACTIONS(1088),
    [sym_integer] = ACTIONS(1086),
    [sym_float] = ACTIONS(1088),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [anon_sym_bool] = ACTIONS(1086),
    [anon_sym_f16] = ACTIONS(1086),
    [anon_sym_f32] = ACTIONS(1086),
    [anon_sym_f64] = ACTIONS(1086),
    [anon_sym_f128] = ACTIONS(1086),
    [anon_sym_void] = ACTIONS(1086),
    [anon_sym_type] = ACTIONS(1086),
    [anon_sym_anyerror] = ACTIONS(1086),
    [anon_sym_anyopaque] = ACTIONS(1086),
    [anon_sym_anytype] = ACTIONS(1086),
    [anon_sym_noreturn] = ACTIONS(1086),
    [anon_sym_isize] = ACTIONS(1086),
    [anon_sym_usize] = ACTIONS(1086),
    [anon_sym_comptime_int] = ACTIONS(1086),
    [anon_sym_comptime_float] = ACTIONS(1086),
    [anon_sym_c_short] = ACTIONS(1086),
    [anon_sym_c_ushort] = ACTIONS(1086),
    [anon_sym_c_int] = ACTIONS(1086),
    [anon_sym_c_uint] = ACTIONS(1086),
    [anon_sym_c_long] = ACTIONS(1086),
    [anon_sym_c_ulong] = ACTIONS(1086),
    [anon_sym_c_longlong] = ACTIONS(1086),
    [anon_sym_c_ulonglong] = ACTIONS(1086),
    [anon_sym_c_longdouble] = ACTIONS(1086),
    [aux_sym_builtin_type_token1] = ACTIONS(1086),
    [sym_builtin_identifier] = ACTIONS(1088),
    [anon_sym_AT] = ACTIONS(1086),
    [sym_comment] = ACTIONS(3),
  },
  [745] = {
    [sym_byte_alignment] = STATE(745),
    [sym_address_space] = STATE(745),
    [aux_sym_slice_type_repeat1] = STATE(745),
    [sym__identifier] = ACTIONS(1092),
    [anon_sym_comptime] = ACTIONS(1092),
    [anon_sym_extern] = ACTIONS(1092),
    [anon_sym_const] = ACTIONS(1094),
    [anon_sym_inline] = ACTIONS(1092),
    [anon_sym_fn] = ACTIONS(1092),
    [anon_sym_LPAREN] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1097),
    [anon_sym_packed] = ACTIONS(1092),
    [anon_sym_struct] = ACTIONS(1092),
    [anon_sym_opaque] = ACTIONS(1092),
    [anon_sym_enum] = ACTIONS(1092),
    [anon_sym_union] = ACTIONS(1092),
    [anon_sym_error] = ACTIONS(1092),
    [anon_sym_nosuspend] = ACTIONS(1092),
    [anon_sym_if] = ACTIONS(1092),
    [anon_sym_for] = ACTIONS(1092),
    [anon_sym_while] = ACTIONS(1092),
    [anon_sym_STAR] = ACTIONS(1097),
    [anon_sym_align] = ACTIONS(1099),
    [anon_sym_addrspace] = ACTIONS(1102),
    [anon_sym_asm] = ACTIONS(1092),
    [anon_sym_volatile] = ACTIONS(1094),
    [anon_sym_LBRACK] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(1097),
    [anon_sym_TILDE] = ACTIONS(1097),
    [anon_sym_DASH] = ACTIONS(1092),
    [anon_sym_DASH_PERCENT] = ACTIONS(1097),
    [anon_sym_AMP] = ACTIONS(1097),
    [anon_sym_async] = ACTIONS(1092),
    [anon_sym_await] = ACTIONS(1092),
    [anon_sym_continue] = ACTIONS(1092),
    [anon_sym_resume] = ACTIONS(1092),
    [anon_sym_return] = ACTIONS(1092),
    [anon_sym_break] = ACTIONS(1092),
    [anon_sym_try] = ACTIONS(1092),
    [anon_sym_switch] = ACTIONS(1092),
    [anon_sym_anyframe] = ACTIONS(1092),
    [anon_sym_unreachable] = ACTIONS(1092),
    [anon_sym_undefined] = ACTIONS(1092),
    [anon_sym_null] = ACTIONS(1092),
    [anon_sym_QMARK] = ACTIONS(1097),
    [anon_sym_allowzero] = ACTIONS(1094),
    [anon_sym_DOT] = ACTIONS(1097),
    [anon_sym_DQUOTE] = ACTIONS(1097),
    [aux_sym_multiline_string_token1] = ACTIONS(1097),
    [anon_sym_SQUOTE] = ACTIONS(1097),
    [sym_integer] = ACTIONS(1092),
    [sym_float] = ACTIONS(1097),
    [anon_sym_true] = ACTIONS(1092),
    [anon_sym_false] = ACTIONS(1092),
    [anon_sym_bool] = ACTIONS(1092),
    [anon_sym_f16] = ACTIONS(1092),
    [anon_sym_f32] = ACTIONS(1092),
    [anon_sym_f64] = ACTIONS(1092),
    [anon_sym_f128] = ACTIONS(1092),
    [anon_sym_void] = ACTIONS(1092),
    [anon_sym_type] = ACTIONS(1092),
    [anon_sym_anyerror] = ACTIONS(1092),
    [anon_sym_anyopaque] = ACTIONS(1092),
    [anon_sym_anytype] = ACTIONS(1092),
    [anon_sym_noreturn] = ACTIONS(1092),
    [anon_sym_isize] = ACTIONS(1092),
    [anon_sym_usize] = ACTIONS(1092),
    [anon_sym_comptime_int] = ACTIONS(1092),
    [anon_sym_comptime_float] = ACTIONS(1092),
    [anon_sym_c_short] = ACTIONS(1092),
    [anon_sym_c_ushort] = ACTIONS(1092),
    [anon_sym_c_int] = ACTIONS(1092),
    [anon_sym_c_uint] = ACTIONS(1092),
    [anon_sym_c_long] = ACTIONS(1092),
    [anon_sym_c_ulong] = ACTIONS(1092),
    [anon_sym_c_longlong] = ACTIONS(1092),
    [anon_sym_c_ulonglong] = ACTIONS(1092),
    [anon_sym_c_longdouble] = ACTIONS(1092),
    [aux_sym_builtin_type_token1] = ACTIONS(1092),
    [sym_builtin_identifier] = ACTIONS(1097),
    [anon_sym_AT] = ACTIONS(1092),
    [sym_comment] = ACTIONS(3),
  },
  [746] = {
    [sym_address_space] = STATE(746),
    [aux_sym_pointer_type_repeat1] = STATE(746),
    [sym__identifier] = ACTIONS(1105),
    [anon_sym_comptime] = ACTIONS(1105),
    [anon_sym_extern] = ACTIONS(1105),
    [anon_sym_const] = ACTIONS(1107),
    [anon_sym_inline] = ACTIONS(1105),
    [anon_sym_fn] = ACTIONS(1105),
    [anon_sym_LPAREN] = ACTIONS(1110),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_packed] = ACTIONS(1105),
    [anon_sym_struct] = ACTIONS(1105),
    [anon_sym_opaque] = ACTIONS(1105),
    [anon_sym_enum] = ACTIONS(1105),
    [anon_sym_union] = ACTIONS(1105),
    [anon_sym_error] = ACTIONS(1105),
    [anon_sym_nosuspend] = ACTIONS(1105),
    [anon_sym_if] = ACTIONS(1105),
    [anon_sym_for] = ACTIONS(1105),
    [anon_sym_while] = ACTIONS(1105),
    [anon_sym_STAR] = ACTIONS(1110),
    [anon_sym_align] = ACTIONS(1112),
    [anon_sym_addrspace] = ACTIONS(1115),
    [anon_sym_asm] = ACTIONS(1105),
    [anon_sym_volatile] = ACTIONS(1107),
    [anon_sym_LBRACK] = ACTIONS(1110),
    [anon_sym_BANG] = ACTIONS(1110),
    [anon_sym_TILDE] = ACTIONS(1110),
    [anon_sym_DASH] = ACTIONS(1105),
    [anon_sym_DASH_PERCENT] = ACTIONS(1110),
    [anon_sym_AMP] = ACTIONS(1110),
    [anon_sym_async] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1105),
    [anon_sym_continue] = ACTIONS(1105),
    [anon_sym_resume] = ACTIONS(1105),
    [anon_sym_return] = ACTIONS(1105),
    [anon_sym_break] = ACTIONS(1105),
    [anon_sym_try] = ACTIONS(1105),
    [anon_sym_switch] = ACTIONS(1105),
    [anon_sym_anyframe] = ACTIONS(1105),
    [anon_sym_unreachable] = ACTIONS(1105),
    [anon_sym_undefined] = ACTIONS(1105),
    [anon_sym_null] = ACTIONS(1105),
    [anon_sym_QMARK] = ACTIONS(1110),
    [anon_sym_allowzero] = ACTIONS(1107),
    [anon_sym_DOT] = ACTIONS(1110),
    [anon_sym_DQUOTE] = ACTIONS(1110),
    [aux_sym_multiline_string_token1] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1110),
    [sym_integer] = ACTIONS(1105),
    [sym_float] = ACTIONS(1110),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [anon_sym_bool] = ACTIONS(1105),
    [anon_sym_f16] = ACTIONS(1105),
    [anon_sym_f32] = ACTIONS(1105),
    [anon_sym_f64] = ACTIONS(1105),
    [anon_sym_f128] = ACTIONS(1105),
    [anon_sym_void] = ACTIONS(1105),
    [anon_sym_type] = ACTIONS(1105),
    [anon_sym_anyerror] = ACTIONS(1105),
    [anon_sym_anyopaque] = ACTIONS(1105),
    [anon_sym_anytype] = ACTIONS(1105),
    [anon_sym_noreturn] = ACTIONS(1105),
    [anon_sym_isize] = ACTIONS(1105),
    [anon_sym_usize] = ACTIONS(1105),
    [anon_sym_comptime_int] = ACTIONS(1105),
    [anon_sym_comptime_float] = ACTIONS(1105),
    [anon_sym_c_short] = ACTIONS(1105),
    [anon_sym_c_ushort] = ACTIONS(1105),
    [anon_sym_c_int] = ACTIONS(1105),
    [anon_sym_c_uint] = ACTIONS(1105),
    [anon_sym_c_long] = ACTIONS(1105),
    [anon_sym_c_ulong] = ACTIONS(1105),
    [anon_sym_c_longlong] = ACTIONS(1105),
    [anon_sym_c_ulonglong] = ACTIONS(1105),
    [anon_sym_c_longdouble] = ACTIONS(1105),
    [aux_sym_builtin_type_token1] = ACTIONS(1105),
    [sym_builtin_identifier] = ACTIONS(1110),
    [anon_sym_AT] = ACTIONS(1105),
    [sym_comment] = ACTIONS(3),
  },
  [747] = {
    [sym__identifier] = ACTIONS(1118),
    [anon_sym_comptime] = ACTIONS(1118),
    [anon_sym_extern] = ACTIONS(1118),
    [anon_sym_const] = ACTIONS(1118),
    [anon_sym_var] = ACTIONS(1118),
    [anon_sym_inline] = ACTIONS(1118),
    [anon_sym_fn] = ACTIONS(1118),
    [anon_sym_LPAREN] = ACTIONS(1120),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_RBRACE] = ACTIONS(1120),
    [anon_sym_packed] = ACTIONS(1118),
    [anon_sym_struct] = ACTIONS(1118),
    [anon_sym_opaque] = ACTIONS(1118),
    [anon_sym_enum] = ACTIONS(1118),
    [anon_sym_union] = ACTIONS(1118),
    [anon_sym_error] = ACTIONS(1118),
    [anon_sym_nosuspend] = ACTIONS(1118),
    [anon_sym_suspend] = ACTIONS(1118),
    [anon_sym_defer] = ACTIONS(1118),
    [anon_sym_errdefer] = ACTIONS(1118),
    [anon_sym_if] = ACTIONS(1118),
    [anon_sym_for] = ACTIONS(1118),
    [anon_sym_while] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(1120),
    [anon_sym_asm] = ACTIONS(1118),
    [anon_sym_LBRACK] = ACTIONS(1120),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1118),
    [anon_sym_DASH_PERCENT] = ACTIONS(1120),
    [anon_sym_AMP] = ACTIONS(1120),
    [anon_sym_async] = ACTIONS(1118),
    [anon_sym_await] = ACTIONS(1118),
    [anon_sym_continue] = ACTIONS(1118),
    [anon_sym_resume] = ACTIONS(1118),
    [anon_sym_return] = ACTIONS(1118),
    [anon_sym_break] = ACTIONS(1118),
    [anon_sym_try] = ACTIONS(1118),
    [anon_sym_switch] = ACTIONS(1118),
    [anon_sym_anyframe] = ACTIONS(1118),
    [anon_sym_unreachable] = ACTIONS(1118),
    [anon_sym_undefined] = ACTIONS(1118),
    [anon_sym_null] = ACTIONS(1118),
    [anon_sym_QMARK] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1120),
    [anon_sym_DQUOTE] = ACTIONS(1120),
    [aux_sym_multiline_string_token1] = ACTIONS(1120),
    [anon_sym_SQUOTE] = ACTIONS(1120),
    [sym_integer] = ACTIONS(1118),
    [sym_float] = ACTIONS(1120),
    [anon_sym_true] = ACTIONS(1118),
    [anon_sym_false] = ACTIONS(1118),
    [anon_sym_bool] = ACTIONS(1118),
    [anon_sym_f16] = ACTIONS(1118),
    [anon_sym_f32] = ACTIONS(1118),
    [anon_sym_f64] = ACTIONS(1118),
    [anon_sym_f128] = ACTIONS(1118),
    [anon_sym_void] = ACTIONS(1118),
    [anon_sym_type] = ACTIONS(1118),
    [anon_sym_anyerror] = ACTIONS(1118),
    [anon_sym_anyopaque] = ACTIONS(1118),
    [anon_sym_anytype] = ACTIONS(1118),
    [anon_sym_noreturn] = ACTIONS(1118),
    [anon_sym_isize] = ACTIONS(1118),
    [anon_sym_usize] = ACTIONS(1118),
    [anon_sym_comptime_int] = ACTIONS(1118),
    [anon_sym_comptime_float] = ACTIONS(1118),
    [anon_sym_c_short] = ACTIONS(1118),
    [anon_sym_c_ushort] = ACTIONS(1118),
    [anon_sym_c_int] = ACTIONS(1118),
    [anon_sym_c_uint] = ACTIONS(1118),
    [anon_sym_c_long] = ACTIONS(1118),
    [anon_sym_c_ulong] = ACTIONS(1118),
    [anon_sym_c_longlong] = ACTIONS(1118),
    [anon_sym_c_ulonglong] = ACTIONS(1118),
    [anon_sym_c_longdouble] = ACTIONS(1118),
    [aux_sym_builtin_type_token1] = ACTIONS(1118),
    [sym_builtin_identifier] = ACTIONS(1120),
    [anon_sym_AT] = ACTIONS(1118),
    [sym_comment] = ACTIONS(3),
  },
  [748] = {
    [sym__identifier] = ACTIONS(1122),
    [anon_sym_comptime] = ACTIONS(1122),
    [anon_sym_extern] = ACTIONS(1122),
    [anon_sym_const] = ACTIONS(1122),
    [anon_sym_var] = ACTIONS(1122),
    [anon_sym_inline] = ACTIONS(1122),
    [anon_sym_fn] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1124),
    [anon_sym_LBRACE] = ACTIONS(1124),
    [anon_sym_RBRACE] = ACTIONS(1124),
    [anon_sym_packed] = ACTIONS(1122),
    [anon_sym_struct] = ACTIONS(1122),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_enum] = ACTIONS(1122),
    [anon_sym_union] = ACTIONS(1122),
    [anon_sym_error] = ACTIONS(1122),
    [anon_sym_nosuspend] = ACTIONS(1122),
    [anon_sym_suspend] = ACTIONS(1122),
    [anon_sym_defer] = ACTIONS(1122),
    [anon_sym_errdefer] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1122),
    [anon_sym_for] = ACTIONS(1122),
    [anon_sym_while] = ACTIONS(1122),
    [anon_sym_STAR] = ACTIONS(1124),
    [anon_sym_asm] = ACTIONS(1122),
    [anon_sym_LBRACK] = ACTIONS(1124),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_TILDE] = ACTIONS(1124),
    [anon_sym_DASH] = ACTIONS(1122),
    [anon_sym_DASH_PERCENT] = ACTIONS(1124),
    [anon_sym_AMP] = ACTIONS(1124),
    [anon_sym_async] = ACTIONS(1122),
    [anon_sym_await] = ACTIONS(1122),
    [anon_sym_continue] = ACTIONS(1122),
    [anon_sym_resume] = ACTIONS(1122),
    [anon_sym_return] = ACTIONS(1122),
    [anon_sym_break] = ACTIONS(1122),
    [anon_sym_try] = ACTIONS(1122),
    [anon_sym_switch] = ACTIONS(1122),
    [anon_sym_anyframe] = ACTIONS(1122),
    [anon_sym_unreachable] = ACTIONS(1122),
    [anon_sym_undefined] = ACTIONS(1122),
    [anon_sym_null] = ACTIONS(1122),
    [anon_sym_QMARK] = ACTIONS(1124),
    [anon_sym_DOT] = ACTIONS(1124),
    [anon_sym_DQUOTE] = ACTIONS(1124),
    [aux_sym_multiline_string_token1] = ACTIONS(1124),
    [anon_sym_SQUOTE] = ACTIONS(1124),
    [sym_integer] = ACTIONS(1122),
    [sym_float] = ACTIONS(1124),
    [anon_sym_true] = ACTIONS(1122),
    [anon_sym_false] = ACTIONS(1122),
    [anon_sym_bool] = ACTIONS(1122),
    [anon_sym_f16] = ACTIONS(1122),
    [anon_sym_f32] = ACTIONS(1122),
    [anon_sym_f64] = ACTIONS(1122),
    [anon_sym_f128] = ACTIONS(1122),
    [anon_sym_void] = ACTIONS(1122),
    [anon_sym_type] = ACTIONS(1122),
    [anon_sym_anyerror] = ACTIONS(1122),
    [anon_sym_anyopaque] = ACTIONS(1122),
    [anon_sym_anytype] = ACTIONS(1122),
    [anon_sym_noreturn] = ACTIONS(1122),
    [anon_sym_isize] = ACTIONS(1122),
    [anon_sym_usize] = ACTIONS(1122),
    [anon_sym_comptime_int] = ACTIONS(1122),
    [anon_sym_comptime_float] = ACTIONS(1122),
    [anon_sym_c_short] = ACTIONS(1122),
    [anon_sym_c_ushort] = ACTIONS(1122),
    [anon_sym_c_int] = ACTIONS(1122),
    [anon_sym_c_uint] = ACTIONS(1122),
    [anon_sym_c_long] = ACTIONS(1122),
    [anon_sym_c_ulong] = ACTIONS(1122),
    [anon_sym_c_longlong] = ACTIONS(1122),
    [anon_sym_c_ulonglong] = ACTIONS(1122),
    [anon_sym_c_longdouble] = ACTIONS(1122),
    [aux_sym_builtin_type_token1] = ACTIONS(1122),
    [sym_builtin_identifier] = ACTIONS(1124),
    [anon_sym_AT] = ACTIONS(1122),
    [sym_comment] = ACTIONS(3),
  },
  [749] = {
    [sym__identifier] = ACTIONS(1126),
    [anon_sym_comptime] = ACTIONS(1126),
    [anon_sym_extern] = ACTIONS(1126),
    [anon_sym_const] = ACTIONS(1126),
    [anon_sym_var] = ACTIONS(1126),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_fn] = ACTIONS(1126),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_RBRACE] = ACTIONS(1128),
    [anon_sym_packed] = ACTIONS(1126),
    [anon_sym_struct] = ACTIONS(1126),
    [anon_sym_opaque] = ACTIONS(1126),
    [anon_sym_enum] = ACTIONS(1126),
    [anon_sym_union] = ACTIONS(1126),
    [anon_sym_error] = ACTIONS(1126),
    [anon_sym_nosuspend] = ACTIONS(1126),
    [anon_sym_suspend] = ACTIONS(1126),
    [anon_sym_defer] = ACTIONS(1126),
    [anon_sym_errdefer] = ACTIONS(1126),
    [anon_sym_if] = ACTIONS(1126),
    [anon_sym_for] = ACTIONS(1126),
    [anon_sym_while] = ACTIONS(1126),
    [anon_sym_STAR] = ACTIONS(1128),
    [anon_sym_asm] = ACTIONS(1126),
    [anon_sym_LBRACK] = ACTIONS(1128),
    [anon_sym_BANG] = ACTIONS(1128),
    [anon_sym_TILDE] = ACTIONS(1128),
    [anon_sym_DASH] = ACTIONS(1126),
    [anon_sym_DASH_PERCENT] = ACTIONS(1128),
    [anon_sym_AMP] = ACTIONS(1128),
    [anon_sym_async] = ACTIONS(1126),
    [anon_sym_await] = ACTIONS(1126),
    [anon_sym_continue] = ACTIONS(1126),
    [anon_sym_resume] = ACTIONS(1126),
    [anon_sym_return] = ACTIONS(1126),
    [anon_sym_break] = ACTIONS(1126),
    [anon_sym_try] = ACTIONS(1126),
    [anon_sym_switch] = ACTIONS(1126),
    [anon_sym_anyframe] = ACTIONS(1126),
    [anon_sym_unreachable] = ACTIONS(1126),
    [anon_sym_undefined] = ACTIONS(1126),
    [anon_sym_null] = ACTIONS(1126),
    [anon_sym_QMARK] = ACTIONS(1128),
    [anon_sym_DOT] = ACTIONS(1128),
    [anon_sym_DQUOTE] = ACTIONS(1128),
    [aux_sym_multiline_string_token1] = ACTIONS(1128),
    [anon_sym_SQUOTE] = ACTIONS(1128),
    [sym_integer] = ACTIONS(1126),
    [sym_float] = ACTIONS(1128),
    [anon_sym_true] = ACTIONS(1126),
    [anon_sym_false] = ACTIONS(1126),
    [anon_sym_bool] = ACTIONS(1126),
    [anon_sym_f16] = ACTIONS(1126),
    [anon_sym_f32] = ACTIONS(1126),
    [anon_sym_f64] = ACTIONS(1126),
    [anon_sym_f128] = ACTIONS(1126),
    [anon_sym_void] = ACTIONS(1126),
    [anon_sym_type] = ACTIONS(1126),
    [anon_sym_anyerror] = ACTIONS(1126),
    [anon_sym_anyopaque] = ACTIONS(1126),
    [anon_sym_anytype] = ACTIONS(1126),
    [anon_sym_noreturn] = ACTIONS(1126),
    [anon_sym_isize] = ACTIONS(1126),
    [anon_sym_usize] = ACTIONS(1126),
    [anon_sym_comptime_int] = ACTIONS(1126),
    [anon_sym_comptime_float] = ACTIONS(1126),
    [anon_sym_c_short] = ACTIONS(1126),
    [anon_sym_c_ushort] = ACTIONS(1126),
    [anon_sym_c_int] = ACTIONS(1126),
    [anon_sym_c_uint] = ACTIONS(1126),
    [anon_sym_c_long] = ACTIONS(1126),
    [anon_sym_c_ulong] = ACTIONS(1126),
    [anon_sym_c_longlong] = ACTIONS(1126),
    [anon_sym_c_ulonglong] = ACTIONS(1126),
    [anon_sym_c_longdouble] = ACTIONS(1126),
    [aux_sym_builtin_type_token1] = ACTIONS(1126),
    [sym_builtin_identifier] = ACTIONS(1128),
    [anon_sym_AT] = ACTIONS(1126),
    [sym_comment] = ACTIONS(3),
  },
  [750] = {
    [sym__identifier] = ACTIONS(1130),
    [anon_sym_comptime] = ACTIONS(1130),
    [anon_sym_extern] = ACTIONS(1130),
    [anon_sym_const] = ACTIONS(1130),
    [anon_sym_var] = ACTIONS(1130),
    [anon_sym_inline] = ACTIONS(1130),
    [anon_sym_fn] = ACTIONS(1130),
    [anon_sym_LPAREN] = ACTIONS(1132),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym_RBRACE] = ACTIONS(1132),
    [anon_sym_packed] = ACTIONS(1130),
    [anon_sym_struct] = ACTIONS(1130),
    [anon_sym_opaque] = ACTIONS(1130),
    [anon_sym_enum] = ACTIONS(1130),
    [anon_sym_union] = ACTIONS(1130),
    [anon_sym_error] = ACTIONS(1130),
    [anon_sym_nosuspend] = ACTIONS(1130),
    [anon_sym_suspend] = ACTIONS(1130),
    [anon_sym_defer] = ACTIONS(1130),
    [anon_sym_errdefer] = ACTIONS(1130),
    [anon_sym_if] = ACTIONS(1130),
    [anon_sym_for] = ACTIONS(1130),
    [anon_sym_while] = ACTIONS(1130),
    [anon_sym_STAR] = ACTIONS(1132),
    [anon_sym_asm] = ACTIONS(1130),
    [anon_sym_LBRACK] = ACTIONS(1132),
    [anon_sym_BANG] = ACTIONS(1132),
    [anon_sym_TILDE] = ACTIONS(1132),
    [anon_sym_DASH] = ACTIONS(1130),
    [anon_sym_DASH_PERCENT] = ACTIONS(1132),
    [anon_sym_AMP] = ACTIONS(1132),
    [anon_sym_async] = ACTIONS(1130),
    [anon_sym_await] = ACTIONS(1130),
    [anon_sym_continue] = ACTIONS(1130),
    [anon_sym_resume] = ACTIONS(1130),
    [anon_sym_return] = ACTIONS(1130),
    [anon_sym_break] = ACTIONS(1130),
    [anon_sym_try] = ACTIONS(1130),
    [anon_sym_switch] = ACTIONS(1130),
    [anon_sym_anyframe] = ACTIONS(1130),
    [anon_sym_unreachable] = ACTIONS(1130),
    [anon_sym_undefined] = ACTIONS(1130),
    [anon_sym_null] = ACTIONS(1130),
    [anon_sym_QMARK] = ACTIONS(1132),
    [anon_sym_DOT] = ACTIONS(1132),
    [anon_sym_DQUOTE] = ACTIONS(1132),
    [aux_sym_multiline_string_token1] = ACTIONS(1132),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym_integer] = ACTIONS(1130),
    [sym_float] = ACTIONS(1132),
    [anon_sym_true] = ACTIONS(1130),
    [anon_sym_false] = ACTIONS(1130),
    [anon_sym_bool] = ACTIONS(1130),
    [anon_sym_f16] = ACTIONS(1130),
    [anon_sym_f32] = ACTIONS(1130),
    [anon_sym_f64] = ACTIONS(1130),
    [anon_sym_f128] = ACTIONS(1130),
    [anon_sym_void] = ACTIONS(1130),
    [anon_sym_type] = ACTIONS(1130),
    [anon_sym_anyerror] = ACTIONS(1130),
    [anon_sym_anyopaque] = ACTIONS(1130),
    [anon_sym_anytype] = ACTIONS(1130),
    [anon_sym_noreturn] = ACTIONS(1130),
    [anon_sym_isize] = ACTIONS(1130),
    [anon_sym_usize] = ACTIONS(1130),
    [anon_sym_comptime_int] = ACTIONS(1130),
    [anon_sym_comptime_float] = ACTIONS(1130),
    [anon_sym_c_short] = ACTIONS(1130),
    [anon_sym_c_ushort] = ACTIONS(1130),
    [anon_sym_c_int] = ACTIONS(1130),
    [anon_sym_c_uint] = ACTIONS(1130),
    [anon_sym_c_long] = ACTIONS(1130),
    [anon_sym_c_ulong] = ACTIONS(1130),
    [anon_sym_c_longlong] = ACTIONS(1130),
    [anon_sym_c_ulonglong] = ACTIONS(1130),
    [anon_sym_c_longdouble] = ACTIONS(1130),
    [aux_sym_builtin_type_token1] = ACTIONS(1130),
    [sym_builtin_identifier] = ACTIONS(1132),
    [anon_sym_AT] = ACTIONS(1130),
    [sym_comment] = ACTIONS(3),
  },
  [751] = {
    [sym__identifier] = ACTIONS(1134),
    [anon_sym_comptime] = ACTIONS(1134),
    [anon_sym_extern] = ACTIONS(1134),
    [anon_sym_const] = ACTIONS(1134),
    [anon_sym_var] = ACTIONS(1134),
    [anon_sym_inline] = ACTIONS(1134),
    [anon_sym_fn] = ACTIONS(1134),
    [anon_sym_LPAREN] = ACTIONS(1136),
    [anon_sym_LBRACE] = ACTIONS(1136),
    [anon_sym_RBRACE] = ACTIONS(1136),
    [anon_sym_packed] = ACTIONS(1134),
    [anon_sym_struct] = ACTIONS(1134),
    [anon_sym_opaque] = ACTIONS(1134),
    [anon_sym_enum] = ACTIONS(1134),
    [anon_sym_union] = ACTIONS(1134),
    [anon_sym_error] = ACTIONS(1134),
    [anon_sym_nosuspend] = ACTIONS(1134),
    [anon_sym_suspend] = ACTIONS(1134),
    [anon_sym_defer] = ACTIONS(1134),
    [anon_sym_errdefer] = ACTIONS(1134),
    [anon_sym_if] = ACTIONS(1134),
    [anon_sym_for] = ACTIONS(1134),
    [anon_sym_while] = ACTIONS(1134),
    [anon_sym_STAR] = ACTIONS(1136),
    [anon_sym_asm] = ACTIONS(1134),
    [anon_sym_LBRACK] = ACTIONS(1136),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1134),
    [anon_sym_DASH_PERCENT] = ACTIONS(1136),
    [anon_sym_AMP] = ACTIONS(1136),
    [anon_sym_async] = ACTIONS(1134),
    [anon_sym_await] = ACTIONS(1134),
    [anon_sym_continue] = ACTIONS(1134),
    [anon_sym_resume] = ACTIONS(1134),
    [anon_sym_return] = ACTIONS(1134),
    [anon_sym_break] = ACTIONS(1134),
    [anon_sym_try] = ACTIONS(1134),
    [anon_sym_switch] = ACTIONS(1134),
    [anon_sym_anyframe] = ACTIONS(1134),
    [anon_sym_unreachable] = ACTIONS(1134),
    [anon_sym_undefined] = ACTIONS(1134),
    [anon_sym_null] = ACTIONS(1134),
    [anon_sym_QMARK] = ACTIONS(1136),
    [anon_sym_DOT] = ACTIONS(1136),
    [anon_sym_DQUOTE] = ACTIONS(1136),
    [aux_sym_multiline_string_token1] = ACTIONS(1136),
    [anon_sym_SQUOTE] = ACTIONS(1136),
    [sym_integer] = ACTIONS(1134),
    [sym_float] = ACTIONS(1136),
    [anon_sym_true] = ACTIONS(1134),
    [anon_sym_false] = ACTIONS(1134),
    [anon_sym_bool] = ACTIONS(1134),
    [anon_sym_f16] = ACTIONS(1134),
    [anon_sym_f32] = ACTIONS(1134),
    [anon_sym_f64] = ACTIONS(1134),
    [anon_sym_f128] = ACTIONS(1134),
    [anon_sym_void] = ACTIONS(1134),
    [anon_sym_type] = ACTIONS(1134),
    [anon_sym_anyerror] = ACTIONS(1134),
    [anon_sym_anyopaque] = ACTIONS(1134),
    [anon_sym_anytype] = ACTIONS(1134),
    [anon_sym_noreturn] = ACTIONS(1134),
    [anon_sym_isize] = ACTIONS(1134),
    [anon_sym_usize] = ACTIONS(1134),
    [anon_sym_comptime_int] = ACTIONS(1134),
    [anon_sym_comptime_float] = ACTIONS(1134),
    [anon_sym_c_short] = ACTIONS(1134),
    [anon_sym_c_ushort] = ACTIONS(1134),
    [anon_sym_c_int] = ACTIONS(1134),
    [anon_sym_c_uint] = ACTIONS(1134),
    [anon_sym_c_long] = ACTIONS(1134),
    [anon_sym_c_ulong] = ACTIONS(1134),
    [anon_sym_c_longlong] = ACTIONS(1134),
    [anon_sym_c_ulonglong] = ACTIONS(1134),
    [anon_sym_c_longdouble] = ACTIONS(1134),
    [aux_sym_builtin_type_token1] = ACTIONS(1134),
    [sym_builtin_identifier] = ACTIONS(1136),
    [anon_sym_AT] = ACTIONS(1134),
    [sym_comment] = ACTIONS(3),
  },
  [752] = {
    [sym__identifier] = ACTIONS(1138),
    [anon_sym_comptime] = ACTIONS(1138),
    [anon_sym_extern] = ACTIONS(1138),
    [anon_sym_const] = ACTIONS(1138),
    [anon_sym_var] = ACTIONS(1138),
    [anon_sym_inline] = ACTIONS(1138),
    [anon_sym_fn] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1140),
    [anon_sym_LBRACE] = ACTIONS(1140),
    [anon_sym_RBRACE] = ACTIONS(1140),
    [anon_sym_packed] = ACTIONS(1138),
    [anon_sym_struct] = ACTIONS(1138),
    [anon_sym_opaque] = ACTIONS(1138),
    [anon_sym_enum] = ACTIONS(1138),
    [anon_sym_union] = ACTIONS(1138),
    [anon_sym_error] = ACTIONS(1138),
    [anon_sym_nosuspend] = ACTIONS(1138),
    [anon_sym_suspend] = ACTIONS(1138),
    [anon_sym_defer] = ACTIONS(1138),
    [anon_sym_errdefer] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(1138),
    [anon_sym_for] = ACTIONS(1138),
    [anon_sym_while] = ACTIONS(1138),
    [anon_sym_STAR] = ACTIONS(1140),
    [anon_sym_asm] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(1140),
    [anon_sym_BANG] = ACTIONS(1140),
    [anon_sym_TILDE] = ACTIONS(1140),
    [anon_sym_DASH] = ACTIONS(1138),
    [anon_sym_DASH_PERCENT] = ACTIONS(1140),
    [anon_sym_AMP] = ACTIONS(1140),
    [anon_sym_async] = ACTIONS(1138),
    [anon_sym_await] = ACTIONS(1138),
    [anon_sym_continue] = ACTIONS(1138),
    [anon_sym_resume] = ACTIONS(1138),
    [anon_sym_return] = ACTIONS(1138),
    [anon_sym_break] = ACTIONS(1138),
    [anon_sym_try] = ACTIONS(1138),
    [anon_sym_switch] = ACTIONS(1138),
    [anon_sym_anyframe] = ACTIONS(1138),
    [anon_sym_unreachable] = ACTIONS(1138),
    [anon_sym_undefined] = ACTIONS(1138),
    [anon_sym_null] = ACTIONS(1138),
    [anon_sym_QMARK] = ACTIONS(1140),
    [anon_sym_DOT] = ACTIONS(1140),
    [anon_sym_DQUOTE] = ACTIONS(1140),
    [aux_sym_multiline_string_token1] = ACTIONS(1140),
    [anon_sym_SQUOTE] = ACTIONS(1140),
    [sym_integer] = ACTIONS(1138),
    [sym_float] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1138),
    [anon_sym_false] = ACTIONS(1138),
    [anon_sym_bool] = ACTIONS(1138),
    [anon_sym_f16] = ACTIONS(1138),
    [anon_sym_f32] = ACTIONS(1138),
    [anon_sym_f64] = ACTIONS(1138),
    [anon_sym_f128] = ACTIONS(1138),
    [anon_sym_void] = ACTIONS(1138),
    [anon_sym_type] = ACTIONS(1138),
    [anon_sym_anyerror] = ACTIONS(1138),
    [anon_sym_anyopaque] = ACTIONS(1138),
    [anon_sym_anytype] = ACTIONS(1138),
    [anon_sym_noreturn] = ACTIONS(1138),
    [anon_sym_isize] = ACTIONS(1138),
    [anon_sym_usize] = ACTIONS(1138),
    [anon_sym_comptime_int] = ACTIONS(1138),
    [anon_sym_comptime_float] = ACTIONS(1138),
    [anon_sym_c_short] = ACTIONS(1138),
    [anon_sym_c_ushort] = ACTIONS(1138),
    [anon_sym_c_int] = ACTIONS(1138),
    [anon_sym_c_uint] = ACTIONS(1138),
    [anon_sym_c_long] = ACTIONS(1138),
    [anon_sym_c_ulong] = ACTIONS(1138),
    [anon_sym_c_longlong] = ACTIONS(1138),
    [anon_sym_c_ulonglong] = ACTIONS(1138),
    [anon_sym_c_longdouble] = ACTIONS(1138),
    [aux_sym_builtin_type_token1] = ACTIONS(1138),
    [sym_builtin_identifier] = ACTIONS(1140),
    [anon_sym_AT] = ACTIONS(1138),
    [sym_comment] = ACTIONS(3),
  },
  [753] = {
    [sym__identifier] = ACTIONS(1142),
    [anon_sym_comptime] = ACTIONS(1142),
    [anon_sym_extern] = ACTIONS(1142),
    [anon_sym_const] = ACTIONS(1142),
    [anon_sym_var] = ACTIONS(1142),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym_fn] = ACTIONS(1142),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_LBRACE] = ACTIONS(1144),
    [anon_sym_RBRACE] = ACTIONS(1144),
    [anon_sym_packed] = ACTIONS(1142),
    [anon_sym_struct] = ACTIONS(1142),
    [anon_sym_opaque] = ACTIONS(1142),
    [anon_sym_enum] = ACTIONS(1142),
    [anon_sym_union] = ACTIONS(1142),
    [anon_sym_error] = ACTIONS(1142),
    [anon_sym_nosuspend] = ACTIONS(1142),
    [anon_sym_suspend] = ACTIONS(1142),
    [anon_sym_defer] = ACTIONS(1142),
    [anon_sym_errdefer] = ACTIONS(1142),
    [anon_sym_if] = ACTIONS(1142),
    [anon_sym_for] = ACTIONS(1142),
    [anon_sym_while] = ACTIONS(1142),
    [anon_sym_STAR] = ACTIONS(1144),
    [anon_sym_asm] = ACTIONS(1142),
    [anon_sym_LBRACK] = ACTIONS(1144),
    [anon_sym_BANG] = ACTIONS(1144),
    [anon_sym_TILDE] = ACTIONS(1144),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_DASH_PERCENT] = ACTIONS(1144),
    [anon_sym_AMP] = ACTIONS(1144),
    [anon_sym_async] = ACTIONS(1142),
    [anon_sym_await] = ACTIONS(1142),
    [anon_sym_continue] = ACTIONS(1142),
    [anon_sym_resume] = ACTIONS(1142),
    [anon_sym_return] = ACTIONS(1142),
    [anon_sym_break] = ACTIONS(1142),
    [anon_sym_try] = ACTIONS(1142),
    [anon_sym_switch] = ACTIONS(1142),
    [anon_sym_anyframe] = ACTIONS(1142),
    [anon_sym_unreachable] = ACTIONS(1142),
    [anon_sym_undefined] = ACTIONS(1142),
    [anon_sym_null] = ACTIONS(1142),
    [anon_sym_QMARK] = ACTIONS(1144),
    [anon_sym_DOT] = ACTIONS(1144),
    [anon_sym_DQUOTE] = ACTIONS(1144),
    [aux_sym_multiline_string_token1] = ACTIONS(1144),
    [anon_sym_SQUOTE] = ACTIONS(1144),
    [sym_integer] = ACTIONS(1142),
    [sym_float] = ACTIONS(1144),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [anon_sym_bool] = ACTIONS(1142),
    [anon_sym_f16] = ACTIONS(1142),
    [anon_sym_f32] = ACTIONS(1142),
    [anon_sym_f64] = ACTIONS(1142),
    [anon_sym_f128] = ACTIONS(1142),
    [anon_sym_void] = ACTIONS(1142),
    [anon_sym_type] = ACTIONS(1142),
    [anon_sym_anyerror] = ACTIONS(1142),
    [anon_sym_anyopaque] = ACTIONS(1142),
    [anon_sym_anytype] = ACTIONS(1142),
    [anon_sym_noreturn] = ACTIONS(1142),
    [anon_sym_isize] = ACTIONS(1142),
    [anon_sym_usize] = ACTIONS(1142),
    [anon_sym_comptime_int] = ACTIONS(1142),
    [anon_sym_comptime_float] = ACTIONS(1142),
    [anon_sym_c_short] = ACTIONS(1142),
    [anon_sym_c_ushort] = ACTIONS(1142),
    [anon_sym_c_int] = ACTIONS(1142),
    [anon_sym_c_uint] = ACTIONS(1142),
    [anon_sym_c_long] = ACTIONS(1142),
    [anon_sym_c_ulong] = ACTIONS(1142),
    [anon_sym_c_longlong] = ACTIONS(1142),
    [anon_sym_c_ulonglong] = ACTIONS(1142),
    [anon_sym_c_longdouble] = ACTIONS(1142),
    [aux_sym_builtin_type_token1] = ACTIONS(1142),
    [sym_builtin_identifier] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(1142),
    [sym_comment] = ACTIONS(3),
  },
  [754] = {
    [sym__identifier] = ACTIONS(1146),
    [anon_sym_comptime] = ACTIONS(1146),
    [anon_sym_extern] = ACTIONS(1146),
    [anon_sym_const] = ACTIONS(1146),
    [anon_sym_var] = ACTIONS(1146),
    [anon_sym_inline] = ACTIONS(1146),
    [anon_sym_fn] = ACTIONS(1146),
    [anon_sym_LPAREN] = ACTIONS(1148),
    [anon_sym_LBRACE] = ACTIONS(1148),
    [anon_sym_RBRACE] = ACTIONS(1148),
    [anon_sym_packed] = ACTIONS(1146),
    [anon_sym_struct] = ACTIONS(1146),
    [anon_sym_opaque] = ACTIONS(1146),
    [anon_sym_enum] = ACTIONS(1146),
    [anon_sym_union] = ACTIONS(1146),
    [anon_sym_error] = ACTIONS(1146),
    [anon_sym_nosuspend] = ACTIONS(1146),
    [anon_sym_suspend] = ACTIONS(1146),
    [anon_sym_defer] = ACTIONS(1146),
    [anon_sym_errdefer] = ACTIONS(1146),
    [anon_sym_if] = ACTIONS(1146),
    [anon_sym_for] = ACTIONS(1146),
    [anon_sym_while] = ACTIONS(1146),
    [anon_sym_STAR] = ACTIONS(1148),
    [anon_sym_asm] = ACTIONS(1146),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_BANG] = ACTIONS(1148),
    [anon_sym_TILDE] = ACTIONS(1148),
    [anon_sym_DASH] = ACTIONS(1146),
    [anon_sym_DASH_PERCENT] = ACTIONS(1148),
    [anon_sym_AMP] = ACTIONS(1148),
    [anon_sym_async] = ACTIONS(1146),
    [anon_sym_await] = ACTIONS(1146),
    [anon_sym_continue] = ACTIONS(1146),
    [anon_sym_resume] = ACTIONS(1146),
    [anon_sym_return] = ACTIONS(1146),
    [anon_sym_break] = ACTIONS(1146),
    [anon_sym_try] = ACTIONS(1146),
    [anon_sym_switch] = ACTIONS(1146),
    [anon_sym_anyframe] = ACTIONS(1146),
    [anon_sym_unreachable] = ACTIONS(1146),
    [anon_sym_undefined] = ACTIONS(1146),
    [anon_sym_null] = ACTIONS(1146),
    [anon_sym_QMARK] = ACTIONS(1148),
    [anon_sym_DOT] = ACTIONS(1148),
    [anon_sym_DQUOTE] = ACTIONS(1148),
    [aux_sym_multiline_string_token1] = ACTIONS(1148),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [sym_integer] = ACTIONS(1146),
    [sym_float] = ACTIONS(1148),
    [anon_sym_true] = ACTIONS(1146),
    [anon_sym_false] = ACTIONS(1146),
    [anon_sym_bool] = ACTIONS(1146),
    [anon_sym_f16] = ACTIONS(1146),
    [anon_sym_f32] = ACTIONS(1146),
    [anon_sym_f64] = ACTIONS(1146),
    [anon_sym_f128] = ACTIONS(1146),
    [anon_sym_void] = ACTIONS(1146),
    [anon_sym_type] = ACTIONS(1146),
    [anon_sym_anyerror] = ACTIONS(1146),
    [anon_sym_anyopaque] = ACTIONS(1146),
    [anon_sym_anytype] = ACTIONS(1146),
    [anon_sym_noreturn] = ACTIONS(1146),
    [anon_sym_isize] = ACTIONS(1146),
    [anon_sym_usize] = ACTIONS(1146),
    [anon_sym_comptime_int] = ACTIONS(1146),
    [anon_sym_comptime_float] = ACTIONS(1146),
    [anon_sym_c_short] = ACTIONS(1146),
    [anon_sym_c_ushort] = ACTIONS(1146),
    [anon_sym_c_int] = ACTIONS(1146),
    [anon_sym_c_uint] = ACTIONS(1146),
    [anon_sym_c_long] = ACTIONS(1146),
    [anon_sym_c_ulong] = ACTIONS(1146),
    [anon_sym_c_longlong] = ACTIONS(1146),
    [anon_sym_c_ulonglong] = ACTIONS(1146),
    [anon_sym_c_longdouble] = ACTIONS(1146),
    [aux_sym_builtin_type_token1] = ACTIONS(1146),
    [sym_builtin_identifier] = ACTIONS(1148),
    [anon_sym_AT] = ACTIONS(1146),
    [sym_comment] = ACTIONS(3),
  },
  [755] = {
    [sym__identifier] = ACTIONS(1150),
    [anon_sym_comptime] = ACTIONS(1150),
    [anon_sym_COLON] = ACTIONS(1152),
    [anon_sym_extern] = ACTIONS(1150),
    [anon_sym_const] = ACTIONS(1150),
    [anon_sym_var] = ACTIONS(1150),
    [anon_sym_inline] = ACTIONS(1150),
    [anon_sym_fn] = ACTIONS(1150),
    [anon_sym_LPAREN] = ACTIONS(1152),
    [anon_sym_LBRACE] = ACTIONS(1152),
    [anon_sym_packed] = ACTIONS(1150),
    [anon_sym_struct] = ACTIONS(1150),
    [anon_sym_opaque] = ACTIONS(1150),
    [anon_sym_enum] = ACTIONS(1150),
    [anon_sym_union] = ACTIONS(1150),
    [anon_sym_error] = ACTIONS(1150),
    [anon_sym_nosuspend] = ACTIONS(1150),
    [anon_sym_suspend] = ACTIONS(1150),
    [anon_sym_defer] = ACTIONS(1150),
    [anon_sym_errdefer] = ACTIONS(1150),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_for] = ACTIONS(1150),
    [anon_sym_while] = ACTIONS(1150),
    [anon_sym_STAR] = ACTIONS(1152),
    [anon_sym_asm] = ACTIONS(1150),
    [anon_sym_LBRACK] = ACTIONS(1152),
    [anon_sym_BANG] = ACTIONS(1152),
    [anon_sym_TILDE] = ACTIONS(1152),
    [anon_sym_DASH] = ACTIONS(1150),
    [anon_sym_DASH_PERCENT] = ACTIONS(1152),
    [anon_sym_AMP] = ACTIONS(1152),
    [anon_sym_async] = ACTIONS(1150),
    [anon_sym_await] = ACTIONS(1150),
    [anon_sym_continue] = ACTIONS(1150),
    [anon_sym_resume] = ACTIONS(1150),
    [anon_sym_return] = ACTIONS(1150),
    [anon_sym_break] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(1150),
    [anon_sym_switch] = ACTIONS(1150),
    [anon_sym_anyframe] = ACTIONS(1150),
    [anon_sym_unreachable] = ACTIONS(1150),
    [anon_sym_undefined] = ACTIONS(1150),
    [anon_sym_null] = ACTIONS(1150),
    [anon_sym_QMARK] = ACTIONS(1152),
    [anon_sym_DOT] = ACTIONS(1152),
    [anon_sym_DQUOTE] = ACTIONS(1152),
    [aux_sym_multiline_string_token1] = ACTIONS(1152),
    [anon_sym_SQUOTE] = ACTIONS(1152),
    [sym_integer] = ACTIONS(1150),
    [sym_float] = ACTIONS(1152),
    [anon_sym_true] = ACTIONS(1150),
    [anon_sym_false] = ACTIONS(1150),
    [anon_sym_bool] = ACTIONS(1150),
    [anon_sym_f16] = ACTIONS(1150),
    [anon_sym_f32] = ACTIONS(1150),
    [anon_sym_f64] = ACTIONS(1150),
    [anon_sym_f128] = ACTIONS(1150),
    [anon_sym_void] = ACTIONS(1150),
    [anon_sym_type] = ACTIONS(1150),
    [anon_sym_anyerror] = ACTIONS(1150),
    [anon_sym_anyopaque] = ACTIONS(1150),
    [anon_sym_anytype] = ACTIONS(1150),
    [anon_sym_noreturn] = ACTIONS(1150),
    [anon_sym_isize] = ACTIONS(1150),
    [anon_sym_usize] = ACTIONS(1150),
    [anon_sym_comptime_int] = ACTIONS(1150),
    [anon_sym_comptime_float] = ACTIONS(1150),
    [anon_sym_c_short] = ACTIONS(1150),
    [anon_sym_c_ushort] = ACTIONS(1150),
    [anon_sym_c_int] = ACTIONS(1150),
    [anon_sym_c_uint] = ACTIONS(1150),
    [anon_sym_c_long] = ACTIONS(1150),
    [anon_sym_c_ulong] = ACTIONS(1150),
    [anon_sym_c_longlong] = ACTIONS(1150),
    [anon_sym_c_ulonglong] = ACTIONS(1150),
    [anon_sym_c_longdouble] = ACTIONS(1150),
    [aux_sym_builtin_type_token1] = ACTIONS(1150),
    [sym_builtin_identifier] = ACTIONS(1152),
    [anon_sym_AT] = ACTIONS(1150),
    [sym_comment] = ACTIONS(3),
  },
  [756] = {
    [sym__identifier] = ACTIONS(1154),
    [anon_sym_comptime] = ACTIONS(1154),
    [anon_sym_extern] = ACTIONS(1154),
    [anon_sym_const] = ACTIONS(1154),
    [anon_sym_var] = ACTIONS(1154),
    [anon_sym_inline] = ACTIONS(1154),
    [anon_sym_fn] = ACTIONS(1154),
    [anon_sym_LPAREN] = ACTIONS(1156),
    [anon_sym_LBRACE] = ACTIONS(1156),
    [anon_sym_RBRACE] = ACTIONS(1156),
    [anon_sym_packed] = ACTIONS(1154),
    [anon_sym_struct] = ACTIONS(1154),
    [anon_sym_opaque] = ACTIONS(1154),
    [anon_sym_enum] = ACTIONS(1154),
    [anon_sym_union] = ACTIONS(1154),
    [anon_sym_error] = ACTIONS(1154),
    [anon_sym_nosuspend] = ACTIONS(1154),
    [anon_sym_suspend] = ACTIONS(1154),
    [anon_sym_defer] = ACTIONS(1154),
    [anon_sym_errdefer] = ACTIONS(1154),
    [anon_sym_if] = ACTIONS(1154),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_STAR] = ACTIONS(1156),
    [anon_sym_asm] = ACTIONS(1154),
    [anon_sym_LBRACK] = ACTIONS(1156),
    [anon_sym_BANG] = ACTIONS(1156),
    [anon_sym_TILDE] = ACTIONS(1156),
    [anon_sym_DASH] = ACTIONS(1154),
    [anon_sym_DASH_PERCENT] = ACTIONS(1156),
    [anon_sym_AMP] = ACTIONS(1156),
    [anon_sym_async] = ACTIONS(1154),
    [anon_sym_await] = ACTIONS(1154),
    [anon_sym_continue] = ACTIONS(1154),
    [anon_sym_resume] = ACTIONS(1154),
    [anon_sym_return] = ACTIONS(1154),
    [anon_sym_break] = ACTIONS(1154),
    [anon_sym_try] = ACTIONS(1154),
    [anon_sym_switch] = ACTIONS(1154),
    [anon_sym_anyframe] = ACTIONS(1154),
    [anon_sym_unreachable] = ACTIONS(1154),
    [anon_sym_undefined] = ACTIONS(1154),
    [anon_sym_null] = ACTIONS(1154),
    [anon_sym_QMARK] = ACTIONS(1156),
    [anon_sym_DOT] = ACTIONS(1156),
    [anon_sym_DQUOTE] = ACTIONS(1156),
    [aux_sym_multiline_string_token1] = ACTIONS(1156),
    [anon_sym_SQUOTE] = ACTIONS(1156),
    [sym_integer] = ACTIONS(1154),
    [sym_float] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1154),
    [anon_sym_false] = ACTIONS(1154),
    [anon_sym_bool] = ACTIONS(1154),
    [anon_sym_f16] = ACTIONS(1154),
    [anon_sym_f32] = ACTIONS(1154),
    [anon_sym_f64] = ACTIONS(1154),
    [anon_sym_f128] = ACTIONS(1154),
    [anon_sym_void] = ACTIONS(1154),
    [anon_sym_type] = ACTIONS(1154),
    [anon_sym_anyerror] = ACTIONS(1154),
    [anon_sym_anyopaque] = ACTIONS(1154),
    [anon_sym_anytype] = ACTIONS(1154),
    [anon_sym_noreturn] = ACTIONS(1154),
    [anon_sym_isize] = ACTIONS(1154),
    [anon_sym_usize] = ACTIONS(1154),
    [anon_sym_comptime_int] = ACTIONS(1154),
    [anon_sym_comptime_float] = ACTIONS(1154),
    [anon_sym_c_short] = ACTIONS(1154),
    [anon_sym_c_ushort] = ACTIONS(1154),
    [anon_sym_c_int] = ACTIONS(1154),
    [anon_sym_c_uint] = ACTIONS(1154),
    [anon_sym_c_long] = ACTIONS(1154),
    [anon_sym_c_ulong] = ACTIONS(1154),
    [anon_sym_c_longlong] = ACTIONS(1154),
    [anon_sym_c_ulonglong] = ACTIONS(1154),
    [anon_sym_c_longdouble] = ACTIONS(1154),
    [aux_sym_builtin_type_token1] = ACTIONS(1154),
    [sym_builtin_identifier] = ACTIONS(1156),
    [anon_sym_AT] = ACTIONS(1154),
    [sym_comment] = ACTIONS(3),
  },
  [757] = {
    [sym__identifier] = ACTIONS(956),
    [anon_sym_comptime] = ACTIONS(956),
    [anon_sym_extern] = ACTIONS(956),
    [anon_sym_const] = ACTIONS(956),
    [anon_sym_var] = ACTIONS(956),
    [anon_sym_inline] = ACTIONS(956),
    [anon_sym_fn] = ACTIONS(956),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LBRACE] = ACTIONS(962),
    [anon_sym_RBRACE] = ACTIONS(962),
    [anon_sym_packed] = ACTIONS(956),
    [anon_sym_struct] = ACTIONS(956),
    [anon_sym_opaque] = ACTIONS(956),
    [anon_sym_enum] = ACTIONS(956),
    [anon_sym_union] = ACTIONS(956),
    [anon_sym_error] = ACTIONS(956),
    [anon_sym_nosuspend] = ACTIONS(956),
    [anon_sym_suspend] = ACTIONS(956),
    [anon_sym_defer] = ACTIONS(956),
    [anon_sym_errdefer] = ACTIONS(956),
    [anon_sym_if] = ACTIONS(956),
    [anon_sym_for] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(956),
    [anon_sym_STAR] = ACTIONS(962),
    [anon_sym_asm] = ACTIONS(956),
    [anon_sym_LBRACK] = ACTIONS(962),
    [anon_sym_BANG] = ACTIONS(962),
    [anon_sym_TILDE] = ACTIONS(962),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_DASH_PERCENT] = ACTIONS(962),
    [anon_sym_AMP] = ACTIONS(962),
    [anon_sym_async] = ACTIONS(956),
    [anon_sym_await] = ACTIONS(956),
    [anon_sym_continue] = ACTIONS(956),
    [anon_sym_resume] = ACTIONS(956),
    [anon_sym_return] = ACTIONS(956),
    [anon_sym_break] = ACTIONS(956),
    [anon_sym_try] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(956),
    [anon_sym_anyframe] = ACTIONS(956),
    [anon_sym_unreachable] = ACTIONS(956),
    [anon_sym_undefined] = ACTIONS(956),
    [anon_sym_null] = ACTIONS(956),
    [anon_sym_QMARK] = ACTIONS(962),
    [anon_sym_DOT] = ACTIONS(962),
    [anon_sym_DQUOTE] = ACTIONS(962),
    [aux_sym_multiline_string_token1] = ACTIONS(962),
    [anon_sym_SQUOTE] = ACTIONS(962),
    [sym_integer] = ACTIONS(956),
    [sym_float] = ACTIONS(962),
    [anon_sym_true] = ACTIONS(956),
    [anon_sym_false] = ACTIONS(956),
    [anon_sym_bool] = ACTIONS(956),
    [anon_sym_f16] = ACTIONS(956),
    [anon_sym_f32] = ACTIONS(956),
    [anon_sym_f64] = ACTIONS(956),
    [anon_sym_f128] = ACTIONS(956),
    [anon_sym_void] = ACTIONS(956),
    [anon_sym_type] = ACTIONS(956),
    [anon_sym_anyerror] = ACTIONS(956),
    [anon_sym_anyopaque] = ACTIONS(956),
    [anon_sym_anytype] = ACTIONS(956),
    [anon_sym_noreturn] = ACTIONS(956),
    [anon_sym_isize] = ACTIONS(956),
    [anon_sym_usize] = ACTIONS(956),
    [anon_sym_comptime_int] = ACTIONS(956),
    [anon_sym_comptime_float] = ACTIONS(956),
    [anon_sym_c_short] = ACTIONS(956),
    [anon_sym_c_ushort] = ACTIONS(956),
    [anon_sym_c_int] = ACTIONS(956),
    [anon_sym_c_uint] = ACTIONS(956),
    [anon_sym_c_long] = ACTIONS(956),
    [anon_sym_c_ulong] = ACTIONS(956),
    [anon_sym_c_longlong] = ACTIONS(956),
    [anon_sym_c_ulonglong] = ACTIONS(956),
    [anon_sym_c_longdouble] = ACTIONS(956),
    [aux_sym_builtin_type_token1] = ACTIONS(956),
    [sym_builtin_identifier] = ACTIONS(962),
    [anon_sym_AT] = ACTIONS(956),
    [sym_comment] = ACTIONS(3),
  },
  [758] = {
    [sym__identifier] = ACTIONS(1158),
    [anon_sym_comptime] = ACTIONS(1158),
    [anon_sym_extern] = ACTIONS(1158),
    [anon_sym_const] = ACTIONS(1158),
    [anon_sym_var] = ACTIONS(1158),
    [anon_sym_inline] = ACTIONS(1158),
    [anon_sym_fn] = ACTIONS(1158),
    [anon_sym_LPAREN] = ACTIONS(1160),
    [anon_sym_LBRACE] = ACTIONS(1160),
    [anon_sym_RBRACE] = ACTIONS(1160),
    [anon_sym_packed] = ACTIONS(1158),
    [anon_sym_struct] = ACTIONS(1158),
    [anon_sym_opaque] = ACTIONS(1158),
    [anon_sym_enum] = ACTIONS(1158),
    [anon_sym_union] = ACTIONS(1158),
    [anon_sym_error] = ACTIONS(1158),
    [anon_sym_nosuspend] = ACTIONS(1158),
    [anon_sym_suspend] = ACTIONS(1158),
    [anon_sym_defer] = ACTIONS(1158),
    [anon_sym_errdefer] = ACTIONS(1158),
    [anon_sym_if] = ACTIONS(1158),
    [anon_sym_for] = ACTIONS(1158),
    [anon_sym_while] = ACTIONS(1158),
    [anon_sym_STAR] = ACTIONS(1160),
    [anon_sym_asm] = ACTIONS(1158),
    [anon_sym_LBRACK] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(1160),
    [anon_sym_TILDE] = ACTIONS(1160),
    [anon_sym_DASH] = ACTIONS(1158),
    [anon_sym_DASH_PERCENT] = ACTIONS(1160),
    [anon_sym_AMP] = ACTIONS(1160),
    [anon_sym_async] = ACTIONS(1158),
    [anon_sym_await] = ACTIONS(1158),
    [anon_sym_continue] = ACTIONS(1158),
    [anon_sym_resume] = ACTIONS(1158),
    [anon_sym_return] = ACTIONS(1158),
    [anon_sym_break] = ACTIONS(1158),
    [anon_sym_try] = ACTIONS(1158),
    [anon_sym_switch] = ACTIONS(1158),
    [anon_sym_anyframe] = ACTIONS(1158),
    [anon_sym_unreachable] = ACTIONS(1158),
    [anon_sym_undefined] = ACTIONS(1158),
    [anon_sym_null] = ACTIONS(1158),
    [anon_sym_QMARK] = ACTIONS(1160),
    [anon_sym_DOT] = ACTIONS(1160),
    [anon_sym_DQUOTE] = ACTIONS(1160),
    [aux_sym_multiline_string_token1] = ACTIONS(1160),
    [anon_sym_SQUOTE] = ACTIONS(1160),
    [sym_integer] = ACTIONS(1158),
    [sym_float] = ACTIONS(1160),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [anon_sym_bool] = ACTIONS(1158),
    [anon_sym_f16] = ACTIONS(1158),
    [anon_sym_f32] = ACTIONS(1158),
    [anon_sym_f64] = ACTIONS(1158),
    [anon_sym_f128] = ACTIONS(1158),
    [anon_sym_void] = ACTIONS(1158),
    [anon_sym_type] = ACTIONS(1158),
    [anon_sym_anyerror] = ACTIONS(1158),
    [anon_sym_anyopaque] = ACTIONS(1158),
    [anon_sym_anytype] = ACTIONS(1158),
    [anon_sym_noreturn] = ACTIONS(1158),
    [anon_sym_isize] = ACTIONS(1158),
    [anon_sym_usize] = ACTIONS(1158),
    [anon_sym_comptime_int] = ACTIONS(1158),
    [anon_sym_comptime_float] = ACTIONS(1158),
    [anon_sym_c_short] = ACTIONS(1158),
    [anon_sym_c_ushort] = ACTIONS(1158),
    [anon_sym_c_int] = ACTIONS(1158),
    [anon_sym_c_uint] = ACTIONS(1158),
    [anon_sym_c_long] = ACTIONS(1158),
    [anon_sym_c_ulong] = ACTIONS(1158),
    [anon_sym_c_longlong] = ACTIONS(1158),
    [anon_sym_c_ulonglong] = ACTIONS(1158),
    [anon_sym_c_longdouble] = ACTIONS(1158),
    [aux_sym_builtin_type_token1] = ACTIONS(1158),
    [sym_builtin_identifier] = ACTIONS(1160),
    [anon_sym_AT] = ACTIONS(1158),
    [sym_comment] = ACTIONS(3),
  },
  [759] = {
    [sym__identifier] = ACTIONS(1162),
    [anon_sym_comptime] = ACTIONS(1162),
    [anon_sym_extern] = ACTIONS(1162),
    [anon_sym_const] = ACTIONS(1162),
    [anon_sym_var] = ACTIONS(1162),
    [anon_sym_inline] = ACTIONS(1162),
    [anon_sym_fn] = ACTIONS(1162),
    [anon_sym_LPAREN] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(1164),
    [anon_sym_RBRACE] = ACTIONS(1164),
    [anon_sym_packed] = ACTIONS(1162),
    [anon_sym_struct] = ACTIONS(1162),
    [anon_sym_opaque] = ACTIONS(1162),
    [anon_sym_enum] = ACTIONS(1162),
    [anon_sym_union] = ACTIONS(1162),
    [anon_sym_error] = ACTIONS(1162),
    [anon_sym_nosuspend] = ACTIONS(1162),
    [anon_sym_suspend] = ACTIONS(1162),
    [anon_sym_defer] = ACTIONS(1162),
    [anon_sym_errdefer] = ACTIONS(1162),
    [anon_sym_if] = ACTIONS(1162),
    [anon_sym_for] = ACTIONS(1162),
    [anon_sym_while] = ACTIONS(1162),
    [anon_sym_STAR] = ACTIONS(1164),
    [anon_sym_asm] = ACTIONS(1162),
    [anon_sym_LBRACK] = ACTIONS(1164),
    [anon_sym_BANG] = ACTIONS(1164),
    [anon_sym_TILDE] = ACTIONS(1164),
    [anon_sym_DASH] = ACTIONS(1162),
    [anon_sym_DASH_PERCENT] = ACTIONS(1164),
    [anon_sym_AMP] = ACTIONS(1164),
    [anon_sym_async] = ACTIONS(1162),
    [anon_sym_await] = ACTIONS(1162),
    [anon_sym_continue] = ACTIONS(1162),
    [anon_sym_resume] = ACTIONS(1162),
    [anon_sym_return] = ACTIONS(1162),
    [anon_sym_break] = ACTIONS(1162),
    [anon_sym_try] = ACTIONS(1162),
    [anon_sym_switch] = ACTIONS(1162),
    [anon_sym_anyframe] = ACTIONS(1162),
    [anon_sym_unreachable] = ACTIONS(1162),
    [anon_sym_undefined] = ACTIONS(1162),
    [anon_sym_null] = ACTIONS(1162),
    [anon_sym_QMARK] = ACTIONS(1164),
    [anon_sym_DOT] = ACTIONS(1164),
    [anon_sym_DQUOTE] = ACTIONS(1164),
    [aux_sym_multiline_string_token1] = ACTIONS(1164),
    [anon_sym_SQUOTE] = ACTIONS(1164),
    [sym_integer] = ACTIONS(1162),
    [sym_float] = ACTIONS(1164),
    [anon_sym_true] = ACTIONS(1162),
    [anon_sym_false] = ACTIONS(1162),
    [anon_sym_bool] = ACTIONS(1162),
    [anon_sym_f16] = ACTIONS(1162),
    [anon_sym_f32] = ACTIONS(1162),
    [anon_sym_f64] = ACTIONS(1162),
    [anon_sym_f128] = ACTIONS(1162),
    [anon_sym_void] = ACTIONS(1162),
    [anon_sym_type] = ACTIONS(1162),
    [anon_sym_anyerror] = ACTIONS(1162),
    [anon_sym_anyopaque] = ACTIONS(1162),
    [anon_sym_anytype] = ACTIONS(1162),
    [anon_sym_noreturn] = ACTIONS(1162),
    [anon_sym_isize] = ACTIONS(1162),
    [anon_sym_usize] = ACTIONS(1162),
    [anon_sym_comptime_int] = ACTIONS(1162),
    [anon_sym_comptime_float] = ACTIONS(1162),
    [anon_sym_c_short] = ACTIONS(1162),
    [anon_sym_c_ushort] = ACTIONS(1162),
    [anon_sym_c_int] = ACTIONS(1162),
    [anon_sym_c_uint] = ACTIONS(1162),
    [anon_sym_c_long] = ACTIONS(1162),
    [anon_sym_c_ulong] = ACTIONS(1162),
    [anon_sym_c_longlong] = ACTIONS(1162),
    [anon_sym_c_ulonglong] = ACTIONS(1162),
    [anon_sym_c_longdouble] = ACTIONS(1162),
    [aux_sym_builtin_type_token1] = ACTIONS(1162),
    [sym_builtin_identifier] = ACTIONS(1164),
    [anon_sym_AT] = ACTIONS(1162),
    [sym_comment] = ACTIONS(3),
  },
  [760] = {
    [sym__identifier] = ACTIONS(1166),
    [anon_sym_comptime] = ACTIONS(1166),
    [anon_sym_COLON] = ACTIONS(1168),
    [anon_sym_extern] = ACTIONS(1166),
    [anon_sym_const] = ACTIONS(1166),
    [anon_sym_var] = ACTIONS(1166),
    [anon_sym_inline] = ACTIONS(1166),
    [anon_sym_fn] = ACTIONS(1166),
    [anon_sym_LPAREN] = ACTIONS(1168),
    [anon_sym_LBRACE] = ACTIONS(1168),
    [anon_sym_packed] = ACTIONS(1166),
    [anon_sym_struct] = ACTIONS(1166),
    [anon_sym_opaque] = ACTIONS(1166),
    [anon_sym_enum] = ACTIONS(1166),
    [anon_sym_union] = ACTIONS(1166),
    [anon_sym_error] = ACTIONS(1166),
    [anon_sym_nosuspend] = ACTIONS(1166),
    [anon_sym_suspend] = ACTIONS(1166),
    [anon_sym_defer] = ACTIONS(1166),
    [anon_sym_errdefer] = ACTIONS(1166),
    [anon_sym_if] = ACTIONS(1166),
    [anon_sym_for] = ACTIONS(1166),
    [anon_sym_while] = ACTIONS(1166),
    [anon_sym_STAR] = ACTIONS(1168),
    [anon_sym_asm] = ACTIONS(1166),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_BANG] = ACTIONS(1168),
    [anon_sym_TILDE] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1166),
    [anon_sym_DASH_PERCENT] = ACTIONS(1168),
    [anon_sym_AMP] = ACTIONS(1168),
    [anon_sym_async] = ACTIONS(1166),
    [anon_sym_await] = ACTIONS(1166),
    [anon_sym_continue] = ACTIONS(1166),
    [anon_sym_resume] = ACTIONS(1166),
    [anon_sym_return] = ACTIONS(1166),
    [anon_sym_break] = ACTIONS(1166),
    [anon_sym_try] = ACTIONS(1166),
    [anon_sym_switch] = ACTIONS(1166),
    [anon_sym_anyframe] = ACTIONS(1166),
    [anon_sym_unreachable] = ACTIONS(1166),
    [anon_sym_undefined] = ACTIONS(1166),
    [anon_sym_null] = ACTIONS(1166),
    [anon_sym_QMARK] = ACTIONS(1168),
    [anon_sym_DOT] = ACTIONS(1168),
    [anon_sym_DQUOTE] = ACTIONS(1168),
    [aux_sym_multiline_string_token1] = ACTIONS(1168),
    [anon_sym_SQUOTE] = ACTIONS(1168),
    [sym_integer] = ACTIONS(1166),
    [sym_float] = ACTIONS(1168),
    [anon_sym_true] = ACTIONS(1166),
    [anon_sym_false] = ACTIONS(1166),
    [anon_sym_bool] = ACTIONS(1166),
    [anon_sym_f16] = ACTIONS(1166),
    [anon_sym_f32] = ACTIONS(1166),
    [anon_sym_f64] = ACTIONS(1166),
    [anon_sym_f128] = ACTIONS(1166),
    [anon_sym_void] = ACTIONS(1166),
    [anon_sym_type] = ACTIONS(1166),
    [anon_sym_anyerror] = ACTIONS(1166),
    [anon_sym_anyopaque] = ACTIONS(1166),
    [anon_sym_anytype] = ACTIONS(1166),
    [anon_sym_noreturn] = ACTIONS(1166),
    [anon_sym_isize] = ACTIONS(1166),
    [anon_sym_usize] = ACTIONS(1166),
    [anon_sym_comptime_int] = ACTIONS(1166),
    [anon_sym_comptime_float] = ACTIONS(1166),
    [anon_sym_c_short] = ACTIONS(1166),
    [anon_sym_c_ushort] = ACTIONS(1166),
    [anon_sym_c_int] = ACTIONS(1166),
    [anon_sym_c_uint] = ACTIONS(1166),
    [anon_sym_c_long] = ACTIONS(1166),
    [anon_sym_c_ulong] = ACTIONS(1166),
    [anon_sym_c_longlong] = ACTIONS(1166),
    [anon_sym_c_ulonglong] = ACTIONS(1166),
    [anon_sym_c_longdouble] = ACTIONS(1166),
    [aux_sym_builtin_type_token1] = ACTIONS(1166),
    [sym_builtin_identifier] = ACTIONS(1168),
    [anon_sym_AT] = ACTIONS(1166),
    [sym_comment] = ACTIONS(3),
  },
  [761] = {
    [sym__identifier] = ACTIONS(1170),
    [anon_sym_comptime] = ACTIONS(1170),
    [anon_sym_extern] = ACTIONS(1170),
    [anon_sym_const] = ACTIONS(1170),
    [anon_sym_var] = ACTIONS(1170),
    [anon_sym_inline] = ACTIONS(1170),
    [anon_sym_fn] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1172),
    [anon_sym_LBRACE] = ACTIONS(1172),
    [anon_sym_RBRACE] = ACTIONS(1172),
    [anon_sym_packed] = ACTIONS(1170),
    [anon_sym_struct] = ACTIONS(1170),
    [anon_sym_opaque] = ACTIONS(1170),
    [anon_sym_enum] = ACTIONS(1170),
    [anon_sym_union] = ACTIONS(1170),
    [anon_sym_error] = ACTIONS(1170),
    [anon_sym_nosuspend] = ACTIONS(1170),
    [anon_sym_suspend] = ACTIONS(1170),
    [anon_sym_defer] = ACTIONS(1170),
    [anon_sym_errdefer] = ACTIONS(1170),
    [anon_sym_if] = ACTIONS(1170),
    [anon_sym_for] = ACTIONS(1170),
    [anon_sym_while] = ACTIONS(1170),
    [anon_sym_STAR] = ACTIONS(1172),
    [anon_sym_asm] = ACTIONS(1170),
    [anon_sym_LBRACK] = ACTIONS(1172),
    [anon_sym_BANG] = ACTIONS(1172),
    [anon_sym_TILDE] = ACTIONS(1172),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_DASH_PERCENT] = ACTIONS(1172),
    [anon_sym_AMP] = ACTIONS(1172),
    [anon_sym_async] = ACTIONS(1170),
    [anon_sym_await] = ACTIONS(1170),
    [anon_sym_continue] = ACTIONS(1170),
    [anon_sym_resume] = ACTIONS(1170),
    [anon_sym_return] = ACTIONS(1170),
    [anon_sym_break] = ACTIONS(1170),
    [anon_sym_try] = ACTIONS(1170),
    [anon_sym_switch] = ACTIONS(1170),
    [anon_sym_anyframe] = ACTIONS(1170),
    [anon_sym_unreachable] = ACTIONS(1170),
    [anon_sym_undefined] = ACTIONS(1170),
    [anon_sym_null] = ACTIONS(1170),
    [anon_sym_QMARK] = ACTIONS(1172),
    [anon_sym_DOT] = ACTIONS(1172),
    [anon_sym_DQUOTE] = ACTIONS(1172),
    [aux_sym_multiline_string_token1] = ACTIONS(1172),
    [anon_sym_SQUOTE] = ACTIONS(1172),
    [sym_integer] = ACTIONS(1170),
    [sym_float] = ACTIONS(1172),
    [anon_sym_true] = ACTIONS(1170),
    [anon_sym_false] = ACTIONS(1170),
    [anon_sym_bool] = ACTIONS(1170),
    [anon_sym_f16] = ACTIONS(1170),
    [anon_sym_f32] = ACTIONS(1170),
    [anon_sym_f64] = ACTIONS(1170),
    [anon_sym_f128] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_type] = ACTIONS(1170),
    [anon_sym_anyerror] = ACTIONS(1170),
    [anon_sym_anyopaque] = ACTIONS(1170),
    [anon_sym_anytype] = ACTIONS(1170),
    [anon_sym_noreturn] = ACTIONS(1170),
    [anon_sym_isize] = ACTIONS(1170),
    [anon_sym_usize] = ACTIONS(1170),
    [anon_sym_comptime_int] = ACTIONS(1170),
    [anon_sym_comptime_float] = ACTIONS(1170),
    [anon_sym_c_short] = ACTIONS(1170),
    [anon_sym_c_ushort] = ACTIONS(1170),
    [anon_sym_c_int] = ACTIONS(1170),
    [anon_sym_c_uint] = ACTIONS(1170),
    [anon_sym_c_long] = ACTIONS(1170),
    [anon_sym_c_ulong] = ACTIONS(1170),
    [anon_sym_c_longlong] = ACTIONS(1170),
    [anon_sym_c_ulonglong] = ACTIONS(1170),
    [anon_sym_c_longdouble] = ACTIONS(1170),
    [aux_sym_builtin_type_token1] = ACTIONS(1170),
    [sym_builtin_identifier] = ACTIONS(1172),
    [anon_sym_AT] = ACTIONS(1170),
    [sym_comment] = ACTIONS(3),
  },
  [762] = {
    [sym__identifier] = ACTIONS(964),
    [anon_sym_comptime] = ACTIONS(964),
    [anon_sym_extern] = ACTIONS(964),
    [anon_sym_const] = ACTIONS(964),
    [anon_sym_var] = ACTIONS(964),
    [anon_sym_inline] = ACTIONS(964),
    [anon_sym_fn] = ACTIONS(964),
    [anon_sym_LPAREN] = ACTIONS(966),
    [anon_sym_LBRACE] = ACTIONS(966),
    [anon_sym_RBRACE] = ACTIONS(966),
    [anon_sym_packed] = ACTIONS(964),
    [anon_sym_struct] = ACTIONS(964),
    [anon_sym_opaque] = ACTIONS(964),
    [anon_sym_enum] = ACTIONS(964),
    [anon_sym_union] = ACTIONS(964),
    [anon_sym_error] = ACTIONS(964),
    [anon_sym_nosuspend] = ACTIONS(964),
    [anon_sym_suspend] = ACTIONS(964),
    [anon_sym_defer] = ACTIONS(964),
    [anon_sym_errdefer] = ACTIONS(964),
    [anon_sym_if] = ACTIONS(964),
    [anon_sym_for] = ACTIONS(964),
    [anon_sym_while] = ACTIONS(964),
    [anon_sym_STAR] = ACTIONS(966),
    [anon_sym_asm] = ACTIONS(964),
    [anon_sym_LBRACK] = ACTIONS(966),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(964),
    [anon_sym_DASH_PERCENT] = ACTIONS(966),
    [anon_sym_AMP] = ACTIONS(966),
    [anon_sym_async] = ACTIONS(964),
    [anon_sym_await] = ACTIONS(964),
    [anon_sym_continue] = ACTIONS(964),
    [anon_sym_resume] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(964),
    [anon_sym_try] = ACTIONS(964),
    [anon_sym_switch] = ACTIONS(964),
    [anon_sym_anyframe] = ACTIONS(964),
    [anon_sym_unreachable] = ACTIONS(964),
    [anon_sym_undefined] = ACTIONS(964),
    [anon_sym_null] = ACTIONS(964),
    [anon_sym_QMARK] = ACTIONS(966),
    [anon_sym_DOT] = ACTIONS(966),
    [anon_sym_DQUOTE] = ACTIONS(966),
    [aux_sym_multiline_string_token1] = ACTIONS(966),
    [anon_sym_SQUOTE] = ACTIONS(966),
    [sym_integer] = ACTIONS(964),
    [sym_float] = ACTIONS(966),
    [anon_sym_true] = ACTIONS(964),
    [anon_sym_false] = ACTIONS(964),
    [anon_sym_bool] = ACTIONS(964),
    [anon_sym_f16] = ACTIONS(964),
    [anon_sym_f32] = ACTIONS(964),
    [anon_sym_f64] = ACTIONS(964),
    [anon_sym_f128] = ACTIONS(964),
    [anon_sym_void] = ACTIONS(964),
    [anon_sym_type] = ACTIONS(964),
    [anon_sym_anyerror] = ACTIONS(964),
    [anon_sym_anyopaque] = ACTIONS(964),
    [anon_sym_anytype] = ACTIONS(964),
    [anon_sym_noreturn] = ACTIONS(964),
    [anon_sym_isize] = ACTIONS(964),
    [anon_sym_usize] = ACTIONS(964),
    [anon_sym_comptime_int] = ACTIONS(964),
    [anon_sym_comptime_float] = ACTIONS(964),
    [anon_sym_c_short] = ACTIONS(964),
    [anon_sym_c_ushort] = ACTIONS(964),
    [anon_sym_c_int] = ACTIONS(964),
    [anon_sym_c_uint] = ACTIONS(964),
    [anon_sym_c_long] = ACTIONS(964),
    [anon_sym_c_ulong] = ACTIONS(964),
    [anon_sym_c_longlong] = ACTIONS(964),
    [anon_sym_c_ulonglong] = ACTIONS(964),
    [anon_sym_c_longdouble] = ACTIONS(964),
    [aux_sym_builtin_type_token1] = ACTIONS(964),
    [sym_builtin_identifier] = ACTIONS(966),
    [anon_sym_AT] = ACTIONS(964),
    [sym_comment] = ACTIONS(3),
  },
  [763] = {
    [sym__identifier] = ACTIONS(1174),
    [anon_sym_comptime] = ACTIONS(1174),
    [anon_sym_extern] = ACTIONS(1174),
    [anon_sym_const] = ACTIONS(1174),
    [anon_sym_var] = ACTIONS(1174),
    [anon_sym_inline] = ACTIONS(1174),
    [anon_sym_fn] = ACTIONS(1174),
    [anon_sym_LPAREN] = ACTIONS(1176),
    [anon_sym_LBRACE] = ACTIONS(1176),
    [anon_sym_RBRACE] = ACTIONS(1176),
    [anon_sym_packed] = ACTIONS(1174),
    [anon_sym_struct] = ACTIONS(1174),
    [anon_sym_opaque] = ACTIONS(1174),
    [anon_sym_enum] = ACTIONS(1174),
    [anon_sym_union] = ACTIONS(1174),
    [anon_sym_error] = ACTIONS(1174),
    [anon_sym_nosuspend] = ACTIONS(1174),
    [anon_sym_suspend] = ACTIONS(1174),
    [anon_sym_defer] = ACTIONS(1174),
    [anon_sym_errdefer] = ACTIONS(1174),
    [anon_sym_if] = ACTIONS(1174),
    [anon_sym_for] = ACTIONS(1174),
    [anon_sym_while] = ACTIONS(1174),
    [anon_sym_STAR] = ACTIONS(1176),
    [anon_sym_asm] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1176),
    [anon_sym_BANG] = ACTIONS(1176),
    [anon_sym_TILDE] = ACTIONS(1176),
    [anon_sym_DASH] = ACTIONS(1174),
    [anon_sym_DASH_PERCENT] = ACTIONS(1176),
    [anon_sym_AMP] = ACTIONS(1176),
    [anon_sym_async] = ACTIONS(1174),
    [anon_sym_await] = ACTIONS(1174),
    [anon_sym_continue] = ACTIONS(1174),
    [anon_sym_resume] = ACTIONS(1174),
    [anon_sym_return] = ACTIONS(1174),
    [anon_sym_break] = ACTIONS(1174),
    [anon_sym_try] = ACTIONS(1174),
    [anon_sym_switch] = ACTIONS(1174),
    [anon_sym_anyframe] = ACTIONS(1174),
    [anon_sym_unreachable] = ACTIONS(1174),
    [anon_sym_undefined] = ACTIONS(1174),
    [anon_sym_null] = ACTIONS(1174),
    [anon_sym_QMARK] = ACTIONS(1176),
    [anon_sym_DOT] = ACTIONS(1176),
    [anon_sym_DQUOTE] = ACTIONS(1176),
    [aux_sym_multiline_string_token1] = ACTIONS(1176),
    [anon_sym_SQUOTE] = ACTIONS(1176),
    [sym_integer] = ACTIONS(1174),
    [sym_float] = ACTIONS(1176),
    [anon_sym_true] = ACTIONS(1174),
    [anon_sym_false] = ACTIONS(1174),
    [anon_sym_bool] = ACTIONS(1174),
    [anon_sym_f16] = ACTIONS(1174),
    [anon_sym_f32] = ACTIONS(1174),
    [anon_sym_f64] = ACTIONS(1174),
    [anon_sym_f128] = ACTIONS(1174),
    [anon_sym_void] = ACTIONS(1174),
    [anon_sym_type] = ACTIONS(1174),
    [anon_sym_anyerror] = ACTIONS(1174),
    [anon_sym_anyopaque] = ACTIONS(1174),
    [anon_sym_anytype] = ACTIONS(1174),
    [anon_sym_noreturn] = ACTIONS(1174),
    [anon_sym_isize] = ACTIONS(1174),
    [anon_sym_usize] = ACTIONS(1174),
    [anon_sym_comptime_int] = ACTIONS(1174),
    [anon_sym_comptime_float] = ACTIONS(1174),
    [anon_sym_c_short] = ACTIONS(1174),
    [anon_sym_c_ushort] = ACTIONS(1174),
    [anon_sym_c_int] = ACTIONS(1174),
    [anon_sym_c_uint] = ACTIONS(1174),
    [anon_sym_c_long] = ACTIONS(1174),
    [anon_sym_c_ulong] = ACTIONS(1174),
    [anon_sym_c_longlong] = ACTIONS(1174),
    [anon_sym_c_ulonglong] = ACTIONS(1174),
    [anon_sym_c_longdouble] = ACTIONS(1174),
    [aux_sym_builtin_type_token1] = ACTIONS(1174),
    [sym_builtin_identifier] = ACTIONS(1176),
    [anon_sym_AT] = ACTIONS(1174),
    [sym_comment] = ACTIONS(3),
  },
  [764] = {
    [sym__identifier] = ACTIONS(1178),
    [anon_sym_comptime] = ACTIONS(1178),
    [anon_sym_extern] = ACTIONS(1178),
    [anon_sym_const] = ACTIONS(1178),
    [anon_sym_var] = ACTIONS(1178),
    [anon_sym_inline] = ACTIONS(1178),
    [anon_sym_fn] = ACTIONS(1178),
    [anon_sym_LPAREN] = ACTIONS(1180),
    [anon_sym_LBRACE] = ACTIONS(1180),
    [anon_sym_RBRACE] = ACTIONS(1180),
    [anon_sym_packed] = ACTIONS(1178),
    [anon_sym_struct] = ACTIONS(1178),
    [anon_sym_opaque] = ACTIONS(1178),
    [anon_sym_enum] = ACTIONS(1178),
    [anon_sym_union] = ACTIONS(1178),
    [anon_sym_error] = ACTIONS(1178),
    [anon_sym_nosuspend] = ACTIONS(1178),
    [anon_sym_suspend] = ACTIONS(1178),
    [anon_sym_defer] = ACTIONS(1178),
    [anon_sym_errdefer] = ACTIONS(1178),
    [anon_sym_if] = ACTIONS(1178),
    [anon_sym_for] = ACTIONS(1178),
    [anon_sym_while] = ACTIONS(1178),
    [anon_sym_STAR] = ACTIONS(1180),
    [anon_sym_asm] = ACTIONS(1178),
    [anon_sym_LBRACK] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_DASH] = ACTIONS(1178),
    [anon_sym_DASH_PERCENT] = ACTIONS(1180),
    [anon_sym_AMP] = ACTIONS(1180),
    [anon_sym_async] = ACTIONS(1178),
    [anon_sym_await] = ACTIONS(1178),
    [anon_sym_continue] = ACTIONS(1178),
    [anon_sym_resume] = ACTIONS(1178),
    [anon_sym_return] = ACTIONS(1178),
    [anon_sym_break] = ACTIONS(1178),
    [anon_sym_try] = ACTIONS(1178),
    [anon_sym_switch] = ACTIONS(1178),
    [anon_sym_anyframe] = ACTIONS(1178),
    [anon_sym_unreachable] = ACTIONS(1178),
    [anon_sym_undefined] = ACTIONS(1178),
    [anon_sym_null] = ACTIONS(1178),
    [anon_sym_QMARK] = ACTIONS(1180),
    [anon_sym_DOT] = ACTIONS(1180),
    [anon_sym_DQUOTE] = ACTIONS(1180),
    [aux_sym_multiline_string_token1] = ACTIONS(1180),
    [anon_sym_SQUOTE] = ACTIONS(1180),
    [sym_integer] = ACTIONS(1178),
    [sym_float] = ACTIONS(1180),
    [anon_sym_true] = ACTIONS(1178),
    [anon_sym_false] = ACTIONS(1178),
    [anon_sym_bool] = ACTIONS(1178),
    [anon_sym_f16] = ACTIONS(1178),
    [anon_sym_f32] = ACTIONS(1178),
    [anon_sym_f64] = ACTIONS(1178),
    [anon_sym_f128] = ACTIONS(1178),
    [anon_sym_void] = ACTIONS(1178),
    [anon_sym_type] = ACTIONS(1178),
    [anon_sym_anyerror] = ACTIONS(1178),
    [anon_sym_anyopaque] = ACTIONS(1178),
    [anon_sym_anytype] = ACTIONS(1178),
    [anon_sym_noreturn] = ACTIONS(1178),
    [anon_sym_isize] = ACTIONS(1178),
    [anon_sym_usize] = ACTIONS(1178),
    [anon_sym_comptime_int] = ACTIONS(1178),
    [anon_sym_comptime_float] = ACTIONS(1178),
    [anon_sym_c_short] = ACTIONS(1178),
    [anon_sym_c_ushort] = ACTIONS(1178),
    [anon_sym_c_int] = ACTIONS(1178),
    [anon_sym_c_uint] = ACTIONS(1178),
    [anon_sym_c_long] = ACTIONS(1178),
    [anon_sym_c_ulong] = ACTIONS(1178),
    [anon_sym_c_longlong] = ACTIONS(1178),
    [anon_sym_c_ulonglong] = ACTIONS(1178),
    [anon_sym_c_longdouble] = ACTIONS(1178),
    [aux_sym_builtin_type_token1] = ACTIONS(1178),
    [sym_builtin_identifier] = ACTIONS(1180),
    [anon_sym_AT] = ACTIONS(1178),
    [sym_comment] = ACTIONS(3),
  },
  [765] = {
    [sym__identifier] = ACTIONS(976),
    [anon_sym_comptime] = ACTIONS(976),
    [anon_sym_extern] = ACTIONS(976),
    [anon_sym_const] = ACTIONS(976),
    [anon_sym_var] = ACTIONS(976),
    [anon_sym_inline] = ACTIONS(976),
    [anon_sym_fn] = ACTIONS(976),
    [anon_sym_LPAREN] = ACTIONS(978),
    [anon_sym_LBRACE] = ACTIONS(978),
    [anon_sym_RBRACE] = ACTIONS(978),
    [anon_sym_packed] = ACTIONS(976),
    [anon_sym_struct] = ACTIONS(976),
    [anon_sym_opaque] = ACTIONS(976),
    [anon_sym_enum] = ACTIONS(976),
    [anon_sym_union] = ACTIONS(976),
    [anon_sym_error] = ACTIONS(976),
    [anon_sym_nosuspend] = ACTIONS(976),
    [anon_sym_suspend] = ACTIONS(976),
    [anon_sym_defer] = ACTIONS(976),
    [anon_sym_errdefer] = ACTIONS(976),
    [anon_sym_if] = ACTIONS(976),
    [anon_sym_for] = ACTIONS(976),
    [anon_sym_while] = ACTIONS(976),
    [anon_sym_STAR] = ACTIONS(978),
    [anon_sym_asm] = ACTIONS(976),
    [anon_sym_LBRACK] = ACTIONS(978),
    [anon_sym_BANG] = ACTIONS(978),
    [anon_sym_TILDE] = ACTIONS(978),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_DASH_PERCENT] = ACTIONS(978),
    [anon_sym_AMP] = ACTIONS(978),
    [anon_sym_async] = ACTIONS(976),
    [anon_sym_await] = ACTIONS(976),
    [anon_sym_continue] = ACTIONS(976),
    [anon_sym_resume] = ACTIONS(976),
    [anon_sym_return] = ACTIONS(976),
    [anon_sym_break] = ACTIONS(976),
    [anon_sym_try] = ACTIONS(976),
    [anon_sym_switch] = ACTIONS(976),
    [anon_sym_anyframe] = ACTIONS(976),
    [anon_sym_unreachable] = ACTIONS(976),
    [anon_sym_undefined] = ACTIONS(976),
    [anon_sym_null] = ACTIONS(976),
    [anon_sym_QMARK] = ACTIONS(978),
    [anon_sym_DOT] = ACTIONS(978),
    [anon_sym_DQUOTE] = ACTIONS(978),
    [aux_sym_multiline_string_token1] = ACTIONS(978),
    [anon_sym_SQUOTE] = ACTIONS(978),
    [sym_integer] = ACTIONS(976),
    [sym_float] = ACTIONS(978),
    [anon_sym_true] = ACTIONS(976),
    [anon_sym_false] = ACTIONS(976),
    [anon_sym_bool] = ACTIONS(976),
    [anon_sym_f16] = ACTIONS(976),
    [anon_sym_f32] = ACTIONS(976),
    [anon_sym_f64] = ACTIONS(976),
    [anon_sym_f128] = ACTIONS(976),
    [anon_sym_void] = ACTIONS(976),
    [anon_sym_type] = ACTIONS(976),
    [anon_sym_anyerror] = ACTIONS(976),
    [anon_sym_anyopaque] = ACTIONS(976),
    [anon_sym_anytype] = ACTIONS(976),
    [anon_sym_noreturn] = ACTIONS(976),
    [anon_sym_isize] = ACTIONS(976),
    [anon_sym_usize] = ACTIONS(976),
    [anon_sym_comptime_int] = ACTIONS(976),
    [anon_sym_comptime_float] = ACTIONS(976),
    [anon_sym_c_short] = ACTIONS(976),
    [anon_sym_c_ushort] = ACTIONS(976),
    [anon_sym_c_int] = ACTIONS(976),
    [anon_sym_c_uint] = ACTIONS(976),
    [anon_sym_c_long] = ACTIONS(976),
    [anon_sym_c_ulong] = ACTIONS(976),
    [anon_sym_c_longlong] = ACTIONS(976),
    [anon_sym_c_ulonglong] = ACTIONS(976),
    [anon_sym_c_longdouble] = ACTIONS(976),
    [aux_sym_builtin_type_token1] = ACTIONS(976),
    [sym_builtin_identifier] = ACTIONS(978),
    [anon_sym_AT] = ACTIONS(976),
    [sym_comment] = ACTIONS(3),
  },
  [766] = {
    [sym__identifier] = ACTIONS(1182),
    [anon_sym_comptime] = ACTIONS(1182),
    [anon_sym_extern] = ACTIONS(1182),
    [anon_sym_const] = ACTIONS(1182),
    [anon_sym_var] = ACTIONS(1182),
    [anon_sym_inline] = ACTIONS(1182),
    [anon_sym_fn] = ACTIONS(1182),
    [anon_sym_LPAREN] = ACTIONS(1184),
    [anon_sym_LBRACE] = ACTIONS(1184),
    [anon_sym_RBRACE] = ACTIONS(1184),
    [anon_sym_packed] = ACTIONS(1182),
    [anon_sym_struct] = ACTIONS(1182),
    [anon_sym_opaque] = ACTIONS(1182),
    [anon_sym_enum] = ACTIONS(1182),
    [anon_sym_union] = ACTIONS(1182),
    [anon_sym_error] = ACTIONS(1182),
    [anon_sym_nosuspend] = ACTIONS(1182),
    [anon_sym_suspend] = ACTIONS(1182),
    [anon_sym_defer] = ACTIONS(1182),
    [anon_sym_errdefer] = ACTIONS(1182),
    [anon_sym_if] = ACTIONS(1182),
    [anon_sym_for] = ACTIONS(1182),
    [anon_sym_while] = ACTIONS(1182),
    [anon_sym_STAR] = ACTIONS(1184),
    [anon_sym_asm] = ACTIONS(1182),
    [anon_sym_LBRACK] = ACTIONS(1184),
    [anon_sym_BANG] = ACTIONS(1184),
    [anon_sym_TILDE] = ACTIONS(1184),
    [anon_sym_DASH] = ACTIONS(1182),
    [anon_sym_DASH_PERCENT] = ACTIONS(1184),
    [anon_sym_AMP] = ACTIONS(1184),
    [anon_sym_async] = ACTIONS(1182),
    [anon_sym_await] = ACTIONS(1182),
    [anon_sym_continue] = ACTIONS(1182),
    [anon_sym_resume] = ACTIONS(1182),
    [anon_sym_return] = ACTIONS(1182),
    [anon_sym_break] = ACTIONS(1182),
    [anon_sym_try] = ACTIONS(1182),
    [anon_sym_switch] = ACTIONS(1182),
    [anon_sym_anyframe] = ACTIONS(1182),
    [anon_sym_unreachable] = ACTIONS(1182),
    [anon_sym_undefined] = ACTIONS(1182),
    [anon_sym_null] = ACTIONS(1182),
    [anon_sym_QMARK] = ACTIONS(1184),
    [anon_sym_DOT] = ACTIONS(1184),
    [anon_sym_DQUOTE] = ACTIONS(1184),
    [aux_sym_multiline_string_token1] = ACTIONS(1184),
    [anon_sym_SQUOTE] = ACTIONS(1184),
    [sym_integer] = ACTIONS(1182),
    [sym_float] = ACTIONS(1184),
    [anon_sym_true] = ACTIONS(1182),
    [anon_sym_false] = ACTIONS(1182),
    [anon_sym_bool] = ACTIONS(1182),
    [anon_sym_f16] = ACTIONS(1182),
    [anon_sym_f32] = ACTIONS(1182),
    [anon_sym_f64] = ACTIONS(1182),
    [anon_sym_f128] = ACTIONS(1182),
    [anon_sym_void] = ACTIONS(1182),
    [anon_sym_type] = ACTIONS(1182),
    [anon_sym_anyerror] = ACTIONS(1182),
    [anon_sym_anyopaque] = ACTIONS(1182),
    [anon_sym_anytype] = ACTIONS(1182),
    [anon_sym_noreturn] = ACTIONS(1182),
    [anon_sym_isize] = ACTIONS(1182),
    [anon_sym_usize] = ACTIONS(1182),
    [anon_sym_comptime_int] = ACTIONS(1182),
    [anon_sym_comptime_float] = ACTIONS(1182),
    [anon_sym_c_short] = ACTIONS(1182),
    [anon_sym_c_ushort] = ACTIONS(1182),
    [anon_sym_c_int] = ACTIONS(1182),
    [anon_sym_c_uint] = ACTIONS(1182),
    [anon_sym_c_long] = ACTIONS(1182),
    [anon_sym_c_ulong] = ACTIONS(1182),
    [anon_sym_c_longlong] = ACTIONS(1182),
    [anon_sym_c_ulonglong] = ACTIONS(1182),
    [anon_sym_c_longdouble] = ACTIONS(1182),
    [aux_sym_builtin_type_token1] = ACTIONS(1182),
    [sym_builtin_identifier] = ACTIONS(1184),
    [anon_sym_AT] = ACTIONS(1182),
    [sym_comment] = ACTIONS(3),
  },
  [767] = {
    [sym__identifier] = ACTIONS(1186),
    [anon_sym_comptime] = ACTIONS(1186),
    [anon_sym_extern] = ACTIONS(1186),
    [anon_sym_const] = ACTIONS(1186),
    [anon_sym_var] = ACTIONS(1186),
    [anon_sym_inline] = ACTIONS(1186),
    [anon_sym_fn] = ACTIONS(1186),
    [anon_sym_LPAREN] = ACTIONS(1188),
    [anon_sym_LBRACE] = ACTIONS(1188),
    [anon_sym_RBRACE] = ACTIONS(1188),
    [anon_sym_packed] = ACTIONS(1186),
    [anon_sym_struct] = ACTIONS(1186),
    [anon_sym_opaque] = ACTIONS(1186),
    [anon_sym_enum] = ACTIONS(1186),
    [anon_sym_union] = ACTIONS(1186),
    [anon_sym_error] = ACTIONS(1186),
    [anon_sym_nosuspend] = ACTIONS(1186),
    [anon_sym_suspend] = ACTIONS(1186),
    [anon_sym_defer] = ACTIONS(1186),
    [anon_sym_errdefer] = ACTIONS(1186),
    [anon_sym_if] = ACTIONS(1186),
    [anon_sym_for] = ACTIONS(1186),
    [anon_sym_while] = ACTIONS(1186),
    [anon_sym_STAR] = ACTIONS(1188),
    [anon_sym_asm] = ACTIONS(1186),
    [anon_sym_LBRACK] = ACTIONS(1188),
    [anon_sym_BANG] = ACTIONS(1188),
    [anon_sym_TILDE] = ACTIONS(1188),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_DASH_PERCENT] = ACTIONS(1188),
    [anon_sym_AMP] = ACTIONS(1188),
    [anon_sym_async] = ACTIONS(1186),
    [anon_sym_await] = ACTIONS(1186),
    [anon_sym_continue] = ACTIONS(1186),
    [anon_sym_resume] = ACTIONS(1186),
    [anon_sym_return] = ACTIONS(1186),
    [anon_sym_break] = ACTIONS(1186),
    [anon_sym_try] = ACTIONS(1186),
    [anon_sym_switch] = ACTIONS(1186),
    [anon_sym_anyframe] = ACTIONS(1186),
    [anon_sym_unreachable] = ACTIONS(1186),
    [anon_sym_undefined] = ACTIONS(1186),
    [anon_sym_null] = ACTIONS(1186),
    [anon_sym_QMARK] = ACTIONS(1188),
    [anon_sym_DOT] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(1188),
    [aux_sym_multiline_string_token1] = ACTIONS(1188),
    [anon_sym_SQUOTE] = ACTIONS(1188),
    [sym_integer] = ACTIONS(1186),
    [sym_float] = ACTIONS(1188),
    [anon_sym_true] = ACTIONS(1186),
    [anon_sym_false] = ACTIONS(1186),
    [anon_sym_bool] = ACTIONS(1186),
    [anon_sym_f16] = ACTIONS(1186),
    [anon_sym_f32] = ACTIONS(1186),
    [anon_sym_f64] = ACTIONS(1186),
    [anon_sym_f128] = ACTIONS(1186),
    [anon_sym_void] = ACTIONS(1186),
    [anon_sym_type] = ACTIONS(1186),
    [anon_sym_anyerror] = ACTIONS(1186),
    [anon_sym_anyopaque] = ACTIONS(1186),
    [anon_sym_anytype] = ACTIONS(1186),
    [anon_sym_noreturn] = ACTIONS(1186),
    [anon_sym_isize] = ACTIONS(1186),
    [anon_sym_usize] = ACTIONS(1186),
    [anon_sym_comptime_int] = ACTIONS(1186),
    [anon_sym_comptime_float] = ACTIONS(1186),
    [anon_sym_c_short] = ACTIONS(1186),
    [anon_sym_c_ushort] = ACTIONS(1186),
    [anon_sym_c_int] = ACTIONS(1186),
    [anon_sym_c_uint] = ACTIONS(1186),
    [anon_sym_c_long] = ACTIONS(1186),
    [anon_sym_c_ulong] = ACTIONS(1186),
    [anon_sym_c_longlong] = ACTIONS(1186),
    [anon_sym_c_ulonglong] = ACTIONS(1186),
    [anon_sym_c_longdouble] = ACTIONS(1186),
    [aux_sym_builtin_type_token1] = ACTIONS(1186),
    [sym_builtin_identifier] = ACTIONS(1188),
    [anon_sym_AT] = ACTIONS(1186),
    [sym_comment] = ACTIONS(3),
  },
  [768] = {
    [sym__identifier] = ACTIONS(1190),
    [anon_sym_comptime] = ACTIONS(1190),
    [anon_sym_extern] = ACTIONS(1190),
    [anon_sym_const] = ACTIONS(1190),
    [anon_sym_var] = ACTIONS(1190),
    [anon_sym_inline] = ACTIONS(1190),
    [anon_sym_fn] = ACTIONS(1190),
    [anon_sym_LPAREN] = ACTIONS(1192),
    [anon_sym_LBRACE] = ACTIONS(1192),
    [anon_sym_RBRACE] = ACTIONS(1192),
    [anon_sym_packed] = ACTIONS(1190),
    [anon_sym_struct] = ACTIONS(1190),
    [anon_sym_opaque] = ACTIONS(1190),
    [anon_sym_enum] = ACTIONS(1190),
    [anon_sym_union] = ACTIONS(1190),
    [anon_sym_error] = ACTIONS(1190),
    [anon_sym_nosuspend] = ACTIONS(1190),
    [anon_sym_suspend] = ACTIONS(1190),
    [anon_sym_defer] = ACTIONS(1190),
    [anon_sym_errdefer] = ACTIONS(1190),
    [anon_sym_if] = ACTIONS(1190),
    [anon_sym_for] = ACTIONS(1190),
    [anon_sym_while] = ACTIONS(1190),
    [anon_sym_STAR] = ACTIONS(1192),
    [anon_sym_asm] = ACTIONS(1190),
    [anon_sym_LBRACK] = ACTIONS(1192),
    [anon_sym_BANG] = ACTIONS(1192),
    [anon_sym_TILDE] = ACTIONS(1192),
    [anon_sym_DASH] = ACTIONS(1190),
    [anon_sym_DASH_PERCENT] = ACTIONS(1192),
    [anon_sym_AMP] = ACTIONS(1192),
    [anon_sym_async] = ACTIONS(1190),
    [anon_sym_await] = ACTIONS(1190),
    [anon_sym_continue] = ACTIONS(1190),
    [anon_sym_resume] = ACTIONS(1190),
    [anon_sym_return] = ACTIONS(1190),
    [anon_sym_break] = ACTIONS(1190),
    [anon_sym_try] = ACTIONS(1190),
    [anon_sym_switch] = ACTIONS(1190),
    [anon_sym_anyframe] = ACTIONS(1190),
    [anon_sym_unreachable] = ACTIONS(1190),
    [anon_sym_undefined] = ACTIONS(1190),
    [anon_sym_null] = ACTIONS(1190),
    [anon_sym_QMARK] = ACTIONS(1192),
    [anon_sym_DOT] = ACTIONS(1192),
    [anon_sym_DQUOTE] = ACTIONS(1192),
    [aux_sym_multiline_string_token1] = ACTIONS(1192),
    [anon_sym_SQUOTE] = ACTIONS(1192),
    [sym_integer] = ACTIONS(1190),
    [sym_float] = ACTIONS(1192),
    [anon_sym_true] = ACTIONS(1190),
    [anon_sym_false] = ACTIONS(1190),
    [anon_sym_bool] = ACTIONS(1190),
    [anon_sym_f16] = ACTIONS(1190),
    [anon_sym_f32] = ACTIONS(1190),
    [anon_sym_f64] = ACTIONS(1190),
    [anon_sym_f128] = ACTIONS(1190),
    [anon_sym_void] = ACTIONS(1190),
    [anon_sym_type] = ACTIONS(1190),
    [anon_sym_anyerror] = ACTIONS(1190),
    [anon_sym_anyopaque] = ACTIONS(1190),
    [anon_sym_anytype] = ACTIONS(1190),
    [anon_sym_noreturn] = ACTIONS(1190),
    [anon_sym_isize] = ACTIONS(1190),
    [anon_sym_usize] = ACTIONS(1190),
    [anon_sym_comptime_int] = ACTIONS(1190),
    [anon_sym_comptime_float] = ACTIONS(1190),
    [anon_sym_c_short] = ACTIONS(1190),
    [anon_sym_c_ushort] = ACTIONS(1190),
    [anon_sym_c_int] = ACTIONS(1190),
    [anon_sym_c_uint] = ACTIONS(1190),
    [anon_sym_c_long] = ACTIONS(1190),
    [anon_sym_c_ulong] = ACTIONS(1190),
    [anon_sym_c_longlong] = ACTIONS(1190),
    [anon_sym_c_ulonglong] = ACTIONS(1190),
    [anon_sym_c_longdouble] = ACTIONS(1190),
    [aux_sym_builtin_type_token1] = ACTIONS(1190),
    [sym_builtin_identifier] = ACTIONS(1192),
    [anon_sym_AT] = ACTIONS(1190),
    [sym_comment] = ACTIONS(3),
  },
  [769] = {
    [sym__identifier] = ACTIONS(1194),
    [anon_sym_comptime] = ACTIONS(1194),
    [anon_sym_COLON] = ACTIONS(1196),
    [anon_sym_extern] = ACTIONS(1194),
    [anon_sym_const] = ACTIONS(1194),
    [anon_sym_var] = ACTIONS(1194),
    [anon_sym_inline] = ACTIONS(1194),
    [anon_sym_fn] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(1196),
    [anon_sym_LBRACE] = ACTIONS(1196),
    [anon_sym_packed] = ACTIONS(1194),
    [anon_sym_struct] = ACTIONS(1194),
    [anon_sym_opaque] = ACTIONS(1194),
    [anon_sym_enum] = ACTIONS(1194),
    [anon_sym_union] = ACTIONS(1194),
    [anon_sym_error] = ACTIONS(1194),
    [anon_sym_nosuspend] = ACTIONS(1194),
    [anon_sym_suspend] = ACTIONS(1194),
    [anon_sym_defer] = ACTIONS(1194),
    [anon_sym_errdefer] = ACTIONS(1194),
    [anon_sym_if] = ACTIONS(1194),
    [anon_sym_for] = ACTIONS(1194),
    [anon_sym_while] = ACTIONS(1194),
    [anon_sym_STAR] = ACTIONS(1196),
    [anon_sym_asm] = ACTIONS(1194),
    [anon_sym_LBRACK] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1196),
    [anon_sym_TILDE] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1194),
    [anon_sym_DASH_PERCENT] = ACTIONS(1196),
    [anon_sym_AMP] = ACTIONS(1196),
    [anon_sym_async] = ACTIONS(1194),
    [anon_sym_await] = ACTIONS(1194),
    [anon_sym_continue] = ACTIONS(1194),
    [anon_sym_resume] = ACTIONS(1194),
    [anon_sym_return] = ACTIONS(1194),
    [anon_sym_break] = ACTIONS(1194),
    [anon_sym_try] = ACTIONS(1194),
    [anon_sym_switch] = ACTIONS(1194),
    [anon_sym_anyframe] = ACTIONS(1194),
    [anon_sym_unreachable] = ACTIONS(1194),
    [anon_sym_undefined] = ACTIONS(1194),
    [anon_sym_null] = ACTIONS(1194),
    [anon_sym_QMARK] = ACTIONS(1196),
    [anon_sym_DOT] = ACTIONS(1196),
    [anon_sym_DQUOTE] = ACTIONS(1196),
    [aux_sym_multiline_string_token1] = ACTIONS(1196),
    [anon_sym_SQUOTE] = ACTIONS(1196),
    [sym_integer] = ACTIONS(1194),
    [sym_float] = ACTIONS(1196),
    [anon_sym_true] = ACTIONS(1194),
    [anon_sym_false] = ACTIONS(1194),
    [anon_sym_bool] = ACTIONS(1194),
    [anon_sym_f16] = ACTIONS(1194),
    [anon_sym_f32] = ACTIONS(1194),
    [anon_sym_f64] = ACTIONS(1194),
    [anon_sym_f128] = ACTIONS(1194),
    [anon_sym_void] = ACTIONS(1194),
    [anon_sym_type] = ACTIONS(1194),
    [anon_sym_anyerror] = ACTIONS(1194),
    [anon_sym_anyopaque] = ACTIONS(1194),
    [anon_sym_anytype] = ACTIONS(1194),
    [anon_sym_noreturn] = ACTIONS(1194),
    [anon_sym_isize] = ACTIONS(1194),
    [anon_sym_usize] = ACTIONS(1194),
    [anon_sym_comptime_int] = ACTIONS(1194),
    [anon_sym_comptime_float] = ACTIONS(1194),
    [anon_sym_c_short] = ACTIONS(1194),
    [anon_sym_c_ushort] = ACTIONS(1194),
    [anon_sym_c_int] = ACTIONS(1194),
    [anon_sym_c_uint] = ACTIONS(1194),
    [anon_sym_c_long] = ACTIONS(1194),
    [anon_sym_c_ulong] = ACTIONS(1194),
    [anon_sym_c_longlong] = ACTIONS(1194),
    [anon_sym_c_ulonglong] = ACTIONS(1194),
    [anon_sym_c_longdouble] = ACTIONS(1194),
    [aux_sym_builtin_type_token1] = ACTIONS(1194),
    [sym_builtin_identifier] = ACTIONS(1196),
    [anon_sym_AT] = ACTIONS(1194),
    [sym_comment] = ACTIONS(3),
  },
  [770] = {
    [sym__identifier] = ACTIONS(1198),
    [anon_sym_comptime] = ACTIONS(1198),
    [anon_sym_extern] = ACTIONS(1198),
    [anon_sym_const] = ACTIONS(1198),
    [anon_sym_var] = ACTIONS(1198),
    [anon_sym_inline] = ACTIONS(1198),
    [anon_sym_fn] = ACTIONS(1198),
    [anon_sym_LPAREN] = ACTIONS(1200),
    [anon_sym_LBRACE] = ACTIONS(1200),
    [anon_sym_RBRACE] = ACTIONS(1200),
    [anon_sym_packed] = ACTIONS(1198),
    [anon_sym_struct] = ACTIONS(1198),
    [anon_sym_opaque] = ACTIONS(1198),
    [anon_sym_enum] = ACTIONS(1198),
    [anon_sym_union] = ACTIONS(1198),
    [anon_sym_error] = ACTIONS(1198),
    [anon_sym_nosuspend] = ACTIONS(1198),
    [anon_sym_suspend] = ACTIONS(1198),
    [anon_sym_defer] = ACTIONS(1198),
    [anon_sym_errdefer] = ACTIONS(1198),
    [anon_sym_if] = ACTIONS(1198),
    [anon_sym_for] = ACTIONS(1198),
    [anon_sym_while] = ACTIONS(1198),
    [anon_sym_STAR] = ACTIONS(1200),
    [anon_sym_asm] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(1200),
    [anon_sym_BANG] = ACTIONS(1200),
    [anon_sym_TILDE] = ACTIONS(1200),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_DASH_PERCENT] = ACTIONS(1200),
    [anon_sym_AMP] = ACTIONS(1200),
    [anon_sym_async] = ACTIONS(1198),
    [anon_sym_await] = ACTIONS(1198),
    [anon_sym_continue] = ACTIONS(1198),
    [anon_sym_resume] = ACTIONS(1198),
    [anon_sym_return] = ACTIONS(1198),
    [anon_sym_break] = ACTIONS(1198),
    [anon_sym_try] = ACTIONS(1198),
    [anon_sym_switch] = ACTIONS(1198),
    [anon_sym_anyframe] = ACTIONS(1198),
    [anon_sym_unreachable] = ACTIONS(1198),
    [anon_sym_undefined] = ACTIONS(1198),
    [anon_sym_null] = ACTIONS(1198),
    [anon_sym_QMARK] = ACTIONS(1200),
    [anon_sym_DOT] = ACTIONS(1200),
    [anon_sym_DQUOTE] = ACTIONS(1200),
    [aux_sym_multiline_string_token1] = ACTIONS(1200),
    [anon_sym_SQUOTE] = ACTIONS(1200),
    [sym_integer] = ACTIONS(1198),
    [sym_float] = ACTIONS(1200),
    [anon_sym_true] = ACTIONS(1198),
    [anon_sym_false] = ACTIONS(1198),
    [anon_sym_bool] = ACTIONS(1198),
    [anon_sym_f16] = ACTIONS(1198),
    [anon_sym_f32] = ACTIONS(1198),
    [anon_sym_f64] = ACTIONS(1198),
    [anon_sym_f128] = ACTIONS(1198),
    [anon_sym_void] = ACTIONS(1198),
    [anon_sym_type] = ACTIONS(1198),
    [anon_sym_anyerror] = ACTIONS(1198),
    [anon_sym_anyopaque] = ACTIONS(1198),
    [anon_sym_anytype] = ACTIONS(1198),
    [anon_sym_noreturn] = ACTIONS(1198),
    [anon_sym_isize] = ACTIONS(1198),
    [anon_sym_usize] = ACTIONS(1198),
    [anon_sym_comptime_int] = ACTIONS(1198),
    [anon_sym_comptime_float] = ACTIONS(1198),
    [anon_sym_c_short] = ACTIONS(1198),
    [anon_sym_c_ushort] = ACTIONS(1198),
    [anon_sym_c_int] = ACTIONS(1198),
    [anon_sym_c_uint] = ACTIONS(1198),
    [anon_sym_c_long] = ACTIONS(1198),
    [anon_sym_c_ulong] = ACTIONS(1198),
    [anon_sym_c_longlong] = ACTIONS(1198),
    [anon_sym_c_ulonglong] = ACTIONS(1198),
    [anon_sym_c_longdouble] = ACTIONS(1198),
    [aux_sym_builtin_type_token1] = ACTIONS(1198),
    [sym_builtin_identifier] = ACTIONS(1200),
    [anon_sym_AT] = ACTIONS(1198),
    [sym_comment] = ACTIONS(3),
  },
  [771] = {
    [sym__identifier] = ACTIONS(1202),
    [anon_sym_comptime] = ACTIONS(1202),
    [anon_sym_extern] = ACTIONS(1202),
    [anon_sym_const] = ACTIONS(1202),
    [anon_sym_var] = ACTIONS(1202),
    [anon_sym_inline] = ACTIONS(1202),
    [anon_sym_fn] = ACTIONS(1202),
    [anon_sym_LPAREN] = ACTIONS(1204),
    [anon_sym_LBRACE] = ACTIONS(1204),
    [anon_sym_RBRACE] = ACTIONS(1204),
    [anon_sym_packed] = ACTIONS(1202),
    [anon_sym_struct] = ACTIONS(1202),
    [anon_sym_opaque] = ACTIONS(1202),
    [anon_sym_enum] = ACTIONS(1202),
    [anon_sym_union] = ACTIONS(1202),
    [anon_sym_error] = ACTIONS(1202),
    [anon_sym_nosuspend] = ACTIONS(1202),
    [anon_sym_suspend] = ACTIONS(1202),
    [anon_sym_defer] = ACTIONS(1202),
    [anon_sym_errdefer] = ACTIONS(1202),
    [anon_sym_if] = ACTIONS(1202),
    [anon_sym_for] = ACTIONS(1202),
    [anon_sym_while] = ACTIONS(1202),
    [anon_sym_STAR] = ACTIONS(1204),
    [anon_sym_asm] = ACTIONS(1202),
    [anon_sym_LBRACK] = ACTIONS(1204),
    [anon_sym_BANG] = ACTIONS(1204),
    [anon_sym_TILDE] = ACTIONS(1204),
    [anon_sym_DASH] = ACTIONS(1202),
    [anon_sym_DASH_PERCENT] = ACTIONS(1204),
    [anon_sym_AMP] = ACTIONS(1204),
    [anon_sym_async] = ACTIONS(1202),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_continue] = ACTIONS(1202),
    [anon_sym_resume] = ACTIONS(1202),
    [anon_sym_return] = ACTIONS(1202),
    [anon_sym_break] = ACTIONS(1202),
    [anon_sym_try] = ACTIONS(1202),
    [anon_sym_switch] = ACTIONS(1202),
    [anon_sym_anyframe] = ACTIONS(1202),
    [anon_sym_unreachable] = ACTIONS(1202),
    [anon_sym_undefined] = ACTIONS(1202),
    [anon_sym_null] = ACTIONS(1202),
    [anon_sym_QMARK] = ACTIONS(1204),
    [anon_sym_DOT] = ACTIONS(1204),
    [anon_sym_DQUOTE] = ACTIONS(1204),
    [aux_sym_multiline_string_token1] = ACTIONS(1204),
    [anon_sym_SQUOTE] = ACTIONS(1204),
    [sym_integer] = ACTIONS(1202),
    [sym_float] = ACTIONS(1204),
    [anon_sym_true] = ACTIONS(1202),
    [anon_sym_false] = ACTIONS(1202),
    [anon_sym_bool] = ACTIONS(1202),
    [anon_sym_f16] = ACTIONS(1202),
    [anon_sym_f32] = ACTIONS(1202),
    [anon_sym_f64] = ACTIONS(1202),
    [anon_sym_f128] = ACTIONS(1202),
    [anon_sym_void] = ACTIONS(1202),
    [anon_sym_type] = ACTIONS(1202),
    [anon_sym_anyerror] = ACTIONS(1202),
    [anon_sym_anyopaque] = ACTIONS(1202),
    [anon_sym_anytype] = ACTIONS(1202),
    [anon_sym_noreturn] = ACTIONS(1202),
    [anon_sym_isize] = ACTIONS(1202),
    [anon_sym_usize] = ACTIONS(1202),
    [anon_sym_comptime_int] = ACTIONS(1202),
    [anon_sym_comptime_float] = ACTIONS(1202),
    [anon_sym_c_short] = ACTIONS(1202),
    [anon_sym_c_ushort] = ACTIONS(1202),
    [anon_sym_c_int] = ACTIONS(1202),
    [anon_sym_c_uint] = ACTIONS(1202),
    [anon_sym_c_long] = ACTIONS(1202),
    [anon_sym_c_ulong] = ACTIONS(1202),
    [anon_sym_c_longlong] = ACTIONS(1202),
    [anon_sym_c_ulonglong] = ACTIONS(1202),
    [anon_sym_c_longdouble] = ACTIONS(1202),
    [aux_sym_builtin_type_token1] = ACTIONS(1202),
    [sym_builtin_identifier] = ACTIONS(1204),
    [anon_sym_AT] = ACTIONS(1202),
    [sym_comment] = ACTIONS(3),
  },
  [772] = {
    [sym__identifier] = ACTIONS(1206),
    [anon_sym_comptime] = ACTIONS(1206),
    [anon_sym_extern] = ACTIONS(1206),
    [anon_sym_const] = ACTIONS(1206),
    [anon_sym_var] = ACTIONS(1206),
    [anon_sym_inline] = ACTIONS(1206),
    [anon_sym_fn] = ACTIONS(1206),
    [anon_sym_LPAREN] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1208),
    [anon_sym_RBRACE] = ACTIONS(1208),
    [anon_sym_packed] = ACTIONS(1206),
    [anon_sym_struct] = ACTIONS(1206),
    [anon_sym_opaque] = ACTIONS(1206),
    [anon_sym_enum] = ACTIONS(1206),
    [anon_sym_union] = ACTIONS(1206),
    [anon_sym_error] = ACTIONS(1206),
    [anon_sym_nosuspend] = ACTIONS(1206),
    [anon_sym_suspend] = ACTIONS(1206),
    [anon_sym_defer] = ACTIONS(1206),
    [anon_sym_errdefer] = ACTIONS(1206),
    [anon_sym_if] = ACTIONS(1206),
    [anon_sym_for] = ACTIONS(1206),
    [anon_sym_while] = ACTIONS(1206),
    [anon_sym_STAR] = ACTIONS(1208),
    [anon_sym_asm] = ACTIONS(1206),
    [anon_sym_LBRACK] = ACTIONS(1208),
    [anon_sym_BANG] = ACTIONS(1208),
    [anon_sym_TILDE] = ACTIONS(1208),
    [anon_sym_DASH] = ACTIONS(1206),
    [anon_sym_DASH_PERCENT] = ACTIONS(1208),
    [anon_sym_AMP] = ACTIONS(1208),
    [anon_sym_async] = ACTIONS(1206),
    [anon_sym_await] = ACTIONS(1206),
    [anon_sym_continue] = ACTIONS(1206),
    [anon_sym_resume] = ACTIONS(1206),
    [anon_sym_return] = ACTIONS(1206),
    [anon_sym_break] = ACTIONS(1206),
    [anon_sym_try] = ACTIONS(1206),
    [anon_sym_switch] = ACTIONS(1206),
    [anon_sym_anyframe] = ACTIONS(1206),
    [anon_sym_unreachable] = ACTIONS(1206),
    [anon_sym_undefined] = ACTIONS(1206),
    [anon_sym_null] = ACTIONS(1206),
    [anon_sym_QMARK] = ACTIONS(1208),
    [anon_sym_DOT] = ACTIONS(1208),
    [anon_sym_DQUOTE] = ACTIONS(1208),
    [aux_sym_multiline_string_token1] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1208),
    [sym_integer] = ACTIONS(1206),
    [sym_float] = ACTIONS(1208),
    [anon_sym_true] = ACTIONS(1206),
    [anon_sym_false] = ACTIONS(1206),
    [anon_sym_bool] = ACTIONS(1206),
    [anon_sym_f16] = ACTIONS(1206),
    [anon_sym_f32] = ACTIONS(1206),
    [anon_sym_f64] = ACTIONS(1206),
    [anon_sym_f128] = ACTIONS(1206),
    [anon_sym_void] = ACTIONS(1206),
    [anon_sym_type] = ACTIONS(1206),
    [anon_sym_anyerror] = ACTIONS(1206),
    [anon_sym_anyopaque] = ACTIONS(1206),
    [anon_sym_anytype] = ACTIONS(1206),
    [anon_sym_noreturn] = ACTIONS(1206),
    [anon_sym_isize] = ACTIONS(1206),
    [anon_sym_usize] = ACTIONS(1206),
    [anon_sym_comptime_int] = ACTIONS(1206),
    [anon_sym_comptime_float] = ACTIONS(1206),
    [anon_sym_c_short] = ACTIONS(1206),
    [anon_sym_c_ushort] = ACTIONS(1206),
    [anon_sym_c_int] = ACTIONS(1206),
    [anon_sym_c_uint] = ACTIONS(1206),
    [anon_sym_c_long] = ACTIONS(1206),
    [anon_sym_c_ulong] = ACTIONS(1206),
    [anon_sym_c_longlong] = ACTIONS(1206),
    [anon_sym_c_ulonglong] = ACTIONS(1206),
    [anon_sym_c_longdouble] = ACTIONS(1206),
    [aux_sym_builtin_type_token1] = ACTIONS(1206),
    [sym_builtin_identifier] = ACTIONS(1208),
    [anon_sym_AT] = ACTIONS(1206),
    [sym_comment] = ACTIONS(3),
  },
  [773] = {
    [sym__identifier] = ACTIONS(1210),
    [anon_sym_comptime] = ACTIONS(1210),
    [anon_sym_extern] = ACTIONS(1210),
    [anon_sym_const] = ACTIONS(1210),
    [anon_sym_var] = ACTIONS(1210),
    [anon_sym_inline] = ACTIONS(1210),
    [anon_sym_fn] = ACTIONS(1210),
    [anon_sym_LPAREN] = ACTIONS(1212),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym_RBRACE] = ACTIONS(1212),
    [anon_sym_packed] = ACTIONS(1210),
    [anon_sym_struct] = ACTIONS(1210),
    [anon_sym_opaque] = ACTIONS(1210),
    [anon_sym_enum] = ACTIONS(1210),
    [anon_sym_union] = ACTIONS(1210),
    [anon_sym_error] = ACTIONS(1210),
    [anon_sym_nosuspend] = ACTIONS(1210),
    [anon_sym_suspend] = ACTIONS(1210),
    [anon_sym_defer] = ACTIONS(1210),
    [anon_sym_errdefer] = ACTIONS(1210),
    [anon_sym_if] = ACTIONS(1210),
    [anon_sym_for] = ACTIONS(1210),
    [anon_sym_while] = ACTIONS(1210),
    [anon_sym_STAR] = ACTIONS(1212),
    [anon_sym_asm] = ACTIONS(1210),
    [anon_sym_LBRACK] = ACTIONS(1212),
    [anon_sym_BANG] = ACTIONS(1212),
    [anon_sym_TILDE] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1210),
    [anon_sym_DASH_PERCENT] = ACTIONS(1212),
    [anon_sym_AMP] = ACTIONS(1212),
    [anon_sym_async] = ACTIONS(1210),
    [anon_sym_await] = ACTIONS(1210),
    [anon_sym_continue] = ACTIONS(1210),
    [anon_sym_resume] = ACTIONS(1210),
    [anon_sym_return] = ACTIONS(1210),
    [anon_sym_break] = ACTIONS(1210),
    [anon_sym_try] = ACTIONS(1210),
    [anon_sym_switch] = ACTIONS(1210),
    [anon_sym_anyframe] = ACTIONS(1210),
    [anon_sym_unreachable] = ACTIONS(1210),
    [anon_sym_undefined] = ACTIONS(1210),
    [anon_sym_null] = ACTIONS(1210),
    [anon_sym_QMARK] = ACTIONS(1212),
    [anon_sym_DOT] = ACTIONS(1212),
    [anon_sym_DQUOTE] = ACTIONS(1212),
    [aux_sym_multiline_string_token1] = ACTIONS(1212),
    [anon_sym_SQUOTE] = ACTIONS(1212),
    [sym_integer] = ACTIONS(1210),
    [sym_float] = ACTIONS(1212),
    [anon_sym_true] = ACTIONS(1210),
    [anon_sym_false] = ACTIONS(1210),
    [anon_sym_bool] = ACTIONS(1210),
    [anon_sym_f16] = ACTIONS(1210),
    [anon_sym_f32] = ACTIONS(1210),
    [anon_sym_f64] = ACTIONS(1210),
    [anon_sym_f128] = ACTIONS(1210),
    [anon_sym_void] = ACTIONS(1210),
    [anon_sym_type] = ACTIONS(1210),
    [anon_sym_anyerror] = ACTIONS(1210),
    [anon_sym_anyopaque] = ACTIONS(1210),
    [anon_sym_anytype] = ACTIONS(1210),
    [anon_sym_noreturn] = ACTIONS(1210),
    [anon_sym_isize] = ACTIONS(1210),
    [anon_sym_usize] = ACTIONS(1210),
    [anon_sym_comptime_int] = ACTIONS(1210),
    [anon_sym_comptime_float] = ACTIONS(1210),
    [anon_sym_c_short] = ACTIONS(1210),
    [anon_sym_c_ushort] = ACTIONS(1210),
    [anon_sym_c_int] = ACTIONS(1210),
    [anon_sym_c_uint] = ACTIONS(1210),
    [anon_sym_c_long] = ACTIONS(1210),
    [anon_sym_c_ulong] = ACTIONS(1210),
    [anon_sym_c_longlong] = ACTIONS(1210),
    [anon_sym_c_ulonglong] = ACTIONS(1210),
    [anon_sym_c_longdouble] = ACTIONS(1210),
    [aux_sym_builtin_type_token1] = ACTIONS(1210),
    [sym_builtin_identifier] = ACTIONS(1212),
    [anon_sym_AT] = ACTIONS(1210),
    [sym_comment] = ACTIONS(3),
  },
  [774] = {
    [sym__identifier] = ACTIONS(1214),
    [anon_sym_comptime] = ACTIONS(1214),
    [anon_sym_COLON] = ACTIONS(1216),
    [anon_sym_extern] = ACTIONS(1214),
    [anon_sym_const] = ACTIONS(1214),
    [anon_sym_var] = ACTIONS(1214),
    [anon_sym_inline] = ACTIONS(1214),
    [anon_sym_fn] = ACTIONS(1214),
    [anon_sym_LPAREN] = ACTIONS(1216),
    [anon_sym_LBRACE] = ACTIONS(1216),
    [anon_sym_packed] = ACTIONS(1214),
    [anon_sym_struct] = ACTIONS(1214),
    [anon_sym_opaque] = ACTIONS(1214),
    [anon_sym_enum] = ACTIONS(1214),
    [anon_sym_union] = ACTIONS(1214),
    [anon_sym_error] = ACTIONS(1214),
    [anon_sym_nosuspend] = ACTIONS(1214),
    [anon_sym_suspend] = ACTIONS(1214),
    [anon_sym_defer] = ACTIONS(1214),
    [anon_sym_errdefer] = ACTIONS(1214),
    [anon_sym_if] = ACTIONS(1214),
    [anon_sym_for] = ACTIONS(1214),
    [anon_sym_while] = ACTIONS(1214),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_asm] = ACTIONS(1214),
    [anon_sym_LBRACK] = ACTIONS(1216),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_DASH_PERCENT] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_async] = ACTIONS(1214),
    [anon_sym_await] = ACTIONS(1214),
    [anon_sym_continue] = ACTIONS(1214),
    [anon_sym_resume] = ACTIONS(1214),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_break] = ACTIONS(1214),
    [anon_sym_try] = ACTIONS(1214),
    [anon_sym_switch] = ACTIONS(1214),
    [anon_sym_anyframe] = ACTIONS(1214),
    [anon_sym_unreachable] = ACTIONS(1214),
    [anon_sym_undefined] = ACTIONS(1214),
    [anon_sym_null] = ACTIONS(1214),
    [anon_sym_QMARK] = ACTIONS(1216),
    [anon_sym_DOT] = ACTIONS(1216),
    [anon_sym_DQUOTE] = ACTIONS(1216),
    [aux_sym_multiline_string_token1] = ACTIONS(1216),
    [anon_sym_SQUOTE] = ACTIONS(1216),
    [sym_integer] = ACTIONS(1214),
    [sym_float] = ACTIONS(1216),
    [anon_sym_true] = ACTIONS(1214),
    [anon_sym_false] = ACTIONS(1214),
    [anon_sym_bool] = ACTIONS(1214),
    [anon_sym_f16] = ACTIONS(1214),
    [anon_sym_f32] = ACTIONS(1214),
    [anon_sym_f64] = ACTIONS(1214),
    [anon_sym_f128] = ACTIONS(1214),
    [anon_sym_void] = ACTIONS(1214),
    [anon_sym_type] = ACTIONS(1214),
    [anon_sym_anyerror] = ACTIONS(1214),
    [anon_sym_anyopaque] = ACTIONS(1214),
    [anon_sym_anytype] = ACTIONS(1214),
    [anon_sym_noreturn] = ACTIONS(1214),
    [anon_sym_isize] = ACTIONS(1214),
    [anon_sym_usize] = ACTIONS(1214),
    [anon_sym_comptime_int] = ACTIONS(1214),
    [anon_sym_comptime_float] = ACTIONS(1214),
    [anon_sym_c_short] = ACTIONS(1214),
    [anon_sym_c_ushort] = ACTIONS(1214),
    [anon_sym_c_int] = ACTIONS(1214),
    [anon_sym_c_uint] = ACTIONS(1214),
    [anon_sym_c_long] = ACTIONS(1214),
    [anon_sym_c_ulong] = ACTIONS(1214),
    [anon_sym_c_longlong] = ACTIONS(1214),
    [anon_sym_c_ulonglong] = ACTIONS(1214),
    [anon_sym_c_longdouble] = ACTIONS(1214),
    [aux_sym_builtin_type_token1] = ACTIONS(1214),
    [sym_builtin_identifier] = ACTIONS(1216),
    [anon_sym_AT] = ACTIONS(1214),
    [sym_comment] = ACTIONS(3),
  },
  [775] = {
    [sym__identifier] = ACTIONS(1218),
    [anon_sym_comptime] = ACTIONS(1218),
    [anon_sym_extern] = ACTIONS(1218),
    [anon_sym_const] = ACTIONS(1218),
    [anon_sym_inline] = ACTIONS(1218),
    [anon_sym_fn] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1220),
    [anon_sym_LBRACE] = ACTIONS(1220),
    [anon_sym_packed] = ACTIONS(1218),
    [anon_sym_struct] = ACTIONS(1218),
    [anon_sym_opaque] = ACTIONS(1218),
    [anon_sym_enum] = ACTIONS(1218),
    [anon_sym_union] = ACTIONS(1218),
    [anon_sym_error] = ACTIONS(1218),
    [anon_sym_nosuspend] = ACTIONS(1218),
    [anon_sym_if] = ACTIONS(1218),
    [anon_sym_for] = ACTIONS(1218),
    [anon_sym_while] = ACTIONS(1218),
    [anon_sym_STAR] = ACTIONS(1220),
    [anon_sym_align] = ACTIONS(1218),
    [anon_sym_addrspace] = ACTIONS(1218),
    [anon_sym_asm] = ACTIONS(1218),
    [anon_sym_volatile] = ACTIONS(1218),
    [anon_sym_LBRACK] = ACTIONS(1220),
    [anon_sym_BANG] = ACTIONS(1220),
    [anon_sym_TILDE] = ACTIONS(1220),
    [anon_sym_DASH] = ACTIONS(1218),
    [anon_sym_DASH_PERCENT] = ACTIONS(1220),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_async] = ACTIONS(1218),
    [anon_sym_await] = ACTIONS(1218),
    [anon_sym_continue] = ACTIONS(1218),
    [anon_sym_resume] = ACTIONS(1218),
    [anon_sym_return] = ACTIONS(1218),
    [anon_sym_break] = ACTIONS(1218),
    [anon_sym_try] = ACTIONS(1218),
    [anon_sym_switch] = ACTIONS(1218),
    [anon_sym_anyframe] = ACTIONS(1218),
    [anon_sym_unreachable] = ACTIONS(1218),
    [anon_sym_undefined] = ACTIONS(1218),
    [anon_sym_null] = ACTIONS(1218),
    [anon_sym_QMARK] = ACTIONS(1220),
    [anon_sym_allowzero] = ACTIONS(1218),
    [anon_sym_DOT] = ACTIONS(1220),
    [anon_sym_DQUOTE] = ACTIONS(1220),
    [aux_sym_multiline_string_token1] = ACTIONS(1220),
    [anon_sym_SQUOTE] = ACTIONS(1220),
    [sym_integer] = ACTIONS(1218),
    [sym_float] = ACTIONS(1220),
    [anon_sym_true] = ACTIONS(1218),
    [anon_sym_false] = ACTIONS(1218),
    [anon_sym_bool] = ACTIONS(1218),
    [anon_sym_f16] = ACTIONS(1218),
    [anon_sym_f32] = ACTIONS(1218),
    [anon_sym_f64] = ACTIONS(1218),
    [anon_sym_f128] = ACTIONS(1218),
    [anon_sym_void] = ACTIONS(1218),
    [anon_sym_type] = ACTIONS(1218),
    [anon_sym_anyerror] = ACTIONS(1218),
    [anon_sym_anyopaque] = ACTIONS(1218),
    [anon_sym_anytype] = ACTIONS(1218),
    [anon_sym_noreturn] = ACTIONS(1218),
    [anon_sym_isize] = ACTIONS(1218),
    [anon_sym_usize] = ACTIONS(1218),
    [anon_sym_comptime_int] = ACTIONS(1218),
    [anon_sym_comptime_float] = ACTIONS(1218),
    [anon_sym_c_short] = ACTIONS(1218),
    [anon_sym_c_ushort] = ACTIONS(1218),
    [anon_sym_c_int] = ACTIONS(1218),
    [anon_sym_c_uint] = ACTIONS(1218),
    [anon_sym_c_long] = ACTIONS(1218),
    [anon_sym_c_ulong] = ACTIONS(1218),
    [anon_sym_c_longlong] = ACTIONS(1218),
    [anon_sym_c_ulonglong] = ACTIONS(1218),
    [anon_sym_c_longdouble] = ACTIONS(1218),
    [aux_sym_builtin_type_token1] = ACTIONS(1218),
    [sym_builtin_identifier] = ACTIONS(1220),
    [anon_sym_AT] = ACTIONS(1218),
    [sym_comment] = ACTIONS(3),
  },
  [776] = {
    [sym__identifier] = ACTIONS(1222),
    [anon_sym_comptime] = ACTIONS(1222),
    [anon_sym_extern] = ACTIONS(1222),
    [anon_sym_const] = ACTIONS(1222),
    [anon_sym_inline] = ACTIONS(1222),
    [anon_sym_fn] = ACTIONS(1222),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_packed] = ACTIONS(1222),
    [anon_sym_struct] = ACTIONS(1222),
    [anon_sym_opaque] = ACTIONS(1222),
    [anon_sym_enum] = ACTIONS(1222),
    [anon_sym_union] = ACTIONS(1222),
    [anon_sym_error] = ACTIONS(1222),
    [anon_sym_nosuspend] = ACTIONS(1222),
    [anon_sym_if] = ACTIONS(1222),
    [anon_sym_for] = ACTIONS(1222),
    [anon_sym_while] = ACTIONS(1222),
    [anon_sym_STAR] = ACTIONS(1224),
    [anon_sym_align] = ACTIONS(1222),
    [anon_sym_addrspace] = ACTIONS(1222),
    [anon_sym_asm] = ACTIONS(1222),
    [anon_sym_volatile] = ACTIONS(1222),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_BANG] = ACTIONS(1224),
    [anon_sym_TILDE] = ACTIONS(1224),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_DASH_PERCENT] = ACTIONS(1224),
    [anon_sym_AMP] = ACTIONS(1224),
    [anon_sym_async] = ACTIONS(1222),
    [anon_sym_await] = ACTIONS(1222),
    [anon_sym_continue] = ACTIONS(1222),
    [anon_sym_resume] = ACTIONS(1222),
    [anon_sym_return] = ACTIONS(1222),
    [anon_sym_break] = ACTIONS(1222),
    [anon_sym_try] = ACTIONS(1222),
    [anon_sym_switch] = ACTIONS(1222),
    [anon_sym_anyframe] = ACTIONS(1222),
    [anon_sym_unreachable] = ACTIONS(1222),
    [anon_sym_undefined] = ACTIONS(1222),
    [anon_sym_null] = ACTIONS(1222),
    [anon_sym_QMARK] = ACTIONS(1224),
    [anon_sym_allowzero] = ACTIONS(1222),
    [anon_sym_DOT] = ACTIONS(1224),
    [anon_sym_DQUOTE] = ACTIONS(1224),
    [aux_sym_multiline_string_token1] = ACTIONS(1224),
    [anon_sym_SQUOTE] = ACTIONS(1224),
    [sym_integer] = ACTIONS(1222),
    [sym_float] = ACTIONS(1224),
    [anon_sym_true] = ACTIONS(1222),
    [anon_sym_false] = ACTIONS(1222),
    [anon_sym_bool] = ACTIONS(1222),
    [anon_sym_f16] = ACTIONS(1222),
    [anon_sym_f32] = ACTIONS(1222),
    [anon_sym_f64] = ACTIONS(1222),
    [anon_sym_f128] = ACTIONS(1222),
    [anon_sym_void] = ACTIONS(1222),
    [anon_sym_type] = ACTIONS(1222),
    [anon_sym_anyerror] = ACTIONS(1222),
    [anon_sym_anyopaque] = ACTIONS(1222),
    [anon_sym_anytype] = ACTIONS(1222),
    [anon_sym_noreturn] = ACTIONS(1222),
    [anon_sym_isize] = ACTIONS(1222),
    [anon_sym_usize] = ACTIONS(1222),
    [anon_sym_comptime_int] = ACTIONS(1222),
    [anon_sym_comptime_float] = ACTIONS(1222),
    [anon_sym_c_short] = ACTIONS(1222),
    [anon_sym_c_ushort] = ACTIONS(1222),
    [anon_sym_c_int] = ACTIONS(1222),
    [anon_sym_c_uint] = ACTIONS(1222),
    [anon_sym_c_long] = ACTIONS(1222),
    [anon_sym_c_ulong] = ACTIONS(1222),
    [anon_sym_c_longlong] = ACTIONS(1222),
    [anon_sym_c_ulonglong] = ACTIONS(1222),
    [anon_sym_c_longdouble] = ACTIONS(1222),
    [aux_sym_builtin_type_token1] = ACTIONS(1222),
    [sym_builtin_identifier] = ACTIONS(1224),
    [anon_sym_AT] = ACTIONS(1222),
    [sym_comment] = ACTIONS(3),
  },
  [777] = {
    [sym__identifier] = ACTIONS(1226),
    [anon_sym_comptime] = ACTIONS(1226),
    [anon_sym_extern] = ACTIONS(1226),
    [anon_sym_inline] = ACTIONS(1226),
    [anon_sym_fn] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1228),
    [anon_sym_packed] = ACTIONS(1226),
    [anon_sym_struct] = ACTIONS(1226),
    [anon_sym_opaque] = ACTIONS(1226),
    [anon_sym_enum] = ACTIONS(1226),
    [anon_sym_union] = ACTIONS(1226),
    [anon_sym_error] = ACTIONS(1226),
    [anon_sym_nosuspend] = ACTIONS(1226),
    [anon_sym_if] = ACTIONS(1226),
    [anon_sym_for] = ACTIONS(1226),
    [anon_sym_while] = ACTIONS(1226),
    [anon_sym_STAR] = ACTIONS(1228),
    [anon_sym_align] = ACTIONS(1226),
    [anon_sym_addrspace] = ACTIONS(1226),
    [anon_sym_linksection] = ACTIONS(1226),
    [anon_sym_callconv] = ACTIONS(1226),
    [anon_sym_asm] = ACTIONS(1226),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_BANG] = ACTIONS(1228),
    [anon_sym_TILDE] = ACTIONS(1228),
    [anon_sym_DASH] = ACTIONS(1226),
    [anon_sym_DASH_PERCENT] = ACTIONS(1228),
    [anon_sym_AMP] = ACTIONS(1228),
    [anon_sym_async] = ACTIONS(1226),
    [anon_sym_await] = ACTIONS(1226),
    [anon_sym_continue] = ACTIONS(1226),
    [anon_sym_resume] = ACTIONS(1226),
    [anon_sym_return] = ACTIONS(1226),
    [anon_sym_break] = ACTIONS(1226),
    [anon_sym_try] = ACTIONS(1226),
    [anon_sym_switch] = ACTIONS(1226),
    [anon_sym_anyframe] = ACTIONS(1226),
    [anon_sym_unreachable] = ACTIONS(1226),
    [anon_sym_undefined] = ACTIONS(1226),
    [anon_sym_null] = ACTIONS(1226),
    [anon_sym_QMARK] = ACTIONS(1228),
    [anon_sym_DOT] = ACTIONS(1228),
    [anon_sym_DQUOTE] = ACTIONS(1228),
    [aux_sym_multiline_string_token1] = ACTIONS(1228),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [sym_integer] = ACTIONS(1226),
    [sym_float] = ACTIONS(1228),
    [anon_sym_true] = ACTIONS(1226),
    [anon_sym_false] = ACTIONS(1226),
    [anon_sym_bool] = ACTIONS(1226),
    [anon_sym_f16] = ACTIONS(1226),
    [anon_sym_f32] = ACTIONS(1226),
    [anon_sym_f64] = ACTIONS(1226),
    [anon_sym_f128] = ACTIONS(1226),
    [anon_sym_void] = ACTIONS(1226),
    [anon_sym_type] = ACTIONS(1226),
    [anon_sym_anyerror] = ACTIONS(1226),
    [anon_sym_anyopaque] = ACTIONS(1226),
    [anon_sym_anytype] = ACTIONS(1226),
    [anon_sym_noreturn] = ACTIONS(1226),
    [anon_sym_isize] = ACTIONS(1226),
    [anon_sym_usize] = ACTIONS(1226),
    [anon_sym_comptime_int] = ACTIONS(1226),
    [anon_sym_comptime_float] = ACTIONS(1226),
    [anon_sym_c_short] = ACTIONS(1226),
    [anon_sym_c_ushort] = ACTIONS(1226),
    [anon_sym_c_int] = ACTIONS(1226),
    [anon_sym_c_uint] = ACTIONS(1226),
    [anon_sym_c_long] = ACTIONS(1226),
    [anon_sym_c_ulong] = ACTIONS(1226),
    [anon_sym_c_longlong] = ACTIONS(1226),
    [anon_sym_c_ulonglong] = ACTIONS(1226),
    [anon_sym_c_longdouble] = ACTIONS(1226),
    [aux_sym_builtin_type_token1] = ACTIONS(1226),
    [sym_builtin_identifier] = ACTIONS(1228),
    [anon_sym_AT] = ACTIONS(1226),
    [sym_comment] = ACTIONS(3),
  },
  [778] = {
    [sym__identifier] = ACTIONS(1230),
    [anon_sym_COMMA] = ACTIONS(1232),
    [anon_sym_comptime] = ACTIONS(1230),
    [anon_sym_EQ] = ACTIONS(1232),
    [anon_sym_extern] = ACTIONS(1230),
    [anon_sym_SEMI] = ACTIONS(1232),
    [anon_sym_inline] = ACTIONS(1230),
    [anon_sym_fn] = ACTIONS(1230),
    [anon_sym_LPAREN] = ACTIONS(1232),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym_packed] = ACTIONS(1230),
    [anon_sym_struct] = ACTIONS(1230),
    [anon_sym_opaque] = ACTIONS(1230),
    [anon_sym_enum] = ACTIONS(1230),
    [anon_sym_union] = ACTIONS(1230),
    [anon_sym_error] = ACTIONS(1230),
    [anon_sym_nosuspend] = ACTIONS(1230),
    [anon_sym_if] = ACTIONS(1230),
    [anon_sym_for] = ACTIONS(1230),
    [anon_sym_while] = ACTIONS(1230),
    [anon_sym_STAR] = ACTIONS(1232),
    [anon_sym_callconv] = ACTIONS(1230),
    [anon_sym_asm] = ACTIONS(1230),
    [anon_sym_LBRACK] = ACTIONS(1232),
    [anon_sym_BANG] = ACTIONS(1232),
    [anon_sym_TILDE] = ACTIONS(1232),
    [anon_sym_DASH] = ACTIONS(1230),
    [anon_sym_DASH_PERCENT] = ACTIONS(1232),
    [anon_sym_AMP] = ACTIONS(1232),
    [anon_sym_async] = ACTIONS(1230),
    [anon_sym_await] = ACTIONS(1230),
    [anon_sym_continue] = ACTIONS(1230),
    [anon_sym_resume] = ACTIONS(1230),
    [anon_sym_return] = ACTIONS(1230),
    [anon_sym_break] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(1230),
    [anon_sym_switch] = ACTIONS(1230),
    [anon_sym_anyframe] = ACTIONS(1230),
    [anon_sym_unreachable] = ACTIONS(1230),
    [anon_sym_undefined] = ACTIONS(1230),
    [anon_sym_null] = ACTIONS(1230),
    [anon_sym_QMARK] = ACTIONS(1232),
    [anon_sym_DOT] = ACTIONS(1232),
    [anon_sym_DQUOTE] = ACTIONS(1232),
    [aux_sym_multiline_string_token1] = ACTIONS(1232),
    [anon_sym_SQUOTE] = ACTIONS(1232),
    [sym_integer] = ACTIONS(1230),
    [sym_float] = ACTIONS(1232),
    [anon_sym_true] = ACTIONS(1230),
    [anon_sym_false] = ACTIONS(1230),
    [anon_sym_bool] = ACTIONS(1230),
    [anon_sym_f16] = ACTIONS(1230),
    [anon_sym_f32] = ACTIONS(1230),
    [anon_sym_f64] = ACTIONS(1230),
    [anon_sym_f128] = ACTIONS(1230),
    [anon_sym_void] = ACTIONS(1230),
    [anon_sym_type] = ACTIONS(1230),
    [anon_sym_anyerror] = ACTIONS(1230),
    [anon_sym_anyopaque] = ACTIONS(1230),
    [anon_sym_anytype] = ACTIONS(1230),
    [anon_sym_noreturn] = ACTIONS(1230),
    [anon_sym_isize] = ACTIONS(1230),
    [anon_sym_usize] = ACTIONS(1230),
    [anon_sym_comptime_int] = ACTIONS(1230),
    [anon_sym_comptime_float] = ACTIONS(1230),
    [anon_sym_c_short] = ACTIONS(1230),
    [anon_sym_c_ushort] = ACTIONS(1230),
    [anon_sym_c_int] = ACTIONS(1230),
    [anon_sym_c_uint] = ACTIONS(1230),
    [anon_sym_c_long] = ACTIONS(1230),
    [anon_sym_c_ulong] = ACTIONS(1230),
    [anon_sym_c_longlong] = ACTIONS(1230),
    [anon_sym_c_ulonglong] = ACTIONS(1230),
    [anon_sym_c_longdouble] = ACTIONS(1230),
    [aux_sym_builtin_type_token1] = ACTIONS(1230),
    [sym_builtin_identifier] = ACTIONS(1232),
    [anon_sym_AT] = ACTIONS(1230),
    [sym_comment] = ACTIONS(3),
  },
  [779] = {
    [sym__identifier] = ACTIONS(1234),
    [anon_sym_comptime] = ACTIONS(1234),
    [anon_sym_extern] = ACTIONS(1234),
    [anon_sym_inline] = ACTIONS(1234),
    [anon_sym_fn] = ACTIONS(1234),
    [anon_sym_LPAREN] = ACTIONS(1236),
    [anon_sym_LBRACE] = ACTIONS(1236),
    [anon_sym_packed] = ACTIONS(1234),
    [anon_sym_struct] = ACTIONS(1234),
    [anon_sym_opaque] = ACTIONS(1234),
    [anon_sym_enum] = ACTIONS(1234),
    [anon_sym_union] = ACTIONS(1234),
    [anon_sym_error] = ACTIONS(1234),
    [anon_sym_nosuspend] = ACTIONS(1234),
    [anon_sym_if] = ACTIONS(1234),
    [anon_sym_for] = ACTIONS(1234),
    [anon_sym_while] = ACTIONS(1234),
    [anon_sym_STAR] = ACTIONS(1236),
    [anon_sym_align] = ACTIONS(1234),
    [anon_sym_addrspace] = ACTIONS(1234),
    [anon_sym_linksection] = ACTIONS(1234),
    [anon_sym_callconv] = ACTIONS(1234),
    [anon_sym_asm] = ACTIONS(1234),
    [anon_sym_LBRACK] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1234),
    [anon_sym_DASH_PERCENT] = ACTIONS(1236),
    [anon_sym_AMP] = ACTIONS(1236),
    [anon_sym_async] = ACTIONS(1234),
    [anon_sym_await] = ACTIONS(1234),
    [anon_sym_continue] = ACTIONS(1234),
    [anon_sym_resume] = ACTIONS(1234),
    [anon_sym_return] = ACTIONS(1234),
    [anon_sym_break] = ACTIONS(1234),
    [anon_sym_try] = ACTIONS(1234),
    [anon_sym_switch] = ACTIONS(1234),
    [anon_sym_anyframe] = ACTIONS(1234),
    [anon_sym_unreachable] = ACTIONS(1234),
    [anon_sym_undefined] = ACTIONS(1234),
    [anon_sym_null] = ACTIONS(1234),
    [anon_sym_QMARK] = ACTIONS(1236),
    [anon_sym_DOT] = ACTIONS(1236),
    [anon_sym_DQUOTE] = ACTIONS(1236),
    [aux_sym_multiline_string_token1] = ACTIONS(1236),
    [anon_sym_SQUOTE] = ACTIONS(1236),
    [sym_integer] = ACTIONS(1234),
    [sym_float] = ACTIONS(1236),
    [anon_sym_true] = ACTIONS(1234),
    [anon_sym_false] = ACTIONS(1234),
    [anon_sym_bool] = ACTIONS(1234),
    [anon_sym_f16] = ACTIONS(1234),
    [anon_sym_f32] = ACTIONS(1234),
    [anon_sym_f64] = ACTIONS(1234),
    [anon_sym_f128] = ACTIONS(1234),
    [anon_sym_void] = ACTIONS(1234),
    [anon_sym_type] = ACTIONS(1234),
    [anon_sym_anyerror] = ACTIONS(1234),
    [anon_sym_anyopaque] = ACTIONS(1234),
    [anon_sym_anytype] = ACTIONS(1234),
    [anon_sym_noreturn] = ACTIONS(1234),
    [anon_sym_isize] = ACTIONS(1234),
    [anon_sym_usize] = ACTIONS(1234),
    [anon_sym_comptime_int] = ACTIONS(1234),
    [anon_sym_comptime_float] = ACTIONS(1234),
    [anon_sym_c_short] = ACTIONS(1234),
    [anon_sym_c_ushort] = ACTIONS(1234),
    [anon_sym_c_int] = ACTIONS(1234),
    [anon_sym_c_uint] = ACTIONS(1234),
    [anon_sym_c_long] = ACTIONS(1234),
    [anon_sym_c_ulong] = ACTIONS(1234),
    [anon_sym_c_longlong] = ACTIONS(1234),
    [anon_sym_c_ulonglong] = ACTIONS(1234),
    [anon_sym_c_longdouble] = ACTIONS(1234),
    [aux_sym_builtin_type_token1] = ACTIONS(1234),
    [sym_builtin_identifier] = ACTIONS(1236),
    [anon_sym_AT] = ACTIONS(1234),
    [sym_comment] = ACTIONS(3),
  },
  [780] = {
    [sym__identifier] = ACTIONS(1238),
    [anon_sym_comptime] = ACTIONS(1238),
    [anon_sym_extern] = ACTIONS(1238),
    [anon_sym_inline] = ACTIONS(1238),
    [anon_sym_fn] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1240),
    [anon_sym_LBRACE] = ACTIONS(1240),
    [anon_sym_packed] = ACTIONS(1238),
    [anon_sym_struct] = ACTIONS(1238),
    [anon_sym_opaque] = ACTIONS(1238),
    [anon_sym_enum] = ACTIONS(1238),
    [anon_sym_union] = ACTIONS(1238),
    [anon_sym_error] = ACTIONS(1238),
    [anon_sym_nosuspend] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(1238),
    [anon_sym_for] = ACTIONS(1238),
    [anon_sym_while] = ACTIONS(1238),
    [anon_sym_STAR] = ACTIONS(1240),
    [anon_sym_align] = ACTIONS(1238),
    [anon_sym_addrspace] = ACTIONS(1238),
    [anon_sym_linksection] = ACTIONS(1238),
    [anon_sym_callconv] = ACTIONS(1238),
    [anon_sym_asm] = ACTIONS(1238),
    [anon_sym_LBRACK] = ACTIONS(1240),
    [anon_sym_BANG] = ACTIONS(1240),
    [anon_sym_TILDE] = ACTIONS(1240),
    [anon_sym_DASH] = ACTIONS(1238),
    [anon_sym_DASH_PERCENT] = ACTIONS(1240),
    [anon_sym_AMP] = ACTIONS(1240),
    [anon_sym_async] = ACTIONS(1238),
    [anon_sym_await] = ACTIONS(1238),
    [anon_sym_continue] = ACTIONS(1238),
    [anon_sym_resume] = ACTIONS(1238),
    [anon_sym_return] = ACTIONS(1238),
    [anon_sym_break] = ACTIONS(1238),
    [anon_sym_try] = ACTIONS(1238),
    [anon_sym_switch] = ACTIONS(1238),
    [anon_sym_anyframe] = ACTIONS(1238),
    [anon_sym_unreachable] = ACTIONS(1238),
    [anon_sym_undefined] = ACTIONS(1238),
    [anon_sym_null] = ACTIONS(1238),
    [anon_sym_QMARK] = ACTIONS(1240),
    [anon_sym_DOT] = ACTIONS(1240),
    [anon_sym_DQUOTE] = ACTIONS(1240),
    [aux_sym_multiline_string_token1] = ACTIONS(1240),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_integer] = ACTIONS(1238),
    [sym_float] = ACTIONS(1240),
    [anon_sym_true] = ACTIONS(1238),
    [anon_sym_false] = ACTIONS(1238),
    [anon_sym_bool] = ACTIONS(1238),
    [anon_sym_f16] = ACTIONS(1238),
    [anon_sym_f32] = ACTIONS(1238),
    [anon_sym_f64] = ACTIONS(1238),
    [anon_sym_f128] = ACTIONS(1238),
    [anon_sym_void] = ACTIONS(1238),
    [anon_sym_type] = ACTIONS(1238),
    [anon_sym_anyerror] = ACTIONS(1238),
    [anon_sym_anyopaque] = ACTIONS(1238),
    [anon_sym_anytype] = ACTIONS(1238),
    [anon_sym_noreturn] = ACTIONS(1238),
    [anon_sym_isize] = ACTIONS(1238),
    [anon_sym_usize] = ACTIONS(1238),
    [anon_sym_comptime_int] = ACTIONS(1238),
    [anon_sym_comptime_float] = ACTIONS(1238),
    [anon_sym_c_short] = ACTIONS(1238),
    [anon_sym_c_ushort] = ACTIONS(1238),
    [anon_sym_c_int] = ACTIONS(1238),
    [anon_sym_c_uint] = ACTIONS(1238),
    [anon_sym_c_long] = ACTIONS(1238),
    [anon_sym_c_ulong] = ACTIONS(1238),
    [anon_sym_c_longlong] = ACTIONS(1238),
    [anon_sym_c_ulonglong] = ACTIONS(1238),
    [anon_sym_c_longdouble] = ACTIONS(1238),
    [aux_sym_builtin_type_token1] = ACTIONS(1238),
    [sym_builtin_identifier] = ACTIONS(1240),
    [anon_sym_AT] = ACTIONS(1238),
    [sym_comment] = ACTIONS(3),
  },
  [781] = {
    [sym__identifier] = ACTIONS(1242),
    [anon_sym_comptime] = ACTIONS(1242),
    [anon_sym_extern] = ACTIONS(1242),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym_fn] = ACTIONS(1242),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_LBRACE] = ACTIONS(1244),
    [anon_sym_packed] = ACTIONS(1242),
    [anon_sym_struct] = ACTIONS(1242),
    [anon_sym_opaque] = ACTIONS(1242),
    [anon_sym_enum] = ACTIONS(1242),
    [anon_sym_union] = ACTIONS(1242),
    [anon_sym_error] = ACTIONS(1242),
    [anon_sym_nosuspend] = ACTIONS(1242),
    [anon_sym_if] = ACTIONS(1242),
    [anon_sym_for] = ACTIONS(1242),
    [anon_sym_while] = ACTIONS(1242),
    [anon_sym_STAR] = ACTIONS(1244),
    [anon_sym_align] = ACTIONS(1242),
    [anon_sym_addrspace] = ACTIONS(1242),
    [anon_sym_linksection] = ACTIONS(1242),
    [anon_sym_callconv] = ACTIONS(1242),
    [anon_sym_asm] = ACTIONS(1242),
    [anon_sym_LBRACK] = ACTIONS(1244),
    [anon_sym_BANG] = ACTIONS(1244),
    [anon_sym_TILDE] = ACTIONS(1244),
    [anon_sym_DASH] = ACTIONS(1242),
    [anon_sym_DASH_PERCENT] = ACTIONS(1244),
    [anon_sym_AMP] = ACTIONS(1244),
    [anon_sym_async] = ACTIONS(1242),
    [anon_sym_await] = ACTIONS(1242),
    [anon_sym_continue] = ACTIONS(1242),
    [anon_sym_resume] = ACTIONS(1242),
    [anon_sym_return] = ACTIONS(1242),
    [anon_sym_break] = ACTIONS(1242),
    [anon_sym_try] = ACTIONS(1242),
    [anon_sym_switch] = ACTIONS(1242),
    [anon_sym_anyframe] = ACTIONS(1242),
    [anon_sym_unreachable] = ACTIONS(1242),
    [anon_sym_undefined] = ACTIONS(1242),
    [anon_sym_null] = ACTIONS(1242),
    [anon_sym_QMARK] = ACTIONS(1244),
    [anon_sym_DOT] = ACTIONS(1244),
    [anon_sym_DQUOTE] = ACTIONS(1244),
    [aux_sym_multiline_string_token1] = ACTIONS(1244),
    [anon_sym_SQUOTE] = ACTIONS(1244),
    [sym_integer] = ACTIONS(1242),
    [sym_float] = ACTIONS(1244),
    [anon_sym_true] = ACTIONS(1242),
    [anon_sym_false] = ACTIONS(1242),
    [anon_sym_bool] = ACTIONS(1242),
    [anon_sym_f16] = ACTIONS(1242),
    [anon_sym_f32] = ACTIONS(1242),
    [anon_sym_f64] = ACTIONS(1242),
    [anon_sym_f128] = ACTIONS(1242),
    [anon_sym_void] = ACTIONS(1242),
    [anon_sym_type] = ACTIONS(1242),
    [anon_sym_anyerror] = ACTIONS(1242),
    [anon_sym_anyopaque] = ACTIONS(1242),
    [anon_sym_anytype] = ACTIONS(1242),
    [anon_sym_noreturn] = ACTIONS(1242),
    [anon_sym_isize] = ACTIONS(1242),
    [anon_sym_usize] = ACTIONS(1242),
    [anon_sym_comptime_int] = ACTIONS(1242),
    [anon_sym_comptime_float] = ACTIONS(1242),
    [anon_sym_c_short] = ACTIONS(1242),
    [anon_sym_c_ushort] = ACTIONS(1242),
    [anon_sym_c_int] = ACTIONS(1242),
    [anon_sym_c_uint] = ACTIONS(1242),
    [anon_sym_c_long] = ACTIONS(1242),
    [anon_sym_c_ulong] = ACTIONS(1242),
    [anon_sym_c_longlong] = ACTIONS(1242),
    [anon_sym_c_ulonglong] = ACTIONS(1242),
    [anon_sym_c_longdouble] = ACTIONS(1242),
    [aux_sym_builtin_type_token1] = ACTIONS(1242),
    [sym_builtin_identifier] = ACTIONS(1244),
    [anon_sym_AT] = ACTIONS(1242),
    [sym_comment] = ACTIONS(3),
  },
  [782] = {
    [sym_payload] = STATE(784),
    [sym__identifier] = ACTIONS(1246),
    [anon_sym_comptime] = ACTIONS(1246),
    [anon_sym_COLON] = ACTIONS(1248),
    [anon_sym_extern] = ACTIONS(1246),
    [anon_sym_inline] = ACTIONS(1246),
    [anon_sym_fn] = ACTIONS(1246),
    [anon_sym_LPAREN] = ACTIONS(1250),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym_packed] = ACTIONS(1246),
    [anon_sym_struct] = ACTIONS(1246),
    [anon_sym_opaque] = ACTIONS(1246),
    [anon_sym_enum] = ACTIONS(1246),
    [anon_sym_union] = ACTIONS(1246),
    [anon_sym_error] = ACTIONS(1246),
    [anon_sym_nosuspend] = ACTIONS(1246),
    [anon_sym_if] = ACTIONS(1246),
    [anon_sym_for] = ACTIONS(1246),
    [anon_sym_while] = ACTIONS(1246),
    [anon_sym_PIPE] = ACTIONS(353),
    [anon_sym_STAR] = ACTIONS(1250),
    [anon_sym_asm] = ACTIONS(1246),
    [anon_sym_LBRACK] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1246),
    [anon_sym_DASH_PERCENT] = ACTIONS(1250),
    [anon_sym_AMP] = ACTIONS(1250),
    [anon_sym_async] = ACTIONS(1246),
    [anon_sym_await] = ACTIONS(1246),
    [anon_sym_continue] = ACTIONS(1246),
    [anon_sym_resume] = ACTIONS(1246),
    [anon_sym_return] = ACTIONS(1246),
    [anon_sym_break] = ACTIONS(1246),
    [anon_sym_try] = ACTIONS(1246),
    [anon_sym_switch] = ACTIONS(1246),
    [anon_sym_anyframe] = ACTIONS(1246),
    [anon_sym_unreachable] = ACTIONS(1246),
    [anon_sym_undefined] = ACTIONS(1246),
    [anon_sym_null] = ACTIONS(1246),
    [anon_sym_QMARK] = ACTIONS(1250),
    [anon_sym_DOT] = ACTIONS(1250),
    [anon_sym_DQUOTE] = ACTIONS(1250),
    [aux_sym_multiline_string_token1] = ACTIONS(1250),
    [anon_sym_SQUOTE] = ACTIONS(1250),
    [sym_integer] = ACTIONS(1246),
    [sym_float] = ACTIONS(1250),
    [anon_sym_true] = ACTIONS(1246),
    [anon_sym_false] = ACTIONS(1246),
    [anon_sym_bool] = ACTIONS(1246),
    [anon_sym_f16] = ACTIONS(1246),
    [anon_sym_f32] = ACTIONS(1246),
    [anon_sym_f64] = ACTIONS(1246),
    [anon_sym_f128] = ACTIONS(1246),
    [anon_sym_void] = ACTIONS(1246),
    [anon_sym_type] = ACTIONS(1246),
    [anon_sym_anyerror] = ACTIONS(1246),
    [anon_sym_anyopaque] = ACTIONS(1246),
    [anon_sym_anytype] = ACTIONS(1246),
    [anon_sym_noreturn] = ACTIONS(1246),
    [anon_sym_isize] = ACTIONS(1246),
    [anon_sym_usize] = ACTIONS(1246),
    [anon_sym_comptime_int] = ACTIONS(1246),
    [anon_sym_comptime_float] = ACTIONS(1246),
    [anon_sym_c_short] = ACTIONS(1246),
    [anon_sym_c_ushort] = ACTIONS(1246),
    [anon_sym_c_int] = ACTIONS(1246),
    [anon_sym_c_uint] = ACTIONS(1246),
    [anon_sym_c_long] = ACTIONS(1246),
    [anon_sym_c_ulong] = ACTIONS(1246),
    [anon_sym_c_longlong] = ACTIONS(1246),
    [anon_sym_c_ulonglong] = ACTIONS(1246),
    [anon_sym_c_longdouble] = ACTIONS(1246),
    [aux_sym_builtin_type_token1] = ACTIONS(1246),
    [sym_builtin_identifier] = ACTIONS(1250),
    [anon_sym_AT] = ACTIONS(1246),
    [sym_comment] = ACTIONS(3),
  },
  [783] = {
    [sym_payload] = STATE(786),
    [sym__identifier] = ACTIONS(1252),
    [anon_sym_comptime] = ACTIONS(1252),
    [anon_sym_extern] = ACTIONS(1252),
    [anon_sym_inline] = ACTIONS(1252),
    [anon_sym_fn] = ACTIONS(1252),
    [anon_sym_LPAREN] = ACTIONS(1254),
    [anon_sym_LBRACE] = ACTIONS(1254),
    [anon_sym_packed] = ACTIONS(1252),
    [anon_sym_struct] = ACTIONS(1252),
    [anon_sym_opaque] = ACTIONS(1252),
    [anon_sym_enum] = ACTIONS(1252),
    [anon_sym_union] = ACTIONS(1252),
    [anon_sym_error] = ACTIONS(1252),
    [anon_sym_nosuspend] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(1252),
    [anon_sym_for] = ACTIONS(1252),
    [anon_sym_while] = ACTIONS(1252),
    [anon_sym_PIPE] = ACTIONS(353),
    [anon_sym_STAR] = ACTIONS(1254),
    [anon_sym_asm] = ACTIONS(1252),
    [anon_sym_LBRACK] = ACTIONS(1254),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1252),
    [anon_sym_DASH_PERCENT] = ACTIONS(1254),
    [anon_sym_AMP] = ACTIONS(1254),
    [anon_sym_async] = ACTIONS(1252),
    [anon_sym_await] = ACTIONS(1252),
    [anon_sym_continue] = ACTIONS(1252),
    [anon_sym_resume] = ACTIONS(1252),
    [anon_sym_return] = ACTIONS(1252),
    [anon_sym_break] = ACTIONS(1252),
    [anon_sym_try] = ACTIONS(1252),
    [anon_sym_switch] = ACTIONS(1252),
    [anon_sym_anyframe] = ACTIONS(1252),
    [anon_sym_unreachable] = ACTIONS(1252),
    [anon_sym_undefined] = ACTIONS(1252),
    [anon_sym_null] = ACTIONS(1252),
    [anon_sym_QMARK] = ACTIONS(1254),
    [anon_sym_DOT] = ACTIONS(1254),
    [anon_sym_DQUOTE] = ACTIONS(1254),
    [aux_sym_multiline_string_token1] = ACTIONS(1254),
    [anon_sym_SQUOTE] = ACTIONS(1254),
    [sym_integer] = ACTIONS(1252),
    [sym_float] = ACTIONS(1254),
    [anon_sym_true] = ACTIONS(1252),
    [anon_sym_false] = ACTIONS(1252),
    [anon_sym_bool] = ACTIONS(1252),
    [anon_sym_f16] = ACTIONS(1252),
    [anon_sym_f32] = ACTIONS(1252),
    [anon_sym_f64] = ACTIONS(1252),
    [anon_sym_f128] = ACTIONS(1252),
    [anon_sym_void] = ACTIONS(1252),
    [anon_sym_type] = ACTIONS(1252),
    [anon_sym_anyerror] = ACTIONS(1252),
    [anon_sym_anyopaque] = ACTIONS(1252),
    [anon_sym_anytype] = ACTIONS(1252),
    [anon_sym_noreturn] = ACTIONS(1252),
    [anon_sym_isize] = ACTIONS(1252),
    [anon_sym_usize] = ACTIONS(1252),
    [anon_sym_comptime_int] = ACTIONS(1252),
    [anon_sym_comptime_float] = ACTIONS(1252),
    [anon_sym_c_short] = ACTIONS(1252),
    [anon_sym_c_ushort] = ACTIONS(1252),
    [anon_sym_c_int] = ACTIONS(1252),
    [anon_sym_c_uint] = ACTIONS(1252),
    [anon_sym_c_long] = ACTIONS(1252),
    [anon_sym_c_ulong] = ACTIONS(1252),
    [anon_sym_c_longlong] = ACTIONS(1252),
    [anon_sym_c_ulonglong] = ACTIONS(1252),
    [anon_sym_c_longdouble] = ACTIONS(1252),
    [aux_sym_builtin_type_token1] = ACTIONS(1252),
    [sym_builtin_identifier] = ACTIONS(1254),
    [anon_sym_AT] = ACTIONS(1252),
    [sym_comment] = ACTIONS(3),
  },
  [784] = {
    [sym__identifier] = ACTIONS(1256),
    [anon_sym_comptime] = ACTIONS(1256),
    [anon_sym_COLON] = ACTIONS(1258),
    [anon_sym_extern] = ACTIONS(1256),
    [anon_sym_inline] = ACTIONS(1256),
    [anon_sym_fn] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1260),
    [anon_sym_LBRACE] = ACTIONS(1260),
    [anon_sym_packed] = ACTIONS(1256),
    [anon_sym_struct] = ACTIONS(1256),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_enum] = ACTIONS(1256),
    [anon_sym_union] = ACTIONS(1256),
    [anon_sym_error] = ACTIONS(1256),
    [anon_sym_nosuspend] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(1256),
    [anon_sym_for] = ACTIONS(1256),
    [anon_sym_while] = ACTIONS(1256),
    [anon_sym_STAR] = ACTIONS(1260),
    [anon_sym_asm] = ACTIONS(1256),
    [anon_sym_LBRACK] = ACTIONS(1260),
    [anon_sym_BANG] = ACTIONS(1260),
    [anon_sym_TILDE] = ACTIONS(1260),
    [anon_sym_DASH] = ACTIONS(1256),
    [anon_sym_DASH_PERCENT] = ACTIONS(1260),
    [anon_sym_AMP] = ACTIONS(1260),
    [anon_sym_async] = ACTIONS(1256),
    [anon_sym_await] = ACTIONS(1256),
    [anon_sym_continue] = ACTIONS(1256),
    [anon_sym_resume] = ACTIONS(1256),
    [anon_sym_return] = ACTIONS(1256),
    [anon_sym_break] = ACTIONS(1256),
    [anon_sym_try] = ACTIONS(1256),
    [anon_sym_switch] = ACTIONS(1256),
    [anon_sym_anyframe] = ACTIONS(1256),
    [anon_sym_unreachable] = ACTIONS(1256),
    [anon_sym_undefined] = ACTIONS(1256),
    [anon_sym_null] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1260),
    [anon_sym_DOT] = ACTIONS(1260),
    [anon_sym_DQUOTE] = ACTIONS(1260),
    [aux_sym_multiline_string_token1] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1260),
    [sym_integer] = ACTIONS(1256),
    [sym_float] = ACTIONS(1260),
    [anon_sym_true] = ACTIONS(1256),
    [anon_sym_false] = ACTIONS(1256),
    [anon_sym_bool] = ACTIONS(1256),
    [anon_sym_f16] = ACTIONS(1256),
    [anon_sym_f32] = ACTIONS(1256),
    [anon_sym_f64] = ACTIONS(1256),
    [anon_sym_f128] = ACTIONS(1256),
    [anon_sym_void] = ACTIONS(1256),
    [anon_sym_type] = ACTIONS(1256),
    [anon_sym_anyerror] = ACTIONS(1256),
    [anon_sym_anyopaque] = ACTIONS(1256),
    [anon_sym_anytype] = ACTIONS(1256),
    [anon_sym_noreturn] = ACTIONS(1256),
    [anon_sym_isize] = ACTIONS(1256),
    [anon_sym_usize] = ACTIONS(1256),
    [anon_sym_comptime_int] = ACTIONS(1256),
    [anon_sym_comptime_float] = ACTIONS(1256),
    [anon_sym_c_short] = ACTIONS(1256),
    [anon_sym_c_ushort] = ACTIONS(1256),
    [anon_sym_c_int] = ACTIONS(1256),
    [anon_sym_c_uint] = ACTIONS(1256),
    [anon_sym_c_long] = ACTIONS(1256),
    [anon_sym_c_ulong] = ACTIONS(1256),
    [anon_sym_c_longlong] = ACTIONS(1256),
    [anon_sym_c_ulonglong] = ACTIONS(1256),
    [anon_sym_c_longdouble] = ACTIONS(1256),
    [aux_sym_builtin_type_token1] = ACTIONS(1256),
    [sym_builtin_identifier] = ACTIONS(1260),
    [anon_sym_AT] = ACTIONS(1256),
    [sym_comment] = ACTIONS(3),
  },
  [785] = {
    [sym__identifier] = ACTIONS(1262),
    [anon_sym_comptime] = ACTIONS(1262),
    [anon_sym_extern] = ACTIONS(1262),
    [anon_sym_inline] = ACTIONS(1262),
    [anon_sym_fn] = ACTIONS(1262),
    [anon_sym_LPAREN] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1264),
    [anon_sym_packed] = ACTIONS(1262),
    [anon_sym_struct] = ACTIONS(1262),
    [anon_sym_opaque] = ACTIONS(1262),
    [anon_sym_enum] = ACTIONS(1262),
    [anon_sym_union] = ACTIONS(1262),
    [anon_sym_error] = ACTIONS(1262),
    [anon_sym_nosuspend] = ACTIONS(1262),
    [anon_sym_if] = ACTIONS(1262),
    [anon_sym_for] = ACTIONS(1262),
    [anon_sym_while] = ACTIONS(1262),
    [anon_sym_STAR] = ACTIONS(1264),
    [anon_sym_asm] = ACTIONS(1262),
    [anon_sym_LBRACK] = ACTIONS(1264),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_TILDE] = ACTIONS(1264),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_DASH_PERCENT] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1264),
    [anon_sym_async] = ACTIONS(1262),
    [anon_sym_await] = ACTIONS(1262),
    [anon_sym_continue] = ACTIONS(1262),
    [anon_sym_resume] = ACTIONS(1262),
    [anon_sym_return] = ACTIONS(1262),
    [anon_sym_break] = ACTIONS(1262),
    [anon_sym_try] = ACTIONS(1262),
    [anon_sym_switch] = ACTIONS(1262),
    [anon_sym_anyframe] = ACTIONS(1262),
    [anon_sym_unreachable] = ACTIONS(1262),
    [anon_sym_undefined] = ACTIONS(1262),
    [anon_sym_null] = ACTIONS(1262),
    [anon_sym_QMARK] = ACTIONS(1264),
    [anon_sym_DOT] = ACTIONS(1264),
    [anon_sym_DQUOTE] = ACTIONS(1264),
    [aux_sym_multiline_string_token1] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1264),
    [sym_integer] = ACTIONS(1262),
    [sym_float] = ACTIONS(1264),
    [anon_sym_true] = ACTIONS(1262),
    [anon_sym_false] = ACTIONS(1262),
    [anon_sym_bool] = ACTIONS(1262),
    [anon_sym_f16] = ACTIONS(1262),
    [anon_sym_f32] = ACTIONS(1262),
    [anon_sym_f64] = ACTIONS(1262),
    [anon_sym_f128] = ACTIONS(1262),
    [anon_sym_void] = ACTIONS(1262),
    [anon_sym_type] = ACTIONS(1262),
    [anon_sym_anyerror] = ACTIONS(1262),
    [anon_sym_anyopaque] = ACTIONS(1262),
    [anon_sym_anytype] = ACTIONS(1262),
    [anon_sym_noreturn] = ACTIONS(1262),
    [anon_sym_isize] = ACTIONS(1262),
    [anon_sym_usize] = ACTIONS(1262),
    [anon_sym_comptime_int] = ACTIONS(1262),
    [anon_sym_comptime_float] = ACTIONS(1262),
    [anon_sym_c_short] = ACTIONS(1262),
    [anon_sym_c_ushort] = ACTIONS(1262),
    [anon_sym_c_int] = ACTIONS(1262),
    [anon_sym_c_uint] = ACTIONS(1262),
    [anon_sym_c_long] = ACTIONS(1262),
    [anon_sym_c_ulong] = ACTIONS(1262),
    [anon_sym_c_longlong] = ACTIONS(1262),
    [anon_sym_c_ulonglong] = ACTIONS(1262),
    [anon_sym_c_longdouble] = ACTIONS(1262),
    [aux_sym_builtin_type_token1] = ACTIONS(1262),
    [sym_builtin_identifier] = ACTIONS(1264),
    [anon_sym_AT] = ACTIONS(1262),
    [sym_comment] = ACTIONS(3),
  },
  [786] = {
    [sym__identifier] = ACTIONS(1266),
    [anon_sym_comptime] = ACTIONS(1266),
    [anon_sym_extern] = ACTIONS(1266),
    [anon_sym_inline] = ACTIONS(1266),
    [anon_sym_fn] = ACTIONS(1266),
    [anon_sym_LPAREN] = ACTIONS(1268),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym_packed] = ACTIONS(1266),
    [anon_sym_struct] = ACTIONS(1266),
    [anon_sym_opaque] = ACTIONS(1266),
    [anon_sym_enum] = ACTIONS(1266),
    [anon_sym_union] = ACTIONS(1266),
    [anon_sym_error] = ACTIONS(1266),
    [anon_sym_nosuspend] = ACTIONS(1266),
    [anon_sym_if] = ACTIONS(1266),
    [anon_sym_for] = ACTIONS(1266),
    [anon_sym_while] = ACTIONS(1266),
    [anon_sym_STAR] = ACTIONS(1268),
    [anon_sym_asm] = ACTIONS(1266),
    [anon_sym_LBRACK] = ACTIONS(1268),
    [anon_sym_BANG] = ACTIONS(1268),
    [anon_sym_TILDE] = ACTIONS(1268),
    [anon_sym_DASH] = ACTIONS(1266),
    [anon_sym_DASH_PERCENT] = ACTIONS(1268),
    [anon_sym_AMP] = ACTIONS(1268),
    [anon_sym_async] = ACTIONS(1266),
    [anon_sym_await] = ACTIONS(1266),
    [anon_sym_continue] = ACTIONS(1266),
    [anon_sym_resume] = ACTIONS(1266),
    [anon_sym_return] = ACTIONS(1266),
    [anon_sym_break] = ACTIONS(1266),
    [anon_sym_try] = ACTIONS(1266),
    [anon_sym_switch] = ACTIONS(1266),
    [anon_sym_anyframe] = ACTIONS(1266),
    [anon_sym_unreachable] = ACTIONS(1266),
    [anon_sym_undefined] = ACTIONS(1266),
    [anon_sym_null] = ACTIONS(1266),
    [anon_sym_QMARK] = ACTIONS(1268),
    [anon_sym_DOT] = ACTIONS(1268),
    [anon_sym_DQUOTE] = ACTIONS(1268),
    [aux_sym_multiline_string_token1] = ACTIONS(1268),
    [anon_sym_SQUOTE] = ACTIONS(1268),
    [sym_integer] = ACTIONS(1266),
    [sym_float] = ACTIONS(1268),
    [anon_sym_true] = ACTIONS(1266),
    [anon_sym_false] = ACTIONS(1266),
    [anon_sym_bool] = ACTIONS(1266),
    [anon_sym_f16] = ACTIONS(1266),
    [anon_sym_f32] = ACTIONS(1266),
    [anon_sym_f64] = ACTIONS(1266),
    [anon_sym_f128] = ACTIONS(1266),
    [anon_sym_void] = ACTIONS(1266),
    [anon_sym_type] = ACTIONS(1266),
    [anon_sym_anyerror] = ACTIONS(1266),
    [anon_sym_anyopaque] = ACTIONS(1266),
    [anon_sym_anytype] = ACTIONS(1266),
    [anon_sym_noreturn] = ACTIONS(1266),
    [anon_sym_isize] = ACTIONS(1266),
    [anon_sym_usize] = ACTIONS(1266),
    [anon_sym_comptime_int] = ACTIONS(1266),
    [anon_sym_comptime_float] = ACTIONS(1266),
    [anon_sym_c_short] = ACTIONS(1266),
    [anon_sym_c_ushort] = ACTIONS(1266),
    [anon_sym_c_int] = ACTIONS(1266),
    [anon_sym_c_uint] = ACTIONS(1266),
    [anon_sym_c_long] = ACTIONS(1266),
    [anon_sym_c_ulong] = ACTIONS(1266),
    [anon_sym_c_longlong] = ACTIONS(1266),
    [anon_sym_c_ulonglong] = ACTIONS(1266),
    [anon_sym_c_longdouble] = ACTIONS(1266),
    [aux_sym_builtin_type_token1] = ACTIONS(1266),
    [sym_builtin_identifier] = ACTIONS(1268),
    [anon_sym_AT] = ACTIONS(1266),
    [sym_comment] = ACTIONS(3),
  },
  [787] = {
    [sym__identifier] = ACTIONS(1270),
    [anon_sym_comptime] = ACTIONS(1270),
    [anon_sym_extern] = ACTIONS(1270),
    [anon_sym_inline] = ACTIONS(1270),
    [anon_sym_fn] = ACTIONS(1270),
    [anon_sym_LPAREN] = ACTIONS(1272),
    [anon_sym_LBRACE] = ACTIONS(1272),
    [anon_sym_packed] = ACTIONS(1270),
    [anon_sym_struct] = ACTIONS(1270),
    [anon_sym_opaque] = ACTIONS(1270),
    [anon_sym_enum] = ACTIONS(1270),
    [anon_sym_union] = ACTIONS(1270),
    [anon_sym_error] = ACTIONS(1270),
    [anon_sym_nosuspend] = ACTIONS(1270),
    [anon_sym_if] = ACTIONS(1270),
    [anon_sym_for] = ACTIONS(1270),
    [anon_sym_while] = ACTIONS(1270),
    [anon_sym_STAR] = ACTIONS(1272),
    [anon_sym_asm] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(1272),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1270),
    [anon_sym_DASH_PERCENT] = ACTIONS(1272),
    [anon_sym_AMP] = ACTIONS(1272),
    [anon_sym_async] = ACTIONS(1270),
    [anon_sym_await] = ACTIONS(1270),
    [anon_sym_continue] = ACTIONS(1270),
    [anon_sym_resume] = ACTIONS(1270),
    [anon_sym_return] = ACTIONS(1270),
    [anon_sym_break] = ACTIONS(1270),
    [anon_sym_try] = ACTIONS(1270),
    [anon_sym_switch] = ACTIONS(1270),
    [anon_sym_anyframe] = ACTIONS(1270),
    [anon_sym_unreachable] = ACTIONS(1270),
    [anon_sym_undefined] = ACTIONS(1270),
    [anon_sym_null] = ACTIONS(1270),
    [anon_sym_QMARK] = ACTIONS(1272),
    [anon_sym_DOT] = ACTIONS(1272),
    [anon_sym_DQUOTE] = ACTIONS(1272),
    [aux_sym_multiline_string_token1] = ACTIONS(1272),
    [anon_sym_SQUOTE] = ACTIONS(1272),
    [sym_integer] = ACTIONS(1270),
    [sym_float] = ACTIONS(1272),
    [anon_sym_true] = ACTIONS(1270),
    [anon_sym_false] = ACTIONS(1270),
    [anon_sym_bool] = ACTIONS(1270),
    [anon_sym_f16] = ACTIONS(1270),
    [anon_sym_f32] = ACTIONS(1270),
    [anon_sym_f64] = ACTIONS(1270),
    [anon_sym_f128] = ACTIONS(1270),
    [anon_sym_void] = ACTIONS(1270),
    [anon_sym_type] = ACTIONS(1270),
    [anon_sym_anyerror] = ACTIONS(1270),
    [anon_sym_anyopaque] = ACTIONS(1270),
    [anon_sym_anytype] = ACTIONS(1270),
    [anon_sym_noreturn] = ACTIONS(1270),
    [anon_sym_isize] = ACTIONS(1270),
    [anon_sym_usize] = ACTIONS(1270),
    [anon_sym_comptime_int] = ACTIONS(1270),
    [anon_sym_comptime_float] = ACTIONS(1270),
    [anon_sym_c_short] = ACTIONS(1270),
    [anon_sym_c_ushort] = ACTIONS(1270),
    [anon_sym_c_int] = ACTIONS(1270),
    [anon_sym_c_uint] = ACTIONS(1270),
    [anon_sym_c_long] = ACTIONS(1270),
    [anon_sym_c_ulong] = ACTIONS(1270),
    [anon_sym_c_longlong] = ACTIONS(1270),
    [anon_sym_c_ulonglong] = ACTIONS(1270),
    [anon_sym_c_longdouble] = ACTIONS(1270),
    [aux_sym_builtin_type_token1] = ACTIONS(1270),
    [sym_builtin_identifier] = ACTIONS(1272),
    [anon_sym_AT] = ACTIONS(1270),
    [sym_comment] = ACTIONS(3),
  },
  [788] = {
    [sym__identifier] = ACTIONS(1274),
    [anon_sym_comptime] = ACTIONS(1274),
    [anon_sym_extern] = ACTIONS(1274),
    [anon_sym_inline] = ACTIONS(1274),
    [anon_sym_fn] = ACTIONS(1274),
    [anon_sym_LPAREN] = ACTIONS(1276),
    [anon_sym_LBRACE] = ACTIONS(1276),
    [anon_sym_packed] = ACTIONS(1274),
    [anon_sym_struct] = ACTIONS(1274),
    [anon_sym_opaque] = ACTIONS(1274),
    [anon_sym_enum] = ACTIONS(1274),
    [anon_sym_union] = ACTIONS(1274),
    [anon_sym_error] = ACTIONS(1274),
    [anon_sym_nosuspend] = ACTIONS(1274),
    [anon_sym_if] = ACTIONS(1274),
    [anon_sym_for] = ACTIONS(1274),
    [anon_sym_while] = ACTIONS(1274),
    [anon_sym_STAR] = ACTIONS(1276),
    [anon_sym_asm] = ACTIONS(1274),
    [anon_sym_LBRACK] = ACTIONS(1276),
    [anon_sym_BANG] = ACTIONS(1276),
    [anon_sym_TILDE] = ACTIONS(1276),
    [anon_sym_DASH] = ACTIONS(1274),
    [anon_sym_DASH_PERCENT] = ACTIONS(1276),
    [anon_sym_AMP] = ACTIONS(1276),
    [anon_sym_async] = ACTIONS(1274),
    [anon_sym_await] = ACTIONS(1274),
    [anon_sym_continue] = ACTIONS(1274),
    [anon_sym_resume] = ACTIONS(1274),
    [anon_sym_return] = ACTIONS(1274),
    [anon_sym_break] = ACTIONS(1274),
    [anon_sym_try] = ACTIONS(1274),
    [anon_sym_switch] = ACTIONS(1274),
    [anon_sym_anyframe] = ACTIONS(1274),
    [anon_sym_unreachable] = ACTIONS(1274),
    [anon_sym_undefined] = ACTIONS(1274),
    [anon_sym_null] = ACTIONS(1274),
    [anon_sym_QMARK] = ACTIONS(1276),
    [anon_sym_DOT] = ACTIONS(1276),
    [anon_sym_DQUOTE] = ACTIONS(1276),
    [aux_sym_multiline_string_token1] = ACTIONS(1276),
    [anon_sym_SQUOTE] = ACTIONS(1276),
    [sym_integer] = ACTIONS(1274),
    [sym_float] = ACTIONS(1276),
    [anon_sym_true] = ACTIONS(1274),
    [anon_sym_false] = ACTIONS(1274),
    [anon_sym_bool] = ACTIONS(1274),
    [anon_sym_f16] = ACTIONS(1274),
    [anon_sym_f32] = ACTIONS(1274),
    [anon_sym_f64] = ACTIONS(1274),
    [anon_sym_f128] = ACTIONS(1274),
    [anon_sym_void] = ACTIONS(1274),
    [anon_sym_type] = ACTIONS(1274),
    [anon_sym_anyerror] = ACTIONS(1274),
    [anon_sym_anyopaque] = ACTIONS(1274),
    [anon_sym_anytype] = ACTIONS(1274),
    [anon_sym_noreturn] = ACTIONS(1274),
    [anon_sym_isize] = ACTIONS(1274),
    [anon_sym_usize] = ACTIONS(1274),
    [anon_sym_comptime_int] = ACTIONS(1274),
    [anon_sym_comptime_float] = ACTIONS(1274),
    [anon_sym_c_short] = ACTIONS(1274),
    [anon_sym_c_ushort] = ACTIONS(1274),
    [anon_sym_c_int] = ACTIONS(1274),
    [anon_sym_c_uint] = ACTIONS(1274),
    [anon_sym_c_long] = ACTIONS(1274),
    [anon_sym_c_ulong] = ACTIONS(1274),
    [anon_sym_c_longlong] = ACTIONS(1274),
    [anon_sym_c_ulonglong] = ACTIONS(1274),
    [anon_sym_c_longdouble] = ACTIONS(1274),
    [aux_sym_builtin_type_token1] = ACTIONS(1274),
    [sym_builtin_identifier] = ACTIONS(1276),
    [anon_sym_AT] = ACTIONS(1274),
    [sym_comment] = ACTIONS(3),
  },
  [789] = {
    [sym__identifier] = ACTIONS(1278),
    [anon_sym_comptime] = ACTIONS(1278),
    [anon_sym_extern] = ACTIONS(1278),
    [anon_sym_inline] = ACTIONS(1278),
    [anon_sym_fn] = ACTIONS(1278),
    [anon_sym_LPAREN] = ACTIONS(1280),
    [anon_sym_LBRACE] = ACTIONS(1280),
    [anon_sym_packed] = ACTIONS(1278),
    [anon_sym_struct] = ACTIONS(1278),
    [anon_sym_opaque] = ACTIONS(1278),
    [anon_sym_enum] = ACTIONS(1278),
    [anon_sym_union] = ACTIONS(1278),
    [anon_sym_error] = ACTIONS(1278),
    [anon_sym_nosuspend] = ACTIONS(1278),
    [anon_sym_if] = ACTIONS(1278),
    [anon_sym_for] = ACTIONS(1278),
    [anon_sym_while] = ACTIONS(1278),
    [anon_sym_STAR] = ACTIONS(1280),
    [anon_sym_asm] = ACTIONS(1278),
    [anon_sym_LBRACK] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(1280),
    [anon_sym_TILDE] = ACTIONS(1280),
    [anon_sym_DASH] = ACTIONS(1278),
    [anon_sym_DASH_PERCENT] = ACTIONS(1280),
    [anon_sym_AMP] = ACTIONS(1280),
    [anon_sym_async] = ACTIONS(1278),
    [anon_sym_await] = ACTIONS(1278),
    [anon_sym_continue] = ACTIONS(1278),
    [anon_sym_resume] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(1278),
    [anon_sym_break] = ACTIONS(1278),
    [anon_sym_try] = ACTIONS(1278),
    [anon_sym_switch] = ACTIONS(1278),
    [anon_sym_anyframe] = ACTIONS(1278),
    [anon_sym_unreachable] = ACTIONS(1278),
    [anon_sym_undefined] = ACTIONS(1278),
    [anon_sym_null] = ACTIONS(1278),
    [anon_sym_QMARK] = ACTIONS(1280),
    [anon_sym_DOT] = ACTIONS(1280),
    [anon_sym_DQUOTE] = ACTIONS(1280),
    [aux_sym_multiline_string_token1] = ACTIONS(1280),
    [anon_sym_SQUOTE] = ACTIONS(1280),
    [sym_integer] = ACTIONS(1278),
    [sym_float] = ACTIONS(1280),
    [anon_sym_true] = ACTIONS(1278),
    [anon_sym_false] = ACTIONS(1278),
    [anon_sym_bool] = ACTIONS(1278),
    [anon_sym_f16] = ACTIONS(1278),
    [anon_sym_f32] = ACTIONS(1278),
    [anon_sym_f64] = ACTIONS(1278),
    [anon_sym_f128] = ACTIONS(1278),
    [anon_sym_void] = ACTIONS(1278),
    [anon_sym_type] = ACTIONS(1278),
    [anon_sym_anyerror] = ACTIONS(1278),
    [anon_sym_anyopaque] = ACTIONS(1278),
    [anon_sym_anytype] = ACTIONS(1278),
    [anon_sym_noreturn] = ACTIONS(1278),
    [anon_sym_isize] = ACTIONS(1278),
    [anon_sym_usize] = ACTIONS(1278),
    [anon_sym_comptime_int] = ACTIONS(1278),
    [anon_sym_comptime_float] = ACTIONS(1278),
    [anon_sym_c_short] = ACTIONS(1278),
    [anon_sym_c_ushort] = ACTIONS(1278),
    [anon_sym_c_int] = ACTIONS(1278),
    [anon_sym_c_uint] = ACTIONS(1278),
    [anon_sym_c_long] = ACTIONS(1278),
    [anon_sym_c_ulong] = ACTIONS(1278),
    [anon_sym_c_longlong] = ACTIONS(1278),
    [anon_sym_c_ulonglong] = ACTIONS(1278),
    [anon_sym_c_longdouble] = ACTIONS(1278),
    [aux_sym_builtin_type_token1] = ACTIONS(1278),
    [sym_builtin_identifier] = ACTIONS(1280),
    [anon_sym_AT] = ACTIONS(1278),
    [sym_comment] = ACTIONS(3),
  },
  [790] = {
    [sym__identifier] = ACTIONS(1282),
    [anon_sym_comptime] = ACTIONS(1282),
    [anon_sym_extern] = ACTIONS(1282),
    [anon_sym_inline] = ACTIONS(1282),
    [anon_sym_fn] = ACTIONS(1282),
    [anon_sym_LPAREN] = ACTIONS(1284),
    [anon_sym_LBRACE] = ACTIONS(1284),
    [anon_sym_packed] = ACTIONS(1282),
    [anon_sym_struct] = ACTIONS(1282),
    [anon_sym_opaque] = ACTIONS(1282),
    [anon_sym_enum] = ACTIONS(1282),
    [anon_sym_union] = ACTIONS(1282),
    [anon_sym_error] = ACTIONS(1282),
    [anon_sym_nosuspend] = ACTIONS(1282),
    [anon_sym_if] = ACTIONS(1282),
    [anon_sym_for] = ACTIONS(1282),
    [anon_sym_while] = ACTIONS(1282),
    [anon_sym_STAR] = ACTIONS(1284),
    [anon_sym_asm] = ACTIONS(1282),
    [anon_sym_LBRACK] = ACTIONS(1284),
    [anon_sym_BANG] = ACTIONS(1284),
    [anon_sym_TILDE] = ACTIONS(1284),
    [anon_sym_DASH] = ACTIONS(1282),
    [anon_sym_DASH_PERCENT] = ACTIONS(1284),
    [anon_sym_AMP] = ACTIONS(1284),
    [anon_sym_async] = ACTIONS(1282),
    [anon_sym_await] = ACTIONS(1282),
    [anon_sym_continue] = ACTIONS(1282),
    [anon_sym_resume] = ACTIONS(1282),
    [anon_sym_return] = ACTIONS(1282),
    [anon_sym_break] = ACTIONS(1282),
    [anon_sym_try] = ACTIONS(1282),
    [anon_sym_switch] = ACTIONS(1282),
    [anon_sym_anyframe] = ACTIONS(1282),
    [anon_sym_unreachable] = ACTIONS(1282),
    [anon_sym_undefined] = ACTIONS(1282),
    [anon_sym_null] = ACTIONS(1282),
    [anon_sym_QMARK] = ACTIONS(1284),
    [anon_sym_DOT] = ACTIONS(1284),
    [anon_sym_DQUOTE] = ACTIONS(1284),
    [aux_sym_multiline_string_token1] = ACTIONS(1284),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [sym_integer] = ACTIONS(1282),
    [sym_float] = ACTIONS(1284),
    [anon_sym_true] = ACTIONS(1282),
    [anon_sym_false] = ACTIONS(1282),
    [anon_sym_bool] = ACTIONS(1282),
    [anon_sym_f16] = ACTIONS(1282),
    [anon_sym_f32] = ACTIONS(1282),
    [anon_sym_f64] = ACTIONS(1282),
    [anon_sym_f128] = ACTIONS(1282),
    [anon_sym_void] = ACTIONS(1282),
    [anon_sym_type] = ACTIONS(1282),
    [anon_sym_anyerror] = ACTIONS(1282),
    [anon_sym_anyopaque] = ACTIONS(1282),
    [anon_sym_anytype] = ACTIONS(1282),
    [anon_sym_noreturn] = ACTIONS(1282),
    [anon_sym_isize] = ACTIONS(1282),
    [anon_sym_usize] = ACTIONS(1282),
    [anon_sym_comptime_int] = ACTIONS(1282),
    [anon_sym_comptime_float] = ACTIONS(1282),
    [anon_sym_c_short] = ACTIONS(1282),
    [anon_sym_c_ushort] = ACTIONS(1282),
    [anon_sym_c_int] = ACTIONS(1282),
    [anon_sym_c_uint] = ACTIONS(1282),
    [anon_sym_c_long] = ACTIONS(1282),
    [anon_sym_c_ulong] = ACTIONS(1282),
    [anon_sym_c_longlong] = ACTIONS(1282),
    [anon_sym_c_ulonglong] = ACTIONS(1282),
    [anon_sym_c_longdouble] = ACTIONS(1282),
    [aux_sym_builtin_type_token1] = ACTIONS(1282),
    [sym_builtin_identifier] = ACTIONS(1284),
    [anon_sym_AT] = ACTIONS(1282),
    [sym_comment] = ACTIONS(3),
  },
  [791] = {
    [sym__identifier] = ACTIONS(1286),
    [anon_sym_comptime] = ACTIONS(1286),
    [anon_sym_extern] = ACTIONS(1286),
    [anon_sym_inline] = ACTIONS(1286),
    [anon_sym_fn] = ACTIONS(1286),
    [anon_sym_LPAREN] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(1288),
    [anon_sym_packed] = ACTIONS(1286),
    [anon_sym_struct] = ACTIONS(1286),
    [anon_sym_opaque] = ACTIONS(1286),
    [anon_sym_enum] = ACTIONS(1286),
    [anon_sym_union] = ACTIONS(1286),
    [anon_sym_error] = ACTIONS(1286),
    [anon_sym_nosuspend] = ACTIONS(1286),
    [anon_sym_if] = ACTIONS(1286),
    [anon_sym_for] = ACTIONS(1286),
    [anon_sym_while] = ACTIONS(1286),
    [anon_sym_STAR] = ACTIONS(1288),
    [anon_sym_asm] = ACTIONS(1286),
    [anon_sym_LBRACK] = ACTIONS(1288),
    [anon_sym_BANG] = ACTIONS(1288),
    [anon_sym_TILDE] = ACTIONS(1288),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_DASH_PERCENT] = ACTIONS(1288),
    [anon_sym_AMP] = ACTIONS(1288),
    [anon_sym_async] = ACTIONS(1286),
    [anon_sym_await] = ACTIONS(1286),
    [anon_sym_continue] = ACTIONS(1286),
    [anon_sym_resume] = ACTIONS(1286),
    [anon_sym_return] = ACTIONS(1286),
    [anon_sym_break] = ACTIONS(1286),
    [anon_sym_try] = ACTIONS(1286),
    [anon_sym_switch] = ACTIONS(1286),
    [anon_sym_anyframe] = ACTIONS(1286),
    [anon_sym_unreachable] = ACTIONS(1286),
    [anon_sym_undefined] = ACTIONS(1286),
    [anon_sym_null] = ACTIONS(1286),
    [anon_sym_QMARK] = ACTIONS(1288),
    [anon_sym_DOT] = ACTIONS(1288),
    [anon_sym_DQUOTE] = ACTIONS(1288),
    [aux_sym_multiline_string_token1] = ACTIONS(1288),
    [anon_sym_SQUOTE] = ACTIONS(1288),
    [sym_integer] = ACTIONS(1286),
    [sym_float] = ACTIONS(1288),
    [anon_sym_true] = ACTIONS(1286),
    [anon_sym_false] = ACTIONS(1286),
    [anon_sym_bool] = ACTIONS(1286),
    [anon_sym_f16] = ACTIONS(1286),
    [anon_sym_f32] = ACTIONS(1286),
    [anon_sym_f64] = ACTIONS(1286),
    [anon_sym_f128] = ACTIONS(1286),
    [anon_sym_void] = ACTIONS(1286),
    [anon_sym_type] = ACTIONS(1286),
    [anon_sym_anyerror] = ACTIONS(1286),
    [anon_sym_anyopaque] = ACTIONS(1286),
    [anon_sym_anytype] = ACTIONS(1286),
    [anon_sym_noreturn] = ACTIONS(1286),
    [anon_sym_isize] = ACTIONS(1286),
    [anon_sym_usize] = ACTIONS(1286),
    [anon_sym_comptime_int] = ACTIONS(1286),
    [anon_sym_comptime_float] = ACTIONS(1286),
    [anon_sym_c_short] = ACTIONS(1286),
    [anon_sym_c_ushort] = ACTIONS(1286),
    [anon_sym_c_int] = ACTIONS(1286),
    [anon_sym_c_uint] = ACTIONS(1286),
    [anon_sym_c_long] = ACTIONS(1286),
    [anon_sym_c_ulong] = ACTIONS(1286),
    [anon_sym_c_longlong] = ACTIONS(1286),
    [anon_sym_c_ulonglong] = ACTIONS(1286),
    [anon_sym_c_longdouble] = ACTIONS(1286),
    [aux_sym_builtin_type_token1] = ACTIONS(1286),
    [sym_builtin_identifier] = ACTIONS(1288),
    [anon_sym_AT] = ACTIONS(1286),
    [sym_comment] = ACTIONS(3),
  },
  [792] = {
    [sym__identifier] = ACTIONS(1290),
    [anon_sym_comptime] = ACTIONS(1290),
    [anon_sym_extern] = ACTIONS(1290),
    [anon_sym_inline] = ACTIONS(1290),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_LPAREN] = ACTIONS(1292),
    [anon_sym_LBRACE] = ACTIONS(1292),
    [anon_sym_packed] = ACTIONS(1290),
    [anon_sym_struct] = ACTIONS(1290),
    [anon_sym_opaque] = ACTIONS(1290),
    [anon_sym_enum] = ACTIONS(1290),
    [anon_sym_union] = ACTIONS(1290),
    [anon_sym_error] = ACTIONS(1290),
    [anon_sym_nosuspend] = ACTIONS(1290),
    [anon_sym_if] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1290),
    [anon_sym_while] = ACTIONS(1290),
    [anon_sym_STAR] = ACTIONS(1292),
    [anon_sym_asm] = ACTIONS(1290),
    [anon_sym_LBRACK] = ACTIONS(1292),
    [anon_sym_BANG] = ACTIONS(1292),
    [anon_sym_TILDE] = ACTIONS(1292),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_DASH_PERCENT] = ACTIONS(1292),
    [anon_sym_AMP] = ACTIONS(1292),
    [anon_sym_async] = ACTIONS(1290),
    [anon_sym_await] = ACTIONS(1290),
    [anon_sym_continue] = ACTIONS(1290),
    [anon_sym_resume] = ACTIONS(1290),
    [anon_sym_return] = ACTIONS(1290),
    [anon_sym_break] = ACTIONS(1290),
    [anon_sym_try] = ACTIONS(1290),
    [anon_sym_switch] = ACTIONS(1290),
    [anon_sym_anyframe] = ACTIONS(1290),
    [anon_sym_unreachable] = ACTIONS(1290),
    [anon_sym_undefined] = ACTIONS(1290),
    [anon_sym_null] = ACTIONS(1290),
    [anon_sym_QMARK] = ACTIONS(1292),
    [anon_sym_DOT] = ACTIONS(1292),
    [anon_sym_DQUOTE] = ACTIONS(1292),
    [aux_sym_multiline_string_token1] = ACTIONS(1292),
    [anon_sym_SQUOTE] = ACTIONS(1292),
    [sym_integer] = ACTIONS(1290),
    [sym_float] = ACTIONS(1292),
    [anon_sym_true] = ACTIONS(1290),
    [anon_sym_false] = ACTIONS(1290),
    [anon_sym_bool] = ACTIONS(1290),
    [anon_sym_f16] = ACTIONS(1290),
    [anon_sym_f32] = ACTIONS(1290),
    [anon_sym_f64] = ACTIONS(1290),
    [anon_sym_f128] = ACTIONS(1290),
    [anon_sym_void] = ACTIONS(1290),
    [anon_sym_type] = ACTIONS(1290),
    [anon_sym_anyerror] = ACTIONS(1290),
    [anon_sym_anyopaque] = ACTIONS(1290),
    [anon_sym_anytype] = ACTIONS(1290),
    [anon_sym_noreturn] = ACTIONS(1290),
    [anon_sym_isize] = ACTIONS(1290),
    [anon_sym_usize] = ACTIONS(1290),
    [anon_sym_comptime_int] = ACTIONS(1290),
    [anon_sym_comptime_float] = ACTIONS(1290),
    [anon_sym_c_short] = ACTIONS(1290),
    [anon_sym_c_ushort] = ACTIONS(1290),
    [anon_sym_c_int] = ACTIONS(1290),
    [anon_sym_c_uint] = ACTIONS(1290),
    [anon_sym_c_long] = ACTIONS(1290),
    [anon_sym_c_ulong] = ACTIONS(1290),
    [anon_sym_c_longlong] = ACTIONS(1290),
    [anon_sym_c_ulonglong] = ACTIONS(1290),
    [anon_sym_c_longdouble] = ACTIONS(1290),
    [aux_sym_builtin_type_token1] = ACTIONS(1290),
    [sym_builtin_identifier] = ACTIONS(1292),
    [anon_sym_AT] = ACTIONS(1290),
    [sym_comment] = ACTIONS(3),
  },
  [793] = {
    [sym__identifier] = ACTIONS(1294),
    [anon_sym_comptime] = ACTIONS(1294),
    [anon_sym_extern] = ACTIONS(1294),
    [anon_sym_inline] = ACTIONS(1294),
    [anon_sym_fn] = ACTIONS(1294),
    [anon_sym_LPAREN] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1296),
    [anon_sym_packed] = ACTIONS(1294),
    [anon_sym_struct] = ACTIONS(1294),
    [anon_sym_opaque] = ACTIONS(1294),
    [anon_sym_enum] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1294),
    [anon_sym_error] = ACTIONS(1294),
    [anon_sym_nosuspend] = ACTIONS(1294),
    [anon_sym_if] = ACTIONS(1294),
    [anon_sym_for] = ACTIONS(1294),
    [anon_sym_while] = ACTIONS(1294),
    [anon_sym_STAR] = ACTIONS(1296),
    [anon_sym_asm] = ACTIONS(1294),
    [anon_sym_LBRACK] = ACTIONS(1296),
    [anon_sym_BANG] = ACTIONS(1296),
    [anon_sym_TILDE] = ACTIONS(1296),
    [anon_sym_DASH] = ACTIONS(1294),
    [anon_sym_DASH_PERCENT] = ACTIONS(1296),
    [anon_sym_AMP] = ACTIONS(1296),
    [anon_sym_async] = ACTIONS(1294),
    [anon_sym_await] = ACTIONS(1294),
    [anon_sym_continue] = ACTIONS(1294),
    [anon_sym_resume] = ACTIONS(1294),
    [anon_sym_return] = ACTIONS(1294),
    [anon_sym_break] = ACTIONS(1294),
    [anon_sym_try] = ACTIONS(1294),
    [anon_sym_switch] = ACTIONS(1294),
    [anon_sym_anyframe] = ACTIONS(1294),
    [anon_sym_unreachable] = ACTIONS(1294),
    [anon_sym_undefined] = ACTIONS(1294),
    [anon_sym_null] = ACTIONS(1294),
    [anon_sym_QMARK] = ACTIONS(1296),
    [anon_sym_DOT] = ACTIONS(1296),
    [anon_sym_DQUOTE] = ACTIONS(1296),
    [aux_sym_multiline_string_token1] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1296),
    [sym_integer] = ACTIONS(1294),
    [sym_float] = ACTIONS(1296),
    [anon_sym_true] = ACTIONS(1294),
    [anon_sym_false] = ACTIONS(1294),
    [anon_sym_bool] = ACTIONS(1294),
    [anon_sym_f16] = ACTIONS(1294),
    [anon_sym_f32] = ACTIONS(1294),
    [anon_sym_f64] = ACTIONS(1294),
    [anon_sym_f128] = ACTIONS(1294),
    [anon_sym_void] = ACTIONS(1294),
    [anon_sym_type] = ACTIONS(1294),
    [anon_sym_anyerror] = ACTIONS(1294),
    [anon_sym_anyopaque] = ACTIONS(1294),
    [anon_sym_anytype] = ACTIONS(1294),
    [anon_sym_noreturn] = ACTIONS(1294),
    [anon_sym_isize] = ACTIONS(1294),
    [anon_sym_usize] = ACTIONS(1294),
    [anon_sym_comptime_int] = ACTIONS(1294),
    [anon_sym_comptime_float] = ACTIONS(1294),
    [anon_sym_c_short] = ACTIONS(1294),
    [anon_sym_c_ushort] = ACTIONS(1294),
    [anon_sym_c_int] = ACTIONS(1294),
    [anon_sym_c_uint] = ACTIONS(1294),
    [anon_sym_c_long] = ACTIONS(1294),
    [anon_sym_c_ulong] = ACTIONS(1294),
    [anon_sym_c_longlong] = ACTIONS(1294),
    [anon_sym_c_ulonglong] = ACTIONS(1294),
    [anon_sym_c_longdouble] = ACTIONS(1294),
    [aux_sym_builtin_type_token1] = ACTIONS(1294),
    [sym_builtin_identifier] = ACTIONS(1296),
    [anon_sym_AT] = ACTIONS(1294),
    [sym_comment] = ACTIONS(3),
  },
  [794] = {
    [sym__identifier] = ACTIONS(1298),
    [anon_sym_comptime] = ACTIONS(1298),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_inline] = ACTIONS(1298),
    [anon_sym_fn] = ACTIONS(1298),
    [anon_sym_LPAREN] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1300),
    [anon_sym_packed] = ACTIONS(1298),
    [anon_sym_struct] = ACTIONS(1298),
    [anon_sym_opaque] = ACTIONS(1298),
    [anon_sym_enum] = ACTIONS(1298),
    [anon_sym_union] = ACTIONS(1298),
    [anon_sym_error] = ACTIONS(1298),
    [anon_sym_nosuspend] = ACTIONS(1298),
    [anon_sym_if] = ACTIONS(1298),
    [anon_sym_for] = ACTIONS(1298),
    [anon_sym_while] = ACTIONS(1298),
    [anon_sym_STAR] = ACTIONS(1300),
    [anon_sym_asm] = ACTIONS(1298),
    [anon_sym_LBRACK] = ACTIONS(1300),
    [anon_sym_BANG] = ACTIONS(1300),
    [anon_sym_TILDE] = ACTIONS(1300),
    [anon_sym_DASH] = ACTIONS(1298),
    [anon_sym_DASH_PERCENT] = ACTIONS(1300),
    [anon_sym_AMP] = ACTIONS(1300),
    [anon_sym_async] = ACTIONS(1298),
    [anon_sym_await] = ACTIONS(1298),
    [anon_sym_continue] = ACTIONS(1298),
    [anon_sym_resume] = ACTIONS(1298),
    [anon_sym_return] = ACTIONS(1298),
    [anon_sym_break] = ACTIONS(1298),
    [anon_sym_try] = ACTIONS(1298),
    [anon_sym_switch] = ACTIONS(1298),
    [anon_sym_anyframe] = ACTIONS(1298),
    [anon_sym_unreachable] = ACTIONS(1298),
    [anon_sym_undefined] = ACTIONS(1298),
    [anon_sym_null] = ACTIONS(1298),
    [anon_sym_QMARK] = ACTIONS(1300),
    [anon_sym_DOT] = ACTIONS(1300),
    [anon_sym_DQUOTE] = ACTIONS(1300),
    [aux_sym_multiline_string_token1] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1300),
    [sym_integer] = ACTIONS(1298),
    [sym_float] = ACTIONS(1300),
    [anon_sym_true] = ACTIONS(1298),
    [anon_sym_false] = ACTIONS(1298),
    [anon_sym_bool] = ACTIONS(1298),
    [anon_sym_f16] = ACTIONS(1298),
    [anon_sym_f32] = ACTIONS(1298),
    [anon_sym_f64] = ACTIONS(1298),
    [anon_sym_f128] = ACTIONS(1298),
    [anon_sym_void] = ACTIONS(1298),
    [anon_sym_type] = ACTIONS(1298),
    [anon_sym_anyerror] = ACTIONS(1298),
    [anon_sym_anyopaque] = ACTIONS(1298),
    [anon_sym_anytype] = ACTIONS(1298),
    [anon_sym_noreturn] = ACTIONS(1298),
    [anon_sym_isize] = ACTIONS(1298),
    [anon_sym_usize] = ACTIONS(1298),
    [anon_sym_comptime_int] = ACTIONS(1298),
    [anon_sym_comptime_float] = ACTIONS(1298),
    [anon_sym_c_short] = ACTIONS(1298),
    [anon_sym_c_ushort] = ACTIONS(1298),
    [anon_sym_c_int] = ACTIONS(1298),
    [anon_sym_c_uint] = ACTIONS(1298),
    [anon_sym_c_long] = ACTIONS(1298),
    [anon_sym_c_ulong] = ACTIONS(1298),
    [anon_sym_c_longlong] = ACTIONS(1298),
    [anon_sym_c_ulonglong] = ACTIONS(1298),
    [anon_sym_c_longdouble] = ACTIONS(1298),
    [aux_sym_builtin_type_token1] = ACTIONS(1298),
    [sym_builtin_identifier] = ACTIONS(1300),
    [anon_sym_AT] = ACTIONS(1298),
    [sym_comment] = ACTIONS(3),
  },
  [795] = {
    [aux_sym_multiline_string_repeat1] = STATE(795),
    [ts_builtin_sym_end] = ACTIONS(1302),
    [anon_sym_COMMA] = ACTIONS(1302),
    [anon_sym_COLON] = ACTIONS(1302),
    [anon_sym_EQ] = ACTIONS(1304),
    [anon_sym_SEMI] = ACTIONS(1302),
    [anon_sym_STAR_EQ] = ACTIONS(1302),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1302),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1302),
    [anon_sym_SLASH_EQ] = ACTIONS(1302),
    [anon_sym_PERCENT_EQ] = ACTIONS(1302),
    [anon_sym_PLUS_EQ] = ACTIONS(1302),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1302),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1302),
    [anon_sym_DASH_EQ] = ACTIONS(1302),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1302),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1302),
    [anon_sym_LT_LT_EQ] = ACTIONS(1302),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1302),
    [anon_sym_GT_GT_EQ] = ACTIONS(1302),
    [anon_sym_AMP_EQ] = ACTIONS(1302),
    [anon_sym_CARET_EQ] = ACTIONS(1302),
    [anon_sym_PIPE_EQ] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(1302),
    [anon_sym_RPAREN] = ACTIONS(1302),
    [anon_sym_LBRACE] = ACTIONS(1302),
    [anon_sym_RBRACE] = ACTIONS(1302),
    [anon_sym_else] = ACTIONS(1302),
    [anon_sym_DOT_DOT] = ACTIONS(1302),
    [anon_sym_PIPE] = ACTIONS(1304),
    [anon_sym_STAR] = ACTIONS(1304),
    [anon_sym_align] = ACTIONS(1302),
    [anon_sym_addrspace] = ACTIONS(1302),
    [anon_sym_linksection] = ACTIONS(1302),
    [anon_sym_LBRACK] = ACTIONS(1302),
    [anon_sym_RBRACK] = ACTIONS(1302),
    [anon_sym_BANG] = ACTIONS(1304),
    [anon_sym_DASH] = ACTIONS(1304),
    [anon_sym_DASH_PERCENT] = ACTIONS(1304),
    [anon_sym_AMP] = ACTIONS(1304),
    [anon_sym_or] = ACTIONS(1304),
    [anon_sym_and] = ACTIONS(1302),
    [anon_sym_EQ_EQ] = ACTIONS(1302),
    [anon_sym_BANG_EQ] = ACTIONS(1302),
    [anon_sym_GT] = ACTIONS(1304),
    [anon_sym_GT_EQ] = ACTIONS(1302),
    [anon_sym_LT_EQ] = ACTIONS(1302),
    [anon_sym_LT] = ACTIONS(1304),
    [anon_sym_CARET] = ACTIONS(1304),
    [anon_sym_orelse] = ACTIONS(1302),
    [anon_sym_LT_LT] = ACTIONS(1304),
    [anon_sym_GT_GT] = ACTIONS(1304),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(1304),
    [anon_sym_PLUS_PLUS] = ACTIONS(1302),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1304),
    [anon_sym_PLUS_PIPE] = ACTIONS(1304),
    [anon_sym_DASH_PIPE] = ACTIONS(1304),
    [anon_sym_SLASH] = ACTIONS(1304),
    [anon_sym_PERCENT] = ACTIONS(1304),
    [anon_sym_STAR_STAR] = ACTIONS(1302),
    [anon_sym_STAR_PERCENT] = ACTIONS(1304),
    [anon_sym_STAR_PIPE] = ACTIONS(1304),
    [anon_sym_PIPE_PIPE] = ACTIONS(1302),
    [anon_sym_catch] = ACTIONS(1302),
    [anon_sym_EQ_GT] = ACTIONS(1302),
    [anon_sym_DOT] = ACTIONS(1304),
    [anon_sym_DOT_STAR] = ACTIONS(1302),
    [anon_sym_DOT_QMARK] = ACTIONS(1302),
    [aux_sym_multiline_string_token1] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [796] = {
    [aux_sym_multiline_string_repeat1] = STATE(795),
    [ts_builtin_sym_end] = ACTIONS(1309),
    [anon_sym_COMMA] = ACTIONS(1309),
    [anon_sym_COLON] = ACTIONS(1309),
    [anon_sym_EQ] = ACTIONS(1311),
    [anon_sym_SEMI] = ACTIONS(1309),
    [anon_sym_STAR_EQ] = ACTIONS(1309),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1309),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1309),
    [anon_sym_SLASH_EQ] = ACTIONS(1309),
    [anon_sym_PERCENT_EQ] = ACTIONS(1309),
    [anon_sym_PLUS_EQ] = ACTIONS(1309),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1309),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1309),
    [anon_sym_DASH_EQ] = ACTIONS(1309),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1309),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1309),
    [anon_sym_LT_LT_EQ] = ACTIONS(1309),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1309),
    [anon_sym_GT_GT_EQ] = ACTIONS(1309),
    [anon_sym_AMP_EQ] = ACTIONS(1309),
    [anon_sym_CARET_EQ] = ACTIONS(1309),
    [anon_sym_PIPE_EQ] = ACTIONS(1309),
    [anon_sym_LPAREN] = ACTIONS(1309),
    [anon_sym_RPAREN] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_RBRACE] = ACTIONS(1309),
    [anon_sym_else] = ACTIONS(1309),
    [anon_sym_DOT_DOT] = ACTIONS(1309),
    [anon_sym_PIPE] = ACTIONS(1311),
    [anon_sym_STAR] = ACTIONS(1311),
    [anon_sym_align] = ACTIONS(1309),
    [anon_sym_addrspace] = ACTIONS(1309),
    [anon_sym_linksection] = ACTIONS(1309),
    [anon_sym_LBRACK] = ACTIONS(1309),
    [anon_sym_RBRACK] = ACTIONS(1309),
    [anon_sym_BANG] = ACTIONS(1311),
    [anon_sym_DASH] = ACTIONS(1311),
    [anon_sym_DASH_PERCENT] = ACTIONS(1311),
    [anon_sym_AMP] = ACTIONS(1311),
    [anon_sym_or] = ACTIONS(1311),
    [anon_sym_and] = ACTIONS(1309),
    [anon_sym_EQ_EQ] = ACTIONS(1309),
    [anon_sym_BANG_EQ] = ACTIONS(1309),
    [anon_sym_GT] = ACTIONS(1311),
    [anon_sym_GT_EQ] = ACTIONS(1309),
    [anon_sym_LT_EQ] = ACTIONS(1309),
    [anon_sym_LT] = ACTIONS(1311),
    [anon_sym_CARET] = ACTIONS(1311),
    [anon_sym_orelse] = ACTIONS(1309),
    [anon_sym_LT_LT] = ACTIONS(1311),
    [anon_sym_GT_GT] = ACTIONS(1311),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1311),
    [anon_sym_PLUS] = ACTIONS(1311),
    [anon_sym_PLUS_PLUS] = ACTIONS(1309),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1311),
    [anon_sym_PLUS_PIPE] = ACTIONS(1311),
    [anon_sym_DASH_PIPE] = ACTIONS(1311),
    [anon_sym_SLASH] = ACTIONS(1311),
    [anon_sym_PERCENT] = ACTIONS(1311),
    [anon_sym_STAR_STAR] = ACTIONS(1309),
    [anon_sym_STAR_PERCENT] = ACTIONS(1311),
    [anon_sym_STAR_PIPE] = ACTIONS(1311),
    [anon_sym_PIPE_PIPE] = ACTIONS(1309),
    [anon_sym_catch] = ACTIONS(1309),
    [anon_sym_EQ_GT] = ACTIONS(1309),
    [anon_sym_DOT] = ACTIONS(1311),
    [anon_sym_DOT_STAR] = ACTIONS(1309),
    [anon_sym_DOT_QMARK] = ACTIONS(1309),
    [aux_sym_multiline_string_token1] = ACTIONS(1313),
    [sym_comment] = ACTIONS(3),
  },
  [797] = {
    [sym_initializer_list] = STATE(846),
    [ts_builtin_sym_end] = ACTIONS(1315),
    [anon_sym_COMMA] = ACTIONS(1315),
    [anon_sym_COLON] = ACTIONS(1315),
    [anon_sym_EQ] = ACTIONS(1317),
    [anon_sym_SEMI] = ACTIONS(1315),
    [anon_sym_STAR_EQ] = ACTIONS(1315),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1315),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1315),
    [anon_sym_SLASH_EQ] = ACTIONS(1315),
    [anon_sym_PERCENT_EQ] = ACTIONS(1315),
    [anon_sym_PLUS_EQ] = ACTIONS(1315),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1315),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1315),
    [anon_sym_DASH_EQ] = ACTIONS(1315),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1315),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1315),
    [anon_sym_LT_LT_EQ] = ACTIONS(1315),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1315),
    [anon_sym_GT_GT_EQ] = ACTIONS(1315),
    [anon_sym_AMP_EQ] = ACTIONS(1315),
    [anon_sym_CARET_EQ] = ACTIONS(1315),
    [anon_sym_PIPE_EQ] = ACTIONS(1315),
    [anon_sym_LPAREN] = ACTIONS(1315),
    [anon_sym_RPAREN] = ACTIONS(1315),
    [anon_sym_LBRACE] = ACTIONS(1319),
    [anon_sym_RBRACE] = ACTIONS(1315),
    [anon_sym_else] = ACTIONS(1315),
    [anon_sym_DOT_DOT] = ACTIONS(1315),
    [anon_sym_PIPE] = ACTIONS(1317),
    [anon_sym_STAR] = ACTIONS(1317),
    [anon_sym_align] = ACTIONS(1315),
    [anon_sym_addrspace] = ACTIONS(1315),
    [anon_sym_linksection] = ACTIONS(1315),
    [anon_sym_LBRACK] = ACTIONS(1315),
    [anon_sym_RBRACK] = ACTIONS(1315),
    [anon_sym_BANG] = ACTIONS(1317),
    [anon_sym_DASH] = ACTIONS(1317),
    [anon_sym_DASH_PERCENT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(1317),
    [anon_sym_or] = ACTIONS(1317),
    [anon_sym_and] = ACTIONS(1315),
    [anon_sym_EQ_EQ] = ACTIONS(1315),
    [anon_sym_BANG_EQ] = ACTIONS(1315),
    [anon_sym_GT] = ACTIONS(1317),
    [anon_sym_GT_EQ] = ACTIONS(1315),
    [anon_sym_LT_EQ] = ACTIONS(1315),
    [anon_sym_LT] = ACTIONS(1317),
    [anon_sym_CARET] = ACTIONS(1317),
    [anon_sym_orelse] = ACTIONS(1315),
    [anon_sym_LT_LT] = ACTIONS(1317),
    [anon_sym_GT_GT] = ACTIONS(1317),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1317),
    [anon_sym_PLUS] = ACTIONS(1317),
    [anon_sym_PLUS_PLUS] = ACTIONS(1315),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1317),
    [anon_sym_PLUS_PIPE] = ACTIONS(1317),
    [anon_sym_DASH_PIPE] = ACTIONS(1317),
    [anon_sym_SLASH] = ACTIONS(1317),
    [anon_sym_PERCENT] = ACTIONS(1317),
    [anon_sym_STAR_STAR] = ACTIONS(1315),
    [anon_sym_STAR_PERCENT] = ACTIONS(1317),
    [anon_sym_STAR_PIPE] = ACTIONS(1317),
    [anon_sym_PIPE_PIPE] = ACTIONS(1315),
    [anon_sym_catch] = ACTIONS(1315),
    [anon_sym_EQ_GT] = ACTIONS(1315),
    [anon_sym_DOT] = ACTIONS(1317),
    [anon_sym_DOT_STAR] = ACTIONS(1315),
    [anon_sym_DOT_QMARK] = ACTIONS(1315),
    [sym_comment] = ACTIONS(3),
  },
  [798] = {
    [sym_initializer_list] = STATE(846),
    [ts_builtin_sym_end] = ACTIONS(1315),
    [anon_sym_COMMA] = ACTIONS(1315),
    [anon_sym_COLON] = ACTIONS(1315),
    [anon_sym_EQ] = ACTIONS(1317),
    [anon_sym_SEMI] = ACTIONS(1315),
    [anon_sym_STAR_EQ] = ACTIONS(1315),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1315),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1315),
    [anon_sym_SLASH_EQ] = ACTIONS(1315),
    [anon_sym_PERCENT_EQ] = ACTIONS(1315),
    [anon_sym_PLUS_EQ] = ACTIONS(1315),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1315),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1315),
    [anon_sym_DASH_EQ] = ACTIONS(1315),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1315),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1315),
    [anon_sym_LT_LT_EQ] = ACTIONS(1315),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1315),
    [anon_sym_GT_GT_EQ] = ACTIONS(1315),
    [anon_sym_AMP_EQ] = ACTIONS(1315),
    [anon_sym_CARET_EQ] = ACTIONS(1315),
    [anon_sym_PIPE_EQ] = ACTIONS(1315),
    [anon_sym_LPAREN] = ACTIONS(1315),
    [anon_sym_RPAREN] = ACTIONS(1315),
    [anon_sym_LBRACE] = ACTIONS(1315),
    [anon_sym_RBRACE] = ACTIONS(1315),
    [anon_sym_else] = ACTIONS(1315),
    [anon_sym_DOT_DOT] = ACTIONS(1315),
    [anon_sym_PIPE] = ACTIONS(1317),
    [anon_sym_STAR] = ACTIONS(1317),
    [anon_sym_align] = ACTIONS(1315),
    [anon_sym_addrspace] = ACTIONS(1315),
    [anon_sym_linksection] = ACTIONS(1315),
    [anon_sym_LBRACK] = ACTIONS(1315),
    [anon_sym_RBRACK] = ACTIONS(1315),
    [anon_sym_BANG] = ACTIONS(1317),
    [anon_sym_DASH] = ACTIONS(1317),
    [anon_sym_DASH_PERCENT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(1317),
    [anon_sym_or] = ACTIONS(1317),
    [anon_sym_and] = ACTIONS(1315),
    [anon_sym_EQ_EQ] = ACTIONS(1315),
    [anon_sym_BANG_EQ] = ACTIONS(1315),
    [anon_sym_GT] = ACTIONS(1317),
    [anon_sym_GT_EQ] = ACTIONS(1315),
    [anon_sym_LT_EQ] = ACTIONS(1315),
    [anon_sym_LT] = ACTIONS(1317),
    [anon_sym_CARET] = ACTIONS(1317),
    [anon_sym_orelse] = ACTIONS(1315),
    [anon_sym_LT_LT] = ACTIONS(1317),
    [anon_sym_GT_GT] = ACTIONS(1317),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1317),
    [anon_sym_PLUS] = ACTIONS(1317),
    [anon_sym_PLUS_PLUS] = ACTIONS(1315),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1317),
    [anon_sym_PLUS_PIPE] = ACTIONS(1317),
    [anon_sym_DASH_PIPE] = ACTIONS(1317),
    [anon_sym_SLASH] = ACTIONS(1317),
    [anon_sym_PERCENT] = ACTIONS(1317),
    [anon_sym_STAR_STAR] = ACTIONS(1315),
    [anon_sym_STAR_PERCENT] = ACTIONS(1317),
    [anon_sym_STAR_PIPE] = ACTIONS(1317),
    [anon_sym_PIPE_PIPE] = ACTIONS(1315),
    [anon_sym_catch] = ACTIONS(1315),
    [anon_sym_EQ_GT] = ACTIONS(1315),
    [anon_sym_DOT] = ACTIONS(1317),
    [anon_sym_DOT_STAR] = ACTIONS(1315),
    [anon_sym_DOT_QMARK] = ACTIONS(1315),
    [sym_comment] = ACTIONS(3),
  },
  [799] = {
    [ts_builtin_sym_end] = ACTIONS(1321),
    [anon_sym_COMMA] = ACTIONS(1321),
    [anon_sym_COLON] = ACTIONS(1321),
    [anon_sym_EQ] = ACTIONS(1323),
    [anon_sym_SEMI] = ACTIONS(1321),
    [anon_sym_STAR_EQ] = ACTIONS(1321),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1321),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1321),
    [anon_sym_SLASH_EQ] = ACTIONS(1321),
    [anon_sym_PERCENT_EQ] = ACTIONS(1321),
    [anon_sym_PLUS_EQ] = ACTIONS(1321),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1321),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1321),
    [anon_sym_DASH_EQ] = ACTIONS(1321),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1321),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1321),
    [anon_sym_LT_LT_EQ] = ACTIONS(1321),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1321),
    [anon_sym_GT_GT_EQ] = ACTIONS(1321),
    [anon_sym_AMP_EQ] = ACTIONS(1321),
    [anon_sym_CARET_EQ] = ACTIONS(1321),
    [anon_sym_PIPE_EQ] = ACTIONS(1321),
    [anon_sym_LPAREN] = ACTIONS(1321),
    [anon_sym_RPAREN] = ACTIONS(1321),
    [anon_sym_LBRACE] = ACTIONS(1321),
    [anon_sym_RBRACE] = ACTIONS(1321),
    [anon_sym_else] = ACTIONS(1321),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_PIPE] = ACTIONS(1323),
    [anon_sym_STAR] = ACTIONS(1323),
    [anon_sym_align] = ACTIONS(1321),
    [anon_sym_addrspace] = ACTIONS(1321),
    [anon_sym_linksection] = ACTIONS(1321),
    [anon_sym_LBRACK] = ACTIONS(1321),
    [anon_sym_RBRACK] = ACTIONS(1321),
    [anon_sym_BANG] = ACTIONS(1323),
    [anon_sym_DASH] = ACTIONS(1323),
    [anon_sym_DASH_PERCENT] = ACTIONS(1323),
    [anon_sym_AMP] = ACTIONS(1323),
    [anon_sym_or] = ACTIONS(1323),
    [anon_sym_and] = ACTIONS(1321),
    [anon_sym_EQ_EQ] = ACTIONS(1321),
    [anon_sym_BANG_EQ] = ACTIONS(1321),
    [anon_sym_GT] = ACTIONS(1323),
    [anon_sym_GT_EQ] = ACTIONS(1321),
    [anon_sym_LT_EQ] = ACTIONS(1321),
    [anon_sym_LT] = ACTIONS(1323),
    [anon_sym_CARET] = ACTIONS(1323),
    [anon_sym_orelse] = ACTIONS(1321),
    [anon_sym_LT_LT] = ACTIONS(1323),
    [anon_sym_GT_GT] = ACTIONS(1323),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1323),
    [anon_sym_PLUS] = ACTIONS(1323),
    [anon_sym_PLUS_PLUS] = ACTIONS(1321),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1323),
    [anon_sym_PLUS_PIPE] = ACTIONS(1323),
    [anon_sym_DASH_PIPE] = ACTIONS(1323),
    [anon_sym_SLASH] = ACTIONS(1323),
    [anon_sym_PERCENT] = ACTIONS(1323),
    [anon_sym_STAR_STAR] = ACTIONS(1321),
    [anon_sym_STAR_PERCENT] = ACTIONS(1323),
    [anon_sym_STAR_PIPE] = ACTIONS(1323),
    [anon_sym_PIPE_PIPE] = ACTIONS(1321),
    [anon_sym_catch] = ACTIONS(1321),
    [anon_sym_EQ_GT] = ACTIONS(1321),
    [anon_sym_DOT] = ACTIONS(1323),
    [anon_sym_DOT_STAR] = ACTIONS(1321),
    [anon_sym_DOT_QMARK] = ACTIONS(1321),
    [sym_comment] = ACTIONS(3),
  },
  [800] = {
    [ts_builtin_sym_end] = ACTIONS(1325),
    [anon_sym_COMMA] = ACTIONS(1325),
    [anon_sym_COLON] = ACTIONS(1325),
    [anon_sym_EQ] = ACTIONS(1327),
    [anon_sym_SEMI] = ACTIONS(1325),
    [anon_sym_STAR_EQ] = ACTIONS(1325),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1325),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1325),
    [anon_sym_SLASH_EQ] = ACTIONS(1325),
    [anon_sym_PERCENT_EQ] = ACTIONS(1325),
    [anon_sym_PLUS_EQ] = ACTIONS(1325),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1325),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1325),
    [anon_sym_DASH_EQ] = ACTIONS(1325),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1325),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1325),
    [anon_sym_LT_LT_EQ] = ACTIONS(1325),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1325),
    [anon_sym_GT_GT_EQ] = ACTIONS(1325),
    [anon_sym_AMP_EQ] = ACTIONS(1325),
    [anon_sym_CARET_EQ] = ACTIONS(1325),
    [anon_sym_PIPE_EQ] = ACTIONS(1325),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_RPAREN] = ACTIONS(1325),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_RBRACE] = ACTIONS(1325),
    [anon_sym_else] = ACTIONS(1325),
    [anon_sym_DOT_DOT] = ACTIONS(1325),
    [anon_sym_PIPE] = ACTIONS(1327),
    [anon_sym_STAR] = ACTIONS(1327),
    [anon_sym_align] = ACTIONS(1325),
    [anon_sym_addrspace] = ACTIONS(1325),
    [anon_sym_linksection] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1325),
    [anon_sym_RBRACK] = ACTIONS(1325),
    [anon_sym_BANG] = ACTIONS(1327),
    [anon_sym_DASH] = ACTIONS(1327),
    [anon_sym_DASH_PERCENT] = ACTIONS(1327),
    [anon_sym_AMP] = ACTIONS(1327),
    [anon_sym_or] = ACTIONS(1327),
    [anon_sym_and] = ACTIONS(1325),
    [anon_sym_EQ_EQ] = ACTIONS(1325),
    [anon_sym_BANG_EQ] = ACTIONS(1325),
    [anon_sym_GT] = ACTIONS(1327),
    [anon_sym_GT_EQ] = ACTIONS(1325),
    [anon_sym_LT_EQ] = ACTIONS(1325),
    [anon_sym_LT] = ACTIONS(1327),
    [anon_sym_CARET] = ACTIONS(1327),
    [anon_sym_orelse] = ACTIONS(1325),
    [anon_sym_LT_LT] = ACTIONS(1327),
    [anon_sym_GT_GT] = ACTIONS(1327),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1327),
    [anon_sym_PLUS] = ACTIONS(1327),
    [anon_sym_PLUS_PLUS] = ACTIONS(1325),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1327),
    [anon_sym_PLUS_PIPE] = ACTIONS(1327),
    [anon_sym_DASH_PIPE] = ACTIONS(1327),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_PERCENT] = ACTIONS(1327),
    [anon_sym_STAR_STAR] = ACTIONS(1325),
    [anon_sym_STAR_PERCENT] = ACTIONS(1327),
    [anon_sym_STAR_PIPE] = ACTIONS(1327),
    [anon_sym_PIPE_PIPE] = ACTIONS(1325),
    [anon_sym_catch] = ACTIONS(1325),
    [anon_sym_EQ_GT] = ACTIONS(1325),
    [anon_sym_DOT] = ACTIONS(1327),
    [anon_sym_DOT_STAR] = ACTIONS(1325),
    [anon_sym_DOT_QMARK] = ACTIONS(1325),
    [sym_comment] = ACTIONS(3),
  },
  [801] = {
    [ts_builtin_sym_end] = ACTIONS(950),
    [anon_sym_COMMA] = ACTIONS(950),
    [anon_sym_COLON] = ACTIONS(950),
    [anon_sym_EQ] = ACTIONS(952),
    [anon_sym_SEMI] = ACTIONS(950),
    [anon_sym_STAR_EQ] = ACTIONS(950),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(950),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(950),
    [anon_sym_SLASH_EQ] = ACTIONS(950),
    [anon_sym_PERCENT_EQ] = ACTIONS(950),
    [anon_sym_PLUS_EQ] = ACTIONS(950),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(950),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(950),
    [anon_sym_DASH_EQ] = ACTIONS(950),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(950),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(950),
    [anon_sym_LT_LT_EQ] = ACTIONS(950),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(950),
    [anon_sym_GT_GT_EQ] = ACTIONS(950),
    [anon_sym_AMP_EQ] = ACTIONS(950),
    [anon_sym_CARET_EQ] = ACTIONS(950),
    [anon_sym_PIPE_EQ] = ACTIONS(950),
    [anon_sym_LPAREN] = ACTIONS(950),
    [anon_sym_RPAREN] = ACTIONS(950),
    [anon_sym_LBRACE] = ACTIONS(950),
    [anon_sym_RBRACE] = ACTIONS(950),
    [anon_sym_else] = ACTIONS(950),
    [anon_sym_DOT_DOT] = ACTIONS(950),
    [anon_sym_PIPE] = ACTIONS(952),
    [anon_sym_STAR] = ACTIONS(952),
    [anon_sym_align] = ACTIONS(950),
    [anon_sym_addrspace] = ACTIONS(950),
    [anon_sym_linksection] = ACTIONS(950),
    [anon_sym_LBRACK] = ACTIONS(950),
    [anon_sym_RBRACK] = ACTIONS(950),
    [anon_sym_BANG] = ACTIONS(952),
    [anon_sym_DASH] = ACTIONS(952),
    [anon_sym_DASH_PERCENT] = ACTIONS(952),
    [anon_sym_AMP] = ACTIONS(952),
    [anon_sym_or] = ACTIONS(952),
    [anon_sym_and] = ACTIONS(950),
    [anon_sym_EQ_EQ] = ACTIONS(950),
    [anon_sym_BANG_EQ] = ACTIONS(950),
    [anon_sym_GT] = ACTIONS(952),
    [anon_sym_GT_EQ] = ACTIONS(950),
    [anon_sym_LT_EQ] = ACTIONS(950),
    [anon_sym_LT] = ACTIONS(952),
    [anon_sym_CARET] = ACTIONS(952),
    [anon_sym_orelse] = ACTIONS(950),
    [anon_sym_LT_LT] = ACTIONS(952),
    [anon_sym_GT_GT] = ACTIONS(952),
    [anon_sym_LT_LT_PIPE] = ACTIONS(952),
    [anon_sym_PLUS] = ACTIONS(952),
    [anon_sym_PLUS_PLUS] = ACTIONS(950),
    [anon_sym_PLUS_PERCENT] = ACTIONS(952),
    [anon_sym_PLUS_PIPE] = ACTIONS(952),
    [anon_sym_DASH_PIPE] = ACTIONS(952),
    [anon_sym_SLASH] = ACTIONS(952),
    [anon_sym_PERCENT] = ACTIONS(952),
    [anon_sym_STAR_STAR] = ACTIONS(950),
    [anon_sym_STAR_PERCENT] = ACTIONS(952),
    [anon_sym_STAR_PIPE] = ACTIONS(952),
    [anon_sym_PIPE_PIPE] = ACTIONS(950),
    [anon_sym_catch] = ACTIONS(950),
    [anon_sym_EQ_GT] = ACTIONS(950),
    [anon_sym_DOT] = ACTIONS(952),
    [anon_sym_DOT_STAR] = ACTIONS(950),
    [anon_sym_DOT_QMARK] = ACTIONS(950),
    [sym_comment] = ACTIONS(3),
  },
  [802] = {
    [ts_builtin_sym_end] = ACTIONS(1329),
    [anon_sym_COMMA] = ACTIONS(1329),
    [anon_sym_COLON] = ACTIONS(1329),
    [anon_sym_EQ] = ACTIONS(1331),
    [anon_sym_SEMI] = ACTIONS(1329),
    [anon_sym_STAR_EQ] = ACTIONS(1329),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1329),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1329),
    [anon_sym_SLASH_EQ] = ACTIONS(1329),
    [anon_sym_PERCENT_EQ] = ACTIONS(1329),
    [anon_sym_PLUS_EQ] = ACTIONS(1329),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1329),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1329),
    [anon_sym_DASH_EQ] = ACTIONS(1329),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1329),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1329),
    [anon_sym_LT_LT_EQ] = ACTIONS(1329),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1329),
    [anon_sym_GT_GT_EQ] = ACTIONS(1329),
    [anon_sym_AMP_EQ] = ACTIONS(1329),
    [anon_sym_CARET_EQ] = ACTIONS(1329),
    [anon_sym_PIPE_EQ] = ACTIONS(1329),
    [anon_sym_LPAREN] = ACTIONS(1329),
    [anon_sym_RPAREN] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1329),
    [anon_sym_RBRACE] = ACTIONS(1329),
    [anon_sym_else] = ACTIONS(1329),
    [anon_sym_DOT_DOT] = ACTIONS(1329),
    [anon_sym_PIPE] = ACTIONS(1331),
    [anon_sym_STAR] = ACTIONS(1331),
    [anon_sym_align] = ACTIONS(1329),
    [anon_sym_addrspace] = ACTIONS(1329),
    [anon_sym_linksection] = ACTIONS(1329),
    [anon_sym_LBRACK] = ACTIONS(1329),
    [anon_sym_RBRACK] = ACTIONS(1329),
    [anon_sym_BANG] = ACTIONS(1331),
    [anon_sym_DASH] = ACTIONS(1331),
    [anon_sym_DASH_PERCENT] = ACTIONS(1331),
    [anon_sym_AMP] = ACTIONS(1331),
    [anon_sym_or] = ACTIONS(1331),
    [anon_sym_and] = ACTIONS(1329),
    [anon_sym_EQ_EQ] = ACTIONS(1329),
    [anon_sym_BANG_EQ] = ACTIONS(1329),
    [anon_sym_GT] = ACTIONS(1331),
    [anon_sym_GT_EQ] = ACTIONS(1329),
    [anon_sym_LT_EQ] = ACTIONS(1329),
    [anon_sym_LT] = ACTIONS(1331),
    [anon_sym_CARET] = ACTIONS(1331),
    [anon_sym_orelse] = ACTIONS(1329),
    [anon_sym_LT_LT] = ACTIONS(1331),
    [anon_sym_GT_GT] = ACTIONS(1331),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1331),
    [anon_sym_PLUS] = ACTIONS(1331),
    [anon_sym_PLUS_PLUS] = ACTIONS(1329),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1331),
    [anon_sym_PLUS_PIPE] = ACTIONS(1331),
    [anon_sym_DASH_PIPE] = ACTIONS(1331),
    [anon_sym_SLASH] = ACTIONS(1331),
    [anon_sym_PERCENT] = ACTIONS(1331),
    [anon_sym_STAR_STAR] = ACTIONS(1329),
    [anon_sym_STAR_PERCENT] = ACTIONS(1331),
    [anon_sym_STAR_PIPE] = ACTIONS(1331),
    [anon_sym_PIPE_PIPE] = ACTIONS(1329),
    [anon_sym_catch] = ACTIONS(1329),
    [anon_sym_EQ_GT] = ACTIONS(1329),
    [anon_sym_DOT] = ACTIONS(1331),
    [anon_sym_DOT_STAR] = ACTIONS(1329),
    [anon_sym_DOT_QMARK] = ACTIONS(1329),
    [sym_comment] = ACTIONS(3),
  },
  [803] = {
    [ts_builtin_sym_end] = ACTIONS(1333),
    [anon_sym_COMMA] = ACTIONS(1333),
    [anon_sym_COLON] = ACTIONS(1333),
    [anon_sym_EQ] = ACTIONS(1335),
    [anon_sym_SEMI] = ACTIONS(1333),
    [anon_sym_STAR_EQ] = ACTIONS(1333),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1333),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1333),
    [anon_sym_SLASH_EQ] = ACTIONS(1333),
    [anon_sym_PERCENT_EQ] = ACTIONS(1333),
    [anon_sym_PLUS_EQ] = ACTIONS(1333),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1333),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1333),
    [anon_sym_DASH_EQ] = ACTIONS(1333),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1333),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1333),
    [anon_sym_LT_LT_EQ] = ACTIONS(1333),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1333),
    [anon_sym_GT_GT_EQ] = ACTIONS(1333),
    [anon_sym_AMP_EQ] = ACTIONS(1333),
    [anon_sym_CARET_EQ] = ACTIONS(1333),
    [anon_sym_PIPE_EQ] = ACTIONS(1333),
    [anon_sym_LPAREN] = ACTIONS(1333),
    [anon_sym_RPAREN] = ACTIONS(1333),
    [anon_sym_LBRACE] = ACTIONS(1333),
    [anon_sym_RBRACE] = ACTIONS(1333),
    [anon_sym_else] = ACTIONS(1333),
    [anon_sym_DOT_DOT] = ACTIONS(1333),
    [anon_sym_PIPE] = ACTIONS(1335),
    [anon_sym_STAR] = ACTIONS(1335),
    [anon_sym_align] = ACTIONS(1333),
    [anon_sym_addrspace] = ACTIONS(1333),
    [anon_sym_linksection] = ACTIONS(1333),
    [anon_sym_LBRACK] = ACTIONS(1333),
    [anon_sym_RBRACK] = ACTIONS(1333),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_DASH_PERCENT] = ACTIONS(1335),
    [anon_sym_AMP] = ACTIONS(1335),
    [anon_sym_or] = ACTIONS(1335),
    [anon_sym_and] = ACTIONS(1333),
    [anon_sym_EQ_EQ] = ACTIONS(1333),
    [anon_sym_BANG_EQ] = ACTIONS(1333),
    [anon_sym_GT] = ACTIONS(1335),
    [anon_sym_GT_EQ] = ACTIONS(1333),
    [anon_sym_LT_EQ] = ACTIONS(1333),
    [anon_sym_LT] = ACTIONS(1335),
    [anon_sym_CARET] = ACTIONS(1335),
    [anon_sym_orelse] = ACTIONS(1333),
    [anon_sym_LT_LT] = ACTIONS(1335),
    [anon_sym_GT_GT] = ACTIONS(1335),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_PLUS_PLUS] = ACTIONS(1333),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1335),
    [anon_sym_PLUS_PIPE] = ACTIONS(1335),
    [anon_sym_DASH_PIPE] = ACTIONS(1335),
    [anon_sym_SLASH] = ACTIONS(1335),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [anon_sym_STAR_STAR] = ACTIONS(1333),
    [anon_sym_STAR_PERCENT] = ACTIONS(1335),
    [anon_sym_STAR_PIPE] = ACTIONS(1335),
    [anon_sym_PIPE_PIPE] = ACTIONS(1333),
    [anon_sym_catch] = ACTIONS(1333),
    [anon_sym_EQ_GT] = ACTIONS(1333),
    [anon_sym_DOT] = ACTIONS(1335),
    [anon_sym_DOT_STAR] = ACTIONS(1333),
    [anon_sym_DOT_QMARK] = ACTIONS(1333),
    [sym_comment] = ACTIONS(3),
  },
  [804] = {
    [ts_builtin_sym_end] = ACTIONS(1337),
    [anon_sym_COMMA] = ACTIONS(1337),
    [anon_sym_COLON] = ACTIONS(1337),
    [anon_sym_EQ] = ACTIONS(1339),
    [anon_sym_SEMI] = ACTIONS(1337),
    [anon_sym_STAR_EQ] = ACTIONS(1337),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1337),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1337),
    [anon_sym_SLASH_EQ] = ACTIONS(1337),
    [anon_sym_PERCENT_EQ] = ACTIONS(1337),
    [anon_sym_PLUS_EQ] = ACTIONS(1337),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1337),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1337),
    [anon_sym_DASH_EQ] = ACTIONS(1337),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1337),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1337),
    [anon_sym_LT_LT_EQ] = ACTIONS(1337),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1337),
    [anon_sym_GT_GT_EQ] = ACTIONS(1337),
    [anon_sym_AMP_EQ] = ACTIONS(1337),
    [anon_sym_CARET_EQ] = ACTIONS(1337),
    [anon_sym_PIPE_EQ] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1337),
    [anon_sym_RPAREN] = ACTIONS(1337),
    [anon_sym_LBRACE] = ACTIONS(1337),
    [anon_sym_RBRACE] = ACTIONS(1337),
    [anon_sym_else] = ACTIONS(1337),
    [anon_sym_DOT_DOT] = ACTIONS(1337),
    [anon_sym_PIPE] = ACTIONS(1339),
    [anon_sym_STAR] = ACTIONS(1339),
    [anon_sym_align] = ACTIONS(1337),
    [anon_sym_addrspace] = ACTIONS(1337),
    [anon_sym_linksection] = ACTIONS(1337),
    [anon_sym_LBRACK] = ACTIONS(1337),
    [anon_sym_RBRACK] = ACTIONS(1337),
    [anon_sym_BANG] = ACTIONS(1339),
    [anon_sym_DASH] = ACTIONS(1339),
    [anon_sym_DASH_PERCENT] = ACTIONS(1339),
    [anon_sym_AMP] = ACTIONS(1339),
    [anon_sym_or] = ACTIONS(1339),
    [anon_sym_and] = ACTIONS(1337),
    [anon_sym_EQ_EQ] = ACTIONS(1337),
    [anon_sym_BANG_EQ] = ACTIONS(1337),
    [anon_sym_GT] = ACTIONS(1339),
    [anon_sym_GT_EQ] = ACTIONS(1337),
    [anon_sym_LT_EQ] = ACTIONS(1337),
    [anon_sym_LT] = ACTIONS(1339),
    [anon_sym_CARET] = ACTIONS(1339),
    [anon_sym_orelse] = ACTIONS(1337),
    [anon_sym_LT_LT] = ACTIONS(1339),
    [anon_sym_GT_GT] = ACTIONS(1339),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1339),
    [anon_sym_PLUS] = ACTIONS(1339),
    [anon_sym_PLUS_PLUS] = ACTIONS(1337),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1339),
    [anon_sym_PLUS_PIPE] = ACTIONS(1339),
    [anon_sym_DASH_PIPE] = ACTIONS(1339),
    [anon_sym_SLASH] = ACTIONS(1339),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [anon_sym_STAR_STAR] = ACTIONS(1337),
    [anon_sym_STAR_PERCENT] = ACTIONS(1339),
    [anon_sym_STAR_PIPE] = ACTIONS(1339),
    [anon_sym_PIPE_PIPE] = ACTIONS(1337),
    [anon_sym_catch] = ACTIONS(1337),
    [anon_sym_EQ_GT] = ACTIONS(1337),
    [anon_sym_DOT] = ACTIONS(1339),
    [anon_sym_DOT_STAR] = ACTIONS(1337),
    [anon_sym_DOT_QMARK] = ACTIONS(1337),
    [sym_comment] = ACTIONS(3),
  },
  [805] = {
    [ts_builtin_sym_end] = ACTIONS(1341),
    [anon_sym_COMMA] = ACTIONS(1341),
    [anon_sym_COLON] = ACTIONS(1341),
    [anon_sym_EQ] = ACTIONS(1343),
    [anon_sym_SEMI] = ACTIONS(1341),
    [anon_sym_STAR_EQ] = ACTIONS(1341),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1341),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1341),
    [anon_sym_SLASH_EQ] = ACTIONS(1341),
    [anon_sym_PERCENT_EQ] = ACTIONS(1341),
    [anon_sym_PLUS_EQ] = ACTIONS(1341),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1341),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1341),
    [anon_sym_DASH_EQ] = ACTIONS(1341),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1341),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1341),
    [anon_sym_LT_LT_EQ] = ACTIONS(1341),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1341),
    [anon_sym_GT_GT_EQ] = ACTIONS(1341),
    [anon_sym_AMP_EQ] = ACTIONS(1341),
    [anon_sym_CARET_EQ] = ACTIONS(1341),
    [anon_sym_PIPE_EQ] = ACTIONS(1341),
    [anon_sym_LPAREN] = ACTIONS(1341),
    [anon_sym_RPAREN] = ACTIONS(1341),
    [anon_sym_LBRACE] = ACTIONS(1341),
    [anon_sym_RBRACE] = ACTIONS(1341),
    [anon_sym_else] = ACTIONS(1341),
    [anon_sym_DOT_DOT] = ACTIONS(1341),
    [anon_sym_PIPE] = ACTIONS(1343),
    [anon_sym_STAR] = ACTIONS(1343),
    [anon_sym_align] = ACTIONS(1341),
    [anon_sym_addrspace] = ACTIONS(1341),
    [anon_sym_linksection] = ACTIONS(1341),
    [anon_sym_LBRACK] = ACTIONS(1341),
    [anon_sym_RBRACK] = ACTIONS(1341),
    [anon_sym_BANG] = ACTIONS(1343),
    [anon_sym_DASH] = ACTIONS(1343),
    [anon_sym_DASH_PERCENT] = ACTIONS(1343),
    [anon_sym_AMP] = ACTIONS(1343),
    [anon_sym_or] = ACTIONS(1343),
    [anon_sym_and] = ACTIONS(1341),
    [anon_sym_EQ_EQ] = ACTIONS(1341),
    [anon_sym_BANG_EQ] = ACTIONS(1341),
    [anon_sym_GT] = ACTIONS(1343),
    [anon_sym_GT_EQ] = ACTIONS(1341),
    [anon_sym_LT_EQ] = ACTIONS(1341),
    [anon_sym_LT] = ACTIONS(1343),
    [anon_sym_CARET] = ACTIONS(1343),
    [anon_sym_orelse] = ACTIONS(1341),
    [anon_sym_LT_LT] = ACTIONS(1343),
    [anon_sym_GT_GT] = ACTIONS(1343),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1343),
    [anon_sym_PLUS] = ACTIONS(1343),
    [anon_sym_PLUS_PLUS] = ACTIONS(1341),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1343),
    [anon_sym_PLUS_PIPE] = ACTIONS(1343),
    [anon_sym_DASH_PIPE] = ACTIONS(1343),
    [anon_sym_SLASH] = ACTIONS(1343),
    [anon_sym_PERCENT] = ACTIONS(1343),
    [anon_sym_STAR_STAR] = ACTIONS(1341),
    [anon_sym_STAR_PERCENT] = ACTIONS(1343),
    [anon_sym_STAR_PIPE] = ACTIONS(1343),
    [anon_sym_PIPE_PIPE] = ACTIONS(1341),
    [anon_sym_catch] = ACTIONS(1341),
    [anon_sym_EQ_GT] = ACTIONS(1341),
    [anon_sym_DOT] = ACTIONS(1343),
    [anon_sym_DOT_STAR] = ACTIONS(1341),
    [anon_sym_DOT_QMARK] = ACTIONS(1341),
    [sym_comment] = ACTIONS(3),
  },
  [806] = {
    [ts_builtin_sym_end] = ACTIONS(1345),
    [anon_sym_COMMA] = ACTIONS(1345),
    [anon_sym_COLON] = ACTIONS(1345),
    [anon_sym_EQ] = ACTIONS(1347),
    [anon_sym_SEMI] = ACTIONS(1345),
    [anon_sym_STAR_EQ] = ACTIONS(1345),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1345),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1345),
    [anon_sym_SLASH_EQ] = ACTIONS(1345),
    [anon_sym_PERCENT_EQ] = ACTIONS(1345),
    [anon_sym_PLUS_EQ] = ACTIONS(1345),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1345),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1345),
    [anon_sym_DASH_EQ] = ACTIONS(1345),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1345),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1345),
    [anon_sym_LT_LT_EQ] = ACTIONS(1345),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1345),
    [anon_sym_GT_GT_EQ] = ACTIONS(1345),
    [anon_sym_AMP_EQ] = ACTIONS(1345),
    [anon_sym_CARET_EQ] = ACTIONS(1345),
    [anon_sym_PIPE_EQ] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1345),
    [anon_sym_RPAREN] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(1345),
    [anon_sym_RBRACE] = ACTIONS(1345),
    [anon_sym_else] = ACTIONS(1345),
    [anon_sym_DOT_DOT] = ACTIONS(1345),
    [anon_sym_PIPE] = ACTIONS(1347),
    [anon_sym_STAR] = ACTIONS(1347),
    [anon_sym_align] = ACTIONS(1345),
    [anon_sym_addrspace] = ACTIONS(1345),
    [anon_sym_linksection] = ACTIONS(1345),
    [anon_sym_LBRACK] = ACTIONS(1345),
    [anon_sym_RBRACK] = ACTIONS(1345),
    [anon_sym_BANG] = ACTIONS(1347),
    [anon_sym_DASH] = ACTIONS(1347),
    [anon_sym_DASH_PERCENT] = ACTIONS(1347),
    [anon_sym_AMP] = ACTIONS(1347),
    [anon_sym_or] = ACTIONS(1347),
    [anon_sym_and] = ACTIONS(1345),
    [anon_sym_EQ_EQ] = ACTIONS(1345),
    [anon_sym_BANG_EQ] = ACTIONS(1345),
    [anon_sym_GT] = ACTIONS(1347),
    [anon_sym_GT_EQ] = ACTIONS(1345),
    [anon_sym_LT_EQ] = ACTIONS(1345),
    [anon_sym_LT] = ACTIONS(1347),
    [anon_sym_CARET] = ACTIONS(1347),
    [anon_sym_orelse] = ACTIONS(1345),
    [anon_sym_LT_LT] = ACTIONS(1347),
    [anon_sym_GT_GT] = ACTIONS(1347),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1347),
    [anon_sym_PLUS] = ACTIONS(1347),
    [anon_sym_PLUS_PLUS] = ACTIONS(1345),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1347),
    [anon_sym_PLUS_PIPE] = ACTIONS(1347),
    [anon_sym_DASH_PIPE] = ACTIONS(1347),
    [anon_sym_SLASH] = ACTIONS(1347),
    [anon_sym_PERCENT] = ACTIONS(1347),
    [anon_sym_STAR_STAR] = ACTIONS(1345),
    [anon_sym_STAR_PERCENT] = ACTIONS(1347),
    [anon_sym_STAR_PIPE] = ACTIONS(1347),
    [anon_sym_PIPE_PIPE] = ACTIONS(1345),
    [anon_sym_catch] = ACTIONS(1345),
    [anon_sym_EQ_GT] = ACTIONS(1345),
    [anon_sym_DOT] = ACTIONS(1347),
    [anon_sym_DOT_STAR] = ACTIONS(1345),
    [anon_sym_DOT_QMARK] = ACTIONS(1345),
    [sym_comment] = ACTIONS(3),
  },
  [807] = {
    [ts_builtin_sym_end] = ACTIONS(1349),
    [anon_sym_COMMA] = ACTIONS(1349),
    [anon_sym_COLON] = ACTIONS(1349),
    [anon_sym_EQ] = ACTIONS(1351),
    [anon_sym_SEMI] = ACTIONS(1349),
    [anon_sym_STAR_EQ] = ACTIONS(1349),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1349),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1349),
    [anon_sym_SLASH_EQ] = ACTIONS(1349),
    [anon_sym_PERCENT_EQ] = ACTIONS(1349),
    [anon_sym_PLUS_EQ] = ACTIONS(1349),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1349),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1349),
    [anon_sym_DASH_EQ] = ACTIONS(1349),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1349),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1349),
    [anon_sym_LT_LT_EQ] = ACTIONS(1349),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1349),
    [anon_sym_GT_GT_EQ] = ACTIONS(1349),
    [anon_sym_AMP_EQ] = ACTIONS(1349),
    [anon_sym_CARET_EQ] = ACTIONS(1349),
    [anon_sym_PIPE_EQ] = ACTIONS(1349),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [anon_sym_RPAREN] = ACTIONS(1349),
    [anon_sym_LBRACE] = ACTIONS(1349),
    [anon_sym_RBRACE] = ACTIONS(1349),
    [anon_sym_else] = ACTIONS(1349),
    [anon_sym_DOT_DOT] = ACTIONS(1349),
    [anon_sym_PIPE] = ACTIONS(1351),
    [anon_sym_STAR] = ACTIONS(1351),
    [anon_sym_align] = ACTIONS(1349),
    [anon_sym_addrspace] = ACTIONS(1349),
    [anon_sym_linksection] = ACTIONS(1349),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_RBRACK] = ACTIONS(1349),
    [anon_sym_BANG] = ACTIONS(1351),
    [anon_sym_DASH] = ACTIONS(1351),
    [anon_sym_DASH_PERCENT] = ACTIONS(1351),
    [anon_sym_AMP] = ACTIONS(1351),
    [anon_sym_or] = ACTIONS(1351),
    [anon_sym_and] = ACTIONS(1349),
    [anon_sym_EQ_EQ] = ACTIONS(1349),
    [anon_sym_BANG_EQ] = ACTIONS(1349),
    [anon_sym_GT] = ACTIONS(1351),
    [anon_sym_GT_EQ] = ACTIONS(1349),
    [anon_sym_LT_EQ] = ACTIONS(1349),
    [anon_sym_LT] = ACTIONS(1351),
    [anon_sym_CARET] = ACTIONS(1351),
    [anon_sym_orelse] = ACTIONS(1349),
    [anon_sym_LT_LT] = ACTIONS(1351),
    [anon_sym_GT_GT] = ACTIONS(1351),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1351),
    [anon_sym_PLUS] = ACTIONS(1351),
    [anon_sym_PLUS_PLUS] = ACTIONS(1349),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1351),
    [anon_sym_PLUS_PIPE] = ACTIONS(1351),
    [anon_sym_DASH_PIPE] = ACTIONS(1351),
    [anon_sym_SLASH] = ACTIONS(1351),
    [anon_sym_PERCENT] = ACTIONS(1351),
    [anon_sym_STAR_STAR] = ACTIONS(1349),
    [anon_sym_STAR_PERCENT] = ACTIONS(1351),
    [anon_sym_STAR_PIPE] = ACTIONS(1351),
    [anon_sym_PIPE_PIPE] = ACTIONS(1349),
    [anon_sym_catch] = ACTIONS(1349),
    [anon_sym_EQ_GT] = ACTIONS(1349),
    [anon_sym_DOT] = ACTIONS(1351),
    [anon_sym_DOT_STAR] = ACTIONS(1349),
    [anon_sym_DOT_QMARK] = ACTIONS(1349),
    [sym_comment] = ACTIONS(3),
  },
  [808] = {
    [ts_builtin_sym_end] = ACTIONS(1353),
    [anon_sym_COMMA] = ACTIONS(1353),
    [anon_sym_COLON] = ACTIONS(1353),
    [anon_sym_EQ] = ACTIONS(1355),
    [anon_sym_SEMI] = ACTIONS(1353),
    [anon_sym_STAR_EQ] = ACTIONS(1353),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1353),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1353),
    [anon_sym_SLASH_EQ] = ACTIONS(1353),
    [anon_sym_PERCENT_EQ] = ACTIONS(1353),
    [anon_sym_PLUS_EQ] = ACTIONS(1353),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1353),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1353),
    [anon_sym_DASH_EQ] = ACTIONS(1353),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1353),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1353),
    [anon_sym_LT_LT_EQ] = ACTIONS(1353),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1353),
    [anon_sym_GT_GT_EQ] = ACTIONS(1353),
    [anon_sym_AMP_EQ] = ACTIONS(1353),
    [anon_sym_CARET_EQ] = ACTIONS(1353),
    [anon_sym_PIPE_EQ] = ACTIONS(1353),
    [anon_sym_LPAREN] = ACTIONS(1353),
    [anon_sym_RPAREN] = ACTIONS(1353),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_RBRACE] = ACTIONS(1353),
    [anon_sym_else] = ACTIONS(1353),
    [anon_sym_DOT_DOT] = ACTIONS(1353),
    [anon_sym_PIPE] = ACTIONS(1355),
    [anon_sym_STAR] = ACTIONS(1355),
    [anon_sym_align] = ACTIONS(1353),
    [anon_sym_addrspace] = ACTIONS(1353),
    [anon_sym_linksection] = ACTIONS(1353),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_RBRACK] = ACTIONS(1353),
    [anon_sym_BANG] = ACTIONS(1355),
    [anon_sym_DASH] = ACTIONS(1355),
    [anon_sym_DASH_PERCENT] = ACTIONS(1355),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_or] = ACTIONS(1355),
    [anon_sym_and] = ACTIONS(1353),
    [anon_sym_EQ_EQ] = ACTIONS(1353),
    [anon_sym_BANG_EQ] = ACTIONS(1353),
    [anon_sym_GT] = ACTIONS(1355),
    [anon_sym_GT_EQ] = ACTIONS(1353),
    [anon_sym_LT_EQ] = ACTIONS(1353),
    [anon_sym_LT] = ACTIONS(1355),
    [anon_sym_CARET] = ACTIONS(1355),
    [anon_sym_orelse] = ACTIONS(1353),
    [anon_sym_LT_LT] = ACTIONS(1355),
    [anon_sym_GT_GT] = ACTIONS(1355),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1355),
    [anon_sym_PLUS] = ACTIONS(1355),
    [anon_sym_PLUS_PLUS] = ACTIONS(1353),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1355),
    [anon_sym_PLUS_PIPE] = ACTIONS(1355),
    [anon_sym_DASH_PIPE] = ACTIONS(1355),
    [anon_sym_SLASH] = ACTIONS(1355),
    [anon_sym_PERCENT] = ACTIONS(1355),
    [anon_sym_STAR_STAR] = ACTIONS(1353),
    [anon_sym_STAR_PERCENT] = ACTIONS(1355),
    [anon_sym_STAR_PIPE] = ACTIONS(1355),
    [anon_sym_PIPE_PIPE] = ACTIONS(1353),
    [anon_sym_catch] = ACTIONS(1353),
    [anon_sym_EQ_GT] = ACTIONS(1353),
    [anon_sym_DOT] = ACTIONS(1355),
    [anon_sym_DOT_STAR] = ACTIONS(1353),
    [anon_sym_DOT_QMARK] = ACTIONS(1353),
    [sym_comment] = ACTIONS(3),
  },
  [809] = {
    [ts_builtin_sym_end] = ACTIONS(1357),
    [anon_sym_COMMA] = ACTIONS(1357),
    [anon_sym_COLON] = ACTIONS(1357),
    [anon_sym_EQ] = ACTIONS(1359),
    [anon_sym_SEMI] = ACTIONS(1357),
    [anon_sym_STAR_EQ] = ACTIONS(1357),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1357),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1357),
    [anon_sym_SLASH_EQ] = ACTIONS(1357),
    [anon_sym_PERCENT_EQ] = ACTIONS(1357),
    [anon_sym_PLUS_EQ] = ACTIONS(1357),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1357),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1357),
    [anon_sym_DASH_EQ] = ACTIONS(1357),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1357),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1357),
    [anon_sym_LT_LT_EQ] = ACTIONS(1357),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1357),
    [anon_sym_GT_GT_EQ] = ACTIONS(1357),
    [anon_sym_AMP_EQ] = ACTIONS(1357),
    [anon_sym_CARET_EQ] = ACTIONS(1357),
    [anon_sym_PIPE_EQ] = ACTIONS(1357),
    [anon_sym_LPAREN] = ACTIONS(1357),
    [anon_sym_RPAREN] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_RBRACE] = ACTIONS(1357),
    [anon_sym_else] = ACTIONS(1357),
    [anon_sym_DOT_DOT] = ACTIONS(1357),
    [anon_sym_PIPE] = ACTIONS(1359),
    [anon_sym_STAR] = ACTIONS(1359),
    [anon_sym_align] = ACTIONS(1357),
    [anon_sym_addrspace] = ACTIONS(1357),
    [anon_sym_linksection] = ACTIONS(1357),
    [anon_sym_LBRACK] = ACTIONS(1357),
    [anon_sym_RBRACK] = ACTIONS(1357),
    [anon_sym_BANG] = ACTIONS(1359),
    [anon_sym_DASH] = ACTIONS(1359),
    [anon_sym_DASH_PERCENT] = ACTIONS(1359),
    [anon_sym_AMP] = ACTIONS(1359),
    [anon_sym_or] = ACTIONS(1359),
    [anon_sym_and] = ACTIONS(1357),
    [anon_sym_EQ_EQ] = ACTIONS(1357),
    [anon_sym_BANG_EQ] = ACTIONS(1357),
    [anon_sym_GT] = ACTIONS(1359),
    [anon_sym_GT_EQ] = ACTIONS(1357),
    [anon_sym_LT_EQ] = ACTIONS(1357),
    [anon_sym_LT] = ACTIONS(1359),
    [anon_sym_CARET] = ACTIONS(1359),
    [anon_sym_orelse] = ACTIONS(1357),
    [anon_sym_LT_LT] = ACTIONS(1359),
    [anon_sym_GT_GT] = ACTIONS(1359),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1359),
    [anon_sym_PLUS] = ACTIONS(1359),
    [anon_sym_PLUS_PLUS] = ACTIONS(1357),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1359),
    [anon_sym_PLUS_PIPE] = ACTIONS(1359),
    [anon_sym_DASH_PIPE] = ACTIONS(1359),
    [anon_sym_SLASH] = ACTIONS(1359),
    [anon_sym_PERCENT] = ACTIONS(1359),
    [anon_sym_STAR_STAR] = ACTIONS(1357),
    [anon_sym_STAR_PERCENT] = ACTIONS(1359),
    [anon_sym_STAR_PIPE] = ACTIONS(1359),
    [anon_sym_PIPE_PIPE] = ACTIONS(1357),
    [anon_sym_catch] = ACTIONS(1357),
    [anon_sym_EQ_GT] = ACTIONS(1357),
    [anon_sym_DOT] = ACTIONS(1359),
    [anon_sym_DOT_STAR] = ACTIONS(1357),
    [anon_sym_DOT_QMARK] = ACTIONS(1357),
    [sym_comment] = ACTIONS(3),
  },
  [810] = {
    [ts_builtin_sym_end] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [anon_sym_COLON] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [anon_sym_STAR_EQ] = ACTIONS(1361),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1361),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1361),
    [anon_sym_SLASH_EQ] = ACTIONS(1361),
    [anon_sym_PERCENT_EQ] = ACTIONS(1361),
    [anon_sym_PLUS_EQ] = ACTIONS(1361),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1361),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1361),
    [anon_sym_DASH_EQ] = ACTIONS(1361),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1361),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1361),
    [anon_sym_GT_GT_EQ] = ACTIONS(1361),
    [anon_sym_AMP_EQ] = ACTIONS(1361),
    [anon_sym_CARET_EQ] = ACTIONS(1361),
    [anon_sym_PIPE_EQ] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [anon_sym_RPAREN] = ACTIONS(1361),
    [anon_sym_LBRACE] = ACTIONS(1361),
    [anon_sym_RBRACE] = ACTIONS(1361),
    [anon_sym_else] = ACTIONS(1361),
    [anon_sym_DOT_DOT] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_align] = ACTIONS(1361),
    [anon_sym_addrspace] = ACTIONS(1361),
    [anon_sym_linksection] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [anon_sym_RBRACK] = ACTIONS(1361),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_DASH_PERCENT] = ACTIONS(1363),
    [anon_sym_AMP] = ACTIONS(1363),
    [anon_sym_or] = ACTIONS(1363),
    [anon_sym_and] = ACTIONS(1361),
    [anon_sym_EQ_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_GT] = ACTIONS(1363),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_orelse] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1363),
    [anon_sym_GT_GT] = ACTIONS(1363),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1363),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_PLUS_PLUS] = ACTIONS(1361),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1363),
    [anon_sym_PLUS_PIPE] = ACTIONS(1363),
    [anon_sym_DASH_PIPE] = ACTIONS(1363),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PERCENT] = ACTIONS(1363),
    [anon_sym_STAR_STAR] = ACTIONS(1361),
    [anon_sym_STAR_PERCENT] = ACTIONS(1363),
    [anon_sym_STAR_PIPE] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_catch] = ACTIONS(1361),
    [anon_sym_EQ_GT] = ACTIONS(1361),
    [anon_sym_DOT] = ACTIONS(1363),
    [anon_sym_DOT_STAR] = ACTIONS(1361),
    [anon_sym_DOT_QMARK] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
  },
  [811] = {
    [ts_builtin_sym_end] = ACTIONS(1365),
    [anon_sym_COMMA] = ACTIONS(1365),
    [anon_sym_COLON] = ACTIONS(1365),
    [anon_sym_EQ] = ACTIONS(1367),
    [anon_sym_SEMI] = ACTIONS(1365),
    [anon_sym_STAR_EQ] = ACTIONS(1365),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1365),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1365),
    [anon_sym_SLASH_EQ] = ACTIONS(1365),
    [anon_sym_PERCENT_EQ] = ACTIONS(1365),
    [anon_sym_PLUS_EQ] = ACTIONS(1365),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1365),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1365),
    [anon_sym_DASH_EQ] = ACTIONS(1365),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1365),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1365),
    [anon_sym_LT_LT_EQ] = ACTIONS(1365),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1365),
    [anon_sym_GT_GT_EQ] = ACTIONS(1365),
    [anon_sym_AMP_EQ] = ACTIONS(1365),
    [anon_sym_CARET_EQ] = ACTIONS(1365),
    [anon_sym_PIPE_EQ] = ACTIONS(1365),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_RPAREN] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(1365),
    [anon_sym_RBRACE] = ACTIONS(1365),
    [anon_sym_else] = ACTIONS(1365),
    [anon_sym_DOT_DOT] = ACTIONS(1365),
    [anon_sym_PIPE] = ACTIONS(1367),
    [anon_sym_STAR] = ACTIONS(1367),
    [anon_sym_align] = ACTIONS(1365),
    [anon_sym_addrspace] = ACTIONS(1365),
    [anon_sym_linksection] = ACTIONS(1365),
    [anon_sym_LBRACK] = ACTIONS(1365),
    [anon_sym_RBRACK] = ACTIONS(1365),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_DASH] = ACTIONS(1367),
    [anon_sym_DASH_PERCENT] = ACTIONS(1367),
    [anon_sym_AMP] = ACTIONS(1367),
    [anon_sym_or] = ACTIONS(1367),
    [anon_sym_and] = ACTIONS(1365),
    [anon_sym_EQ_EQ] = ACTIONS(1365),
    [anon_sym_BANG_EQ] = ACTIONS(1365),
    [anon_sym_GT] = ACTIONS(1367),
    [anon_sym_GT_EQ] = ACTIONS(1365),
    [anon_sym_LT_EQ] = ACTIONS(1365),
    [anon_sym_LT] = ACTIONS(1367),
    [anon_sym_CARET] = ACTIONS(1367),
    [anon_sym_orelse] = ACTIONS(1365),
    [anon_sym_LT_LT] = ACTIONS(1367),
    [anon_sym_GT_GT] = ACTIONS(1367),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1367),
    [anon_sym_PLUS] = ACTIONS(1367),
    [anon_sym_PLUS_PLUS] = ACTIONS(1365),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1367),
    [anon_sym_PLUS_PIPE] = ACTIONS(1367),
    [anon_sym_DASH_PIPE] = ACTIONS(1367),
    [anon_sym_SLASH] = ACTIONS(1367),
    [anon_sym_PERCENT] = ACTIONS(1367),
    [anon_sym_STAR_STAR] = ACTIONS(1365),
    [anon_sym_STAR_PERCENT] = ACTIONS(1367),
    [anon_sym_STAR_PIPE] = ACTIONS(1367),
    [anon_sym_PIPE_PIPE] = ACTIONS(1365),
    [anon_sym_catch] = ACTIONS(1365),
    [anon_sym_EQ_GT] = ACTIONS(1365),
    [anon_sym_DOT] = ACTIONS(1367),
    [anon_sym_DOT_STAR] = ACTIONS(1365),
    [anon_sym_DOT_QMARK] = ACTIONS(1365),
    [sym_comment] = ACTIONS(3),
  },
  [812] = {
    [ts_builtin_sym_end] = ACTIONS(934),
    [anon_sym_COMMA] = ACTIONS(934),
    [anon_sym_COLON] = ACTIONS(934),
    [anon_sym_EQ] = ACTIONS(932),
    [anon_sym_SEMI] = ACTIONS(934),
    [anon_sym_STAR_EQ] = ACTIONS(934),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(934),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(934),
    [anon_sym_SLASH_EQ] = ACTIONS(934),
    [anon_sym_PERCENT_EQ] = ACTIONS(934),
    [anon_sym_PLUS_EQ] = ACTIONS(934),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(934),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(934),
    [anon_sym_DASH_EQ] = ACTIONS(934),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(934),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(934),
    [anon_sym_LT_LT_EQ] = ACTIONS(934),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(934),
    [anon_sym_GT_GT_EQ] = ACTIONS(934),
    [anon_sym_AMP_EQ] = ACTIONS(934),
    [anon_sym_CARET_EQ] = ACTIONS(934),
    [anon_sym_PIPE_EQ] = ACTIONS(934),
    [anon_sym_LPAREN] = ACTIONS(934),
    [anon_sym_RPAREN] = ACTIONS(934),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_RBRACE] = ACTIONS(934),
    [anon_sym_else] = ACTIONS(934),
    [anon_sym_DOT_DOT] = ACTIONS(934),
    [anon_sym_PIPE] = ACTIONS(932),
    [anon_sym_STAR] = ACTIONS(932),
    [anon_sym_align] = ACTIONS(934),
    [anon_sym_addrspace] = ACTIONS(934),
    [anon_sym_linksection] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(934),
    [anon_sym_RBRACK] = ACTIONS(934),
    [anon_sym_BANG] = ACTIONS(932),
    [anon_sym_DASH] = ACTIONS(932),
    [anon_sym_DASH_PERCENT] = ACTIONS(932),
    [anon_sym_AMP] = ACTIONS(932),
    [anon_sym_or] = ACTIONS(932),
    [anon_sym_and] = ACTIONS(934),
    [anon_sym_EQ_EQ] = ACTIONS(934),
    [anon_sym_BANG_EQ] = ACTIONS(934),
    [anon_sym_GT] = ACTIONS(932),
    [anon_sym_GT_EQ] = ACTIONS(934),
    [anon_sym_LT_EQ] = ACTIONS(934),
    [anon_sym_LT] = ACTIONS(932),
    [anon_sym_CARET] = ACTIONS(932),
    [anon_sym_orelse] = ACTIONS(934),
    [anon_sym_LT_LT] = ACTIONS(932),
    [anon_sym_GT_GT] = ACTIONS(932),
    [anon_sym_LT_LT_PIPE] = ACTIONS(932),
    [anon_sym_PLUS] = ACTIONS(932),
    [anon_sym_PLUS_PLUS] = ACTIONS(934),
    [anon_sym_PLUS_PERCENT] = ACTIONS(932),
    [anon_sym_PLUS_PIPE] = ACTIONS(932),
    [anon_sym_DASH_PIPE] = ACTIONS(932),
    [anon_sym_SLASH] = ACTIONS(932),
    [anon_sym_PERCENT] = ACTIONS(932),
    [anon_sym_STAR_STAR] = ACTIONS(934),
    [anon_sym_STAR_PERCENT] = ACTIONS(932),
    [anon_sym_STAR_PIPE] = ACTIONS(932),
    [anon_sym_PIPE_PIPE] = ACTIONS(934),
    [anon_sym_catch] = ACTIONS(934),
    [anon_sym_EQ_GT] = ACTIONS(934),
    [anon_sym_DOT] = ACTIONS(932),
    [anon_sym_DOT_STAR] = ACTIONS(934),
    [anon_sym_DOT_QMARK] = ACTIONS(934),
    [sym_comment] = ACTIONS(3),
  },
  [813] = {
    [ts_builtin_sym_end] = ACTIONS(1369),
    [anon_sym_COMMA] = ACTIONS(1369),
    [anon_sym_COLON] = ACTIONS(1369),
    [anon_sym_EQ] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1369),
    [anon_sym_STAR_EQ] = ACTIONS(1369),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1369),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1369),
    [anon_sym_SLASH_EQ] = ACTIONS(1369),
    [anon_sym_PERCENT_EQ] = ACTIONS(1369),
    [anon_sym_PLUS_EQ] = ACTIONS(1369),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1369),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1369),
    [anon_sym_DASH_EQ] = ACTIONS(1369),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1369),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1369),
    [anon_sym_LT_LT_EQ] = ACTIONS(1369),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1369),
    [anon_sym_GT_GT_EQ] = ACTIONS(1369),
    [anon_sym_AMP_EQ] = ACTIONS(1369),
    [anon_sym_CARET_EQ] = ACTIONS(1369),
    [anon_sym_PIPE_EQ] = ACTIONS(1369),
    [anon_sym_LPAREN] = ACTIONS(1369),
    [anon_sym_RPAREN] = ACTIONS(1369),
    [anon_sym_LBRACE] = ACTIONS(1369),
    [anon_sym_RBRACE] = ACTIONS(1369),
    [anon_sym_else] = ACTIONS(1369),
    [anon_sym_DOT_DOT] = ACTIONS(1369),
    [anon_sym_PIPE] = ACTIONS(1371),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_align] = ACTIONS(1369),
    [anon_sym_addrspace] = ACTIONS(1369),
    [anon_sym_linksection] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(1369),
    [anon_sym_RBRACK] = ACTIONS(1369),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_DASH_PERCENT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_or] = ACTIONS(1371),
    [anon_sym_and] = ACTIONS(1369),
    [anon_sym_EQ_EQ] = ACTIONS(1369),
    [anon_sym_BANG_EQ] = ACTIONS(1369),
    [anon_sym_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1369),
    [anon_sym_LT_EQ] = ACTIONS(1369),
    [anon_sym_LT] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_orelse] = ACTIONS(1369),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_PLUS_PLUS] = ACTIONS(1369),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1371),
    [anon_sym_PLUS_PIPE] = ACTIONS(1371),
    [anon_sym_DASH_PIPE] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1371),
    [anon_sym_PERCENT] = ACTIONS(1371),
    [anon_sym_STAR_STAR] = ACTIONS(1369),
    [anon_sym_STAR_PERCENT] = ACTIONS(1371),
    [anon_sym_STAR_PIPE] = ACTIONS(1371),
    [anon_sym_PIPE_PIPE] = ACTIONS(1369),
    [anon_sym_catch] = ACTIONS(1369),
    [anon_sym_EQ_GT] = ACTIONS(1369),
    [anon_sym_DOT] = ACTIONS(1371),
    [anon_sym_DOT_STAR] = ACTIONS(1369),
    [anon_sym_DOT_QMARK] = ACTIONS(1369),
    [sym_comment] = ACTIONS(3),
  },
  [814] = {
    [ts_builtin_sym_end] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1373),
    [anon_sym_COLON] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1373),
    [anon_sym_STAR_EQ] = ACTIONS(1373),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1373),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1373),
    [anon_sym_SLASH_EQ] = ACTIONS(1373),
    [anon_sym_PERCENT_EQ] = ACTIONS(1373),
    [anon_sym_PLUS_EQ] = ACTIONS(1373),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1373),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1373),
    [anon_sym_DASH_EQ] = ACTIONS(1373),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1373),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1373),
    [anon_sym_LT_LT_EQ] = ACTIONS(1373),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1373),
    [anon_sym_GT_GT_EQ] = ACTIONS(1373),
    [anon_sym_AMP_EQ] = ACTIONS(1373),
    [anon_sym_CARET_EQ] = ACTIONS(1373),
    [anon_sym_PIPE_EQ] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1373),
    [anon_sym_RPAREN] = ACTIONS(1373),
    [anon_sym_LBRACE] = ACTIONS(1373),
    [anon_sym_RBRACE] = ACTIONS(1373),
    [anon_sym_else] = ACTIONS(1373),
    [anon_sym_DOT_DOT] = ACTIONS(1373),
    [anon_sym_PIPE] = ACTIONS(1375),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_align] = ACTIONS(1373),
    [anon_sym_addrspace] = ACTIONS(1373),
    [anon_sym_linksection] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1373),
    [anon_sym_RBRACK] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1375),
    [anon_sym_DASH_PERCENT] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_or] = ACTIONS(1375),
    [anon_sym_and] = ACTIONS(1373),
    [anon_sym_EQ_EQ] = ACTIONS(1373),
    [anon_sym_BANG_EQ] = ACTIONS(1373),
    [anon_sym_GT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1373),
    [anon_sym_LT_EQ] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_orelse] = ACTIONS(1373),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_PLUS_PLUS] = ACTIONS(1373),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1375),
    [anon_sym_PLUS_PIPE] = ACTIONS(1375),
    [anon_sym_DASH_PIPE] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1375),
    [anon_sym_PERCENT] = ACTIONS(1375),
    [anon_sym_STAR_STAR] = ACTIONS(1373),
    [anon_sym_STAR_PERCENT] = ACTIONS(1375),
    [anon_sym_STAR_PIPE] = ACTIONS(1375),
    [anon_sym_PIPE_PIPE] = ACTIONS(1373),
    [anon_sym_catch] = ACTIONS(1373),
    [anon_sym_EQ_GT] = ACTIONS(1373),
    [anon_sym_DOT] = ACTIONS(1375),
    [anon_sym_DOT_STAR] = ACTIONS(1373),
    [anon_sym_DOT_QMARK] = ACTIONS(1373),
    [sym_comment] = ACTIONS(3),
  },
  [815] = {
    [ts_builtin_sym_end] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1377),
    [anon_sym_COLON] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1379),
    [anon_sym_SEMI] = ACTIONS(1377),
    [anon_sym_STAR_EQ] = ACTIONS(1377),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1377),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1377),
    [anon_sym_SLASH_EQ] = ACTIONS(1377),
    [anon_sym_PERCENT_EQ] = ACTIONS(1377),
    [anon_sym_PLUS_EQ] = ACTIONS(1377),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1377),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1377),
    [anon_sym_DASH_EQ] = ACTIONS(1377),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1377),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1377),
    [anon_sym_LT_LT_EQ] = ACTIONS(1377),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1377),
    [anon_sym_GT_GT_EQ] = ACTIONS(1377),
    [anon_sym_AMP_EQ] = ACTIONS(1377),
    [anon_sym_CARET_EQ] = ACTIONS(1377),
    [anon_sym_PIPE_EQ] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1377),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_RBRACE] = ACTIONS(1377),
    [anon_sym_else] = ACTIONS(1377),
    [anon_sym_DOT_DOT] = ACTIONS(1377),
    [anon_sym_PIPE] = ACTIONS(1379),
    [anon_sym_STAR] = ACTIONS(1379),
    [anon_sym_align] = ACTIONS(1377),
    [anon_sym_addrspace] = ACTIONS(1377),
    [anon_sym_linksection] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1377),
    [anon_sym_RBRACK] = ACTIONS(1377),
    [anon_sym_BANG] = ACTIONS(1379),
    [anon_sym_DASH] = ACTIONS(1379),
    [anon_sym_DASH_PERCENT] = ACTIONS(1379),
    [anon_sym_AMP] = ACTIONS(1379),
    [anon_sym_or] = ACTIONS(1379),
    [anon_sym_and] = ACTIONS(1377),
    [anon_sym_EQ_EQ] = ACTIONS(1377),
    [anon_sym_BANG_EQ] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1379),
    [anon_sym_GT_EQ] = ACTIONS(1377),
    [anon_sym_LT_EQ] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1379),
    [anon_sym_CARET] = ACTIONS(1379),
    [anon_sym_orelse] = ACTIONS(1377),
    [anon_sym_LT_LT] = ACTIONS(1379),
    [anon_sym_GT_GT] = ACTIONS(1379),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1379),
    [anon_sym_PLUS] = ACTIONS(1379),
    [anon_sym_PLUS_PLUS] = ACTIONS(1377),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1379),
    [anon_sym_PLUS_PIPE] = ACTIONS(1379),
    [anon_sym_DASH_PIPE] = ACTIONS(1379),
    [anon_sym_SLASH] = ACTIONS(1379),
    [anon_sym_PERCENT] = ACTIONS(1379),
    [anon_sym_STAR_STAR] = ACTIONS(1377),
    [anon_sym_STAR_PERCENT] = ACTIONS(1379),
    [anon_sym_STAR_PIPE] = ACTIONS(1379),
    [anon_sym_PIPE_PIPE] = ACTIONS(1377),
    [anon_sym_catch] = ACTIONS(1377),
    [anon_sym_EQ_GT] = ACTIONS(1377),
    [anon_sym_DOT] = ACTIONS(1379),
    [anon_sym_DOT_STAR] = ACTIONS(1377),
    [anon_sym_DOT_QMARK] = ACTIONS(1377),
    [sym_comment] = ACTIONS(3),
  },
  [816] = {
    [ts_builtin_sym_end] = ACTIONS(1381),
    [anon_sym_COMMA] = ACTIONS(1381),
    [anon_sym_COLON] = ACTIONS(1381),
    [anon_sym_EQ] = ACTIONS(1383),
    [anon_sym_SEMI] = ACTIONS(1381),
    [anon_sym_STAR_EQ] = ACTIONS(1381),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1381),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1381),
    [anon_sym_SLASH_EQ] = ACTIONS(1381),
    [anon_sym_PERCENT_EQ] = ACTIONS(1381),
    [anon_sym_PLUS_EQ] = ACTIONS(1381),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1381),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1381),
    [anon_sym_DASH_EQ] = ACTIONS(1381),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1381),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1381),
    [anon_sym_LT_LT_EQ] = ACTIONS(1381),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1381),
    [anon_sym_GT_GT_EQ] = ACTIONS(1381),
    [anon_sym_AMP_EQ] = ACTIONS(1381),
    [anon_sym_CARET_EQ] = ACTIONS(1381),
    [anon_sym_PIPE_EQ] = ACTIONS(1381),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_RPAREN] = ACTIONS(1381),
    [anon_sym_LBRACE] = ACTIONS(1381),
    [anon_sym_RBRACE] = ACTIONS(1381),
    [anon_sym_else] = ACTIONS(1381),
    [anon_sym_DOT_DOT] = ACTIONS(1381),
    [anon_sym_PIPE] = ACTIONS(1383),
    [anon_sym_STAR] = ACTIONS(1383),
    [anon_sym_align] = ACTIONS(1381),
    [anon_sym_addrspace] = ACTIONS(1381),
    [anon_sym_linksection] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1381),
    [anon_sym_RBRACK] = ACTIONS(1381),
    [anon_sym_BANG] = ACTIONS(1383),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_DASH_PERCENT] = ACTIONS(1383),
    [anon_sym_AMP] = ACTIONS(1383),
    [anon_sym_or] = ACTIONS(1383),
    [anon_sym_and] = ACTIONS(1381),
    [anon_sym_EQ_EQ] = ACTIONS(1381),
    [anon_sym_BANG_EQ] = ACTIONS(1381),
    [anon_sym_GT] = ACTIONS(1383),
    [anon_sym_GT_EQ] = ACTIONS(1381),
    [anon_sym_LT_EQ] = ACTIONS(1381),
    [anon_sym_LT] = ACTIONS(1383),
    [anon_sym_CARET] = ACTIONS(1383),
    [anon_sym_orelse] = ACTIONS(1381),
    [anon_sym_LT_LT] = ACTIONS(1383),
    [anon_sym_GT_GT] = ACTIONS(1383),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1383),
    [anon_sym_PLUS] = ACTIONS(1383),
    [anon_sym_PLUS_PLUS] = ACTIONS(1381),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1383),
    [anon_sym_PLUS_PIPE] = ACTIONS(1383),
    [anon_sym_DASH_PIPE] = ACTIONS(1383),
    [anon_sym_SLASH] = ACTIONS(1383),
    [anon_sym_PERCENT] = ACTIONS(1383),
    [anon_sym_STAR_STAR] = ACTIONS(1381),
    [anon_sym_STAR_PERCENT] = ACTIONS(1383),
    [anon_sym_STAR_PIPE] = ACTIONS(1383),
    [anon_sym_PIPE_PIPE] = ACTIONS(1381),
    [anon_sym_catch] = ACTIONS(1381),
    [anon_sym_EQ_GT] = ACTIONS(1381),
    [anon_sym_DOT] = ACTIONS(1383),
    [anon_sym_DOT_STAR] = ACTIONS(1381),
    [anon_sym_DOT_QMARK] = ACTIONS(1381),
    [sym_comment] = ACTIONS(3),
  },
  [817] = {
    [ts_builtin_sym_end] = ACTIONS(1385),
    [anon_sym_COMMA] = ACTIONS(1385),
    [anon_sym_COLON] = ACTIONS(1385),
    [anon_sym_EQ] = ACTIONS(1387),
    [anon_sym_SEMI] = ACTIONS(1385),
    [anon_sym_STAR_EQ] = ACTIONS(1385),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1385),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1385),
    [anon_sym_SLASH_EQ] = ACTIONS(1385),
    [anon_sym_PERCENT_EQ] = ACTIONS(1385),
    [anon_sym_PLUS_EQ] = ACTIONS(1385),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1385),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1385),
    [anon_sym_DASH_EQ] = ACTIONS(1385),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1385),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1385),
    [anon_sym_LT_LT_EQ] = ACTIONS(1385),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1385),
    [anon_sym_GT_GT_EQ] = ACTIONS(1385),
    [anon_sym_AMP_EQ] = ACTIONS(1385),
    [anon_sym_CARET_EQ] = ACTIONS(1385),
    [anon_sym_PIPE_EQ] = ACTIONS(1385),
    [anon_sym_LPAREN] = ACTIONS(1385),
    [anon_sym_RPAREN] = ACTIONS(1385),
    [anon_sym_LBRACE] = ACTIONS(1385),
    [anon_sym_RBRACE] = ACTIONS(1385),
    [anon_sym_else] = ACTIONS(1385),
    [anon_sym_DOT_DOT] = ACTIONS(1385),
    [anon_sym_PIPE] = ACTIONS(1387),
    [anon_sym_STAR] = ACTIONS(1387),
    [anon_sym_align] = ACTIONS(1385),
    [anon_sym_addrspace] = ACTIONS(1385),
    [anon_sym_linksection] = ACTIONS(1385),
    [anon_sym_LBRACK] = ACTIONS(1385),
    [anon_sym_RBRACK] = ACTIONS(1385),
    [anon_sym_BANG] = ACTIONS(1387),
    [anon_sym_DASH] = ACTIONS(1387),
    [anon_sym_DASH_PERCENT] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(1387),
    [anon_sym_or] = ACTIONS(1387),
    [anon_sym_and] = ACTIONS(1385),
    [anon_sym_EQ_EQ] = ACTIONS(1385),
    [anon_sym_BANG_EQ] = ACTIONS(1385),
    [anon_sym_GT] = ACTIONS(1387),
    [anon_sym_GT_EQ] = ACTIONS(1385),
    [anon_sym_LT_EQ] = ACTIONS(1385),
    [anon_sym_LT] = ACTIONS(1387),
    [anon_sym_CARET] = ACTIONS(1387),
    [anon_sym_orelse] = ACTIONS(1385),
    [anon_sym_LT_LT] = ACTIONS(1387),
    [anon_sym_GT_GT] = ACTIONS(1387),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1387),
    [anon_sym_PLUS] = ACTIONS(1387),
    [anon_sym_PLUS_PLUS] = ACTIONS(1385),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1387),
    [anon_sym_PLUS_PIPE] = ACTIONS(1387),
    [anon_sym_DASH_PIPE] = ACTIONS(1387),
    [anon_sym_SLASH] = ACTIONS(1387),
    [anon_sym_PERCENT] = ACTIONS(1387),
    [anon_sym_STAR_STAR] = ACTIONS(1385),
    [anon_sym_STAR_PERCENT] = ACTIONS(1387),
    [anon_sym_STAR_PIPE] = ACTIONS(1387),
    [anon_sym_PIPE_PIPE] = ACTIONS(1385),
    [anon_sym_catch] = ACTIONS(1385),
    [anon_sym_EQ_GT] = ACTIONS(1385),
    [anon_sym_DOT] = ACTIONS(1387),
    [anon_sym_DOT_STAR] = ACTIONS(1385),
    [anon_sym_DOT_QMARK] = ACTIONS(1385),
    [sym_comment] = ACTIONS(3),
  },
  [818] = {
    [ts_builtin_sym_end] = ACTIONS(1389),
    [anon_sym_COMMA] = ACTIONS(1389),
    [anon_sym_COLON] = ACTIONS(1389),
    [anon_sym_EQ] = ACTIONS(1391),
    [anon_sym_SEMI] = ACTIONS(1389),
    [anon_sym_STAR_EQ] = ACTIONS(1389),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1389),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1389),
    [anon_sym_SLASH_EQ] = ACTIONS(1389),
    [anon_sym_PERCENT_EQ] = ACTIONS(1389),
    [anon_sym_PLUS_EQ] = ACTIONS(1389),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1389),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1389),
    [anon_sym_DASH_EQ] = ACTIONS(1389),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1389),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1389),
    [anon_sym_LT_LT_EQ] = ACTIONS(1389),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1389),
    [anon_sym_GT_GT_EQ] = ACTIONS(1389),
    [anon_sym_AMP_EQ] = ACTIONS(1389),
    [anon_sym_CARET_EQ] = ACTIONS(1389),
    [anon_sym_PIPE_EQ] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1389),
    [anon_sym_RPAREN] = ACTIONS(1389),
    [anon_sym_LBRACE] = ACTIONS(1389),
    [anon_sym_RBRACE] = ACTIONS(1389),
    [anon_sym_else] = ACTIONS(1389),
    [anon_sym_DOT_DOT] = ACTIONS(1389),
    [anon_sym_PIPE] = ACTIONS(1391),
    [anon_sym_STAR] = ACTIONS(1391),
    [anon_sym_align] = ACTIONS(1389),
    [anon_sym_addrspace] = ACTIONS(1389),
    [anon_sym_linksection] = ACTIONS(1389),
    [anon_sym_LBRACK] = ACTIONS(1389),
    [anon_sym_RBRACK] = ACTIONS(1389),
    [anon_sym_BANG] = ACTIONS(1391),
    [anon_sym_DASH] = ACTIONS(1391),
    [anon_sym_DASH_PERCENT] = ACTIONS(1391),
    [anon_sym_AMP] = ACTIONS(1391),
    [anon_sym_or] = ACTIONS(1391),
    [anon_sym_and] = ACTIONS(1389),
    [anon_sym_EQ_EQ] = ACTIONS(1389),
    [anon_sym_BANG_EQ] = ACTIONS(1389),
    [anon_sym_GT] = ACTIONS(1391),
    [anon_sym_GT_EQ] = ACTIONS(1389),
    [anon_sym_LT_EQ] = ACTIONS(1389),
    [anon_sym_LT] = ACTIONS(1391),
    [anon_sym_CARET] = ACTIONS(1391),
    [anon_sym_orelse] = ACTIONS(1389),
    [anon_sym_LT_LT] = ACTIONS(1391),
    [anon_sym_GT_GT] = ACTIONS(1391),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1391),
    [anon_sym_PLUS] = ACTIONS(1391),
    [anon_sym_PLUS_PLUS] = ACTIONS(1389),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1391),
    [anon_sym_PLUS_PIPE] = ACTIONS(1391),
    [anon_sym_DASH_PIPE] = ACTIONS(1391),
    [anon_sym_SLASH] = ACTIONS(1391),
    [anon_sym_PERCENT] = ACTIONS(1391),
    [anon_sym_STAR_STAR] = ACTIONS(1389),
    [anon_sym_STAR_PERCENT] = ACTIONS(1391),
    [anon_sym_STAR_PIPE] = ACTIONS(1391),
    [anon_sym_PIPE_PIPE] = ACTIONS(1389),
    [anon_sym_catch] = ACTIONS(1389),
    [anon_sym_EQ_GT] = ACTIONS(1389),
    [anon_sym_DOT] = ACTIONS(1391),
    [anon_sym_DOT_STAR] = ACTIONS(1389),
    [anon_sym_DOT_QMARK] = ACTIONS(1389),
    [sym_comment] = ACTIONS(3),
  },
  [819] = {
    [ts_builtin_sym_end] = ACTIONS(1393),
    [anon_sym_COMMA] = ACTIONS(1393),
    [anon_sym_COLON] = ACTIONS(1393),
    [anon_sym_EQ] = ACTIONS(1395),
    [anon_sym_SEMI] = ACTIONS(1393),
    [anon_sym_STAR_EQ] = ACTIONS(1393),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1393),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1393),
    [anon_sym_SLASH_EQ] = ACTIONS(1393),
    [anon_sym_PERCENT_EQ] = ACTIONS(1393),
    [anon_sym_PLUS_EQ] = ACTIONS(1393),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1393),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1393),
    [anon_sym_DASH_EQ] = ACTIONS(1393),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1393),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1393),
    [anon_sym_LT_LT_EQ] = ACTIONS(1393),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1393),
    [anon_sym_GT_GT_EQ] = ACTIONS(1393),
    [anon_sym_AMP_EQ] = ACTIONS(1393),
    [anon_sym_CARET_EQ] = ACTIONS(1393),
    [anon_sym_PIPE_EQ] = ACTIONS(1393),
    [anon_sym_LPAREN] = ACTIONS(1393),
    [anon_sym_RPAREN] = ACTIONS(1393),
    [anon_sym_LBRACE] = ACTIONS(1393),
    [anon_sym_RBRACE] = ACTIONS(1393),
    [anon_sym_else] = ACTIONS(1393),
    [anon_sym_DOT_DOT] = ACTIONS(1393),
    [anon_sym_PIPE] = ACTIONS(1395),
    [anon_sym_STAR] = ACTIONS(1395),
    [anon_sym_align] = ACTIONS(1393),
    [anon_sym_addrspace] = ACTIONS(1393),
    [anon_sym_linksection] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_RBRACK] = ACTIONS(1393),
    [anon_sym_BANG] = ACTIONS(1395),
    [anon_sym_DASH] = ACTIONS(1395),
    [anon_sym_DASH_PERCENT] = ACTIONS(1395),
    [anon_sym_AMP] = ACTIONS(1395),
    [anon_sym_or] = ACTIONS(1395),
    [anon_sym_and] = ACTIONS(1393),
    [anon_sym_EQ_EQ] = ACTIONS(1393),
    [anon_sym_BANG_EQ] = ACTIONS(1393),
    [anon_sym_GT] = ACTIONS(1395),
    [anon_sym_GT_EQ] = ACTIONS(1393),
    [anon_sym_LT_EQ] = ACTIONS(1393),
    [anon_sym_LT] = ACTIONS(1395),
    [anon_sym_CARET] = ACTIONS(1395),
    [anon_sym_orelse] = ACTIONS(1393),
    [anon_sym_LT_LT] = ACTIONS(1395),
    [anon_sym_GT_GT] = ACTIONS(1395),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1395),
    [anon_sym_PLUS] = ACTIONS(1395),
    [anon_sym_PLUS_PLUS] = ACTIONS(1393),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1395),
    [anon_sym_PLUS_PIPE] = ACTIONS(1395),
    [anon_sym_DASH_PIPE] = ACTIONS(1395),
    [anon_sym_SLASH] = ACTIONS(1395),
    [anon_sym_PERCENT] = ACTIONS(1395),
    [anon_sym_STAR_STAR] = ACTIONS(1393),
    [anon_sym_STAR_PERCENT] = ACTIONS(1395),
    [anon_sym_STAR_PIPE] = ACTIONS(1395),
    [anon_sym_PIPE_PIPE] = ACTIONS(1393),
    [anon_sym_catch] = ACTIONS(1393),
    [anon_sym_EQ_GT] = ACTIONS(1393),
    [anon_sym_DOT] = ACTIONS(1395),
    [anon_sym_DOT_STAR] = ACTIONS(1393),
    [anon_sym_DOT_QMARK] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
  },
  [820] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [anon_sym_COLON] = ACTIONS(1397),
    [anon_sym_EQ] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [anon_sym_STAR_EQ] = ACTIONS(1397),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1397),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1397),
    [anon_sym_SLASH_EQ] = ACTIONS(1397),
    [anon_sym_PERCENT_EQ] = ACTIONS(1397),
    [anon_sym_PLUS_EQ] = ACTIONS(1397),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1397),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1397),
    [anon_sym_DASH_EQ] = ACTIONS(1397),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1397),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1397),
    [anon_sym_GT_GT_EQ] = ACTIONS(1397),
    [anon_sym_AMP_EQ] = ACTIONS(1397),
    [anon_sym_CARET_EQ] = ACTIONS(1397),
    [anon_sym_PIPE_EQ] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [anon_sym_RPAREN] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_RBRACE] = ACTIONS(1397),
    [anon_sym_else] = ACTIONS(1397),
    [anon_sym_DOT_DOT] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_align] = ACTIONS(1397),
    [anon_sym_addrspace] = ACTIONS(1397),
    [anon_sym_linksection] = ACTIONS(1397),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [anon_sym_RBRACK] = ACTIONS(1397),
    [anon_sym_BANG] = ACTIONS(1399),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_DASH_PERCENT] = ACTIONS(1399),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_or] = ACTIONS(1399),
    [anon_sym_and] = ACTIONS(1397),
    [anon_sym_EQ_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_orelse] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1399),
    [anon_sym_GT_GT] = ACTIONS(1399),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1399),
    [anon_sym_PLUS_PLUS] = ACTIONS(1397),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1399),
    [anon_sym_PLUS_PIPE] = ACTIONS(1399),
    [anon_sym_DASH_PIPE] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [anon_sym_STAR_STAR] = ACTIONS(1397),
    [anon_sym_STAR_PERCENT] = ACTIONS(1399),
    [anon_sym_STAR_PIPE] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_catch] = ACTIONS(1397),
    [anon_sym_EQ_GT] = ACTIONS(1397),
    [anon_sym_DOT] = ACTIONS(1399),
    [anon_sym_DOT_STAR] = ACTIONS(1397),
    [anon_sym_DOT_QMARK] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
  },
  [821] = {
    [ts_builtin_sym_end] = ACTIONS(1401),
    [anon_sym_COMMA] = ACTIONS(1401),
    [anon_sym_COLON] = ACTIONS(1401),
    [anon_sym_EQ] = ACTIONS(1403),
    [anon_sym_SEMI] = ACTIONS(1401),
    [anon_sym_STAR_EQ] = ACTIONS(1401),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1401),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1401),
    [anon_sym_SLASH_EQ] = ACTIONS(1401),
    [anon_sym_PERCENT_EQ] = ACTIONS(1401),
    [anon_sym_PLUS_EQ] = ACTIONS(1401),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1401),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1401),
    [anon_sym_DASH_EQ] = ACTIONS(1401),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1401),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1401),
    [anon_sym_LT_LT_EQ] = ACTIONS(1401),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1401),
    [anon_sym_GT_GT_EQ] = ACTIONS(1401),
    [anon_sym_AMP_EQ] = ACTIONS(1401),
    [anon_sym_CARET_EQ] = ACTIONS(1401),
    [anon_sym_PIPE_EQ] = ACTIONS(1401),
    [anon_sym_LPAREN] = ACTIONS(1401),
    [anon_sym_RPAREN] = ACTIONS(1401),
    [anon_sym_LBRACE] = ACTIONS(1401),
    [anon_sym_RBRACE] = ACTIONS(1401),
    [anon_sym_else] = ACTIONS(1401),
    [anon_sym_DOT_DOT] = ACTIONS(1401),
    [anon_sym_PIPE] = ACTIONS(1403),
    [anon_sym_STAR] = ACTIONS(1403),
    [anon_sym_align] = ACTIONS(1401),
    [anon_sym_addrspace] = ACTIONS(1401),
    [anon_sym_linksection] = ACTIONS(1401),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_RBRACK] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1403),
    [anon_sym_DASH] = ACTIONS(1403),
    [anon_sym_DASH_PERCENT] = ACTIONS(1403),
    [anon_sym_AMP] = ACTIONS(1403),
    [anon_sym_or] = ACTIONS(1403),
    [anon_sym_and] = ACTIONS(1401),
    [anon_sym_EQ_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1401),
    [anon_sym_GT] = ACTIONS(1403),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_LT] = ACTIONS(1403),
    [anon_sym_CARET] = ACTIONS(1403),
    [anon_sym_orelse] = ACTIONS(1401),
    [anon_sym_LT_LT] = ACTIONS(1403),
    [anon_sym_GT_GT] = ACTIONS(1403),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1403),
    [anon_sym_PLUS] = ACTIONS(1403),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1403),
    [anon_sym_PLUS_PIPE] = ACTIONS(1403),
    [anon_sym_DASH_PIPE] = ACTIONS(1403),
    [anon_sym_SLASH] = ACTIONS(1403),
    [anon_sym_PERCENT] = ACTIONS(1403),
    [anon_sym_STAR_STAR] = ACTIONS(1401),
    [anon_sym_STAR_PERCENT] = ACTIONS(1403),
    [anon_sym_STAR_PIPE] = ACTIONS(1403),
    [anon_sym_PIPE_PIPE] = ACTIONS(1401),
    [anon_sym_catch] = ACTIONS(1401),
    [anon_sym_EQ_GT] = ACTIONS(1401),
    [anon_sym_DOT] = ACTIONS(1403),
    [anon_sym_DOT_STAR] = ACTIONS(1401),
    [anon_sym_DOT_QMARK] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
  },
  [822] = {
    [ts_builtin_sym_end] = ACTIONS(1405),
    [anon_sym_COMMA] = ACTIONS(1405),
    [anon_sym_COLON] = ACTIONS(1405),
    [anon_sym_EQ] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(1405),
    [anon_sym_STAR_EQ] = ACTIONS(1405),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1405),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1405),
    [anon_sym_SLASH_EQ] = ACTIONS(1405),
    [anon_sym_PERCENT_EQ] = ACTIONS(1405),
    [anon_sym_PLUS_EQ] = ACTIONS(1405),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1405),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1405),
    [anon_sym_DASH_EQ] = ACTIONS(1405),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1405),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1405),
    [anon_sym_GT_GT_EQ] = ACTIONS(1405),
    [anon_sym_AMP_EQ] = ACTIONS(1405),
    [anon_sym_CARET_EQ] = ACTIONS(1405),
    [anon_sym_PIPE_EQ] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_RPAREN] = ACTIONS(1405),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_RBRACE] = ACTIONS(1405),
    [anon_sym_else] = ACTIONS(1405),
    [anon_sym_DOT_DOT] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1407),
    [anon_sym_align] = ACTIONS(1405),
    [anon_sym_addrspace] = ACTIONS(1405),
    [anon_sym_linksection] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [anon_sym_RBRACK] = ACTIONS(1405),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_DASH_PERCENT] = ACTIONS(1407),
    [anon_sym_AMP] = ACTIONS(1407),
    [anon_sym_or] = ACTIONS(1407),
    [anon_sym_and] = ACTIONS(1405),
    [anon_sym_EQ_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_GT] = ACTIONS(1407),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_CARET] = ACTIONS(1407),
    [anon_sym_orelse] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1407),
    [anon_sym_GT_GT] = ACTIONS(1407),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1407),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_PLUS_PLUS] = ACTIONS(1405),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1407),
    [anon_sym_PLUS_PIPE] = ACTIONS(1407),
    [anon_sym_DASH_PIPE] = ACTIONS(1407),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PERCENT] = ACTIONS(1407),
    [anon_sym_STAR_STAR] = ACTIONS(1405),
    [anon_sym_STAR_PERCENT] = ACTIONS(1407),
    [anon_sym_STAR_PIPE] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_catch] = ACTIONS(1405),
    [anon_sym_EQ_GT] = ACTIONS(1405),
    [anon_sym_DOT] = ACTIONS(1407),
    [anon_sym_DOT_STAR] = ACTIONS(1405),
    [anon_sym_DOT_QMARK] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
  },
  [823] = {
    [ts_builtin_sym_end] = ACTIONS(1409),
    [anon_sym_COMMA] = ACTIONS(1409),
    [anon_sym_COLON] = ACTIONS(1409),
    [anon_sym_EQ] = ACTIONS(1411),
    [anon_sym_SEMI] = ACTIONS(1409),
    [anon_sym_STAR_EQ] = ACTIONS(1409),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1409),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1409),
    [anon_sym_SLASH_EQ] = ACTIONS(1409),
    [anon_sym_PERCENT_EQ] = ACTIONS(1409),
    [anon_sym_PLUS_EQ] = ACTIONS(1409),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1409),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1409),
    [anon_sym_DASH_EQ] = ACTIONS(1409),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1409),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1409),
    [anon_sym_LT_LT_EQ] = ACTIONS(1409),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1409),
    [anon_sym_GT_GT_EQ] = ACTIONS(1409),
    [anon_sym_AMP_EQ] = ACTIONS(1409),
    [anon_sym_CARET_EQ] = ACTIONS(1409),
    [anon_sym_PIPE_EQ] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1409),
    [anon_sym_RPAREN] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_RBRACE] = ACTIONS(1409),
    [anon_sym_else] = ACTIONS(1409),
    [anon_sym_DOT_DOT] = ACTIONS(1409),
    [anon_sym_PIPE] = ACTIONS(1411),
    [anon_sym_STAR] = ACTIONS(1411),
    [anon_sym_align] = ACTIONS(1409),
    [anon_sym_addrspace] = ACTIONS(1409),
    [anon_sym_linksection] = ACTIONS(1409),
    [anon_sym_LBRACK] = ACTIONS(1409),
    [anon_sym_RBRACK] = ACTIONS(1409),
    [anon_sym_BANG] = ACTIONS(1411),
    [anon_sym_DASH] = ACTIONS(1411),
    [anon_sym_DASH_PERCENT] = ACTIONS(1411),
    [anon_sym_AMP] = ACTIONS(1411),
    [anon_sym_or] = ACTIONS(1411),
    [anon_sym_and] = ACTIONS(1409),
    [anon_sym_EQ_EQ] = ACTIONS(1409),
    [anon_sym_BANG_EQ] = ACTIONS(1409),
    [anon_sym_GT] = ACTIONS(1411),
    [anon_sym_GT_EQ] = ACTIONS(1409),
    [anon_sym_LT_EQ] = ACTIONS(1409),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_CARET] = ACTIONS(1411),
    [anon_sym_orelse] = ACTIONS(1409),
    [anon_sym_LT_LT] = ACTIONS(1411),
    [anon_sym_GT_GT] = ACTIONS(1411),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1411),
    [anon_sym_PLUS] = ACTIONS(1411),
    [anon_sym_PLUS_PLUS] = ACTIONS(1409),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1411),
    [anon_sym_PLUS_PIPE] = ACTIONS(1411),
    [anon_sym_DASH_PIPE] = ACTIONS(1411),
    [anon_sym_SLASH] = ACTIONS(1411),
    [anon_sym_PERCENT] = ACTIONS(1411),
    [anon_sym_STAR_STAR] = ACTIONS(1409),
    [anon_sym_STAR_PERCENT] = ACTIONS(1411),
    [anon_sym_STAR_PIPE] = ACTIONS(1411),
    [anon_sym_PIPE_PIPE] = ACTIONS(1409),
    [anon_sym_catch] = ACTIONS(1409),
    [anon_sym_EQ_GT] = ACTIONS(1409),
    [anon_sym_DOT] = ACTIONS(1411),
    [anon_sym_DOT_STAR] = ACTIONS(1409),
    [anon_sym_DOT_QMARK] = ACTIONS(1409),
    [sym_comment] = ACTIONS(3),
  },
  [824] = {
    [ts_builtin_sym_end] = ACTIONS(1413),
    [anon_sym_COMMA] = ACTIONS(1413),
    [anon_sym_COLON] = ACTIONS(1413),
    [anon_sym_EQ] = ACTIONS(1415),
    [anon_sym_SEMI] = ACTIONS(1413),
    [anon_sym_STAR_EQ] = ACTIONS(1413),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1413),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1413),
    [anon_sym_SLASH_EQ] = ACTIONS(1413),
    [anon_sym_PERCENT_EQ] = ACTIONS(1413),
    [anon_sym_PLUS_EQ] = ACTIONS(1413),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1413),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1413),
    [anon_sym_DASH_EQ] = ACTIONS(1413),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1413),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1413),
    [anon_sym_LT_LT_EQ] = ACTIONS(1413),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1413),
    [anon_sym_GT_GT_EQ] = ACTIONS(1413),
    [anon_sym_AMP_EQ] = ACTIONS(1413),
    [anon_sym_CARET_EQ] = ACTIONS(1413),
    [anon_sym_PIPE_EQ] = ACTIONS(1413),
    [anon_sym_LPAREN] = ACTIONS(1413),
    [anon_sym_RPAREN] = ACTIONS(1413),
    [anon_sym_LBRACE] = ACTIONS(1413),
    [anon_sym_RBRACE] = ACTIONS(1413),
    [anon_sym_else] = ACTIONS(1413),
    [anon_sym_DOT_DOT] = ACTIONS(1413),
    [anon_sym_PIPE] = ACTIONS(1415),
    [anon_sym_STAR] = ACTIONS(1415),
    [anon_sym_align] = ACTIONS(1413),
    [anon_sym_addrspace] = ACTIONS(1413),
    [anon_sym_linksection] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1413),
    [anon_sym_RBRACK] = ACTIONS(1413),
    [anon_sym_BANG] = ACTIONS(1415),
    [anon_sym_DASH] = ACTIONS(1415),
    [anon_sym_DASH_PERCENT] = ACTIONS(1415),
    [anon_sym_AMP] = ACTIONS(1415),
    [anon_sym_or] = ACTIONS(1415),
    [anon_sym_and] = ACTIONS(1413),
    [anon_sym_EQ_EQ] = ACTIONS(1413),
    [anon_sym_BANG_EQ] = ACTIONS(1413),
    [anon_sym_GT] = ACTIONS(1415),
    [anon_sym_GT_EQ] = ACTIONS(1413),
    [anon_sym_LT_EQ] = ACTIONS(1413),
    [anon_sym_LT] = ACTIONS(1415),
    [anon_sym_CARET] = ACTIONS(1415),
    [anon_sym_orelse] = ACTIONS(1413),
    [anon_sym_LT_LT] = ACTIONS(1415),
    [anon_sym_GT_GT] = ACTIONS(1415),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(1415),
    [anon_sym_PLUS_PLUS] = ACTIONS(1413),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1415),
    [anon_sym_PLUS_PIPE] = ACTIONS(1415),
    [anon_sym_DASH_PIPE] = ACTIONS(1415),
    [anon_sym_SLASH] = ACTIONS(1415),
    [anon_sym_PERCENT] = ACTIONS(1415),
    [anon_sym_STAR_STAR] = ACTIONS(1413),
    [anon_sym_STAR_PERCENT] = ACTIONS(1415),
    [anon_sym_STAR_PIPE] = ACTIONS(1415),
    [anon_sym_PIPE_PIPE] = ACTIONS(1413),
    [anon_sym_catch] = ACTIONS(1413),
    [anon_sym_EQ_GT] = ACTIONS(1413),
    [anon_sym_DOT] = ACTIONS(1415),
    [anon_sym_DOT_STAR] = ACTIONS(1413),
    [anon_sym_DOT_QMARK] = ACTIONS(1413),
    [sym_comment] = ACTIONS(3),
  },
  [825] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [anon_sym_COLON] = ACTIONS(1417),
    [anon_sym_EQ] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [anon_sym_STAR_EQ] = ACTIONS(1417),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1417),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1417),
    [anon_sym_SLASH_EQ] = ACTIONS(1417),
    [anon_sym_PERCENT_EQ] = ACTIONS(1417),
    [anon_sym_PLUS_EQ] = ACTIONS(1417),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1417),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1417),
    [anon_sym_DASH_EQ] = ACTIONS(1417),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1417),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1417),
    [anon_sym_GT_GT_EQ] = ACTIONS(1417),
    [anon_sym_AMP_EQ] = ACTIONS(1417),
    [anon_sym_CARET_EQ] = ACTIONS(1417),
    [anon_sym_PIPE_EQ] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [anon_sym_RPAREN] = ACTIONS(1417),
    [anon_sym_LBRACE] = ACTIONS(1417),
    [anon_sym_RBRACE] = ACTIONS(1417),
    [anon_sym_else] = ACTIONS(1417),
    [anon_sym_DOT_DOT] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_align] = ACTIONS(1417),
    [anon_sym_addrspace] = ACTIONS(1417),
    [anon_sym_linksection] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [anon_sym_RBRACK] = ACTIONS(1417),
    [anon_sym_BANG] = ACTIONS(1419),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_DASH_PERCENT] = ACTIONS(1419),
    [anon_sym_AMP] = ACTIONS(1419),
    [anon_sym_or] = ACTIONS(1419),
    [anon_sym_and] = ACTIONS(1417),
    [anon_sym_EQ_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_GT] = ACTIONS(1419),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_CARET] = ACTIONS(1419),
    [anon_sym_orelse] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1419),
    [anon_sym_GT_GT] = ACTIONS(1419),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1419),
    [anon_sym_PLUS] = ACTIONS(1419),
    [anon_sym_PLUS_PLUS] = ACTIONS(1417),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1419),
    [anon_sym_PLUS_PIPE] = ACTIONS(1419),
    [anon_sym_DASH_PIPE] = ACTIONS(1419),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PERCENT] = ACTIONS(1419),
    [anon_sym_STAR_STAR] = ACTIONS(1417),
    [anon_sym_STAR_PERCENT] = ACTIONS(1419),
    [anon_sym_STAR_PIPE] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_catch] = ACTIONS(1417),
    [anon_sym_EQ_GT] = ACTIONS(1417),
    [anon_sym_DOT] = ACTIONS(1419),
    [anon_sym_DOT_STAR] = ACTIONS(1417),
    [anon_sym_DOT_QMARK] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [826] = {
    [ts_builtin_sym_end] = ACTIONS(958),
    [anon_sym_COMMA] = ACTIONS(958),
    [anon_sym_COLON] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(960),
    [anon_sym_SEMI] = ACTIONS(958),
    [anon_sym_STAR_EQ] = ACTIONS(958),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(958),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(958),
    [anon_sym_SLASH_EQ] = ACTIONS(958),
    [anon_sym_PERCENT_EQ] = ACTIONS(958),
    [anon_sym_PLUS_EQ] = ACTIONS(958),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(958),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(958),
    [anon_sym_DASH_EQ] = ACTIONS(958),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(958),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(958),
    [anon_sym_LT_LT_EQ] = ACTIONS(958),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(958),
    [anon_sym_GT_GT_EQ] = ACTIONS(958),
    [anon_sym_AMP_EQ] = ACTIONS(958),
    [anon_sym_CARET_EQ] = ACTIONS(958),
    [anon_sym_PIPE_EQ] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(958),
    [anon_sym_RPAREN] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(958),
    [anon_sym_RBRACE] = ACTIONS(958),
    [anon_sym_else] = ACTIONS(958),
    [anon_sym_DOT_DOT] = ACTIONS(958),
    [anon_sym_PIPE] = ACTIONS(960),
    [anon_sym_STAR] = ACTIONS(960),
    [anon_sym_align] = ACTIONS(958),
    [anon_sym_addrspace] = ACTIONS(958),
    [anon_sym_linksection] = ACTIONS(958),
    [anon_sym_LBRACK] = ACTIONS(958),
    [anon_sym_RBRACK] = ACTIONS(958),
    [anon_sym_BANG] = ACTIONS(960),
    [anon_sym_DASH] = ACTIONS(960),
    [anon_sym_DASH_PERCENT] = ACTIONS(960),
    [anon_sym_AMP] = ACTIONS(960),
    [anon_sym_or] = ACTIONS(960),
    [anon_sym_and] = ACTIONS(958),
    [anon_sym_EQ_EQ] = ACTIONS(958),
    [anon_sym_BANG_EQ] = ACTIONS(958),
    [anon_sym_GT] = ACTIONS(960),
    [anon_sym_GT_EQ] = ACTIONS(958),
    [anon_sym_LT_EQ] = ACTIONS(958),
    [anon_sym_LT] = ACTIONS(960),
    [anon_sym_CARET] = ACTIONS(960),
    [anon_sym_orelse] = ACTIONS(958),
    [anon_sym_LT_LT] = ACTIONS(960),
    [anon_sym_GT_GT] = ACTIONS(960),
    [anon_sym_LT_LT_PIPE] = ACTIONS(960),
    [anon_sym_PLUS] = ACTIONS(960),
    [anon_sym_PLUS_PLUS] = ACTIONS(958),
    [anon_sym_PLUS_PERCENT] = ACTIONS(960),
    [anon_sym_PLUS_PIPE] = ACTIONS(960),
    [anon_sym_DASH_PIPE] = ACTIONS(960),
    [anon_sym_SLASH] = ACTIONS(960),
    [anon_sym_PERCENT] = ACTIONS(960),
    [anon_sym_STAR_STAR] = ACTIONS(958),
    [anon_sym_STAR_PERCENT] = ACTIONS(960),
    [anon_sym_STAR_PIPE] = ACTIONS(960),
    [anon_sym_PIPE_PIPE] = ACTIONS(958),
    [anon_sym_catch] = ACTIONS(958),
    [anon_sym_EQ_GT] = ACTIONS(958),
    [anon_sym_DOT] = ACTIONS(960),
    [anon_sym_DOT_STAR] = ACTIONS(958),
    [anon_sym_DOT_QMARK] = ACTIONS(958),
    [sym_comment] = ACTIONS(3),
  },
  [827] = {
    [ts_builtin_sym_end] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1423),
    [anon_sym_COLON] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1425),
    [anon_sym_SEMI] = ACTIONS(1423),
    [anon_sym_STAR_EQ] = ACTIONS(1423),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1423),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1423),
    [anon_sym_SLASH_EQ] = ACTIONS(1423),
    [anon_sym_PERCENT_EQ] = ACTIONS(1423),
    [anon_sym_PLUS_EQ] = ACTIONS(1423),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1423),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1423),
    [anon_sym_DASH_EQ] = ACTIONS(1423),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1423),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1423),
    [anon_sym_LT_LT_EQ] = ACTIONS(1423),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1423),
    [anon_sym_GT_GT_EQ] = ACTIONS(1423),
    [anon_sym_AMP_EQ] = ACTIONS(1423),
    [anon_sym_CARET_EQ] = ACTIONS(1423),
    [anon_sym_PIPE_EQ] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1423),
    [anon_sym_RPAREN] = ACTIONS(1423),
    [anon_sym_LBRACE] = ACTIONS(1423),
    [anon_sym_RBRACE] = ACTIONS(1423),
    [anon_sym_else] = ACTIONS(1423),
    [anon_sym_DOT_DOT] = ACTIONS(1423),
    [anon_sym_PIPE] = ACTIONS(1425),
    [anon_sym_STAR] = ACTIONS(1425),
    [anon_sym_align] = ACTIONS(1423),
    [anon_sym_addrspace] = ACTIONS(1423),
    [anon_sym_linksection] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1423),
    [anon_sym_RBRACK] = ACTIONS(1423),
    [anon_sym_BANG] = ACTIONS(1425),
    [anon_sym_DASH] = ACTIONS(1425),
    [anon_sym_DASH_PERCENT] = ACTIONS(1425),
    [anon_sym_AMP] = ACTIONS(1425),
    [anon_sym_or] = ACTIONS(1425),
    [anon_sym_and] = ACTIONS(1423),
    [anon_sym_EQ_EQ] = ACTIONS(1423),
    [anon_sym_BANG_EQ] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1425),
    [anon_sym_GT_EQ] = ACTIONS(1423),
    [anon_sym_LT_EQ] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1425),
    [anon_sym_CARET] = ACTIONS(1425),
    [anon_sym_orelse] = ACTIONS(1423),
    [anon_sym_LT_LT] = ACTIONS(1425),
    [anon_sym_GT_GT] = ACTIONS(1425),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1425),
    [anon_sym_PLUS] = ACTIONS(1425),
    [anon_sym_PLUS_PLUS] = ACTIONS(1423),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1425),
    [anon_sym_PLUS_PIPE] = ACTIONS(1425),
    [anon_sym_DASH_PIPE] = ACTIONS(1425),
    [anon_sym_SLASH] = ACTIONS(1425),
    [anon_sym_PERCENT] = ACTIONS(1425),
    [anon_sym_STAR_STAR] = ACTIONS(1423),
    [anon_sym_STAR_PERCENT] = ACTIONS(1425),
    [anon_sym_STAR_PIPE] = ACTIONS(1425),
    [anon_sym_PIPE_PIPE] = ACTIONS(1423),
    [anon_sym_catch] = ACTIONS(1423),
    [anon_sym_EQ_GT] = ACTIONS(1423),
    [anon_sym_DOT] = ACTIONS(1425),
    [anon_sym_DOT_STAR] = ACTIONS(1423),
    [anon_sym_DOT_QMARK] = ACTIONS(1423),
    [sym_comment] = ACTIONS(3),
  },
  [828] = {
    [ts_builtin_sym_end] = ACTIONS(1427),
    [anon_sym_COMMA] = ACTIONS(1427),
    [anon_sym_COLON] = ACTIONS(1427),
    [anon_sym_EQ] = ACTIONS(1429),
    [anon_sym_SEMI] = ACTIONS(1427),
    [anon_sym_STAR_EQ] = ACTIONS(1427),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1427),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1427),
    [anon_sym_SLASH_EQ] = ACTIONS(1427),
    [anon_sym_PERCENT_EQ] = ACTIONS(1427),
    [anon_sym_PLUS_EQ] = ACTIONS(1427),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1427),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1427),
    [anon_sym_DASH_EQ] = ACTIONS(1427),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1427),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1427),
    [anon_sym_LT_LT_EQ] = ACTIONS(1427),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1427),
    [anon_sym_GT_GT_EQ] = ACTIONS(1427),
    [anon_sym_AMP_EQ] = ACTIONS(1427),
    [anon_sym_CARET_EQ] = ACTIONS(1427),
    [anon_sym_PIPE_EQ] = ACTIONS(1427),
    [anon_sym_LPAREN] = ACTIONS(1427),
    [anon_sym_RPAREN] = ACTIONS(1427),
    [anon_sym_LBRACE] = ACTIONS(1427),
    [anon_sym_RBRACE] = ACTIONS(1427),
    [anon_sym_else] = ACTIONS(1427),
    [anon_sym_DOT_DOT] = ACTIONS(1427),
    [anon_sym_PIPE] = ACTIONS(1429),
    [anon_sym_STAR] = ACTIONS(1429),
    [anon_sym_align] = ACTIONS(1427),
    [anon_sym_addrspace] = ACTIONS(1427),
    [anon_sym_linksection] = ACTIONS(1427),
    [anon_sym_LBRACK] = ACTIONS(1427),
    [anon_sym_RBRACK] = ACTIONS(1427),
    [anon_sym_BANG] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_DASH_PERCENT] = ACTIONS(1429),
    [anon_sym_AMP] = ACTIONS(1429),
    [anon_sym_or] = ACTIONS(1429),
    [anon_sym_and] = ACTIONS(1427),
    [anon_sym_EQ_EQ] = ACTIONS(1427),
    [anon_sym_BANG_EQ] = ACTIONS(1427),
    [anon_sym_GT] = ACTIONS(1429),
    [anon_sym_GT_EQ] = ACTIONS(1427),
    [anon_sym_LT_EQ] = ACTIONS(1427),
    [anon_sym_LT] = ACTIONS(1429),
    [anon_sym_CARET] = ACTIONS(1429),
    [anon_sym_orelse] = ACTIONS(1427),
    [anon_sym_LT_LT] = ACTIONS(1429),
    [anon_sym_GT_GT] = ACTIONS(1429),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1429),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_PLUS_PLUS] = ACTIONS(1427),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1429),
    [anon_sym_PLUS_PIPE] = ACTIONS(1429),
    [anon_sym_DASH_PIPE] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(1429),
    [anon_sym_PERCENT] = ACTIONS(1429),
    [anon_sym_STAR_STAR] = ACTIONS(1427),
    [anon_sym_STAR_PERCENT] = ACTIONS(1429),
    [anon_sym_STAR_PIPE] = ACTIONS(1429),
    [anon_sym_PIPE_PIPE] = ACTIONS(1427),
    [anon_sym_catch] = ACTIONS(1427),
    [anon_sym_EQ_GT] = ACTIONS(1427),
    [anon_sym_DOT] = ACTIONS(1429),
    [anon_sym_DOT_STAR] = ACTIONS(1427),
    [anon_sym_DOT_QMARK] = ACTIONS(1427),
    [sym_comment] = ACTIONS(3),
  },
  [829] = {
    [ts_builtin_sym_end] = ACTIONS(1315),
    [anon_sym_COMMA] = ACTIONS(1315),
    [anon_sym_COLON] = ACTIONS(1315),
    [anon_sym_EQ] = ACTIONS(1317),
    [anon_sym_SEMI] = ACTIONS(1315),
    [anon_sym_STAR_EQ] = ACTIONS(1315),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1315),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1315),
    [anon_sym_SLASH_EQ] = ACTIONS(1315),
    [anon_sym_PERCENT_EQ] = ACTIONS(1315),
    [anon_sym_PLUS_EQ] = ACTIONS(1315),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1315),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1315),
    [anon_sym_DASH_EQ] = ACTIONS(1315),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1315),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1315),
    [anon_sym_LT_LT_EQ] = ACTIONS(1315),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1315),
    [anon_sym_GT_GT_EQ] = ACTIONS(1315),
    [anon_sym_AMP_EQ] = ACTIONS(1315),
    [anon_sym_CARET_EQ] = ACTIONS(1315),
    [anon_sym_PIPE_EQ] = ACTIONS(1315),
    [anon_sym_LPAREN] = ACTIONS(1315),
    [anon_sym_RPAREN] = ACTIONS(1315),
    [anon_sym_LBRACE] = ACTIONS(1315),
    [anon_sym_RBRACE] = ACTIONS(1315),
    [anon_sym_else] = ACTIONS(1315),
    [anon_sym_DOT_DOT] = ACTIONS(1315),
    [anon_sym_PIPE] = ACTIONS(1317),
    [anon_sym_STAR] = ACTIONS(1317),
    [anon_sym_align] = ACTIONS(1315),
    [anon_sym_addrspace] = ACTIONS(1315),
    [anon_sym_linksection] = ACTIONS(1315),
    [anon_sym_LBRACK] = ACTIONS(1315),
    [anon_sym_RBRACK] = ACTIONS(1315),
    [anon_sym_BANG] = ACTIONS(1317),
    [anon_sym_DASH] = ACTIONS(1317),
    [anon_sym_DASH_PERCENT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(1317),
    [anon_sym_or] = ACTIONS(1317),
    [anon_sym_and] = ACTIONS(1315),
    [anon_sym_EQ_EQ] = ACTIONS(1315),
    [anon_sym_BANG_EQ] = ACTIONS(1315),
    [anon_sym_GT] = ACTIONS(1317),
    [anon_sym_GT_EQ] = ACTIONS(1315),
    [anon_sym_LT_EQ] = ACTIONS(1315),
    [anon_sym_LT] = ACTIONS(1317),
    [anon_sym_CARET] = ACTIONS(1317),
    [anon_sym_orelse] = ACTIONS(1315),
    [anon_sym_LT_LT] = ACTIONS(1317),
    [anon_sym_GT_GT] = ACTIONS(1317),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1317),
    [anon_sym_PLUS] = ACTIONS(1317),
    [anon_sym_PLUS_PLUS] = ACTIONS(1315),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1317),
    [anon_sym_PLUS_PIPE] = ACTIONS(1317),
    [anon_sym_DASH_PIPE] = ACTIONS(1317),
    [anon_sym_SLASH] = ACTIONS(1317),
    [anon_sym_PERCENT] = ACTIONS(1317),
    [anon_sym_STAR_STAR] = ACTIONS(1315),
    [anon_sym_STAR_PERCENT] = ACTIONS(1317),
    [anon_sym_STAR_PIPE] = ACTIONS(1317),
    [anon_sym_PIPE_PIPE] = ACTIONS(1315),
    [anon_sym_catch] = ACTIONS(1315),
    [anon_sym_EQ_GT] = ACTIONS(1315),
    [anon_sym_DOT] = ACTIONS(1317),
    [anon_sym_DOT_STAR] = ACTIONS(1315),
    [anon_sym_DOT_QMARK] = ACTIONS(1315),
    [sym_comment] = ACTIONS(3),
  },
  [830] = {
    [ts_builtin_sym_end] = ACTIONS(1431),
    [anon_sym_COMMA] = ACTIONS(1431),
    [anon_sym_COLON] = ACTIONS(1431),
    [anon_sym_EQ] = ACTIONS(1433),
    [anon_sym_SEMI] = ACTIONS(1431),
    [anon_sym_STAR_EQ] = ACTIONS(1431),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1431),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1431),
    [anon_sym_SLASH_EQ] = ACTIONS(1431),
    [anon_sym_PERCENT_EQ] = ACTIONS(1431),
    [anon_sym_PLUS_EQ] = ACTIONS(1431),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1431),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1431),
    [anon_sym_DASH_EQ] = ACTIONS(1431),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1431),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1431),
    [anon_sym_LT_LT_EQ] = ACTIONS(1431),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1431),
    [anon_sym_GT_GT_EQ] = ACTIONS(1431),
    [anon_sym_AMP_EQ] = ACTIONS(1431),
    [anon_sym_CARET_EQ] = ACTIONS(1431),
    [anon_sym_PIPE_EQ] = ACTIONS(1431),
    [anon_sym_LPAREN] = ACTIONS(1431),
    [anon_sym_RPAREN] = ACTIONS(1431),
    [anon_sym_LBRACE] = ACTIONS(1431),
    [anon_sym_RBRACE] = ACTIONS(1431),
    [anon_sym_else] = ACTIONS(1431),
    [anon_sym_DOT_DOT] = ACTIONS(1431),
    [anon_sym_PIPE] = ACTIONS(1433),
    [anon_sym_STAR] = ACTIONS(1433),
    [anon_sym_align] = ACTIONS(1431),
    [anon_sym_addrspace] = ACTIONS(1431),
    [anon_sym_linksection] = ACTIONS(1431),
    [anon_sym_LBRACK] = ACTIONS(1431),
    [anon_sym_RBRACK] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1433),
    [anon_sym_DASH] = ACTIONS(1433),
    [anon_sym_DASH_PERCENT] = ACTIONS(1433),
    [anon_sym_AMP] = ACTIONS(1433),
    [anon_sym_or] = ACTIONS(1433),
    [anon_sym_and] = ACTIONS(1431),
    [anon_sym_EQ_EQ] = ACTIONS(1431),
    [anon_sym_BANG_EQ] = ACTIONS(1431),
    [anon_sym_GT] = ACTIONS(1433),
    [anon_sym_GT_EQ] = ACTIONS(1431),
    [anon_sym_LT_EQ] = ACTIONS(1431),
    [anon_sym_LT] = ACTIONS(1433),
    [anon_sym_CARET] = ACTIONS(1433),
    [anon_sym_orelse] = ACTIONS(1431),
    [anon_sym_LT_LT] = ACTIONS(1433),
    [anon_sym_GT_GT] = ACTIONS(1433),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1433),
    [anon_sym_PLUS] = ACTIONS(1433),
    [anon_sym_PLUS_PLUS] = ACTIONS(1431),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1433),
    [anon_sym_PLUS_PIPE] = ACTIONS(1433),
    [anon_sym_DASH_PIPE] = ACTIONS(1433),
    [anon_sym_SLASH] = ACTIONS(1433),
    [anon_sym_PERCENT] = ACTIONS(1433),
    [anon_sym_STAR_STAR] = ACTIONS(1431),
    [anon_sym_STAR_PERCENT] = ACTIONS(1433),
    [anon_sym_STAR_PIPE] = ACTIONS(1433),
    [anon_sym_PIPE_PIPE] = ACTIONS(1431),
    [anon_sym_catch] = ACTIONS(1431),
    [anon_sym_EQ_GT] = ACTIONS(1431),
    [anon_sym_DOT] = ACTIONS(1433),
    [anon_sym_DOT_STAR] = ACTIONS(1431),
    [anon_sym_DOT_QMARK] = ACTIONS(1431),
    [sym_comment] = ACTIONS(3),
  },
  [831] = {
    [ts_builtin_sym_end] = ACTIONS(1435),
    [anon_sym_COMMA] = ACTIONS(1435),
    [anon_sym_COLON] = ACTIONS(1435),
    [anon_sym_EQ] = ACTIONS(1437),
    [anon_sym_SEMI] = ACTIONS(1435),
    [anon_sym_STAR_EQ] = ACTIONS(1435),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1435),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1435),
    [anon_sym_SLASH_EQ] = ACTIONS(1435),
    [anon_sym_PERCENT_EQ] = ACTIONS(1435),
    [anon_sym_PLUS_EQ] = ACTIONS(1435),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1435),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1435),
    [anon_sym_DASH_EQ] = ACTIONS(1435),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1435),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1435),
    [anon_sym_LT_LT_EQ] = ACTIONS(1435),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1435),
    [anon_sym_GT_GT_EQ] = ACTIONS(1435),
    [anon_sym_AMP_EQ] = ACTIONS(1435),
    [anon_sym_CARET_EQ] = ACTIONS(1435),
    [anon_sym_PIPE_EQ] = ACTIONS(1435),
    [anon_sym_LPAREN] = ACTIONS(1435),
    [anon_sym_RPAREN] = ACTIONS(1435),
    [anon_sym_LBRACE] = ACTIONS(1435),
    [anon_sym_RBRACE] = ACTIONS(1435),
    [anon_sym_else] = ACTIONS(1435),
    [anon_sym_DOT_DOT] = ACTIONS(1435),
    [anon_sym_PIPE] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(1437),
    [anon_sym_align] = ACTIONS(1435),
    [anon_sym_addrspace] = ACTIONS(1435),
    [anon_sym_linksection] = ACTIONS(1435),
    [anon_sym_LBRACK] = ACTIONS(1435),
    [anon_sym_RBRACK] = ACTIONS(1435),
    [anon_sym_BANG] = ACTIONS(1437),
    [anon_sym_DASH] = ACTIONS(1437),
    [anon_sym_DASH_PERCENT] = ACTIONS(1437),
    [anon_sym_AMP] = ACTIONS(1437),
    [anon_sym_or] = ACTIONS(1437),
    [anon_sym_and] = ACTIONS(1435),
    [anon_sym_EQ_EQ] = ACTIONS(1435),
    [anon_sym_BANG_EQ] = ACTIONS(1435),
    [anon_sym_GT] = ACTIONS(1437),
    [anon_sym_GT_EQ] = ACTIONS(1435),
    [anon_sym_LT_EQ] = ACTIONS(1435),
    [anon_sym_LT] = ACTIONS(1437),
    [anon_sym_CARET] = ACTIONS(1437),
    [anon_sym_orelse] = ACTIONS(1435),
    [anon_sym_LT_LT] = ACTIONS(1437),
    [anon_sym_GT_GT] = ACTIONS(1437),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1437),
    [anon_sym_PLUS] = ACTIONS(1437),
    [anon_sym_PLUS_PLUS] = ACTIONS(1435),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1437),
    [anon_sym_PLUS_PIPE] = ACTIONS(1437),
    [anon_sym_DASH_PIPE] = ACTIONS(1437),
    [anon_sym_SLASH] = ACTIONS(1437),
    [anon_sym_PERCENT] = ACTIONS(1437),
    [anon_sym_STAR_STAR] = ACTIONS(1435),
    [anon_sym_STAR_PERCENT] = ACTIONS(1437),
    [anon_sym_STAR_PIPE] = ACTIONS(1437),
    [anon_sym_PIPE_PIPE] = ACTIONS(1435),
    [anon_sym_catch] = ACTIONS(1435),
    [anon_sym_EQ_GT] = ACTIONS(1435),
    [anon_sym_DOT] = ACTIONS(1437),
    [anon_sym_DOT_STAR] = ACTIONS(1435),
    [anon_sym_DOT_QMARK] = ACTIONS(1435),
    [sym_comment] = ACTIONS(3),
  },
  [832] = {
    [ts_builtin_sym_end] = ACTIONS(1439),
    [anon_sym_COMMA] = ACTIONS(1439),
    [anon_sym_COLON] = ACTIONS(1439),
    [anon_sym_EQ] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1439),
    [anon_sym_STAR_EQ] = ACTIONS(1439),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1439),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1439),
    [anon_sym_SLASH_EQ] = ACTIONS(1439),
    [anon_sym_PERCENT_EQ] = ACTIONS(1439),
    [anon_sym_PLUS_EQ] = ACTIONS(1439),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1439),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1439),
    [anon_sym_DASH_EQ] = ACTIONS(1439),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1439),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1439),
    [anon_sym_LT_LT_EQ] = ACTIONS(1439),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1439),
    [anon_sym_GT_GT_EQ] = ACTIONS(1439),
    [anon_sym_AMP_EQ] = ACTIONS(1439),
    [anon_sym_CARET_EQ] = ACTIONS(1439),
    [anon_sym_PIPE_EQ] = ACTIONS(1439),
    [anon_sym_LPAREN] = ACTIONS(1439),
    [anon_sym_RPAREN] = ACTIONS(1439),
    [anon_sym_LBRACE] = ACTIONS(1439),
    [anon_sym_RBRACE] = ACTIONS(1439),
    [anon_sym_else] = ACTIONS(1439),
    [anon_sym_DOT_DOT] = ACTIONS(1439),
    [anon_sym_PIPE] = ACTIONS(1441),
    [anon_sym_STAR] = ACTIONS(1441),
    [anon_sym_align] = ACTIONS(1439),
    [anon_sym_addrspace] = ACTIONS(1439),
    [anon_sym_linksection] = ACTIONS(1439),
    [anon_sym_LBRACK] = ACTIONS(1439),
    [anon_sym_RBRACK] = ACTIONS(1439),
    [anon_sym_BANG] = ACTIONS(1441),
    [anon_sym_DASH] = ACTIONS(1441),
    [anon_sym_DASH_PERCENT] = ACTIONS(1441),
    [anon_sym_AMP] = ACTIONS(1441),
    [anon_sym_or] = ACTIONS(1441),
    [anon_sym_and] = ACTIONS(1439),
    [anon_sym_EQ_EQ] = ACTIONS(1439),
    [anon_sym_BANG_EQ] = ACTIONS(1439),
    [anon_sym_GT] = ACTIONS(1441),
    [anon_sym_GT_EQ] = ACTIONS(1439),
    [anon_sym_LT_EQ] = ACTIONS(1439),
    [anon_sym_LT] = ACTIONS(1441),
    [anon_sym_CARET] = ACTIONS(1441),
    [anon_sym_orelse] = ACTIONS(1439),
    [anon_sym_LT_LT] = ACTIONS(1441),
    [anon_sym_GT_GT] = ACTIONS(1441),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_PLUS_PLUS] = ACTIONS(1439),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1441),
    [anon_sym_PLUS_PIPE] = ACTIONS(1441),
    [anon_sym_DASH_PIPE] = ACTIONS(1441),
    [anon_sym_SLASH] = ACTIONS(1441),
    [anon_sym_PERCENT] = ACTIONS(1441),
    [anon_sym_STAR_STAR] = ACTIONS(1439),
    [anon_sym_STAR_PERCENT] = ACTIONS(1441),
    [anon_sym_STAR_PIPE] = ACTIONS(1441),
    [anon_sym_PIPE_PIPE] = ACTIONS(1439),
    [anon_sym_catch] = ACTIONS(1439),
    [anon_sym_EQ_GT] = ACTIONS(1439),
    [anon_sym_DOT] = ACTIONS(1441),
    [anon_sym_DOT_STAR] = ACTIONS(1439),
    [anon_sym_DOT_QMARK] = ACTIONS(1439),
    [sym_comment] = ACTIONS(3),
  },
  [833] = {
    [ts_builtin_sym_end] = ACTIONS(1443),
    [anon_sym_COMMA] = ACTIONS(1443),
    [anon_sym_COLON] = ACTIONS(1443),
    [anon_sym_EQ] = ACTIONS(1445),
    [anon_sym_SEMI] = ACTIONS(1443),
    [anon_sym_STAR_EQ] = ACTIONS(1443),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1443),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1443),
    [anon_sym_SLASH_EQ] = ACTIONS(1443),
    [anon_sym_PERCENT_EQ] = ACTIONS(1443),
    [anon_sym_PLUS_EQ] = ACTIONS(1443),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1443),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1443),
    [anon_sym_DASH_EQ] = ACTIONS(1443),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1443),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1443),
    [anon_sym_LT_LT_EQ] = ACTIONS(1443),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1443),
    [anon_sym_GT_GT_EQ] = ACTIONS(1443),
    [anon_sym_AMP_EQ] = ACTIONS(1443),
    [anon_sym_CARET_EQ] = ACTIONS(1443),
    [anon_sym_PIPE_EQ] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1443),
    [anon_sym_RPAREN] = ACTIONS(1443),
    [anon_sym_LBRACE] = ACTIONS(1443),
    [anon_sym_RBRACE] = ACTIONS(1443),
    [anon_sym_else] = ACTIONS(1443),
    [anon_sym_DOT_DOT] = ACTIONS(1443),
    [anon_sym_PIPE] = ACTIONS(1445),
    [anon_sym_STAR] = ACTIONS(1445),
    [anon_sym_align] = ACTIONS(1443),
    [anon_sym_addrspace] = ACTIONS(1443),
    [anon_sym_linksection] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1443),
    [anon_sym_RBRACK] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(1445),
    [anon_sym_DASH] = ACTIONS(1445),
    [anon_sym_DASH_PERCENT] = ACTIONS(1445),
    [anon_sym_AMP] = ACTIONS(1445),
    [anon_sym_or] = ACTIONS(1445),
    [anon_sym_and] = ACTIONS(1443),
    [anon_sym_EQ_EQ] = ACTIONS(1443),
    [anon_sym_BANG_EQ] = ACTIONS(1443),
    [anon_sym_GT] = ACTIONS(1445),
    [anon_sym_GT_EQ] = ACTIONS(1443),
    [anon_sym_LT_EQ] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1445),
    [anon_sym_CARET] = ACTIONS(1445),
    [anon_sym_orelse] = ACTIONS(1443),
    [anon_sym_LT_LT] = ACTIONS(1445),
    [anon_sym_GT_GT] = ACTIONS(1445),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1445),
    [anon_sym_PLUS] = ACTIONS(1445),
    [anon_sym_PLUS_PLUS] = ACTIONS(1443),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1445),
    [anon_sym_PLUS_PIPE] = ACTIONS(1445),
    [anon_sym_DASH_PIPE] = ACTIONS(1445),
    [anon_sym_SLASH] = ACTIONS(1445),
    [anon_sym_PERCENT] = ACTIONS(1445),
    [anon_sym_STAR_STAR] = ACTIONS(1443),
    [anon_sym_STAR_PERCENT] = ACTIONS(1445),
    [anon_sym_STAR_PIPE] = ACTIONS(1445),
    [anon_sym_PIPE_PIPE] = ACTIONS(1443),
    [anon_sym_catch] = ACTIONS(1443),
    [anon_sym_EQ_GT] = ACTIONS(1443),
    [anon_sym_DOT] = ACTIONS(1445),
    [anon_sym_DOT_STAR] = ACTIONS(1443),
    [anon_sym_DOT_QMARK] = ACTIONS(1443),
    [sym_comment] = ACTIONS(3),
  },
  [834] = {
    [ts_builtin_sym_end] = ACTIONS(1447),
    [anon_sym_COMMA] = ACTIONS(1447),
    [anon_sym_COLON] = ACTIONS(1447),
    [anon_sym_EQ] = ACTIONS(1449),
    [anon_sym_SEMI] = ACTIONS(1447),
    [anon_sym_STAR_EQ] = ACTIONS(1447),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1447),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1447),
    [anon_sym_SLASH_EQ] = ACTIONS(1447),
    [anon_sym_PERCENT_EQ] = ACTIONS(1447),
    [anon_sym_PLUS_EQ] = ACTIONS(1447),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1447),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1447),
    [anon_sym_DASH_EQ] = ACTIONS(1447),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1447),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1447),
    [anon_sym_LT_LT_EQ] = ACTIONS(1447),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1447),
    [anon_sym_GT_GT_EQ] = ACTIONS(1447),
    [anon_sym_AMP_EQ] = ACTIONS(1447),
    [anon_sym_CARET_EQ] = ACTIONS(1447),
    [anon_sym_PIPE_EQ] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1447),
    [anon_sym_RPAREN] = ACTIONS(1447),
    [anon_sym_LBRACE] = ACTIONS(1447),
    [anon_sym_RBRACE] = ACTIONS(1447),
    [anon_sym_else] = ACTIONS(1447),
    [anon_sym_DOT_DOT] = ACTIONS(1447),
    [anon_sym_PIPE] = ACTIONS(1449),
    [anon_sym_STAR] = ACTIONS(1449),
    [anon_sym_align] = ACTIONS(1447),
    [anon_sym_addrspace] = ACTIONS(1447),
    [anon_sym_linksection] = ACTIONS(1447),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_RBRACK] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_DASH_PERCENT] = ACTIONS(1449),
    [anon_sym_AMP] = ACTIONS(1449),
    [anon_sym_or] = ACTIONS(1449),
    [anon_sym_and] = ACTIONS(1447),
    [anon_sym_EQ_EQ] = ACTIONS(1447),
    [anon_sym_BANG_EQ] = ACTIONS(1447),
    [anon_sym_GT] = ACTIONS(1449),
    [anon_sym_GT_EQ] = ACTIONS(1447),
    [anon_sym_LT_EQ] = ACTIONS(1447),
    [anon_sym_LT] = ACTIONS(1449),
    [anon_sym_CARET] = ACTIONS(1449),
    [anon_sym_orelse] = ACTIONS(1447),
    [anon_sym_LT_LT] = ACTIONS(1449),
    [anon_sym_GT_GT] = ACTIONS(1449),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1449),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_PLUS_PLUS] = ACTIONS(1447),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1449),
    [anon_sym_PLUS_PIPE] = ACTIONS(1449),
    [anon_sym_DASH_PIPE] = ACTIONS(1449),
    [anon_sym_SLASH] = ACTIONS(1449),
    [anon_sym_PERCENT] = ACTIONS(1449),
    [anon_sym_STAR_STAR] = ACTIONS(1447),
    [anon_sym_STAR_PERCENT] = ACTIONS(1449),
    [anon_sym_STAR_PIPE] = ACTIONS(1449),
    [anon_sym_PIPE_PIPE] = ACTIONS(1447),
    [anon_sym_catch] = ACTIONS(1447),
    [anon_sym_EQ_GT] = ACTIONS(1447),
    [anon_sym_DOT] = ACTIONS(1449),
    [anon_sym_DOT_STAR] = ACTIONS(1447),
    [anon_sym_DOT_QMARK] = ACTIONS(1447),
    [sym_comment] = ACTIONS(3),
  },
  [835] = {
    [ts_builtin_sym_end] = ACTIONS(1451),
    [anon_sym_COMMA] = ACTIONS(1451),
    [anon_sym_COLON] = ACTIONS(1451),
    [anon_sym_EQ] = ACTIONS(1453),
    [anon_sym_SEMI] = ACTIONS(1451),
    [anon_sym_STAR_EQ] = ACTIONS(1451),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1451),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1451),
    [anon_sym_SLASH_EQ] = ACTIONS(1451),
    [anon_sym_PERCENT_EQ] = ACTIONS(1451),
    [anon_sym_PLUS_EQ] = ACTIONS(1451),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1451),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1451),
    [anon_sym_DASH_EQ] = ACTIONS(1451),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1451),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1451),
    [anon_sym_LT_LT_EQ] = ACTIONS(1451),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1451),
    [anon_sym_GT_GT_EQ] = ACTIONS(1451),
    [anon_sym_AMP_EQ] = ACTIONS(1451),
    [anon_sym_CARET_EQ] = ACTIONS(1451),
    [anon_sym_PIPE_EQ] = ACTIONS(1451),
    [anon_sym_LPAREN] = ACTIONS(1451),
    [anon_sym_RPAREN] = ACTIONS(1451),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_RBRACE] = ACTIONS(1451),
    [anon_sym_else] = ACTIONS(1451),
    [anon_sym_DOT_DOT] = ACTIONS(1451),
    [anon_sym_PIPE] = ACTIONS(1453),
    [anon_sym_STAR] = ACTIONS(1453),
    [anon_sym_align] = ACTIONS(1451),
    [anon_sym_addrspace] = ACTIONS(1451),
    [anon_sym_linksection] = ACTIONS(1451),
    [anon_sym_LBRACK] = ACTIONS(1451),
    [anon_sym_RBRACK] = ACTIONS(1451),
    [anon_sym_BANG] = ACTIONS(1453),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_DASH_PERCENT] = ACTIONS(1453),
    [anon_sym_AMP] = ACTIONS(1453),
    [anon_sym_or] = ACTIONS(1453),
    [anon_sym_and] = ACTIONS(1451),
    [anon_sym_EQ_EQ] = ACTIONS(1451),
    [anon_sym_BANG_EQ] = ACTIONS(1451),
    [anon_sym_GT] = ACTIONS(1453),
    [anon_sym_GT_EQ] = ACTIONS(1451),
    [anon_sym_LT_EQ] = ACTIONS(1451),
    [anon_sym_LT] = ACTIONS(1453),
    [anon_sym_CARET] = ACTIONS(1453),
    [anon_sym_orelse] = ACTIONS(1451),
    [anon_sym_LT_LT] = ACTIONS(1453),
    [anon_sym_GT_GT] = ACTIONS(1453),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1453),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1453),
    [anon_sym_PLUS_PIPE] = ACTIONS(1453),
    [anon_sym_DASH_PIPE] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(1453),
    [anon_sym_PERCENT] = ACTIONS(1453),
    [anon_sym_STAR_STAR] = ACTIONS(1451),
    [anon_sym_STAR_PERCENT] = ACTIONS(1453),
    [anon_sym_STAR_PIPE] = ACTIONS(1453),
    [anon_sym_PIPE_PIPE] = ACTIONS(1451),
    [anon_sym_catch] = ACTIONS(1451),
    [anon_sym_EQ_GT] = ACTIONS(1451),
    [anon_sym_DOT] = ACTIONS(1453),
    [anon_sym_DOT_STAR] = ACTIONS(1451),
    [anon_sym_DOT_QMARK] = ACTIONS(1451),
    [sym_comment] = ACTIONS(3),
  },
  [836] = {
    [ts_builtin_sym_end] = ACTIONS(1455),
    [anon_sym_COMMA] = ACTIONS(1455),
    [anon_sym_COLON] = ACTIONS(1455),
    [anon_sym_EQ] = ACTIONS(1457),
    [anon_sym_SEMI] = ACTIONS(1455),
    [anon_sym_STAR_EQ] = ACTIONS(1455),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1455),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1455),
    [anon_sym_SLASH_EQ] = ACTIONS(1455),
    [anon_sym_PERCENT_EQ] = ACTIONS(1455),
    [anon_sym_PLUS_EQ] = ACTIONS(1455),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1455),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1455),
    [anon_sym_DASH_EQ] = ACTIONS(1455),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1455),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1455),
    [anon_sym_LT_LT_EQ] = ACTIONS(1455),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1455),
    [anon_sym_GT_GT_EQ] = ACTIONS(1455),
    [anon_sym_AMP_EQ] = ACTIONS(1455),
    [anon_sym_CARET_EQ] = ACTIONS(1455),
    [anon_sym_PIPE_EQ] = ACTIONS(1455),
    [anon_sym_LPAREN] = ACTIONS(1455),
    [anon_sym_RPAREN] = ACTIONS(1455),
    [anon_sym_LBRACE] = ACTIONS(1455),
    [anon_sym_RBRACE] = ACTIONS(1455),
    [anon_sym_else] = ACTIONS(1455),
    [anon_sym_DOT_DOT] = ACTIONS(1455),
    [anon_sym_PIPE] = ACTIONS(1457),
    [anon_sym_STAR] = ACTIONS(1457),
    [anon_sym_align] = ACTIONS(1455),
    [anon_sym_addrspace] = ACTIONS(1455),
    [anon_sym_linksection] = ACTIONS(1455),
    [anon_sym_LBRACK] = ACTIONS(1455),
    [anon_sym_RBRACK] = ACTIONS(1455),
    [anon_sym_BANG] = ACTIONS(1457),
    [anon_sym_DASH] = ACTIONS(1457),
    [anon_sym_DASH_PERCENT] = ACTIONS(1457),
    [anon_sym_AMP] = ACTIONS(1457),
    [anon_sym_or] = ACTIONS(1457),
    [anon_sym_and] = ACTIONS(1455),
    [anon_sym_EQ_EQ] = ACTIONS(1455),
    [anon_sym_BANG_EQ] = ACTIONS(1455),
    [anon_sym_GT] = ACTIONS(1457),
    [anon_sym_GT_EQ] = ACTIONS(1455),
    [anon_sym_LT_EQ] = ACTIONS(1455),
    [anon_sym_LT] = ACTIONS(1457),
    [anon_sym_CARET] = ACTIONS(1457),
    [anon_sym_orelse] = ACTIONS(1455),
    [anon_sym_LT_LT] = ACTIONS(1457),
    [anon_sym_GT_GT] = ACTIONS(1457),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1457),
    [anon_sym_PLUS] = ACTIONS(1457),
    [anon_sym_PLUS_PLUS] = ACTIONS(1455),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1457),
    [anon_sym_PLUS_PIPE] = ACTIONS(1457),
    [anon_sym_DASH_PIPE] = ACTIONS(1457),
    [anon_sym_SLASH] = ACTIONS(1457),
    [anon_sym_PERCENT] = ACTIONS(1457),
    [anon_sym_STAR_STAR] = ACTIONS(1455),
    [anon_sym_STAR_PERCENT] = ACTIONS(1457),
    [anon_sym_STAR_PIPE] = ACTIONS(1457),
    [anon_sym_PIPE_PIPE] = ACTIONS(1455),
    [anon_sym_catch] = ACTIONS(1455),
    [anon_sym_EQ_GT] = ACTIONS(1455),
    [anon_sym_DOT] = ACTIONS(1457),
    [anon_sym_DOT_STAR] = ACTIONS(1455),
    [anon_sym_DOT_QMARK] = ACTIONS(1455),
    [sym_comment] = ACTIONS(3),
  },
  [837] = {
    [ts_builtin_sym_end] = ACTIONS(1459),
    [anon_sym_COMMA] = ACTIONS(1459),
    [anon_sym_COLON] = ACTIONS(1459),
    [anon_sym_EQ] = ACTIONS(1461),
    [anon_sym_SEMI] = ACTIONS(1459),
    [anon_sym_STAR_EQ] = ACTIONS(1459),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1459),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1459),
    [anon_sym_SLASH_EQ] = ACTIONS(1459),
    [anon_sym_PERCENT_EQ] = ACTIONS(1459),
    [anon_sym_PLUS_EQ] = ACTIONS(1459),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1459),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1459),
    [anon_sym_DASH_EQ] = ACTIONS(1459),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1459),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1459),
    [anon_sym_LT_LT_EQ] = ACTIONS(1459),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1459),
    [anon_sym_GT_GT_EQ] = ACTIONS(1459),
    [anon_sym_AMP_EQ] = ACTIONS(1459),
    [anon_sym_CARET_EQ] = ACTIONS(1459),
    [anon_sym_PIPE_EQ] = ACTIONS(1459),
    [anon_sym_LPAREN] = ACTIONS(1459),
    [anon_sym_RPAREN] = ACTIONS(1459),
    [anon_sym_LBRACE] = ACTIONS(1459),
    [anon_sym_RBRACE] = ACTIONS(1459),
    [anon_sym_else] = ACTIONS(1459),
    [anon_sym_DOT_DOT] = ACTIONS(1459),
    [anon_sym_PIPE] = ACTIONS(1461),
    [anon_sym_STAR] = ACTIONS(1461),
    [anon_sym_align] = ACTIONS(1459),
    [anon_sym_addrspace] = ACTIONS(1459),
    [anon_sym_linksection] = ACTIONS(1459),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [anon_sym_RBRACK] = ACTIONS(1459),
    [anon_sym_BANG] = ACTIONS(1461),
    [anon_sym_DASH] = ACTIONS(1461),
    [anon_sym_DASH_PERCENT] = ACTIONS(1461),
    [anon_sym_AMP] = ACTIONS(1461),
    [anon_sym_or] = ACTIONS(1461),
    [anon_sym_and] = ACTIONS(1459),
    [anon_sym_EQ_EQ] = ACTIONS(1459),
    [anon_sym_BANG_EQ] = ACTIONS(1459),
    [anon_sym_GT] = ACTIONS(1461),
    [anon_sym_GT_EQ] = ACTIONS(1459),
    [anon_sym_LT_EQ] = ACTIONS(1459),
    [anon_sym_LT] = ACTIONS(1461),
    [anon_sym_CARET] = ACTIONS(1461),
    [anon_sym_orelse] = ACTIONS(1459),
    [anon_sym_LT_LT] = ACTIONS(1461),
    [anon_sym_GT_GT] = ACTIONS(1461),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1461),
    [anon_sym_PLUS] = ACTIONS(1461),
    [anon_sym_PLUS_PLUS] = ACTIONS(1459),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1461),
    [anon_sym_PLUS_PIPE] = ACTIONS(1461),
    [anon_sym_DASH_PIPE] = ACTIONS(1461),
    [anon_sym_SLASH] = ACTIONS(1461),
    [anon_sym_PERCENT] = ACTIONS(1461),
    [anon_sym_STAR_STAR] = ACTIONS(1459),
    [anon_sym_STAR_PERCENT] = ACTIONS(1461),
    [anon_sym_STAR_PIPE] = ACTIONS(1461),
    [anon_sym_PIPE_PIPE] = ACTIONS(1459),
    [anon_sym_catch] = ACTIONS(1459),
    [anon_sym_EQ_GT] = ACTIONS(1459),
    [anon_sym_DOT] = ACTIONS(1461),
    [anon_sym_DOT_STAR] = ACTIONS(1459),
    [anon_sym_DOT_QMARK] = ACTIONS(1459),
    [sym_comment] = ACTIONS(3),
  },
  [838] = {
    [ts_builtin_sym_end] = ACTIONS(1463),
    [anon_sym_COMMA] = ACTIONS(1463),
    [anon_sym_COLON] = ACTIONS(1463),
    [anon_sym_EQ] = ACTIONS(1465),
    [anon_sym_SEMI] = ACTIONS(1463),
    [anon_sym_STAR_EQ] = ACTIONS(1463),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1463),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1463),
    [anon_sym_SLASH_EQ] = ACTIONS(1463),
    [anon_sym_PERCENT_EQ] = ACTIONS(1463),
    [anon_sym_PLUS_EQ] = ACTIONS(1463),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1463),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1463),
    [anon_sym_DASH_EQ] = ACTIONS(1463),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1463),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1463),
    [anon_sym_LT_LT_EQ] = ACTIONS(1463),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1463),
    [anon_sym_GT_GT_EQ] = ACTIONS(1463),
    [anon_sym_AMP_EQ] = ACTIONS(1463),
    [anon_sym_CARET_EQ] = ACTIONS(1463),
    [anon_sym_PIPE_EQ] = ACTIONS(1463),
    [anon_sym_LPAREN] = ACTIONS(1463),
    [anon_sym_RPAREN] = ACTIONS(1463),
    [anon_sym_LBRACE] = ACTIONS(1463),
    [anon_sym_RBRACE] = ACTIONS(1463),
    [anon_sym_else] = ACTIONS(1463),
    [anon_sym_DOT_DOT] = ACTIONS(1463),
    [anon_sym_PIPE] = ACTIONS(1465),
    [anon_sym_STAR] = ACTIONS(1465),
    [anon_sym_align] = ACTIONS(1463),
    [anon_sym_addrspace] = ACTIONS(1463),
    [anon_sym_linksection] = ACTIONS(1463),
    [anon_sym_LBRACK] = ACTIONS(1463),
    [anon_sym_RBRACK] = ACTIONS(1463),
    [anon_sym_BANG] = ACTIONS(1465),
    [anon_sym_DASH] = ACTIONS(1465),
    [anon_sym_DASH_PERCENT] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(1465),
    [anon_sym_or] = ACTIONS(1465),
    [anon_sym_and] = ACTIONS(1463),
    [anon_sym_EQ_EQ] = ACTIONS(1463),
    [anon_sym_BANG_EQ] = ACTIONS(1463),
    [anon_sym_GT] = ACTIONS(1465),
    [anon_sym_GT_EQ] = ACTIONS(1463),
    [anon_sym_LT_EQ] = ACTIONS(1463),
    [anon_sym_LT] = ACTIONS(1465),
    [anon_sym_CARET] = ACTIONS(1465),
    [anon_sym_orelse] = ACTIONS(1463),
    [anon_sym_LT_LT] = ACTIONS(1465),
    [anon_sym_GT_GT] = ACTIONS(1465),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1465),
    [anon_sym_PLUS] = ACTIONS(1465),
    [anon_sym_PLUS_PLUS] = ACTIONS(1463),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1465),
    [anon_sym_PLUS_PIPE] = ACTIONS(1465),
    [anon_sym_DASH_PIPE] = ACTIONS(1465),
    [anon_sym_SLASH] = ACTIONS(1465),
    [anon_sym_PERCENT] = ACTIONS(1465),
    [anon_sym_STAR_STAR] = ACTIONS(1463),
    [anon_sym_STAR_PERCENT] = ACTIONS(1465),
    [anon_sym_STAR_PIPE] = ACTIONS(1465),
    [anon_sym_PIPE_PIPE] = ACTIONS(1463),
    [anon_sym_catch] = ACTIONS(1463),
    [anon_sym_EQ_GT] = ACTIONS(1463),
    [anon_sym_DOT] = ACTIONS(1465),
    [anon_sym_DOT_STAR] = ACTIONS(1463),
    [anon_sym_DOT_QMARK] = ACTIONS(1463),
    [sym_comment] = ACTIONS(3),
  },
  [839] = {
    [ts_builtin_sym_end] = ACTIONS(1467),
    [anon_sym_COMMA] = ACTIONS(1467),
    [anon_sym_COLON] = ACTIONS(1467),
    [anon_sym_EQ] = ACTIONS(1469),
    [anon_sym_SEMI] = ACTIONS(1467),
    [anon_sym_STAR_EQ] = ACTIONS(1467),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1467),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1467),
    [anon_sym_SLASH_EQ] = ACTIONS(1467),
    [anon_sym_PERCENT_EQ] = ACTIONS(1467),
    [anon_sym_PLUS_EQ] = ACTIONS(1467),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1467),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1467),
    [anon_sym_DASH_EQ] = ACTIONS(1467),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1467),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1467),
    [anon_sym_LT_LT_EQ] = ACTIONS(1467),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1467),
    [anon_sym_GT_GT_EQ] = ACTIONS(1467),
    [anon_sym_AMP_EQ] = ACTIONS(1467),
    [anon_sym_CARET_EQ] = ACTIONS(1467),
    [anon_sym_PIPE_EQ] = ACTIONS(1467),
    [anon_sym_LPAREN] = ACTIONS(1467),
    [anon_sym_RPAREN] = ACTIONS(1467),
    [anon_sym_LBRACE] = ACTIONS(1467),
    [anon_sym_RBRACE] = ACTIONS(1467),
    [anon_sym_else] = ACTIONS(1467),
    [anon_sym_DOT_DOT] = ACTIONS(1467),
    [anon_sym_PIPE] = ACTIONS(1469),
    [anon_sym_STAR] = ACTIONS(1469),
    [anon_sym_align] = ACTIONS(1467),
    [anon_sym_addrspace] = ACTIONS(1467),
    [anon_sym_linksection] = ACTIONS(1467),
    [anon_sym_LBRACK] = ACTIONS(1467),
    [anon_sym_RBRACK] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1469),
    [anon_sym_DASH] = ACTIONS(1469),
    [anon_sym_DASH_PERCENT] = ACTIONS(1469),
    [anon_sym_AMP] = ACTIONS(1469),
    [anon_sym_or] = ACTIONS(1469),
    [anon_sym_and] = ACTIONS(1467),
    [anon_sym_EQ_EQ] = ACTIONS(1467),
    [anon_sym_BANG_EQ] = ACTIONS(1467),
    [anon_sym_GT] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1467),
    [anon_sym_LT_EQ] = ACTIONS(1467),
    [anon_sym_LT] = ACTIONS(1469),
    [anon_sym_CARET] = ACTIONS(1469),
    [anon_sym_orelse] = ACTIONS(1467),
    [anon_sym_LT_LT] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1469),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1469),
    [anon_sym_PLUS] = ACTIONS(1469),
    [anon_sym_PLUS_PLUS] = ACTIONS(1467),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1469),
    [anon_sym_PLUS_PIPE] = ACTIONS(1469),
    [anon_sym_DASH_PIPE] = ACTIONS(1469),
    [anon_sym_SLASH] = ACTIONS(1469),
    [anon_sym_PERCENT] = ACTIONS(1469),
    [anon_sym_STAR_STAR] = ACTIONS(1467),
    [anon_sym_STAR_PERCENT] = ACTIONS(1469),
    [anon_sym_STAR_PIPE] = ACTIONS(1469),
    [anon_sym_PIPE_PIPE] = ACTIONS(1467),
    [anon_sym_catch] = ACTIONS(1467),
    [anon_sym_EQ_GT] = ACTIONS(1467),
    [anon_sym_DOT] = ACTIONS(1469),
    [anon_sym_DOT_STAR] = ACTIONS(1467),
    [anon_sym_DOT_QMARK] = ACTIONS(1467),
    [sym_comment] = ACTIONS(3),
  },
  [840] = {
    [ts_builtin_sym_end] = ACTIONS(1471),
    [anon_sym_COMMA] = ACTIONS(1471),
    [anon_sym_COLON] = ACTIONS(1471),
    [anon_sym_EQ] = ACTIONS(1473),
    [anon_sym_SEMI] = ACTIONS(1471),
    [anon_sym_STAR_EQ] = ACTIONS(1471),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1471),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1471),
    [anon_sym_SLASH_EQ] = ACTIONS(1471),
    [anon_sym_PERCENT_EQ] = ACTIONS(1471),
    [anon_sym_PLUS_EQ] = ACTIONS(1471),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1471),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1471),
    [anon_sym_DASH_EQ] = ACTIONS(1471),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1471),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1471),
    [anon_sym_LT_LT_EQ] = ACTIONS(1471),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1471),
    [anon_sym_GT_GT_EQ] = ACTIONS(1471),
    [anon_sym_AMP_EQ] = ACTIONS(1471),
    [anon_sym_CARET_EQ] = ACTIONS(1471),
    [anon_sym_PIPE_EQ] = ACTIONS(1471),
    [anon_sym_LPAREN] = ACTIONS(1471),
    [anon_sym_RPAREN] = ACTIONS(1471),
    [anon_sym_LBRACE] = ACTIONS(1471),
    [anon_sym_RBRACE] = ACTIONS(1471),
    [anon_sym_else] = ACTIONS(1471),
    [anon_sym_DOT_DOT] = ACTIONS(1471),
    [anon_sym_PIPE] = ACTIONS(1473),
    [anon_sym_STAR] = ACTIONS(1473),
    [anon_sym_align] = ACTIONS(1471),
    [anon_sym_addrspace] = ACTIONS(1471),
    [anon_sym_linksection] = ACTIONS(1471),
    [anon_sym_LBRACK] = ACTIONS(1471),
    [anon_sym_RBRACK] = ACTIONS(1471),
    [anon_sym_BANG] = ACTIONS(1473),
    [anon_sym_DASH] = ACTIONS(1473),
    [anon_sym_DASH_PERCENT] = ACTIONS(1473),
    [anon_sym_AMP] = ACTIONS(1473),
    [anon_sym_or] = ACTIONS(1473),
    [anon_sym_and] = ACTIONS(1471),
    [anon_sym_EQ_EQ] = ACTIONS(1471),
    [anon_sym_BANG_EQ] = ACTIONS(1471),
    [anon_sym_GT] = ACTIONS(1473),
    [anon_sym_GT_EQ] = ACTIONS(1471),
    [anon_sym_LT_EQ] = ACTIONS(1471),
    [anon_sym_LT] = ACTIONS(1473),
    [anon_sym_CARET] = ACTIONS(1473),
    [anon_sym_orelse] = ACTIONS(1471),
    [anon_sym_LT_LT] = ACTIONS(1473),
    [anon_sym_GT_GT] = ACTIONS(1473),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1473),
    [anon_sym_PLUS] = ACTIONS(1473),
    [anon_sym_PLUS_PLUS] = ACTIONS(1471),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1473),
    [anon_sym_PLUS_PIPE] = ACTIONS(1473),
    [anon_sym_DASH_PIPE] = ACTIONS(1473),
    [anon_sym_SLASH] = ACTIONS(1473),
    [anon_sym_PERCENT] = ACTIONS(1473),
    [anon_sym_STAR_STAR] = ACTIONS(1471),
    [anon_sym_STAR_PERCENT] = ACTIONS(1473),
    [anon_sym_STAR_PIPE] = ACTIONS(1473),
    [anon_sym_PIPE_PIPE] = ACTIONS(1471),
    [anon_sym_catch] = ACTIONS(1471),
    [anon_sym_EQ_GT] = ACTIONS(1471),
    [anon_sym_DOT] = ACTIONS(1473),
    [anon_sym_DOT_STAR] = ACTIONS(1471),
    [anon_sym_DOT_QMARK] = ACTIONS(1471),
    [sym_comment] = ACTIONS(3),
  },
  [841] = {
    [ts_builtin_sym_end] = ACTIONS(1475),
    [anon_sym_COMMA] = ACTIONS(1475),
    [anon_sym_COLON] = ACTIONS(1475),
    [anon_sym_EQ] = ACTIONS(1477),
    [anon_sym_SEMI] = ACTIONS(1475),
    [anon_sym_STAR_EQ] = ACTIONS(1475),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1475),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1475),
    [anon_sym_SLASH_EQ] = ACTIONS(1475),
    [anon_sym_PERCENT_EQ] = ACTIONS(1475),
    [anon_sym_PLUS_EQ] = ACTIONS(1475),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1475),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1475),
    [anon_sym_DASH_EQ] = ACTIONS(1475),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1475),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1475),
    [anon_sym_LT_LT_EQ] = ACTIONS(1475),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1475),
    [anon_sym_GT_GT_EQ] = ACTIONS(1475),
    [anon_sym_AMP_EQ] = ACTIONS(1475),
    [anon_sym_CARET_EQ] = ACTIONS(1475),
    [anon_sym_PIPE_EQ] = ACTIONS(1475),
    [anon_sym_LPAREN] = ACTIONS(1475),
    [anon_sym_RPAREN] = ACTIONS(1475),
    [anon_sym_LBRACE] = ACTIONS(1475),
    [anon_sym_RBRACE] = ACTIONS(1475),
    [anon_sym_else] = ACTIONS(1475),
    [anon_sym_DOT_DOT] = ACTIONS(1475),
    [anon_sym_PIPE] = ACTIONS(1477),
    [anon_sym_STAR] = ACTIONS(1477),
    [anon_sym_align] = ACTIONS(1475),
    [anon_sym_addrspace] = ACTIONS(1475),
    [anon_sym_linksection] = ACTIONS(1475),
    [anon_sym_LBRACK] = ACTIONS(1475),
    [anon_sym_RBRACK] = ACTIONS(1475),
    [anon_sym_BANG] = ACTIONS(1477),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_DASH_PERCENT] = ACTIONS(1477),
    [anon_sym_AMP] = ACTIONS(1477),
    [anon_sym_or] = ACTIONS(1477),
    [anon_sym_and] = ACTIONS(1475),
    [anon_sym_EQ_EQ] = ACTIONS(1475),
    [anon_sym_BANG_EQ] = ACTIONS(1475),
    [anon_sym_GT] = ACTIONS(1477),
    [anon_sym_GT_EQ] = ACTIONS(1475),
    [anon_sym_LT_EQ] = ACTIONS(1475),
    [anon_sym_LT] = ACTIONS(1477),
    [anon_sym_CARET] = ACTIONS(1477),
    [anon_sym_orelse] = ACTIONS(1475),
    [anon_sym_LT_LT] = ACTIONS(1477),
    [anon_sym_GT_GT] = ACTIONS(1477),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1477),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_PLUS_PLUS] = ACTIONS(1475),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1477),
    [anon_sym_PLUS_PIPE] = ACTIONS(1477),
    [anon_sym_DASH_PIPE] = ACTIONS(1477),
    [anon_sym_SLASH] = ACTIONS(1477),
    [anon_sym_PERCENT] = ACTIONS(1477),
    [anon_sym_STAR_STAR] = ACTIONS(1475),
    [anon_sym_STAR_PERCENT] = ACTIONS(1477),
    [anon_sym_STAR_PIPE] = ACTIONS(1477),
    [anon_sym_PIPE_PIPE] = ACTIONS(1475),
    [anon_sym_catch] = ACTIONS(1475),
    [anon_sym_EQ_GT] = ACTIONS(1475),
    [anon_sym_DOT] = ACTIONS(1477),
    [anon_sym_DOT_STAR] = ACTIONS(1475),
    [anon_sym_DOT_QMARK] = ACTIONS(1475),
    [sym_comment] = ACTIONS(3),
  },
  [842] = {
    [ts_builtin_sym_end] = ACTIONS(1479),
    [anon_sym_COMMA] = ACTIONS(1479),
    [anon_sym_COLON] = ACTIONS(1479),
    [anon_sym_EQ] = ACTIONS(1481),
    [anon_sym_SEMI] = ACTIONS(1479),
    [anon_sym_STAR_EQ] = ACTIONS(1479),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1479),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1479),
    [anon_sym_SLASH_EQ] = ACTIONS(1479),
    [anon_sym_PERCENT_EQ] = ACTIONS(1479),
    [anon_sym_PLUS_EQ] = ACTIONS(1479),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1479),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1479),
    [anon_sym_DASH_EQ] = ACTIONS(1479),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1479),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1479),
    [anon_sym_LT_LT_EQ] = ACTIONS(1479),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1479),
    [anon_sym_GT_GT_EQ] = ACTIONS(1479),
    [anon_sym_AMP_EQ] = ACTIONS(1479),
    [anon_sym_CARET_EQ] = ACTIONS(1479),
    [anon_sym_PIPE_EQ] = ACTIONS(1479),
    [anon_sym_LPAREN] = ACTIONS(1479),
    [anon_sym_RPAREN] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1479),
    [anon_sym_RBRACE] = ACTIONS(1479),
    [anon_sym_else] = ACTIONS(1479),
    [anon_sym_DOT_DOT] = ACTIONS(1479),
    [anon_sym_PIPE] = ACTIONS(1481),
    [anon_sym_STAR] = ACTIONS(1481),
    [anon_sym_align] = ACTIONS(1479),
    [anon_sym_addrspace] = ACTIONS(1479),
    [anon_sym_linksection] = ACTIONS(1479),
    [anon_sym_LBRACK] = ACTIONS(1479),
    [anon_sym_RBRACK] = ACTIONS(1479),
    [anon_sym_BANG] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1481),
    [anon_sym_DASH_PERCENT] = ACTIONS(1481),
    [anon_sym_AMP] = ACTIONS(1481),
    [anon_sym_or] = ACTIONS(1481),
    [anon_sym_and] = ACTIONS(1479),
    [anon_sym_EQ_EQ] = ACTIONS(1479),
    [anon_sym_BANG_EQ] = ACTIONS(1479),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_GT_EQ] = ACTIONS(1479),
    [anon_sym_LT_EQ] = ACTIONS(1479),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_CARET] = ACTIONS(1481),
    [anon_sym_orelse] = ACTIONS(1479),
    [anon_sym_LT_LT] = ACTIONS(1481),
    [anon_sym_GT_GT] = ACTIONS(1481),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_PLUS_PLUS] = ACTIONS(1479),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1481),
    [anon_sym_PLUS_PIPE] = ACTIONS(1481),
    [anon_sym_DASH_PIPE] = ACTIONS(1481),
    [anon_sym_SLASH] = ACTIONS(1481),
    [anon_sym_PERCENT] = ACTIONS(1481),
    [anon_sym_STAR_STAR] = ACTIONS(1479),
    [anon_sym_STAR_PERCENT] = ACTIONS(1481),
    [anon_sym_STAR_PIPE] = ACTIONS(1481),
    [anon_sym_PIPE_PIPE] = ACTIONS(1479),
    [anon_sym_catch] = ACTIONS(1479),
    [anon_sym_EQ_GT] = ACTIONS(1479),
    [anon_sym_DOT] = ACTIONS(1481),
    [anon_sym_DOT_STAR] = ACTIONS(1479),
    [anon_sym_DOT_QMARK] = ACTIONS(1479),
    [sym_comment] = ACTIONS(3),
  },
  [843] = {
    [ts_builtin_sym_end] = ACTIONS(1483),
    [anon_sym_COMMA] = ACTIONS(1483),
    [anon_sym_COLON] = ACTIONS(1483),
    [anon_sym_EQ] = ACTIONS(1485),
    [anon_sym_SEMI] = ACTIONS(1483),
    [anon_sym_STAR_EQ] = ACTIONS(1483),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1483),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1483),
    [anon_sym_SLASH_EQ] = ACTIONS(1483),
    [anon_sym_PERCENT_EQ] = ACTIONS(1483),
    [anon_sym_PLUS_EQ] = ACTIONS(1483),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1483),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1483),
    [anon_sym_DASH_EQ] = ACTIONS(1483),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1483),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1483),
    [anon_sym_LT_LT_EQ] = ACTIONS(1483),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1483),
    [anon_sym_GT_GT_EQ] = ACTIONS(1483),
    [anon_sym_AMP_EQ] = ACTIONS(1483),
    [anon_sym_CARET_EQ] = ACTIONS(1483),
    [anon_sym_PIPE_EQ] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(1483),
    [anon_sym_RPAREN] = ACTIONS(1483),
    [anon_sym_LBRACE] = ACTIONS(1483),
    [anon_sym_RBRACE] = ACTIONS(1483),
    [anon_sym_else] = ACTIONS(1483),
    [anon_sym_DOT_DOT] = ACTIONS(1483),
    [anon_sym_PIPE] = ACTIONS(1485),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_align] = ACTIONS(1483),
    [anon_sym_addrspace] = ACTIONS(1483),
    [anon_sym_linksection] = ACTIONS(1483),
    [anon_sym_LBRACK] = ACTIONS(1483),
    [anon_sym_RBRACK] = ACTIONS(1483),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1485),
    [anon_sym_DASH_PERCENT] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1485),
    [anon_sym_or] = ACTIONS(1485),
    [anon_sym_and] = ACTIONS(1483),
    [anon_sym_EQ_EQ] = ACTIONS(1483),
    [anon_sym_BANG_EQ] = ACTIONS(1483),
    [anon_sym_GT] = ACTIONS(1485),
    [anon_sym_GT_EQ] = ACTIONS(1483),
    [anon_sym_LT_EQ] = ACTIONS(1483),
    [anon_sym_LT] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1485),
    [anon_sym_orelse] = ACTIONS(1483),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_GT_GT] = ACTIONS(1485),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1485),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_PLUS_PLUS] = ACTIONS(1483),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1485),
    [anon_sym_PLUS_PIPE] = ACTIONS(1485),
    [anon_sym_DASH_PIPE] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(1485),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_STAR] = ACTIONS(1483),
    [anon_sym_STAR_PERCENT] = ACTIONS(1485),
    [anon_sym_STAR_PIPE] = ACTIONS(1485),
    [anon_sym_PIPE_PIPE] = ACTIONS(1483),
    [anon_sym_catch] = ACTIONS(1483),
    [anon_sym_EQ_GT] = ACTIONS(1483),
    [anon_sym_DOT] = ACTIONS(1485),
    [anon_sym_DOT_STAR] = ACTIONS(1483),
    [anon_sym_DOT_QMARK] = ACTIONS(1483),
    [sym_comment] = ACTIONS(3),
  },
  [844] = {
    [ts_builtin_sym_end] = ACTIONS(1487),
    [anon_sym_COMMA] = ACTIONS(1487),
    [anon_sym_COLON] = ACTIONS(1487),
    [anon_sym_EQ] = ACTIONS(1489),
    [anon_sym_SEMI] = ACTIONS(1487),
    [anon_sym_STAR_EQ] = ACTIONS(1487),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1487),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1487),
    [anon_sym_SLASH_EQ] = ACTIONS(1487),
    [anon_sym_PERCENT_EQ] = ACTIONS(1487),
    [anon_sym_PLUS_EQ] = ACTIONS(1487),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1487),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1487),
    [anon_sym_DASH_EQ] = ACTIONS(1487),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1487),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1487),
    [anon_sym_LT_LT_EQ] = ACTIONS(1487),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1487),
    [anon_sym_GT_GT_EQ] = ACTIONS(1487),
    [anon_sym_AMP_EQ] = ACTIONS(1487),
    [anon_sym_CARET_EQ] = ACTIONS(1487),
    [anon_sym_PIPE_EQ] = ACTIONS(1487),
    [anon_sym_LPAREN] = ACTIONS(1487),
    [anon_sym_RPAREN] = ACTIONS(1487),
    [anon_sym_LBRACE] = ACTIONS(1487),
    [anon_sym_RBRACE] = ACTIONS(1487),
    [anon_sym_else] = ACTIONS(1487),
    [anon_sym_DOT_DOT] = ACTIONS(1487),
    [anon_sym_PIPE] = ACTIONS(1489),
    [anon_sym_STAR] = ACTIONS(1489),
    [anon_sym_align] = ACTIONS(1487),
    [anon_sym_addrspace] = ACTIONS(1487),
    [anon_sym_linksection] = ACTIONS(1487),
    [anon_sym_LBRACK] = ACTIONS(1487),
    [anon_sym_RBRACK] = ACTIONS(1487),
    [anon_sym_BANG] = ACTIONS(1489),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_DASH_PERCENT] = ACTIONS(1489),
    [anon_sym_AMP] = ACTIONS(1489),
    [anon_sym_or] = ACTIONS(1489),
    [anon_sym_and] = ACTIONS(1487),
    [anon_sym_EQ_EQ] = ACTIONS(1487),
    [anon_sym_BANG_EQ] = ACTIONS(1487),
    [anon_sym_GT] = ACTIONS(1489),
    [anon_sym_GT_EQ] = ACTIONS(1487),
    [anon_sym_LT_EQ] = ACTIONS(1487),
    [anon_sym_LT] = ACTIONS(1489),
    [anon_sym_CARET] = ACTIONS(1489),
    [anon_sym_orelse] = ACTIONS(1487),
    [anon_sym_LT_LT] = ACTIONS(1489),
    [anon_sym_GT_GT] = ACTIONS(1489),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1489),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_PLUS_PLUS] = ACTIONS(1487),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1489),
    [anon_sym_PLUS_PIPE] = ACTIONS(1489),
    [anon_sym_DASH_PIPE] = ACTIONS(1489),
    [anon_sym_SLASH] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1489),
    [anon_sym_STAR_STAR] = ACTIONS(1487),
    [anon_sym_STAR_PERCENT] = ACTIONS(1489),
    [anon_sym_STAR_PIPE] = ACTIONS(1489),
    [anon_sym_PIPE_PIPE] = ACTIONS(1487),
    [anon_sym_catch] = ACTIONS(1487),
    [anon_sym_EQ_GT] = ACTIONS(1487),
    [anon_sym_DOT] = ACTIONS(1489),
    [anon_sym_DOT_STAR] = ACTIONS(1487),
    [anon_sym_DOT_QMARK] = ACTIONS(1487),
    [sym_comment] = ACTIONS(3),
  },
  [845] = {
    [ts_builtin_sym_end] = ACTIONS(1491),
    [anon_sym_COMMA] = ACTIONS(1491),
    [anon_sym_COLON] = ACTIONS(1491),
    [anon_sym_EQ] = ACTIONS(1493),
    [anon_sym_SEMI] = ACTIONS(1491),
    [anon_sym_STAR_EQ] = ACTIONS(1491),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1491),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1491),
    [anon_sym_SLASH_EQ] = ACTIONS(1491),
    [anon_sym_PERCENT_EQ] = ACTIONS(1491),
    [anon_sym_PLUS_EQ] = ACTIONS(1491),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1491),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1491),
    [anon_sym_DASH_EQ] = ACTIONS(1491),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1491),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1491),
    [anon_sym_LT_LT_EQ] = ACTIONS(1491),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1491),
    [anon_sym_GT_GT_EQ] = ACTIONS(1491),
    [anon_sym_AMP_EQ] = ACTIONS(1491),
    [anon_sym_CARET_EQ] = ACTIONS(1491),
    [anon_sym_PIPE_EQ] = ACTIONS(1491),
    [anon_sym_LPAREN] = ACTIONS(1491),
    [anon_sym_RPAREN] = ACTIONS(1491),
    [anon_sym_LBRACE] = ACTIONS(1491),
    [anon_sym_RBRACE] = ACTIONS(1491),
    [anon_sym_else] = ACTIONS(1491),
    [anon_sym_DOT_DOT] = ACTIONS(1491),
    [anon_sym_PIPE] = ACTIONS(1493),
    [anon_sym_STAR] = ACTIONS(1493),
    [anon_sym_align] = ACTIONS(1491),
    [anon_sym_addrspace] = ACTIONS(1491),
    [anon_sym_linksection] = ACTIONS(1491),
    [anon_sym_LBRACK] = ACTIONS(1491),
    [anon_sym_RBRACK] = ACTIONS(1491),
    [anon_sym_BANG] = ACTIONS(1493),
    [anon_sym_DASH] = ACTIONS(1493),
    [anon_sym_DASH_PERCENT] = ACTIONS(1493),
    [anon_sym_AMP] = ACTIONS(1493),
    [anon_sym_or] = ACTIONS(1493),
    [anon_sym_and] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1491),
    [anon_sym_GT] = ACTIONS(1493),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_LT] = ACTIONS(1493),
    [anon_sym_CARET] = ACTIONS(1493),
    [anon_sym_orelse] = ACTIONS(1491),
    [anon_sym_LT_LT] = ACTIONS(1493),
    [anon_sym_GT_GT] = ACTIONS(1493),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1493),
    [anon_sym_PLUS] = ACTIONS(1493),
    [anon_sym_PLUS_PLUS] = ACTIONS(1491),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1493),
    [anon_sym_PLUS_PIPE] = ACTIONS(1493),
    [anon_sym_DASH_PIPE] = ACTIONS(1493),
    [anon_sym_SLASH] = ACTIONS(1493),
    [anon_sym_PERCENT] = ACTIONS(1493),
    [anon_sym_STAR_STAR] = ACTIONS(1491),
    [anon_sym_STAR_PERCENT] = ACTIONS(1493),
    [anon_sym_STAR_PIPE] = ACTIONS(1493),
    [anon_sym_PIPE_PIPE] = ACTIONS(1491),
    [anon_sym_catch] = ACTIONS(1491),
    [anon_sym_EQ_GT] = ACTIONS(1491),
    [anon_sym_DOT] = ACTIONS(1493),
    [anon_sym_DOT_STAR] = ACTIONS(1491),
    [anon_sym_DOT_QMARK] = ACTIONS(1491),
    [sym_comment] = ACTIONS(3),
  },
  [846] = {
    [ts_builtin_sym_end] = ACTIONS(1495),
    [anon_sym_COMMA] = ACTIONS(1495),
    [anon_sym_COLON] = ACTIONS(1495),
    [anon_sym_EQ] = ACTIONS(1497),
    [anon_sym_SEMI] = ACTIONS(1495),
    [anon_sym_STAR_EQ] = ACTIONS(1495),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1495),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1495),
    [anon_sym_SLASH_EQ] = ACTIONS(1495),
    [anon_sym_PERCENT_EQ] = ACTIONS(1495),
    [anon_sym_PLUS_EQ] = ACTIONS(1495),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1495),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1495),
    [anon_sym_DASH_EQ] = ACTIONS(1495),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1495),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1495),
    [anon_sym_LT_LT_EQ] = ACTIONS(1495),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1495),
    [anon_sym_GT_GT_EQ] = ACTIONS(1495),
    [anon_sym_AMP_EQ] = ACTIONS(1495),
    [anon_sym_CARET_EQ] = ACTIONS(1495),
    [anon_sym_PIPE_EQ] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1495),
    [anon_sym_RPAREN] = ACTIONS(1495),
    [anon_sym_LBRACE] = ACTIONS(1495),
    [anon_sym_RBRACE] = ACTIONS(1495),
    [anon_sym_else] = ACTIONS(1495),
    [anon_sym_DOT_DOT] = ACTIONS(1495),
    [anon_sym_PIPE] = ACTIONS(1497),
    [anon_sym_STAR] = ACTIONS(1497),
    [anon_sym_align] = ACTIONS(1495),
    [anon_sym_addrspace] = ACTIONS(1495),
    [anon_sym_linksection] = ACTIONS(1495),
    [anon_sym_LBRACK] = ACTIONS(1495),
    [anon_sym_RBRACK] = ACTIONS(1495),
    [anon_sym_BANG] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1497),
    [anon_sym_DASH_PERCENT] = ACTIONS(1497),
    [anon_sym_AMP] = ACTIONS(1497),
    [anon_sym_or] = ACTIONS(1497),
    [anon_sym_and] = ACTIONS(1495),
    [anon_sym_EQ_EQ] = ACTIONS(1495),
    [anon_sym_BANG_EQ] = ACTIONS(1495),
    [anon_sym_GT] = ACTIONS(1497),
    [anon_sym_GT_EQ] = ACTIONS(1495),
    [anon_sym_LT_EQ] = ACTIONS(1495),
    [anon_sym_LT] = ACTIONS(1497),
    [anon_sym_CARET] = ACTIONS(1497),
    [anon_sym_orelse] = ACTIONS(1495),
    [anon_sym_LT_LT] = ACTIONS(1497),
    [anon_sym_GT_GT] = ACTIONS(1497),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_PLUS_PLUS] = ACTIONS(1495),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1497),
    [anon_sym_PLUS_PIPE] = ACTIONS(1497),
    [anon_sym_DASH_PIPE] = ACTIONS(1497),
    [anon_sym_SLASH] = ACTIONS(1497),
    [anon_sym_PERCENT] = ACTIONS(1497),
    [anon_sym_STAR_STAR] = ACTIONS(1495),
    [anon_sym_STAR_PERCENT] = ACTIONS(1497),
    [anon_sym_STAR_PIPE] = ACTIONS(1497),
    [anon_sym_PIPE_PIPE] = ACTIONS(1495),
    [anon_sym_catch] = ACTIONS(1495),
    [anon_sym_EQ_GT] = ACTIONS(1495),
    [anon_sym_DOT] = ACTIONS(1497),
    [anon_sym_DOT_STAR] = ACTIONS(1495),
    [anon_sym_DOT_QMARK] = ACTIONS(1495),
    [sym_comment] = ACTIONS(3),
  },
  [847] = {
    [ts_builtin_sym_end] = ACTIONS(1499),
    [anon_sym_COMMA] = ACTIONS(1499),
    [anon_sym_COLON] = ACTIONS(1499),
    [anon_sym_EQ] = ACTIONS(1501),
    [anon_sym_SEMI] = ACTIONS(1499),
    [anon_sym_STAR_EQ] = ACTIONS(1499),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1499),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1499),
    [anon_sym_SLASH_EQ] = ACTIONS(1499),
    [anon_sym_PERCENT_EQ] = ACTIONS(1499),
    [anon_sym_PLUS_EQ] = ACTIONS(1499),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1499),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1499),
    [anon_sym_DASH_EQ] = ACTIONS(1499),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1499),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1499),
    [anon_sym_LT_LT_EQ] = ACTIONS(1499),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1499),
    [anon_sym_GT_GT_EQ] = ACTIONS(1499),
    [anon_sym_AMP_EQ] = ACTIONS(1499),
    [anon_sym_CARET_EQ] = ACTIONS(1499),
    [anon_sym_PIPE_EQ] = ACTIONS(1499),
    [anon_sym_LPAREN] = ACTIONS(1499),
    [anon_sym_RPAREN] = ACTIONS(1499),
    [anon_sym_LBRACE] = ACTIONS(1499),
    [anon_sym_RBRACE] = ACTIONS(1499),
    [anon_sym_else] = ACTIONS(1499),
    [anon_sym_DOT_DOT] = ACTIONS(1499),
    [anon_sym_PIPE] = ACTIONS(1501),
    [anon_sym_STAR] = ACTIONS(1501),
    [anon_sym_align] = ACTIONS(1499),
    [anon_sym_addrspace] = ACTIONS(1499),
    [anon_sym_linksection] = ACTIONS(1499),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_RBRACK] = ACTIONS(1499),
    [anon_sym_BANG] = ACTIONS(1501),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_DASH_PERCENT] = ACTIONS(1501),
    [anon_sym_AMP] = ACTIONS(1501),
    [anon_sym_or] = ACTIONS(1501),
    [anon_sym_and] = ACTIONS(1499),
    [anon_sym_EQ_EQ] = ACTIONS(1499),
    [anon_sym_BANG_EQ] = ACTIONS(1499),
    [anon_sym_GT] = ACTIONS(1501),
    [anon_sym_GT_EQ] = ACTIONS(1499),
    [anon_sym_LT_EQ] = ACTIONS(1499),
    [anon_sym_LT] = ACTIONS(1501),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_orelse] = ACTIONS(1499),
    [anon_sym_LT_LT] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1501),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1501),
    [anon_sym_PLUS] = ACTIONS(1501),
    [anon_sym_PLUS_PLUS] = ACTIONS(1499),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1501),
    [anon_sym_PLUS_PIPE] = ACTIONS(1501),
    [anon_sym_DASH_PIPE] = ACTIONS(1501),
    [anon_sym_SLASH] = ACTIONS(1501),
    [anon_sym_PERCENT] = ACTIONS(1501),
    [anon_sym_STAR_STAR] = ACTIONS(1499),
    [anon_sym_STAR_PERCENT] = ACTIONS(1501),
    [anon_sym_STAR_PIPE] = ACTIONS(1501),
    [anon_sym_PIPE_PIPE] = ACTIONS(1499),
    [anon_sym_catch] = ACTIONS(1499),
    [anon_sym_EQ_GT] = ACTIONS(1499),
    [anon_sym_DOT] = ACTIONS(1501),
    [anon_sym_DOT_STAR] = ACTIONS(1499),
    [anon_sym_DOT_QMARK] = ACTIONS(1499),
    [sym_comment] = ACTIONS(3),
  },
  [848] = {
    [ts_builtin_sym_end] = ACTIONS(1503),
    [anon_sym_COMMA] = ACTIONS(1503),
    [anon_sym_COLON] = ACTIONS(1503),
    [anon_sym_EQ] = ACTIONS(1505),
    [anon_sym_SEMI] = ACTIONS(1503),
    [anon_sym_STAR_EQ] = ACTIONS(1503),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1503),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1503),
    [anon_sym_SLASH_EQ] = ACTIONS(1503),
    [anon_sym_PERCENT_EQ] = ACTIONS(1503),
    [anon_sym_PLUS_EQ] = ACTIONS(1503),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1503),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1503),
    [anon_sym_DASH_EQ] = ACTIONS(1503),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1503),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1503),
    [anon_sym_LT_LT_EQ] = ACTIONS(1503),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1503),
    [anon_sym_GT_GT_EQ] = ACTIONS(1503),
    [anon_sym_AMP_EQ] = ACTIONS(1503),
    [anon_sym_CARET_EQ] = ACTIONS(1503),
    [anon_sym_PIPE_EQ] = ACTIONS(1503),
    [anon_sym_LPAREN] = ACTIONS(1503),
    [anon_sym_RPAREN] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_RBRACE] = ACTIONS(1503),
    [anon_sym_else] = ACTIONS(1503),
    [anon_sym_DOT_DOT] = ACTIONS(1503),
    [anon_sym_PIPE] = ACTIONS(1505),
    [anon_sym_STAR] = ACTIONS(1505),
    [anon_sym_align] = ACTIONS(1503),
    [anon_sym_addrspace] = ACTIONS(1503),
    [anon_sym_linksection] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(1503),
    [anon_sym_RBRACK] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1505),
    [anon_sym_DASH] = ACTIONS(1505),
    [anon_sym_DASH_PERCENT] = ACTIONS(1505),
    [anon_sym_AMP] = ACTIONS(1505),
    [anon_sym_or] = ACTIONS(1505),
    [anon_sym_and] = ACTIONS(1503),
    [anon_sym_EQ_EQ] = ACTIONS(1503),
    [anon_sym_BANG_EQ] = ACTIONS(1503),
    [anon_sym_GT] = ACTIONS(1505),
    [anon_sym_GT_EQ] = ACTIONS(1503),
    [anon_sym_LT_EQ] = ACTIONS(1503),
    [anon_sym_LT] = ACTIONS(1505),
    [anon_sym_CARET] = ACTIONS(1505),
    [anon_sym_orelse] = ACTIONS(1503),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_GT_GT] = ACTIONS(1505),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1505),
    [anon_sym_PLUS] = ACTIONS(1505),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1505),
    [anon_sym_PLUS_PIPE] = ACTIONS(1505),
    [anon_sym_DASH_PIPE] = ACTIONS(1505),
    [anon_sym_SLASH] = ACTIONS(1505),
    [anon_sym_PERCENT] = ACTIONS(1505),
    [anon_sym_STAR_STAR] = ACTIONS(1503),
    [anon_sym_STAR_PERCENT] = ACTIONS(1505),
    [anon_sym_STAR_PIPE] = ACTIONS(1505),
    [anon_sym_PIPE_PIPE] = ACTIONS(1503),
    [anon_sym_catch] = ACTIONS(1503),
    [anon_sym_EQ_GT] = ACTIONS(1503),
    [anon_sym_DOT] = ACTIONS(1505),
    [anon_sym_DOT_STAR] = ACTIONS(1503),
    [anon_sym_DOT_QMARK] = ACTIONS(1503),
    [sym_comment] = ACTIONS(3),
  },
  [849] = {
    [ts_builtin_sym_end] = ACTIONS(1507),
    [anon_sym_COMMA] = ACTIONS(1507),
    [anon_sym_COLON] = ACTIONS(1507),
    [anon_sym_EQ] = ACTIONS(1509),
    [anon_sym_SEMI] = ACTIONS(1507),
    [anon_sym_STAR_EQ] = ACTIONS(1507),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1507),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1507),
    [anon_sym_SLASH_EQ] = ACTIONS(1507),
    [anon_sym_PERCENT_EQ] = ACTIONS(1507),
    [anon_sym_PLUS_EQ] = ACTIONS(1507),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1507),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1507),
    [anon_sym_DASH_EQ] = ACTIONS(1507),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1507),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1507),
    [anon_sym_LT_LT_EQ] = ACTIONS(1507),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1507),
    [anon_sym_GT_GT_EQ] = ACTIONS(1507),
    [anon_sym_AMP_EQ] = ACTIONS(1507),
    [anon_sym_CARET_EQ] = ACTIONS(1507),
    [anon_sym_PIPE_EQ] = ACTIONS(1507),
    [anon_sym_LPAREN] = ACTIONS(1507),
    [anon_sym_RPAREN] = ACTIONS(1507),
    [anon_sym_LBRACE] = ACTIONS(1507),
    [anon_sym_RBRACE] = ACTIONS(1507),
    [anon_sym_else] = ACTIONS(1507),
    [anon_sym_DOT_DOT] = ACTIONS(1507),
    [anon_sym_PIPE] = ACTIONS(1509),
    [anon_sym_STAR] = ACTIONS(1509),
    [anon_sym_align] = ACTIONS(1507),
    [anon_sym_addrspace] = ACTIONS(1507),
    [anon_sym_linksection] = ACTIONS(1507),
    [anon_sym_LBRACK] = ACTIONS(1507),
    [anon_sym_RBRACK] = ACTIONS(1507),
    [anon_sym_BANG] = ACTIONS(1509),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_DASH_PERCENT] = ACTIONS(1509),
    [anon_sym_AMP] = ACTIONS(1509),
    [anon_sym_or] = ACTIONS(1509),
    [anon_sym_and] = ACTIONS(1507),
    [anon_sym_EQ_EQ] = ACTIONS(1507),
    [anon_sym_BANG_EQ] = ACTIONS(1507),
    [anon_sym_GT] = ACTIONS(1509),
    [anon_sym_GT_EQ] = ACTIONS(1507),
    [anon_sym_LT_EQ] = ACTIONS(1507),
    [anon_sym_LT] = ACTIONS(1509),
    [anon_sym_CARET] = ACTIONS(1509),
    [anon_sym_orelse] = ACTIONS(1507),
    [anon_sym_LT_LT] = ACTIONS(1509),
    [anon_sym_GT_GT] = ACTIONS(1509),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1509),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_PLUS_PLUS] = ACTIONS(1507),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1509),
    [anon_sym_PLUS_PIPE] = ACTIONS(1509),
    [anon_sym_DASH_PIPE] = ACTIONS(1509),
    [anon_sym_SLASH] = ACTIONS(1509),
    [anon_sym_PERCENT] = ACTIONS(1509),
    [anon_sym_STAR_STAR] = ACTIONS(1507),
    [anon_sym_STAR_PERCENT] = ACTIONS(1509),
    [anon_sym_STAR_PIPE] = ACTIONS(1509),
    [anon_sym_PIPE_PIPE] = ACTIONS(1507),
    [anon_sym_catch] = ACTIONS(1507),
    [anon_sym_EQ_GT] = ACTIONS(1507),
    [anon_sym_DOT] = ACTIONS(1509),
    [anon_sym_DOT_STAR] = ACTIONS(1507),
    [anon_sym_DOT_QMARK] = ACTIONS(1507),
    [sym_comment] = ACTIONS(3),
  },
  [850] = {
    [ts_builtin_sym_end] = ACTIONS(1511),
    [anon_sym_COMMA] = ACTIONS(1511),
    [anon_sym_COLON] = ACTIONS(1511),
    [anon_sym_EQ] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1511),
    [anon_sym_STAR_EQ] = ACTIONS(1511),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1511),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1511),
    [anon_sym_SLASH_EQ] = ACTIONS(1511),
    [anon_sym_PERCENT_EQ] = ACTIONS(1511),
    [anon_sym_PLUS_EQ] = ACTIONS(1511),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1511),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1511),
    [anon_sym_DASH_EQ] = ACTIONS(1511),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1511),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1511),
    [anon_sym_LT_LT_EQ] = ACTIONS(1511),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1511),
    [anon_sym_GT_GT_EQ] = ACTIONS(1511),
    [anon_sym_AMP_EQ] = ACTIONS(1511),
    [anon_sym_CARET_EQ] = ACTIONS(1511),
    [anon_sym_PIPE_EQ] = ACTIONS(1511),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_RPAREN] = ACTIONS(1511),
    [anon_sym_LBRACE] = ACTIONS(1511),
    [anon_sym_RBRACE] = ACTIONS(1511),
    [anon_sym_else] = ACTIONS(1511),
    [anon_sym_DOT_DOT] = ACTIONS(1511),
    [anon_sym_PIPE] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1513),
    [anon_sym_align] = ACTIONS(1511),
    [anon_sym_addrspace] = ACTIONS(1511),
    [anon_sym_linksection] = ACTIONS(1511),
    [anon_sym_LBRACK] = ACTIONS(1511),
    [anon_sym_RBRACK] = ACTIONS(1511),
    [anon_sym_BANG] = ACTIONS(1513),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_DASH_PERCENT] = ACTIONS(1513),
    [anon_sym_AMP] = ACTIONS(1513),
    [anon_sym_or] = ACTIONS(1513),
    [anon_sym_and] = ACTIONS(1511),
    [anon_sym_EQ_EQ] = ACTIONS(1511),
    [anon_sym_BANG_EQ] = ACTIONS(1511),
    [anon_sym_GT] = ACTIONS(1513),
    [anon_sym_GT_EQ] = ACTIONS(1511),
    [anon_sym_LT_EQ] = ACTIONS(1511),
    [anon_sym_LT] = ACTIONS(1513),
    [anon_sym_CARET] = ACTIONS(1513),
    [anon_sym_orelse] = ACTIONS(1511),
    [anon_sym_LT_LT] = ACTIONS(1513),
    [anon_sym_GT_GT] = ACTIONS(1513),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1513),
    [anon_sym_PLUS_PIPE] = ACTIONS(1513),
    [anon_sym_DASH_PIPE] = ACTIONS(1513),
    [anon_sym_SLASH] = ACTIONS(1513),
    [anon_sym_PERCENT] = ACTIONS(1513),
    [anon_sym_STAR_STAR] = ACTIONS(1511),
    [anon_sym_STAR_PERCENT] = ACTIONS(1513),
    [anon_sym_STAR_PIPE] = ACTIONS(1513),
    [anon_sym_PIPE_PIPE] = ACTIONS(1511),
    [anon_sym_catch] = ACTIONS(1511),
    [anon_sym_EQ_GT] = ACTIONS(1511),
    [anon_sym_DOT] = ACTIONS(1513),
    [anon_sym_DOT_STAR] = ACTIONS(1511),
    [anon_sym_DOT_QMARK] = ACTIONS(1511),
    [sym_comment] = ACTIONS(3),
  },
  [851] = {
    [ts_builtin_sym_end] = ACTIONS(1515),
    [anon_sym_COMMA] = ACTIONS(1515),
    [anon_sym_COLON] = ACTIONS(1515),
    [anon_sym_EQ] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_STAR_EQ] = ACTIONS(1515),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1515),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1515),
    [anon_sym_SLASH_EQ] = ACTIONS(1515),
    [anon_sym_PERCENT_EQ] = ACTIONS(1515),
    [anon_sym_PLUS_EQ] = ACTIONS(1515),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1515),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1515),
    [anon_sym_DASH_EQ] = ACTIONS(1515),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1515),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1515),
    [anon_sym_LT_LT_EQ] = ACTIONS(1515),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1515),
    [anon_sym_GT_GT_EQ] = ACTIONS(1515),
    [anon_sym_AMP_EQ] = ACTIONS(1515),
    [anon_sym_CARET_EQ] = ACTIONS(1515),
    [anon_sym_PIPE_EQ] = ACTIONS(1515),
    [anon_sym_LPAREN] = ACTIONS(1515),
    [anon_sym_RPAREN] = ACTIONS(1515),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(1515),
    [anon_sym_else] = ACTIONS(1515),
    [anon_sym_DOT_DOT] = ACTIONS(1515),
    [anon_sym_PIPE] = ACTIONS(1517),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_align] = ACTIONS(1515),
    [anon_sym_addrspace] = ACTIONS(1515),
    [anon_sym_linksection] = ACTIONS(1515),
    [anon_sym_LBRACK] = ACTIONS(1515),
    [anon_sym_RBRACK] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1517),
    [anon_sym_DASH_PERCENT] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_or] = ACTIONS(1517),
    [anon_sym_and] = ACTIONS(1515),
    [anon_sym_EQ_EQ] = ACTIONS(1515),
    [anon_sym_BANG_EQ] = ACTIONS(1515),
    [anon_sym_GT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1515),
    [anon_sym_LT_EQ] = ACTIONS(1515),
    [anon_sym_LT] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_orelse] = ACTIONS(1515),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1517),
    [anon_sym_PLUS_PIPE] = ACTIONS(1517),
    [anon_sym_DASH_PIPE] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1517),
    [anon_sym_PERCENT] = ACTIONS(1517),
    [anon_sym_STAR_STAR] = ACTIONS(1515),
    [anon_sym_STAR_PERCENT] = ACTIONS(1517),
    [anon_sym_STAR_PIPE] = ACTIONS(1517),
    [anon_sym_PIPE_PIPE] = ACTIONS(1515),
    [anon_sym_catch] = ACTIONS(1515),
    [anon_sym_EQ_GT] = ACTIONS(1515),
    [anon_sym_DOT] = ACTIONS(1517),
    [anon_sym_DOT_STAR] = ACTIONS(1515),
    [anon_sym_DOT_QMARK] = ACTIONS(1515),
    [sym_comment] = ACTIONS(3),
  },
  [852] = {
    [ts_builtin_sym_end] = ACTIONS(958),
    [anon_sym_COMMA] = ACTIONS(958),
    [anon_sym_COLON] = ACTIONS(1519),
    [anon_sym_EQ] = ACTIONS(960),
    [anon_sym_SEMI] = ACTIONS(958),
    [anon_sym_STAR_EQ] = ACTIONS(958),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(958),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(958),
    [anon_sym_SLASH_EQ] = ACTIONS(958),
    [anon_sym_PERCENT_EQ] = ACTIONS(958),
    [anon_sym_PLUS_EQ] = ACTIONS(958),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(958),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(958),
    [anon_sym_DASH_EQ] = ACTIONS(958),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(958),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(958),
    [anon_sym_LT_LT_EQ] = ACTIONS(958),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(958),
    [anon_sym_GT_GT_EQ] = ACTIONS(958),
    [anon_sym_AMP_EQ] = ACTIONS(958),
    [anon_sym_CARET_EQ] = ACTIONS(958),
    [anon_sym_PIPE_EQ] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(958),
    [anon_sym_RPAREN] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(958),
    [anon_sym_RBRACE] = ACTIONS(958),
    [anon_sym_else] = ACTIONS(958),
    [anon_sym_DOT_DOT] = ACTIONS(958),
    [anon_sym_PIPE] = ACTIONS(960),
    [anon_sym_STAR] = ACTIONS(960),
    [anon_sym_align] = ACTIONS(958),
    [anon_sym_addrspace] = ACTIONS(958),
    [anon_sym_linksection] = ACTIONS(958),
    [anon_sym_LBRACK] = ACTIONS(958),
    [anon_sym_RBRACK] = ACTIONS(958),
    [anon_sym_BANG] = ACTIONS(960),
    [anon_sym_DASH] = ACTIONS(960),
    [anon_sym_DASH_PERCENT] = ACTIONS(960),
    [anon_sym_AMP] = ACTIONS(960),
    [anon_sym_or] = ACTIONS(960),
    [anon_sym_and] = ACTIONS(958),
    [anon_sym_EQ_EQ] = ACTIONS(958),
    [anon_sym_BANG_EQ] = ACTIONS(958),
    [anon_sym_GT] = ACTIONS(960),
    [anon_sym_GT_EQ] = ACTIONS(958),
    [anon_sym_LT_EQ] = ACTIONS(958),
    [anon_sym_LT] = ACTIONS(960),
    [anon_sym_CARET] = ACTIONS(960),
    [anon_sym_orelse] = ACTIONS(958),
    [anon_sym_LT_LT] = ACTIONS(960),
    [anon_sym_GT_GT] = ACTIONS(960),
    [anon_sym_LT_LT_PIPE] = ACTIONS(960),
    [anon_sym_PLUS] = ACTIONS(960),
    [anon_sym_PLUS_PLUS] = ACTIONS(958),
    [anon_sym_PLUS_PERCENT] = ACTIONS(960),
    [anon_sym_PLUS_PIPE] = ACTIONS(960),
    [anon_sym_DASH_PIPE] = ACTIONS(960),
    [anon_sym_SLASH] = ACTIONS(960),
    [anon_sym_PERCENT] = ACTIONS(960),
    [anon_sym_STAR_STAR] = ACTIONS(958),
    [anon_sym_STAR_PERCENT] = ACTIONS(960),
    [anon_sym_STAR_PIPE] = ACTIONS(960),
    [anon_sym_PIPE_PIPE] = ACTIONS(958),
    [anon_sym_catch] = ACTIONS(958),
    [anon_sym_EQ_GT] = ACTIONS(958),
    [anon_sym_DOT] = ACTIONS(960),
    [anon_sym_DOT_STAR] = ACTIONS(958),
    [anon_sym_DOT_QMARK] = ACTIONS(958),
    [sym_comment] = ACTIONS(3),
  },
  [853] = {
    [ts_builtin_sym_end] = ACTIONS(1521),
    [anon_sym_COMMA] = ACTIONS(1521),
    [anon_sym_COLON] = ACTIONS(1521),
    [anon_sym_EQ] = ACTIONS(1523),
    [anon_sym_SEMI] = ACTIONS(1521),
    [anon_sym_STAR_EQ] = ACTIONS(1521),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1521),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1521),
    [anon_sym_SLASH_EQ] = ACTIONS(1521),
    [anon_sym_PERCENT_EQ] = ACTIONS(1521),
    [anon_sym_PLUS_EQ] = ACTIONS(1521),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1521),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1521),
    [anon_sym_DASH_EQ] = ACTIONS(1521),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1521),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1521),
    [anon_sym_LT_LT_EQ] = ACTIONS(1521),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1521),
    [anon_sym_GT_GT_EQ] = ACTIONS(1521),
    [anon_sym_AMP_EQ] = ACTIONS(1521),
    [anon_sym_CARET_EQ] = ACTIONS(1521),
    [anon_sym_PIPE_EQ] = ACTIONS(1521),
    [anon_sym_LPAREN] = ACTIONS(1521),
    [anon_sym_RPAREN] = ACTIONS(1521),
    [anon_sym_LBRACE] = ACTIONS(1521),
    [anon_sym_RBRACE] = ACTIONS(1521),
    [anon_sym_else] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1521),
    [anon_sym_PIPE] = ACTIONS(1523),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_align] = ACTIONS(1521),
    [anon_sym_addrspace] = ACTIONS(1521),
    [anon_sym_linksection] = ACTIONS(1521),
    [anon_sym_LBRACK] = ACTIONS(1521),
    [anon_sym_RBRACK] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(1523),
    [anon_sym_DASH] = ACTIONS(1523),
    [anon_sym_DASH_PERCENT] = ACTIONS(1523),
    [anon_sym_AMP] = ACTIONS(1523),
    [anon_sym_or] = ACTIONS(1523),
    [anon_sym_and] = ACTIONS(1521),
    [anon_sym_EQ_EQ] = ACTIONS(1521),
    [anon_sym_BANG_EQ] = ACTIONS(1521),
    [anon_sym_GT] = ACTIONS(1523),
    [anon_sym_GT_EQ] = ACTIONS(1521),
    [anon_sym_LT_EQ] = ACTIONS(1521),
    [anon_sym_LT] = ACTIONS(1523),
    [anon_sym_CARET] = ACTIONS(1523),
    [anon_sym_orelse] = ACTIONS(1521),
    [anon_sym_LT_LT] = ACTIONS(1523),
    [anon_sym_GT_GT] = ACTIONS(1523),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1523),
    [anon_sym_PLUS] = ACTIONS(1523),
    [anon_sym_PLUS_PLUS] = ACTIONS(1521),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1523),
    [anon_sym_PLUS_PIPE] = ACTIONS(1523),
    [anon_sym_DASH_PIPE] = ACTIONS(1523),
    [anon_sym_SLASH] = ACTIONS(1523),
    [anon_sym_PERCENT] = ACTIONS(1523),
    [anon_sym_STAR_STAR] = ACTIONS(1521),
    [anon_sym_STAR_PERCENT] = ACTIONS(1523),
    [anon_sym_STAR_PIPE] = ACTIONS(1523),
    [anon_sym_PIPE_PIPE] = ACTIONS(1521),
    [anon_sym_catch] = ACTIONS(1521),
    [anon_sym_EQ_GT] = ACTIONS(1521),
    [anon_sym_DOT] = ACTIONS(1523),
    [anon_sym_DOT_STAR] = ACTIONS(1521),
    [anon_sym_DOT_QMARK] = ACTIONS(1521),
    [sym_comment] = ACTIONS(3),
  },
  [854] = {
    [ts_builtin_sym_end] = ACTIONS(1525),
    [anon_sym_COMMA] = ACTIONS(1525),
    [anon_sym_COLON] = ACTIONS(1525),
    [anon_sym_EQ] = ACTIONS(1527),
    [anon_sym_SEMI] = ACTIONS(1525),
    [anon_sym_STAR_EQ] = ACTIONS(1525),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1525),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1525),
    [anon_sym_SLASH_EQ] = ACTIONS(1525),
    [anon_sym_PERCENT_EQ] = ACTIONS(1525),
    [anon_sym_PLUS_EQ] = ACTIONS(1525),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1525),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1525),
    [anon_sym_DASH_EQ] = ACTIONS(1525),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1525),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1525),
    [anon_sym_LT_LT_EQ] = ACTIONS(1525),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1525),
    [anon_sym_GT_GT_EQ] = ACTIONS(1525),
    [anon_sym_AMP_EQ] = ACTIONS(1525),
    [anon_sym_CARET_EQ] = ACTIONS(1525),
    [anon_sym_PIPE_EQ] = ACTIONS(1525),
    [anon_sym_LPAREN] = ACTIONS(1525),
    [anon_sym_RPAREN] = ACTIONS(1525),
    [anon_sym_LBRACE] = ACTIONS(1525),
    [anon_sym_RBRACE] = ACTIONS(1525),
    [anon_sym_else] = ACTIONS(1525),
    [anon_sym_DOT_DOT] = ACTIONS(1525),
    [anon_sym_PIPE] = ACTIONS(1527),
    [anon_sym_STAR] = ACTIONS(1527),
    [anon_sym_align] = ACTIONS(1525),
    [anon_sym_addrspace] = ACTIONS(1525),
    [anon_sym_linksection] = ACTIONS(1525),
    [anon_sym_LBRACK] = ACTIONS(1525),
    [anon_sym_RBRACK] = ACTIONS(1525),
    [anon_sym_BANG] = ACTIONS(1527),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_DASH_PERCENT] = ACTIONS(1527),
    [anon_sym_AMP] = ACTIONS(1527),
    [anon_sym_or] = ACTIONS(1527),
    [anon_sym_and] = ACTIONS(1525),
    [anon_sym_EQ_EQ] = ACTIONS(1525),
    [anon_sym_BANG_EQ] = ACTIONS(1525),
    [anon_sym_GT] = ACTIONS(1527),
    [anon_sym_GT_EQ] = ACTIONS(1525),
    [anon_sym_LT_EQ] = ACTIONS(1525),
    [anon_sym_LT] = ACTIONS(1527),
    [anon_sym_CARET] = ACTIONS(1527),
    [anon_sym_orelse] = ACTIONS(1525),
    [anon_sym_LT_LT] = ACTIONS(1527),
    [anon_sym_GT_GT] = ACTIONS(1527),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1527),
    [anon_sym_PLUS] = ACTIONS(1527),
    [anon_sym_PLUS_PLUS] = ACTIONS(1525),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1527),
    [anon_sym_PLUS_PIPE] = ACTIONS(1527),
    [anon_sym_DASH_PIPE] = ACTIONS(1527),
    [anon_sym_SLASH] = ACTIONS(1527),
    [anon_sym_PERCENT] = ACTIONS(1527),
    [anon_sym_STAR_STAR] = ACTIONS(1525),
    [anon_sym_STAR_PERCENT] = ACTIONS(1527),
    [anon_sym_STAR_PIPE] = ACTIONS(1527),
    [anon_sym_PIPE_PIPE] = ACTIONS(1525),
    [anon_sym_catch] = ACTIONS(1525),
    [anon_sym_EQ_GT] = ACTIONS(1525),
    [anon_sym_DOT] = ACTIONS(1527),
    [anon_sym_DOT_STAR] = ACTIONS(1525),
    [anon_sym_DOT_QMARK] = ACTIONS(1525),
    [sym_comment] = ACTIONS(3),
  },
  [855] = {
    [ts_builtin_sym_end] = ACTIONS(1529),
    [anon_sym_COMMA] = ACTIONS(1529),
    [anon_sym_COLON] = ACTIONS(1529),
    [anon_sym_EQ] = ACTIONS(1531),
    [anon_sym_SEMI] = ACTIONS(1529),
    [anon_sym_STAR_EQ] = ACTIONS(1529),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1529),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1529),
    [anon_sym_SLASH_EQ] = ACTIONS(1529),
    [anon_sym_PERCENT_EQ] = ACTIONS(1529),
    [anon_sym_PLUS_EQ] = ACTIONS(1529),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1529),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1529),
    [anon_sym_DASH_EQ] = ACTIONS(1529),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1529),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1529),
    [anon_sym_LT_LT_EQ] = ACTIONS(1529),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1529),
    [anon_sym_GT_GT_EQ] = ACTIONS(1529),
    [anon_sym_AMP_EQ] = ACTIONS(1529),
    [anon_sym_CARET_EQ] = ACTIONS(1529),
    [anon_sym_PIPE_EQ] = ACTIONS(1529),
    [anon_sym_LPAREN] = ACTIONS(1529),
    [anon_sym_RPAREN] = ACTIONS(1529),
    [anon_sym_LBRACE] = ACTIONS(1529),
    [anon_sym_RBRACE] = ACTIONS(1529),
    [anon_sym_else] = ACTIONS(1529),
    [anon_sym_DOT_DOT] = ACTIONS(1529),
    [anon_sym_PIPE] = ACTIONS(1531),
    [anon_sym_STAR] = ACTIONS(1531),
    [anon_sym_align] = ACTIONS(1529),
    [anon_sym_addrspace] = ACTIONS(1529),
    [anon_sym_linksection] = ACTIONS(1529),
    [anon_sym_LBRACK] = ACTIONS(1529),
    [anon_sym_RBRACK] = ACTIONS(1529),
    [anon_sym_BANG] = ACTIONS(1531),
    [anon_sym_DASH] = ACTIONS(1531),
    [anon_sym_DASH_PERCENT] = ACTIONS(1531),
    [anon_sym_AMP] = ACTIONS(1531),
    [anon_sym_or] = ACTIONS(1531),
    [anon_sym_and] = ACTIONS(1529),
    [anon_sym_EQ_EQ] = ACTIONS(1529),
    [anon_sym_BANG_EQ] = ACTIONS(1529),
    [anon_sym_GT] = ACTIONS(1531),
    [anon_sym_GT_EQ] = ACTIONS(1529),
    [anon_sym_LT_EQ] = ACTIONS(1529),
    [anon_sym_LT] = ACTIONS(1531),
    [anon_sym_CARET] = ACTIONS(1531),
    [anon_sym_orelse] = ACTIONS(1529),
    [anon_sym_LT_LT] = ACTIONS(1531),
    [anon_sym_GT_GT] = ACTIONS(1531),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1531),
    [anon_sym_PLUS] = ACTIONS(1531),
    [anon_sym_PLUS_PLUS] = ACTIONS(1529),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1531),
    [anon_sym_PLUS_PIPE] = ACTIONS(1531),
    [anon_sym_DASH_PIPE] = ACTIONS(1531),
    [anon_sym_SLASH] = ACTIONS(1531),
    [anon_sym_PERCENT] = ACTIONS(1531),
    [anon_sym_STAR_STAR] = ACTIONS(1529),
    [anon_sym_STAR_PERCENT] = ACTIONS(1531),
    [anon_sym_STAR_PIPE] = ACTIONS(1531),
    [anon_sym_PIPE_PIPE] = ACTIONS(1529),
    [anon_sym_catch] = ACTIONS(1529),
    [anon_sym_EQ_GT] = ACTIONS(1529),
    [anon_sym_DOT] = ACTIONS(1531),
    [anon_sym_DOT_STAR] = ACTIONS(1529),
    [anon_sym_DOT_QMARK] = ACTIONS(1529),
    [sym_comment] = ACTIONS(3),
  },
  [856] = {
    [ts_builtin_sym_end] = ACTIONS(1533),
    [anon_sym_COMMA] = ACTIONS(1533),
    [anon_sym_COLON] = ACTIONS(1533),
    [anon_sym_EQ] = ACTIONS(1535),
    [anon_sym_SEMI] = ACTIONS(1533),
    [anon_sym_STAR_EQ] = ACTIONS(1533),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1533),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1533),
    [anon_sym_SLASH_EQ] = ACTIONS(1533),
    [anon_sym_PERCENT_EQ] = ACTIONS(1533),
    [anon_sym_PLUS_EQ] = ACTIONS(1533),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1533),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1533),
    [anon_sym_DASH_EQ] = ACTIONS(1533),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1533),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1533),
    [anon_sym_LT_LT_EQ] = ACTIONS(1533),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1533),
    [anon_sym_GT_GT_EQ] = ACTIONS(1533),
    [anon_sym_AMP_EQ] = ACTIONS(1533),
    [anon_sym_CARET_EQ] = ACTIONS(1533),
    [anon_sym_PIPE_EQ] = ACTIONS(1533),
    [anon_sym_LPAREN] = ACTIONS(1533),
    [anon_sym_RPAREN] = ACTIONS(1533),
    [anon_sym_LBRACE] = ACTIONS(1533),
    [anon_sym_RBRACE] = ACTIONS(1533),
    [anon_sym_else] = ACTIONS(1533),
    [anon_sym_DOT_DOT] = ACTIONS(1533),
    [anon_sym_PIPE] = ACTIONS(1535),
    [anon_sym_STAR] = ACTIONS(1535),
    [anon_sym_align] = ACTIONS(1533),
    [anon_sym_addrspace] = ACTIONS(1533),
    [anon_sym_linksection] = ACTIONS(1533),
    [anon_sym_LBRACK] = ACTIONS(1533),
    [anon_sym_RBRACK] = ACTIONS(1533),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_DASH] = ACTIONS(1535),
    [anon_sym_DASH_PERCENT] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_or] = ACTIONS(1535),
    [anon_sym_and] = ACTIONS(1533),
    [anon_sym_EQ_EQ] = ACTIONS(1533),
    [anon_sym_BANG_EQ] = ACTIONS(1533),
    [anon_sym_GT] = ACTIONS(1535),
    [anon_sym_GT_EQ] = ACTIONS(1533),
    [anon_sym_LT_EQ] = ACTIONS(1533),
    [anon_sym_LT] = ACTIONS(1535),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_orelse] = ACTIONS(1533),
    [anon_sym_LT_LT] = ACTIONS(1535),
    [anon_sym_GT_GT] = ACTIONS(1535),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1535),
    [anon_sym_PLUS] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1533),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1535),
    [anon_sym_PLUS_PIPE] = ACTIONS(1535),
    [anon_sym_DASH_PIPE] = ACTIONS(1535),
    [anon_sym_SLASH] = ACTIONS(1535),
    [anon_sym_PERCENT] = ACTIONS(1535),
    [anon_sym_STAR_STAR] = ACTIONS(1533),
    [anon_sym_STAR_PERCENT] = ACTIONS(1535),
    [anon_sym_STAR_PIPE] = ACTIONS(1535),
    [anon_sym_PIPE_PIPE] = ACTIONS(1533),
    [anon_sym_catch] = ACTIONS(1533),
    [anon_sym_EQ_GT] = ACTIONS(1533),
    [anon_sym_DOT] = ACTIONS(1535),
    [anon_sym_DOT_STAR] = ACTIONS(1533),
    [anon_sym_DOT_QMARK] = ACTIONS(1533),
    [sym_comment] = ACTIONS(3),
  },
  [857] = {
    [ts_builtin_sym_end] = ACTIONS(1537),
    [anon_sym_COMMA] = ACTIONS(1537),
    [anon_sym_COLON] = ACTIONS(1537),
    [anon_sym_EQ] = ACTIONS(1539),
    [anon_sym_SEMI] = ACTIONS(1537),
    [anon_sym_STAR_EQ] = ACTIONS(1537),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1537),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1537),
    [anon_sym_SLASH_EQ] = ACTIONS(1537),
    [anon_sym_PERCENT_EQ] = ACTIONS(1537),
    [anon_sym_PLUS_EQ] = ACTIONS(1537),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1537),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1537),
    [anon_sym_DASH_EQ] = ACTIONS(1537),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1537),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1537),
    [anon_sym_LT_LT_EQ] = ACTIONS(1537),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1537),
    [anon_sym_GT_GT_EQ] = ACTIONS(1537),
    [anon_sym_AMP_EQ] = ACTIONS(1537),
    [anon_sym_CARET_EQ] = ACTIONS(1537),
    [anon_sym_PIPE_EQ] = ACTIONS(1537),
    [anon_sym_LPAREN] = ACTIONS(1537),
    [anon_sym_RPAREN] = ACTIONS(1537),
    [anon_sym_LBRACE] = ACTIONS(1537),
    [anon_sym_RBRACE] = ACTIONS(1537),
    [anon_sym_else] = ACTIONS(1537),
    [anon_sym_DOT_DOT] = ACTIONS(1537),
    [anon_sym_PIPE] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(1539),
    [anon_sym_align] = ACTIONS(1537),
    [anon_sym_addrspace] = ACTIONS(1537),
    [anon_sym_linksection] = ACTIONS(1537),
    [anon_sym_LBRACK] = ACTIONS(1537),
    [anon_sym_RBRACK] = ACTIONS(1537),
    [anon_sym_BANG] = ACTIONS(1539),
    [anon_sym_DASH] = ACTIONS(1539),
    [anon_sym_DASH_PERCENT] = ACTIONS(1539),
    [anon_sym_AMP] = ACTIONS(1539),
    [anon_sym_or] = ACTIONS(1539),
    [anon_sym_and] = ACTIONS(1537),
    [anon_sym_EQ_EQ] = ACTIONS(1537),
    [anon_sym_BANG_EQ] = ACTIONS(1537),
    [anon_sym_GT] = ACTIONS(1539),
    [anon_sym_GT_EQ] = ACTIONS(1537),
    [anon_sym_LT_EQ] = ACTIONS(1537),
    [anon_sym_LT] = ACTIONS(1539),
    [anon_sym_CARET] = ACTIONS(1539),
    [anon_sym_orelse] = ACTIONS(1537),
    [anon_sym_LT_LT] = ACTIONS(1539),
    [anon_sym_GT_GT] = ACTIONS(1539),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1539),
    [anon_sym_PLUS] = ACTIONS(1539),
    [anon_sym_PLUS_PLUS] = ACTIONS(1537),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1539),
    [anon_sym_PLUS_PIPE] = ACTIONS(1539),
    [anon_sym_DASH_PIPE] = ACTIONS(1539),
    [anon_sym_SLASH] = ACTIONS(1539),
    [anon_sym_PERCENT] = ACTIONS(1539),
    [anon_sym_STAR_STAR] = ACTIONS(1537),
    [anon_sym_STAR_PERCENT] = ACTIONS(1539),
    [anon_sym_STAR_PIPE] = ACTIONS(1539),
    [anon_sym_PIPE_PIPE] = ACTIONS(1537),
    [anon_sym_catch] = ACTIONS(1537),
    [anon_sym_EQ_GT] = ACTIONS(1537),
    [anon_sym_DOT] = ACTIONS(1539),
    [anon_sym_DOT_STAR] = ACTIONS(1537),
    [anon_sym_DOT_QMARK] = ACTIONS(1537),
    [sym_comment] = ACTIONS(3),
  },
  [858] = {
    [ts_builtin_sym_end] = ACTIONS(1541),
    [anon_sym_COMMA] = ACTIONS(1541),
    [anon_sym_COLON] = ACTIONS(1541),
    [anon_sym_EQ] = ACTIONS(1543),
    [anon_sym_SEMI] = ACTIONS(1541),
    [anon_sym_STAR_EQ] = ACTIONS(1541),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1541),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1541),
    [anon_sym_SLASH_EQ] = ACTIONS(1541),
    [anon_sym_PERCENT_EQ] = ACTIONS(1541),
    [anon_sym_PLUS_EQ] = ACTIONS(1541),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1541),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1541),
    [anon_sym_DASH_EQ] = ACTIONS(1541),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1541),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1541),
    [anon_sym_LT_LT_EQ] = ACTIONS(1541),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1541),
    [anon_sym_GT_GT_EQ] = ACTIONS(1541),
    [anon_sym_AMP_EQ] = ACTIONS(1541),
    [anon_sym_CARET_EQ] = ACTIONS(1541),
    [anon_sym_PIPE_EQ] = ACTIONS(1541),
    [anon_sym_LPAREN] = ACTIONS(1541),
    [anon_sym_RPAREN] = ACTIONS(1541),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_RBRACE] = ACTIONS(1541),
    [anon_sym_else] = ACTIONS(1541),
    [anon_sym_DOT_DOT] = ACTIONS(1541),
    [anon_sym_PIPE] = ACTIONS(1543),
    [anon_sym_STAR] = ACTIONS(1543),
    [anon_sym_align] = ACTIONS(1541),
    [anon_sym_addrspace] = ACTIONS(1541),
    [anon_sym_linksection] = ACTIONS(1541),
    [anon_sym_LBRACK] = ACTIONS(1541),
    [anon_sym_RBRACK] = ACTIONS(1541),
    [anon_sym_BANG] = ACTIONS(1543),
    [anon_sym_DASH] = ACTIONS(1543),
    [anon_sym_DASH_PERCENT] = ACTIONS(1543),
    [anon_sym_AMP] = ACTIONS(1543),
    [anon_sym_or] = ACTIONS(1543),
    [anon_sym_and] = ACTIONS(1541),
    [anon_sym_EQ_EQ] = ACTIONS(1541),
    [anon_sym_BANG_EQ] = ACTIONS(1541),
    [anon_sym_GT] = ACTIONS(1543),
    [anon_sym_GT_EQ] = ACTIONS(1541),
    [anon_sym_LT_EQ] = ACTIONS(1541),
    [anon_sym_LT] = ACTIONS(1543),
    [anon_sym_CARET] = ACTIONS(1543),
    [anon_sym_orelse] = ACTIONS(1541),
    [anon_sym_LT_LT] = ACTIONS(1543),
    [anon_sym_GT_GT] = ACTIONS(1543),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1543),
    [anon_sym_PLUS] = ACTIONS(1543),
    [anon_sym_PLUS_PLUS] = ACTIONS(1541),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1543),
    [anon_sym_PLUS_PIPE] = ACTIONS(1543),
    [anon_sym_DASH_PIPE] = ACTIONS(1543),
    [anon_sym_SLASH] = ACTIONS(1543),
    [anon_sym_PERCENT] = ACTIONS(1543),
    [anon_sym_STAR_STAR] = ACTIONS(1541),
    [anon_sym_STAR_PERCENT] = ACTIONS(1543),
    [anon_sym_STAR_PIPE] = ACTIONS(1543),
    [anon_sym_PIPE_PIPE] = ACTIONS(1541),
    [anon_sym_catch] = ACTIONS(1541),
    [anon_sym_EQ_GT] = ACTIONS(1541),
    [anon_sym_DOT] = ACTIONS(1543),
    [anon_sym_DOT_STAR] = ACTIONS(1541),
    [anon_sym_DOT_QMARK] = ACTIONS(1541),
    [sym_comment] = ACTIONS(3),
  },
  [859] = {
    [ts_builtin_sym_end] = ACTIONS(1545),
    [anon_sym_COMMA] = ACTIONS(1545),
    [anon_sym_COLON] = ACTIONS(1545),
    [anon_sym_EQ] = ACTIONS(1547),
    [anon_sym_SEMI] = ACTIONS(1545),
    [anon_sym_STAR_EQ] = ACTIONS(1545),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1545),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1545),
    [anon_sym_SLASH_EQ] = ACTIONS(1545),
    [anon_sym_PERCENT_EQ] = ACTIONS(1545),
    [anon_sym_PLUS_EQ] = ACTIONS(1545),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1545),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1545),
    [anon_sym_DASH_EQ] = ACTIONS(1545),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1545),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1545),
    [anon_sym_LT_LT_EQ] = ACTIONS(1545),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1545),
    [anon_sym_GT_GT_EQ] = ACTIONS(1545),
    [anon_sym_AMP_EQ] = ACTIONS(1545),
    [anon_sym_CARET_EQ] = ACTIONS(1545),
    [anon_sym_PIPE_EQ] = ACTIONS(1545),
    [anon_sym_LPAREN] = ACTIONS(1545),
    [anon_sym_RPAREN] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(1545),
    [anon_sym_RBRACE] = ACTIONS(1545),
    [anon_sym_else] = ACTIONS(1545),
    [anon_sym_DOT_DOT] = ACTIONS(1545),
    [anon_sym_PIPE] = ACTIONS(1547),
    [anon_sym_STAR] = ACTIONS(1547),
    [anon_sym_align] = ACTIONS(1545),
    [anon_sym_addrspace] = ACTIONS(1545),
    [anon_sym_linksection] = ACTIONS(1545),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_RBRACK] = ACTIONS(1545),
    [anon_sym_BANG] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1547),
    [anon_sym_DASH_PERCENT] = ACTIONS(1547),
    [anon_sym_AMP] = ACTIONS(1547),
    [anon_sym_or] = ACTIONS(1547),
    [anon_sym_and] = ACTIONS(1545),
    [anon_sym_EQ_EQ] = ACTIONS(1545),
    [anon_sym_BANG_EQ] = ACTIONS(1545),
    [anon_sym_GT] = ACTIONS(1547),
    [anon_sym_GT_EQ] = ACTIONS(1545),
    [anon_sym_LT_EQ] = ACTIONS(1545),
    [anon_sym_LT] = ACTIONS(1547),
    [anon_sym_CARET] = ACTIONS(1547),
    [anon_sym_orelse] = ACTIONS(1545),
    [anon_sym_LT_LT] = ACTIONS(1547),
    [anon_sym_GT_GT] = ACTIONS(1547),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1547),
    [anon_sym_PLUS] = ACTIONS(1547),
    [anon_sym_PLUS_PLUS] = ACTIONS(1545),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1547),
    [anon_sym_PLUS_PIPE] = ACTIONS(1547),
    [anon_sym_DASH_PIPE] = ACTIONS(1547),
    [anon_sym_SLASH] = ACTIONS(1547),
    [anon_sym_PERCENT] = ACTIONS(1547),
    [anon_sym_STAR_STAR] = ACTIONS(1545),
    [anon_sym_STAR_PERCENT] = ACTIONS(1547),
    [anon_sym_STAR_PIPE] = ACTIONS(1547),
    [anon_sym_PIPE_PIPE] = ACTIONS(1545),
    [anon_sym_catch] = ACTIONS(1545),
    [anon_sym_EQ_GT] = ACTIONS(1545),
    [anon_sym_DOT] = ACTIONS(1547),
    [anon_sym_DOT_STAR] = ACTIONS(1545),
    [anon_sym_DOT_QMARK] = ACTIONS(1545),
    [sym_comment] = ACTIONS(3),
  },
  [860] = {
    [ts_builtin_sym_end] = ACTIONS(1549),
    [anon_sym_COMMA] = ACTIONS(1549),
    [anon_sym_COLON] = ACTIONS(1549),
    [anon_sym_EQ] = ACTIONS(1551),
    [anon_sym_SEMI] = ACTIONS(1549),
    [anon_sym_STAR_EQ] = ACTIONS(1549),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1549),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1549),
    [anon_sym_SLASH_EQ] = ACTIONS(1549),
    [anon_sym_PERCENT_EQ] = ACTIONS(1549),
    [anon_sym_PLUS_EQ] = ACTIONS(1549),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1549),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1549),
    [anon_sym_DASH_EQ] = ACTIONS(1549),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1549),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1549),
    [anon_sym_LT_LT_EQ] = ACTIONS(1549),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1549),
    [anon_sym_GT_GT_EQ] = ACTIONS(1549),
    [anon_sym_AMP_EQ] = ACTIONS(1549),
    [anon_sym_CARET_EQ] = ACTIONS(1549),
    [anon_sym_PIPE_EQ] = ACTIONS(1549),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(1549),
    [anon_sym_LBRACE] = ACTIONS(1549),
    [anon_sym_RBRACE] = ACTIONS(1549),
    [anon_sym_else] = ACTIONS(1549),
    [anon_sym_DOT_DOT] = ACTIONS(1549),
    [anon_sym_PIPE] = ACTIONS(1551),
    [anon_sym_STAR] = ACTIONS(1551),
    [anon_sym_align] = ACTIONS(1549),
    [anon_sym_addrspace] = ACTIONS(1549),
    [anon_sym_linksection] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_RBRACK] = ACTIONS(1549),
    [anon_sym_BANG] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1551),
    [anon_sym_DASH_PERCENT] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(1551),
    [anon_sym_or] = ACTIONS(1551),
    [anon_sym_and] = ACTIONS(1549),
    [anon_sym_EQ_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(1551),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_LT] = ACTIONS(1551),
    [anon_sym_CARET] = ACTIONS(1551),
    [anon_sym_orelse] = ACTIONS(1549),
    [anon_sym_LT_LT] = ACTIONS(1551),
    [anon_sym_GT_GT] = ACTIONS(1551),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1551),
    [anon_sym_PLUS] = ACTIONS(1551),
    [anon_sym_PLUS_PLUS] = ACTIONS(1549),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1551),
    [anon_sym_PLUS_PIPE] = ACTIONS(1551),
    [anon_sym_DASH_PIPE] = ACTIONS(1551),
    [anon_sym_SLASH] = ACTIONS(1551),
    [anon_sym_PERCENT] = ACTIONS(1551),
    [anon_sym_STAR_STAR] = ACTIONS(1549),
    [anon_sym_STAR_PERCENT] = ACTIONS(1551),
    [anon_sym_STAR_PIPE] = ACTIONS(1551),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [anon_sym_catch] = ACTIONS(1549),
    [anon_sym_EQ_GT] = ACTIONS(1549),
    [anon_sym_DOT] = ACTIONS(1551),
    [anon_sym_DOT_STAR] = ACTIONS(1549),
    [anon_sym_DOT_QMARK] = ACTIONS(1549),
    [sym_comment] = ACTIONS(3),
  },
  [861] = {
    [ts_builtin_sym_end] = ACTIONS(1553),
    [anon_sym_COMMA] = ACTIONS(1553),
    [anon_sym_COLON] = ACTIONS(1553),
    [anon_sym_EQ] = ACTIONS(1555),
    [anon_sym_SEMI] = ACTIONS(1553),
    [anon_sym_STAR_EQ] = ACTIONS(1553),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1553),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1553),
    [anon_sym_SLASH_EQ] = ACTIONS(1553),
    [anon_sym_PERCENT_EQ] = ACTIONS(1553),
    [anon_sym_PLUS_EQ] = ACTIONS(1553),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1553),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1553),
    [anon_sym_DASH_EQ] = ACTIONS(1553),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1553),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1553),
    [anon_sym_LT_LT_EQ] = ACTIONS(1553),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1553),
    [anon_sym_GT_GT_EQ] = ACTIONS(1553),
    [anon_sym_AMP_EQ] = ACTIONS(1553),
    [anon_sym_CARET_EQ] = ACTIONS(1553),
    [anon_sym_PIPE_EQ] = ACTIONS(1553),
    [anon_sym_LPAREN] = ACTIONS(1553),
    [anon_sym_RPAREN] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1553),
    [anon_sym_RBRACE] = ACTIONS(1553),
    [anon_sym_else] = ACTIONS(1553),
    [anon_sym_DOT_DOT] = ACTIONS(1553),
    [anon_sym_PIPE] = ACTIONS(1555),
    [anon_sym_STAR] = ACTIONS(1555),
    [anon_sym_align] = ACTIONS(1553),
    [anon_sym_addrspace] = ACTIONS(1553),
    [anon_sym_linksection] = ACTIONS(1553),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(1555),
    [anon_sym_DASH] = ACTIONS(1555),
    [anon_sym_DASH_PERCENT] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(1555),
    [anon_sym_or] = ACTIONS(1555),
    [anon_sym_and] = ACTIONS(1553),
    [anon_sym_EQ_EQ] = ACTIONS(1553),
    [anon_sym_BANG_EQ] = ACTIONS(1553),
    [anon_sym_GT] = ACTIONS(1555),
    [anon_sym_GT_EQ] = ACTIONS(1553),
    [anon_sym_LT_EQ] = ACTIONS(1553),
    [anon_sym_LT] = ACTIONS(1555),
    [anon_sym_CARET] = ACTIONS(1555),
    [anon_sym_orelse] = ACTIONS(1553),
    [anon_sym_LT_LT] = ACTIONS(1555),
    [anon_sym_GT_GT] = ACTIONS(1555),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1555),
    [anon_sym_PLUS] = ACTIONS(1555),
    [anon_sym_PLUS_PLUS] = ACTIONS(1553),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1555),
    [anon_sym_PLUS_PIPE] = ACTIONS(1555),
    [anon_sym_DASH_PIPE] = ACTIONS(1555),
    [anon_sym_SLASH] = ACTIONS(1555),
    [anon_sym_PERCENT] = ACTIONS(1555),
    [anon_sym_STAR_STAR] = ACTIONS(1553),
    [anon_sym_STAR_PERCENT] = ACTIONS(1555),
    [anon_sym_STAR_PIPE] = ACTIONS(1555),
    [anon_sym_PIPE_PIPE] = ACTIONS(1553),
    [anon_sym_catch] = ACTIONS(1553),
    [anon_sym_EQ_GT] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(1555),
    [anon_sym_DOT_STAR] = ACTIONS(1553),
    [anon_sym_DOT_QMARK] = ACTIONS(1553),
    [sym_comment] = ACTIONS(3),
  },
  [862] = {
    [ts_builtin_sym_end] = ACTIONS(958),
    [anon_sym_COMMA] = ACTIONS(958),
    [anon_sym_EQ] = ACTIONS(960),
    [anon_sym_SEMI] = ACTIONS(958),
    [anon_sym_STAR_EQ] = ACTIONS(958),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(958),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(958),
    [anon_sym_SLASH_EQ] = ACTIONS(958),
    [anon_sym_PERCENT_EQ] = ACTIONS(958),
    [anon_sym_PLUS_EQ] = ACTIONS(958),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(958),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(958),
    [anon_sym_DASH_EQ] = ACTIONS(958),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(958),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(958),
    [anon_sym_LT_LT_EQ] = ACTIONS(958),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(958),
    [anon_sym_GT_GT_EQ] = ACTIONS(958),
    [anon_sym_AMP_EQ] = ACTIONS(958),
    [anon_sym_CARET_EQ] = ACTIONS(958),
    [anon_sym_PIPE_EQ] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(958),
    [anon_sym_RPAREN] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(958),
    [anon_sym_RBRACE] = ACTIONS(958),
    [anon_sym_else] = ACTIONS(958),
    [anon_sym_DOT_DOT] = ACTIONS(958),
    [anon_sym_PIPE] = ACTIONS(960),
    [anon_sym_STAR] = ACTIONS(960),
    [anon_sym_align] = ACTIONS(958),
    [anon_sym_addrspace] = ACTIONS(958),
    [anon_sym_linksection] = ACTIONS(958),
    [anon_sym_LBRACK] = ACTIONS(958),
    [anon_sym_RBRACK] = ACTIONS(958),
    [anon_sym_DASH_GT] = ACTIONS(1557),
    [anon_sym_BANG] = ACTIONS(960),
    [anon_sym_DASH] = ACTIONS(960),
    [anon_sym_DASH_PERCENT] = ACTIONS(960),
    [anon_sym_AMP] = ACTIONS(960),
    [anon_sym_or] = ACTIONS(960),
    [anon_sym_and] = ACTIONS(958),
    [anon_sym_EQ_EQ] = ACTIONS(958),
    [anon_sym_BANG_EQ] = ACTIONS(958),
    [anon_sym_GT] = ACTIONS(960),
    [anon_sym_GT_EQ] = ACTIONS(958),
    [anon_sym_LT_EQ] = ACTIONS(958),
    [anon_sym_LT] = ACTIONS(960),
    [anon_sym_CARET] = ACTIONS(960),
    [anon_sym_orelse] = ACTIONS(958),
    [anon_sym_LT_LT] = ACTIONS(960),
    [anon_sym_GT_GT] = ACTIONS(960),
    [anon_sym_LT_LT_PIPE] = ACTIONS(960),
    [anon_sym_PLUS] = ACTIONS(960),
    [anon_sym_PLUS_PLUS] = ACTIONS(958),
    [anon_sym_PLUS_PERCENT] = ACTIONS(960),
    [anon_sym_PLUS_PIPE] = ACTIONS(960),
    [anon_sym_DASH_PIPE] = ACTIONS(960),
    [anon_sym_SLASH] = ACTIONS(960),
    [anon_sym_PERCENT] = ACTIONS(960),
    [anon_sym_STAR_STAR] = ACTIONS(958),
    [anon_sym_STAR_PERCENT] = ACTIONS(960),
    [anon_sym_STAR_PIPE] = ACTIONS(960),
    [anon_sym_PIPE_PIPE] = ACTIONS(958),
    [anon_sym_catch] = ACTIONS(958),
    [anon_sym_EQ_GT] = ACTIONS(958),
    [anon_sym_DOT] = ACTIONS(960),
    [anon_sym_DOT_STAR] = ACTIONS(958),
    [anon_sym_DOT_QMARK] = ACTIONS(958),
    [sym_comment] = ACTIONS(3),
  },
  [863] = {
    [ts_builtin_sym_end] = ACTIONS(1559),
    [anon_sym_COMMA] = ACTIONS(1559),
    [anon_sym_COLON] = ACTIONS(1559),
    [anon_sym_EQ] = ACTIONS(1561),
    [anon_sym_SEMI] = ACTIONS(1559),
    [anon_sym_STAR_EQ] = ACTIONS(1559),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1559),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1559),
    [anon_sym_SLASH_EQ] = ACTIONS(1559),
    [anon_sym_PERCENT_EQ] = ACTIONS(1559),
    [anon_sym_PLUS_EQ] = ACTIONS(1559),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1559),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1559),
    [anon_sym_DASH_EQ] = ACTIONS(1559),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1559),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1559),
    [anon_sym_LT_LT_EQ] = ACTIONS(1559),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1559),
    [anon_sym_GT_GT_EQ] = ACTIONS(1559),
    [anon_sym_AMP_EQ] = ACTIONS(1559),
    [anon_sym_CARET_EQ] = ACTIONS(1559),
    [anon_sym_PIPE_EQ] = ACTIONS(1559),
    [anon_sym_LPAREN] = ACTIONS(1559),
    [anon_sym_RPAREN] = ACTIONS(1559),
    [anon_sym_LBRACE] = ACTIONS(1559),
    [anon_sym_RBRACE] = ACTIONS(1559),
    [anon_sym_else] = ACTIONS(1559),
    [anon_sym_DOT_DOT] = ACTIONS(1559),
    [anon_sym_PIPE] = ACTIONS(1561),
    [anon_sym_STAR] = ACTIONS(1561),
    [anon_sym_align] = ACTIONS(1559),
    [anon_sym_addrspace] = ACTIONS(1559),
    [anon_sym_linksection] = ACTIONS(1559),
    [anon_sym_LBRACK] = ACTIONS(1559),
    [anon_sym_RBRACK] = ACTIONS(1559),
    [anon_sym_BANG] = ACTIONS(1561),
    [anon_sym_DASH] = ACTIONS(1561),
    [anon_sym_DASH_PERCENT] = ACTIONS(1561),
    [anon_sym_AMP] = ACTIONS(1561),
    [anon_sym_or] = ACTIONS(1561),
    [anon_sym_and] = ACTIONS(1559),
    [anon_sym_EQ_EQ] = ACTIONS(1559),
    [anon_sym_BANG_EQ] = ACTIONS(1559),
    [anon_sym_GT] = ACTIONS(1561),
    [anon_sym_GT_EQ] = ACTIONS(1559),
    [anon_sym_LT_EQ] = ACTIONS(1559),
    [anon_sym_LT] = ACTIONS(1561),
    [anon_sym_CARET] = ACTIONS(1561),
    [anon_sym_orelse] = ACTIONS(1559),
    [anon_sym_LT_LT] = ACTIONS(1561),
    [anon_sym_GT_GT] = ACTIONS(1561),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1561),
    [anon_sym_PLUS] = ACTIONS(1561),
    [anon_sym_PLUS_PLUS] = ACTIONS(1559),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1561),
    [anon_sym_PLUS_PIPE] = ACTIONS(1561),
    [anon_sym_DASH_PIPE] = ACTIONS(1561),
    [anon_sym_SLASH] = ACTIONS(1561),
    [anon_sym_PERCENT] = ACTIONS(1561),
    [anon_sym_STAR_STAR] = ACTIONS(1559),
    [anon_sym_STAR_PERCENT] = ACTIONS(1561),
    [anon_sym_STAR_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_PIPE] = ACTIONS(1559),
    [anon_sym_catch] = ACTIONS(1559),
    [anon_sym_EQ_GT] = ACTIONS(1559),
    [anon_sym_DOT] = ACTIONS(1561),
    [anon_sym_DOT_STAR] = ACTIONS(1559),
    [anon_sym_DOT_QMARK] = ACTIONS(1559),
    [sym_comment] = ACTIONS(3),
  },
  [864] = {
    [ts_builtin_sym_end] = ACTIONS(1563),
    [anon_sym_COMMA] = ACTIONS(1563),
    [anon_sym_COLON] = ACTIONS(1563),
    [anon_sym_EQ] = ACTIONS(1565),
    [anon_sym_SEMI] = ACTIONS(1563),
    [anon_sym_STAR_EQ] = ACTIONS(1563),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1563),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1563),
    [anon_sym_SLASH_EQ] = ACTIONS(1563),
    [anon_sym_PERCENT_EQ] = ACTIONS(1563),
    [anon_sym_PLUS_EQ] = ACTIONS(1563),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1563),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1563),
    [anon_sym_DASH_EQ] = ACTIONS(1563),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1563),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1563),
    [anon_sym_LT_LT_EQ] = ACTIONS(1563),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1563),
    [anon_sym_GT_GT_EQ] = ACTIONS(1563),
    [anon_sym_AMP_EQ] = ACTIONS(1563),
    [anon_sym_CARET_EQ] = ACTIONS(1563),
    [anon_sym_PIPE_EQ] = ACTIONS(1563),
    [anon_sym_LPAREN] = ACTIONS(1563),
    [anon_sym_RPAREN] = ACTIONS(1563),
    [anon_sym_LBRACE] = ACTIONS(1563),
    [anon_sym_RBRACE] = ACTIONS(1563),
    [anon_sym_else] = ACTIONS(1563),
    [anon_sym_DOT_DOT] = ACTIONS(1563),
    [anon_sym_PIPE] = ACTIONS(1565),
    [anon_sym_STAR] = ACTIONS(1565),
    [anon_sym_align] = ACTIONS(1563),
    [anon_sym_addrspace] = ACTIONS(1563),
    [anon_sym_linksection] = ACTIONS(1563),
    [anon_sym_LBRACK] = ACTIONS(1563),
    [anon_sym_RBRACK] = ACTIONS(1563),
    [anon_sym_BANG] = ACTIONS(1565),
    [anon_sym_DASH] = ACTIONS(1565),
    [anon_sym_DASH_PERCENT] = ACTIONS(1565),
    [anon_sym_AMP] = ACTIONS(1565),
    [anon_sym_or] = ACTIONS(1565),
    [anon_sym_and] = ACTIONS(1563),
    [anon_sym_EQ_EQ] = ACTIONS(1563),
    [anon_sym_BANG_EQ] = ACTIONS(1563),
    [anon_sym_GT] = ACTIONS(1565),
    [anon_sym_GT_EQ] = ACTIONS(1563),
    [anon_sym_LT_EQ] = ACTIONS(1563),
    [anon_sym_LT] = ACTIONS(1565),
    [anon_sym_CARET] = ACTIONS(1565),
    [anon_sym_orelse] = ACTIONS(1563),
    [anon_sym_LT_LT] = ACTIONS(1565),
    [anon_sym_GT_GT] = ACTIONS(1565),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1565),
    [anon_sym_PLUS] = ACTIONS(1565),
    [anon_sym_PLUS_PLUS] = ACTIONS(1563),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1565),
    [anon_sym_PLUS_PIPE] = ACTIONS(1565),
    [anon_sym_DASH_PIPE] = ACTIONS(1565),
    [anon_sym_SLASH] = ACTIONS(1565),
    [anon_sym_PERCENT] = ACTIONS(1565),
    [anon_sym_STAR_STAR] = ACTIONS(1563),
    [anon_sym_STAR_PERCENT] = ACTIONS(1565),
    [anon_sym_STAR_PIPE] = ACTIONS(1565),
    [anon_sym_PIPE_PIPE] = ACTIONS(1563),
    [anon_sym_catch] = ACTIONS(1563),
    [anon_sym_EQ_GT] = ACTIONS(1563),
    [anon_sym_DOT] = ACTIONS(1565),
    [anon_sym_DOT_STAR] = ACTIONS(1563),
    [anon_sym_DOT_QMARK] = ACTIONS(1563),
    [sym_comment] = ACTIONS(3),
  },
  [865] = {
    [ts_builtin_sym_end] = ACTIONS(958),
    [anon_sym_COMMA] = ACTIONS(958),
    [anon_sym_COLON] = ACTIONS(958),
    [anon_sym_EQ] = ACTIONS(960),
    [anon_sym_SEMI] = ACTIONS(958),
    [anon_sym_STAR_EQ] = ACTIONS(958),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(958),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(958),
    [anon_sym_SLASH_EQ] = ACTIONS(958),
    [anon_sym_PERCENT_EQ] = ACTIONS(958),
    [anon_sym_PLUS_EQ] = ACTIONS(958),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(958),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(958),
    [anon_sym_DASH_EQ] = ACTIONS(958),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(958),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(958),
    [anon_sym_LT_LT_EQ] = ACTIONS(958),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(958),
    [anon_sym_GT_GT_EQ] = ACTIONS(958),
    [anon_sym_AMP_EQ] = ACTIONS(958),
    [anon_sym_CARET_EQ] = ACTIONS(958),
    [anon_sym_PIPE_EQ] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(958),
    [anon_sym_RPAREN] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(958),
    [anon_sym_RBRACE] = ACTIONS(958),
    [anon_sym_else] = ACTIONS(958),
    [anon_sym_DOT_DOT] = ACTIONS(958),
    [anon_sym_PIPE] = ACTIONS(960),
    [anon_sym_STAR] = ACTIONS(960),
    [anon_sym_align] = ACTIONS(958),
    [anon_sym_addrspace] = ACTIONS(958),
    [anon_sym_linksection] = ACTIONS(958),
    [anon_sym_LBRACK] = ACTIONS(958),
    [anon_sym_RBRACK] = ACTIONS(958),
    [anon_sym_BANG] = ACTIONS(960),
    [anon_sym_DASH] = ACTIONS(960),
    [anon_sym_DASH_PERCENT] = ACTIONS(960),
    [anon_sym_AMP] = ACTIONS(960),
    [anon_sym_or] = ACTIONS(960),
    [anon_sym_and] = ACTIONS(958),
    [anon_sym_EQ_EQ] = ACTIONS(958),
    [anon_sym_BANG_EQ] = ACTIONS(958),
    [anon_sym_GT] = ACTIONS(960),
    [anon_sym_GT_EQ] = ACTIONS(958),
    [anon_sym_LT_EQ] = ACTIONS(958),
    [anon_sym_LT] = ACTIONS(960),
    [anon_sym_CARET] = ACTIONS(960),
    [anon_sym_orelse] = ACTIONS(958),
    [anon_sym_LT_LT] = ACTIONS(960),
    [anon_sym_GT_GT] = ACTIONS(960),
    [anon_sym_LT_LT_PIPE] = ACTIONS(960),
    [anon_sym_PLUS] = ACTIONS(960),
    [anon_sym_PLUS_PLUS] = ACTIONS(958),
    [anon_sym_PLUS_PERCENT] = ACTIONS(960),
    [anon_sym_PLUS_PIPE] = ACTIONS(960),
    [anon_sym_DASH_PIPE] = ACTIONS(960),
    [anon_sym_SLASH] = ACTIONS(960),
    [anon_sym_PERCENT] = ACTIONS(960),
    [anon_sym_STAR_STAR] = ACTIONS(958),
    [anon_sym_STAR_PERCENT] = ACTIONS(960),
    [anon_sym_STAR_PIPE] = ACTIONS(960),
    [anon_sym_PIPE_PIPE] = ACTIONS(958),
    [anon_sym_catch] = ACTIONS(958),
    [anon_sym_EQ_GT] = ACTIONS(958),
    [anon_sym_DOT] = ACTIONS(960),
    [anon_sym_DOT_STAR] = ACTIONS(958),
    [anon_sym_DOT_QMARK] = ACTIONS(958),
    [sym_comment] = ACTIONS(3),
  },
  [866] = {
    [ts_builtin_sym_end] = ACTIONS(1567),
    [anon_sym_COMMA] = ACTIONS(1567),
    [anon_sym_COLON] = ACTIONS(1567),
    [anon_sym_EQ] = ACTIONS(1569),
    [anon_sym_SEMI] = ACTIONS(1567),
    [anon_sym_STAR_EQ] = ACTIONS(1567),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1567),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1567),
    [anon_sym_SLASH_EQ] = ACTIONS(1567),
    [anon_sym_PERCENT_EQ] = ACTIONS(1567),
    [anon_sym_PLUS_EQ] = ACTIONS(1567),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1567),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1567),
    [anon_sym_DASH_EQ] = ACTIONS(1567),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1567),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1567),
    [anon_sym_LT_LT_EQ] = ACTIONS(1567),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1567),
    [anon_sym_GT_GT_EQ] = ACTIONS(1567),
    [anon_sym_AMP_EQ] = ACTIONS(1567),
    [anon_sym_CARET_EQ] = ACTIONS(1567),
    [anon_sym_PIPE_EQ] = ACTIONS(1567),
    [anon_sym_LPAREN] = ACTIONS(1567),
    [anon_sym_RPAREN] = ACTIONS(1567),
    [anon_sym_LBRACE] = ACTIONS(1567),
    [anon_sym_RBRACE] = ACTIONS(1567),
    [anon_sym_else] = ACTIONS(1567),
    [anon_sym_DOT_DOT] = ACTIONS(1567),
    [anon_sym_PIPE] = ACTIONS(1569),
    [anon_sym_STAR] = ACTIONS(1569),
    [anon_sym_align] = ACTIONS(1567),
    [anon_sym_addrspace] = ACTIONS(1567),
    [anon_sym_linksection] = ACTIONS(1567),
    [anon_sym_LBRACK] = ACTIONS(1567),
    [anon_sym_RBRACK] = ACTIONS(1567),
    [anon_sym_BANG] = ACTIONS(1569),
    [anon_sym_DASH] = ACTIONS(1569),
    [anon_sym_DASH_PERCENT] = ACTIONS(1569),
    [anon_sym_AMP] = ACTIONS(1569),
    [anon_sym_or] = ACTIONS(1569),
    [anon_sym_and] = ACTIONS(1567),
    [anon_sym_EQ_EQ] = ACTIONS(1567),
    [anon_sym_BANG_EQ] = ACTIONS(1567),
    [anon_sym_GT] = ACTIONS(1569),
    [anon_sym_GT_EQ] = ACTIONS(1567),
    [anon_sym_LT_EQ] = ACTIONS(1567),
    [anon_sym_LT] = ACTIONS(1569),
    [anon_sym_CARET] = ACTIONS(1569),
    [anon_sym_orelse] = ACTIONS(1567),
    [anon_sym_LT_LT] = ACTIONS(1569),
    [anon_sym_GT_GT] = ACTIONS(1569),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1569),
    [anon_sym_PLUS] = ACTIONS(1569),
    [anon_sym_PLUS_PLUS] = ACTIONS(1567),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1569),
    [anon_sym_PLUS_PIPE] = ACTIONS(1569),
    [anon_sym_DASH_PIPE] = ACTIONS(1569),
    [anon_sym_SLASH] = ACTIONS(1569),
    [anon_sym_PERCENT] = ACTIONS(1569),
    [anon_sym_STAR_STAR] = ACTIONS(1567),
    [anon_sym_STAR_PERCENT] = ACTIONS(1569),
    [anon_sym_STAR_PIPE] = ACTIONS(1569),
    [anon_sym_PIPE_PIPE] = ACTIONS(1567),
    [anon_sym_catch] = ACTIONS(1567),
    [anon_sym_EQ_GT] = ACTIONS(1567),
    [anon_sym_DOT] = ACTIONS(1569),
    [anon_sym_DOT_STAR] = ACTIONS(1567),
    [anon_sym_DOT_QMARK] = ACTIONS(1567),
    [sym_comment] = ACTIONS(3),
  },
  [867] = {
    [ts_builtin_sym_end] = ACTIONS(1571),
    [anon_sym_COMMA] = ACTIONS(1571),
    [anon_sym_EQ] = ACTIONS(1573),
    [anon_sym_SEMI] = ACTIONS(1571),
    [anon_sym_STAR_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_SLASH_EQ] = ACTIONS(1575),
    [anon_sym_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_DASH_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_GT_GT_EQ] = ACTIONS(1575),
    [anon_sym_AMP_EQ] = ACTIONS(1575),
    [anon_sym_CARET_EQ] = ACTIONS(1575),
    [anon_sym_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LPAREN] = ACTIONS(1577),
    [anon_sym_RPAREN] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1571),
    [anon_sym_RBRACE] = ACTIONS(1571),
    [anon_sym_else] = ACTIONS(1579),
    [anon_sym_DOT_DOT] = ACTIONS(1581),
    [anon_sym_PIPE] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_align] = ACTIONS(1571),
    [anon_sym_addrspace] = ACTIONS(1571),
    [anon_sym_linksection] = ACTIONS(1571),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_RBRACK] = ACTIONS(1571),
    [anon_sym_BANG] = ACTIONS(1589),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_PERCENT] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1583),
    [anon_sym_or] = ACTIONS(1593),
    [anon_sym_and] = ACTIONS(1595),
    [anon_sym_EQ_EQ] = ACTIONS(1597),
    [anon_sym_BANG_EQ] = ACTIONS(1597),
    [anon_sym_GT] = ACTIONS(1599),
    [anon_sym_GT_EQ] = ACTIONS(1597),
    [anon_sym_LT_EQ] = ACTIONS(1597),
    [anon_sym_LT] = ACTIONS(1599),
    [anon_sym_CARET] = ACTIONS(1583),
    [anon_sym_orelse] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_GT_GT] = ACTIONS(1603),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1603),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1605),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1591),
    [anon_sym_PLUS_PIPE] = ACTIONS(1591),
    [anon_sym_DASH_PIPE] = ACTIONS(1591),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1607),
    [anon_sym_STAR_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_PIPE] = ACTIONS(1585),
    [anon_sym_PIPE_PIPE] = ACTIONS(1607),
    [anon_sym_catch] = ACTIONS(1609),
    [anon_sym_EQ_GT] = ACTIONS(1571),
    [anon_sym_DOT] = ACTIONS(1611),
    [anon_sym_DOT_STAR] = ACTIONS(1613),
    [anon_sym_DOT_QMARK] = ACTIONS(1615),
    [sym_comment] = ACTIONS(3),
  },
  [868] = {
    [ts_builtin_sym_end] = ACTIONS(1617),
    [anon_sym_COMMA] = ACTIONS(1617),
    [anon_sym_EQ] = ACTIONS(1619),
    [anon_sym_SEMI] = ACTIONS(1617),
    [anon_sym_STAR_EQ] = ACTIONS(1617),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1617),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1617),
    [anon_sym_SLASH_EQ] = ACTIONS(1617),
    [anon_sym_PERCENT_EQ] = ACTIONS(1617),
    [anon_sym_PLUS_EQ] = ACTIONS(1617),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1617),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1617),
    [anon_sym_DASH_EQ] = ACTIONS(1617),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1617),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1617),
    [anon_sym_LT_LT_EQ] = ACTIONS(1617),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1617),
    [anon_sym_GT_GT_EQ] = ACTIONS(1617),
    [anon_sym_AMP_EQ] = ACTIONS(1617),
    [anon_sym_CARET_EQ] = ACTIONS(1617),
    [anon_sym_PIPE_EQ] = ACTIONS(1617),
    [anon_sym_LPAREN] = ACTIONS(1577),
    [anon_sym_RPAREN] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(1617),
    [anon_sym_RBRACE] = ACTIONS(1617),
    [anon_sym_else] = ACTIONS(1617),
    [anon_sym_DOT_DOT] = ACTIONS(1581),
    [anon_sym_PIPE] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_align] = ACTIONS(1617),
    [anon_sym_addrspace] = ACTIONS(1617),
    [anon_sym_linksection] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_RBRACK] = ACTIONS(1617),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_PERCENT] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1583),
    [anon_sym_or] = ACTIONS(1619),
    [anon_sym_and] = ACTIONS(1595),
    [anon_sym_EQ_EQ] = ACTIONS(1597),
    [anon_sym_BANG_EQ] = ACTIONS(1597),
    [anon_sym_GT] = ACTIONS(1599),
    [anon_sym_GT_EQ] = ACTIONS(1597),
    [anon_sym_LT_EQ] = ACTIONS(1597),
    [anon_sym_LT] = ACTIONS(1599),
    [anon_sym_CARET] = ACTIONS(1583),
    [anon_sym_orelse] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_GT_GT] = ACTIONS(1603),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1603),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1605),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1591),
    [anon_sym_PLUS_PIPE] = ACTIONS(1591),
    [anon_sym_DASH_PIPE] = ACTIONS(1591),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1607),
    [anon_sym_STAR_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_PIPE] = ACTIONS(1585),
    [anon_sym_PIPE_PIPE] = ACTIONS(1607),
    [anon_sym_catch] = ACTIONS(1609),
    [anon_sym_EQ_GT] = ACTIONS(1617),
    [anon_sym_DOT] = ACTIONS(1611),
    [anon_sym_DOT_STAR] = ACTIONS(1613),
    [anon_sym_DOT_QMARK] = ACTIONS(1615),
    [sym_comment] = ACTIONS(3),
  },
  [869] = {
    [ts_builtin_sym_end] = ACTIONS(1617),
    [anon_sym_COMMA] = ACTIONS(1617),
    [anon_sym_EQ] = ACTIONS(1619),
    [anon_sym_SEMI] = ACTIONS(1617),
    [anon_sym_STAR_EQ] = ACTIONS(1617),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1617),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1617),
    [anon_sym_SLASH_EQ] = ACTIONS(1617),
    [anon_sym_PERCENT_EQ] = ACTIONS(1617),
    [anon_sym_PLUS_EQ] = ACTIONS(1617),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1617),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1617),
    [anon_sym_DASH_EQ] = ACTIONS(1617),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1617),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1617),
    [anon_sym_LT_LT_EQ] = ACTIONS(1617),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1617),
    [anon_sym_GT_GT_EQ] = ACTIONS(1617),
    [anon_sym_AMP_EQ] = ACTIONS(1617),
    [anon_sym_CARET_EQ] = ACTIONS(1617),
    [anon_sym_PIPE_EQ] = ACTIONS(1617),
    [anon_sym_LPAREN] = ACTIONS(1577),
    [anon_sym_RPAREN] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(1617),
    [anon_sym_RBRACE] = ACTIONS(1617),
    [anon_sym_else] = ACTIONS(1617),
    [anon_sym_DOT_DOT] = ACTIONS(1581),
    [anon_sym_PIPE] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_align] = ACTIONS(1617),
    [anon_sym_addrspace] = ACTIONS(1617),
    [anon_sym_linksection] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_RBRACK] = ACTIONS(1617),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_PERCENT] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1583),
    [anon_sym_or] = ACTIONS(1619),
    [anon_sym_and] = ACTIONS(1617),
    [anon_sym_EQ_EQ] = ACTIONS(1597),
    [anon_sym_BANG_EQ] = ACTIONS(1597),
    [anon_sym_GT] = ACTIONS(1599),
    [anon_sym_GT_EQ] = ACTIONS(1597),
    [anon_sym_LT_EQ] = ACTIONS(1597),
    [anon_sym_LT] = ACTIONS(1599),
    [anon_sym_CARET] = ACTIONS(1583),
    [anon_sym_orelse] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_GT_GT] = ACTIONS(1603),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1603),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1605),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1591),
    [anon_sym_PLUS_PIPE] = ACTIONS(1591),
    [anon_sym_DASH_PIPE] = ACTIONS(1591),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1607),
    [anon_sym_STAR_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_PIPE] = ACTIONS(1585),
    [anon_sym_PIPE_PIPE] = ACTIONS(1607),
    [anon_sym_catch] = ACTIONS(1609),
    [anon_sym_EQ_GT] = ACTIONS(1617),
    [anon_sym_DOT] = ACTIONS(1611),
    [anon_sym_DOT_STAR] = ACTIONS(1613),
    [anon_sym_DOT_QMARK] = ACTIONS(1615),
    [sym_comment] = ACTIONS(3),
  },
  [870] = {
    [ts_builtin_sym_end] = ACTIONS(1617),
    [anon_sym_COMMA] = ACTIONS(1617),
    [anon_sym_EQ] = ACTIONS(1619),
    [anon_sym_SEMI] = ACTIONS(1617),
    [anon_sym_STAR_EQ] = ACTIONS(1617),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1617),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1617),
    [anon_sym_SLASH_EQ] = ACTIONS(1617),
    [anon_sym_PERCENT_EQ] = ACTIONS(1617),
    [anon_sym_PLUS_EQ] = ACTIONS(1617),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1617),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1617),
    [anon_sym_DASH_EQ] = ACTIONS(1617),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1617),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1617),
    [anon_sym_LT_LT_EQ] = ACTIONS(1617),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1617),
    [anon_sym_GT_GT_EQ] = ACTIONS(1617),
    [anon_sym_AMP_EQ] = ACTIONS(1617),
    [anon_sym_CARET_EQ] = ACTIONS(1617),
    [anon_sym_PIPE_EQ] = ACTIONS(1617),
    [anon_sym_LPAREN] = ACTIONS(1577),
    [anon_sym_RPAREN] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(1617),
    [anon_sym_RBRACE] = ACTIONS(1617),
    [anon_sym_else] = ACTIONS(1617),
    [anon_sym_DOT_DOT] = ACTIONS(1581),
    [anon_sym_PIPE] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_align] = ACTIONS(1617),
    [anon_sym_addrspace] = ACTIONS(1617),
    [anon_sym_linksection] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_RBRACK] = ACTIONS(1617),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_PERCENT] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1583),
    [anon_sym_or] = ACTIONS(1619),
    [anon_sym_and] = ACTIONS(1617),
    [anon_sym_EQ_EQ] = ACTIONS(1617),
    [anon_sym_BANG_EQ] = ACTIONS(1617),
    [anon_sym_GT] = ACTIONS(1619),
    [anon_sym_GT_EQ] = ACTIONS(1617),
    [anon_sym_LT_EQ] = ACTIONS(1617),
    [anon_sym_LT] = ACTIONS(1619),
    [anon_sym_CARET] = ACTIONS(1583),
    [anon_sym_orelse] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_GT_GT] = ACTIONS(1603),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1603),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1605),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1591),
    [anon_sym_PLUS_PIPE] = ACTIONS(1591),
    [anon_sym_DASH_PIPE] = ACTIONS(1591),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1607),
    [anon_sym_STAR_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_PIPE] = ACTIONS(1585),
    [anon_sym_PIPE_PIPE] = ACTIONS(1607),
    [anon_sym_catch] = ACTIONS(1609),
    [anon_sym_EQ_GT] = ACTIONS(1617),
    [anon_sym_DOT] = ACTIONS(1611),
    [anon_sym_DOT_STAR] = ACTIONS(1613),
    [anon_sym_DOT_QMARK] = ACTIONS(1615),
    [sym_comment] = ACTIONS(3),
  },
  [871] = {
    [ts_builtin_sym_end] = ACTIONS(1617),
    [anon_sym_COMMA] = ACTIONS(1617),
    [anon_sym_EQ] = ACTIONS(1619),
    [anon_sym_SEMI] = ACTIONS(1617),
    [anon_sym_STAR_EQ] = ACTIONS(1617),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1617),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1617),
    [anon_sym_SLASH_EQ] = ACTIONS(1617),
    [anon_sym_PERCENT_EQ] = ACTIONS(1617),
    [anon_sym_PLUS_EQ] = ACTIONS(1617),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1617),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1617),
    [anon_sym_DASH_EQ] = ACTIONS(1617),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1617),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1617),
    [anon_sym_LT_LT_EQ] = ACTIONS(1617),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1617),
    [anon_sym_GT_GT_EQ] = ACTIONS(1617),
    [anon_sym_AMP_EQ] = ACTIONS(1617),
    [anon_sym_CARET_EQ] = ACTIONS(1617),
    [anon_sym_PIPE_EQ] = ACTIONS(1617),
    [anon_sym_LPAREN] = ACTIONS(1577),
    [anon_sym_RPAREN] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(1617),
    [anon_sym_RBRACE] = ACTIONS(1617),
    [anon_sym_else] = ACTIONS(1617),
    [anon_sym_DOT_DOT] = ACTIONS(1581),
    [anon_sym_PIPE] = ACTIONS(1619),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_align] = ACTIONS(1617),
    [anon_sym_addrspace] = ACTIONS(1617),
    [anon_sym_linksection] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_RBRACK] = ACTIONS(1617),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_PERCENT] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_or] = ACTIONS(1619),
    [anon_sym_and] = ACTIONS(1617),
    [anon_sym_EQ_EQ] = ACTIONS(1617),
    [anon_sym_BANG_EQ] = ACTIONS(1617),
    [anon_sym_GT] = ACTIONS(1619),
    [anon_sym_GT_EQ] = ACTIONS(1617),
    [anon_sym_LT_EQ] = ACTIONS(1617),
    [anon_sym_LT] = ACTIONS(1619),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_orelse] = ACTIONS(1617),
    [anon_sym_LT_LT] = ACTIONS(1619),
    [anon_sym_GT_GT] = ACTIONS(1619),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1619),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1605),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1591),
    [anon_sym_PLUS_PIPE] = ACTIONS(1591),
    [anon_sym_DASH_PIPE] = ACTIONS(1591),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1607),
    [anon_sym_STAR_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_PIPE] = ACTIONS(1585),
    [anon_sym_PIPE_PIPE] = ACTIONS(1607),
    [anon_sym_catch] = ACTIONS(1617),
    [anon_sym_EQ_GT] = ACTIONS(1617),
    [anon_sym_DOT] = ACTIONS(1611),
    [anon_sym_DOT_STAR] = ACTIONS(1613),
    [anon_sym_DOT_QMARK] = ACTIONS(1615),
    [sym_comment] = ACTIONS(3),
  },
  [872] = {
    [ts_builtin_sym_end] = ACTIONS(1621),
    [anon_sym_COMMA] = ACTIONS(1621),
    [anon_sym_EQ] = ACTIONS(1623),
    [anon_sym_SEMI] = ACTIONS(1621),
    [anon_sym_STAR_EQ] = ACTIONS(1621),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1621),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1621),
    [anon_sym_SLASH_EQ] = ACTIONS(1621),
    [anon_sym_PERCENT_EQ] = ACTIONS(1621),
    [anon_sym_PLUS_EQ] = ACTIONS(1621),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1621),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1621),
    [anon_sym_DASH_EQ] = ACTIONS(1621),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1621),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1621),
    [anon_sym_LT_LT_EQ] = ACTIONS(1621),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1621),
    [anon_sym_GT_GT_EQ] = ACTIONS(1621),
    [anon_sym_AMP_EQ] = ACTIONS(1621),
    [anon_sym_CARET_EQ] = ACTIONS(1621),
    [anon_sym_PIPE_EQ] = ACTIONS(1621),
    [anon_sym_LPAREN] = ACTIONS(1577),
    [anon_sym_RPAREN] = ACTIONS(1621),
    [anon_sym_LBRACE] = ACTIONS(1621),
    [anon_sym_RBRACE] = ACTIONS(1621),
    [anon_sym_else] = ACTIONS(1621),
    [anon_sym_DOT_DOT] = ACTIONS(1581),
    [anon_sym_PIPE] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_align] = ACTIONS(1621),
    [anon_sym_addrspace] = ACTIONS(1621),
    [anon_sym_linksection] = ACTIONS(1621),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_RBRACK] = ACTIONS(1621),
    [anon_sym_BANG] = ACTIONS(1623),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_PERCENT] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1583),
    [anon_sym_or] = ACTIONS(1623),
    [anon_sym_and] = ACTIONS(1621),
    [anon_sym_EQ_EQ] = ACTIONS(1621),
    [anon_sym_BANG_EQ] = ACTIONS(1621),
    [anon_sym_GT] = ACTIONS(1623),
    [anon_sym_GT_EQ] = ACTIONS(1621),
    [anon_sym_LT_EQ] = ACTIONS(1621),
    [anon_sym_LT] = ACTIONS(1623),
    [anon_sym_CARET] = ACTIONS(1583),
    [anon_sym_orelse] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_GT_GT] = ACTIONS(1603),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1603),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1605),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1591),
    [anon_sym_PLUS_PIPE] = ACTIONS(1591),
    [anon_sym_DASH_PIPE] = ACTIONS(1591),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1607),
    [anon_sym_STAR_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_PIPE] = ACTIONS(1585),
    [anon_sym_PIPE_PIPE] = ACTIONS(1607),
    [anon_sym_catch] = ACTIONS(1609),
    [anon_sym_EQ_GT] = ACTIONS(1621),
    [anon_sym_DOT] = ACTIONS(1611),
    [anon_sym_DOT_STAR] = ACTIONS(1613),
    [anon_sym_DOT_QMARK] = ACTIONS(1615),
    [sym_comment] = ACTIONS(3),
  },
  [873] = {
    [ts_builtin_sym_end] = ACTIONS(1333),
    [anon_sym_COMMA] = ACTIONS(1333),
    [anon_sym_EQ] = ACTIONS(1625),
    [anon_sym_SEMI] = ACTIONS(1333),
    [anon_sym_STAR_EQ] = ACTIONS(1628),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1628),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1628),
    [anon_sym_SLASH_EQ] = ACTIONS(1628),
    [anon_sym_PERCENT_EQ] = ACTIONS(1628),
    [anon_sym_PLUS_EQ] = ACTIONS(1628),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1628),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1628),
    [anon_sym_DASH_EQ] = ACTIONS(1628),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1628),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1628),
    [anon_sym_LT_LT_EQ] = ACTIONS(1628),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1628),
    [anon_sym_GT_GT_EQ] = ACTIONS(1628),
    [anon_sym_AMP_EQ] = ACTIONS(1628),
    [anon_sym_CARET_EQ] = ACTIONS(1628),
    [anon_sym_PIPE_EQ] = ACTIONS(1628),
    [anon_sym_LPAREN] = ACTIONS(1628),
    [anon_sym_RPAREN] = ACTIONS(1333),
    [anon_sym_LBRACE] = ACTIONS(1333),
    [anon_sym_RBRACE] = ACTIONS(1333),
    [anon_sym_else] = ACTIONS(1333),
    [anon_sym_DOT_DOT] = ACTIONS(1628),
    [anon_sym_PIPE] = ACTIONS(1625),
    [anon_sym_STAR] = ACTIONS(1625),
    [anon_sym_align] = ACTIONS(1333),
    [anon_sym_addrspace] = ACTIONS(1333),
    [anon_sym_linksection] = ACTIONS(1333),
    [anon_sym_LBRACK] = ACTIONS(1628),
    [anon_sym_RBRACK] = ACTIONS(1333),
    [anon_sym_BANG] = ACTIONS(1631),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_DASH_PERCENT] = ACTIONS(1625),
    [anon_sym_AMP] = ACTIONS(1625),
    [anon_sym_or] = ACTIONS(1625),
    [anon_sym_and] = ACTIONS(1628),
    [anon_sym_EQ_EQ] = ACTIONS(1628),
    [anon_sym_BANG_EQ] = ACTIONS(1628),
    [anon_sym_GT] = ACTIONS(1625),
    [anon_sym_GT_EQ] = ACTIONS(1628),
    [anon_sym_LT_EQ] = ACTIONS(1628),
    [anon_sym_LT] = ACTIONS(1625),
    [anon_sym_CARET] = ACTIONS(1625),
    [anon_sym_orelse] = ACTIONS(1628),
    [anon_sym_LT_LT] = ACTIONS(1625),
    [anon_sym_GT_GT] = ACTIONS(1625),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1625),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_PLUS_PLUS] = ACTIONS(1628),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1625),
    [anon_sym_PLUS_PIPE] = ACTIONS(1625),
    [anon_sym_DASH_PIPE] = ACTIONS(1625),
    [anon_sym_SLASH] = ACTIONS(1625),
    [anon_sym_PERCENT] = ACTIONS(1625),
    [anon_sym_STAR_STAR] = ACTIONS(1628),
    [anon_sym_STAR_PERCENT] = ACTIONS(1625),
    [anon_sym_STAR_PIPE] = ACTIONS(1625),
    [anon_sym_PIPE_PIPE] = ACTIONS(1628),
    [anon_sym_catch] = ACTIONS(1628),
    [anon_sym_EQ_GT] = ACTIONS(1333),
    [anon_sym_DOT] = ACTIONS(1625),
    [anon_sym_DOT_STAR] = ACTIONS(1628),
    [anon_sym_DOT_QMARK] = ACTIONS(1628),
    [sym_comment] = ACTIONS(3),
  },
  [874] = {
    [ts_builtin_sym_end] = ACTIONS(1413),
    [anon_sym_COMMA] = ACTIONS(1413),
    [anon_sym_EQ] = ACTIONS(1633),
    [anon_sym_SEMI] = ACTIONS(1413),
    [anon_sym_STAR_EQ] = ACTIONS(1636),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1636),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1636),
    [anon_sym_SLASH_EQ] = ACTIONS(1636),
    [anon_sym_PERCENT_EQ] = ACTIONS(1636),
    [anon_sym_PLUS_EQ] = ACTIONS(1636),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1636),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1636),
    [anon_sym_DASH_EQ] = ACTIONS(1636),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1636),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1636),
    [anon_sym_LT_LT_EQ] = ACTIONS(1636),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1636),
    [anon_sym_GT_GT_EQ] = ACTIONS(1636),
    [anon_sym_AMP_EQ] = ACTIONS(1636),
    [anon_sym_CARET_EQ] = ACTIONS(1636),
    [anon_sym_PIPE_EQ] = ACTIONS(1636),
    [anon_sym_LPAREN] = ACTIONS(1636),
    [anon_sym_RPAREN] = ACTIONS(1413),
    [anon_sym_LBRACE] = ACTIONS(1413),
    [anon_sym_RBRACE] = ACTIONS(1413),
    [anon_sym_else] = ACTIONS(1413),
    [anon_sym_DOT_DOT] = ACTIONS(1636),
    [anon_sym_PIPE] = ACTIONS(1633),
    [anon_sym_STAR] = ACTIONS(1633),
    [anon_sym_align] = ACTIONS(1413),
    [anon_sym_addrspace] = ACTIONS(1413),
    [anon_sym_linksection] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1636),
    [anon_sym_RBRACK] = ACTIONS(1413),
    [anon_sym_BANG] = ACTIONS(1631),
    [anon_sym_DASH] = ACTIONS(1633),
    [anon_sym_DASH_PERCENT] = ACTIONS(1633),
    [anon_sym_AMP] = ACTIONS(1633),
    [anon_sym_or] = ACTIONS(1633),
    [anon_sym_and] = ACTIONS(1636),
    [anon_sym_EQ_EQ] = ACTIONS(1636),
    [anon_sym_BANG_EQ] = ACTIONS(1636),
    [anon_sym_GT] = ACTIONS(1633),
    [anon_sym_GT_EQ] = ACTIONS(1636),
    [anon_sym_LT_EQ] = ACTIONS(1636),
    [anon_sym_LT] = ACTIONS(1633),
    [anon_sym_CARET] = ACTIONS(1633),
    [anon_sym_orelse] = ACTIONS(1636),
    [anon_sym_LT_LT] = ACTIONS(1633),
    [anon_sym_GT_GT] = ACTIONS(1633),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1633),
    [anon_sym_PLUS] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1636),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1633),
    [anon_sym_PLUS_PIPE] = ACTIONS(1633),
    [anon_sym_DASH_PIPE] = ACTIONS(1633),
    [anon_sym_SLASH] = ACTIONS(1633),
    [anon_sym_PERCENT] = ACTIONS(1633),
    [anon_sym_STAR_STAR] = ACTIONS(1636),
    [anon_sym_STAR_PERCENT] = ACTIONS(1633),
    [anon_sym_STAR_PIPE] = ACTIONS(1633),
    [anon_sym_PIPE_PIPE] = ACTIONS(1636),
    [anon_sym_catch] = ACTIONS(1636),
    [anon_sym_EQ_GT] = ACTIONS(1413),
    [anon_sym_DOT] = ACTIONS(1633),
    [anon_sym_DOT_STAR] = ACTIONS(1636),
    [anon_sym_DOT_QMARK] = ACTIONS(1636),
    [sym_comment] = ACTIONS(3),
  },
  [875] = {
    [ts_builtin_sym_end] = ACTIONS(1639),
    [anon_sym_COMMA] = ACTIONS(1639),
    [anon_sym_EQ] = ACTIONS(1641),
    [anon_sym_SEMI] = ACTIONS(1639),
    [anon_sym_STAR_EQ] = ACTIONS(1644),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1644),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1644),
    [anon_sym_SLASH_EQ] = ACTIONS(1644),
    [anon_sym_PERCENT_EQ] = ACTIONS(1644),
    [anon_sym_PLUS_EQ] = ACTIONS(1644),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1644),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1644),
    [anon_sym_DASH_EQ] = ACTIONS(1644),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1644),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1644),
    [anon_sym_LT_LT_EQ] = ACTIONS(1644),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1644),
    [anon_sym_GT_GT_EQ] = ACTIONS(1644),
    [anon_sym_AMP_EQ] = ACTIONS(1644),
    [anon_sym_CARET_EQ] = ACTIONS(1644),
    [anon_sym_PIPE_EQ] = ACTIONS(1644),
    [anon_sym_LPAREN] = ACTIONS(1644),
    [anon_sym_RPAREN] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1639),
    [anon_sym_RBRACE] = ACTIONS(1639),
    [anon_sym_else] = ACTIONS(1639),
    [anon_sym_DOT_DOT] = ACTIONS(1644),
    [anon_sym_PIPE] = ACTIONS(1641),
    [anon_sym_STAR] = ACTIONS(1641),
    [anon_sym_align] = ACTIONS(1639),
    [anon_sym_addrspace] = ACTIONS(1639),
    [anon_sym_linksection] = ACTIONS(1639),
    [anon_sym_LBRACK] = ACTIONS(1644),
    [anon_sym_RBRACK] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1631),
    [anon_sym_DASH] = ACTIONS(1641),
    [anon_sym_DASH_PERCENT] = ACTIONS(1641),
    [anon_sym_AMP] = ACTIONS(1641),
    [anon_sym_or] = ACTIONS(1641),
    [anon_sym_and] = ACTIONS(1644),
    [anon_sym_EQ_EQ] = ACTIONS(1644),
    [anon_sym_BANG_EQ] = ACTIONS(1644),
    [anon_sym_GT] = ACTIONS(1641),
    [anon_sym_GT_EQ] = ACTIONS(1644),
    [anon_sym_LT_EQ] = ACTIONS(1644),
    [anon_sym_LT] = ACTIONS(1641),
    [anon_sym_CARET] = ACTIONS(1641),
    [anon_sym_orelse] = ACTIONS(1644),
    [anon_sym_LT_LT] = ACTIONS(1641),
    [anon_sym_GT_GT] = ACTIONS(1641),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1641),
    [anon_sym_PLUS_PLUS] = ACTIONS(1644),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1641),
    [anon_sym_PLUS_PIPE] = ACTIONS(1641),
    [anon_sym_DASH_PIPE] = ACTIONS(1641),
    [anon_sym_SLASH] = ACTIONS(1641),
    [anon_sym_PERCENT] = ACTIONS(1641),
    [anon_sym_STAR_STAR] = ACTIONS(1644),
    [anon_sym_STAR_PERCENT] = ACTIONS(1641),
    [anon_sym_STAR_PIPE] = ACTIONS(1641),
    [anon_sym_PIPE_PIPE] = ACTIONS(1644),
    [anon_sym_catch] = ACTIONS(1644),
    [anon_sym_EQ_GT] = ACTIONS(1639),
    [anon_sym_DOT] = ACTIONS(1641),
    [anon_sym_DOT_STAR] = ACTIONS(1644),
    [anon_sym_DOT_QMARK] = ACTIONS(1644),
    [sym_comment] = ACTIONS(3),
  },
  [876] = {
    [ts_builtin_sym_end] = ACTIONS(1647),
    [anon_sym_COMMA] = ACTIONS(1647),
    [anon_sym_EQ] = ACTIONS(1573),
    [anon_sym_SEMI] = ACTIONS(1647),
    [anon_sym_STAR_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_SLASH_EQ] = ACTIONS(1575),
    [anon_sym_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_DASH_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_GT_GT_EQ] = ACTIONS(1575),
    [anon_sym_AMP_EQ] = ACTIONS(1575),
    [anon_sym_CARET_EQ] = ACTIONS(1575),
    [anon_sym_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LPAREN] = ACTIONS(1577),
    [anon_sym_RPAREN] = ACTIONS(1647),
    [anon_sym_LBRACE] = ACTIONS(1647),
    [anon_sym_RBRACE] = ACTIONS(1647),
    [anon_sym_else] = ACTIONS(1647),
    [anon_sym_DOT_DOT] = ACTIONS(1581),
    [anon_sym_PIPE] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_align] = ACTIONS(1647),
    [anon_sym_addrspace] = ACTIONS(1647),
    [anon_sym_linksection] = ACTIONS(1647),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_RBRACK] = ACTIONS(1647),
    [anon_sym_BANG] = ACTIONS(1649),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_PERCENT] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1583),
    [anon_sym_or] = ACTIONS(1593),
    [anon_sym_and] = ACTIONS(1595),
    [anon_sym_EQ_EQ] = ACTIONS(1597),
    [anon_sym_BANG_EQ] = ACTIONS(1597),
    [anon_sym_GT] = ACTIONS(1599),
    [anon_sym_GT_EQ] = ACTIONS(1597),
    [anon_sym_LT_EQ] = ACTIONS(1597),
    [anon_sym_LT] = ACTIONS(1599),
    [anon_sym_CARET] = ACTIONS(1583),
    [anon_sym_orelse] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_GT_GT] = ACTIONS(1603),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1603),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1605),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1591),
    [anon_sym_PLUS_PIPE] = ACTIONS(1591),
    [anon_sym_DASH_PIPE] = ACTIONS(1591),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1607),
    [anon_sym_STAR_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_PIPE] = ACTIONS(1585),
    [anon_sym_PIPE_PIPE] = ACTIONS(1607),
    [anon_sym_catch] = ACTIONS(1609),
    [anon_sym_EQ_GT] = ACTIONS(1647),
    [anon_sym_DOT] = ACTIONS(1611),
    [anon_sym_DOT_STAR] = ACTIONS(1613),
    [anon_sym_DOT_QMARK] = ACTIONS(1615),
    [sym_comment] = ACTIONS(3),
  },
  [877] = {
    [ts_builtin_sym_end] = ACTIONS(1341),
    [anon_sym_COMMA] = ACTIONS(1341),
    [anon_sym_EQ] = ACTIONS(1651),
    [anon_sym_SEMI] = ACTIONS(1341),
    [anon_sym_STAR_EQ] = ACTIONS(1654),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1654),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1654),
    [anon_sym_SLASH_EQ] = ACTIONS(1654),
    [anon_sym_PERCENT_EQ] = ACTIONS(1654),
    [anon_sym_PLUS_EQ] = ACTIONS(1654),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1654),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1654),
    [anon_sym_DASH_EQ] = ACTIONS(1654),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1654),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1654),
    [anon_sym_LT_LT_EQ] = ACTIONS(1654),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1654),
    [anon_sym_GT_GT_EQ] = ACTIONS(1654),
    [anon_sym_AMP_EQ] = ACTIONS(1654),
    [anon_sym_CARET_EQ] = ACTIONS(1654),
    [anon_sym_PIPE_EQ] = ACTIONS(1654),
    [anon_sym_LPAREN] = ACTIONS(1654),
    [anon_sym_RPAREN] = ACTIONS(1341),
    [anon_sym_LBRACE] = ACTIONS(1341),
    [anon_sym_RBRACE] = ACTIONS(1341),
    [anon_sym_else] = ACTIONS(1341),
    [anon_sym_DOT_DOT] = ACTIONS(1654),
    [anon_sym_PIPE] = ACTIONS(1651),
    [anon_sym_STAR] = ACTIONS(1651),
    [anon_sym_align] = ACTIONS(1341),
    [anon_sym_addrspace] = ACTIONS(1341),
    [anon_sym_linksection] = ACTIONS(1341),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_RBRACK] = ACTIONS(1341),
    [anon_sym_BANG] = ACTIONS(1631),
    [anon_sym_DASH] = ACTIONS(1651),
    [anon_sym_DASH_PERCENT] = ACTIONS(1651),
    [anon_sym_AMP] = ACTIONS(1651),
    [anon_sym_or] = ACTIONS(1651),
    [anon_sym_and] = ACTIONS(1654),
    [anon_sym_EQ_EQ] = ACTIONS(1654),
    [anon_sym_BANG_EQ] = ACTIONS(1654),
    [anon_sym_GT] = ACTIONS(1651),
    [anon_sym_GT_EQ] = ACTIONS(1654),
    [anon_sym_LT_EQ] = ACTIONS(1654),
    [anon_sym_LT] = ACTIONS(1651),
    [anon_sym_CARET] = ACTIONS(1651),
    [anon_sym_orelse] = ACTIONS(1654),
    [anon_sym_LT_LT] = ACTIONS(1651),
    [anon_sym_GT_GT] = ACTIONS(1651),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1651),
    [anon_sym_PLUS] = ACTIONS(1651),
    [anon_sym_PLUS_PLUS] = ACTIONS(1654),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1651),
    [anon_sym_PLUS_PIPE] = ACTIONS(1651),
    [anon_sym_DASH_PIPE] = ACTIONS(1651),
    [anon_sym_SLASH] = ACTIONS(1651),
    [anon_sym_PERCENT] = ACTIONS(1651),
    [anon_sym_STAR_STAR] = ACTIONS(1654),
    [anon_sym_STAR_PERCENT] = ACTIONS(1651),
    [anon_sym_STAR_PIPE] = ACTIONS(1651),
    [anon_sym_PIPE_PIPE] = ACTIONS(1654),
    [anon_sym_catch] = ACTIONS(1654),
    [anon_sym_EQ_GT] = ACTIONS(1341),
    [anon_sym_DOT] = ACTIONS(1651),
    [anon_sym_DOT_STAR] = ACTIONS(1654),
    [anon_sym_DOT_QMARK] = ACTIONS(1654),
    [sym_comment] = ACTIONS(3),
  },
  [878] = {
    [ts_builtin_sym_end] = ACTIONS(1657),
    [anon_sym_COMMA] = ACTIONS(1657),
    [anon_sym_EQ] = ACTIONS(1573),
    [anon_sym_SEMI] = ACTIONS(1657),
    [anon_sym_STAR_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_SLASH_EQ] = ACTIONS(1575),
    [anon_sym_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_DASH_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_GT_GT_EQ] = ACTIONS(1575),
    [anon_sym_AMP_EQ] = ACTIONS(1575),
    [anon_sym_CARET_EQ] = ACTIONS(1575),
    [anon_sym_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LPAREN] = ACTIONS(1577),
    [anon_sym_RPAREN] = ACTIONS(1657),
    [anon_sym_LBRACE] = ACTIONS(1657),
    [anon_sym_RBRACE] = ACTIONS(1657),
    [anon_sym_else] = ACTIONS(1657),
    [anon_sym_DOT_DOT] = ACTIONS(1581),
    [anon_sym_PIPE] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_align] = ACTIONS(1657),
    [anon_sym_addrspace] = ACTIONS(1657),
    [anon_sym_linksection] = ACTIONS(1657),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_RBRACK] = ACTIONS(1657),
    [anon_sym_BANG] = ACTIONS(1659),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_PERCENT] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1583),
    [anon_sym_or] = ACTIONS(1593),
    [anon_sym_and] = ACTIONS(1595),
    [anon_sym_EQ_EQ] = ACTIONS(1597),
    [anon_sym_BANG_EQ] = ACTIONS(1597),
    [anon_sym_GT] = ACTIONS(1599),
    [anon_sym_GT_EQ] = ACTIONS(1597),
    [anon_sym_LT_EQ] = ACTIONS(1597),
    [anon_sym_LT] = ACTIONS(1599),
    [anon_sym_CARET] = ACTIONS(1583),
    [anon_sym_orelse] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_GT_GT] = ACTIONS(1603),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1603),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1605),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1591),
    [anon_sym_PLUS_PIPE] = ACTIONS(1591),
    [anon_sym_DASH_PIPE] = ACTIONS(1591),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1607),
    [anon_sym_STAR_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_PIPE] = ACTIONS(1585),
    [anon_sym_PIPE_PIPE] = ACTIONS(1607),
    [anon_sym_catch] = ACTIONS(1609),
    [anon_sym_EQ_GT] = ACTIONS(1657),
    [anon_sym_DOT] = ACTIONS(1611),
    [anon_sym_DOT_STAR] = ACTIONS(1613),
    [anon_sym_DOT_QMARK] = ACTIONS(1615),
    [sym_comment] = ACTIONS(3),
  },
  [879] = {
    [ts_builtin_sym_end] = ACTIONS(1661),
    [anon_sym_COMMA] = ACTIONS(1661),
    [anon_sym_EQ] = ACTIONS(1663),
    [anon_sym_SEMI] = ACTIONS(1661),
    [anon_sym_STAR_EQ] = ACTIONS(1666),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1666),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1666),
    [anon_sym_SLASH_EQ] = ACTIONS(1666),
    [anon_sym_PERCENT_EQ] = ACTIONS(1666),
    [anon_sym_PLUS_EQ] = ACTIONS(1666),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1666),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1666),
    [anon_sym_DASH_EQ] = ACTIONS(1666),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1666),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1666),
    [anon_sym_LT_LT_EQ] = ACTIONS(1666),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1666),
    [anon_sym_GT_GT_EQ] = ACTIONS(1666),
    [anon_sym_AMP_EQ] = ACTIONS(1666),
    [anon_sym_CARET_EQ] = ACTIONS(1666),
    [anon_sym_PIPE_EQ] = ACTIONS(1666),
    [anon_sym_LPAREN] = ACTIONS(1666),
    [anon_sym_RPAREN] = ACTIONS(1661),
    [anon_sym_LBRACE] = ACTIONS(1661),
    [anon_sym_RBRACE] = ACTIONS(1661),
    [anon_sym_else] = ACTIONS(1661),
    [anon_sym_DOT_DOT] = ACTIONS(1666),
    [anon_sym_PIPE] = ACTIONS(1663),
    [anon_sym_STAR] = ACTIONS(1663),
    [anon_sym_align] = ACTIONS(1661),
    [anon_sym_addrspace] = ACTIONS(1661),
    [anon_sym_linksection] = ACTIONS(1661),
    [anon_sym_LBRACK] = ACTIONS(1666),
    [anon_sym_RBRACK] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1631),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_DASH_PERCENT] = ACTIONS(1663),
    [anon_sym_AMP] = ACTIONS(1663),
    [anon_sym_or] = ACTIONS(1663),
    [anon_sym_and] = ACTIONS(1666),
    [anon_sym_EQ_EQ] = ACTIONS(1666),
    [anon_sym_BANG_EQ] = ACTIONS(1666),
    [anon_sym_GT] = ACTIONS(1663),
    [anon_sym_GT_EQ] = ACTIONS(1666),
    [anon_sym_LT_EQ] = ACTIONS(1666),
    [anon_sym_LT] = ACTIONS(1663),
    [anon_sym_CARET] = ACTIONS(1663),
    [anon_sym_orelse] = ACTIONS(1666),
    [anon_sym_LT_LT] = ACTIONS(1663),
    [anon_sym_GT_GT] = ACTIONS(1663),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1663),
    [anon_sym_PLUS_PLUS] = ACTIONS(1666),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1663),
    [anon_sym_PLUS_PIPE] = ACTIONS(1663),
    [anon_sym_DASH_PIPE] = ACTIONS(1663),
    [anon_sym_SLASH] = ACTIONS(1663),
    [anon_sym_PERCENT] = ACTIONS(1663),
    [anon_sym_STAR_STAR] = ACTIONS(1666),
    [anon_sym_STAR_PERCENT] = ACTIONS(1663),
    [anon_sym_STAR_PIPE] = ACTIONS(1663),
    [anon_sym_PIPE_PIPE] = ACTIONS(1666),
    [anon_sym_catch] = ACTIONS(1666),
    [anon_sym_EQ_GT] = ACTIONS(1661),
    [anon_sym_DOT] = ACTIONS(1663),
    [anon_sym_DOT_STAR] = ACTIONS(1666),
    [anon_sym_DOT_QMARK] = ACTIONS(1666),
    [sym_comment] = ACTIONS(3),
  },
  [880] = {
    [ts_builtin_sym_end] = ACTIONS(1669),
    [anon_sym_COMMA] = ACTIONS(1669),
    [anon_sym_EQ] = ACTIONS(1573),
    [anon_sym_SEMI] = ACTIONS(1669),
    [anon_sym_STAR_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_SLASH_EQ] = ACTIONS(1575),
    [anon_sym_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_DASH_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_GT_GT_EQ] = ACTIONS(1575),
    [anon_sym_AMP_EQ] = ACTIONS(1575),
    [anon_sym_CARET_EQ] = ACTIONS(1575),
    [anon_sym_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LPAREN] = ACTIONS(1577),
    [anon_sym_RPAREN] = ACTIONS(1669),
    [anon_sym_LBRACE] = ACTIONS(1669),
    [anon_sym_RBRACE] = ACTIONS(1669),
    [anon_sym_else] = ACTIONS(1669),
    [anon_sym_DOT_DOT] = ACTIONS(1581),
    [anon_sym_PIPE] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_align] = ACTIONS(1669),
    [anon_sym_addrspace] = ACTIONS(1669),
    [anon_sym_linksection] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_RBRACK] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1671),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_PERCENT] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1583),
    [anon_sym_or] = ACTIONS(1593),
    [anon_sym_and] = ACTIONS(1595),
    [anon_sym_EQ_EQ] = ACTIONS(1597),
    [anon_sym_BANG_EQ] = ACTIONS(1597),
    [anon_sym_GT] = ACTIONS(1599),
    [anon_sym_GT_EQ] = ACTIONS(1597),
    [anon_sym_LT_EQ] = ACTIONS(1597),
    [anon_sym_LT] = ACTIONS(1599),
    [anon_sym_CARET] = ACTIONS(1583),
    [anon_sym_orelse] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_GT_GT] = ACTIONS(1603),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1603),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1605),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1591),
    [anon_sym_PLUS_PIPE] = ACTIONS(1591),
    [anon_sym_DASH_PIPE] = ACTIONS(1591),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1607),
    [anon_sym_STAR_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_PIPE] = ACTIONS(1585),
    [anon_sym_PIPE_PIPE] = ACTIONS(1607),
    [anon_sym_catch] = ACTIONS(1609),
    [anon_sym_EQ_GT] = ACTIONS(1669),
    [anon_sym_DOT] = ACTIONS(1611),
    [anon_sym_DOT_STAR] = ACTIONS(1613),
    [anon_sym_DOT_QMARK] = ACTIONS(1615),
    [sym_comment] = ACTIONS(3),
  },
  [881] = {
    [ts_builtin_sym_end] = ACTIONS(1673),
    [anon_sym_COMMA] = ACTIONS(1673),
    [anon_sym_EQ] = ACTIONS(1675),
    [anon_sym_SEMI] = ACTIONS(1673),
    [anon_sym_STAR_EQ] = ACTIONS(1673),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1673),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1673),
    [anon_sym_SLASH_EQ] = ACTIONS(1673),
    [anon_sym_PERCENT_EQ] = ACTIONS(1673),
    [anon_sym_PLUS_EQ] = ACTIONS(1673),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1673),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1673),
    [anon_sym_DASH_EQ] = ACTIONS(1673),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1673),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1673),
    [anon_sym_LT_LT_EQ] = ACTIONS(1673),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1673),
    [anon_sym_GT_GT_EQ] = ACTIONS(1673),
    [anon_sym_AMP_EQ] = ACTIONS(1673),
    [anon_sym_CARET_EQ] = ACTIONS(1673),
    [anon_sym_PIPE_EQ] = ACTIONS(1673),
    [anon_sym_LPAREN] = ACTIONS(1577),
    [anon_sym_RPAREN] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1673),
    [anon_sym_RBRACE] = ACTIONS(1673),
    [anon_sym_else] = ACTIONS(1673),
    [anon_sym_DOT_DOT] = ACTIONS(1581),
    [anon_sym_PIPE] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_align] = ACTIONS(1673),
    [anon_sym_addrspace] = ACTIONS(1673),
    [anon_sym_linksection] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_RBRACK] = ACTIONS(1673),
    [anon_sym_BANG] = ACTIONS(1675),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_PERCENT] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1583),
    [anon_sym_or] = ACTIONS(1675),
    [anon_sym_and] = ACTIONS(1673),
    [anon_sym_EQ_EQ] = ACTIONS(1673),
    [anon_sym_BANG_EQ] = ACTIONS(1673),
    [anon_sym_GT] = ACTIONS(1675),
    [anon_sym_GT_EQ] = ACTIONS(1673),
    [anon_sym_LT_EQ] = ACTIONS(1673),
    [anon_sym_LT] = ACTIONS(1675),
    [anon_sym_CARET] = ACTIONS(1583),
    [anon_sym_orelse] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_GT_GT] = ACTIONS(1603),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1603),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1605),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1591),
    [anon_sym_PLUS_PIPE] = ACTIONS(1591),
    [anon_sym_DASH_PIPE] = ACTIONS(1591),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1607),
    [anon_sym_STAR_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_PIPE] = ACTIONS(1585),
    [anon_sym_PIPE_PIPE] = ACTIONS(1607),
    [anon_sym_catch] = ACTIONS(1609),
    [anon_sym_EQ_GT] = ACTIONS(1673),
    [anon_sym_DOT] = ACTIONS(1611),
    [anon_sym_DOT_STAR] = ACTIONS(1613),
    [anon_sym_DOT_QMARK] = ACTIONS(1615),
    [sym_comment] = ACTIONS(3),
  },
  [882] = {
    [ts_builtin_sym_end] = ACTIONS(1657),
    [anon_sym_COMMA] = ACTIONS(1657),
    [anon_sym_EQ] = ACTIONS(1573),
    [anon_sym_SEMI] = ACTIONS(1657),
    [anon_sym_STAR_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_SLASH_EQ] = ACTIONS(1575),
    [anon_sym_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_DASH_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_GT_GT_EQ] = ACTIONS(1575),
    [anon_sym_AMP_EQ] = ACTIONS(1575),
    [anon_sym_CARET_EQ] = ACTIONS(1575),
    [anon_sym_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LPAREN] = ACTIONS(1577),
    [anon_sym_RPAREN] = ACTIONS(1657),
    [anon_sym_LBRACE] = ACTIONS(1657),
    [anon_sym_RBRACE] = ACTIONS(1657),
    [anon_sym_else] = ACTIONS(1677),
    [anon_sym_DOT_DOT] = ACTIONS(1581),
    [anon_sym_PIPE] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_align] = ACTIONS(1657),
    [anon_sym_addrspace] = ACTIONS(1657),
    [anon_sym_linksection] = ACTIONS(1657),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_RBRACK] = ACTIONS(1657),
    [anon_sym_BANG] = ACTIONS(1659),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_PERCENT] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1583),
    [anon_sym_or] = ACTIONS(1593),
    [anon_sym_and] = ACTIONS(1595),
    [anon_sym_EQ_EQ] = ACTIONS(1597),
    [anon_sym_BANG_EQ] = ACTIONS(1597),
    [anon_sym_GT] = ACTIONS(1599),
    [anon_sym_GT_EQ] = ACTIONS(1597),
    [anon_sym_LT_EQ] = ACTIONS(1597),
    [anon_sym_LT] = ACTIONS(1599),
    [anon_sym_CARET] = ACTIONS(1583),
    [anon_sym_orelse] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_GT_GT] = ACTIONS(1603),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1603),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1605),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1591),
    [anon_sym_PLUS_PIPE] = ACTIONS(1591),
    [anon_sym_DASH_PIPE] = ACTIONS(1591),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1607),
    [anon_sym_STAR_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_PIPE] = ACTIONS(1585),
    [anon_sym_PIPE_PIPE] = ACTIONS(1607),
    [anon_sym_catch] = ACTIONS(1609),
    [anon_sym_EQ_GT] = ACTIONS(1657),
    [anon_sym_DOT] = ACTIONS(1611),
    [anon_sym_DOT_STAR] = ACTIONS(1613),
    [anon_sym_DOT_QMARK] = ACTIONS(1615),
    [sym_comment] = ACTIONS(3),
  },
  [883] = {
    [ts_builtin_sym_end] = ACTIONS(1679),
    [anon_sym_COMMA] = ACTIONS(1679),
    [anon_sym_EQ] = ACTIONS(1573),
    [anon_sym_SEMI] = ACTIONS(1679),
    [anon_sym_STAR_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_SLASH_EQ] = ACTIONS(1575),
    [anon_sym_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_DASH_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_GT_GT_EQ] = ACTIONS(1575),
    [anon_sym_AMP_EQ] = ACTIONS(1575),
    [anon_sym_CARET_EQ] = ACTIONS(1575),
    [anon_sym_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LPAREN] = ACTIONS(1577),
    [anon_sym_RPAREN] = ACTIONS(1679),
    [anon_sym_LBRACE] = ACTIONS(1679),
    [anon_sym_RBRACE] = ACTIONS(1679),
    [anon_sym_else] = ACTIONS(1681),
    [anon_sym_DOT_DOT] = ACTIONS(1581),
    [anon_sym_PIPE] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_align] = ACTIONS(1679),
    [anon_sym_addrspace] = ACTIONS(1679),
    [anon_sym_linksection] = ACTIONS(1679),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_RBRACK] = ACTIONS(1679),
    [anon_sym_BANG] = ACTIONS(1683),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_PERCENT] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1583),
    [anon_sym_or] = ACTIONS(1593),
    [anon_sym_and] = ACTIONS(1595),
    [anon_sym_EQ_EQ] = ACTIONS(1597),
    [anon_sym_BANG_EQ] = ACTIONS(1597),
    [anon_sym_GT] = ACTIONS(1599),
    [anon_sym_GT_EQ] = ACTIONS(1597),
    [anon_sym_LT_EQ] = ACTIONS(1597),
    [anon_sym_LT] = ACTIONS(1599),
    [anon_sym_CARET] = ACTIONS(1583),
    [anon_sym_orelse] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_GT_GT] = ACTIONS(1603),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1603),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1605),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1591),
    [anon_sym_PLUS_PIPE] = ACTIONS(1591),
    [anon_sym_DASH_PIPE] = ACTIONS(1591),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1607),
    [anon_sym_STAR_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_PIPE] = ACTIONS(1585),
    [anon_sym_PIPE_PIPE] = ACTIONS(1607),
    [anon_sym_catch] = ACTIONS(1609),
    [anon_sym_EQ_GT] = ACTIONS(1679),
    [anon_sym_DOT] = ACTIONS(1611),
    [anon_sym_DOT_STAR] = ACTIONS(1613),
    [anon_sym_DOT_QMARK] = ACTIONS(1615),
    [sym_comment] = ACTIONS(3),
  },
  [884] = {
    [ts_builtin_sym_end] = ACTIONS(1685),
    [anon_sym_COMMA] = ACTIONS(1685),
    [anon_sym_EQ] = ACTIONS(1573),
    [anon_sym_SEMI] = ACTIONS(1685),
    [anon_sym_STAR_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_SLASH_EQ] = ACTIONS(1575),
    [anon_sym_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_DASH_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_GT_GT_EQ] = ACTIONS(1575),
    [anon_sym_AMP_EQ] = ACTIONS(1575),
    [anon_sym_CARET_EQ] = ACTIONS(1575),
    [anon_sym_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LPAREN] = ACTIONS(1577),
    [anon_sym_RPAREN] = ACTIONS(1685),
    [anon_sym_LBRACE] = ACTIONS(1685),
    [anon_sym_RBRACE] = ACTIONS(1685),
    [anon_sym_else] = ACTIONS(1685),
    [anon_sym_DOT_DOT] = ACTIONS(1581),
    [anon_sym_PIPE] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_align] = ACTIONS(1685),
    [anon_sym_addrspace] = ACTIONS(1685),
    [anon_sym_linksection] = ACTIONS(1685),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_RBRACK] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1687),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_PERCENT] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1583),
    [anon_sym_or] = ACTIONS(1593),
    [anon_sym_and] = ACTIONS(1595),
    [anon_sym_EQ_EQ] = ACTIONS(1597),
    [anon_sym_BANG_EQ] = ACTIONS(1597),
    [anon_sym_GT] = ACTIONS(1599),
    [anon_sym_GT_EQ] = ACTIONS(1597),
    [anon_sym_LT_EQ] = ACTIONS(1597),
    [anon_sym_LT] = ACTIONS(1599),
    [anon_sym_CARET] = ACTIONS(1583),
    [anon_sym_orelse] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_GT_GT] = ACTIONS(1603),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1603),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1605),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1591),
    [anon_sym_PLUS_PIPE] = ACTIONS(1591),
    [anon_sym_DASH_PIPE] = ACTIONS(1591),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1607),
    [anon_sym_STAR_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_PIPE] = ACTIONS(1585),
    [anon_sym_PIPE_PIPE] = ACTIONS(1607),
    [anon_sym_catch] = ACTIONS(1609),
    [anon_sym_EQ_GT] = ACTIONS(1685),
    [anon_sym_DOT] = ACTIONS(1611),
    [anon_sym_DOT_STAR] = ACTIONS(1613),
    [anon_sym_DOT_QMARK] = ACTIONS(1615),
    [sym_comment] = ACTIONS(3),
  },
  [885] = {
    [ts_builtin_sym_end] = ACTIONS(1689),
    [anon_sym_COMMA] = ACTIONS(1689),
    [anon_sym_EQ] = ACTIONS(1573),
    [anon_sym_SEMI] = ACTIONS(1689),
    [anon_sym_STAR_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_SLASH_EQ] = ACTIONS(1575),
    [anon_sym_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_DASH_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_GT_GT_EQ] = ACTIONS(1575),
    [anon_sym_AMP_EQ] = ACTIONS(1575),
    [anon_sym_CARET_EQ] = ACTIONS(1575),
    [anon_sym_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LPAREN] = ACTIONS(1577),
    [anon_sym_RPAREN] = ACTIONS(1689),
    [anon_sym_LBRACE] = ACTIONS(1689),
    [anon_sym_RBRACE] = ACTIONS(1689),
    [anon_sym_else] = ACTIONS(1689),
    [anon_sym_DOT_DOT] = ACTIONS(1581),
    [anon_sym_PIPE] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_align] = ACTIONS(1689),
    [anon_sym_addrspace] = ACTIONS(1689),
    [anon_sym_linksection] = ACTIONS(1689),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_RBRACK] = ACTIONS(1689),
    [anon_sym_BANG] = ACTIONS(1691),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_PERCENT] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1583),
    [anon_sym_or] = ACTIONS(1593),
    [anon_sym_and] = ACTIONS(1595),
    [anon_sym_EQ_EQ] = ACTIONS(1597),
    [anon_sym_BANG_EQ] = ACTIONS(1597),
    [anon_sym_GT] = ACTIONS(1599),
    [anon_sym_GT_EQ] = ACTIONS(1597),
    [anon_sym_LT_EQ] = ACTIONS(1597),
    [anon_sym_LT] = ACTIONS(1599),
    [anon_sym_CARET] = ACTIONS(1583),
    [anon_sym_orelse] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_GT_GT] = ACTIONS(1603),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1603),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1605),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1591),
    [anon_sym_PLUS_PIPE] = ACTIONS(1591),
    [anon_sym_DASH_PIPE] = ACTIONS(1591),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1607),
    [anon_sym_STAR_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_PIPE] = ACTIONS(1585),
    [anon_sym_PIPE_PIPE] = ACTIONS(1607),
    [anon_sym_catch] = ACTIONS(1609),
    [anon_sym_EQ_GT] = ACTIONS(1689),
    [anon_sym_DOT] = ACTIONS(1611),
    [anon_sym_DOT_STAR] = ACTIONS(1613),
    [anon_sym_DOT_QMARK] = ACTIONS(1615),
    [sym_comment] = ACTIONS(3),
  },
  [886] = {
    [ts_builtin_sym_end] = ACTIONS(1693),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_EQ] = ACTIONS(1573),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_STAR_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_SLASH_EQ] = ACTIONS(1575),
    [anon_sym_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_DASH_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_GT_GT_EQ] = ACTIONS(1575),
    [anon_sym_AMP_EQ] = ACTIONS(1575),
    [anon_sym_CARET_EQ] = ACTIONS(1575),
    [anon_sym_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LPAREN] = ACTIONS(1577),
    [anon_sym_RPAREN] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_RBRACE] = ACTIONS(1693),
    [anon_sym_else] = ACTIONS(1693),
    [anon_sym_DOT_DOT] = ACTIONS(1581),
    [anon_sym_PIPE] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_align] = ACTIONS(1693),
    [anon_sym_addrspace] = ACTIONS(1693),
    [anon_sym_linksection] = ACTIONS(1693),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_RBRACK] = ACTIONS(1693),
    [anon_sym_BANG] = ACTIONS(1695),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_PERCENT] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1583),
    [anon_sym_or] = ACTIONS(1593),
    [anon_sym_and] = ACTIONS(1595),
    [anon_sym_EQ_EQ] = ACTIONS(1597),
    [anon_sym_BANG_EQ] = ACTIONS(1597),
    [anon_sym_GT] = ACTIONS(1599),
    [anon_sym_GT_EQ] = ACTIONS(1597),
    [anon_sym_LT_EQ] = ACTIONS(1597),
    [anon_sym_LT] = ACTIONS(1599),
    [anon_sym_CARET] = ACTIONS(1583),
    [anon_sym_orelse] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_GT_GT] = ACTIONS(1603),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1603),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1605),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1591),
    [anon_sym_PLUS_PIPE] = ACTIONS(1591),
    [anon_sym_DASH_PIPE] = ACTIONS(1591),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1607),
    [anon_sym_STAR_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_PIPE] = ACTIONS(1585),
    [anon_sym_PIPE_PIPE] = ACTIONS(1607),
    [anon_sym_catch] = ACTIONS(1609),
    [anon_sym_EQ_GT] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1611),
    [anon_sym_DOT_STAR] = ACTIONS(1613),
    [anon_sym_DOT_QMARK] = ACTIONS(1615),
    [sym_comment] = ACTIONS(3),
  },
  [887] = {
    [ts_builtin_sym_end] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1573),
    [anon_sym_SEMI] = ACTIONS(1697),
    [anon_sym_STAR_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_SLASH_EQ] = ACTIONS(1575),
    [anon_sym_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_DASH_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_GT_GT_EQ] = ACTIONS(1575),
    [anon_sym_AMP_EQ] = ACTIONS(1575),
    [anon_sym_CARET_EQ] = ACTIONS(1575),
    [anon_sym_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LPAREN] = ACTIONS(1577),
    [anon_sym_RPAREN] = ACTIONS(1697),
    [anon_sym_LBRACE] = ACTIONS(1697),
    [anon_sym_RBRACE] = ACTIONS(1697),
    [anon_sym_else] = ACTIONS(1697),
    [anon_sym_DOT_DOT] = ACTIONS(1581),
    [anon_sym_PIPE] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_align] = ACTIONS(1697),
    [anon_sym_addrspace] = ACTIONS(1697),
    [anon_sym_linksection] = ACTIONS(1697),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_RBRACK] = ACTIONS(1697),
    [anon_sym_BANG] = ACTIONS(1699),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_PERCENT] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1583),
    [anon_sym_or] = ACTIONS(1593),
    [anon_sym_and] = ACTIONS(1595),
    [anon_sym_EQ_EQ] = ACTIONS(1597),
    [anon_sym_BANG_EQ] = ACTIONS(1597),
    [anon_sym_GT] = ACTIONS(1599),
    [anon_sym_GT_EQ] = ACTIONS(1597),
    [anon_sym_LT_EQ] = ACTIONS(1597),
    [anon_sym_LT] = ACTIONS(1599),
    [anon_sym_CARET] = ACTIONS(1583),
    [anon_sym_orelse] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_GT_GT] = ACTIONS(1603),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1603),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1605),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1591),
    [anon_sym_PLUS_PIPE] = ACTIONS(1591),
    [anon_sym_DASH_PIPE] = ACTIONS(1591),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1607),
    [anon_sym_STAR_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_PIPE] = ACTIONS(1585),
    [anon_sym_PIPE_PIPE] = ACTIONS(1607),
    [anon_sym_catch] = ACTIONS(1609),
    [anon_sym_EQ_GT] = ACTIONS(1697),
    [anon_sym_DOT] = ACTIONS(1611),
    [anon_sym_DOT_STAR] = ACTIONS(1613),
    [anon_sym_DOT_QMARK] = ACTIONS(1615),
    [sym_comment] = ACTIONS(3),
  },
  [888] = {
    [ts_builtin_sym_end] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1701),
    [anon_sym_SEMI] = ACTIONS(1373),
    [anon_sym_STAR_EQ] = ACTIONS(1704),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1704),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1704),
    [anon_sym_SLASH_EQ] = ACTIONS(1704),
    [anon_sym_PERCENT_EQ] = ACTIONS(1704),
    [anon_sym_PLUS_EQ] = ACTIONS(1704),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1704),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1704),
    [anon_sym_DASH_EQ] = ACTIONS(1704),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1704),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1704),
    [anon_sym_LT_LT_EQ] = ACTIONS(1704),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1704),
    [anon_sym_GT_GT_EQ] = ACTIONS(1704),
    [anon_sym_AMP_EQ] = ACTIONS(1704),
    [anon_sym_CARET_EQ] = ACTIONS(1704),
    [anon_sym_PIPE_EQ] = ACTIONS(1704),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [anon_sym_RPAREN] = ACTIONS(1373),
    [anon_sym_LBRACE] = ACTIONS(1373),
    [anon_sym_RBRACE] = ACTIONS(1373),
    [anon_sym_else] = ACTIONS(1373),
    [anon_sym_DOT_DOT] = ACTIONS(1704),
    [anon_sym_PIPE] = ACTIONS(1701),
    [anon_sym_STAR] = ACTIONS(1701),
    [anon_sym_align] = ACTIONS(1373),
    [anon_sym_addrspace] = ACTIONS(1373),
    [anon_sym_linksection] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1704),
    [anon_sym_RBRACK] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1631),
    [anon_sym_DASH] = ACTIONS(1701),
    [anon_sym_DASH_PERCENT] = ACTIONS(1701),
    [anon_sym_AMP] = ACTIONS(1701),
    [anon_sym_or] = ACTIONS(1701),
    [anon_sym_and] = ACTIONS(1704),
    [anon_sym_EQ_EQ] = ACTIONS(1704),
    [anon_sym_BANG_EQ] = ACTIONS(1704),
    [anon_sym_GT] = ACTIONS(1701),
    [anon_sym_GT_EQ] = ACTIONS(1704),
    [anon_sym_LT_EQ] = ACTIONS(1704),
    [anon_sym_LT] = ACTIONS(1701),
    [anon_sym_CARET] = ACTIONS(1701),
    [anon_sym_orelse] = ACTIONS(1704),
    [anon_sym_LT_LT] = ACTIONS(1701),
    [anon_sym_GT_GT] = ACTIONS(1701),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1701),
    [anon_sym_PLUS] = ACTIONS(1701),
    [anon_sym_PLUS_PLUS] = ACTIONS(1704),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1701),
    [anon_sym_PLUS_PIPE] = ACTIONS(1701),
    [anon_sym_DASH_PIPE] = ACTIONS(1701),
    [anon_sym_SLASH] = ACTIONS(1701),
    [anon_sym_PERCENT] = ACTIONS(1701),
    [anon_sym_STAR_STAR] = ACTIONS(1704),
    [anon_sym_STAR_PERCENT] = ACTIONS(1701),
    [anon_sym_STAR_PIPE] = ACTIONS(1701),
    [anon_sym_PIPE_PIPE] = ACTIONS(1704),
    [anon_sym_catch] = ACTIONS(1704),
    [anon_sym_EQ_GT] = ACTIONS(1373),
    [anon_sym_DOT] = ACTIONS(1701),
    [anon_sym_DOT_STAR] = ACTIONS(1704),
    [anon_sym_DOT_QMARK] = ACTIONS(1704),
    [sym_comment] = ACTIONS(3),
  },
  [889] = {
    [ts_builtin_sym_end] = ACTIONS(1617),
    [anon_sym_COMMA] = ACTIONS(1617),
    [anon_sym_EQ] = ACTIONS(1619),
    [anon_sym_SEMI] = ACTIONS(1617),
    [anon_sym_STAR_EQ] = ACTIONS(1617),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1617),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1617),
    [anon_sym_SLASH_EQ] = ACTIONS(1617),
    [anon_sym_PERCENT_EQ] = ACTIONS(1617),
    [anon_sym_PLUS_EQ] = ACTIONS(1617),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1617),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1617),
    [anon_sym_DASH_EQ] = ACTIONS(1617),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1617),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1617),
    [anon_sym_LT_LT_EQ] = ACTIONS(1617),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1617),
    [anon_sym_GT_GT_EQ] = ACTIONS(1617),
    [anon_sym_AMP_EQ] = ACTIONS(1617),
    [anon_sym_CARET_EQ] = ACTIONS(1617),
    [anon_sym_PIPE_EQ] = ACTIONS(1617),
    [anon_sym_LPAREN] = ACTIONS(1577),
    [anon_sym_RPAREN] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(1617),
    [anon_sym_RBRACE] = ACTIONS(1617),
    [anon_sym_else] = ACTIONS(1617),
    [anon_sym_DOT_DOT] = ACTIONS(1581),
    [anon_sym_PIPE] = ACTIONS(1619),
    [anon_sym_STAR] = ACTIONS(1619),
    [anon_sym_align] = ACTIONS(1617),
    [anon_sym_addrspace] = ACTIONS(1617),
    [anon_sym_linksection] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_RBRACK] = ACTIONS(1617),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_DASH_PERCENT] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_or] = ACTIONS(1619),
    [anon_sym_and] = ACTIONS(1617),
    [anon_sym_EQ_EQ] = ACTIONS(1617),
    [anon_sym_BANG_EQ] = ACTIONS(1617),
    [anon_sym_GT] = ACTIONS(1619),
    [anon_sym_GT_EQ] = ACTIONS(1617),
    [anon_sym_LT_EQ] = ACTIONS(1617),
    [anon_sym_LT] = ACTIONS(1619),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_orelse] = ACTIONS(1617),
    [anon_sym_LT_LT] = ACTIONS(1619),
    [anon_sym_GT_GT] = ACTIONS(1619),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1619),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1617),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1619),
    [anon_sym_PLUS_PIPE] = ACTIONS(1619),
    [anon_sym_DASH_PIPE] = ACTIONS(1619),
    [anon_sym_SLASH] = ACTIONS(1619),
    [anon_sym_PERCENT] = ACTIONS(1619),
    [anon_sym_STAR_STAR] = ACTIONS(1617),
    [anon_sym_STAR_PERCENT] = ACTIONS(1619),
    [anon_sym_STAR_PIPE] = ACTIONS(1619),
    [anon_sym_PIPE_PIPE] = ACTIONS(1617),
    [anon_sym_catch] = ACTIONS(1617),
    [anon_sym_EQ_GT] = ACTIONS(1617),
    [anon_sym_DOT] = ACTIONS(1611),
    [anon_sym_DOT_STAR] = ACTIONS(1613),
    [anon_sym_DOT_QMARK] = ACTIONS(1615),
    [sym_comment] = ACTIONS(3),
  },
  [890] = {
    [ts_builtin_sym_end] = ACTIONS(1689),
    [anon_sym_COMMA] = ACTIONS(1689),
    [anon_sym_EQ] = ACTIONS(1573),
    [anon_sym_SEMI] = ACTIONS(1689),
    [anon_sym_STAR_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_SLASH_EQ] = ACTIONS(1575),
    [anon_sym_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_DASH_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_GT_GT_EQ] = ACTIONS(1575),
    [anon_sym_AMP_EQ] = ACTIONS(1575),
    [anon_sym_CARET_EQ] = ACTIONS(1575),
    [anon_sym_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LPAREN] = ACTIONS(1577),
    [anon_sym_RPAREN] = ACTIONS(1689),
    [anon_sym_LBRACE] = ACTIONS(1689),
    [anon_sym_RBRACE] = ACTIONS(1689),
    [anon_sym_else] = ACTIONS(1689),
    [anon_sym_DOT_DOT] = ACTIONS(1581),
    [anon_sym_PIPE] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_align] = ACTIONS(1689),
    [anon_sym_addrspace] = ACTIONS(1689),
    [anon_sym_linksection] = ACTIONS(1689),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_RBRACK] = ACTIONS(1689),
    [anon_sym_BANG] = ACTIONS(1691),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_PERCENT] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1583),
    [anon_sym_or] = ACTIONS(1593),
    [anon_sym_and] = ACTIONS(1595),
    [anon_sym_EQ_EQ] = ACTIONS(1597),
    [anon_sym_BANG_EQ] = ACTIONS(1597),
    [anon_sym_GT] = ACTIONS(1599),
    [anon_sym_GT_EQ] = ACTIONS(1597),
    [anon_sym_LT_EQ] = ACTIONS(1597),
    [anon_sym_LT] = ACTIONS(1599),
    [anon_sym_CARET] = ACTIONS(1583),
    [anon_sym_orelse] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_GT_GT] = ACTIONS(1603),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1603),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1605),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1591),
    [anon_sym_PLUS_PIPE] = ACTIONS(1591),
    [anon_sym_DASH_PIPE] = ACTIONS(1591),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1607),
    [anon_sym_STAR_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_PIPE] = ACTIONS(1585),
    [anon_sym_PIPE_PIPE] = ACTIONS(1607),
    [anon_sym_catch] = ACTIONS(1609),
    [anon_sym_EQ_GT] = ACTIONS(1689),
    [anon_sym_DOT] = ACTIONS(1611),
    [anon_sym_DOT_STAR] = ACTIONS(1613),
    [anon_sym_DOT_QMARK] = ACTIONS(1615),
    [sym_comment] = ACTIONS(3),
  },
  [891] = {
    [ts_builtin_sym_end] = ACTIONS(1707),
    [anon_sym_COMMA] = ACTIONS(1707),
    [anon_sym_EQ] = ACTIONS(1573),
    [anon_sym_SEMI] = ACTIONS(1707),
    [anon_sym_STAR_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_SLASH_EQ] = ACTIONS(1575),
    [anon_sym_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_DASH_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_GT_GT_EQ] = ACTIONS(1575),
    [anon_sym_AMP_EQ] = ACTIONS(1575),
    [anon_sym_CARET_EQ] = ACTIONS(1575),
    [anon_sym_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LPAREN] = ACTIONS(1577),
    [anon_sym_RPAREN] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1707),
    [anon_sym_RBRACE] = ACTIONS(1707),
    [anon_sym_else] = ACTIONS(1707),
    [anon_sym_DOT_DOT] = ACTIONS(1581),
    [anon_sym_PIPE] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_align] = ACTIONS(1707),
    [anon_sym_addrspace] = ACTIONS(1707),
    [anon_sym_linksection] = ACTIONS(1707),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_RBRACK] = ACTIONS(1707),
    [anon_sym_BANG] = ACTIONS(1709),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_PERCENT] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1583),
    [anon_sym_or] = ACTIONS(1593),
    [anon_sym_and] = ACTIONS(1595),
    [anon_sym_EQ_EQ] = ACTIONS(1597),
    [anon_sym_BANG_EQ] = ACTIONS(1597),
    [anon_sym_GT] = ACTIONS(1599),
    [anon_sym_GT_EQ] = ACTIONS(1597),
    [anon_sym_LT_EQ] = ACTIONS(1597),
    [anon_sym_LT] = ACTIONS(1599),
    [anon_sym_CARET] = ACTIONS(1583),
    [anon_sym_orelse] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_GT_GT] = ACTIONS(1603),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1603),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1605),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1591),
    [anon_sym_PLUS_PIPE] = ACTIONS(1591),
    [anon_sym_DASH_PIPE] = ACTIONS(1591),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1607),
    [anon_sym_STAR_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_PIPE] = ACTIONS(1585),
    [anon_sym_PIPE_PIPE] = ACTIONS(1607),
    [anon_sym_catch] = ACTIONS(1609),
    [anon_sym_EQ_GT] = ACTIONS(1707),
    [anon_sym_DOT] = ACTIONS(1611),
    [anon_sym_DOT_STAR] = ACTIONS(1613),
    [anon_sym_DOT_QMARK] = ACTIONS(1615),
    [sym_comment] = ACTIONS(3),
  },
  [892] = {
    [ts_builtin_sym_end] = ACTIONS(1345),
    [anon_sym_COMMA] = ACTIONS(1345),
    [anon_sym_EQ] = ACTIONS(1711),
    [anon_sym_SEMI] = ACTIONS(1345),
    [anon_sym_STAR_EQ] = ACTIONS(1714),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1714),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1714),
    [anon_sym_SLASH_EQ] = ACTIONS(1714),
    [anon_sym_PERCENT_EQ] = ACTIONS(1714),
    [anon_sym_PLUS_EQ] = ACTIONS(1714),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1714),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1714),
    [anon_sym_DASH_EQ] = ACTIONS(1714),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1714),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1714),
    [anon_sym_LT_LT_EQ] = ACTIONS(1714),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1714),
    [anon_sym_GT_GT_EQ] = ACTIONS(1714),
    [anon_sym_AMP_EQ] = ACTIONS(1714),
    [anon_sym_CARET_EQ] = ACTIONS(1714),
    [anon_sym_PIPE_EQ] = ACTIONS(1714),
    [anon_sym_LPAREN] = ACTIONS(1714),
    [anon_sym_RPAREN] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(1345),
    [anon_sym_RBRACE] = ACTIONS(1345),
    [anon_sym_else] = ACTIONS(1345),
    [anon_sym_DOT_DOT] = ACTIONS(1714),
    [anon_sym_PIPE] = ACTIONS(1711),
    [anon_sym_STAR] = ACTIONS(1711),
    [anon_sym_align] = ACTIONS(1345),
    [anon_sym_addrspace] = ACTIONS(1345),
    [anon_sym_linksection] = ACTIONS(1345),
    [anon_sym_LBRACK] = ACTIONS(1714),
    [anon_sym_RBRACK] = ACTIONS(1345),
    [anon_sym_BANG] = ACTIONS(1631),
    [anon_sym_DASH] = ACTIONS(1711),
    [anon_sym_DASH_PERCENT] = ACTIONS(1711),
    [anon_sym_AMP] = ACTIONS(1711),
    [anon_sym_or] = ACTIONS(1711),
    [anon_sym_and] = ACTIONS(1714),
    [anon_sym_EQ_EQ] = ACTIONS(1714),
    [anon_sym_BANG_EQ] = ACTIONS(1714),
    [anon_sym_GT] = ACTIONS(1711),
    [anon_sym_GT_EQ] = ACTIONS(1714),
    [anon_sym_LT_EQ] = ACTIONS(1714),
    [anon_sym_LT] = ACTIONS(1711),
    [anon_sym_CARET] = ACTIONS(1711),
    [anon_sym_orelse] = ACTIONS(1714),
    [anon_sym_LT_LT] = ACTIONS(1711),
    [anon_sym_GT_GT] = ACTIONS(1711),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1711),
    [anon_sym_PLUS] = ACTIONS(1711),
    [anon_sym_PLUS_PLUS] = ACTIONS(1714),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1711),
    [anon_sym_PLUS_PIPE] = ACTIONS(1711),
    [anon_sym_DASH_PIPE] = ACTIONS(1711),
    [anon_sym_SLASH] = ACTIONS(1711),
    [anon_sym_PERCENT] = ACTIONS(1711),
    [anon_sym_STAR_STAR] = ACTIONS(1714),
    [anon_sym_STAR_PERCENT] = ACTIONS(1711),
    [anon_sym_STAR_PIPE] = ACTIONS(1711),
    [anon_sym_PIPE_PIPE] = ACTIONS(1714),
    [anon_sym_catch] = ACTIONS(1714),
    [anon_sym_EQ_GT] = ACTIONS(1345),
    [anon_sym_DOT] = ACTIONS(1711),
    [anon_sym_DOT_STAR] = ACTIONS(1714),
    [anon_sym_DOT_QMARK] = ACTIONS(1714),
    [sym_comment] = ACTIONS(3),
  },
  [893] = {
    [ts_builtin_sym_end] = ACTIONS(1717),
    [anon_sym_COMMA] = ACTIONS(1717),
    [anon_sym_EQ] = ACTIONS(1573),
    [anon_sym_SEMI] = ACTIONS(1717),
    [anon_sym_STAR_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_SLASH_EQ] = ACTIONS(1575),
    [anon_sym_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_DASH_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_GT_GT_EQ] = ACTIONS(1575),
    [anon_sym_AMP_EQ] = ACTIONS(1575),
    [anon_sym_CARET_EQ] = ACTIONS(1575),
    [anon_sym_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LPAREN] = ACTIONS(1577),
    [anon_sym_RPAREN] = ACTIONS(1717),
    [anon_sym_LBRACE] = ACTIONS(1717),
    [anon_sym_RBRACE] = ACTIONS(1717),
    [anon_sym_else] = ACTIONS(1717),
    [anon_sym_DOT_DOT] = ACTIONS(1581),
    [anon_sym_PIPE] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_align] = ACTIONS(1717),
    [anon_sym_addrspace] = ACTIONS(1717),
    [anon_sym_linksection] = ACTIONS(1717),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_RBRACK] = ACTIONS(1717),
    [anon_sym_BANG] = ACTIONS(1719),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_PERCENT] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1583),
    [anon_sym_or] = ACTIONS(1593),
    [anon_sym_and] = ACTIONS(1595),
    [anon_sym_EQ_EQ] = ACTIONS(1597),
    [anon_sym_BANG_EQ] = ACTIONS(1597),
    [anon_sym_GT] = ACTIONS(1599),
    [anon_sym_GT_EQ] = ACTIONS(1597),
    [anon_sym_LT_EQ] = ACTIONS(1597),
    [anon_sym_LT] = ACTIONS(1599),
    [anon_sym_CARET] = ACTIONS(1583),
    [anon_sym_orelse] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_GT_GT] = ACTIONS(1603),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1603),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1605),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1591),
    [anon_sym_PLUS_PIPE] = ACTIONS(1591),
    [anon_sym_DASH_PIPE] = ACTIONS(1591),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1607),
    [anon_sym_STAR_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_PIPE] = ACTIONS(1585),
    [anon_sym_PIPE_PIPE] = ACTIONS(1607),
    [anon_sym_catch] = ACTIONS(1609),
    [anon_sym_EQ_GT] = ACTIONS(1717),
    [anon_sym_DOT] = ACTIONS(1611),
    [anon_sym_DOT_STAR] = ACTIONS(1613),
    [anon_sym_DOT_QMARK] = ACTIONS(1615),
    [sym_comment] = ACTIONS(3),
  },
  [894] = {
    [ts_builtin_sym_end] = ACTIONS(1721),
    [anon_sym_COMMA] = ACTIONS(1721),
    [anon_sym_EQ] = ACTIONS(1723),
    [anon_sym_SEMI] = ACTIONS(1721),
    [anon_sym_STAR_EQ] = ACTIONS(1721),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1721),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1721),
    [anon_sym_SLASH_EQ] = ACTIONS(1721),
    [anon_sym_PERCENT_EQ] = ACTIONS(1721),
    [anon_sym_PLUS_EQ] = ACTIONS(1721),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1721),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1721),
    [anon_sym_DASH_EQ] = ACTIONS(1721),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1721),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1721),
    [anon_sym_LT_LT_EQ] = ACTIONS(1721),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1721),
    [anon_sym_GT_GT_EQ] = ACTIONS(1721),
    [anon_sym_AMP_EQ] = ACTIONS(1721),
    [anon_sym_CARET_EQ] = ACTIONS(1721),
    [anon_sym_PIPE_EQ] = ACTIONS(1721),
    [anon_sym_LPAREN] = ACTIONS(1721),
    [anon_sym_RPAREN] = ACTIONS(1721),
    [anon_sym_LBRACE] = ACTIONS(1721),
    [anon_sym_RBRACE] = ACTIONS(1721),
    [anon_sym_else] = ACTIONS(1721),
    [anon_sym_DOT_DOT] = ACTIONS(1721),
    [anon_sym_PIPE] = ACTIONS(1723),
    [anon_sym_STAR] = ACTIONS(1723),
    [anon_sym_align] = ACTIONS(1721),
    [anon_sym_addrspace] = ACTIONS(1721),
    [anon_sym_linksection] = ACTIONS(1721),
    [anon_sym_LBRACK] = ACTIONS(1721),
    [anon_sym_RBRACK] = ACTIONS(1721),
    [anon_sym_BANG] = ACTIONS(1631),
    [anon_sym_DASH] = ACTIONS(1723),
    [anon_sym_DASH_PERCENT] = ACTIONS(1723),
    [anon_sym_AMP] = ACTIONS(1723),
    [anon_sym_or] = ACTIONS(1723),
    [anon_sym_and] = ACTIONS(1721),
    [anon_sym_EQ_EQ] = ACTIONS(1721),
    [anon_sym_BANG_EQ] = ACTIONS(1721),
    [anon_sym_GT] = ACTIONS(1723),
    [anon_sym_GT_EQ] = ACTIONS(1721),
    [anon_sym_LT_EQ] = ACTIONS(1721),
    [anon_sym_LT] = ACTIONS(1723),
    [anon_sym_CARET] = ACTIONS(1723),
    [anon_sym_orelse] = ACTIONS(1721),
    [anon_sym_LT_LT] = ACTIONS(1723),
    [anon_sym_GT_GT] = ACTIONS(1723),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1723),
    [anon_sym_PLUS] = ACTIONS(1723),
    [anon_sym_PLUS_PLUS] = ACTIONS(1721),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1723),
    [anon_sym_PLUS_PIPE] = ACTIONS(1723),
    [anon_sym_DASH_PIPE] = ACTIONS(1723),
    [anon_sym_SLASH] = ACTIONS(1723),
    [anon_sym_PERCENT] = ACTIONS(1723),
    [anon_sym_STAR_STAR] = ACTIONS(1721),
    [anon_sym_STAR_PERCENT] = ACTIONS(1723),
    [anon_sym_STAR_PIPE] = ACTIONS(1723),
    [anon_sym_PIPE_PIPE] = ACTIONS(1721),
    [anon_sym_catch] = ACTIONS(1721),
    [anon_sym_EQ_GT] = ACTIONS(1721),
    [anon_sym_DOT] = ACTIONS(1723),
    [anon_sym_DOT_STAR] = ACTIONS(1721),
    [anon_sym_DOT_QMARK] = ACTIONS(1721),
    [sym_comment] = ACTIONS(3),
  },
  [895] = {
    [ts_builtin_sym_end] = ACTIONS(1725),
    [anon_sym_COMMA] = ACTIONS(1725),
    [anon_sym_EQ] = ACTIONS(1573),
    [anon_sym_SEMI] = ACTIONS(1725),
    [anon_sym_STAR_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_SLASH_EQ] = ACTIONS(1575),
    [anon_sym_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_DASH_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_GT_GT_EQ] = ACTIONS(1575),
    [anon_sym_AMP_EQ] = ACTIONS(1575),
    [anon_sym_CARET_EQ] = ACTIONS(1575),
    [anon_sym_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LPAREN] = ACTIONS(1577),
    [anon_sym_RPAREN] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(1725),
    [anon_sym_RBRACE] = ACTIONS(1725),
    [anon_sym_else] = ACTIONS(1725),
    [anon_sym_DOT_DOT] = ACTIONS(1581),
    [anon_sym_PIPE] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_align] = ACTIONS(1725),
    [anon_sym_addrspace] = ACTIONS(1725),
    [anon_sym_linksection] = ACTIONS(1725),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_RBRACK] = ACTIONS(1725),
    [anon_sym_BANG] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_PERCENT] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1583),
    [anon_sym_or] = ACTIONS(1593),
    [anon_sym_and] = ACTIONS(1595),
    [anon_sym_EQ_EQ] = ACTIONS(1597),
    [anon_sym_BANG_EQ] = ACTIONS(1597),
    [anon_sym_GT] = ACTIONS(1599),
    [anon_sym_GT_EQ] = ACTIONS(1597),
    [anon_sym_LT_EQ] = ACTIONS(1597),
    [anon_sym_LT] = ACTIONS(1599),
    [anon_sym_CARET] = ACTIONS(1583),
    [anon_sym_orelse] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_GT_GT] = ACTIONS(1603),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1603),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1605),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1591),
    [anon_sym_PLUS_PIPE] = ACTIONS(1591),
    [anon_sym_DASH_PIPE] = ACTIONS(1591),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1607),
    [anon_sym_STAR_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_PIPE] = ACTIONS(1585),
    [anon_sym_PIPE_PIPE] = ACTIONS(1607),
    [anon_sym_catch] = ACTIONS(1609),
    [anon_sym_EQ_GT] = ACTIONS(1725),
    [anon_sym_DOT] = ACTIONS(1611),
    [anon_sym_DOT_STAR] = ACTIONS(1613),
    [anon_sym_DOT_QMARK] = ACTIONS(1615),
    [sym_comment] = ACTIONS(3),
  },
  [896] = {
    [ts_builtin_sym_end] = ACTIONS(1707),
    [anon_sym_COMMA] = ACTIONS(1707),
    [anon_sym_EQ] = ACTIONS(1573),
    [anon_sym_SEMI] = ACTIONS(1707),
    [anon_sym_STAR_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_SLASH_EQ] = ACTIONS(1575),
    [anon_sym_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_DASH_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_GT_GT_EQ] = ACTIONS(1575),
    [anon_sym_AMP_EQ] = ACTIONS(1575),
    [anon_sym_CARET_EQ] = ACTIONS(1575),
    [anon_sym_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LPAREN] = ACTIONS(1577),
    [anon_sym_RPAREN] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1707),
    [anon_sym_RBRACE] = ACTIONS(1707),
    [anon_sym_else] = ACTIONS(1707),
    [anon_sym_DOT_DOT] = ACTIONS(1581),
    [anon_sym_PIPE] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_align] = ACTIONS(1707),
    [anon_sym_addrspace] = ACTIONS(1707),
    [anon_sym_linksection] = ACTIONS(1707),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_RBRACK] = ACTIONS(1707),
    [anon_sym_BANG] = ACTIONS(1709),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_PERCENT] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1583),
    [anon_sym_or] = ACTIONS(1593),
    [anon_sym_and] = ACTIONS(1595),
    [anon_sym_EQ_EQ] = ACTIONS(1597),
    [anon_sym_BANG_EQ] = ACTIONS(1597),
    [anon_sym_GT] = ACTIONS(1599),
    [anon_sym_GT_EQ] = ACTIONS(1597),
    [anon_sym_LT_EQ] = ACTIONS(1597),
    [anon_sym_LT] = ACTIONS(1599),
    [anon_sym_CARET] = ACTIONS(1583),
    [anon_sym_orelse] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_GT_GT] = ACTIONS(1603),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1603),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1605),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1591),
    [anon_sym_PLUS_PIPE] = ACTIONS(1591),
    [anon_sym_DASH_PIPE] = ACTIONS(1591),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1607),
    [anon_sym_STAR_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_PIPE] = ACTIONS(1585),
    [anon_sym_PIPE_PIPE] = ACTIONS(1607),
    [anon_sym_catch] = ACTIONS(1609),
    [anon_sym_EQ_GT] = ACTIONS(1707),
    [anon_sym_DOT] = ACTIONS(1611),
    [anon_sym_DOT_STAR] = ACTIONS(1613),
    [anon_sym_DOT_QMARK] = ACTIONS(1615),
    [sym_comment] = ACTIONS(3),
  },
  [897] = {
    [ts_builtin_sym_end] = ACTIONS(1729),
    [anon_sym_COMMA] = ACTIONS(1729),
    [anon_sym_EQ] = ACTIONS(1573),
    [anon_sym_SEMI] = ACTIONS(1729),
    [anon_sym_STAR_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_SLASH_EQ] = ACTIONS(1575),
    [anon_sym_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_DASH_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_GT_GT_EQ] = ACTIONS(1575),
    [anon_sym_AMP_EQ] = ACTIONS(1575),
    [anon_sym_CARET_EQ] = ACTIONS(1575),
    [anon_sym_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LPAREN] = ACTIONS(1577),
    [anon_sym_RPAREN] = ACTIONS(1729),
    [anon_sym_LBRACE] = ACTIONS(1729),
    [anon_sym_RBRACE] = ACTIONS(1729),
    [anon_sym_else] = ACTIONS(1729),
    [anon_sym_DOT_DOT] = ACTIONS(1581),
    [anon_sym_PIPE] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_align] = ACTIONS(1729),
    [anon_sym_addrspace] = ACTIONS(1729),
    [anon_sym_linksection] = ACTIONS(1729),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_RBRACK] = ACTIONS(1729),
    [anon_sym_BANG] = ACTIONS(1731),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_PERCENT] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1583),
    [anon_sym_or] = ACTIONS(1593),
    [anon_sym_and] = ACTIONS(1595),
    [anon_sym_EQ_EQ] = ACTIONS(1597),
    [anon_sym_BANG_EQ] = ACTIONS(1597),
    [anon_sym_GT] = ACTIONS(1599),
    [anon_sym_GT_EQ] = ACTIONS(1597),
    [anon_sym_LT_EQ] = ACTIONS(1597),
    [anon_sym_LT] = ACTIONS(1599),
    [anon_sym_CARET] = ACTIONS(1583),
    [anon_sym_orelse] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_GT_GT] = ACTIONS(1603),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1603),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1605),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1591),
    [anon_sym_PLUS_PIPE] = ACTIONS(1591),
    [anon_sym_DASH_PIPE] = ACTIONS(1591),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1607),
    [anon_sym_STAR_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_PIPE] = ACTIONS(1585),
    [anon_sym_PIPE_PIPE] = ACTIONS(1607),
    [anon_sym_catch] = ACTIONS(1609),
    [anon_sym_EQ_GT] = ACTIONS(1729),
    [anon_sym_DOT] = ACTIONS(1611),
    [anon_sym_DOT_STAR] = ACTIONS(1613),
    [anon_sym_DOT_QMARK] = ACTIONS(1615),
    [sym_comment] = ACTIONS(3),
  },
  [898] = {
    [ts_builtin_sym_end] = ACTIONS(1733),
    [anon_sym_COMMA] = ACTIONS(1733),
    [anon_sym_EQ] = ACTIONS(1735),
    [anon_sym_SEMI] = ACTIONS(1733),
    [anon_sym_STAR_EQ] = ACTIONS(1733),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1733),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1733),
    [anon_sym_SLASH_EQ] = ACTIONS(1733),
    [anon_sym_PERCENT_EQ] = ACTIONS(1733),
    [anon_sym_PLUS_EQ] = ACTIONS(1733),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1733),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1733),
    [anon_sym_DASH_EQ] = ACTIONS(1733),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1733),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1733),
    [anon_sym_LT_LT_EQ] = ACTIONS(1733),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1733),
    [anon_sym_GT_GT_EQ] = ACTIONS(1733),
    [anon_sym_AMP_EQ] = ACTIONS(1733),
    [anon_sym_CARET_EQ] = ACTIONS(1733),
    [anon_sym_PIPE_EQ] = ACTIONS(1733),
    [anon_sym_LPAREN] = ACTIONS(1733),
    [anon_sym_RPAREN] = ACTIONS(1733),
    [anon_sym_LBRACE] = ACTIONS(1733),
    [anon_sym_RBRACE] = ACTIONS(1733),
    [anon_sym_else] = ACTIONS(1733),
    [anon_sym_DOT_DOT] = ACTIONS(1733),
    [anon_sym_PIPE] = ACTIONS(1735),
    [anon_sym_STAR] = ACTIONS(1735),
    [anon_sym_align] = ACTIONS(1733),
    [anon_sym_addrspace] = ACTIONS(1733),
    [anon_sym_linksection] = ACTIONS(1733),
    [anon_sym_LBRACK] = ACTIONS(1733),
    [anon_sym_RBRACK] = ACTIONS(1733),
    [anon_sym_BANG] = ACTIONS(1631),
    [anon_sym_DASH] = ACTIONS(1735),
    [anon_sym_DASH_PERCENT] = ACTIONS(1735),
    [anon_sym_AMP] = ACTIONS(1735),
    [anon_sym_or] = ACTIONS(1735),
    [anon_sym_and] = ACTIONS(1733),
    [anon_sym_EQ_EQ] = ACTIONS(1733),
    [anon_sym_BANG_EQ] = ACTIONS(1733),
    [anon_sym_GT] = ACTIONS(1735),
    [anon_sym_GT_EQ] = ACTIONS(1733),
    [anon_sym_LT_EQ] = ACTIONS(1733),
    [anon_sym_LT] = ACTIONS(1735),
    [anon_sym_CARET] = ACTIONS(1735),
    [anon_sym_orelse] = ACTIONS(1733),
    [anon_sym_LT_LT] = ACTIONS(1735),
    [anon_sym_GT_GT] = ACTIONS(1735),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1735),
    [anon_sym_PLUS] = ACTIONS(1735),
    [anon_sym_PLUS_PLUS] = ACTIONS(1733),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1735),
    [anon_sym_PLUS_PIPE] = ACTIONS(1735),
    [anon_sym_DASH_PIPE] = ACTIONS(1735),
    [anon_sym_SLASH] = ACTIONS(1735),
    [anon_sym_PERCENT] = ACTIONS(1735),
    [anon_sym_STAR_STAR] = ACTIONS(1733),
    [anon_sym_STAR_PERCENT] = ACTIONS(1735),
    [anon_sym_STAR_PIPE] = ACTIONS(1735),
    [anon_sym_PIPE_PIPE] = ACTIONS(1733),
    [anon_sym_catch] = ACTIONS(1733),
    [anon_sym_EQ_GT] = ACTIONS(1733),
    [anon_sym_DOT] = ACTIONS(1735),
    [anon_sym_DOT_STAR] = ACTIONS(1733),
    [anon_sym_DOT_QMARK] = ACTIONS(1733),
    [sym_comment] = ACTIONS(3),
  },
  [899] = {
    [ts_builtin_sym_end] = ACTIONS(1737),
    [anon_sym_COMMA] = ACTIONS(1737),
    [anon_sym_EQ] = ACTIONS(1739),
    [anon_sym_SEMI] = ACTIONS(1737),
    [anon_sym_STAR_EQ] = ACTIONS(1737),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1737),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1737),
    [anon_sym_SLASH_EQ] = ACTIONS(1737),
    [anon_sym_PERCENT_EQ] = ACTIONS(1737),
    [anon_sym_PLUS_EQ] = ACTIONS(1737),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1737),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1737),
    [anon_sym_DASH_EQ] = ACTIONS(1737),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1737),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1737),
    [anon_sym_LT_LT_EQ] = ACTIONS(1737),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1737),
    [anon_sym_GT_GT_EQ] = ACTIONS(1737),
    [anon_sym_AMP_EQ] = ACTIONS(1737),
    [anon_sym_CARET_EQ] = ACTIONS(1737),
    [anon_sym_PIPE_EQ] = ACTIONS(1737),
    [anon_sym_LPAREN] = ACTIONS(1737),
    [anon_sym_RPAREN] = ACTIONS(1737),
    [anon_sym_LBRACE] = ACTIONS(1737),
    [anon_sym_RBRACE] = ACTIONS(1737),
    [anon_sym_else] = ACTIONS(1737),
    [anon_sym_DOT_DOT] = ACTIONS(1737),
    [anon_sym_PIPE] = ACTIONS(1739),
    [anon_sym_STAR] = ACTIONS(1739),
    [anon_sym_align] = ACTIONS(1737),
    [anon_sym_addrspace] = ACTIONS(1737),
    [anon_sym_linksection] = ACTIONS(1737),
    [anon_sym_LBRACK] = ACTIONS(1737),
    [anon_sym_RBRACK] = ACTIONS(1737),
    [anon_sym_BANG] = ACTIONS(1631),
    [anon_sym_DASH] = ACTIONS(1739),
    [anon_sym_DASH_PERCENT] = ACTIONS(1739),
    [anon_sym_AMP] = ACTIONS(1739),
    [anon_sym_or] = ACTIONS(1739),
    [anon_sym_and] = ACTIONS(1737),
    [anon_sym_EQ_EQ] = ACTIONS(1737),
    [anon_sym_BANG_EQ] = ACTIONS(1737),
    [anon_sym_GT] = ACTIONS(1739),
    [anon_sym_GT_EQ] = ACTIONS(1737),
    [anon_sym_LT_EQ] = ACTIONS(1737),
    [anon_sym_LT] = ACTIONS(1739),
    [anon_sym_CARET] = ACTIONS(1739),
    [anon_sym_orelse] = ACTIONS(1737),
    [anon_sym_LT_LT] = ACTIONS(1739),
    [anon_sym_GT_GT] = ACTIONS(1739),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1739),
    [anon_sym_PLUS] = ACTIONS(1739),
    [anon_sym_PLUS_PLUS] = ACTIONS(1737),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1739),
    [anon_sym_PLUS_PIPE] = ACTIONS(1739),
    [anon_sym_DASH_PIPE] = ACTIONS(1739),
    [anon_sym_SLASH] = ACTIONS(1739),
    [anon_sym_PERCENT] = ACTIONS(1739),
    [anon_sym_STAR_STAR] = ACTIONS(1737),
    [anon_sym_STAR_PERCENT] = ACTIONS(1739),
    [anon_sym_STAR_PIPE] = ACTIONS(1739),
    [anon_sym_PIPE_PIPE] = ACTIONS(1737),
    [anon_sym_catch] = ACTIONS(1737),
    [anon_sym_EQ_GT] = ACTIONS(1737),
    [anon_sym_DOT] = ACTIONS(1739),
    [anon_sym_DOT_STAR] = ACTIONS(1737),
    [anon_sym_DOT_QMARK] = ACTIONS(1737),
    [sym_comment] = ACTIONS(3),
  },
  [900] = {
    [ts_builtin_sym_end] = ACTIONS(1525),
    [anon_sym_COMMA] = ACTIONS(1525),
    [anon_sym_EQ] = ACTIONS(1741),
    [anon_sym_SEMI] = ACTIONS(1525),
    [anon_sym_STAR_EQ] = ACTIONS(1744),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1744),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_PERCENT_EQ] = ACTIONS(1744),
    [anon_sym_PLUS_EQ] = ACTIONS(1744),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1744),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_DASH_EQ] = ACTIONS(1744),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1744),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_LT_LT_EQ] = ACTIONS(1744),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_GT_GT_EQ] = ACTIONS(1744),
    [anon_sym_AMP_EQ] = ACTIONS(1744),
    [anon_sym_CARET_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_LPAREN] = ACTIONS(1744),
    [anon_sym_RPAREN] = ACTIONS(1525),
    [anon_sym_LBRACE] = ACTIONS(1525),
    [anon_sym_RBRACE] = ACTIONS(1525),
    [anon_sym_else] = ACTIONS(1525),
    [anon_sym_DOT_DOT] = ACTIONS(1744),
    [anon_sym_PIPE] = ACTIONS(1741),
    [anon_sym_STAR] = ACTIONS(1741),
    [anon_sym_align] = ACTIONS(1525),
    [anon_sym_addrspace] = ACTIONS(1525),
    [anon_sym_linksection] = ACTIONS(1525),
    [anon_sym_LBRACK] = ACTIONS(1744),
    [anon_sym_RBRACK] = ACTIONS(1525),
    [anon_sym_BANG] = ACTIONS(1631),
    [anon_sym_DASH] = ACTIONS(1741),
    [anon_sym_DASH_PERCENT] = ACTIONS(1741),
    [anon_sym_AMP] = ACTIONS(1741),
    [anon_sym_or] = ACTIONS(1741),
    [anon_sym_and] = ACTIONS(1744),
    [anon_sym_EQ_EQ] = ACTIONS(1744),
    [anon_sym_BANG_EQ] = ACTIONS(1744),
    [anon_sym_GT] = ACTIONS(1741),
    [anon_sym_GT_EQ] = ACTIONS(1744),
    [anon_sym_LT_EQ] = ACTIONS(1744),
    [anon_sym_LT] = ACTIONS(1741),
    [anon_sym_CARET] = ACTIONS(1741),
    [anon_sym_orelse] = ACTIONS(1744),
    [anon_sym_LT_LT] = ACTIONS(1741),
    [anon_sym_GT_GT] = ACTIONS(1741),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1741),
    [anon_sym_PLUS] = ACTIONS(1741),
    [anon_sym_PLUS_PLUS] = ACTIONS(1744),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1741),
    [anon_sym_PLUS_PIPE] = ACTIONS(1741),
    [anon_sym_DASH_PIPE] = ACTIONS(1741),
    [anon_sym_SLASH] = ACTIONS(1741),
    [anon_sym_PERCENT] = ACTIONS(1741),
    [anon_sym_STAR_STAR] = ACTIONS(1744),
    [anon_sym_STAR_PERCENT] = ACTIONS(1741),
    [anon_sym_STAR_PIPE] = ACTIONS(1741),
    [anon_sym_PIPE_PIPE] = ACTIONS(1744),
    [anon_sym_catch] = ACTIONS(1744),
    [anon_sym_EQ_GT] = ACTIONS(1525),
    [anon_sym_DOT] = ACTIONS(1741),
    [anon_sym_DOT_STAR] = ACTIONS(1744),
    [anon_sym_DOT_QMARK] = ACTIONS(1744),
    [sym_comment] = ACTIONS(3),
  },
  [901] = {
    [ts_builtin_sym_end] = ACTIONS(1747),
    [anon_sym_COMMA] = ACTIONS(1747),
    [anon_sym_EQ] = ACTIONS(1749),
    [anon_sym_SEMI] = ACTIONS(1747),
    [anon_sym_STAR_EQ] = ACTIONS(1747),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1747),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1747),
    [anon_sym_SLASH_EQ] = ACTIONS(1747),
    [anon_sym_PERCENT_EQ] = ACTIONS(1747),
    [anon_sym_PLUS_EQ] = ACTIONS(1747),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1747),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1747),
    [anon_sym_DASH_EQ] = ACTIONS(1747),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1747),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1747),
    [anon_sym_LT_LT_EQ] = ACTIONS(1747),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1747),
    [anon_sym_GT_GT_EQ] = ACTIONS(1747),
    [anon_sym_AMP_EQ] = ACTIONS(1747),
    [anon_sym_CARET_EQ] = ACTIONS(1747),
    [anon_sym_PIPE_EQ] = ACTIONS(1747),
    [anon_sym_LPAREN] = ACTIONS(1747),
    [anon_sym_RPAREN] = ACTIONS(1747),
    [anon_sym_LBRACE] = ACTIONS(1747),
    [anon_sym_RBRACE] = ACTIONS(1747),
    [anon_sym_else] = ACTIONS(1747),
    [anon_sym_DOT_DOT] = ACTIONS(1747),
    [anon_sym_PIPE] = ACTIONS(1749),
    [anon_sym_STAR] = ACTIONS(1749),
    [anon_sym_align] = ACTIONS(1747),
    [anon_sym_addrspace] = ACTIONS(1747),
    [anon_sym_linksection] = ACTIONS(1747),
    [anon_sym_LBRACK] = ACTIONS(1747),
    [anon_sym_RBRACK] = ACTIONS(1747),
    [anon_sym_BANG] = ACTIONS(1631),
    [anon_sym_DASH] = ACTIONS(1749),
    [anon_sym_DASH_PERCENT] = ACTIONS(1749),
    [anon_sym_AMP] = ACTIONS(1749),
    [anon_sym_or] = ACTIONS(1749),
    [anon_sym_and] = ACTIONS(1747),
    [anon_sym_EQ_EQ] = ACTIONS(1747),
    [anon_sym_BANG_EQ] = ACTIONS(1747),
    [anon_sym_GT] = ACTIONS(1749),
    [anon_sym_GT_EQ] = ACTIONS(1747),
    [anon_sym_LT_EQ] = ACTIONS(1747),
    [anon_sym_LT] = ACTIONS(1749),
    [anon_sym_CARET] = ACTIONS(1749),
    [anon_sym_orelse] = ACTIONS(1747),
    [anon_sym_LT_LT] = ACTIONS(1749),
    [anon_sym_GT_GT] = ACTIONS(1749),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1749),
    [anon_sym_PLUS] = ACTIONS(1749),
    [anon_sym_PLUS_PLUS] = ACTIONS(1747),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1749),
    [anon_sym_PLUS_PIPE] = ACTIONS(1749),
    [anon_sym_DASH_PIPE] = ACTIONS(1749),
    [anon_sym_SLASH] = ACTIONS(1749),
    [anon_sym_PERCENT] = ACTIONS(1749),
    [anon_sym_STAR_STAR] = ACTIONS(1747),
    [anon_sym_STAR_PERCENT] = ACTIONS(1749),
    [anon_sym_STAR_PIPE] = ACTIONS(1749),
    [anon_sym_PIPE_PIPE] = ACTIONS(1747),
    [anon_sym_catch] = ACTIONS(1747),
    [anon_sym_EQ_GT] = ACTIONS(1747),
    [anon_sym_DOT] = ACTIONS(1749),
    [anon_sym_DOT_STAR] = ACTIONS(1747),
    [anon_sym_DOT_QMARK] = ACTIONS(1747),
    [sym_comment] = ACTIONS(3),
  },
  [902] = {
    [ts_builtin_sym_end] = ACTIONS(1751),
    [anon_sym_COMMA] = ACTIONS(1751),
    [anon_sym_EQ] = ACTIONS(1753),
    [anon_sym_SEMI] = ACTIONS(1751),
    [anon_sym_STAR_EQ] = ACTIONS(1751),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1751),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1751),
    [anon_sym_SLASH_EQ] = ACTIONS(1751),
    [anon_sym_PERCENT_EQ] = ACTIONS(1751),
    [anon_sym_PLUS_EQ] = ACTIONS(1751),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1751),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1751),
    [anon_sym_DASH_EQ] = ACTIONS(1751),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1751),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1751),
    [anon_sym_LT_LT_EQ] = ACTIONS(1751),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1751),
    [anon_sym_GT_GT_EQ] = ACTIONS(1751),
    [anon_sym_AMP_EQ] = ACTIONS(1751),
    [anon_sym_CARET_EQ] = ACTIONS(1751),
    [anon_sym_PIPE_EQ] = ACTIONS(1751),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_RPAREN] = ACTIONS(1751),
    [anon_sym_LBRACE] = ACTIONS(1751),
    [anon_sym_RBRACE] = ACTIONS(1751),
    [anon_sym_else] = ACTIONS(1751),
    [anon_sym_DOT_DOT] = ACTIONS(1751),
    [anon_sym_PIPE] = ACTIONS(1753),
    [anon_sym_STAR] = ACTIONS(1753),
    [anon_sym_align] = ACTIONS(1751),
    [anon_sym_addrspace] = ACTIONS(1751),
    [anon_sym_linksection] = ACTIONS(1751),
    [anon_sym_LBRACK] = ACTIONS(1751),
    [anon_sym_RBRACK] = ACTIONS(1751),
    [anon_sym_BANG] = ACTIONS(1631),
    [anon_sym_DASH] = ACTIONS(1753),
    [anon_sym_DASH_PERCENT] = ACTIONS(1753),
    [anon_sym_AMP] = ACTIONS(1753),
    [anon_sym_or] = ACTIONS(1753),
    [anon_sym_and] = ACTIONS(1751),
    [anon_sym_EQ_EQ] = ACTIONS(1751),
    [anon_sym_BANG_EQ] = ACTIONS(1751),
    [anon_sym_GT] = ACTIONS(1753),
    [anon_sym_GT_EQ] = ACTIONS(1751),
    [anon_sym_LT_EQ] = ACTIONS(1751),
    [anon_sym_LT] = ACTIONS(1753),
    [anon_sym_CARET] = ACTIONS(1753),
    [anon_sym_orelse] = ACTIONS(1751),
    [anon_sym_LT_LT] = ACTIONS(1753),
    [anon_sym_GT_GT] = ACTIONS(1753),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1753),
    [anon_sym_PLUS] = ACTIONS(1753),
    [anon_sym_PLUS_PLUS] = ACTIONS(1751),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1753),
    [anon_sym_PLUS_PIPE] = ACTIONS(1753),
    [anon_sym_DASH_PIPE] = ACTIONS(1753),
    [anon_sym_SLASH] = ACTIONS(1753),
    [anon_sym_PERCENT] = ACTIONS(1753),
    [anon_sym_STAR_STAR] = ACTIONS(1751),
    [anon_sym_STAR_PERCENT] = ACTIONS(1753),
    [anon_sym_STAR_PIPE] = ACTIONS(1753),
    [anon_sym_PIPE_PIPE] = ACTIONS(1751),
    [anon_sym_catch] = ACTIONS(1751),
    [anon_sym_EQ_GT] = ACTIONS(1751),
    [anon_sym_DOT] = ACTIONS(1753),
    [anon_sym_DOT_STAR] = ACTIONS(1751),
    [anon_sym_DOT_QMARK] = ACTIONS(1751),
    [sym_comment] = ACTIONS(3),
  },
  [903] = {
    [ts_builtin_sym_end] = ACTIONS(1755),
    [anon_sym_COMMA] = ACTIONS(1755),
    [anon_sym_EQ] = ACTIONS(1757),
    [anon_sym_SEMI] = ACTIONS(1755),
    [anon_sym_STAR_EQ] = ACTIONS(1755),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1755),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1755),
    [anon_sym_SLASH_EQ] = ACTIONS(1755),
    [anon_sym_PERCENT_EQ] = ACTIONS(1755),
    [anon_sym_PLUS_EQ] = ACTIONS(1755),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1755),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1755),
    [anon_sym_DASH_EQ] = ACTIONS(1755),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1755),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1755),
    [anon_sym_LT_LT_EQ] = ACTIONS(1755),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1755),
    [anon_sym_GT_GT_EQ] = ACTIONS(1755),
    [anon_sym_AMP_EQ] = ACTIONS(1755),
    [anon_sym_CARET_EQ] = ACTIONS(1755),
    [anon_sym_PIPE_EQ] = ACTIONS(1755),
    [anon_sym_LPAREN] = ACTIONS(1755),
    [anon_sym_RPAREN] = ACTIONS(1755),
    [anon_sym_LBRACE] = ACTIONS(1755),
    [anon_sym_RBRACE] = ACTIONS(1755),
    [anon_sym_else] = ACTIONS(1755),
    [anon_sym_DOT_DOT] = ACTIONS(1755),
    [anon_sym_PIPE] = ACTIONS(1757),
    [anon_sym_STAR] = ACTIONS(1757),
    [anon_sym_align] = ACTIONS(1755),
    [anon_sym_addrspace] = ACTIONS(1755),
    [anon_sym_linksection] = ACTIONS(1755),
    [anon_sym_LBRACK] = ACTIONS(1755),
    [anon_sym_RBRACK] = ACTIONS(1755),
    [anon_sym_BANG] = ACTIONS(1631),
    [anon_sym_DASH] = ACTIONS(1757),
    [anon_sym_DASH_PERCENT] = ACTIONS(1757),
    [anon_sym_AMP] = ACTIONS(1757),
    [anon_sym_or] = ACTIONS(1757),
    [anon_sym_and] = ACTIONS(1755),
    [anon_sym_EQ_EQ] = ACTIONS(1755),
    [anon_sym_BANG_EQ] = ACTIONS(1755),
    [anon_sym_GT] = ACTIONS(1757),
    [anon_sym_GT_EQ] = ACTIONS(1755),
    [anon_sym_LT_EQ] = ACTIONS(1755),
    [anon_sym_LT] = ACTIONS(1757),
    [anon_sym_CARET] = ACTIONS(1757),
    [anon_sym_orelse] = ACTIONS(1755),
    [anon_sym_LT_LT] = ACTIONS(1757),
    [anon_sym_GT_GT] = ACTIONS(1757),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1757),
    [anon_sym_PLUS] = ACTIONS(1757),
    [anon_sym_PLUS_PLUS] = ACTIONS(1755),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1757),
    [anon_sym_PLUS_PIPE] = ACTIONS(1757),
    [anon_sym_DASH_PIPE] = ACTIONS(1757),
    [anon_sym_SLASH] = ACTIONS(1757),
    [anon_sym_PERCENT] = ACTIONS(1757),
    [anon_sym_STAR_STAR] = ACTIONS(1755),
    [anon_sym_STAR_PERCENT] = ACTIONS(1757),
    [anon_sym_STAR_PIPE] = ACTIONS(1757),
    [anon_sym_PIPE_PIPE] = ACTIONS(1755),
    [anon_sym_catch] = ACTIONS(1755),
    [anon_sym_EQ_GT] = ACTIONS(1755),
    [anon_sym_DOT] = ACTIONS(1757),
    [anon_sym_DOT_STAR] = ACTIONS(1755),
    [anon_sym_DOT_QMARK] = ACTIONS(1755),
    [sym_comment] = ACTIONS(3),
  },
  [904] = {
    [ts_builtin_sym_end] = ACTIONS(1759),
    [anon_sym_COMMA] = ACTIONS(1759),
    [anon_sym_EQ] = ACTIONS(1761),
    [anon_sym_SEMI] = ACTIONS(1759),
    [anon_sym_STAR_EQ] = ACTIONS(1759),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1759),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1759),
    [anon_sym_SLASH_EQ] = ACTIONS(1759),
    [anon_sym_PERCENT_EQ] = ACTIONS(1759),
    [anon_sym_PLUS_EQ] = ACTIONS(1759),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1759),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1759),
    [anon_sym_DASH_EQ] = ACTIONS(1759),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1759),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1759),
    [anon_sym_LT_LT_EQ] = ACTIONS(1759),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1759),
    [anon_sym_GT_GT_EQ] = ACTIONS(1759),
    [anon_sym_AMP_EQ] = ACTIONS(1759),
    [anon_sym_CARET_EQ] = ACTIONS(1759),
    [anon_sym_PIPE_EQ] = ACTIONS(1759),
    [anon_sym_LPAREN] = ACTIONS(1577),
    [anon_sym_RPAREN] = ACTIONS(1759),
    [anon_sym_LBRACE] = ACTIONS(1759),
    [anon_sym_RBRACE] = ACTIONS(1759),
    [anon_sym_else] = ACTIONS(1759),
    [anon_sym_DOT_DOT] = ACTIONS(1581),
    [anon_sym_PIPE] = ACTIONS(1761),
    [anon_sym_STAR] = ACTIONS(1761),
    [anon_sym_align] = ACTIONS(1759),
    [anon_sym_addrspace] = ACTIONS(1759),
    [anon_sym_linksection] = ACTIONS(1759),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_RBRACK] = ACTIONS(1759),
    [anon_sym_BANG] = ACTIONS(1761),
    [anon_sym_DASH] = ACTIONS(1761),
    [anon_sym_DASH_PERCENT] = ACTIONS(1761),
    [anon_sym_AMP] = ACTIONS(1761),
    [anon_sym_or] = ACTIONS(1761),
    [anon_sym_and] = ACTIONS(1759),
    [anon_sym_EQ_EQ] = ACTIONS(1759),
    [anon_sym_BANG_EQ] = ACTIONS(1759),
    [anon_sym_GT] = ACTIONS(1761),
    [anon_sym_GT_EQ] = ACTIONS(1759),
    [anon_sym_LT_EQ] = ACTIONS(1759),
    [anon_sym_LT] = ACTIONS(1761),
    [anon_sym_CARET] = ACTIONS(1761),
    [anon_sym_orelse] = ACTIONS(1759),
    [anon_sym_LT_LT] = ACTIONS(1761),
    [anon_sym_GT_GT] = ACTIONS(1761),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1761),
    [anon_sym_PLUS] = ACTIONS(1761),
    [anon_sym_PLUS_PLUS] = ACTIONS(1759),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1761),
    [anon_sym_PLUS_PIPE] = ACTIONS(1761),
    [anon_sym_DASH_PIPE] = ACTIONS(1761),
    [anon_sym_SLASH] = ACTIONS(1761),
    [anon_sym_PERCENT] = ACTIONS(1761),
    [anon_sym_STAR_STAR] = ACTIONS(1759),
    [anon_sym_STAR_PERCENT] = ACTIONS(1761),
    [anon_sym_STAR_PIPE] = ACTIONS(1761),
    [anon_sym_PIPE_PIPE] = ACTIONS(1759),
    [anon_sym_catch] = ACTIONS(1759),
    [anon_sym_EQ_GT] = ACTIONS(1759),
    [anon_sym_DOT] = ACTIONS(1611),
    [anon_sym_DOT_STAR] = ACTIONS(1613),
    [anon_sym_DOT_QMARK] = ACTIONS(1615),
    [sym_comment] = ACTIONS(3),
  },
  [905] = {
    [ts_builtin_sym_end] = ACTIONS(1617),
    [anon_sym_COMMA] = ACTIONS(1617),
    [anon_sym_EQ] = ACTIONS(1619),
    [anon_sym_SEMI] = ACTIONS(1617),
    [anon_sym_STAR_EQ] = ACTIONS(1617),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1617),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1617),
    [anon_sym_SLASH_EQ] = ACTIONS(1617),
    [anon_sym_PERCENT_EQ] = ACTIONS(1617),
    [anon_sym_PLUS_EQ] = ACTIONS(1617),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1617),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1617),
    [anon_sym_DASH_EQ] = ACTIONS(1617),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1617),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1617),
    [anon_sym_LT_LT_EQ] = ACTIONS(1617),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1617),
    [anon_sym_GT_GT_EQ] = ACTIONS(1617),
    [anon_sym_AMP_EQ] = ACTIONS(1617),
    [anon_sym_CARET_EQ] = ACTIONS(1617),
    [anon_sym_PIPE_EQ] = ACTIONS(1617),
    [anon_sym_LPAREN] = ACTIONS(1577),
    [anon_sym_RPAREN] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(1617),
    [anon_sym_RBRACE] = ACTIONS(1617),
    [anon_sym_else] = ACTIONS(1617),
    [anon_sym_DOT_DOT] = ACTIONS(1581),
    [anon_sym_PIPE] = ACTIONS(1619),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_align] = ACTIONS(1617),
    [anon_sym_addrspace] = ACTIONS(1617),
    [anon_sym_linksection] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_RBRACK] = ACTIONS(1617),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_DASH_PERCENT] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_or] = ACTIONS(1619),
    [anon_sym_and] = ACTIONS(1617),
    [anon_sym_EQ_EQ] = ACTIONS(1617),
    [anon_sym_BANG_EQ] = ACTIONS(1617),
    [anon_sym_GT] = ACTIONS(1619),
    [anon_sym_GT_EQ] = ACTIONS(1617),
    [anon_sym_LT_EQ] = ACTIONS(1617),
    [anon_sym_LT] = ACTIONS(1619),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_orelse] = ACTIONS(1617),
    [anon_sym_LT_LT] = ACTIONS(1619),
    [anon_sym_GT_GT] = ACTIONS(1619),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1619),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1617),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1619),
    [anon_sym_PLUS_PIPE] = ACTIONS(1619),
    [anon_sym_DASH_PIPE] = ACTIONS(1619),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1607),
    [anon_sym_STAR_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_PIPE] = ACTIONS(1585),
    [anon_sym_PIPE_PIPE] = ACTIONS(1607),
    [anon_sym_catch] = ACTIONS(1617),
    [anon_sym_EQ_GT] = ACTIONS(1617),
    [anon_sym_DOT] = ACTIONS(1611),
    [anon_sym_DOT_STAR] = ACTIONS(1613),
    [anon_sym_DOT_QMARK] = ACTIONS(1615),
    [sym_comment] = ACTIONS(3),
  },
  [906] = {
    [ts_builtin_sym_end] = ACTIONS(1763),
    [anon_sym_COMMA] = ACTIONS(1763),
    [anon_sym_EQ] = ACTIONS(1765),
    [anon_sym_SEMI] = ACTIONS(1763),
    [anon_sym_STAR_EQ] = ACTIONS(1763),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1763),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1763),
    [anon_sym_SLASH_EQ] = ACTIONS(1763),
    [anon_sym_PERCENT_EQ] = ACTIONS(1763),
    [anon_sym_PLUS_EQ] = ACTIONS(1763),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1763),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1763),
    [anon_sym_DASH_EQ] = ACTIONS(1763),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1763),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1763),
    [anon_sym_LT_LT_EQ] = ACTIONS(1763),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1763),
    [anon_sym_GT_GT_EQ] = ACTIONS(1763),
    [anon_sym_AMP_EQ] = ACTIONS(1763),
    [anon_sym_CARET_EQ] = ACTIONS(1763),
    [anon_sym_PIPE_EQ] = ACTIONS(1763),
    [anon_sym_LPAREN] = ACTIONS(1763),
    [anon_sym_RPAREN] = ACTIONS(1763),
    [anon_sym_LBRACE] = ACTIONS(1763),
    [anon_sym_RBRACE] = ACTIONS(1763),
    [anon_sym_else] = ACTIONS(1763),
    [anon_sym_DOT_DOT] = ACTIONS(1763),
    [anon_sym_PIPE] = ACTIONS(1765),
    [anon_sym_STAR] = ACTIONS(1765),
    [anon_sym_align] = ACTIONS(1763),
    [anon_sym_addrspace] = ACTIONS(1763),
    [anon_sym_linksection] = ACTIONS(1763),
    [anon_sym_LBRACK] = ACTIONS(1763),
    [anon_sym_RBRACK] = ACTIONS(1763),
    [anon_sym_BANG] = ACTIONS(1631),
    [anon_sym_DASH] = ACTIONS(1765),
    [anon_sym_DASH_PERCENT] = ACTIONS(1765),
    [anon_sym_AMP] = ACTIONS(1765),
    [anon_sym_or] = ACTIONS(1765),
    [anon_sym_and] = ACTIONS(1763),
    [anon_sym_EQ_EQ] = ACTIONS(1763),
    [anon_sym_BANG_EQ] = ACTIONS(1763),
    [anon_sym_GT] = ACTIONS(1765),
    [anon_sym_GT_EQ] = ACTIONS(1763),
    [anon_sym_LT_EQ] = ACTIONS(1763),
    [anon_sym_LT] = ACTIONS(1765),
    [anon_sym_CARET] = ACTIONS(1765),
    [anon_sym_orelse] = ACTIONS(1763),
    [anon_sym_LT_LT] = ACTIONS(1765),
    [anon_sym_GT_GT] = ACTIONS(1765),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1765),
    [anon_sym_PLUS] = ACTIONS(1765),
    [anon_sym_PLUS_PLUS] = ACTIONS(1763),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1765),
    [anon_sym_PLUS_PIPE] = ACTIONS(1765),
    [anon_sym_DASH_PIPE] = ACTIONS(1765),
    [anon_sym_SLASH] = ACTIONS(1765),
    [anon_sym_PERCENT] = ACTIONS(1765),
    [anon_sym_STAR_STAR] = ACTIONS(1763),
    [anon_sym_STAR_PERCENT] = ACTIONS(1765),
    [anon_sym_STAR_PIPE] = ACTIONS(1765),
    [anon_sym_PIPE_PIPE] = ACTIONS(1763),
    [anon_sym_catch] = ACTIONS(1763),
    [anon_sym_EQ_GT] = ACTIONS(1763),
    [anon_sym_DOT] = ACTIONS(1765),
    [anon_sym_DOT_STAR] = ACTIONS(1763),
    [anon_sym_DOT_QMARK] = ACTIONS(1763),
    [sym_comment] = ACTIONS(3),
  },
  [907] = {
    [ts_builtin_sym_end] = ACTIONS(1471),
    [anon_sym_COMMA] = ACTIONS(1471),
    [anon_sym_EQ] = ACTIONS(1767),
    [anon_sym_SEMI] = ACTIONS(1471),
    [anon_sym_STAR_EQ] = ACTIONS(1770),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1770),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1770),
    [anon_sym_SLASH_EQ] = ACTIONS(1770),
    [anon_sym_PERCENT_EQ] = ACTIONS(1770),
    [anon_sym_PLUS_EQ] = ACTIONS(1770),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1770),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1770),
    [anon_sym_DASH_EQ] = ACTIONS(1770),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1770),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1770),
    [anon_sym_LT_LT_EQ] = ACTIONS(1770),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1770),
    [anon_sym_GT_GT_EQ] = ACTIONS(1770),
    [anon_sym_AMP_EQ] = ACTIONS(1770),
    [anon_sym_CARET_EQ] = ACTIONS(1770),
    [anon_sym_PIPE_EQ] = ACTIONS(1770),
    [anon_sym_LPAREN] = ACTIONS(1770),
    [anon_sym_RPAREN] = ACTIONS(1471),
    [anon_sym_LBRACE] = ACTIONS(1471),
    [anon_sym_RBRACE] = ACTIONS(1471),
    [anon_sym_else] = ACTIONS(1471),
    [anon_sym_DOT_DOT] = ACTIONS(1770),
    [anon_sym_PIPE] = ACTIONS(1767),
    [anon_sym_STAR] = ACTIONS(1767),
    [anon_sym_align] = ACTIONS(1471),
    [anon_sym_addrspace] = ACTIONS(1471),
    [anon_sym_linksection] = ACTIONS(1471),
    [anon_sym_LBRACK] = ACTIONS(1770),
    [anon_sym_RBRACK] = ACTIONS(1471),
    [anon_sym_BANG] = ACTIONS(1631),
    [anon_sym_DASH] = ACTIONS(1767),
    [anon_sym_DASH_PERCENT] = ACTIONS(1767),
    [anon_sym_AMP] = ACTIONS(1767),
    [anon_sym_or] = ACTIONS(1767),
    [anon_sym_and] = ACTIONS(1770),
    [anon_sym_EQ_EQ] = ACTIONS(1770),
    [anon_sym_BANG_EQ] = ACTIONS(1770),
    [anon_sym_GT] = ACTIONS(1767),
    [anon_sym_GT_EQ] = ACTIONS(1770),
    [anon_sym_LT_EQ] = ACTIONS(1770),
    [anon_sym_LT] = ACTIONS(1767),
    [anon_sym_CARET] = ACTIONS(1767),
    [anon_sym_orelse] = ACTIONS(1770),
    [anon_sym_LT_LT] = ACTIONS(1767),
    [anon_sym_GT_GT] = ACTIONS(1767),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1767),
    [anon_sym_PLUS_PLUS] = ACTIONS(1770),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1767),
    [anon_sym_PLUS_PIPE] = ACTIONS(1767),
    [anon_sym_DASH_PIPE] = ACTIONS(1767),
    [anon_sym_SLASH] = ACTIONS(1767),
    [anon_sym_PERCENT] = ACTIONS(1767),
    [anon_sym_STAR_STAR] = ACTIONS(1770),
    [anon_sym_STAR_PERCENT] = ACTIONS(1767),
    [anon_sym_STAR_PIPE] = ACTIONS(1767),
    [anon_sym_PIPE_PIPE] = ACTIONS(1770),
    [anon_sym_catch] = ACTIONS(1770),
    [anon_sym_EQ_GT] = ACTIONS(1471),
    [anon_sym_DOT] = ACTIONS(1767),
    [anon_sym_DOT_STAR] = ACTIONS(1770),
    [anon_sym_DOT_QMARK] = ACTIONS(1770),
    [sym_comment] = ACTIONS(3),
  },
  [908] = {
    [ts_builtin_sym_end] = ACTIONS(1773),
    [anon_sym_COMMA] = ACTIONS(1773),
    [anon_sym_EQ] = ACTIONS(1775),
    [anon_sym_SEMI] = ACTIONS(1773),
    [anon_sym_STAR_EQ] = ACTIONS(1778),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1778),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1778),
    [anon_sym_SLASH_EQ] = ACTIONS(1778),
    [anon_sym_PERCENT_EQ] = ACTIONS(1778),
    [anon_sym_PLUS_EQ] = ACTIONS(1778),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1778),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1778),
    [anon_sym_DASH_EQ] = ACTIONS(1778),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1778),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1778),
    [anon_sym_LT_LT_EQ] = ACTIONS(1778),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1778),
    [anon_sym_GT_GT_EQ] = ACTIONS(1778),
    [anon_sym_AMP_EQ] = ACTIONS(1778),
    [anon_sym_CARET_EQ] = ACTIONS(1778),
    [anon_sym_PIPE_EQ] = ACTIONS(1778),
    [anon_sym_LPAREN] = ACTIONS(1778),
    [anon_sym_RPAREN] = ACTIONS(1773),
    [anon_sym_LBRACE] = ACTIONS(1773),
    [anon_sym_RBRACE] = ACTIONS(1773),
    [anon_sym_else] = ACTIONS(1773),
    [anon_sym_DOT_DOT] = ACTIONS(1778),
    [anon_sym_PIPE] = ACTIONS(1775),
    [anon_sym_STAR] = ACTIONS(1775),
    [anon_sym_align] = ACTIONS(1773),
    [anon_sym_addrspace] = ACTIONS(1773),
    [anon_sym_linksection] = ACTIONS(1773),
    [anon_sym_LBRACK] = ACTIONS(1778),
    [anon_sym_RBRACK] = ACTIONS(1773),
    [anon_sym_BANG] = ACTIONS(1631),
    [anon_sym_DASH] = ACTIONS(1775),
    [anon_sym_DASH_PERCENT] = ACTIONS(1775),
    [anon_sym_AMP] = ACTIONS(1775),
    [anon_sym_or] = ACTIONS(1775),
    [anon_sym_and] = ACTIONS(1778),
    [anon_sym_EQ_EQ] = ACTIONS(1778),
    [anon_sym_BANG_EQ] = ACTIONS(1778),
    [anon_sym_GT] = ACTIONS(1775),
    [anon_sym_GT_EQ] = ACTIONS(1778),
    [anon_sym_LT_EQ] = ACTIONS(1778),
    [anon_sym_LT] = ACTIONS(1775),
    [anon_sym_CARET] = ACTIONS(1775),
    [anon_sym_orelse] = ACTIONS(1778),
    [anon_sym_LT_LT] = ACTIONS(1775),
    [anon_sym_GT_GT] = ACTIONS(1775),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1775),
    [anon_sym_PLUS] = ACTIONS(1775),
    [anon_sym_PLUS_PLUS] = ACTIONS(1778),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1775),
    [anon_sym_PLUS_PIPE] = ACTIONS(1775),
    [anon_sym_DASH_PIPE] = ACTIONS(1775),
    [anon_sym_SLASH] = ACTIONS(1775),
    [anon_sym_PERCENT] = ACTIONS(1775),
    [anon_sym_STAR_STAR] = ACTIONS(1778),
    [anon_sym_STAR_PERCENT] = ACTIONS(1775),
    [anon_sym_STAR_PIPE] = ACTIONS(1775),
    [anon_sym_PIPE_PIPE] = ACTIONS(1778),
    [anon_sym_catch] = ACTIONS(1778),
    [anon_sym_EQ_GT] = ACTIONS(1773),
    [anon_sym_DOT] = ACTIONS(1775),
    [anon_sym_DOT_STAR] = ACTIONS(1778),
    [anon_sym_DOT_QMARK] = ACTIONS(1778),
    [sym_comment] = ACTIONS(3),
  },
  [909] = {
    [ts_builtin_sym_end] = ACTIONS(1393),
    [anon_sym_COMMA] = ACTIONS(1393),
    [anon_sym_EQ] = ACTIONS(1781),
    [anon_sym_SEMI] = ACTIONS(1393),
    [anon_sym_STAR_EQ] = ACTIONS(1784),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1784),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1784),
    [anon_sym_SLASH_EQ] = ACTIONS(1784),
    [anon_sym_PERCENT_EQ] = ACTIONS(1784),
    [anon_sym_PLUS_EQ] = ACTIONS(1784),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1784),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1784),
    [anon_sym_DASH_EQ] = ACTIONS(1784),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1784),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1784),
    [anon_sym_LT_LT_EQ] = ACTIONS(1784),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1784),
    [anon_sym_GT_GT_EQ] = ACTIONS(1784),
    [anon_sym_AMP_EQ] = ACTIONS(1784),
    [anon_sym_CARET_EQ] = ACTIONS(1784),
    [anon_sym_PIPE_EQ] = ACTIONS(1784),
    [anon_sym_LPAREN] = ACTIONS(1784),
    [anon_sym_RPAREN] = ACTIONS(1393),
    [anon_sym_LBRACE] = ACTIONS(1393),
    [anon_sym_RBRACE] = ACTIONS(1393),
    [anon_sym_else] = ACTIONS(1393),
    [anon_sym_DOT_DOT] = ACTIONS(1784),
    [anon_sym_PIPE] = ACTIONS(1781),
    [anon_sym_STAR] = ACTIONS(1781),
    [anon_sym_align] = ACTIONS(1393),
    [anon_sym_addrspace] = ACTIONS(1393),
    [anon_sym_linksection] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1784),
    [anon_sym_RBRACK] = ACTIONS(1393),
    [anon_sym_BANG] = ACTIONS(1631),
    [anon_sym_DASH] = ACTIONS(1781),
    [anon_sym_DASH_PERCENT] = ACTIONS(1781),
    [anon_sym_AMP] = ACTIONS(1781),
    [anon_sym_or] = ACTIONS(1781),
    [anon_sym_and] = ACTIONS(1784),
    [anon_sym_EQ_EQ] = ACTIONS(1784),
    [anon_sym_BANG_EQ] = ACTIONS(1784),
    [anon_sym_GT] = ACTIONS(1781),
    [anon_sym_GT_EQ] = ACTIONS(1784),
    [anon_sym_LT_EQ] = ACTIONS(1784),
    [anon_sym_LT] = ACTIONS(1781),
    [anon_sym_CARET] = ACTIONS(1781),
    [anon_sym_orelse] = ACTIONS(1784),
    [anon_sym_LT_LT] = ACTIONS(1781),
    [anon_sym_GT_GT] = ACTIONS(1781),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1781),
    [anon_sym_PLUS] = ACTIONS(1781),
    [anon_sym_PLUS_PLUS] = ACTIONS(1784),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1781),
    [anon_sym_PLUS_PIPE] = ACTIONS(1781),
    [anon_sym_DASH_PIPE] = ACTIONS(1781),
    [anon_sym_SLASH] = ACTIONS(1781),
    [anon_sym_PERCENT] = ACTIONS(1781),
    [anon_sym_STAR_STAR] = ACTIONS(1784),
    [anon_sym_STAR_PERCENT] = ACTIONS(1781),
    [anon_sym_STAR_PIPE] = ACTIONS(1781),
    [anon_sym_PIPE_PIPE] = ACTIONS(1784),
    [anon_sym_catch] = ACTIONS(1784),
    [anon_sym_EQ_GT] = ACTIONS(1393),
    [anon_sym_DOT] = ACTIONS(1781),
    [anon_sym_DOT_STAR] = ACTIONS(1784),
    [anon_sym_DOT_QMARK] = ACTIONS(1784),
    [sym_comment] = ACTIONS(3),
  },
  [910] = {
    [ts_builtin_sym_end] = ACTIONS(1787),
    [anon_sym_COMMA] = ACTIONS(1787),
    [anon_sym_EQ] = ACTIONS(1789),
    [anon_sym_SEMI] = ACTIONS(1787),
    [anon_sym_STAR_EQ] = ACTIONS(1787),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1787),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1787),
    [anon_sym_SLASH_EQ] = ACTIONS(1787),
    [anon_sym_PERCENT_EQ] = ACTIONS(1787),
    [anon_sym_PLUS_EQ] = ACTIONS(1787),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1787),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1787),
    [anon_sym_DASH_EQ] = ACTIONS(1787),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1787),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1787),
    [anon_sym_LT_LT_EQ] = ACTIONS(1787),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1787),
    [anon_sym_GT_GT_EQ] = ACTIONS(1787),
    [anon_sym_AMP_EQ] = ACTIONS(1787),
    [anon_sym_CARET_EQ] = ACTIONS(1787),
    [anon_sym_PIPE_EQ] = ACTIONS(1787),
    [anon_sym_LPAREN] = ACTIONS(1787),
    [anon_sym_RPAREN] = ACTIONS(1787),
    [anon_sym_LBRACE] = ACTIONS(1787),
    [anon_sym_RBRACE] = ACTIONS(1787),
    [anon_sym_else] = ACTIONS(1787),
    [anon_sym_DOT_DOT] = ACTIONS(1787),
    [anon_sym_PIPE] = ACTIONS(1789),
    [anon_sym_STAR] = ACTIONS(1789),
    [anon_sym_align] = ACTIONS(1787),
    [anon_sym_addrspace] = ACTIONS(1787),
    [anon_sym_linksection] = ACTIONS(1787),
    [anon_sym_LBRACK] = ACTIONS(1787),
    [anon_sym_RBRACK] = ACTIONS(1787),
    [anon_sym_BANG] = ACTIONS(1631),
    [anon_sym_DASH] = ACTIONS(1789),
    [anon_sym_DASH_PERCENT] = ACTIONS(1789),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_or] = ACTIONS(1789),
    [anon_sym_and] = ACTIONS(1787),
    [anon_sym_EQ_EQ] = ACTIONS(1787),
    [anon_sym_BANG_EQ] = ACTIONS(1787),
    [anon_sym_GT] = ACTIONS(1789),
    [anon_sym_GT_EQ] = ACTIONS(1787),
    [anon_sym_LT_EQ] = ACTIONS(1787),
    [anon_sym_LT] = ACTIONS(1789),
    [anon_sym_CARET] = ACTIONS(1789),
    [anon_sym_orelse] = ACTIONS(1787),
    [anon_sym_LT_LT] = ACTIONS(1789),
    [anon_sym_GT_GT] = ACTIONS(1789),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1789),
    [anon_sym_PLUS] = ACTIONS(1789),
    [anon_sym_PLUS_PLUS] = ACTIONS(1787),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1789),
    [anon_sym_PLUS_PIPE] = ACTIONS(1789),
    [anon_sym_DASH_PIPE] = ACTIONS(1789),
    [anon_sym_SLASH] = ACTIONS(1789),
    [anon_sym_PERCENT] = ACTIONS(1789),
    [anon_sym_STAR_STAR] = ACTIONS(1787),
    [anon_sym_STAR_PERCENT] = ACTIONS(1789),
    [anon_sym_STAR_PIPE] = ACTIONS(1789),
    [anon_sym_PIPE_PIPE] = ACTIONS(1787),
    [anon_sym_catch] = ACTIONS(1787),
    [anon_sym_EQ_GT] = ACTIONS(1787),
    [anon_sym_DOT] = ACTIONS(1789),
    [anon_sym_DOT_STAR] = ACTIONS(1787),
    [anon_sym_DOT_QMARK] = ACTIONS(1787),
    [sym_comment] = ACTIONS(3),
  },
  [911] = {
    [ts_builtin_sym_end] = ACTIONS(1791),
    [anon_sym_COMMA] = ACTIONS(1791),
    [anon_sym_EQ] = ACTIONS(1793),
    [anon_sym_SEMI] = ACTIONS(1791),
    [anon_sym_STAR_EQ] = ACTIONS(1791),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1791),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1791),
    [anon_sym_SLASH_EQ] = ACTIONS(1791),
    [anon_sym_PERCENT_EQ] = ACTIONS(1791),
    [anon_sym_PLUS_EQ] = ACTIONS(1791),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1791),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1791),
    [anon_sym_DASH_EQ] = ACTIONS(1791),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1791),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1791),
    [anon_sym_LT_LT_EQ] = ACTIONS(1791),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1791),
    [anon_sym_GT_GT_EQ] = ACTIONS(1791),
    [anon_sym_AMP_EQ] = ACTIONS(1791),
    [anon_sym_CARET_EQ] = ACTIONS(1791),
    [anon_sym_PIPE_EQ] = ACTIONS(1791),
    [anon_sym_LPAREN] = ACTIONS(1791),
    [anon_sym_RPAREN] = ACTIONS(1791),
    [anon_sym_LBRACE] = ACTIONS(1791),
    [anon_sym_RBRACE] = ACTIONS(1791),
    [anon_sym_else] = ACTIONS(1791),
    [anon_sym_DOT_DOT] = ACTIONS(1791),
    [anon_sym_PIPE] = ACTIONS(1793),
    [anon_sym_STAR] = ACTIONS(1793),
    [anon_sym_align] = ACTIONS(1791),
    [anon_sym_addrspace] = ACTIONS(1791),
    [anon_sym_linksection] = ACTIONS(1791),
    [anon_sym_LBRACK] = ACTIONS(1791),
    [anon_sym_RBRACK] = ACTIONS(1791),
    [anon_sym_BANG] = ACTIONS(1631),
    [anon_sym_DASH] = ACTIONS(1793),
    [anon_sym_DASH_PERCENT] = ACTIONS(1793),
    [anon_sym_AMP] = ACTIONS(1793),
    [anon_sym_or] = ACTIONS(1793),
    [anon_sym_and] = ACTIONS(1791),
    [anon_sym_EQ_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ] = ACTIONS(1791),
    [anon_sym_GT] = ACTIONS(1793),
    [anon_sym_GT_EQ] = ACTIONS(1791),
    [anon_sym_LT_EQ] = ACTIONS(1791),
    [anon_sym_LT] = ACTIONS(1793),
    [anon_sym_CARET] = ACTIONS(1793),
    [anon_sym_orelse] = ACTIONS(1791),
    [anon_sym_LT_LT] = ACTIONS(1793),
    [anon_sym_GT_GT] = ACTIONS(1793),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1793),
    [anon_sym_PLUS] = ACTIONS(1793),
    [anon_sym_PLUS_PLUS] = ACTIONS(1791),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1793),
    [anon_sym_PLUS_PIPE] = ACTIONS(1793),
    [anon_sym_DASH_PIPE] = ACTIONS(1793),
    [anon_sym_SLASH] = ACTIONS(1793),
    [anon_sym_PERCENT] = ACTIONS(1793),
    [anon_sym_STAR_STAR] = ACTIONS(1791),
    [anon_sym_STAR_PERCENT] = ACTIONS(1793),
    [anon_sym_STAR_PIPE] = ACTIONS(1793),
    [anon_sym_PIPE_PIPE] = ACTIONS(1791),
    [anon_sym_catch] = ACTIONS(1791),
    [anon_sym_EQ_GT] = ACTIONS(1791),
    [anon_sym_DOT] = ACTIONS(1793),
    [anon_sym_DOT_STAR] = ACTIONS(1791),
    [anon_sym_DOT_QMARK] = ACTIONS(1791),
    [sym_comment] = ACTIONS(3),
  },
  [912] = {
    [ts_builtin_sym_end] = ACTIONS(1795),
    [anon_sym_COMMA] = ACTIONS(1795),
    [anon_sym_EQ] = ACTIONS(1797),
    [anon_sym_SEMI] = ACTIONS(1795),
    [anon_sym_STAR_EQ] = ACTIONS(1795),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1795),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1795),
    [anon_sym_SLASH_EQ] = ACTIONS(1795),
    [anon_sym_PERCENT_EQ] = ACTIONS(1795),
    [anon_sym_PLUS_EQ] = ACTIONS(1795),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1795),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1795),
    [anon_sym_DASH_EQ] = ACTIONS(1795),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1795),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1795),
    [anon_sym_LT_LT_EQ] = ACTIONS(1795),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1795),
    [anon_sym_GT_GT_EQ] = ACTIONS(1795),
    [anon_sym_AMP_EQ] = ACTIONS(1795),
    [anon_sym_CARET_EQ] = ACTIONS(1795),
    [anon_sym_PIPE_EQ] = ACTIONS(1795),
    [anon_sym_LPAREN] = ACTIONS(1795),
    [anon_sym_RPAREN] = ACTIONS(1795),
    [anon_sym_LBRACE] = ACTIONS(1795),
    [anon_sym_RBRACE] = ACTIONS(1795),
    [anon_sym_else] = ACTIONS(1795),
    [anon_sym_DOT_DOT] = ACTIONS(1795),
    [anon_sym_PIPE] = ACTIONS(1797),
    [anon_sym_STAR] = ACTIONS(1797),
    [anon_sym_align] = ACTIONS(1795),
    [anon_sym_addrspace] = ACTIONS(1795),
    [anon_sym_linksection] = ACTIONS(1795),
    [anon_sym_LBRACK] = ACTIONS(1795),
    [anon_sym_RBRACK] = ACTIONS(1795),
    [anon_sym_BANG] = ACTIONS(1631),
    [anon_sym_DASH] = ACTIONS(1797),
    [anon_sym_DASH_PERCENT] = ACTIONS(1797),
    [anon_sym_AMP] = ACTIONS(1797),
    [anon_sym_or] = ACTIONS(1797),
    [anon_sym_and] = ACTIONS(1795),
    [anon_sym_EQ_EQ] = ACTIONS(1795),
    [anon_sym_BANG_EQ] = ACTIONS(1795),
    [anon_sym_GT] = ACTIONS(1797),
    [anon_sym_GT_EQ] = ACTIONS(1795),
    [anon_sym_LT_EQ] = ACTIONS(1795),
    [anon_sym_LT] = ACTIONS(1797),
    [anon_sym_CARET] = ACTIONS(1797),
    [anon_sym_orelse] = ACTIONS(1795),
    [anon_sym_LT_LT] = ACTIONS(1797),
    [anon_sym_GT_GT] = ACTIONS(1797),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1797),
    [anon_sym_PLUS] = ACTIONS(1797),
    [anon_sym_PLUS_PLUS] = ACTIONS(1795),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1797),
    [anon_sym_PLUS_PIPE] = ACTIONS(1797),
    [anon_sym_DASH_PIPE] = ACTIONS(1797),
    [anon_sym_SLASH] = ACTIONS(1797),
    [anon_sym_PERCENT] = ACTIONS(1797),
    [anon_sym_STAR_STAR] = ACTIONS(1795),
    [anon_sym_STAR_PERCENT] = ACTIONS(1797),
    [anon_sym_STAR_PIPE] = ACTIONS(1797),
    [anon_sym_PIPE_PIPE] = ACTIONS(1795),
    [anon_sym_catch] = ACTIONS(1795),
    [anon_sym_EQ_GT] = ACTIONS(1795),
    [anon_sym_DOT] = ACTIONS(1797),
    [anon_sym_DOT_STAR] = ACTIONS(1795),
    [anon_sym_DOT_QMARK] = ACTIONS(1795),
    [sym_comment] = ACTIONS(3),
  },
  [913] = {
    [ts_builtin_sym_end] = ACTIONS(1799),
    [anon_sym_COMMA] = ACTIONS(1799),
    [anon_sym_EQ] = ACTIONS(1801),
    [anon_sym_SEMI] = ACTIONS(1799),
    [anon_sym_STAR_EQ] = ACTIONS(1799),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1799),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1799),
    [anon_sym_SLASH_EQ] = ACTIONS(1799),
    [anon_sym_PERCENT_EQ] = ACTIONS(1799),
    [anon_sym_PLUS_EQ] = ACTIONS(1799),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1799),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1799),
    [anon_sym_DASH_EQ] = ACTIONS(1799),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1799),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1799),
    [anon_sym_LT_LT_EQ] = ACTIONS(1799),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1799),
    [anon_sym_GT_GT_EQ] = ACTIONS(1799),
    [anon_sym_AMP_EQ] = ACTIONS(1799),
    [anon_sym_CARET_EQ] = ACTIONS(1799),
    [anon_sym_PIPE_EQ] = ACTIONS(1799),
    [anon_sym_LPAREN] = ACTIONS(1577),
    [anon_sym_RPAREN] = ACTIONS(1799),
    [anon_sym_LBRACE] = ACTIONS(1799),
    [anon_sym_RBRACE] = ACTIONS(1799),
    [anon_sym_else] = ACTIONS(1799),
    [anon_sym_DOT_DOT] = ACTIONS(1581),
    [anon_sym_PIPE] = ACTIONS(1801),
    [anon_sym_STAR] = ACTIONS(1801),
    [anon_sym_align] = ACTIONS(1799),
    [anon_sym_addrspace] = ACTIONS(1799),
    [anon_sym_linksection] = ACTIONS(1799),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_RBRACK] = ACTIONS(1799),
    [anon_sym_BANG] = ACTIONS(1801),
    [anon_sym_DASH] = ACTIONS(1801),
    [anon_sym_DASH_PERCENT] = ACTIONS(1801),
    [anon_sym_AMP] = ACTIONS(1801),
    [anon_sym_or] = ACTIONS(1801),
    [anon_sym_and] = ACTIONS(1799),
    [anon_sym_EQ_EQ] = ACTIONS(1799),
    [anon_sym_BANG_EQ] = ACTIONS(1799),
    [anon_sym_GT] = ACTIONS(1801),
    [anon_sym_GT_EQ] = ACTIONS(1799),
    [anon_sym_LT_EQ] = ACTIONS(1799),
    [anon_sym_LT] = ACTIONS(1801),
    [anon_sym_CARET] = ACTIONS(1801),
    [anon_sym_orelse] = ACTIONS(1799),
    [anon_sym_LT_LT] = ACTIONS(1801),
    [anon_sym_GT_GT] = ACTIONS(1801),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1801),
    [anon_sym_PLUS] = ACTIONS(1801),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1801),
    [anon_sym_PLUS_PIPE] = ACTIONS(1801),
    [anon_sym_DASH_PIPE] = ACTIONS(1801),
    [anon_sym_SLASH] = ACTIONS(1801),
    [anon_sym_PERCENT] = ACTIONS(1801),
    [anon_sym_STAR_STAR] = ACTIONS(1799),
    [anon_sym_STAR_PERCENT] = ACTIONS(1801),
    [anon_sym_STAR_PIPE] = ACTIONS(1801),
    [anon_sym_PIPE_PIPE] = ACTIONS(1799),
    [anon_sym_catch] = ACTIONS(1799),
    [anon_sym_EQ_GT] = ACTIONS(1799),
    [anon_sym_DOT] = ACTIONS(1611),
    [anon_sym_DOT_STAR] = ACTIONS(1613),
    [anon_sym_DOT_QMARK] = ACTIONS(1615),
    [sym_comment] = ACTIONS(3),
  },
  [914] = {
    [ts_builtin_sym_end] = ACTIONS(1803),
    [anon_sym_COMMA] = ACTIONS(1803),
    [anon_sym_EQ] = ACTIONS(1805),
    [anon_sym_SEMI] = ACTIONS(1803),
    [anon_sym_STAR_EQ] = ACTIONS(1808),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1808),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1808),
    [anon_sym_SLASH_EQ] = ACTIONS(1808),
    [anon_sym_PERCENT_EQ] = ACTIONS(1808),
    [anon_sym_PLUS_EQ] = ACTIONS(1808),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1808),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1808),
    [anon_sym_DASH_EQ] = ACTIONS(1808),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1808),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1808),
    [anon_sym_LT_LT_EQ] = ACTIONS(1808),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1808),
    [anon_sym_GT_GT_EQ] = ACTIONS(1808),
    [anon_sym_AMP_EQ] = ACTIONS(1808),
    [anon_sym_CARET_EQ] = ACTIONS(1808),
    [anon_sym_PIPE_EQ] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(1808),
    [anon_sym_RPAREN] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(1803),
    [anon_sym_RBRACE] = ACTIONS(1803),
    [anon_sym_else] = ACTIONS(1811),
    [anon_sym_DOT_DOT] = ACTIONS(1808),
    [anon_sym_PIPE] = ACTIONS(1805),
    [anon_sym_STAR] = ACTIONS(1805),
    [anon_sym_align] = ACTIONS(1803),
    [anon_sym_addrspace] = ACTIONS(1803),
    [anon_sym_linksection] = ACTIONS(1803),
    [anon_sym_LBRACK] = ACTIONS(1808),
    [anon_sym_RBRACK] = ACTIONS(1803),
    [anon_sym_BANG] = ACTIONS(1631),
    [anon_sym_DASH] = ACTIONS(1805),
    [anon_sym_DASH_PERCENT] = ACTIONS(1805),
    [anon_sym_AMP] = ACTIONS(1805),
    [anon_sym_or] = ACTIONS(1805),
    [anon_sym_and] = ACTIONS(1808),
    [anon_sym_EQ_EQ] = ACTIONS(1808),
    [anon_sym_BANG_EQ] = ACTIONS(1808),
    [anon_sym_GT] = ACTIONS(1805),
    [anon_sym_GT_EQ] = ACTIONS(1808),
    [anon_sym_LT_EQ] = ACTIONS(1808),
    [anon_sym_LT] = ACTIONS(1805),
    [anon_sym_CARET] = ACTIONS(1805),
    [anon_sym_orelse] = ACTIONS(1808),
    [anon_sym_LT_LT] = ACTIONS(1805),
    [anon_sym_GT_GT] = ACTIONS(1805),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1805),
    [anon_sym_PLUS] = ACTIONS(1805),
    [anon_sym_PLUS_PLUS] = ACTIONS(1808),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1805),
    [anon_sym_PLUS_PIPE] = ACTIONS(1805),
    [anon_sym_DASH_PIPE] = ACTIONS(1805),
    [anon_sym_SLASH] = ACTIONS(1805),
    [anon_sym_PERCENT] = ACTIONS(1805),
    [anon_sym_STAR_STAR] = ACTIONS(1808),
    [anon_sym_STAR_PERCENT] = ACTIONS(1805),
    [anon_sym_STAR_PIPE] = ACTIONS(1805),
    [anon_sym_PIPE_PIPE] = ACTIONS(1808),
    [anon_sym_catch] = ACTIONS(1808),
    [anon_sym_EQ_GT] = ACTIONS(1803),
    [anon_sym_DOT] = ACTIONS(1805),
    [anon_sym_DOT_STAR] = ACTIONS(1808),
    [anon_sym_DOT_QMARK] = ACTIONS(1808),
    [sym_comment] = ACTIONS(3),
  },
  [915] = {
    [ts_builtin_sym_end] = ACTIONS(1483),
    [anon_sym_COMMA] = ACTIONS(1483),
    [anon_sym_EQ] = ACTIONS(1813),
    [anon_sym_SEMI] = ACTIONS(1483),
    [anon_sym_STAR_EQ] = ACTIONS(1816),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1816),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1816),
    [anon_sym_SLASH_EQ] = ACTIONS(1816),
    [anon_sym_PERCENT_EQ] = ACTIONS(1816),
    [anon_sym_PLUS_EQ] = ACTIONS(1816),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1816),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1816),
    [anon_sym_DASH_EQ] = ACTIONS(1816),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1816),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1816),
    [anon_sym_LT_LT_EQ] = ACTIONS(1816),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1816),
    [anon_sym_GT_GT_EQ] = ACTIONS(1816),
    [anon_sym_AMP_EQ] = ACTIONS(1816),
    [anon_sym_CARET_EQ] = ACTIONS(1816),
    [anon_sym_PIPE_EQ] = ACTIONS(1816),
    [anon_sym_LPAREN] = ACTIONS(1816),
    [anon_sym_RPAREN] = ACTIONS(1483),
    [anon_sym_LBRACE] = ACTIONS(1483),
    [anon_sym_RBRACE] = ACTIONS(1483),
    [anon_sym_else] = ACTIONS(1483),
    [anon_sym_DOT_DOT] = ACTIONS(1816),
    [anon_sym_PIPE] = ACTIONS(1813),
    [anon_sym_STAR] = ACTIONS(1813),
    [anon_sym_align] = ACTIONS(1483),
    [anon_sym_addrspace] = ACTIONS(1483),
    [anon_sym_linksection] = ACTIONS(1483),
    [anon_sym_LBRACK] = ACTIONS(1816),
    [anon_sym_RBRACK] = ACTIONS(1483),
    [anon_sym_BANG] = ACTIONS(1631),
    [anon_sym_DASH] = ACTIONS(1813),
    [anon_sym_DASH_PERCENT] = ACTIONS(1813),
    [anon_sym_AMP] = ACTIONS(1813),
    [anon_sym_or] = ACTIONS(1813),
    [anon_sym_and] = ACTIONS(1816),
    [anon_sym_EQ_EQ] = ACTIONS(1816),
    [anon_sym_BANG_EQ] = ACTIONS(1816),
    [anon_sym_GT] = ACTIONS(1813),
    [anon_sym_GT_EQ] = ACTIONS(1816),
    [anon_sym_LT_EQ] = ACTIONS(1816),
    [anon_sym_LT] = ACTIONS(1813),
    [anon_sym_CARET] = ACTIONS(1813),
    [anon_sym_orelse] = ACTIONS(1816),
    [anon_sym_LT_LT] = ACTIONS(1813),
    [anon_sym_GT_GT] = ACTIONS(1813),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1813),
    [anon_sym_PLUS] = ACTIONS(1813),
    [anon_sym_PLUS_PLUS] = ACTIONS(1816),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1813),
    [anon_sym_PLUS_PIPE] = ACTIONS(1813),
    [anon_sym_DASH_PIPE] = ACTIONS(1813),
    [anon_sym_SLASH] = ACTIONS(1813),
    [anon_sym_PERCENT] = ACTIONS(1813),
    [anon_sym_STAR_STAR] = ACTIONS(1816),
    [anon_sym_STAR_PERCENT] = ACTIONS(1813),
    [anon_sym_STAR_PIPE] = ACTIONS(1813),
    [anon_sym_PIPE_PIPE] = ACTIONS(1816),
    [anon_sym_catch] = ACTIONS(1816),
    [anon_sym_EQ_GT] = ACTIONS(1483),
    [anon_sym_DOT] = ACTIONS(1813),
    [anon_sym_DOT_STAR] = ACTIONS(1816),
    [anon_sym_DOT_QMARK] = ACTIONS(1816),
    [sym_comment] = ACTIONS(3),
  },
  [916] = {
    [ts_builtin_sym_end] = ACTIONS(1819),
    [anon_sym_COMMA] = ACTIONS(1819),
    [anon_sym_EQ] = ACTIONS(1821),
    [anon_sym_SEMI] = ACTIONS(1819),
    [anon_sym_STAR_EQ] = ACTIONS(1819),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1819),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1819),
    [anon_sym_SLASH_EQ] = ACTIONS(1819),
    [anon_sym_PERCENT_EQ] = ACTIONS(1819),
    [anon_sym_PLUS_EQ] = ACTIONS(1819),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1819),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1819),
    [anon_sym_DASH_EQ] = ACTIONS(1819),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1819),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1819),
    [anon_sym_LT_LT_EQ] = ACTIONS(1819),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1819),
    [anon_sym_GT_GT_EQ] = ACTIONS(1819),
    [anon_sym_AMP_EQ] = ACTIONS(1819),
    [anon_sym_CARET_EQ] = ACTIONS(1819),
    [anon_sym_PIPE_EQ] = ACTIONS(1819),
    [anon_sym_LPAREN] = ACTIONS(1819),
    [anon_sym_RPAREN] = ACTIONS(1819),
    [anon_sym_LBRACE] = ACTIONS(1819),
    [anon_sym_RBRACE] = ACTIONS(1819),
    [anon_sym_else] = ACTIONS(1819),
    [anon_sym_DOT_DOT] = ACTIONS(1819),
    [anon_sym_PIPE] = ACTIONS(1821),
    [anon_sym_STAR] = ACTIONS(1821),
    [anon_sym_align] = ACTIONS(1819),
    [anon_sym_addrspace] = ACTIONS(1819),
    [anon_sym_linksection] = ACTIONS(1819),
    [anon_sym_LBRACK] = ACTIONS(1819),
    [anon_sym_RBRACK] = ACTIONS(1819),
    [anon_sym_BANG] = ACTIONS(1631),
    [anon_sym_DASH] = ACTIONS(1821),
    [anon_sym_DASH_PERCENT] = ACTIONS(1821),
    [anon_sym_AMP] = ACTIONS(1821),
    [anon_sym_or] = ACTIONS(1821),
    [anon_sym_and] = ACTIONS(1819),
    [anon_sym_EQ_EQ] = ACTIONS(1819),
    [anon_sym_BANG_EQ] = ACTIONS(1819),
    [anon_sym_GT] = ACTIONS(1821),
    [anon_sym_GT_EQ] = ACTIONS(1819),
    [anon_sym_LT_EQ] = ACTIONS(1819),
    [anon_sym_LT] = ACTIONS(1821),
    [anon_sym_CARET] = ACTIONS(1821),
    [anon_sym_orelse] = ACTIONS(1819),
    [anon_sym_LT_LT] = ACTIONS(1821),
    [anon_sym_GT_GT] = ACTIONS(1821),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1821),
    [anon_sym_PLUS] = ACTIONS(1821),
    [anon_sym_PLUS_PLUS] = ACTIONS(1819),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1821),
    [anon_sym_PLUS_PIPE] = ACTIONS(1821),
    [anon_sym_DASH_PIPE] = ACTIONS(1821),
    [anon_sym_SLASH] = ACTIONS(1821),
    [anon_sym_PERCENT] = ACTIONS(1821),
    [anon_sym_STAR_STAR] = ACTIONS(1819),
    [anon_sym_STAR_PERCENT] = ACTIONS(1821),
    [anon_sym_STAR_PIPE] = ACTIONS(1821),
    [anon_sym_PIPE_PIPE] = ACTIONS(1819),
    [anon_sym_catch] = ACTIONS(1819),
    [anon_sym_EQ_GT] = ACTIONS(1819),
    [anon_sym_DOT] = ACTIONS(1821),
    [anon_sym_DOT_STAR] = ACTIONS(1819),
    [anon_sym_DOT_QMARK] = ACTIONS(1819),
    [sym_comment] = ACTIONS(3),
  },
  [917] = {
    [ts_builtin_sym_end] = ACTIONS(1823),
    [anon_sym_COMMA] = ACTIONS(1823),
    [anon_sym_EQ] = ACTIONS(1825),
    [anon_sym_SEMI] = ACTIONS(1823),
    [anon_sym_STAR_EQ] = ACTIONS(1823),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1823),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1823),
    [anon_sym_SLASH_EQ] = ACTIONS(1823),
    [anon_sym_PERCENT_EQ] = ACTIONS(1823),
    [anon_sym_PLUS_EQ] = ACTIONS(1823),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1823),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1823),
    [anon_sym_DASH_EQ] = ACTIONS(1823),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1823),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1823),
    [anon_sym_LT_LT_EQ] = ACTIONS(1823),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1823),
    [anon_sym_GT_GT_EQ] = ACTIONS(1823),
    [anon_sym_AMP_EQ] = ACTIONS(1823),
    [anon_sym_CARET_EQ] = ACTIONS(1823),
    [anon_sym_PIPE_EQ] = ACTIONS(1823),
    [anon_sym_LPAREN] = ACTIONS(1823),
    [anon_sym_RPAREN] = ACTIONS(1823),
    [anon_sym_LBRACE] = ACTIONS(1823),
    [anon_sym_RBRACE] = ACTIONS(1823),
    [anon_sym_else] = ACTIONS(1823),
    [anon_sym_DOT_DOT] = ACTIONS(1823),
    [anon_sym_PIPE] = ACTIONS(1825),
    [anon_sym_STAR] = ACTIONS(1825),
    [anon_sym_align] = ACTIONS(1823),
    [anon_sym_addrspace] = ACTIONS(1823),
    [anon_sym_linksection] = ACTIONS(1823),
    [anon_sym_LBRACK] = ACTIONS(1823),
    [anon_sym_RBRACK] = ACTIONS(1823),
    [anon_sym_BANG] = ACTIONS(1631),
    [anon_sym_DASH] = ACTIONS(1825),
    [anon_sym_DASH_PERCENT] = ACTIONS(1825),
    [anon_sym_AMP] = ACTIONS(1825),
    [anon_sym_or] = ACTIONS(1825),
    [anon_sym_and] = ACTIONS(1823),
    [anon_sym_EQ_EQ] = ACTIONS(1823),
    [anon_sym_BANG_EQ] = ACTIONS(1823),
    [anon_sym_GT] = ACTIONS(1825),
    [anon_sym_GT_EQ] = ACTIONS(1823),
    [anon_sym_LT_EQ] = ACTIONS(1823),
    [anon_sym_LT] = ACTIONS(1825),
    [anon_sym_CARET] = ACTIONS(1825),
    [anon_sym_orelse] = ACTIONS(1823),
    [anon_sym_LT_LT] = ACTIONS(1825),
    [anon_sym_GT_GT] = ACTIONS(1825),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1825),
    [anon_sym_PLUS] = ACTIONS(1825),
    [anon_sym_PLUS_PLUS] = ACTIONS(1823),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1825),
    [anon_sym_PLUS_PIPE] = ACTIONS(1825),
    [anon_sym_DASH_PIPE] = ACTIONS(1825),
    [anon_sym_SLASH] = ACTIONS(1825),
    [anon_sym_PERCENT] = ACTIONS(1825),
    [anon_sym_STAR_STAR] = ACTIONS(1823),
    [anon_sym_STAR_PERCENT] = ACTIONS(1825),
    [anon_sym_STAR_PIPE] = ACTIONS(1825),
    [anon_sym_PIPE_PIPE] = ACTIONS(1823),
    [anon_sym_catch] = ACTIONS(1823),
    [anon_sym_EQ_GT] = ACTIONS(1823),
    [anon_sym_DOT] = ACTIONS(1825),
    [anon_sym_DOT_STAR] = ACTIONS(1823),
    [anon_sym_DOT_QMARK] = ACTIONS(1823),
    [sym_comment] = ACTIONS(3),
  },
  [918] = {
    [ts_builtin_sym_end] = ACTIONS(1529),
    [anon_sym_COMMA] = ACTIONS(1529),
    [anon_sym_EQ] = ACTIONS(1531),
    [anon_sym_SEMI] = ACTIONS(1529),
    [anon_sym_STAR_EQ] = ACTIONS(1529),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1529),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1529),
    [anon_sym_SLASH_EQ] = ACTIONS(1529),
    [anon_sym_PERCENT_EQ] = ACTIONS(1529),
    [anon_sym_PLUS_EQ] = ACTIONS(1529),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1529),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1529),
    [anon_sym_DASH_EQ] = ACTIONS(1529),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1529),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1529),
    [anon_sym_LT_LT_EQ] = ACTIONS(1529),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1529),
    [anon_sym_GT_GT_EQ] = ACTIONS(1529),
    [anon_sym_AMP_EQ] = ACTIONS(1529),
    [anon_sym_CARET_EQ] = ACTIONS(1529),
    [anon_sym_PIPE_EQ] = ACTIONS(1529),
    [anon_sym_LPAREN] = ACTIONS(1529),
    [anon_sym_RPAREN] = ACTIONS(1529),
    [anon_sym_LBRACE] = ACTIONS(1529),
    [anon_sym_RBRACE] = ACTIONS(1529),
    [anon_sym_else] = ACTIONS(1529),
    [anon_sym_DOT_DOT] = ACTIONS(1529),
    [anon_sym_PIPE] = ACTIONS(1531),
    [anon_sym_STAR] = ACTIONS(1531),
    [anon_sym_align] = ACTIONS(1529),
    [anon_sym_addrspace] = ACTIONS(1529),
    [anon_sym_linksection] = ACTIONS(1529),
    [anon_sym_LBRACK] = ACTIONS(1529),
    [anon_sym_RBRACK] = ACTIONS(1529),
    [anon_sym_BANG] = ACTIONS(1631),
    [anon_sym_DASH] = ACTIONS(1531),
    [anon_sym_DASH_PERCENT] = ACTIONS(1531),
    [anon_sym_AMP] = ACTIONS(1531),
    [anon_sym_or] = ACTIONS(1531),
    [anon_sym_and] = ACTIONS(1529),
    [anon_sym_EQ_EQ] = ACTIONS(1529),
    [anon_sym_BANG_EQ] = ACTIONS(1529),
    [anon_sym_GT] = ACTIONS(1531),
    [anon_sym_GT_EQ] = ACTIONS(1529),
    [anon_sym_LT_EQ] = ACTIONS(1529),
    [anon_sym_LT] = ACTIONS(1531),
    [anon_sym_CARET] = ACTIONS(1531),
    [anon_sym_orelse] = ACTIONS(1529),
    [anon_sym_LT_LT] = ACTIONS(1531),
    [anon_sym_GT_GT] = ACTIONS(1531),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1531),
    [anon_sym_PLUS] = ACTIONS(1531),
    [anon_sym_PLUS_PLUS] = ACTIONS(1529),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1531),
    [anon_sym_PLUS_PIPE] = ACTIONS(1531),
    [anon_sym_DASH_PIPE] = ACTIONS(1531),
    [anon_sym_SLASH] = ACTIONS(1531),
    [anon_sym_PERCENT] = ACTIONS(1531),
    [anon_sym_STAR_STAR] = ACTIONS(1529),
    [anon_sym_STAR_PERCENT] = ACTIONS(1531),
    [anon_sym_STAR_PIPE] = ACTIONS(1531),
    [anon_sym_PIPE_PIPE] = ACTIONS(1529),
    [anon_sym_catch] = ACTIONS(1529),
    [anon_sym_EQ_GT] = ACTIONS(1529),
    [anon_sym_DOT] = ACTIONS(1531),
    [anon_sym_DOT_STAR] = ACTIONS(1529),
    [anon_sym_DOT_QMARK] = ACTIONS(1529),
    [sym_comment] = ACTIONS(3),
  },
  [919] = {
    [ts_builtin_sym_end] = ACTIONS(1827),
    [anon_sym_COMMA] = ACTIONS(1827),
    [anon_sym_EQ] = ACTIONS(1829),
    [anon_sym_SEMI] = ACTIONS(1827),
    [anon_sym_STAR_EQ] = ACTIONS(1827),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1827),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1827),
    [anon_sym_SLASH_EQ] = ACTIONS(1827),
    [anon_sym_PERCENT_EQ] = ACTIONS(1827),
    [anon_sym_PLUS_EQ] = ACTIONS(1827),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1827),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1827),
    [anon_sym_DASH_EQ] = ACTIONS(1827),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1827),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1827),
    [anon_sym_LT_LT_EQ] = ACTIONS(1827),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1827),
    [anon_sym_GT_GT_EQ] = ACTIONS(1827),
    [anon_sym_AMP_EQ] = ACTIONS(1827),
    [anon_sym_CARET_EQ] = ACTIONS(1827),
    [anon_sym_PIPE_EQ] = ACTIONS(1827),
    [anon_sym_LPAREN] = ACTIONS(1827),
    [anon_sym_RPAREN] = ACTIONS(1827),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(1827),
    [anon_sym_else] = ACTIONS(1827),
    [anon_sym_DOT_DOT] = ACTIONS(1827),
    [anon_sym_PIPE] = ACTIONS(1829),
    [anon_sym_STAR] = ACTIONS(1829),
    [anon_sym_align] = ACTIONS(1827),
    [anon_sym_addrspace] = ACTIONS(1827),
    [anon_sym_linksection] = ACTIONS(1827),
    [anon_sym_LBRACK] = ACTIONS(1827),
    [anon_sym_RBRACK] = ACTIONS(1827),
    [anon_sym_BANG] = ACTIONS(1631),
    [anon_sym_DASH] = ACTIONS(1829),
    [anon_sym_DASH_PERCENT] = ACTIONS(1829),
    [anon_sym_AMP] = ACTIONS(1829),
    [anon_sym_or] = ACTIONS(1829),
    [anon_sym_and] = ACTIONS(1827),
    [anon_sym_EQ_EQ] = ACTIONS(1827),
    [anon_sym_BANG_EQ] = ACTIONS(1827),
    [anon_sym_GT] = ACTIONS(1829),
    [anon_sym_GT_EQ] = ACTIONS(1827),
    [anon_sym_LT_EQ] = ACTIONS(1827),
    [anon_sym_LT] = ACTIONS(1829),
    [anon_sym_CARET] = ACTIONS(1829),
    [anon_sym_orelse] = ACTIONS(1827),
    [anon_sym_LT_LT] = ACTIONS(1829),
    [anon_sym_GT_GT] = ACTIONS(1829),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1829),
    [anon_sym_PLUS_PLUS] = ACTIONS(1827),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1829),
    [anon_sym_PLUS_PIPE] = ACTIONS(1829),
    [anon_sym_DASH_PIPE] = ACTIONS(1829),
    [anon_sym_SLASH] = ACTIONS(1829),
    [anon_sym_PERCENT] = ACTIONS(1829),
    [anon_sym_STAR_STAR] = ACTIONS(1827),
    [anon_sym_STAR_PERCENT] = ACTIONS(1829),
    [anon_sym_STAR_PIPE] = ACTIONS(1829),
    [anon_sym_PIPE_PIPE] = ACTIONS(1827),
    [anon_sym_catch] = ACTIONS(1827),
    [anon_sym_EQ_GT] = ACTIONS(1827),
    [anon_sym_DOT] = ACTIONS(1829),
    [anon_sym_DOT_STAR] = ACTIONS(1827),
    [anon_sym_DOT_QMARK] = ACTIONS(1827),
    [sym_comment] = ACTIONS(3),
  },
  [920] = {
    [ts_builtin_sym_end] = ACTIONS(1831),
    [anon_sym_COMMA] = ACTIONS(1831),
    [anon_sym_EQ] = ACTIONS(1833),
    [anon_sym_SEMI] = ACTIONS(1831),
    [anon_sym_STAR_EQ] = ACTIONS(1831),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1831),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1831),
    [anon_sym_SLASH_EQ] = ACTIONS(1831),
    [anon_sym_PERCENT_EQ] = ACTIONS(1831),
    [anon_sym_PLUS_EQ] = ACTIONS(1831),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1831),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1831),
    [anon_sym_DASH_EQ] = ACTIONS(1831),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1831),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1831),
    [anon_sym_LT_LT_EQ] = ACTIONS(1831),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1831),
    [anon_sym_GT_GT_EQ] = ACTIONS(1831),
    [anon_sym_AMP_EQ] = ACTIONS(1831),
    [anon_sym_CARET_EQ] = ACTIONS(1831),
    [anon_sym_PIPE_EQ] = ACTIONS(1831),
    [anon_sym_LPAREN] = ACTIONS(1831),
    [anon_sym_RPAREN] = ACTIONS(1831),
    [anon_sym_LBRACE] = ACTIONS(1831),
    [anon_sym_RBRACE] = ACTIONS(1831),
    [anon_sym_else] = ACTIONS(1831),
    [anon_sym_DOT_DOT] = ACTIONS(1831),
    [anon_sym_PIPE] = ACTIONS(1833),
    [anon_sym_STAR] = ACTIONS(1833),
    [anon_sym_align] = ACTIONS(1831),
    [anon_sym_addrspace] = ACTIONS(1831),
    [anon_sym_linksection] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(1831),
    [anon_sym_RBRACK] = ACTIONS(1831),
    [anon_sym_BANG] = ACTIONS(1631),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_DASH_PERCENT] = ACTIONS(1833),
    [anon_sym_AMP] = ACTIONS(1833),
    [anon_sym_or] = ACTIONS(1833),
    [anon_sym_and] = ACTIONS(1831),
    [anon_sym_EQ_EQ] = ACTIONS(1831),
    [anon_sym_BANG_EQ] = ACTIONS(1831),
    [anon_sym_GT] = ACTIONS(1833),
    [anon_sym_GT_EQ] = ACTIONS(1831),
    [anon_sym_LT_EQ] = ACTIONS(1831),
    [anon_sym_LT] = ACTIONS(1833),
    [anon_sym_CARET] = ACTIONS(1833),
    [anon_sym_orelse] = ACTIONS(1831),
    [anon_sym_LT_LT] = ACTIONS(1833),
    [anon_sym_GT_GT] = ACTIONS(1833),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1833),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_PLUS_PLUS] = ACTIONS(1831),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1833),
    [anon_sym_PLUS_PIPE] = ACTIONS(1833),
    [anon_sym_DASH_PIPE] = ACTIONS(1833),
    [anon_sym_SLASH] = ACTIONS(1833),
    [anon_sym_PERCENT] = ACTIONS(1833),
    [anon_sym_STAR_STAR] = ACTIONS(1831),
    [anon_sym_STAR_PERCENT] = ACTIONS(1833),
    [anon_sym_STAR_PIPE] = ACTIONS(1833),
    [anon_sym_PIPE_PIPE] = ACTIONS(1831),
    [anon_sym_catch] = ACTIONS(1831),
    [anon_sym_EQ_GT] = ACTIONS(1831),
    [anon_sym_DOT] = ACTIONS(1833),
    [anon_sym_DOT_STAR] = ACTIONS(1831),
    [anon_sym_DOT_QMARK] = ACTIONS(1831),
    [sym_comment] = ACTIONS(3),
  },
  [921] = {
    [ts_builtin_sym_end] = ACTIONS(1835),
    [anon_sym_COMMA] = ACTIONS(1835),
    [anon_sym_EQ] = ACTIONS(1573),
    [anon_sym_SEMI] = ACTIONS(1835),
    [anon_sym_STAR_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_SLASH_EQ] = ACTIONS(1575),
    [anon_sym_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_DASH_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_GT_GT_EQ] = ACTIONS(1575),
    [anon_sym_AMP_EQ] = ACTIONS(1575),
    [anon_sym_CARET_EQ] = ACTIONS(1575),
    [anon_sym_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LPAREN] = ACTIONS(1577),
    [anon_sym_RPAREN] = ACTIONS(1835),
    [anon_sym_LBRACE] = ACTIONS(1835),
    [anon_sym_RBRACE] = ACTIONS(1835),
    [anon_sym_else] = ACTIONS(1835),
    [anon_sym_DOT_DOT] = ACTIONS(1581),
    [anon_sym_PIPE] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_align] = ACTIONS(1835),
    [anon_sym_addrspace] = ACTIONS(1835),
    [anon_sym_linksection] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_RBRACK] = ACTIONS(1835),
    [anon_sym_BANG] = ACTIONS(1837),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_PERCENT] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1583),
    [anon_sym_or] = ACTIONS(1593),
    [anon_sym_and] = ACTIONS(1595),
    [anon_sym_EQ_EQ] = ACTIONS(1597),
    [anon_sym_BANG_EQ] = ACTIONS(1597),
    [anon_sym_GT] = ACTIONS(1599),
    [anon_sym_GT_EQ] = ACTIONS(1597),
    [anon_sym_LT_EQ] = ACTIONS(1597),
    [anon_sym_LT] = ACTIONS(1599),
    [anon_sym_CARET] = ACTIONS(1583),
    [anon_sym_orelse] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_GT_GT] = ACTIONS(1603),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1603),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1605),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1591),
    [anon_sym_PLUS_PIPE] = ACTIONS(1591),
    [anon_sym_DASH_PIPE] = ACTIONS(1591),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1607),
    [anon_sym_STAR_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_PIPE] = ACTIONS(1585),
    [anon_sym_PIPE_PIPE] = ACTIONS(1607),
    [anon_sym_catch] = ACTIONS(1609),
    [anon_sym_EQ_GT] = ACTIONS(1835),
    [anon_sym_DOT] = ACTIONS(1611),
    [anon_sym_DOT_STAR] = ACTIONS(1613),
    [anon_sym_DOT_QMARK] = ACTIONS(1615),
    [sym_comment] = ACTIONS(3),
  },
  [922] = {
    [ts_builtin_sym_end] = ACTIONS(1839),
    [anon_sym_COMMA] = ACTIONS(1839),
    [anon_sym_EQ] = ACTIONS(1573),
    [anon_sym_SEMI] = ACTIONS(1839),
    [anon_sym_STAR_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_SLASH_EQ] = ACTIONS(1575),
    [anon_sym_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_DASH_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_GT_GT_EQ] = ACTIONS(1575),
    [anon_sym_AMP_EQ] = ACTIONS(1575),
    [anon_sym_CARET_EQ] = ACTIONS(1575),
    [anon_sym_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LPAREN] = ACTIONS(1577),
    [anon_sym_RPAREN] = ACTIONS(1839),
    [anon_sym_LBRACE] = ACTIONS(1839),
    [anon_sym_RBRACE] = ACTIONS(1839),
    [anon_sym_else] = ACTIONS(1839),
    [anon_sym_DOT_DOT] = ACTIONS(1581),
    [anon_sym_PIPE] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_align] = ACTIONS(1839),
    [anon_sym_addrspace] = ACTIONS(1839),
    [anon_sym_linksection] = ACTIONS(1839),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_RBRACK] = ACTIONS(1839),
    [anon_sym_BANG] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_PERCENT] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1583),
    [anon_sym_or] = ACTIONS(1593),
    [anon_sym_and] = ACTIONS(1595),
    [anon_sym_EQ_EQ] = ACTIONS(1597),
    [anon_sym_BANG_EQ] = ACTIONS(1597),
    [anon_sym_GT] = ACTIONS(1599),
    [anon_sym_GT_EQ] = ACTIONS(1597),
    [anon_sym_LT_EQ] = ACTIONS(1597),
    [anon_sym_LT] = ACTIONS(1599),
    [anon_sym_CARET] = ACTIONS(1583),
    [anon_sym_orelse] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_GT_GT] = ACTIONS(1603),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1603),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1605),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1591),
    [anon_sym_PLUS_PIPE] = ACTIONS(1591),
    [anon_sym_DASH_PIPE] = ACTIONS(1591),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1607),
    [anon_sym_STAR_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_PIPE] = ACTIONS(1585),
    [anon_sym_PIPE_PIPE] = ACTIONS(1607),
    [anon_sym_catch] = ACTIONS(1609),
    [anon_sym_EQ_GT] = ACTIONS(1839),
    [anon_sym_DOT] = ACTIONS(1611),
    [anon_sym_DOT_STAR] = ACTIONS(1613),
    [anon_sym_DOT_QMARK] = ACTIONS(1615),
    [sym_comment] = ACTIONS(3),
  },
  [923] = {
    [ts_builtin_sym_end] = ACTIONS(1843),
    [anon_sym_COMMA] = ACTIONS(1843),
    [anon_sym_EQ] = ACTIONS(1573),
    [anon_sym_SEMI] = ACTIONS(1843),
    [anon_sym_STAR_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_SLASH_EQ] = ACTIONS(1575),
    [anon_sym_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_DASH_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_GT_GT_EQ] = ACTIONS(1575),
    [anon_sym_AMP_EQ] = ACTIONS(1575),
    [anon_sym_CARET_EQ] = ACTIONS(1575),
    [anon_sym_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LPAREN] = ACTIONS(1577),
    [anon_sym_RPAREN] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(1843),
    [anon_sym_RBRACE] = ACTIONS(1843),
    [anon_sym_else] = ACTIONS(1843),
    [anon_sym_DOT_DOT] = ACTIONS(1581),
    [anon_sym_PIPE] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_align] = ACTIONS(1843),
    [anon_sym_addrspace] = ACTIONS(1843),
    [anon_sym_linksection] = ACTIONS(1843),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_RBRACK] = ACTIONS(1843),
    [anon_sym_BANG] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_PERCENT] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1583),
    [anon_sym_or] = ACTIONS(1593),
    [anon_sym_and] = ACTIONS(1595),
    [anon_sym_EQ_EQ] = ACTIONS(1597),
    [anon_sym_BANG_EQ] = ACTIONS(1597),
    [anon_sym_GT] = ACTIONS(1599),
    [anon_sym_GT_EQ] = ACTIONS(1597),
    [anon_sym_LT_EQ] = ACTIONS(1597),
    [anon_sym_LT] = ACTIONS(1599),
    [anon_sym_CARET] = ACTIONS(1583),
    [anon_sym_orelse] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_GT_GT] = ACTIONS(1603),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1603),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1605),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1591),
    [anon_sym_PLUS_PIPE] = ACTIONS(1591),
    [anon_sym_DASH_PIPE] = ACTIONS(1591),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1607),
    [anon_sym_STAR_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_PIPE] = ACTIONS(1585),
    [anon_sym_PIPE_PIPE] = ACTIONS(1607),
    [anon_sym_catch] = ACTIONS(1609),
    [anon_sym_EQ_GT] = ACTIONS(1843),
    [anon_sym_DOT] = ACTIONS(1611),
    [anon_sym_DOT_STAR] = ACTIONS(1613),
    [anon_sym_DOT_QMARK] = ACTIONS(1615),
    [sym_comment] = ACTIONS(3),
  },
  [924] = {
    [ts_builtin_sym_end] = ACTIONS(155),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_EQ] = ACTIONS(1573),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_SLASH_EQ] = ACTIONS(1575),
    [anon_sym_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_DASH_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_GT_GT_EQ] = ACTIONS(1575),
    [anon_sym_AMP_EQ] = ACTIONS(1575),
    [anon_sym_CARET_EQ] = ACTIONS(1575),
    [anon_sym_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LPAREN] = ACTIONS(1577),
    [anon_sym_RPAREN] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(155),
    [anon_sym_RBRACE] = ACTIONS(155),
    [anon_sym_else] = ACTIONS(155),
    [anon_sym_DOT_DOT] = ACTIONS(1581),
    [anon_sym_PIPE] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_align] = ACTIONS(155),
    [anon_sym_addrspace] = ACTIONS(155),
    [anon_sym_linksection] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_RBRACK] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(157),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_PERCENT] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1583),
    [anon_sym_or] = ACTIONS(1593),
    [anon_sym_and] = ACTIONS(1595),
    [anon_sym_EQ_EQ] = ACTIONS(1597),
    [anon_sym_BANG_EQ] = ACTIONS(1597),
    [anon_sym_GT] = ACTIONS(1599),
    [anon_sym_GT_EQ] = ACTIONS(1597),
    [anon_sym_LT_EQ] = ACTIONS(1597),
    [anon_sym_LT] = ACTIONS(1599),
    [anon_sym_CARET] = ACTIONS(1583),
    [anon_sym_orelse] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_GT_GT] = ACTIONS(1603),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1603),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1605),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1591),
    [anon_sym_PLUS_PIPE] = ACTIONS(1591),
    [anon_sym_DASH_PIPE] = ACTIONS(1591),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1607),
    [anon_sym_STAR_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_PIPE] = ACTIONS(1585),
    [anon_sym_PIPE_PIPE] = ACTIONS(1607),
    [anon_sym_catch] = ACTIONS(1609),
    [anon_sym_EQ_GT] = ACTIONS(155),
    [anon_sym_DOT] = ACTIONS(1611),
    [anon_sym_DOT_STAR] = ACTIONS(1613),
    [anon_sym_DOT_QMARK] = ACTIONS(1615),
    [sym_comment] = ACTIONS(3),
  },
  [925] = {
    [ts_builtin_sym_end] = ACTIONS(1847),
    [anon_sym_COMMA] = ACTIONS(1847),
    [anon_sym_EQ] = ACTIONS(1573),
    [anon_sym_SEMI] = ACTIONS(1847),
    [anon_sym_STAR_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_SLASH_EQ] = ACTIONS(1575),
    [anon_sym_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_DASH_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_GT_GT_EQ] = ACTIONS(1575),
    [anon_sym_AMP_EQ] = ACTIONS(1575),
    [anon_sym_CARET_EQ] = ACTIONS(1575),
    [anon_sym_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LPAREN] = ACTIONS(1577),
    [anon_sym_RPAREN] = ACTIONS(1847),
    [anon_sym_LBRACE] = ACTIONS(1847),
    [anon_sym_RBRACE] = ACTIONS(1847),
    [anon_sym_else] = ACTIONS(1847),
    [anon_sym_DOT_DOT] = ACTIONS(1581),
    [anon_sym_PIPE] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_align] = ACTIONS(1847),
    [anon_sym_addrspace] = ACTIONS(1847),
    [anon_sym_linksection] = ACTIONS(1847),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_RBRACK] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_PERCENT] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1583),
    [anon_sym_or] = ACTIONS(1593),
    [anon_sym_and] = ACTIONS(1595),
    [anon_sym_EQ_EQ] = ACTIONS(1597),
    [anon_sym_BANG_EQ] = ACTIONS(1597),
    [anon_sym_GT] = ACTIONS(1599),
    [anon_sym_GT_EQ] = ACTIONS(1597),
    [anon_sym_LT_EQ] = ACTIONS(1597),
    [anon_sym_LT] = ACTIONS(1599),
    [anon_sym_CARET] = ACTIONS(1583),
    [anon_sym_orelse] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_GT_GT] = ACTIONS(1603),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1603),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1605),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1591),
    [anon_sym_PLUS_PIPE] = ACTIONS(1591),
    [anon_sym_DASH_PIPE] = ACTIONS(1591),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1607),
    [anon_sym_STAR_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_PIPE] = ACTIONS(1585),
    [anon_sym_PIPE_PIPE] = ACTIONS(1607),
    [anon_sym_catch] = ACTIONS(1609),
    [anon_sym_EQ_GT] = ACTIONS(1847),
    [anon_sym_DOT] = ACTIONS(1611),
    [anon_sym_DOT_STAR] = ACTIONS(1613),
    [anon_sym_DOT_QMARK] = ACTIONS(1615),
    [sym_comment] = ACTIONS(3),
  },
  [926] = {
    [ts_builtin_sym_end] = ACTIONS(1851),
    [anon_sym_COMMA] = ACTIONS(1851),
    [anon_sym_EQ] = ACTIONS(1573),
    [anon_sym_SEMI] = ACTIONS(1851),
    [anon_sym_STAR_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_SLASH_EQ] = ACTIONS(1575),
    [anon_sym_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_DASH_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_GT_GT_EQ] = ACTIONS(1575),
    [anon_sym_AMP_EQ] = ACTIONS(1575),
    [anon_sym_CARET_EQ] = ACTIONS(1575),
    [anon_sym_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LPAREN] = ACTIONS(1577),
    [anon_sym_RPAREN] = ACTIONS(1851),
    [anon_sym_LBRACE] = ACTIONS(1851),
    [anon_sym_RBRACE] = ACTIONS(1851),
    [anon_sym_else] = ACTIONS(1851),
    [anon_sym_DOT_DOT] = ACTIONS(1581),
    [anon_sym_PIPE] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_align] = ACTIONS(1851),
    [anon_sym_addrspace] = ACTIONS(1851),
    [anon_sym_linksection] = ACTIONS(1851),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_RBRACK] = ACTIONS(1851),
    [anon_sym_BANG] = ACTIONS(1853),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_PERCENT] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1583),
    [anon_sym_or] = ACTIONS(1593),
    [anon_sym_and] = ACTIONS(1595),
    [anon_sym_EQ_EQ] = ACTIONS(1597),
    [anon_sym_BANG_EQ] = ACTIONS(1597),
    [anon_sym_GT] = ACTIONS(1599),
    [anon_sym_GT_EQ] = ACTIONS(1597),
    [anon_sym_LT_EQ] = ACTIONS(1597),
    [anon_sym_LT] = ACTIONS(1599),
    [anon_sym_CARET] = ACTIONS(1583),
    [anon_sym_orelse] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_GT_GT] = ACTIONS(1603),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1603),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1605),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1591),
    [anon_sym_PLUS_PIPE] = ACTIONS(1591),
    [anon_sym_DASH_PIPE] = ACTIONS(1591),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1607),
    [anon_sym_STAR_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_PIPE] = ACTIONS(1585),
    [anon_sym_PIPE_PIPE] = ACTIONS(1607),
    [anon_sym_catch] = ACTIONS(1609),
    [anon_sym_EQ_GT] = ACTIONS(1851),
    [anon_sym_DOT] = ACTIONS(1611),
    [anon_sym_DOT_STAR] = ACTIONS(1613),
    [anon_sym_DOT_QMARK] = ACTIONS(1615),
    [sym_comment] = ACTIONS(3),
  },
  [927] = {
    [ts_builtin_sym_end] = ACTIONS(159),
    [anon_sym_COMMA] = ACTIONS(159),
    [anon_sym_EQ] = ACTIONS(1573),
    [anon_sym_SEMI] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_SLASH_EQ] = ACTIONS(1575),
    [anon_sym_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_DASH_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_GT_GT_EQ] = ACTIONS(1575),
    [anon_sym_AMP_EQ] = ACTIONS(1575),
    [anon_sym_CARET_EQ] = ACTIONS(1575),
    [anon_sym_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LPAREN] = ACTIONS(1577),
    [anon_sym_RPAREN] = ACTIONS(159),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_RBRACE] = ACTIONS(159),
    [anon_sym_else] = ACTIONS(159),
    [anon_sym_DOT_DOT] = ACTIONS(1581),
    [anon_sym_PIPE] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_align] = ACTIONS(159),
    [anon_sym_addrspace] = ACTIONS(159),
    [anon_sym_linksection] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_RBRACK] = ACTIONS(159),
    [anon_sym_BANG] = ACTIONS(161),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_PERCENT] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1583),
    [anon_sym_or] = ACTIONS(1593),
    [anon_sym_and] = ACTIONS(1595),
    [anon_sym_EQ_EQ] = ACTIONS(1597),
    [anon_sym_BANG_EQ] = ACTIONS(1597),
    [anon_sym_GT] = ACTIONS(1599),
    [anon_sym_GT_EQ] = ACTIONS(1597),
    [anon_sym_LT_EQ] = ACTIONS(1597),
    [anon_sym_LT] = ACTIONS(1599),
    [anon_sym_CARET] = ACTIONS(1583),
    [anon_sym_orelse] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_GT_GT] = ACTIONS(1603),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1603),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1605),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1591),
    [anon_sym_PLUS_PIPE] = ACTIONS(1591),
    [anon_sym_DASH_PIPE] = ACTIONS(1591),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1607),
    [anon_sym_STAR_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_PIPE] = ACTIONS(1585),
    [anon_sym_PIPE_PIPE] = ACTIONS(1607),
    [anon_sym_catch] = ACTIONS(1609),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_DOT] = ACTIONS(1611),
    [anon_sym_DOT_STAR] = ACTIONS(1613),
    [anon_sym_DOT_QMARK] = ACTIONS(1615),
    [sym_comment] = ACTIONS(3),
  },
  [928] = {
    [ts_builtin_sym_end] = ACTIONS(1855),
    [anon_sym_COMMA] = ACTIONS(1855),
    [anon_sym_EQ] = ACTIONS(1857),
    [anon_sym_SEMI] = ACTIONS(1855),
    [anon_sym_STAR_EQ] = ACTIONS(1855),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1855),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1855),
    [anon_sym_SLASH_EQ] = ACTIONS(1855),
    [anon_sym_PERCENT_EQ] = ACTIONS(1855),
    [anon_sym_PLUS_EQ] = ACTIONS(1855),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1855),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1855),
    [anon_sym_DASH_EQ] = ACTIONS(1855),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1855),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1855),
    [anon_sym_LT_LT_EQ] = ACTIONS(1855),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1855),
    [anon_sym_GT_GT_EQ] = ACTIONS(1855),
    [anon_sym_AMP_EQ] = ACTIONS(1855),
    [anon_sym_CARET_EQ] = ACTIONS(1855),
    [anon_sym_PIPE_EQ] = ACTIONS(1855),
    [anon_sym_LPAREN] = ACTIONS(1577),
    [anon_sym_RPAREN] = ACTIONS(1855),
    [anon_sym_LBRACE] = ACTIONS(1855),
    [anon_sym_RBRACE] = ACTIONS(1855),
    [anon_sym_else] = ACTIONS(1855),
    [anon_sym_DOT_DOT] = ACTIONS(1581),
    [anon_sym_PIPE] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_align] = ACTIONS(1855),
    [anon_sym_addrspace] = ACTIONS(1855),
    [anon_sym_linksection] = ACTIONS(1855),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_RBRACK] = ACTIONS(1855),
    [anon_sym_BANG] = ACTIONS(1857),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_PERCENT] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1583),
    [anon_sym_or] = ACTIONS(1857),
    [anon_sym_and] = ACTIONS(1855),
    [anon_sym_EQ_EQ] = ACTIONS(1855),
    [anon_sym_BANG_EQ] = ACTIONS(1855),
    [anon_sym_GT] = ACTIONS(1857),
    [anon_sym_GT_EQ] = ACTIONS(1855),
    [anon_sym_LT_EQ] = ACTIONS(1855),
    [anon_sym_LT] = ACTIONS(1857),
    [anon_sym_CARET] = ACTIONS(1583),
    [anon_sym_orelse] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_GT_GT] = ACTIONS(1603),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1603),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1605),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1591),
    [anon_sym_PLUS_PIPE] = ACTIONS(1591),
    [anon_sym_DASH_PIPE] = ACTIONS(1591),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1607),
    [anon_sym_STAR_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_PIPE] = ACTIONS(1585),
    [anon_sym_PIPE_PIPE] = ACTIONS(1607),
    [anon_sym_catch] = ACTIONS(1609),
    [anon_sym_EQ_GT] = ACTIONS(1855),
    [anon_sym_DOT] = ACTIONS(1611),
    [anon_sym_DOT_STAR] = ACTIONS(1613),
    [anon_sym_DOT_QMARK] = ACTIONS(1615),
    [sym_comment] = ACTIONS(3),
  },
  [929] = {
    [ts_builtin_sym_end] = ACTIONS(1859),
    [anon_sym_COMMA] = ACTIONS(1859),
    [anon_sym_EQ] = ACTIONS(1573),
    [anon_sym_SEMI] = ACTIONS(1859),
    [anon_sym_STAR_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_SLASH_EQ] = ACTIONS(1575),
    [anon_sym_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_DASH_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_GT_GT_EQ] = ACTIONS(1575),
    [anon_sym_AMP_EQ] = ACTIONS(1575),
    [anon_sym_CARET_EQ] = ACTIONS(1575),
    [anon_sym_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LPAREN] = ACTIONS(1577),
    [anon_sym_RPAREN] = ACTIONS(1859),
    [anon_sym_LBRACE] = ACTIONS(1859),
    [anon_sym_RBRACE] = ACTIONS(1859),
    [anon_sym_else] = ACTIONS(1861),
    [anon_sym_DOT_DOT] = ACTIONS(1581),
    [anon_sym_PIPE] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_align] = ACTIONS(1859),
    [anon_sym_addrspace] = ACTIONS(1859),
    [anon_sym_linksection] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_RBRACK] = ACTIONS(1859),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_PERCENT] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1583),
    [anon_sym_or] = ACTIONS(1593),
    [anon_sym_and] = ACTIONS(1595),
    [anon_sym_EQ_EQ] = ACTIONS(1597),
    [anon_sym_BANG_EQ] = ACTIONS(1597),
    [anon_sym_GT] = ACTIONS(1599),
    [anon_sym_GT_EQ] = ACTIONS(1597),
    [anon_sym_LT_EQ] = ACTIONS(1597),
    [anon_sym_LT] = ACTIONS(1599),
    [anon_sym_CARET] = ACTIONS(1583),
    [anon_sym_orelse] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_GT_GT] = ACTIONS(1603),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1603),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1605),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1591),
    [anon_sym_PLUS_PIPE] = ACTIONS(1591),
    [anon_sym_DASH_PIPE] = ACTIONS(1591),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1607),
    [anon_sym_STAR_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_PIPE] = ACTIONS(1585),
    [anon_sym_PIPE_PIPE] = ACTIONS(1607),
    [anon_sym_catch] = ACTIONS(1609),
    [anon_sym_EQ_GT] = ACTIONS(1859),
    [anon_sym_DOT] = ACTIONS(1611),
    [anon_sym_DOT_STAR] = ACTIONS(1613),
    [anon_sym_DOT_QMARK] = ACTIONS(1615),
    [sym_comment] = ACTIONS(3),
  },
  [930] = {
    [ts_builtin_sym_end] = ACTIONS(1865),
    [anon_sym_COMMA] = ACTIONS(1865),
    [anon_sym_EQ] = ACTIONS(1573),
    [anon_sym_SEMI] = ACTIONS(1865),
    [anon_sym_STAR_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_SLASH_EQ] = ACTIONS(1575),
    [anon_sym_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_DASH_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_GT_GT_EQ] = ACTIONS(1575),
    [anon_sym_AMP_EQ] = ACTIONS(1575),
    [anon_sym_CARET_EQ] = ACTIONS(1575),
    [anon_sym_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LPAREN] = ACTIONS(1577),
    [anon_sym_RPAREN] = ACTIONS(1865),
    [anon_sym_LBRACE] = ACTIONS(1865),
    [anon_sym_RBRACE] = ACTIONS(1865),
    [anon_sym_else] = ACTIONS(1867),
    [anon_sym_DOT_DOT] = ACTIONS(1581),
    [anon_sym_PIPE] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_align] = ACTIONS(1865),
    [anon_sym_addrspace] = ACTIONS(1865),
    [anon_sym_linksection] = ACTIONS(1865),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_RBRACK] = ACTIONS(1865),
    [anon_sym_BANG] = ACTIONS(1869),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_PERCENT] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1583),
    [anon_sym_or] = ACTIONS(1593),
    [anon_sym_and] = ACTIONS(1595),
    [anon_sym_EQ_EQ] = ACTIONS(1597),
    [anon_sym_BANG_EQ] = ACTIONS(1597),
    [anon_sym_GT] = ACTIONS(1599),
    [anon_sym_GT_EQ] = ACTIONS(1597),
    [anon_sym_LT_EQ] = ACTIONS(1597),
    [anon_sym_LT] = ACTIONS(1599),
    [anon_sym_CARET] = ACTIONS(1583),
    [anon_sym_orelse] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_GT_GT] = ACTIONS(1603),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1603),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1605),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1591),
    [anon_sym_PLUS_PIPE] = ACTIONS(1591),
    [anon_sym_DASH_PIPE] = ACTIONS(1591),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1607),
    [anon_sym_STAR_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_PIPE] = ACTIONS(1585),
    [anon_sym_PIPE_PIPE] = ACTIONS(1607),
    [anon_sym_catch] = ACTIONS(1609),
    [anon_sym_EQ_GT] = ACTIONS(1865),
    [anon_sym_DOT] = ACTIONS(1611),
    [anon_sym_DOT_STAR] = ACTIONS(1613),
    [anon_sym_DOT_QMARK] = ACTIONS(1615),
    [sym_comment] = ACTIONS(3),
  },
  [931] = {
    [ts_builtin_sym_end] = ACTIONS(1871),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_EQ] = ACTIONS(1573),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_SLASH_EQ] = ACTIONS(1575),
    [anon_sym_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_DASH_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_GT_GT_EQ] = ACTIONS(1575),
    [anon_sym_AMP_EQ] = ACTIONS(1575),
    [anon_sym_CARET_EQ] = ACTIONS(1575),
    [anon_sym_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LPAREN] = ACTIONS(1577),
    [anon_sym_RPAREN] = ACTIONS(1871),
    [anon_sym_LBRACE] = ACTIONS(1871),
    [anon_sym_RBRACE] = ACTIONS(1871),
    [anon_sym_else] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1581),
    [anon_sym_PIPE] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_align] = ACTIONS(1871),
    [anon_sym_addrspace] = ACTIONS(1871),
    [anon_sym_linksection] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_RBRACK] = ACTIONS(1871),
    [anon_sym_BANG] = ACTIONS(1873),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_PERCENT] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1583),
    [anon_sym_or] = ACTIONS(1593),
    [anon_sym_and] = ACTIONS(1595),
    [anon_sym_EQ_EQ] = ACTIONS(1597),
    [anon_sym_BANG_EQ] = ACTIONS(1597),
    [anon_sym_GT] = ACTIONS(1599),
    [anon_sym_GT_EQ] = ACTIONS(1597),
    [anon_sym_LT_EQ] = ACTIONS(1597),
    [anon_sym_LT] = ACTIONS(1599),
    [anon_sym_CARET] = ACTIONS(1583),
    [anon_sym_orelse] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_GT_GT] = ACTIONS(1603),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1603),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1605),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1591),
    [anon_sym_PLUS_PIPE] = ACTIONS(1591),
    [anon_sym_DASH_PIPE] = ACTIONS(1591),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1607),
    [anon_sym_STAR_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_PIPE] = ACTIONS(1585),
    [anon_sym_PIPE_PIPE] = ACTIONS(1607),
    [anon_sym_catch] = ACTIONS(1609),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_DOT] = ACTIONS(1611),
    [anon_sym_DOT_STAR] = ACTIONS(1613),
    [anon_sym_DOT_QMARK] = ACTIONS(1615),
    [sym_comment] = ACTIONS(3),
  },
  [932] = {
    [ts_builtin_sym_end] = ACTIONS(1875),
    [anon_sym_COMMA] = ACTIONS(1875),
    [anon_sym_EQ] = ACTIONS(1573),
    [anon_sym_SEMI] = ACTIONS(1875),
    [anon_sym_STAR_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_SLASH_EQ] = ACTIONS(1575),
    [anon_sym_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_DASH_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_GT_GT_EQ] = ACTIONS(1575),
    [anon_sym_AMP_EQ] = ACTIONS(1575),
    [anon_sym_CARET_EQ] = ACTIONS(1575),
    [anon_sym_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LPAREN] = ACTIONS(1577),
    [anon_sym_RPAREN] = ACTIONS(1875),
    [anon_sym_LBRACE] = ACTIONS(1875),
    [anon_sym_RBRACE] = ACTIONS(1875),
    [anon_sym_else] = ACTIONS(1877),
    [anon_sym_DOT_DOT] = ACTIONS(1581),
    [anon_sym_PIPE] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_align] = ACTIONS(1875),
    [anon_sym_addrspace] = ACTIONS(1875),
    [anon_sym_linksection] = ACTIONS(1875),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_RBRACK] = ACTIONS(1875),
    [anon_sym_BANG] = ACTIONS(1879),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_PERCENT] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1583),
    [anon_sym_or] = ACTIONS(1593),
    [anon_sym_and] = ACTIONS(1595),
    [anon_sym_EQ_EQ] = ACTIONS(1597),
    [anon_sym_BANG_EQ] = ACTIONS(1597),
    [anon_sym_GT] = ACTIONS(1599),
    [anon_sym_GT_EQ] = ACTIONS(1597),
    [anon_sym_LT_EQ] = ACTIONS(1597),
    [anon_sym_LT] = ACTIONS(1599),
    [anon_sym_CARET] = ACTIONS(1583),
    [anon_sym_orelse] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_GT_GT] = ACTIONS(1603),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1603),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1605),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1591),
    [anon_sym_PLUS_PIPE] = ACTIONS(1591),
    [anon_sym_DASH_PIPE] = ACTIONS(1591),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1607),
    [anon_sym_STAR_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_PIPE] = ACTIONS(1585),
    [anon_sym_PIPE_PIPE] = ACTIONS(1607),
    [anon_sym_catch] = ACTIONS(1609),
    [anon_sym_EQ_GT] = ACTIONS(1875),
    [anon_sym_DOT] = ACTIONS(1611),
    [anon_sym_DOT_STAR] = ACTIONS(1613),
    [anon_sym_DOT_QMARK] = ACTIONS(1615),
    [sym_comment] = ACTIONS(3),
  },
  [933] = {
    [ts_builtin_sym_end] = ACTIONS(1881),
    [anon_sym_COMMA] = ACTIONS(1881),
    [anon_sym_EQ] = ACTIONS(1573),
    [anon_sym_SEMI] = ACTIONS(1881),
    [anon_sym_STAR_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_SLASH_EQ] = ACTIONS(1575),
    [anon_sym_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_DASH_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_GT_GT_EQ] = ACTIONS(1575),
    [anon_sym_AMP_EQ] = ACTIONS(1575),
    [anon_sym_CARET_EQ] = ACTIONS(1575),
    [anon_sym_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LPAREN] = ACTIONS(1577),
    [anon_sym_RPAREN] = ACTIONS(1881),
    [anon_sym_LBRACE] = ACTIONS(1881),
    [anon_sym_RBRACE] = ACTIONS(1881),
    [anon_sym_else] = ACTIONS(1883),
    [anon_sym_DOT_DOT] = ACTIONS(1581),
    [anon_sym_PIPE] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_align] = ACTIONS(1881),
    [anon_sym_addrspace] = ACTIONS(1881),
    [anon_sym_linksection] = ACTIONS(1881),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_RBRACK] = ACTIONS(1881),
    [anon_sym_BANG] = ACTIONS(1885),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_PERCENT] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1583),
    [anon_sym_or] = ACTIONS(1593),
    [anon_sym_and] = ACTIONS(1595),
    [anon_sym_EQ_EQ] = ACTIONS(1597),
    [anon_sym_BANG_EQ] = ACTIONS(1597),
    [anon_sym_GT] = ACTIONS(1599),
    [anon_sym_GT_EQ] = ACTIONS(1597),
    [anon_sym_LT_EQ] = ACTIONS(1597),
    [anon_sym_LT] = ACTIONS(1599),
    [anon_sym_CARET] = ACTIONS(1583),
    [anon_sym_orelse] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_GT_GT] = ACTIONS(1603),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1603),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1605),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1591),
    [anon_sym_PLUS_PIPE] = ACTIONS(1591),
    [anon_sym_DASH_PIPE] = ACTIONS(1591),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1607),
    [anon_sym_STAR_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_PIPE] = ACTIONS(1585),
    [anon_sym_PIPE_PIPE] = ACTIONS(1607),
    [anon_sym_catch] = ACTIONS(1609),
    [anon_sym_EQ_GT] = ACTIONS(1881),
    [anon_sym_DOT] = ACTIONS(1611),
    [anon_sym_DOT_STAR] = ACTIONS(1613),
    [anon_sym_DOT_QMARK] = ACTIONS(1615),
    [sym_comment] = ACTIONS(3),
  },
  [934] = {
    [ts_builtin_sym_end] = ACTIONS(1571),
    [anon_sym_COMMA] = ACTIONS(1571),
    [anon_sym_EQ] = ACTIONS(1573),
    [anon_sym_SEMI] = ACTIONS(1571),
    [anon_sym_STAR_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_SLASH_EQ] = ACTIONS(1575),
    [anon_sym_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_DASH_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_GT_GT_EQ] = ACTIONS(1575),
    [anon_sym_AMP_EQ] = ACTIONS(1575),
    [anon_sym_CARET_EQ] = ACTIONS(1575),
    [anon_sym_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LPAREN] = ACTIONS(1577),
    [anon_sym_RPAREN] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1571),
    [anon_sym_RBRACE] = ACTIONS(1571),
    [anon_sym_else] = ACTIONS(1887),
    [anon_sym_DOT_DOT] = ACTIONS(1581),
    [anon_sym_PIPE] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_align] = ACTIONS(1571),
    [anon_sym_addrspace] = ACTIONS(1571),
    [anon_sym_linksection] = ACTIONS(1571),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_RBRACK] = ACTIONS(1571),
    [anon_sym_BANG] = ACTIONS(1589),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_PERCENT] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1583),
    [anon_sym_or] = ACTIONS(1593),
    [anon_sym_and] = ACTIONS(1595),
    [anon_sym_EQ_EQ] = ACTIONS(1597),
    [anon_sym_BANG_EQ] = ACTIONS(1597),
    [anon_sym_GT] = ACTIONS(1599),
    [anon_sym_GT_EQ] = ACTIONS(1597),
    [anon_sym_LT_EQ] = ACTIONS(1597),
    [anon_sym_LT] = ACTIONS(1599),
    [anon_sym_CARET] = ACTIONS(1583),
    [anon_sym_orelse] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_GT_GT] = ACTIONS(1603),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1603),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1605),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1591),
    [anon_sym_PLUS_PIPE] = ACTIONS(1591),
    [anon_sym_DASH_PIPE] = ACTIONS(1591),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1607),
    [anon_sym_STAR_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_PIPE] = ACTIONS(1585),
    [anon_sym_PIPE_PIPE] = ACTIONS(1607),
    [anon_sym_catch] = ACTIONS(1609),
    [anon_sym_EQ_GT] = ACTIONS(1571),
    [anon_sym_DOT] = ACTIONS(1611),
    [anon_sym_DOT_STAR] = ACTIONS(1613),
    [anon_sym_DOT_QMARK] = ACTIONS(1615),
    [sym_comment] = ACTIONS(3),
  },
  [935] = {
    [ts_builtin_sym_end] = ACTIONS(934),
    [anon_sym_COMMA] = ACTIONS(934),
    [anon_sym_EQ] = ACTIONS(932),
    [anon_sym_SEMI] = ACTIONS(934),
    [anon_sym_STAR_EQ] = ACTIONS(934),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(934),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(934),
    [anon_sym_SLASH_EQ] = ACTIONS(934),
    [anon_sym_PERCENT_EQ] = ACTIONS(934),
    [anon_sym_PLUS_EQ] = ACTIONS(934),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(934),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(934),
    [anon_sym_DASH_EQ] = ACTIONS(934),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(934),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(934),
    [anon_sym_LT_LT_EQ] = ACTIONS(934),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(934),
    [anon_sym_GT_GT_EQ] = ACTIONS(934),
    [anon_sym_AMP_EQ] = ACTIONS(934),
    [anon_sym_CARET_EQ] = ACTIONS(934),
    [anon_sym_PIPE_EQ] = ACTIONS(934),
    [anon_sym_LPAREN] = ACTIONS(934),
    [anon_sym_RPAREN] = ACTIONS(934),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_RBRACE] = ACTIONS(934),
    [anon_sym_else] = ACTIONS(934),
    [anon_sym_DOT_DOT] = ACTIONS(934),
    [anon_sym_PIPE] = ACTIONS(932),
    [anon_sym_STAR] = ACTIONS(932),
    [anon_sym_align] = ACTIONS(934),
    [anon_sym_addrspace] = ACTIONS(934),
    [anon_sym_linksection] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(934),
    [anon_sym_RBRACK] = ACTIONS(934),
    [anon_sym_BANG] = ACTIONS(1631),
    [anon_sym_DASH] = ACTIONS(932),
    [anon_sym_DASH_PERCENT] = ACTIONS(932),
    [anon_sym_AMP] = ACTIONS(932),
    [anon_sym_or] = ACTIONS(932),
    [anon_sym_and] = ACTIONS(934),
    [anon_sym_EQ_EQ] = ACTIONS(934),
    [anon_sym_BANG_EQ] = ACTIONS(934),
    [anon_sym_GT] = ACTIONS(932),
    [anon_sym_GT_EQ] = ACTIONS(934),
    [anon_sym_LT_EQ] = ACTIONS(934),
    [anon_sym_LT] = ACTIONS(932),
    [anon_sym_CARET] = ACTIONS(932),
    [anon_sym_orelse] = ACTIONS(934),
    [anon_sym_LT_LT] = ACTIONS(932),
    [anon_sym_GT_GT] = ACTIONS(932),
    [anon_sym_LT_LT_PIPE] = ACTIONS(932),
    [anon_sym_PLUS] = ACTIONS(932),
    [anon_sym_PLUS_PLUS] = ACTIONS(934),
    [anon_sym_PLUS_PERCENT] = ACTIONS(932),
    [anon_sym_PLUS_PIPE] = ACTIONS(932),
    [anon_sym_DASH_PIPE] = ACTIONS(932),
    [anon_sym_SLASH] = ACTIONS(932),
    [anon_sym_PERCENT] = ACTIONS(932),
    [anon_sym_STAR_STAR] = ACTIONS(934),
    [anon_sym_STAR_PERCENT] = ACTIONS(932),
    [anon_sym_STAR_PIPE] = ACTIONS(932),
    [anon_sym_PIPE_PIPE] = ACTIONS(934),
    [anon_sym_catch] = ACTIONS(934),
    [anon_sym_EQ_GT] = ACTIONS(934),
    [anon_sym_DOT] = ACTIONS(932),
    [anon_sym_DOT_STAR] = ACTIONS(934),
    [anon_sym_DOT_QMARK] = ACTIONS(934),
    [sym_comment] = ACTIONS(3),
  },
  [936] = {
    [ts_builtin_sym_end] = ACTIONS(1889),
    [anon_sym_COMMA] = ACTIONS(1889),
    [anon_sym_EQ] = ACTIONS(1573),
    [anon_sym_SEMI] = ACTIONS(1889),
    [anon_sym_STAR_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_SLASH_EQ] = ACTIONS(1575),
    [anon_sym_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_DASH_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_GT_GT_EQ] = ACTIONS(1575),
    [anon_sym_AMP_EQ] = ACTIONS(1575),
    [anon_sym_CARET_EQ] = ACTIONS(1575),
    [anon_sym_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LPAREN] = ACTIONS(1577),
    [anon_sym_RPAREN] = ACTIONS(1889),
    [anon_sym_LBRACE] = ACTIONS(1889),
    [anon_sym_RBRACE] = ACTIONS(1889),
    [anon_sym_else] = ACTIONS(1889),
    [anon_sym_DOT_DOT] = ACTIONS(1581),
    [anon_sym_PIPE] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_align] = ACTIONS(1889),
    [anon_sym_addrspace] = ACTIONS(1889),
    [anon_sym_linksection] = ACTIONS(1889),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_RBRACK] = ACTIONS(1889),
    [anon_sym_BANG] = ACTIONS(1891),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_PERCENT] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1583),
    [anon_sym_or] = ACTIONS(1593),
    [anon_sym_and] = ACTIONS(1595),
    [anon_sym_EQ_EQ] = ACTIONS(1597),
    [anon_sym_BANG_EQ] = ACTIONS(1597),
    [anon_sym_GT] = ACTIONS(1599),
    [anon_sym_GT_EQ] = ACTIONS(1597),
    [anon_sym_LT_EQ] = ACTIONS(1597),
    [anon_sym_LT] = ACTIONS(1599),
    [anon_sym_CARET] = ACTIONS(1583),
    [anon_sym_orelse] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_GT_GT] = ACTIONS(1603),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1603),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1605),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1591),
    [anon_sym_PLUS_PIPE] = ACTIONS(1591),
    [anon_sym_DASH_PIPE] = ACTIONS(1591),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1607),
    [anon_sym_STAR_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_PIPE] = ACTIONS(1585),
    [anon_sym_PIPE_PIPE] = ACTIONS(1607),
    [anon_sym_catch] = ACTIONS(1609),
    [anon_sym_EQ_GT] = ACTIONS(1889),
    [anon_sym_DOT] = ACTIONS(1611),
    [anon_sym_DOT_STAR] = ACTIONS(1613),
    [anon_sym_DOT_QMARK] = ACTIONS(1615),
    [sym_comment] = ACTIONS(3),
  },
  [937] = {
    [ts_builtin_sym_end] = ACTIONS(1893),
    [anon_sym_COMMA] = ACTIONS(1893),
    [anon_sym_EQ] = ACTIONS(1573),
    [anon_sym_SEMI] = ACTIONS(1893),
    [anon_sym_STAR_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_SLASH_EQ] = ACTIONS(1575),
    [anon_sym_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_DASH_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_GT_GT_EQ] = ACTIONS(1575),
    [anon_sym_AMP_EQ] = ACTIONS(1575),
    [anon_sym_CARET_EQ] = ACTIONS(1575),
    [anon_sym_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LPAREN] = ACTIONS(1577),
    [anon_sym_RPAREN] = ACTIONS(1893),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_RBRACE] = ACTIONS(1893),
    [anon_sym_else] = ACTIONS(1893),
    [anon_sym_DOT_DOT] = ACTIONS(1581),
    [anon_sym_PIPE] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_align] = ACTIONS(1893),
    [anon_sym_addrspace] = ACTIONS(1893),
    [anon_sym_linksection] = ACTIONS(1893),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_RBRACK] = ACTIONS(1893),
    [anon_sym_BANG] = ACTIONS(1895),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_PERCENT] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1583),
    [anon_sym_or] = ACTIONS(1593),
    [anon_sym_and] = ACTIONS(1595),
    [anon_sym_EQ_EQ] = ACTIONS(1597),
    [anon_sym_BANG_EQ] = ACTIONS(1597),
    [anon_sym_GT] = ACTIONS(1599),
    [anon_sym_GT_EQ] = ACTIONS(1597),
    [anon_sym_LT_EQ] = ACTIONS(1597),
    [anon_sym_LT] = ACTIONS(1599),
    [anon_sym_CARET] = ACTIONS(1583),
    [anon_sym_orelse] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_GT_GT] = ACTIONS(1603),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1603),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1605),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1591),
    [anon_sym_PLUS_PIPE] = ACTIONS(1591),
    [anon_sym_DASH_PIPE] = ACTIONS(1591),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1607),
    [anon_sym_STAR_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_PIPE] = ACTIONS(1585),
    [anon_sym_PIPE_PIPE] = ACTIONS(1607),
    [anon_sym_catch] = ACTIONS(1609),
    [anon_sym_EQ_GT] = ACTIONS(1893),
    [anon_sym_DOT] = ACTIONS(1611),
    [anon_sym_DOT_STAR] = ACTIONS(1613),
    [anon_sym_DOT_QMARK] = ACTIONS(1615),
    [sym_comment] = ACTIONS(3),
  },
  [938] = {
    [ts_builtin_sym_end] = ACTIONS(1405),
    [anon_sym_COMMA] = ACTIONS(1405),
    [anon_sym_EQ] = ACTIONS(1897),
    [anon_sym_SEMI] = ACTIONS(1405),
    [anon_sym_STAR_EQ] = ACTIONS(1900),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1900),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1900),
    [anon_sym_SLASH_EQ] = ACTIONS(1900),
    [anon_sym_PERCENT_EQ] = ACTIONS(1900),
    [anon_sym_PLUS_EQ] = ACTIONS(1900),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1900),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1900),
    [anon_sym_DASH_EQ] = ACTIONS(1900),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1900),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1900),
    [anon_sym_LT_LT_EQ] = ACTIONS(1900),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1900),
    [anon_sym_GT_GT_EQ] = ACTIONS(1900),
    [anon_sym_AMP_EQ] = ACTIONS(1900),
    [anon_sym_CARET_EQ] = ACTIONS(1900),
    [anon_sym_PIPE_EQ] = ACTIONS(1900),
    [anon_sym_LPAREN] = ACTIONS(1900),
    [anon_sym_RPAREN] = ACTIONS(1405),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_RBRACE] = ACTIONS(1405),
    [anon_sym_else] = ACTIONS(1405),
    [anon_sym_DOT_DOT] = ACTIONS(1900),
    [anon_sym_PIPE] = ACTIONS(1897),
    [anon_sym_STAR] = ACTIONS(1897),
    [anon_sym_align] = ACTIONS(1405),
    [anon_sym_addrspace] = ACTIONS(1405),
    [anon_sym_linksection] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [anon_sym_RBRACK] = ACTIONS(1405),
    [anon_sym_BANG] = ACTIONS(1631),
    [anon_sym_DASH] = ACTIONS(1897),
    [anon_sym_DASH_PERCENT] = ACTIONS(1897),
    [anon_sym_AMP] = ACTIONS(1897),
    [anon_sym_or] = ACTIONS(1897),
    [anon_sym_and] = ACTIONS(1900),
    [anon_sym_EQ_EQ] = ACTIONS(1900),
    [anon_sym_BANG_EQ] = ACTIONS(1900),
    [anon_sym_GT] = ACTIONS(1897),
    [anon_sym_GT_EQ] = ACTIONS(1900),
    [anon_sym_LT_EQ] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_CARET] = ACTIONS(1897),
    [anon_sym_orelse] = ACTIONS(1900),
    [anon_sym_LT_LT] = ACTIONS(1897),
    [anon_sym_GT_GT] = ACTIONS(1897),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1897),
    [anon_sym_PLUS_PLUS] = ACTIONS(1900),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1897),
    [anon_sym_PLUS_PIPE] = ACTIONS(1897),
    [anon_sym_DASH_PIPE] = ACTIONS(1897),
    [anon_sym_SLASH] = ACTIONS(1897),
    [anon_sym_PERCENT] = ACTIONS(1897),
    [anon_sym_STAR_STAR] = ACTIONS(1900),
    [anon_sym_STAR_PERCENT] = ACTIONS(1897),
    [anon_sym_STAR_PIPE] = ACTIONS(1897),
    [anon_sym_PIPE_PIPE] = ACTIONS(1900),
    [anon_sym_catch] = ACTIONS(1900),
    [anon_sym_EQ_GT] = ACTIONS(1405),
    [anon_sym_DOT] = ACTIONS(1897),
    [anon_sym_DOT_STAR] = ACTIONS(1900),
    [anon_sym_DOT_QMARK] = ACTIONS(1900),
    [sym_comment] = ACTIONS(3),
  },
  [939] = {
    [ts_builtin_sym_end] = ACTIONS(1903),
    [anon_sym_COMMA] = ACTIONS(1903),
    [anon_sym_EQ] = ACTIONS(1573),
    [anon_sym_SEMI] = ACTIONS(1903),
    [anon_sym_STAR_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_SLASH_EQ] = ACTIONS(1575),
    [anon_sym_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_DASH_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1575),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_EQ] = ACTIONS(1575),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_GT_GT_EQ] = ACTIONS(1575),
    [anon_sym_AMP_EQ] = ACTIONS(1575),
    [anon_sym_CARET_EQ] = ACTIONS(1575),
    [anon_sym_PIPE_EQ] = ACTIONS(1575),
    [anon_sym_LPAREN] = ACTIONS(1577),
    [anon_sym_RPAREN] = ACTIONS(1903),
    [anon_sym_LBRACE] = ACTIONS(1903),
    [anon_sym_RBRACE] = ACTIONS(1903),
    [anon_sym_else] = ACTIONS(1903),
    [anon_sym_DOT_DOT] = ACTIONS(1581),
    [anon_sym_PIPE] = ACTIONS(1583),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_align] = ACTIONS(1903),
    [anon_sym_addrspace] = ACTIONS(1903),
    [anon_sym_linksection] = ACTIONS(1903),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_RBRACK] = ACTIONS(1903),
    [anon_sym_BANG] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_PERCENT] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1583),
    [anon_sym_or] = ACTIONS(1593),
    [anon_sym_and] = ACTIONS(1595),
    [anon_sym_EQ_EQ] = ACTIONS(1597),
    [anon_sym_BANG_EQ] = ACTIONS(1597),
    [anon_sym_GT] = ACTIONS(1599),
    [anon_sym_GT_EQ] = ACTIONS(1597),
    [anon_sym_LT_EQ] = ACTIONS(1597),
    [anon_sym_LT] = ACTIONS(1599),
    [anon_sym_CARET] = ACTIONS(1583),
    [anon_sym_orelse] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_GT_GT] = ACTIONS(1603),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1603),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1605),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1591),
    [anon_sym_PLUS_PIPE] = ACTIONS(1591),
    [anon_sym_DASH_PIPE] = ACTIONS(1591),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1607),
    [anon_sym_STAR_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_PIPE] = ACTIONS(1585),
    [anon_sym_PIPE_PIPE] = ACTIONS(1607),
    [anon_sym_catch] = ACTIONS(1609),
    [anon_sym_EQ_GT] = ACTIONS(1903),
    [anon_sym_DOT] = ACTIONS(1611),
    [anon_sym_DOT_STAR] = ACTIONS(1613),
    [anon_sym_DOT_QMARK] = ACTIONS(1615),
    [sym_comment] = ACTIONS(3),
  },
  [940] = {
    [ts_builtin_sym_end] = ACTIONS(1617),
    [anon_sym_COMMA] = ACTIONS(1617),
    [anon_sym_EQ] = ACTIONS(1619),
    [anon_sym_SEMI] = ACTIONS(1617),
    [anon_sym_STAR_EQ] = ACTIONS(1617),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1617),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1617),
    [anon_sym_SLASH_EQ] = ACTIONS(1617),
    [anon_sym_PERCENT_EQ] = ACTIONS(1617),
    [anon_sym_PLUS_EQ] = ACTIONS(1617),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1617),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1617),
    [anon_sym_DASH_EQ] = ACTIONS(1617),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1617),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1617),
    [anon_sym_LT_LT_EQ] = ACTIONS(1617),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1617),
    [anon_sym_GT_GT_EQ] = ACTIONS(1617),
    [anon_sym_AMP_EQ] = ACTIONS(1617),
    [anon_sym_CARET_EQ] = ACTIONS(1617),
    [anon_sym_PIPE_EQ] = ACTIONS(1617),
    [anon_sym_LPAREN] = ACTIONS(1577),
    [anon_sym_RPAREN] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(1617),
    [anon_sym_RBRACE] = ACTIONS(1617),
    [anon_sym_else] = ACTIONS(1617),
    [anon_sym_DOT_DOT] = ACTIONS(1581),
    [anon_sym_PIPE] = ACTIONS(1619),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_align] = ACTIONS(1617),
    [anon_sym_addrspace] = ACTIONS(1617),
    [anon_sym_linksection] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_RBRACK] = ACTIONS(1617),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_DASH_PERCENT] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_or] = ACTIONS(1619),
    [anon_sym_and] = ACTIONS(1617),
    [anon_sym_EQ_EQ] = ACTIONS(1617),
    [anon_sym_BANG_EQ] = ACTIONS(1617),
    [anon_sym_GT] = ACTIONS(1619),
    [anon_sym_GT_EQ] = ACTIONS(1617),
    [anon_sym_LT_EQ] = ACTIONS(1617),
    [anon_sym_LT] = ACTIONS(1619),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_orelse] = ACTIONS(1617),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_GT_GT] = ACTIONS(1603),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1603),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1605),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1591),
    [anon_sym_PLUS_PIPE] = ACTIONS(1591),
    [anon_sym_DASH_PIPE] = ACTIONS(1591),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1607),
    [anon_sym_STAR_PERCENT] = ACTIONS(1585),
    [anon_sym_STAR_PIPE] = ACTIONS(1585),
    [anon_sym_PIPE_PIPE] = ACTIONS(1607),
    [anon_sym_catch] = ACTIONS(1617),
    [anon_sym_EQ_GT] = ACTIONS(1617),
    [anon_sym_DOT] = ACTIONS(1611),
    [anon_sym_DOT_STAR] = ACTIONS(1613),
    [anon_sym_DOT_QMARK] = ACTIONS(1615),
    [sym_comment] = ACTIONS(3),
  },
  [941] = {
    [ts_builtin_sym_end] = ACTIONS(1907),
    [anon_sym_COMMA] = ACTIONS(1907),
    [anon_sym_EQ] = ACTIONS(1909),
    [anon_sym_SEMI] = ACTIONS(1907),
    [anon_sym_STAR_EQ] = ACTIONS(1907),
    [anon_sym_STAR_PERCENT_EQ] = ACTIONS(1907),
    [anon_sym_STAR_PIPE_EQ] = ACTIONS(1907),
    [anon_sym_SLASH_EQ] = ACTIONS(1907),
    [anon_sym_PERCENT_EQ] = ACTIONS(1907),
    [anon_sym_PLUS_EQ] = ACTIONS(1907),
    [anon_sym_PLUS_PERCENT_EQ] = ACTIONS(1907),
    [anon_sym_PLUS_PIPE_EQ] = ACTIONS(1907),
    [anon_sym_DASH_EQ] = ACTIONS(1907),
    [anon_sym_DASH_PERCENT_EQ] = ACTIONS(1907),
    [anon_sym_DASH_PIPE_EQ] = ACTIONS(1907),
    [anon_sym_LT_LT_EQ] = ACTIONS(1907),
    [anon_sym_LT_LT_PIPE_EQ] = ACTIONS(1907),
    [anon_sym_GT_GT_EQ] = ACTIONS(1907),
    [anon_sym_AMP_EQ] = ACTIONS(1907),
    [anon_sym_CARET_EQ] = ACTIONS(1907),
    [anon_sym_PIPE_EQ] = ACTIONS(1907),
    [anon_sym_LPAREN] = ACTIONS(1907),
    [anon_sym_RPAREN] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1907),
    [anon_sym_RBRACE] = ACTIONS(1907),
    [anon_sym_else] = ACTIONS(1907),
    [anon_sym_DOT_DOT] = ACTIONS(1907),
    [anon_sym_PIPE] = ACTIONS(1909),
    [anon_sym_STAR] = ACTIONS(1909),
    [anon_sym_align] = ACTIONS(1907),
    [anon_sym_addrspace] = ACTIONS(1907),
    [anon_sym_linksection] = ACTIONS(1907),
    [anon_sym_LBRACK] = ACTIONS(1907),
    [anon_sym_RBRACK] = ACTIONS(1907),
    [anon_sym_BANG] = ACTIONS(1631),
    [anon_sym_DASH] = ACTIONS(1909),
    [anon_sym_DASH_PERCENT] = ACTIONS(1909),
    [anon_sym_AMP] = ACTIONS(1909),
    [anon_sym_or] = ACTIONS(1909),
    [anon_sym_and] = ACTIONS(1907),
    [anon_sym_EQ_EQ] = ACTIONS(1907),
    [anon_sym_BANG_EQ] = ACTIONS(1907),
    [anon_sym_GT] = ACTIONS(1909),
    [anon_sym_GT_EQ] = ACTIONS(1907),
    [anon_sym_LT_EQ] = ACTIONS(1907),
    [anon_sym_LT] = ACTIONS(1909),
    [anon_sym_CARET] = ACTIONS(1909),
    [anon_sym_orelse] = ACTIONS(1907),
    [anon_sym_LT_LT] = ACTIONS(1909),
    [anon_sym_GT_GT] = ACTIONS(1909),
    [anon_sym_LT_LT_PIPE] = ACTIONS(1909),
    [anon_sym_PLUS] = ACTIONS(1909),
    [anon_sym_PLUS_PLUS] = ACTIONS(1907),
    [anon_sym_PLUS_PERCENT] = ACTIONS(1909),
    [anon_sym_PLUS_PIPE] = ACTIONS(1909),
    [anon_sym_DASH_PIPE] = ACTIONS(1909),
    [anon_sym_SLASH] = ACTIONS(1909),
    [anon_sym_PERCENT] = ACTIONS(1909),
    [anon_sym_STAR_STAR] = ACTIONS(1907),
    [anon_sym_STAR_PERCENT] = ACTIONS(1909),
    [anon_sym_STAR_PIPE] = ACTIONS(1909),
    [anon_sym_PIPE_PIPE] = ACTIONS(1907),
    [anon_sym_catch] = ACTIONS(1907),
    [anon_sym_EQ_GT] = ACTIONS(1907),
    [anon_sym_DOT] = ACTIONS(1909),
    [anon_sym_DOT_STAR] = ACTIONS(1907),
    [anon_sym_DOT_QMARK] = ACTIONS(1907),
    [sym_comment] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1631), 1,
      anon_sym_BANG,
    ACTIONS(1805), 1,
      anon_sym_EQ,
    ACTIONS(1911), 1,
      anon_sym_else,
    ACTIONS(1803), 7,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_align,
      anon_sym_addrspace,
      anon_sym_linksection,
    ACTIONS(932), 21,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(934), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [79] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1631), 1,
      anon_sym_BANG,
    ACTIONS(1915), 1,
      anon_sym_EQ,
    ACTIONS(1917), 1,
      anon_sym_align,
    ACTIONS(1919), 1,
      anon_sym_addrspace,
    ACTIONS(1921), 1,
      anon_sym_linksection,
    STATE(1503), 1,
      sym_byte_alignment,
    STATE(1544), 1,
      sym_address_space,
    STATE(1654), 1,
      sym_link_section,
    ACTIONS(1913), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(932), 21,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(934), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [168] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1685), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [276] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1851), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [384] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(1951), 1,
      anon_sym_else,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1657), 7,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [494] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(1619), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1617), 26,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_GT,
  [596] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1893), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [704] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1689), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [812] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1953), 1,
      aux_sym_multiline_string_token1,
    STATE(973), 1,
      aux_sym_multiline_string_repeat1,
    ACTIONS(1311), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1309), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [886] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1319), 1,
      anon_sym_LBRACE,
    ACTIONS(1917), 1,
      anon_sym_align,
    ACTIONS(1957), 1,
      anon_sym_EQ,
    STATE(846), 1,
      sym_initializer_list,
    STATE(1549), 1,
      sym_byte_alignment,
    ACTIONS(1955), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1317), 22,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1315), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [968] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1675), 4,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1673), 30,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
  [1066] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1619), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
    ACTIONS(1617), 32,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_EQ_GT,
  [1158] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1959), 1,
      anon_sym_SEMI,
    ACTIONS(1961), 1,
      anon_sym_LBRACE,
    STATE(709), 1,
      sym_block,
    ACTIONS(1331), 23,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1329), 36,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_align,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [1234] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(159), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [1342] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1697), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [1450] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1857), 4,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1855), 30,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
  [1548] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1871), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [1656] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1729), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [1764] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1835), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [1872] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(1963), 1,
      anon_sym_else,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1875), 7,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [1982] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(1965), 1,
      anon_sym_else,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1865), 7,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [2092] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1623), 4,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 30,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
  [2190] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1319), 1,
      anon_sym_LBRACE,
    ACTIONS(1917), 1,
      anon_sym_align,
    ACTIONS(1969), 1,
      anon_sym_EQ,
    STATE(846), 1,
      sym_initializer_list,
    STATE(1555), 1,
      sym_byte_alignment,
    ACTIONS(1967), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1317), 22,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1315), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [2272] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1693), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [2380] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1619), 16,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1617), 33,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_catch,
      anon_sym_EQ_GT,
  [2466] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1707), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [2574] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1647), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [2682] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1631), 1,
      anon_sym_BANG,
    ACTIONS(1641), 1,
      anon_sym_EQ,
    ACTIONS(1639), 7,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_align,
      anon_sym_addrspace,
      anon_sym_linksection,
    ACTIONS(932), 21,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(934), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [2758] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1657), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [2866] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(1971), 1,
      anon_sym_else,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1859), 7,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [2976] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1319), 1,
      anon_sym_LBRACE,
    ACTIONS(1917), 1,
      anon_sym_align,
    ACTIONS(1975), 1,
      anon_sym_EQ,
    STATE(846), 1,
      sym_initializer_list,
    STATE(1575), 1,
      sym_byte_alignment,
    ACTIONS(1973), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1317), 22,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1315), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [3058] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1977), 1,
      aux_sym_multiline_string_token1,
    STATE(973), 1,
      aux_sym_multiline_string_repeat1,
    ACTIONS(1304), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1302), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [3132] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(1619), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1617), 25,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
  [3236] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(1980), 1,
      anon_sym_else,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1679), 7,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [3346] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1631), 1,
      anon_sym_BANG,
    ACTIONS(1775), 1,
      anon_sym_EQ,
    ACTIONS(1773), 7,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_align,
      anon_sym_addrspace,
      anon_sym_linksection,
    ACTIONS(932), 21,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(934), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [3422] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(1982), 1,
      anon_sym_else,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1571), 7,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [3532] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1319), 1,
      anon_sym_LBRACE,
    ACTIONS(1917), 1,
      anon_sym_align,
    ACTIONS(1986), 1,
      anon_sym_EQ,
    STATE(846), 1,
      sym_initializer_list,
    STATE(1580), 1,
      sym_byte_alignment,
    ACTIONS(1984), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1317), 22,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1315), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [3614] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1319), 1,
      anon_sym_LBRACE,
    ACTIONS(1917), 1,
      anon_sym_align,
    ACTIONS(1990), 1,
      anon_sym_EQ,
    STATE(846), 1,
      sym_initializer_list,
    STATE(1552), 1,
      sym_byte_alignment,
    ACTIONS(1988), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1317), 22,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1315), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [3696] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1903), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [3804] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1889), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [3912] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(1992), 1,
      anon_sym_else,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1881), 7,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [4022] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1717), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [4130] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1619), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1617), 32,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_EQ_GT,
  [4220] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1839), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [4328] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1669), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [4436] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1843), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [4544] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1319), 1,
      anon_sym_LBRACE,
    ACTIONS(1917), 1,
      anon_sym_align,
    ACTIONS(1996), 1,
      anon_sym_EQ,
    STATE(846), 1,
      sym_initializer_list,
    STATE(1557), 1,
      sym_byte_alignment,
    ACTIONS(1994), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1317), 22,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1315), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [4626] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1689), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [4734] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(155), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [4842] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(1998), 1,
      anon_sym_else,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1571), 7,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [4952] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1725), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [5060] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1631), 1,
      anon_sym_BANG,
    ACTIONS(1663), 1,
      anon_sym_EQ,
    ACTIONS(1661), 7,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_align,
      anon_sym_addrspace,
      anon_sym_linksection,
    ACTIONS(932), 21,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(934), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [5136] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1847), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [5244] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1707), 8,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [5352] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1619), 4,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1617), 30,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
  [5450] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2000), 1,
      anon_sym_LBRACE,
    STATE(1234), 1,
      sym_initializer_list,
    ACTIONS(1317), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1315), 35,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [5523] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2002), 1,
      anon_sym_COLON,
    ACTIONS(960), 23,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(958), 37,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_align,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [5594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1369), 37,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [5663] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2004), 1,
      anon_sym_COLON,
    ACTIONS(1351), 23,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1349), 37,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_align,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [5734] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 1,
      anon_sym_COLON,
    ACTIONS(960), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(958), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [5805] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2004), 1,
      anon_sym_COLON,
    ACTIONS(960), 23,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(958), 37,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_align,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [5876] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2006), 1,
      anon_sym_COLON,
    ACTIONS(960), 23,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(958), 37,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_align,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [5947] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2008), 1,
      anon_sym_COLON,
    ACTIONS(960), 23,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(958), 37,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_align,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [6018] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_COLON,
    ACTIONS(960), 23,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(958), 37,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_align,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [6089] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_COLON,
    ACTIONS(1351), 23,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1349), 37,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_align,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [6160] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2012), 1,
      anon_sym_DASH_GT,
    ACTIONS(960), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(958), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [6231] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2014), 1,
      anon_sym_DASH_GT,
    ACTIONS(960), 23,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(958), 37,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [6302] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1519), 1,
      anon_sym_COLON,
    ACTIONS(960), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(958), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [6373] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1234), 1,
      sym_initializer_list,
    ACTIONS(1317), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1315), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [6444] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2016), 1,
      anon_sym_COLON,
    ACTIONS(960), 23,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(958), 37,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_align,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [6515] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1403), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1401), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [6583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1397), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [6651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1527), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1525), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [6719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1551), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1549), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [6787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1505), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1503), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [6855] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1509), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1507), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [6923] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2018), 1,
      anon_sym_BANG,
    ACTIONS(1821), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1819), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [6993] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2018), 1,
      anon_sym_BANG,
    ACTIONS(1833), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1831), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [7063] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2018), 1,
      anon_sym_BANG,
    ACTIONS(1765), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1763), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [7133] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1565), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1563), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [7201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1493), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1491), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [7269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1355), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1353), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [7337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1377), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [7405] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1801), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1799), 32,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
  [7485] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1619), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1617), 32,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
  [7565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1523), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1521), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [7633] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2018), 1,
      anon_sym_BANG,
    ACTIONS(1825), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1823), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [7703] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1485), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1483), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [7771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1335), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1333), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [7839] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1445), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1443), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [7907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1449), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1447), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [7975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1569), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1567), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [8043] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1459), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [8111] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1465), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1463), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [8179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1481), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1479), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [8247] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2018), 1,
      anon_sym_BANG,
    ACTIONS(1789), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1787), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [8317] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2018), 1,
      anon_sym_BANG,
    ACTIONS(1793), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1791), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [8387] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2018), 1,
      anon_sym_BANG,
    ACTIONS(1797), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1795), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [8457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1513), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1511), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [8525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1517), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1515), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [8593] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1547), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1545), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [8661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1469), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1467), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [8729] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1323), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1321), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [8797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1417), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [8865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1327), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1325), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [8933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(952), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(950), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [9001] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1343), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1341), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [9069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1347), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1345), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [9137] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1389), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [9205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1339), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1337), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [9273] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2018), 1,
      anon_sym_BANG,
    ACTIONS(1753), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1751), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [9343] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2018), 1,
      anon_sym_BANG,
    ACTIONS(1757), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1755), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [9413] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1385), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [9481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1411), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1409), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [9549] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1477), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1475), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [9617] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1405), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [9685] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1415), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1413), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [9753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1489), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1487), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [9821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1501), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1499), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [9889] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2018), 1,
      anon_sym_BANG,
    ACTIONS(1735), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1733), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [9959] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2018), 1,
      anon_sym_BANG,
    ACTIONS(1739), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1737), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [10029] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2018), 1,
      anon_sym_BANG,
    ACTIONS(1749), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1747), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [10099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(756), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(754), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [10167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1543), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1541), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [10235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1555), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1553), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [10303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1425), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1423), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [10371] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1451), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [10439] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1473), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1471), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [10507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1395), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1393), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [10575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1429), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1427), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [10643] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1433), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1431), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [10711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1457), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1455), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [10779] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2018), 1,
      anon_sym_BANG,
    ACTIONS(1829), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1827), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [10849] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(766), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(764), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [10917] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1359), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1357), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [10985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1363), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1361), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [11053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1367), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1365), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [11121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1373), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [11189] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(738), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(736), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [11257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(746), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(744), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [11325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1437), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1435), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [11393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(760), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(758), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [11461] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1439), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [11529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(670), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(668), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [11597] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2018), 1,
      anon_sym_BANG,
    ACTIONS(1525), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(1741), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1744), 31,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [11669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(666), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(664), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [11737] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2018), 1,
      anon_sym_BANG,
    ACTIONS(1483), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(1813), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1816), 31,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [11809] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2018), 1,
      anon_sym_BANG,
    ACTIONS(1333), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(1625), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1628), 31,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [11881] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2018), 1,
      anon_sym_BANG,
    ACTIONS(1341), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(1651), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1654), 31,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [11953] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2018), 1,
      anon_sym_BANG,
    ACTIONS(1345), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(1711), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1714), 31,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [12025] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2018), 1,
      anon_sym_BANG,
    ACTIONS(1405), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(1897), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1900), 31,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [12097] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2018), 1,
      anon_sym_BANG,
    ACTIONS(1413), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(1633), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1636), 31,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [12169] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2018), 1,
      anon_sym_BANG,
    ACTIONS(1471), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(1767), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1770), 31,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [12241] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2018), 1,
      anon_sym_BANG,
    ACTIONS(1393), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(1781), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1784), 31,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [12313] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2018), 1,
      anon_sym_BANG,
    ACTIONS(1373), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(1701), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1704), 31,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [12385] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2018), 1,
      anon_sym_BANG,
    ACTIONS(1773), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(1775), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1778), 31,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [12457] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2018), 1,
      anon_sym_BANG,
    ACTIONS(2032), 1,
      anon_sym_else,
    ACTIONS(1803), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
    ACTIONS(1805), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1808), 31,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [12531] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2018), 1,
      anon_sym_BANG,
    ACTIONS(1639), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(1641), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1644), 31,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [12603] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2018), 1,
      anon_sym_BANG,
    ACTIONS(1661), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(1663), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1666), 31,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [12675] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2034), 1,
      anon_sym_BANG,
    ACTIONS(1525), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(1741), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1744), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [12747] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2034), 1,
      anon_sym_BANG,
    ACTIONS(1821), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1819), 37,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [12817] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2034), 1,
      anon_sym_BANG,
    ACTIONS(1833), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1831), 37,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [12887] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2034), 1,
      anon_sym_BANG,
    ACTIONS(1765), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1763), 37,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [12957] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1801), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1799), 32,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
  [13037] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1619), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1617), 32,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
  [13117] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2034), 1,
      anon_sym_BANG,
    ACTIONS(1825), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1823), 37,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [13187] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2034), 1,
      anon_sym_BANG,
    ACTIONS(1483), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(1813), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1816), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [13259] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2034), 1,
      anon_sym_BANG,
    ACTIONS(1333), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(1625), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1628), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [13331] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2034), 1,
      anon_sym_BANG,
    ACTIONS(1789), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1787), 37,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [13401] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2034), 1,
      anon_sym_BANG,
    ACTIONS(1793), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1791), 37,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [13471] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2034), 1,
      anon_sym_BANG,
    ACTIONS(1797), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1795), 37,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [13541] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2034), 1,
      anon_sym_BANG,
    ACTIONS(1341), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(1651), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1654), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [13613] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2034), 1,
      anon_sym_BANG,
    ACTIONS(1345), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(1711), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1714), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [13685] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2034), 1,
      anon_sym_BANG,
    ACTIONS(1753), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1751), 37,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [13755] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2034), 1,
      anon_sym_BANG,
    ACTIONS(1757), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1755), 37,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [13825] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2034), 1,
      anon_sym_BANG,
    ACTIONS(1405), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(1897), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1900), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [13897] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2034), 1,
      anon_sym_BANG,
    ACTIONS(1413), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(1633), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1636), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [13969] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2034), 1,
      anon_sym_BANG,
    ACTIONS(1735), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1733), 37,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [14039] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2034), 1,
      anon_sym_BANG,
    ACTIONS(1739), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1737), 37,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [14109] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2034), 1,
      anon_sym_BANG,
    ACTIONS(1749), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1747), 37,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [14179] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2034), 1,
      anon_sym_BANG,
    ACTIONS(1471), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(1767), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1770), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [14251] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2034), 1,
      anon_sym_BANG,
    ACTIONS(1393), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(1781), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1784), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [14323] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2034), 1,
      anon_sym_BANG,
    ACTIONS(1829), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1827), 37,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [14393] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2034), 1,
      anon_sym_BANG,
    ACTIONS(1373), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(1701), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1704), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [14465] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2034), 1,
      anon_sym_BANG,
    ACTIONS(1773), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(1775), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1778), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [14537] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2034), 1,
      anon_sym_BANG,
    ACTIONS(2038), 1,
      anon_sym_else,
    ACTIONS(1803), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
    ACTIONS(1805), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1808), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [14611] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1885), 1,
      anon_sym_BANG,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2040), 1,
      anon_sym_EQ,
    ACTIONS(2044), 1,
      anon_sym_else,
    ACTIONS(2052), 1,
      anon_sym_or,
    ACTIONS(2054), 1,
      anon_sym_and,
    ACTIONS(2060), 1,
      anon_sym_orelse,
    ACTIONS(2064), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2068), 1,
      anon_sym_catch,
    ACTIONS(2058), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2066), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2046), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2062), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1881), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
    ACTIONS(2056), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2048), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2050), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2042), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [14721] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1589), 1,
      anon_sym_BANG,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2040), 1,
      anon_sym_EQ,
    ACTIONS(2052), 1,
      anon_sym_or,
    ACTIONS(2054), 1,
      anon_sym_and,
    ACTIONS(2060), 1,
      anon_sym_orelse,
    ACTIONS(2064), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2068), 1,
      anon_sym_catch,
    ACTIONS(2070), 1,
      anon_sym_else,
    ACTIONS(2058), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2066), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2046), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2062), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1571), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
    ACTIONS(2056), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2048), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2050), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2042), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [14831] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_BANG,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2040), 1,
      anon_sym_EQ,
    ACTIONS(2052), 1,
      anon_sym_or,
    ACTIONS(2054), 1,
      anon_sym_and,
    ACTIONS(2060), 1,
      anon_sym_orelse,
    ACTIONS(2064), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2068), 1,
      anon_sym_catch,
    ACTIONS(2058), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2066), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2046), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2062), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2056), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1889), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2048), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2050), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2042), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [14939] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1895), 1,
      anon_sym_BANG,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2040), 1,
      anon_sym_EQ,
    ACTIONS(2052), 1,
      anon_sym_or,
    ACTIONS(2054), 1,
      anon_sym_and,
    ACTIONS(2060), 1,
      anon_sym_orelse,
    ACTIONS(2064), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2068), 1,
      anon_sym_catch,
    ACTIONS(2058), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2066), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2046), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2062), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2056), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1893), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2048), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2050), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2042), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [15047] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1905), 1,
      anon_sym_BANG,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2040), 1,
      anon_sym_EQ,
    ACTIONS(2052), 1,
      anon_sym_or,
    ACTIONS(2054), 1,
      anon_sym_and,
    ACTIONS(2060), 1,
      anon_sym_orelse,
    ACTIONS(2064), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2068), 1,
      anon_sym_catch,
    ACTIONS(2058), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2066), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2046), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2062), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2056), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1903), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2048), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2050), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2042), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [15155] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2064), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2066), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2062), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2048), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2050), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1619), 8,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
    ACTIONS(1617), 29,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_EQ_GT,
  [15245] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2066), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2048), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1619), 17,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1617), 30,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_catch,
      anon_sym_EQ_GT,
  [15329] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2054), 1,
      anon_sym_and,
    ACTIONS(2060), 1,
      anon_sym_orelse,
    ACTIONS(2064), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2068), 1,
      anon_sym_catch,
    ACTIONS(2058), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2066), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1619), 3,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_or,
    ACTIONS(2046), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2062), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2056), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2048), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2050), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1617), 22,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
  [15431] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2060), 1,
      anon_sym_orelse,
    ACTIONS(2064), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2068), 1,
      anon_sym_catch,
    ACTIONS(2058), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2066), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1619), 3,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_or,
    ACTIONS(2046), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2062), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2056), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2048), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2050), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1617), 23,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_and,
      anon_sym_EQ_GT,
  [15531] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2060), 1,
      anon_sym_orelse,
    ACTIONS(2064), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2068), 1,
      anon_sym_catch,
    ACTIONS(2066), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2046), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2062), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1619), 5,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2048), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2050), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1617), 27,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
  [15627] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2064), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2066), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2048), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2050), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1619), 11,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1617), 29,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_EQ_GT,
  [15715] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2060), 1,
      anon_sym_orelse,
    ACTIONS(2064), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2068), 1,
      anon_sym_catch,
    ACTIONS(2066), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2046), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2062), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1623), 5,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2048), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2050), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 27,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
  [15811] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1589), 1,
      anon_sym_BANG,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2040), 1,
      anon_sym_EQ,
    ACTIONS(2052), 1,
      anon_sym_or,
    ACTIONS(2054), 1,
      anon_sym_and,
    ACTIONS(2060), 1,
      anon_sym_orelse,
    ACTIONS(2064), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2068), 1,
      anon_sym_catch,
    ACTIONS(2072), 1,
      anon_sym_else,
    ACTIONS(2058), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2066), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2046), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2062), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1571), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
    ACTIONS(2056), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2048), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2050), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2042), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [15921] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1649), 1,
      anon_sym_BANG,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2040), 1,
      anon_sym_EQ,
    ACTIONS(2052), 1,
      anon_sym_or,
    ACTIONS(2054), 1,
      anon_sym_and,
    ACTIONS(2060), 1,
      anon_sym_orelse,
    ACTIONS(2064), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2068), 1,
      anon_sym_catch,
    ACTIONS(2058), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2066), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2046), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2062), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2056), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1647), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2048), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2050), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2042), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [16029] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2034), 1,
      anon_sym_BANG,
    ACTIONS(1639), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(1641), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1644), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [16101] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1659), 1,
      anon_sym_BANG,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2040), 1,
      anon_sym_EQ,
    ACTIONS(2052), 1,
      anon_sym_or,
    ACTIONS(2054), 1,
      anon_sym_and,
    ACTIONS(2060), 1,
      anon_sym_orelse,
    ACTIONS(2064), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2068), 1,
      anon_sym_catch,
    ACTIONS(2058), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2066), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2046), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2062), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2056), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1657), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2048), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2050), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2042), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [16209] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_BANG,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2040), 1,
      anon_sym_EQ,
    ACTIONS(2052), 1,
      anon_sym_or,
    ACTIONS(2054), 1,
      anon_sym_and,
    ACTIONS(2060), 1,
      anon_sym_orelse,
    ACTIONS(2064), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2068), 1,
      anon_sym_catch,
    ACTIONS(2058), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2066), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2046), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2062), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2056), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1669), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2048), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2050), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2042), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [16317] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2060), 1,
      anon_sym_orelse,
    ACTIONS(2064), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2068), 1,
      anon_sym_catch,
    ACTIONS(2066), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2046), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2062), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1675), 5,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2048), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2050), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1673), 27,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
  [16413] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1659), 1,
      anon_sym_BANG,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2040), 1,
      anon_sym_EQ,
    ACTIONS(2052), 1,
      anon_sym_or,
    ACTIONS(2054), 1,
      anon_sym_and,
    ACTIONS(2060), 1,
      anon_sym_orelse,
    ACTIONS(2064), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2068), 1,
      anon_sym_catch,
    ACTIONS(2074), 1,
      anon_sym_else,
    ACTIONS(2058), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2066), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2046), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2062), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1657), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
    ACTIONS(2056), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2048), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2050), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2042), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [16523] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1683), 1,
      anon_sym_BANG,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2040), 1,
      anon_sym_EQ,
    ACTIONS(2052), 1,
      anon_sym_or,
    ACTIONS(2054), 1,
      anon_sym_and,
    ACTIONS(2060), 1,
      anon_sym_orelse,
    ACTIONS(2064), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2068), 1,
      anon_sym_catch,
    ACTIONS(2076), 1,
      anon_sym_else,
    ACTIONS(2058), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2066), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2046), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2062), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1679), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
    ACTIONS(2056), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2048), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2050), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2042), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [16633] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1687), 1,
      anon_sym_BANG,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2040), 1,
      anon_sym_EQ,
    ACTIONS(2052), 1,
      anon_sym_or,
    ACTIONS(2054), 1,
      anon_sym_and,
    ACTIONS(2060), 1,
      anon_sym_orelse,
    ACTIONS(2064), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2068), 1,
      anon_sym_catch,
    ACTIONS(2058), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2066), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2046), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2062), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2056), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1685), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2048), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2050), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2042), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [16741] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1691), 1,
      anon_sym_BANG,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2040), 1,
      anon_sym_EQ,
    ACTIONS(2052), 1,
      anon_sym_or,
    ACTIONS(2054), 1,
      anon_sym_and,
    ACTIONS(2060), 1,
      anon_sym_orelse,
    ACTIONS(2064), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2068), 1,
      anon_sym_catch,
    ACTIONS(2058), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2066), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2046), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2062), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2056), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1689), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2048), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2050), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2042), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [16849] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1695), 1,
      anon_sym_BANG,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2040), 1,
      anon_sym_EQ,
    ACTIONS(2052), 1,
      anon_sym_or,
    ACTIONS(2054), 1,
      anon_sym_and,
    ACTIONS(2060), 1,
      anon_sym_orelse,
    ACTIONS(2064), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2068), 1,
      anon_sym_catch,
    ACTIONS(2058), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2066), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2046), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2062), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2056), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1693), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2048), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2050), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2042), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [16957] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2034), 1,
      anon_sym_BANG,
    ACTIONS(1661), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(1663), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1666), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [17029] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1699), 1,
      anon_sym_BANG,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2040), 1,
      anon_sym_EQ,
    ACTIONS(2052), 1,
      anon_sym_or,
    ACTIONS(2054), 1,
      anon_sym_and,
    ACTIONS(2060), 1,
      anon_sym_orelse,
    ACTIONS(2064), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2068), 1,
      anon_sym_catch,
    ACTIONS(2058), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2066), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2046), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2062), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2056), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1697), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2048), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2050), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2042), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [17137] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1691), 1,
      anon_sym_BANG,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2040), 1,
      anon_sym_EQ,
    ACTIONS(2052), 1,
      anon_sym_or,
    ACTIONS(2054), 1,
      anon_sym_and,
    ACTIONS(2060), 1,
      anon_sym_orelse,
    ACTIONS(2064), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2068), 1,
      anon_sym_catch,
    ACTIONS(2058), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2066), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2046), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2062), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2056), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1689), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2048), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2050), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2042), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [17245] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1709), 1,
      anon_sym_BANG,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2040), 1,
      anon_sym_EQ,
    ACTIONS(2052), 1,
      anon_sym_or,
    ACTIONS(2054), 1,
      anon_sym_and,
    ACTIONS(2060), 1,
      anon_sym_orelse,
    ACTIONS(2064), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2068), 1,
      anon_sym_catch,
    ACTIONS(2058), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2066), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2046), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2062), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2056), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1707), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2048), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2050), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2042), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [17353] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1719), 1,
      anon_sym_BANG,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2040), 1,
      anon_sym_EQ,
    ACTIONS(2052), 1,
      anon_sym_or,
    ACTIONS(2054), 1,
      anon_sym_and,
    ACTIONS(2060), 1,
      anon_sym_orelse,
    ACTIONS(2064), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2068), 1,
      anon_sym_catch,
    ACTIONS(2058), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2066), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2046), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2062), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2056), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1717), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2048), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2050), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2042), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [17461] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1727), 1,
      anon_sym_BANG,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2040), 1,
      anon_sym_EQ,
    ACTIONS(2052), 1,
      anon_sym_or,
    ACTIONS(2054), 1,
      anon_sym_and,
    ACTIONS(2060), 1,
      anon_sym_orelse,
    ACTIONS(2064), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2068), 1,
      anon_sym_catch,
    ACTIONS(2058), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2066), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2046), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2062), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2056), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1725), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2048), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2050), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2042), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [17569] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1709), 1,
      anon_sym_BANG,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2040), 1,
      anon_sym_EQ,
    ACTIONS(2052), 1,
      anon_sym_or,
    ACTIONS(2054), 1,
      anon_sym_and,
    ACTIONS(2060), 1,
      anon_sym_orelse,
    ACTIONS(2064), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2068), 1,
      anon_sym_catch,
    ACTIONS(2058), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2066), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2046), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2062), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2056), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1707), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2048), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2050), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2042), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [17677] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1731), 1,
      anon_sym_BANG,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2040), 1,
      anon_sym_EQ,
    ACTIONS(2052), 1,
      anon_sym_or,
    ACTIONS(2054), 1,
      anon_sym_and,
    ACTIONS(2060), 1,
      anon_sym_orelse,
    ACTIONS(2064), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2068), 1,
      anon_sym_catch,
    ACTIONS(2058), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2066), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2046), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2062), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2056), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1729), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2048), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2050), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2042), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [17785] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1885), 1,
      anon_sym_BANG,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2078), 1,
      anon_sym_EQ,
    ACTIONS(2082), 1,
      anon_sym_else,
    ACTIONS(2090), 1,
      anon_sym_or,
    ACTIONS(2092), 1,
      anon_sym_and,
    ACTIONS(2098), 1,
      anon_sym_orelse,
    ACTIONS(2102), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2106), 1,
      anon_sym_catch,
    ACTIONS(2096), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2104), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2084), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2100), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1881), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
    ACTIONS(2094), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2086), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2088), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2080), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [17895] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1589), 1,
      anon_sym_BANG,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2078), 1,
      anon_sym_EQ,
    ACTIONS(2090), 1,
      anon_sym_or,
    ACTIONS(2092), 1,
      anon_sym_and,
    ACTIONS(2098), 1,
      anon_sym_orelse,
    ACTIONS(2102), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2106), 1,
      anon_sym_catch,
    ACTIONS(2108), 1,
      anon_sym_else,
    ACTIONS(2096), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2104), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2084), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2100), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1571), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
    ACTIONS(2094), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2086), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2088), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2080), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [18005] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1891), 1,
      anon_sym_BANG,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2078), 1,
      anon_sym_EQ,
    ACTIONS(2090), 1,
      anon_sym_or,
    ACTIONS(2092), 1,
      anon_sym_and,
    ACTIONS(2098), 1,
      anon_sym_orelse,
    ACTIONS(2102), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2106), 1,
      anon_sym_catch,
    ACTIONS(2096), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2104), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2084), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2100), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2094), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1889), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2086), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2088), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2080), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [18113] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1895), 1,
      anon_sym_BANG,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2078), 1,
      anon_sym_EQ,
    ACTIONS(2090), 1,
      anon_sym_or,
    ACTIONS(2092), 1,
      anon_sym_and,
    ACTIONS(2098), 1,
      anon_sym_orelse,
    ACTIONS(2102), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2106), 1,
      anon_sym_catch,
    ACTIONS(2096), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2104), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2084), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2100), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2094), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1893), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2086), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2088), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2080), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [18221] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1905), 1,
      anon_sym_BANG,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2078), 1,
      anon_sym_EQ,
    ACTIONS(2090), 1,
      anon_sym_or,
    ACTIONS(2092), 1,
      anon_sym_and,
    ACTIONS(2098), 1,
      anon_sym_orelse,
    ACTIONS(2102), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2106), 1,
      anon_sym_catch,
    ACTIONS(2096), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2104), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2084), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2100), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2094), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1903), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2086), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2088), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2080), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [18329] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2102), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2104), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2100), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2086), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2088), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1619), 8,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
    ACTIONS(1617), 29,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_catch,
  [18419] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2104), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2086), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1619), 17,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1617), 30,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_catch,
  [18503] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2092), 1,
      anon_sym_and,
    ACTIONS(2098), 1,
      anon_sym_orelse,
    ACTIONS(2102), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2106), 1,
      anon_sym_catch,
    ACTIONS(2096), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2104), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1619), 3,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_or,
    ACTIONS(2084), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2100), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2094), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2086), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2088), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1617), 22,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
  [18605] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2098), 1,
      anon_sym_orelse,
    ACTIONS(2102), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2106), 1,
      anon_sym_catch,
    ACTIONS(2096), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2104), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1619), 3,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_or,
    ACTIONS(2084), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2100), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2094), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2086), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2088), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1617), 23,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_and,
  [18705] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2098), 1,
      anon_sym_orelse,
    ACTIONS(2102), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2106), 1,
      anon_sym_catch,
    ACTIONS(2104), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2084), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2100), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1619), 5,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2086), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2088), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1617), 27,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [18801] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2102), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2104), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2086), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2088), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1619), 11,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1617), 29,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_catch,
  [18889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(960), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(958), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [18957] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2098), 1,
      anon_sym_orelse,
    ACTIONS(2102), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2106), 1,
      anon_sym_catch,
    ACTIONS(2104), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2084), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2100), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1623), 5,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2086), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2088), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 27,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [19053] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1589), 1,
      anon_sym_BANG,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2078), 1,
      anon_sym_EQ,
    ACTIONS(2090), 1,
      anon_sym_or,
    ACTIONS(2092), 1,
      anon_sym_and,
    ACTIONS(2098), 1,
      anon_sym_orelse,
    ACTIONS(2102), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2106), 1,
      anon_sym_catch,
    ACTIONS(2110), 1,
      anon_sym_else,
    ACTIONS(2096), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2104), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2084), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2100), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1571), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
    ACTIONS(2094), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2086), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2088), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2080), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [19163] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(932), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(934), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [19231] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1649), 1,
      anon_sym_BANG,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2078), 1,
      anon_sym_EQ,
    ACTIONS(2090), 1,
      anon_sym_or,
    ACTIONS(2092), 1,
      anon_sym_and,
    ACTIONS(2098), 1,
      anon_sym_orelse,
    ACTIONS(2102), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2106), 1,
      anon_sym_catch,
    ACTIONS(2096), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2104), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2084), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2100), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2094), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1647), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2086), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2088), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2080), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [19339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1317), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1315), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [19407] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1659), 1,
      anon_sym_BANG,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2078), 1,
      anon_sym_EQ,
    ACTIONS(2090), 1,
      anon_sym_or,
    ACTIONS(2092), 1,
      anon_sym_and,
    ACTIONS(2098), 1,
      anon_sym_orelse,
    ACTIONS(2102), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2106), 1,
      anon_sym_catch,
    ACTIONS(2096), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2104), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2084), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2100), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2094), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1657), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2086), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2088), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2080), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [19515] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1671), 1,
      anon_sym_BANG,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2078), 1,
      anon_sym_EQ,
    ACTIONS(2090), 1,
      anon_sym_or,
    ACTIONS(2092), 1,
      anon_sym_and,
    ACTIONS(2098), 1,
      anon_sym_orelse,
    ACTIONS(2102), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2106), 1,
      anon_sym_catch,
    ACTIONS(2096), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2104), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2084), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2100), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2094), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1669), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2086), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2088), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2080), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [19623] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2098), 1,
      anon_sym_orelse,
    ACTIONS(2102), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2106), 1,
      anon_sym_catch,
    ACTIONS(2104), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2084), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2100), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1675), 5,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2086), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2088), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1673), 27,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [19719] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1659), 1,
      anon_sym_BANG,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2078), 1,
      anon_sym_EQ,
    ACTIONS(2090), 1,
      anon_sym_or,
    ACTIONS(2092), 1,
      anon_sym_and,
    ACTIONS(2098), 1,
      anon_sym_orelse,
    ACTIONS(2102), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2106), 1,
      anon_sym_catch,
    ACTIONS(2112), 1,
      anon_sym_else,
    ACTIONS(2096), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2104), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2084), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2100), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1657), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
    ACTIONS(2094), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2086), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2088), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2080), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [19829] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1683), 1,
      anon_sym_BANG,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2078), 1,
      anon_sym_EQ,
    ACTIONS(2090), 1,
      anon_sym_or,
    ACTIONS(2092), 1,
      anon_sym_and,
    ACTIONS(2098), 1,
      anon_sym_orelse,
    ACTIONS(2102), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2106), 1,
      anon_sym_catch,
    ACTIONS(2114), 1,
      anon_sym_else,
    ACTIONS(2096), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2104), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2084), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2100), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1679), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
    ACTIONS(2094), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2086), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2088), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2080), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [19939] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1687), 1,
      anon_sym_BANG,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2078), 1,
      anon_sym_EQ,
    ACTIONS(2090), 1,
      anon_sym_or,
    ACTIONS(2092), 1,
      anon_sym_and,
    ACTIONS(2098), 1,
      anon_sym_orelse,
    ACTIONS(2102), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2106), 1,
      anon_sym_catch,
    ACTIONS(2096), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2104), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2084), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2100), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2094), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1685), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2086), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2088), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2080), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [20047] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1691), 1,
      anon_sym_BANG,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2078), 1,
      anon_sym_EQ,
    ACTIONS(2090), 1,
      anon_sym_or,
    ACTIONS(2092), 1,
      anon_sym_and,
    ACTIONS(2098), 1,
      anon_sym_orelse,
    ACTIONS(2102), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2106), 1,
      anon_sym_catch,
    ACTIONS(2096), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2104), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2084), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2100), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2094), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1689), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2086), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2088), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2080), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [20155] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1695), 1,
      anon_sym_BANG,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2078), 1,
      anon_sym_EQ,
    ACTIONS(2090), 1,
      anon_sym_or,
    ACTIONS(2092), 1,
      anon_sym_and,
    ACTIONS(2098), 1,
      anon_sym_orelse,
    ACTIONS(2102), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2106), 1,
      anon_sym_catch,
    ACTIONS(2096), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2104), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2084), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2100), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2094), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1693), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2086), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2088), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2080), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [20263] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1699), 1,
      anon_sym_BANG,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2078), 1,
      anon_sym_EQ,
    ACTIONS(2090), 1,
      anon_sym_or,
    ACTIONS(2092), 1,
      anon_sym_and,
    ACTIONS(2098), 1,
      anon_sym_orelse,
    ACTIONS(2102), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2106), 1,
      anon_sym_catch,
    ACTIONS(2096), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2104), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2084), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2100), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2094), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1697), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2086), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2088), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2080), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [20371] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2018), 1,
      anon_sym_BANG,
    ACTIONS(932), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(934), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [20441] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1691), 1,
      anon_sym_BANG,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2078), 1,
      anon_sym_EQ,
    ACTIONS(2090), 1,
      anon_sym_or,
    ACTIONS(2092), 1,
      anon_sym_and,
    ACTIONS(2098), 1,
      anon_sym_orelse,
    ACTIONS(2102), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2106), 1,
      anon_sym_catch,
    ACTIONS(2096), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2104), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2084), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2100), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2094), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1689), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2086), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2088), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2080), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [20549] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1709), 1,
      anon_sym_BANG,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2078), 1,
      anon_sym_EQ,
    ACTIONS(2090), 1,
      anon_sym_or,
    ACTIONS(2092), 1,
      anon_sym_and,
    ACTIONS(2098), 1,
      anon_sym_orelse,
    ACTIONS(2102), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2106), 1,
      anon_sym_catch,
    ACTIONS(2096), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2104), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2084), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2100), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2094), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1707), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2086), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2088), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2080), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [20657] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1719), 1,
      anon_sym_BANG,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2078), 1,
      anon_sym_EQ,
    ACTIONS(2090), 1,
      anon_sym_or,
    ACTIONS(2092), 1,
      anon_sym_and,
    ACTIONS(2098), 1,
      anon_sym_orelse,
    ACTIONS(2102), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2106), 1,
      anon_sym_catch,
    ACTIONS(2096), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2104), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2084), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2100), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2094), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1717), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2086), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2088), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2080), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [20765] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1727), 1,
      anon_sym_BANG,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2078), 1,
      anon_sym_EQ,
    ACTIONS(2090), 1,
      anon_sym_or,
    ACTIONS(2092), 1,
      anon_sym_and,
    ACTIONS(2098), 1,
      anon_sym_orelse,
    ACTIONS(2102), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2106), 1,
      anon_sym_catch,
    ACTIONS(2096), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2104), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2084), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2100), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2094), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1725), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2086), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2088), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2080), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [20873] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1709), 1,
      anon_sym_BANG,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2078), 1,
      anon_sym_EQ,
    ACTIONS(2090), 1,
      anon_sym_or,
    ACTIONS(2092), 1,
      anon_sym_and,
    ACTIONS(2098), 1,
      anon_sym_orelse,
    ACTIONS(2102), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2106), 1,
      anon_sym_catch,
    ACTIONS(2096), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2104), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2084), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2100), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2094), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1707), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2086), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2088), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2080), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [20981] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1731), 1,
      anon_sym_BANG,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2078), 1,
      anon_sym_EQ,
    ACTIONS(2090), 1,
      anon_sym_or,
    ACTIONS(2092), 1,
      anon_sym_and,
    ACTIONS(2098), 1,
      anon_sym_orelse,
    ACTIONS(2102), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2106), 1,
      anon_sym_catch,
    ACTIONS(2096), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2104), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2084), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2100), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2094), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1729), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2086), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2088), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2080), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [21089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1331), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1329), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [21157] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1351), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1349), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [21225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(960), 23,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(958), 37,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [21293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(960), 23,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(958), 37,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [21361] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2018), 1,
      anon_sym_BANG,
    ACTIONS(1723), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1721), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [21431] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2034), 1,
      anon_sym_BANG,
    ACTIONS(932), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(934), 37,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [21501] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2034), 1,
      anon_sym_BANG,
    ACTIONS(1723), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1721), 37,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [21571] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1761), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1759), 32,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
  [21651] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2018), 1,
      anon_sym_BANG,
    ACTIONS(1909), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1907), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [21721] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1761), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1759), 32,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
  [21801] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2034), 1,
      anon_sym_BANG,
    ACTIONS(1909), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1907), 37,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [21871] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2034), 1,
      anon_sym_BANG,
    ACTIONS(1531), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1529), 37,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [21941] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2018), 1,
      anon_sym_BANG,
    ACTIONS(1531), 23,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1529), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [22011] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1873), 1,
      anon_sym_BANG,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2040), 1,
      anon_sym_EQ,
    ACTIONS(2052), 1,
      anon_sym_or,
    ACTIONS(2054), 1,
      anon_sym_and,
    ACTIONS(2060), 1,
      anon_sym_orelse,
    ACTIONS(2064), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2068), 1,
      anon_sym_catch,
    ACTIONS(2058), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2066), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2046), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2062), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2056), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1871), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2048), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2050), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2042), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [22119] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1837), 1,
      anon_sym_BANG,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2040), 1,
      anon_sym_EQ,
    ACTIONS(2052), 1,
      anon_sym_or,
    ACTIONS(2054), 1,
      anon_sym_and,
    ACTIONS(2060), 1,
      anon_sym_orelse,
    ACTIONS(2064), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2068), 1,
      anon_sym_catch,
    ACTIONS(2058), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2066), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2046), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2062), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2056), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1835), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2048), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2050), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2042), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [22227] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1841), 1,
      anon_sym_BANG,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2040), 1,
      anon_sym_EQ,
    ACTIONS(2052), 1,
      anon_sym_or,
    ACTIONS(2054), 1,
      anon_sym_and,
    ACTIONS(2060), 1,
      anon_sym_orelse,
    ACTIONS(2064), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2068), 1,
      anon_sym_catch,
    ACTIONS(2058), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2066), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2046), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2062), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2056), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1839), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2048), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2050), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2042), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [22335] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1845), 1,
      anon_sym_BANG,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2040), 1,
      anon_sym_EQ,
    ACTIONS(2052), 1,
      anon_sym_or,
    ACTIONS(2054), 1,
      anon_sym_and,
    ACTIONS(2060), 1,
      anon_sym_orelse,
    ACTIONS(2064), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2068), 1,
      anon_sym_catch,
    ACTIONS(2058), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2066), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2046), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2062), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2056), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1843), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2048), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2050), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2042), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [22443] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(157), 1,
      anon_sym_BANG,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2040), 1,
      anon_sym_EQ,
    ACTIONS(2052), 1,
      anon_sym_or,
    ACTIONS(2054), 1,
      anon_sym_and,
    ACTIONS(2060), 1,
      anon_sym_orelse,
    ACTIONS(2064), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2068), 1,
      anon_sym_catch,
    ACTIONS(2058), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2066), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2046), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2062), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2056), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(155), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2048), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2050), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2042), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [22551] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1849), 1,
      anon_sym_BANG,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2040), 1,
      anon_sym_EQ,
    ACTIONS(2052), 1,
      anon_sym_or,
    ACTIONS(2054), 1,
      anon_sym_and,
    ACTIONS(2060), 1,
      anon_sym_orelse,
    ACTIONS(2064), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2068), 1,
      anon_sym_catch,
    ACTIONS(2058), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2066), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2046), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2062), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2056), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1847), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2048), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2050), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2042), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [22659] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1853), 1,
      anon_sym_BANG,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2040), 1,
      anon_sym_EQ,
    ACTIONS(2052), 1,
      anon_sym_or,
    ACTIONS(2054), 1,
      anon_sym_and,
    ACTIONS(2060), 1,
      anon_sym_orelse,
    ACTIONS(2064), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2068), 1,
      anon_sym_catch,
    ACTIONS(2058), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2066), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2046), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2062), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2056), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1851), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2048), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2050), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2042), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [22767] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(161), 1,
      anon_sym_BANG,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2040), 1,
      anon_sym_EQ,
    ACTIONS(2052), 1,
      anon_sym_or,
    ACTIONS(2054), 1,
      anon_sym_and,
    ACTIONS(2060), 1,
      anon_sym_orelse,
    ACTIONS(2064), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2068), 1,
      anon_sym_catch,
    ACTIONS(2058), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2066), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2046), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2062), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2056), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(159), 5,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2048), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2050), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2042), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [22875] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2060), 1,
      anon_sym_orelse,
    ACTIONS(2064), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2068), 1,
      anon_sym_catch,
    ACTIONS(2066), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2046), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2062), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1857), 5,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2048), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2050), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1855), 27,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
  [22971] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1879), 1,
      anon_sym_BANG,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2040), 1,
      anon_sym_EQ,
    ACTIONS(2052), 1,
      anon_sym_or,
    ACTIONS(2054), 1,
      anon_sym_and,
    ACTIONS(2060), 1,
      anon_sym_orelse,
    ACTIONS(2064), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2068), 1,
      anon_sym_catch,
    ACTIONS(2116), 1,
      anon_sym_else,
    ACTIONS(2058), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2066), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2046), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2062), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1875), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
    ACTIONS(2056), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2048), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2050), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2042), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [23081] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1863), 1,
      anon_sym_BANG,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2040), 1,
      anon_sym_EQ,
    ACTIONS(2052), 1,
      anon_sym_or,
    ACTIONS(2054), 1,
      anon_sym_and,
    ACTIONS(2060), 1,
      anon_sym_orelse,
    ACTIONS(2064), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2068), 1,
      anon_sym_catch,
    ACTIONS(2118), 1,
      anon_sym_else,
    ACTIONS(2058), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2066), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2046), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2062), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1859), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
    ACTIONS(2056), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2048), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2050), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2042), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [23191] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym_BANG,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2040), 1,
      anon_sym_EQ,
    ACTIONS(2052), 1,
      anon_sym_or,
    ACTIONS(2054), 1,
      anon_sym_and,
    ACTIONS(2060), 1,
      anon_sym_orelse,
    ACTIONS(2064), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2068), 1,
      anon_sym_catch,
    ACTIONS(2120), 1,
      anon_sym_else,
    ACTIONS(2058), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2066), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2046), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2062), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1865), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
    ACTIONS(2056), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2048), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2050), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2042), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [23301] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1531), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1529), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [23369] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1535), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1533), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [23437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1539), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1537), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [23505] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1561), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1559), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [23573] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1837), 1,
      anon_sym_BANG,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2078), 1,
      anon_sym_EQ,
    ACTIONS(2090), 1,
      anon_sym_or,
    ACTIONS(2092), 1,
      anon_sym_and,
    ACTIONS(2098), 1,
      anon_sym_orelse,
    ACTIONS(2102), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2106), 1,
      anon_sym_catch,
    ACTIONS(2096), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2104), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2084), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2100), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2094), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1835), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2086), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2088), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2080), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [23681] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1841), 1,
      anon_sym_BANG,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2078), 1,
      anon_sym_EQ,
    ACTIONS(2090), 1,
      anon_sym_or,
    ACTIONS(2092), 1,
      anon_sym_and,
    ACTIONS(2098), 1,
      anon_sym_orelse,
    ACTIONS(2102), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2106), 1,
      anon_sym_catch,
    ACTIONS(2096), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2104), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2084), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2100), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2094), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1839), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2086), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2088), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2080), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [23789] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1845), 1,
      anon_sym_BANG,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2078), 1,
      anon_sym_EQ,
    ACTIONS(2090), 1,
      anon_sym_or,
    ACTIONS(2092), 1,
      anon_sym_and,
    ACTIONS(2098), 1,
      anon_sym_orelse,
    ACTIONS(2102), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2106), 1,
      anon_sym_catch,
    ACTIONS(2096), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2104), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2084), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2100), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2094), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1843), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2086), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2088), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2080), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [23897] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(157), 1,
      anon_sym_BANG,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2078), 1,
      anon_sym_EQ,
    ACTIONS(2090), 1,
      anon_sym_or,
    ACTIONS(2092), 1,
      anon_sym_and,
    ACTIONS(2098), 1,
      anon_sym_orelse,
    ACTIONS(2102), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2106), 1,
      anon_sym_catch,
    ACTIONS(2096), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2104), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2084), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2100), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2094), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(155), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2086), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2088), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2080), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [24005] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1849), 1,
      anon_sym_BANG,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2078), 1,
      anon_sym_EQ,
    ACTIONS(2090), 1,
      anon_sym_or,
    ACTIONS(2092), 1,
      anon_sym_and,
    ACTIONS(2098), 1,
      anon_sym_orelse,
    ACTIONS(2102), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2106), 1,
      anon_sym_catch,
    ACTIONS(2096), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2104), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2084), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2100), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2094), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1847), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2086), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2088), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2080), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [24113] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1853), 1,
      anon_sym_BANG,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2078), 1,
      anon_sym_EQ,
    ACTIONS(2090), 1,
      anon_sym_or,
    ACTIONS(2092), 1,
      anon_sym_and,
    ACTIONS(2098), 1,
      anon_sym_orelse,
    ACTIONS(2102), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2106), 1,
      anon_sym_catch,
    ACTIONS(2096), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2104), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2084), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2100), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2094), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1851), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2086), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2088), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2080), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [24221] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(161), 1,
      anon_sym_BANG,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2078), 1,
      anon_sym_EQ,
    ACTIONS(2090), 1,
      anon_sym_or,
    ACTIONS(2092), 1,
      anon_sym_and,
    ACTIONS(2098), 1,
      anon_sym_orelse,
    ACTIONS(2102), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2106), 1,
      anon_sym_catch,
    ACTIONS(2096), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2104), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2084), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2100), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2094), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(159), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2086), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2088), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2080), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [24329] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2098), 1,
      anon_sym_orelse,
    ACTIONS(2102), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2106), 1,
      anon_sym_catch,
    ACTIONS(2104), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2084), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2100), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1857), 5,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2086), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2088), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1855), 27,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [24425] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1863), 1,
      anon_sym_BANG,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2078), 1,
      anon_sym_EQ,
    ACTIONS(2090), 1,
      anon_sym_or,
    ACTIONS(2092), 1,
      anon_sym_and,
    ACTIONS(2098), 1,
      anon_sym_orelse,
    ACTIONS(2102), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2106), 1,
      anon_sym_catch,
    ACTIONS(2122), 1,
      anon_sym_else,
    ACTIONS(2096), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2104), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2084), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2100), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1859), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
    ACTIONS(2094), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2086), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2088), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2080), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [24535] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1869), 1,
      anon_sym_BANG,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2078), 1,
      anon_sym_EQ,
    ACTIONS(2090), 1,
      anon_sym_or,
    ACTIONS(2092), 1,
      anon_sym_and,
    ACTIONS(2098), 1,
      anon_sym_orelse,
    ACTIONS(2102), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2106), 1,
      anon_sym_catch,
    ACTIONS(2124), 1,
      anon_sym_else,
    ACTIONS(2096), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2104), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2084), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2100), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1865), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
    ACTIONS(2094), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2086), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2088), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2080), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [24645] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1873), 1,
      anon_sym_BANG,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2078), 1,
      anon_sym_EQ,
    ACTIONS(2090), 1,
      anon_sym_or,
    ACTIONS(2092), 1,
      anon_sym_and,
    ACTIONS(2098), 1,
      anon_sym_orelse,
    ACTIONS(2102), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2106), 1,
      anon_sym_catch,
    ACTIONS(2096), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2104), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2084), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2100), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2094), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1871), 5,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2086), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2088), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2080), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [24753] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1879), 1,
      anon_sym_BANG,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2078), 1,
      anon_sym_EQ,
    ACTIONS(2090), 1,
      anon_sym_or,
    ACTIONS(2092), 1,
      anon_sym_and,
    ACTIONS(2098), 1,
      anon_sym_orelse,
    ACTIONS(2102), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2106), 1,
      anon_sym_catch,
    ACTIONS(2126), 1,
      anon_sym_else,
    ACTIONS(2096), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2104), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2084), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2100), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1875), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACK,
    ACTIONS(2094), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2086), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2088), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2080), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [24863] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1383), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1381), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [24931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1497), 24,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1495), 36,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_EQ_GT,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [24999] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2128), 1,
      anon_sym_COLON,
    ACTIONS(960), 23,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(958), 35,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [25068] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1631), 1,
      anon_sym_BANG,
    ACTIONS(1773), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
    ACTIONS(932), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(934), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [25139] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1631), 1,
      anon_sym_BANG,
    ACTIONS(1639), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
    ACTIONS(932), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(934), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [25210] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1631), 1,
      anon_sym_BANG,
    ACTIONS(1661), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
    ACTIONS(932), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(934), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [25281] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2130), 1,
      anon_sym_COLON,
    ACTIONS(960), 23,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(958), 35,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [25350] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2132), 1,
      anon_sym_COLON,
    ACTIONS(960), 23,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(958), 35,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [25419] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2134), 1,
      anon_sym_COLON,
    ACTIONS(960), 23,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(958), 35,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [25488] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    STATE(1640), 1,
      aux_sym__for_prefix_repeat1,
    ACTIONS(1801), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1799), 30,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
  [25569] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2136), 1,
      anon_sym_EQ,
    ACTIONS(2146), 1,
      anon_sym_or,
    ACTIONS(2148), 1,
      anon_sym_and,
    ACTIONS(2154), 1,
      anon_sym_orelse,
    ACTIONS(2158), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2162), 1,
      anon_sym_catch,
    ACTIONS(2152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2160), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2140), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2156), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1851), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2150), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2142), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2144), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2138), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [25673] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2136), 1,
      anon_sym_EQ,
    ACTIONS(2146), 1,
      anon_sym_or,
    ACTIONS(2148), 1,
      anon_sym_and,
    ACTIONS(2154), 1,
      anon_sym_orelse,
    ACTIONS(2158), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2162), 1,
      anon_sym_catch,
    ACTIONS(2152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2160), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2140), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2156), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1685), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2150), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2142), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2144), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2138), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [25777] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2136), 1,
      anon_sym_EQ,
    ACTIONS(2146), 1,
      anon_sym_or,
    ACTIONS(2148), 1,
      anon_sym_and,
    ACTIONS(2154), 1,
      anon_sym_orelse,
    ACTIONS(2158), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2162), 1,
      anon_sym_catch,
    ACTIONS(2152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2160), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2140), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2156), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1689), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2150), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2142), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2144), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2138), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [25881] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2164), 1,
      anon_sym_COMMA,
    ACTIONS(2166), 1,
      anon_sym_EQ,
    ACTIONS(2170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2178), 1,
      anon_sym_or,
    ACTIONS(2180), 1,
      anon_sym_and,
    ACTIONS(2186), 1,
      anon_sym_orelse,
    ACTIONS(2190), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2194), 1,
      anon_sym_catch,
    ACTIONS(2196), 1,
      anon_sym_EQ_GT,
    STATE(1655), 1,
      aux_sym__switch_case_exp_repeat1,
    ACTIONS(2184), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2192), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2172), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2188), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2182), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2174), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2176), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2168), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [25991] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2166), 1,
      anon_sym_EQ,
    ACTIONS(2178), 1,
      anon_sym_or,
    ACTIONS(2180), 1,
      anon_sym_and,
    ACTIONS(2186), 1,
      anon_sym_orelse,
    ACTIONS(2190), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2194), 1,
      anon_sym_catch,
    ACTIONS(2198), 1,
      anon_sym_else,
    ACTIONS(2184), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2192), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1571), 3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
    ACTIONS(2172), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2188), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2182), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2174), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2176), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2168), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [26097] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2186), 1,
      anon_sym_orelse,
    ACTIONS(2190), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2194), 1,
      anon_sym_catch,
    ACTIONS(2192), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2172), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2188), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1675), 4,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2174), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2176), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1673), 26,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
  [26191] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2166), 1,
      anon_sym_EQ,
    ACTIONS(2178), 1,
      anon_sym_or,
    ACTIONS(2180), 1,
      anon_sym_and,
    ACTIONS(2186), 1,
      anon_sym_orelse,
    ACTIONS(2190), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2194), 1,
      anon_sym_catch,
    ACTIONS(2184), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2192), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2172), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2188), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1707), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2182), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2174), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2176), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2168), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [26295] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1657), 1,
      anon_sym_COMMA,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2200), 1,
      anon_sym_SEMI,
    ACTIONS(2202), 1,
      anon_sym_else,
    STATE(767), 1,
      sym_else_clause,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [26405] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2166), 1,
      anon_sym_EQ,
    ACTIONS(2178), 1,
      anon_sym_or,
    ACTIONS(2180), 1,
      anon_sym_and,
    ACTIONS(2186), 1,
      anon_sym_orelse,
    ACTIONS(2190), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2194), 1,
      anon_sym_catch,
    ACTIONS(2204), 1,
      anon_sym_else,
    ACTIONS(2184), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2192), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1657), 3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
    ACTIONS(2172), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2188), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2182), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2174), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2176), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2168), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [26511] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2136), 1,
      anon_sym_EQ,
    ACTIONS(2146), 1,
      anon_sym_or,
    ACTIONS(2148), 1,
      anon_sym_and,
    ACTIONS(2154), 1,
      anon_sym_orelse,
    ACTIONS(2158), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2162), 1,
      anon_sym_catch,
    ACTIONS(2152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2160), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2140), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2156), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1693), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2150), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2142), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2144), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2138), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [26615] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2136), 1,
      anon_sym_EQ,
    ACTIONS(2146), 1,
      anon_sym_or,
    ACTIONS(2148), 1,
      anon_sym_and,
    ACTIONS(2154), 1,
      anon_sym_orelse,
    ACTIONS(2158), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2162), 1,
      anon_sym_catch,
    ACTIONS(2152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2160), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2140), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2156), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1697), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2150), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2142), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2144), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2138), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [26719] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2136), 1,
      anon_sym_EQ,
    ACTIONS(2146), 1,
      anon_sym_or,
    ACTIONS(2148), 1,
      anon_sym_and,
    ACTIONS(2154), 1,
      anon_sym_orelse,
    ACTIONS(2158), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2162), 1,
      anon_sym_catch,
    ACTIONS(2152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2160), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2140), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2156), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1689), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2150), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2142), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2144), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2138), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [26823] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1679), 1,
      anon_sym_COMMA,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2200), 1,
      anon_sym_SEMI,
    ACTIONS(2206), 1,
      anon_sym_else,
    STATE(767), 1,
      sym_else_clause,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [26933] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2136), 1,
      anon_sym_EQ,
    ACTIONS(2146), 1,
      anon_sym_or,
    ACTIONS(2148), 1,
      anon_sym_and,
    ACTIONS(2154), 1,
      anon_sym_orelse,
    ACTIONS(2158), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2162), 1,
      anon_sym_catch,
    ACTIONS(2152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2160), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2140), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2156), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1707), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2150), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2142), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2144), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2138), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27037] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1631), 1,
      anon_sym_BANG,
    ACTIONS(2208), 1,
      anon_sym_else,
    ACTIONS(1803), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(932), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(934), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [27109] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2166), 1,
      anon_sym_EQ,
    ACTIONS(2178), 1,
      anon_sym_or,
    ACTIONS(2180), 1,
      anon_sym_and,
    ACTIONS(2186), 1,
      anon_sym_orelse,
    ACTIONS(2190), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2194), 1,
      anon_sym_catch,
    ACTIONS(2210), 1,
      anon_sym_else,
    ACTIONS(2184), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2192), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1679), 3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
    ACTIONS(2172), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2188), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2182), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2174), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2176), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2168), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27215] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2192), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2174), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1619), 16,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1617), 29,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_catch,
      anon_sym_EQ_GT,
  [27297] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2180), 1,
      anon_sym_and,
    ACTIONS(2186), 1,
      anon_sym_orelse,
    ACTIONS(2190), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2194), 1,
      anon_sym_catch,
    ACTIONS(1619), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(2184), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2192), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2172), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2188), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2182), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2174), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2176), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1617), 21,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_EQ_GT,
  [27397] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2186), 1,
      anon_sym_orelse,
    ACTIONS(2190), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2194), 1,
      anon_sym_catch,
    ACTIONS(1619), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(2184), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2192), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2172), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2188), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2182), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2174), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2176), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1617), 22,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_and,
      anon_sym_EQ_GT,
  [27495] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2136), 1,
      anon_sym_EQ,
    ACTIONS(2146), 1,
      anon_sym_or,
    ACTIONS(2148), 1,
      anon_sym_and,
    ACTIONS(2154), 1,
      anon_sym_orelse,
    ACTIONS(2158), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2162), 1,
      anon_sym_catch,
    ACTIONS(2152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2160), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2140), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2156), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1717), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2150), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2142), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2144), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2138), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27599] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2136), 1,
      anon_sym_EQ,
    ACTIONS(2146), 1,
      anon_sym_or,
    ACTIONS(2148), 1,
      anon_sym_and,
    ACTIONS(2154), 1,
      anon_sym_orelse,
    ACTIONS(2158), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2162), 1,
      anon_sym_catch,
    ACTIONS(2152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2160), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2140), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2156), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1725), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2150), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2142), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2144), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2138), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27703] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2136), 1,
      anon_sym_EQ,
    ACTIONS(2146), 1,
      anon_sym_or,
    ACTIONS(2148), 1,
      anon_sym_and,
    ACTIONS(2154), 1,
      anon_sym_orelse,
    ACTIONS(2158), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2162), 1,
      anon_sym_catch,
    ACTIONS(2152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2160), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2140), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2156), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1707), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2150), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2142), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2144), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2138), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27807] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2190), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2192), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2188), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2174), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2176), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1619), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
    ACTIONS(1617), 28,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_EQ_GT,
  [27895] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2166), 1,
      anon_sym_EQ,
    ACTIONS(2178), 1,
      anon_sym_or,
    ACTIONS(2180), 1,
      anon_sym_and,
    ACTIONS(2186), 1,
      anon_sym_orelse,
    ACTIONS(2190), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2194), 1,
      anon_sym_catch,
    ACTIONS(2184), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2192), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2172), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2188), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1685), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2182), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2174), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2176), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2168), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1539), 23,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(1537), 35,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [28065] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2136), 1,
      anon_sym_EQ,
    ACTIONS(2146), 1,
      anon_sym_or,
    ACTIONS(2148), 1,
      anon_sym_and,
    ACTIONS(2154), 1,
      anon_sym_orelse,
    ACTIONS(2158), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2162), 1,
      anon_sym_catch,
    ACTIONS(2152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2160), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2140), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2156), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1729), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2150), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2142), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2144), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2138), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [28169] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2136), 1,
      anon_sym_EQ,
    ACTIONS(2146), 1,
      anon_sym_or,
    ACTIONS(2148), 1,
      anon_sym_and,
    ACTIONS(2154), 1,
      anon_sym_orelse,
    ACTIONS(2158), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2162), 1,
      anon_sym_catch,
    ACTIONS(2152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2160), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2140), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2156), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1647), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2150), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2142), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2144), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2138), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [28273] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1881), 1,
      anon_sym_COMMA,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2200), 1,
      anon_sym_SEMI,
    ACTIONS(2212), 1,
      anon_sym_else,
    STATE(767), 1,
      sym_else_clause,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [28383] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2136), 1,
      anon_sym_EQ,
    ACTIONS(2146), 1,
      anon_sym_or,
    ACTIONS(2148), 1,
      anon_sym_and,
    ACTIONS(2154), 1,
      anon_sym_orelse,
    ACTIONS(2158), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2162), 1,
      anon_sym_catch,
    ACTIONS(2152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2160), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2140), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2156), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1657), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2150), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2142), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2144), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2138), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [28487] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2166), 1,
      anon_sym_EQ,
    ACTIONS(2178), 1,
      anon_sym_or,
    ACTIONS(2180), 1,
      anon_sym_and,
    ACTIONS(2186), 1,
      anon_sym_orelse,
    ACTIONS(2190), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2194), 1,
      anon_sym_catch,
    ACTIONS(2184), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2192), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2172), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2188), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1871), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2182), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2174), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2176), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2168), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [28591] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2166), 1,
      anon_sym_EQ,
    ACTIONS(2178), 1,
      anon_sym_or,
    ACTIONS(2180), 1,
      anon_sym_and,
    ACTIONS(2186), 1,
      anon_sym_orelse,
    ACTIONS(2190), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2194), 1,
      anon_sym_catch,
    ACTIONS(2184), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2192), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2172), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2188), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1689), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2182), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2174), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2176), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2168), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [28695] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2136), 1,
      anon_sym_EQ,
    ACTIONS(2146), 1,
      anon_sym_or,
    ACTIONS(2148), 1,
      anon_sym_and,
    ACTIONS(2154), 1,
      anon_sym_orelse,
    ACTIONS(2158), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2162), 1,
      anon_sym_catch,
    ACTIONS(2152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2160), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2140), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2156), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1669), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2150), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2142), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2144), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2138), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [28799] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2186), 1,
      anon_sym_orelse,
    ACTIONS(2190), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2194), 1,
      anon_sym_catch,
    ACTIONS(2192), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2172), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2188), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1619), 4,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2174), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2176), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1617), 26,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
  [28893] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2166), 1,
      anon_sym_EQ,
    ACTIONS(2178), 1,
      anon_sym_or,
    ACTIONS(2180), 1,
      anon_sym_and,
    ACTIONS(2186), 1,
      anon_sym_orelse,
    ACTIONS(2190), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2194), 1,
      anon_sym_catch,
    ACTIONS(2184), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2192), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2172), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2188), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1835), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2182), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2174), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2176), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2168), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [28997] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1571), 1,
      anon_sym_COMMA,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2200), 1,
      anon_sym_SEMI,
    ACTIONS(2214), 1,
      anon_sym_else,
    STATE(767), 1,
      sym_else_clause,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [29107] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2166), 1,
      anon_sym_EQ,
    ACTIONS(2178), 1,
      anon_sym_or,
    ACTIONS(2180), 1,
      anon_sym_and,
    ACTIONS(2186), 1,
      anon_sym_orelse,
    ACTIONS(2190), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2194), 1,
      anon_sym_catch,
    ACTIONS(2184), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2192), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2172), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2188), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1717), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2182), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2174), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2176), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2168), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [29211] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2136), 1,
      anon_sym_EQ,
    ACTIONS(2146), 1,
      anon_sym_or,
    ACTIONS(2148), 1,
      anon_sym_and,
    ACTIONS(2154), 1,
      anon_sym_orelse,
    ACTIONS(2158), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2162), 1,
      anon_sym_catch,
    ACTIONS(2152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2160), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2140), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2156), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1871), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2150), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2142), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2144), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2138), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [29315] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2136), 1,
      anon_sym_EQ,
    ACTIONS(2146), 1,
      anon_sym_or,
    ACTIONS(2148), 1,
      anon_sym_and,
    ACTIONS(2154), 1,
      anon_sym_orelse,
    ACTIONS(2158), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2162), 1,
      anon_sym_catch,
    ACTIONS(2152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2160), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2140), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2156), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1835), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2150), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2142), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2144), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2138), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [29419] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2166), 1,
      anon_sym_EQ,
    ACTIONS(2178), 1,
      anon_sym_or,
    ACTIONS(2180), 1,
      anon_sym_and,
    ACTIONS(2186), 1,
      anon_sym_orelse,
    ACTIONS(2190), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2194), 1,
      anon_sym_catch,
    ACTIONS(2184), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2192), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2172), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2188), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1725), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2182), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2174), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2176), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2168), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [29523] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2166), 1,
      anon_sym_EQ,
    ACTIONS(2178), 1,
      anon_sym_or,
    ACTIONS(2180), 1,
      anon_sym_and,
    ACTIONS(2186), 1,
      anon_sym_orelse,
    ACTIONS(2190), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2194), 1,
      anon_sym_catch,
    ACTIONS(2184), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2192), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2172), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2188), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1707), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2182), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2174), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2176), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2168), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [29627] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2190), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2192), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2174), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2176), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1619), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1617), 28,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_catch,
      anon_sym_EQ_GT,
  [29713] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2154), 1,
      anon_sym_orelse,
    ACTIONS(2158), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2162), 1,
      anon_sym_catch,
    ACTIONS(2160), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2140), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2156), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1675), 4,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2142), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2144), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1673), 26,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [29807] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2186), 1,
      anon_sym_orelse,
    ACTIONS(2190), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2194), 1,
      anon_sym_catch,
    ACTIONS(2192), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2172), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2188), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1623), 4,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2174), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2176), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 26,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
  [29901] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2136), 1,
      anon_sym_EQ,
    ACTIONS(2146), 1,
      anon_sym_or,
    ACTIONS(2148), 1,
      anon_sym_and,
    ACTIONS(2154), 1,
      anon_sym_orelse,
    ACTIONS(2158), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2162), 1,
      anon_sym_catch,
    ACTIONS(2152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2160), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2140), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2156), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1839), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2150), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2142), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2144), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2138), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30005] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2136), 1,
      anon_sym_EQ,
    ACTIONS(2146), 1,
      anon_sym_or,
    ACTIONS(2148), 1,
      anon_sym_and,
    ACTIONS(2154), 1,
      anon_sym_orelse,
    ACTIONS(2158), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2162), 1,
      anon_sym_catch,
    ACTIONS(2152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2160), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2140), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2156), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1843), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2150), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2142), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2144), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2138), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30109] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2136), 1,
      anon_sym_EQ,
    ACTIONS(2146), 1,
      anon_sym_or,
    ACTIONS(2148), 1,
      anon_sym_and,
    ACTIONS(2154), 1,
      anon_sym_orelse,
    ACTIONS(2158), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2162), 1,
      anon_sym_catch,
    ACTIONS(2152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2160), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2140), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2156), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(155), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2150), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2142), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2144), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2138), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30213] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2136), 1,
      anon_sym_EQ,
    ACTIONS(2146), 1,
      anon_sym_or,
    ACTIONS(2148), 1,
      anon_sym_and,
    ACTIONS(2154), 1,
      anon_sym_orelse,
    ACTIONS(2158), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2162), 1,
      anon_sym_catch,
    ACTIONS(2152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2160), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2140), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2156), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1847), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2150), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2142), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2144), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2138), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30317] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2166), 1,
      anon_sym_EQ,
    ACTIONS(2178), 1,
      anon_sym_or,
    ACTIONS(2180), 1,
      anon_sym_and,
    ACTIONS(2186), 1,
      anon_sym_orelse,
    ACTIONS(2190), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2194), 1,
      anon_sym_catch,
    ACTIONS(2216), 1,
      anon_sym_else,
    ACTIONS(2184), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2192), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1881), 3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
    ACTIONS(2172), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2188), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2182), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2174), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2176), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2168), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30423] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2136), 1,
      anon_sym_EQ,
    ACTIONS(2146), 1,
      anon_sym_or,
    ACTIONS(2148), 1,
      anon_sym_and,
    ACTIONS(2154), 1,
      anon_sym_orelse,
    ACTIONS(2158), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2162), 1,
      anon_sym_catch,
    ACTIONS(2152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2160), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2140), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2156), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(159), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2150), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2142), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2144), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2138), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30527] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2154), 1,
      anon_sym_orelse,
    ACTIONS(2158), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2162), 1,
      anon_sym_catch,
    ACTIONS(2160), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2140), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2156), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1857), 4,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2142), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2144), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1855), 26,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [30621] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2166), 1,
      anon_sym_EQ,
    ACTIONS(2178), 1,
      anon_sym_or,
    ACTIONS(2180), 1,
      anon_sym_and,
    ACTIONS(2186), 1,
      anon_sym_orelse,
    ACTIONS(2190), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2194), 1,
      anon_sym_catch,
    ACTIONS(2184), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2192), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2172), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2188), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1903), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2182), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2174), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2176), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2168), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30725] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2136), 1,
      anon_sym_EQ,
    ACTIONS(2146), 1,
      anon_sym_or,
    ACTIONS(2148), 1,
      anon_sym_and,
    ACTIONS(2154), 1,
      anon_sym_orelse,
    ACTIONS(2158), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2162), 1,
      anon_sym_catch,
    ACTIONS(2218), 1,
      anon_sym_else,
    ACTIONS(2152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2160), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1875), 3,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(2140), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2156), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2150), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2142), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2144), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2138), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30831] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1571), 1,
      anon_sym_COMMA,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2200), 1,
      anon_sym_SEMI,
    ACTIONS(2220), 1,
      anon_sym_else,
    STATE(767), 1,
      sym_else_clause,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30941] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2136), 1,
      anon_sym_EQ,
    ACTIONS(2146), 1,
      anon_sym_or,
    ACTIONS(2148), 1,
      anon_sym_and,
    ACTIONS(2154), 1,
      anon_sym_orelse,
    ACTIONS(2158), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2162), 1,
      anon_sym_catch,
    ACTIONS(2222), 1,
      anon_sym_else,
    ACTIONS(2152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2160), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1865), 3,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(2140), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2156), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2150), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2142), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2144), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2138), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31047] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2166), 1,
      anon_sym_EQ,
    ACTIONS(2178), 1,
      anon_sym_or,
    ACTIONS(2180), 1,
      anon_sym_and,
    ACTIONS(2186), 1,
      anon_sym_orelse,
    ACTIONS(2190), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2194), 1,
      anon_sym_catch,
    ACTIONS(2184), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2192), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2172), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2188), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1839), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2182), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2174), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2176), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2168), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31151] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2166), 1,
      anon_sym_EQ,
    ACTIONS(2178), 1,
      anon_sym_or,
    ACTIONS(2180), 1,
      anon_sym_and,
    ACTIONS(2186), 1,
      anon_sym_orelse,
    ACTIONS(2190), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2194), 1,
      anon_sym_catch,
    ACTIONS(2184), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2192), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2172), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2188), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1843), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2182), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2174), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2176), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2168), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31255] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2166), 1,
      anon_sym_EQ,
    ACTIONS(2178), 1,
      anon_sym_or,
    ACTIONS(2180), 1,
      anon_sym_and,
    ACTIONS(2186), 1,
      anon_sym_orelse,
    ACTIONS(2190), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2194), 1,
      anon_sym_catch,
    ACTIONS(2184), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2192), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2172), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2188), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(155), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2182), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2174), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2176), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2168), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31359] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2136), 1,
      anon_sym_EQ,
    ACTIONS(2146), 1,
      anon_sym_or,
    ACTIONS(2148), 1,
      anon_sym_and,
    ACTIONS(2154), 1,
      anon_sym_orelse,
    ACTIONS(2158), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2162), 1,
      anon_sym_catch,
    ACTIONS(2224), 1,
      anon_sym_else,
    ACTIONS(2152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2160), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1657), 3,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(2140), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2156), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2150), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2142), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2144), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2138), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31465] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2166), 1,
      anon_sym_EQ,
    ACTIONS(2178), 1,
      anon_sym_or,
    ACTIONS(2180), 1,
      anon_sym_and,
    ACTIONS(2186), 1,
      anon_sym_orelse,
    ACTIONS(2190), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2194), 1,
      anon_sym_catch,
    ACTIONS(2184), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2192), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2172), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2188), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1847), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2182), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2174), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2176), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2168), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31569] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2166), 1,
      anon_sym_EQ,
    ACTIONS(2178), 1,
      anon_sym_or,
    ACTIONS(2180), 1,
      anon_sym_and,
    ACTIONS(2186), 1,
      anon_sym_orelse,
    ACTIONS(2190), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2194), 1,
      anon_sym_catch,
    ACTIONS(2184), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2192), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2172), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2188), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1851), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2182), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2174), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2176), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2168), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31673] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2166), 1,
      anon_sym_EQ,
    ACTIONS(2178), 1,
      anon_sym_or,
    ACTIONS(2180), 1,
      anon_sym_and,
    ACTIONS(2186), 1,
      anon_sym_orelse,
    ACTIONS(2190), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2194), 1,
      anon_sym_catch,
    ACTIONS(2184), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2192), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2172), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2188), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(159), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2182), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2174), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2176), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2168), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31777] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2186), 1,
      anon_sym_orelse,
    ACTIONS(2190), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2194), 1,
      anon_sym_catch,
    ACTIONS(2192), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2172), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2188), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1857), 4,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2174), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2176), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1855), 26,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
  [31871] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2136), 1,
      anon_sym_EQ,
    ACTIONS(2146), 1,
      anon_sym_or,
    ACTIONS(2148), 1,
      anon_sym_and,
    ACTIONS(2154), 1,
      anon_sym_orelse,
    ACTIONS(2158), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2162), 1,
      anon_sym_catch,
    ACTIONS(2226), 1,
      anon_sym_else,
    ACTIONS(2152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2160), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1679), 3,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(2140), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2156), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2150), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2142), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2144), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2138), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31977] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2136), 1,
      anon_sym_EQ,
    ACTIONS(2146), 1,
      anon_sym_or,
    ACTIONS(2148), 1,
      anon_sym_and,
    ACTIONS(2154), 1,
      anon_sym_orelse,
    ACTIONS(2158), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2162), 1,
      anon_sym_catch,
    ACTIONS(2228), 1,
      anon_sym_else,
    ACTIONS(2152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2160), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1881), 3,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(2140), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2156), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2150), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2142), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2144), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2138), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32083] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2136), 1,
      anon_sym_EQ,
    ACTIONS(2146), 1,
      anon_sym_or,
    ACTIONS(2148), 1,
      anon_sym_and,
    ACTIONS(2154), 1,
      anon_sym_orelse,
    ACTIONS(2158), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2162), 1,
      anon_sym_catch,
    ACTIONS(2230), 1,
      anon_sym_else,
    ACTIONS(2152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2160), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1571), 3,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(2140), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2156), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2150), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2142), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2144), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2138), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32189] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2166), 1,
      anon_sym_EQ,
    ACTIONS(2178), 1,
      anon_sym_or,
    ACTIONS(2180), 1,
      anon_sym_and,
    ACTIONS(2186), 1,
      anon_sym_orelse,
    ACTIONS(2190), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2194), 1,
      anon_sym_catch,
    ACTIONS(2184), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2192), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2172), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2188), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1889), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2182), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2174), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2176), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2168), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32293] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2166), 1,
      anon_sym_EQ,
    ACTIONS(2178), 1,
      anon_sym_or,
    ACTIONS(2180), 1,
      anon_sym_and,
    ACTIONS(2186), 1,
      anon_sym_orelse,
    ACTIONS(2190), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2194), 1,
      anon_sym_catch,
    ACTIONS(2232), 1,
      anon_sym_else,
    ACTIONS(2184), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2192), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1571), 3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
    ACTIONS(2172), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2188), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2182), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2174), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2176), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2168), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32399] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2166), 1,
      anon_sym_EQ,
    ACTIONS(2178), 1,
      anon_sym_or,
    ACTIONS(2180), 1,
      anon_sym_and,
    ACTIONS(2186), 1,
      anon_sym_orelse,
    ACTIONS(2190), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2194), 1,
      anon_sym_catch,
    ACTIONS(2184), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2192), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2172), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2188), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1893), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2182), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2174), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2176), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2168), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32503] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2136), 1,
      anon_sym_EQ,
    ACTIONS(2146), 1,
      anon_sym_or,
    ACTIONS(2148), 1,
      anon_sym_and,
    ACTIONS(2154), 1,
      anon_sym_orelse,
    ACTIONS(2158), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2162), 1,
      anon_sym_catch,
    ACTIONS(2152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2160), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2140), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2156), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1889), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2150), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2142), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2144), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2138), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32607] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2136), 1,
      anon_sym_EQ,
    ACTIONS(2146), 1,
      anon_sym_or,
    ACTIONS(2148), 1,
      anon_sym_and,
    ACTIONS(2154), 1,
      anon_sym_orelse,
    ACTIONS(2158), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2162), 1,
      anon_sym_catch,
    ACTIONS(2152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2160), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2140), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2156), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1893), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2150), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2142), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2144), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2138), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32711] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2166), 1,
      anon_sym_EQ,
    ACTIONS(2178), 1,
      anon_sym_or,
    ACTIONS(2180), 1,
      anon_sym_and,
    ACTIONS(2186), 1,
      anon_sym_orelse,
    ACTIONS(2190), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2194), 1,
      anon_sym_catch,
    ACTIONS(2184), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2192), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2172), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2188), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1647), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2182), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2174), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2176), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2168), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32815] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2136), 1,
      anon_sym_EQ,
    ACTIONS(2146), 1,
      anon_sym_or,
    ACTIONS(2148), 1,
      anon_sym_and,
    ACTIONS(2154), 1,
      anon_sym_orelse,
    ACTIONS(2158), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2162), 1,
      anon_sym_catch,
    ACTIONS(2152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2160), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2140), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2156), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1903), 4,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
    ACTIONS(2150), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2142), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2144), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2138), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32919] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2166), 1,
      anon_sym_EQ,
    ACTIONS(2178), 1,
      anon_sym_or,
    ACTIONS(2180), 1,
      anon_sym_and,
    ACTIONS(2186), 1,
      anon_sym_orelse,
    ACTIONS(2190), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2194), 1,
      anon_sym_catch,
    ACTIONS(2184), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2192), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2172), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2188), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1729), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2182), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2174), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2176), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2168), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [33023] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2158), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2160), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2156), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2142), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2144), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1619), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
    ACTIONS(1617), 28,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_catch,
  [33111] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2166), 1,
      anon_sym_EQ,
    ACTIONS(2178), 1,
      anon_sym_or,
    ACTIONS(2180), 1,
      anon_sym_and,
    ACTIONS(2186), 1,
      anon_sym_orelse,
    ACTIONS(2190), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2194), 1,
      anon_sym_catch,
    ACTIONS(2184), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2192), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2172), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2188), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1657), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2182), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2174), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2176), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2168), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [33215] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1631), 1,
      anon_sym_BANG,
    ACTIONS(2234), 1,
      anon_sym_else,
    ACTIONS(1803), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    ACTIONS(932), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(934), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [33287] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1801), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1799), 30,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
  [33365] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2160), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2142), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1619), 16,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1617), 29,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_catch,
  [33447] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2148), 1,
      anon_sym_and,
    ACTIONS(2154), 1,
      anon_sym_orelse,
    ACTIONS(2158), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2162), 1,
      anon_sym_catch,
    ACTIONS(1619), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(2152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2160), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2140), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2156), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2150), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2142), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2144), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1617), 21,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
  [33547] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2154), 1,
      anon_sym_orelse,
    ACTIONS(2158), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2162), 1,
      anon_sym_catch,
    ACTIONS(1619), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(2152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2160), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2140), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2156), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2150), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2142), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2144), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1617), 22,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_and,
  [33645] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2166), 1,
      anon_sym_EQ,
    ACTIONS(2178), 1,
      anon_sym_or,
    ACTIONS(2180), 1,
      anon_sym_and,
    ACTIONS(2186), 1,
      anon_sym_orelse,
    ACTIONS(2190), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2194), 1,
      anon_sym_catch,
    ACTIONS(2236), 1,
      anon_sym_else,
    ACTIONS(2184), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2192), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1875), 3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
    ACTIONS(2172), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2188), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2182), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2174), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2176), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2168), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [33751] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2166), 1,
      anon_sym_EQ,
    ACTIONS(2178), 1,
      anon_sym_or,
    ACTIONS(2180), 1,
      anon_sym_and,
    ACTIONS(2186), 1,
      anon_sym_orelse,
    ACTIONS(2190), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2194), 1,
      anon_sym_catch,
    ACTIONS(2238), 1,
      anon_sym_else,
    ACTIONS(2184), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2192), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1859), 3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
    ACTIONS(2172), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2188), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2182), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2174), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2176), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2168), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [33857] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2166), 1,
      anon_sym_EQ,
    ACTIONS(2178), 1,
      anon_sym_or,
    ACTIONS(2180), 1,
      anon_sym_and,
    ACTIONS(2186), 1,
      anon_sym_orelse,
    ACTIONS(2190), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2194), 1,
      anon_sym_catch,
    ACTIONS(2240), 1,
      anon_sym_else,
    ACTIONS(2184), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2192), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1865), 3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
    ACTIONS(2172), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2188), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2182), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2174), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2176), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2168), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [33963] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2154), 1,
      anon_sym_orelse,
    ACTIONS(2158), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2162), 1,
      anon_sym_catch,
    ACTIONS(2160), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2140), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2156), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1619), 4,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2142), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2144), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1617), 26,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [34057] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2158), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2160), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2142), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2144), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1619), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1617), 28,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_catch,
  [34143] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2154), 1,
      anon_sym_orelse,
    ACTIONS(2158), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2162), 1,
      anon_sym_catch,
    ACTIONS(2160), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2140), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2156), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1623), 4,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2142), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2144), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1621), 26,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [34237] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2166), 1,
      anon_sym_EQ,
    ACTIONS(2178), 1,
      anon_sym_or,
    ACTIONS(2180), 1,
      anon_sym_and,
    ACTIONS(2186), 1,
      anon_sym_orelse,
    ACTIONS(2190), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2194), 1,
      anon_sym_catch,
    ACTIONS(2184), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2192), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2172), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2188), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1693), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2182), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2174), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2176), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2168), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [34341] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2136), 1,
      anon_sym_EQ,
    ACTIONS(2146), 1,
      anon_sym_or,
    ACTIONS(2148), 1,
      anon_sym_and,
    ACTIONS(2154), 1,
      anon_sym_orelse,
    ACTIONS(2158), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2162), 1,
      anon_sym_catch,
    ACTIONS(2242), 1,
      anon_sym_else,
    ACTIONS(2152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2160), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1571), 3,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(2140), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2156), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2150), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2142), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2144), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2138), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [34447] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2166), 1,
      anon_sym_EQ,
    ACTIONS(2178), 1,
      anon_sym_or,
    ACTIONS(2180), 1,
      anon_sym_and,
    ACTIONS(2186), 1,
      anon_sym_orelse,
    ACTIONS(2190), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2194), 1,
      anon_sym_catch,
    ACTIONS(2184), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2192), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2172), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2188), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1697), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2182), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2174), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2176), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2168), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [34551] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2166), 1,
      anon_sym_EQ,
    ACTIONS(2178), 1,
      anon_sym_or,
    ACTIONS(2180), 1,
      anon_sym_and,
    ACTIONS(2186), 1,
      anon_sym_orelse,
    ACTIONS(2190), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2194), 1,
      anon_sym_catch,
    ACTIONS(2184), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2192), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2172), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2188), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1669), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2182), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2174), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2176), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2168), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [34655] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2166), 1,
      anon_sym_EQ,
    ACTIONS(2178), 1,
      anon_sym_or,
    ACTIONS(2180), 1,
      anon_sym_and,
    ACTIONS(2186), 1,
      anon_sym_orelse,
    ACTIONS(2190), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2194), 1,
      anon_sym_catch,
    ACTIONS(2184), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2192), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2172), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2188), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1689), 4,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_EQ_GT,
    ACTIONS(2182), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2174), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2176), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2168), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [34759] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(896), 1,
      anon_sym_EQ_GT,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2166), 1,
      anon_sym_EQ,
    ACTIONS(2178), 1,
      anon_sym_or,
    ACTIONS(2180), 1,
      anon_sym_and,
    ACTIONS(2186), 1,
      anon_sym_orelse,
    ACTIONS(2190), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2194), 1,
      anon_sym_catch,
    ACTIONS(2244), 1,
      anon_sym_COMMA,
    ACTIONS(2246), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1613), 1,
      aux_sym__switch_case_exp_repeat1,
    ACTIONS(2184), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2192), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2172), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2188), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2182), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2174), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2176), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2168), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [34869] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2166), 1,
      anon_sym_EQ,
    ACTIONS(2178), 1,
      anon_sym_or,
    ACTIONS(2180), 1,
      anon_sym_and,
    ACTIONS(2186), 1,
      anon_sym_orelse,
    ACTIONS(2190), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2194), 1,
      anon_sym_catch,
    ACTIONS(2251), 1,
      anon_sym_else,
    ACTIONS(2184), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2192), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2172), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2188), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2248), 3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
    ACTIONS(2182), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2174), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2176), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2168), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [34975] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2166), 1,
      anon_sym_EQ,
    ACTIONS(2178), 1,
      anon_sym_or,
    ACTIONS(2180), 1,
      anon_sym_and,
    ACTIONS(2186), 1,
      anon_sym_orelse,
    ACTIONS(2190), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2194), 1,
      anon_sym_catch,
    ACTIONS(2256), 1,
      anon_sym_else,
    ACTIONS(2184), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2192), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2172), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2188), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2253), 3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
    ACTIONS(2182), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2174), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2176), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2168), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [35081] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1875), 1,
      anon_sym_COMMA,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2200), 1,
      anon_sym_SEMI,
    ACTIONS(2258), 1,
      anon_sym_else,
    STATE(767), 1,
      sym_else_clause,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [35191] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1859), 1,
      anon_sym_COMMA,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2200), 1,
      anon_sym_SEMI,
    ACTIONS(2260), 1,
      anon_sym_else,
    STATE(767), 1,
      sym_else_clause,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [35301] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1865), 1,
      anon_sym_COMMA,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2200), 1,
      anon_sym_SEMI,
    ACTIONS(2262), 1,
      anon_sym_else,
    STATE(767), 1,
      sym_else_clause,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [35411] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2136), 1,
      anon_sym_EQ,
    ACTIONS(2146), 1,
      anon_sym_or,
    ACTIONS(2148), 1,
      anon_sym_and,
    ACTIONS(2154), 1,
      anon_sym_orelse,
    ACTIONS(2158), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2162), 1,
      anon_sym_catch,
    ACTIONS(2264), 1,
      anon_sym_else,
    ACTIONS(2152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2160), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1859), 3,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(2140), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2156), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2150), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2142), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2144), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2138), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [35517] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1631), 1,
      anon_sym_BANG,
    ACTIONS(2266), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(932), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(934), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [35586] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1631), 1,
      anon_sym_BANG,
    ACTIONS(1471), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    ACTIONS(932), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(934), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [35655] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1631), 1,
      anon_sym_BANG,
    ACTIONS(1393), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    ACTIONS(932), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(934), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [35724] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1631), 1,
      anon_sym_BANG,
    ACTIONS(1483), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    ACTIONS(932), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(934), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [35793] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2269), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [35896] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1631), 1,
      anon_sym_BANG,
    ACTIONS(1373), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    ACTIONS(932), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(934), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [35965] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1631), 1,
      anon_sym_BANG,
    ACTIONS(1341), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    ACTIONS(932), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(934), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [36034] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1631), 1,
      anon_sym_BANG,
    ACTIONS(1345), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    ACTIONS(932), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(934), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [36103] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1631), 1,
      anon_sym_BANG,
    ACTIONS(2271), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(932), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(934), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [36172] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1631), 1,
      anon_sym_BANG,
    ACTIONS(2273), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(932), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(934), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [36241] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1631), 1,
      anon_sym_BANG,
    ACTIONS(1333), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    ACTIONS(932), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(934), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [36310] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2275), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [36413] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2277), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [36516] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2279), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [36619] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1631), 1,
      anon_sym_BANG,
    ACTIONS(2281), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(932), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(934), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [36688] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2283), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [36791] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2285), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [36894] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2287), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [36997] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1631), 1,
      anon_sym_BANG,
    ACTIONS(1525), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    ACTIONS(932), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(934), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [37066] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2289), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [37169] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2291), 1,
      anon_sym_COMMA,
    ACTIONS(2293), 1,
      anon_sym_EQ,
    ACTIONS(2295), 1,
      anon_sym_SEMI,
    STATE(1660), 1,
      aux_sym__variable_declaration_expression_statement_repeat1,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2297), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [37276] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2291), 1,
      anon_sym_COMMA,
    ACTIONS(2293), 1,
      anon_sym_EQ,
    ACTIONS(2295), 1,
      anon_sym_SEMI,
    STATE(1660), 1,
      aux_sym__variable_declaration_expression_statement_repeat1,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2297), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [37383] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2291), 1,
      anon_sym_COMMA,
    ACTIONS(2293), 1,
      anon_sym_EQ,
    ACTIONS(2295), 1,
      anon_sym_SEMI,
    STATE(1660), 1,
      aux_sym__variable_declaration_expression_statement_repeat1,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2297), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [37490] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2291), 1,
      anon_sym_COMMA,
    ACTIONS(2293), 1,
      anon_sym_EQ,
    ACTIONS(2295), 1,
      anon_sym_SEMI,
    STATE(1660), 1,
      aux_sym__variable_declaration_expression_statement_repeat1,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2297), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [37597] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1631), 1,
      anon_sym_BANG,
    ACTIONS(2299), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(932), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(934), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [37666] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2291), 1,
      anon_sym_COMMA,
    ACTIONS(2293), 1,
      anon_sym_EQ,
    ACTIONS(2295), 1,
      anon_sym_SEMI,
    STATE(1660), 1,
      aux_sym__variable_declaration_expression_statement_repeat1,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2297), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [37773] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2301), 1,
      anon_sym_COMMA,
    ACTIONS(2303), 1,
      anon_sym_RPAREN,
    STATE(1653), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [37880] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2291), 1,
      anon_sym_COMMA,
    ACTIONS(2293), 1,
      anon_sym_EQ,
    ACTIONS(2295), 1,
      anon_sym_SEMI,
    STATE(1660), 1,
      aux_sym__variable_declaration_expression_statement_repeat1,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2297), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [37987] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2291), 1,
      anon_sym_COMMA,
    ACTIONS(2293), 1,
      anon_sym_EQ,
    ACTIONS(2295), 1,
      anon_sym_SEMI,
    STATE(1660), 1,
      aux_sym__variable_declaration_expression_statement_repeat1,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2297), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [38094] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2291), 1,
      anon_sym_COMMA,
    ACTIONS(2293), 1,
      anon_sym_EQ,
    ACTIONS(2295), 1,
      anon_sym_SEMI,
    STATE(1660), 1,
      aux_sym__variable_declaration_expression_statement_repeat1,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2297), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [38201] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2305), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [38304] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2291), 1,
      anon_sym_COMMA,
    ACTIONS(2293), 1,
      anon_sym_EQ,
    ACTIONS(2295), 1,
      anon_sym_SEMI,
    STATE(1660), 1,
      aux_sym__variable_declaration_expression_statement_repeat1,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2297), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [38411] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1631), 1,
      anon_sym_BANG,
    ACTIONS(2307), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(932), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(934), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [38480] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1631), 1,
      anon_sym_BANG,
    ACTIONS(2309), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(932), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(934), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [38549] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2166), 1,
      anon_sym_EQ,
    ACTIONS(2178), 1,
      anon_sym_or,
    ACTIONS(2180), 1,
      anon_sym_and,
    ACTIONS(2186), 1,
      anon_sym_orelse,
    ACTIONS(2190), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2194), 1,
      anon_sym_catch,
    ACTIONS(2313), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2184), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2192), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2311), 2,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
    ACTIONS(2172), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2188), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2182), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2174), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2176), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2168), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [38654] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(908), 1,
      anon_sym_EQ_GT,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2315), 1,
      anon_sym_COMMA,
    STATE(1671), 1,
      aux_sym__switch_case_exp_repeat1,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [38761] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(888), 1,
      anon_sym_EQ_GT,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2317), 1,
      anon_sym_COMMA,
    STATE(1592), 1,
      aux_sym__switch_case_exp_repeat1,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [38868] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2166), 1,
      anon_sym_EQ,
    ACTIONS(2178), 1,
      anon_sym_or,
    ACTIONS(2180), 1,
      anon_sym_and,
    ACTIONS(2186), 1,
      anon_sym_orelse,
    ACTIONS(2190), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2194), 1,
      anon_sym_catch,
    ACTIONS(2184), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2192), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2172), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2188), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2319), 3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
    ACTIONS(2182), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2174), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2176), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2168), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [38971] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2166), 1,
      anon_sym_EQ,
    ACTIONS(2178), 1,
      anon_sym_or,
    ACTIONS(2180), 1,
      anon_sym_and,
    ACTIONS(2186), 1,
      anon_sym_orelse,
    ACTIONS(2190), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2194), 1,
      anon_sym_catch,
    ACTIONS(2184), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2192), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2172), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2188), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2322), 3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
    ACTIONS(2182), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2174), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2176), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2168), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [39074] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2022), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2166), 1,
      anon_sym_EQ,
    ACTIONS(2178), 1,
      anon_sym_or,
    ACTIONS(2180), 1,
      anon_sym_and,
    ACTIONS(2186), 1,
      anon_sym_orelse,
    ACTIONS(2190), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2194), 1,
      anon_sym_catch,
    ACTIONS(2184), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2192), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2172), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2188), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2325), 3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_GT,
    ACTIONS(2182), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2174), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2176), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2168), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [39177] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2291), 1,
      anon_sym_COMMA,
    ACTIONS(2293), 1,
      anon_sym_EQ,
    ACTIONS(2295), 1,
      anon_sym_SEMI,
    STATE(1660), 1,
      aux_sym__variable_declaration_expression_statement_repeat1,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2297), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [39284] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2291), 1,
      anon_sym_COMMA,
    ACTIONS(2293), 1,
      anon_sym_EQ,
    ACTIONS(2295), 1,
      anon_sym_SEMI,
    STATE(1660), 1,
      aux_sym__variable_declaration_expression_statement_repeat1,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2297), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [39391] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2291), 1,
      anon_sym_COMMA,
    ACTIONS(2293), 1,
      anon_sym_EQ,
    ACTIONS(2295), 1,
      anon_sym_SEMI,
    STATE(1660), 1,
      aux_sym__variable_declaration_expression_statement_repeat1,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2297), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [39498] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2291), 1,
      anon_sym_COMMA,
    ACTIONS(2293), 1,
      anon_sym_EQ,
    ACTIONS(2295), 1,
      anon_sym_SEMI,
    STATE(1660), 1,
      aux_sym__variable_declaration_expression_statement_repeat1,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2297), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [39605] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2291), 1,
      anon_sym_COMMA,
    ACTIONS(2293), 1,
      anon_sym_EQ,
    ACTIONS(2295), 1,
      anon_sym_SEMI,
    STATE(1660), 1,
      aux_sym__variable_declaration_expression_statement_repeat1,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2297), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [39712] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2328), 1,
      anon_sym_COMMA,
    ACTIONS(2330), 1,
      anon_sym_RBRACE,
    STATE(1604), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [39819] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2291), 1,
      anon_sym_COMMA,
    ACTIONS(2293), 1,
      anon_sym_EQ,
    ACTIONS(2295), 1,
      anon_sym_SEMI,
    STATE(1660), 1,
      aux_sym__variable_declaration_expression_statement_repeat1,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2297), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [39926] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1631), 1,
      anon_sym_BANG,
    ACTIONS(1405), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    ACTIONS(932), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(934), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [39995] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2136), 1,
      anon_sym_EQ,
    ACTIONS(2146), 1,
      anon_sym_or,
    ACTIONS(2148), 1,
      anon_sym_and,
    ACTIONS(2154), 1,
      anon_sym_orelse,
    ACTIONS(2158), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2162), 1,
      anon_sym_catch,
    ACTIONS(2332), 1,
      anon_sym_COLON,
    ACTIONS(2334), 1,
      anon_sym_RPAREN,
    STATE(1795), 1,
      sym_asm_output,
    ACTIONS(2152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2160), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2140), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2156), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2150), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2142), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2144), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2138), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [40102] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2336), 1,
      anon_sym_COMMA,
    ACTIONS(2338), 1,
      anon_sym_RPAREN,
    ACTIONS(2340), 1,
      anon_sym_DOT_DOT,
    STATE(1677), 1,
      aux_sym__for_prefix_repeat1,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [40209] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2342), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [40312] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1631), 1,
      anon_sym_BANG,
    ACTIONS(1413), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    ACTIONS(932), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(934), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [40381] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2344), 1,
      anon_sym_COMMA,
    ACTIONS(2346), 1,
      anon_sym_RBRACE,
    STATE(1644), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [40488] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2348), 1,
      anon_sym_COMMA,
    ACTIONS(2350), 1,
      anon_sym_RPAREN,
    STATE(1587), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [40595] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2352), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [40698] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2354), 1,
      anon_sym_COMMA,
    ACTIONS(2356), 1,
      anon_sym_RPAREN,
    STATE(1606), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [40805] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2358), 1,
      anon_sym_COMMA,
    ACTIONS(2360), 1,
      anon_sym_RPAREN,
    STATE(1589), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [40912] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2136), 1,
      anon_sym_EQ,
    ACTIONS(2146), 1,
      anon_sym_or,
    ACTIONS(2148), 1,
      anon_sym_and,
    ACTIONS(2154), 1,
      anon_sym_orelse,
    ACTIONS(2158), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2162), 1,
      anon_sym_catch,
    ACTIONS(2332), 1,
      anon_sym_COLON,
    ACTIONS(2362), 1,
      anon_sym_RPAREN,
    STATE(1785), 1,
      sym_asm_output,
    ACTIONS(2152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2160), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2140), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2156), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2150), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2142), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2144), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2138), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [41019] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2364), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [41122] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2366), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [41225] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2136), 1,
      anon_sym_EQ,
    ACTIONS(2146), 1,
      anon_sym_or,
    ACTIONS(2148), 1,
      anon_sym_and,
    ACTIONS(2154), 1,
      anon_sym_orelse,
    ACTIONS(2158), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2162), 1,
      anon_sym_catch,
    ACTIONS(2332), 1,
      anon_sym_COLON,
    ACTIONS(2368), 1,
      anon_sym_RPAREN,
    STATE(1770), 1,
      sym_asm_output,
    ACTIONS(2152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2160), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2140), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2156), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2150), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2142), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2144), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2138), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [41332] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2136), 1,
      anon_sym_EQ,
    ACTIONS(2146), 1,
      anon_sym_or,
    ACTIONS(2148), 1,
      anon_sym_and,
    ACTIONS(2154), 1,
      anon_sym_orelse,
    ACTIONS(2158), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2162), 1,
      anon_sym_catch,
    ACTIONS(2332), 1,
      anon_sym_COLON,
    ACTIONS(2370), 1,
      anon_sym_RPAREN,
    STATE(1841), 1,
      sym_asm_output,
    ACTIONS(2152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2160), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2140), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2156), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2150), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2142), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2144), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2138), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [41439] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2136), 1,
      anon_sym_EQ,
    ACTIONS(2146), 1,
      anon_sym_or,
    ACTIONS(2148), 1,
      anon_sym_and,
    ACTIONS(2154), 1,
      anon_sym_orelse,
    ACTIONS(2158), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2162), 1,
      anon_sym_catch,
    ACTIONS(2372), 1,
      anon_sym_COLON,
    ACTIONS(2374), 1,
      anon_sym_RBRACK,
    ACTIONS(2152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2160), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2140), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2156), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2150), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2142), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2144), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2138), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [41543] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1835), 1,
      anon_sym_COMMA,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2295), 1,
      anon_sym_SEMI,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [41647] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2376), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [41749] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1903), 1,
      anon_sym_COMMA,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2378), 1,
      anon_sym_SEMI,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [41853] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2136), 1,
      anon_sym_EQ,
    ACTIONS(2146), 1,
      anon_sym_or,
    ACTIONS(2148), 1,
      anon_sym_and,
    ACTIONS(2154), 1,
      anon_sym_orelse,
    ACTIONS(2158), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2162), 1,
      anon_sym_catch,
    ACTIONS(2380), 1,
      anon_sym_COLON,
    ACTIONS(2382), 1,
      anon_sym_RBRACK,
    ACTIONS(2152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2160), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2140), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2156), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2150), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2142), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2144), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2138), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [41957] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2384), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [42059] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2386), 2,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [42161] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1631), 1,
      anon_sym_BANG,
    ACTIONS(2388), 1,
      anon_sym_RPAREN,
    ACTIONS(932), 22,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
      anon_sym_DOT,
    ACTIONS(934), 32,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
      anon_sym_DOT_STAR,
      anon_sym_DOT_QMARK,
  [42229] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2136), 1,
      anon_sym_EQ,
    ACTIONS(2146), 1,
      anon_sym_or,
    ACTIONS(2148), 1,
      anon_sym_and,
    ACTIONS(2154), 1,
      anon_sym_orelse,
    ACTIONS(2158), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2162), 1,
      anon_sym_catch,
    ACTIONS(2390), 1,
      anon_sym_COLON,
    ACTIONS(2392), 1,
      anon_sym_RBRACK,
    ACTIONS(2152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2160), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2140), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2156), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2150), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2142), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2144), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2138), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [42333] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2396), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2394), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [42435] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2136), 1,
      anon_sym_EQ,
    ACTIONS(2146), 1,
      anon_sym_or,
    ACTIONS(2148), 1,
      anon_sym_and,
    ACTIONS(2154), 1,
      anon_sym_orelse,
    ACTIONS(2158), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2162), 1,
      anon_sym_catch,
    ACTIONS(2398), 1,
      anon_sym_COLON,
    ACTIONS(2400), 1,
      anon_sym_RBRACK,
    ACTIONS(2152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2160), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2140), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2156), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2150), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2142), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2144), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2138), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [42539] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2136), 1,
      anon_sym_EQ,
    ACTIONS(2146), 1,
      anon_sym_or,
    ACTIONS(2148), 1,
      anon_sym_and,
    ACTIONS(2154), 1,
      anon_sym_orelse,
    ACTIONS(2158), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2162), 1,
      anon_sym_catch,
    ACTIONS(2402), 1,
      anon_sym_COLON,
    ACTIONS(2404), 1,
      anon_sym_RBRACK,
    ACTIONS(2152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2160), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2140), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2156), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2150), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2142), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2144), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2138), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [42643] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2406), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [42745] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2136), 1,
      anon_sym_EQ,
    ACTIONS(2146), 1,
      anon_sym_or,
    ACTIONS(2148), 1,
      anon_sym_and,
    ACTIONS(2154), 1,
      anon_sym_orelse,
    ACTIONS(2158), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2162), 1,
      anon_sym_catch,
    ACTIONS(2408), 1,
      anon_sym_COLON,
    ACTIONS(2410), 1,
      anon_sym_RPAREN,
    ACTIONS(2152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2160), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2140), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2156), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2150), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2142), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2144), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2138), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [42849] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2412), 1,
      anon_sym_RPAREN,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [42950] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2414), 1,
      anon_sym_RBRACK,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [43051] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2295), 1,
      anon_sym_SEMI,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [43152] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2416), 1,
      anon_sym_RPAREN,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [43253] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2418), 1,
      anon_sym_RPAREN,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [43354] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2420), 1,
      anon_sym_RBRACK,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [43455] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2422), 1,
      anon_sym_SEMI,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [43556] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2424), 1,
      anon_sym_SEMI,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [43657] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2426), 1,
      anon_sym_RPAREN,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [43758] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2428), 1,
      anon_sym_SEMI,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [43859] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2430), 1,
      anon_sym_SEMI,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [43960] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2432), 1,
      anon_sym_RPAREN,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [44061] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2434), 1,
      anon_sym_RBRACK,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [44162] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2436), 1,
      anon_sym_RPAREN,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [44263] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2438), 1,
      anon_sym_SEMI,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [44364] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2440), 1,
      anon_sym_SEMI,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [44465] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2442), 1,
      anon_sym_RPAREN,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [44566] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2444), 1,
      anon_sym_RPAREN,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [44667] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2446), 1,
      anon_sym_SEMI,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [44768] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2448), 1,
      anon_sym_RPAREN,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [44869] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2450), 1,
      anon_sym_RPAREN,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [44970] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2452), 1,
      anon_sym_RPAREN,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [45071] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2454), 1,
      anon_sym_RPAREN,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [45172] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2456), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1761), 21,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1759), 28,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_else,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_orelse,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_catch,
  [45247] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2458), 1,
      anon_sym_RPAREN,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [45348] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2460), 1,
      anon_sym_SEMI,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [45449] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(1963), 1,
      anon_sym_else,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2456), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [45550] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2462), 1,
      anon_sym_RPAREN,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [45651] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2464), 1,
      anon_sym_SEMI,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [45752] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2466), 1,
      anon_sym_RPAREN,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [45853] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2468), 1,
      anon_sym_RPAREN,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [45954] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2470), 1,
      anon_sym_SEMI,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46055] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2472), 1,
      anon_sym_SEMI,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46156] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2474), 1,
      anon_sym_RBRACK,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46257] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2476), 1,
      anon_sym_RBRACK,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46358] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2478), 1,
      anon_sym_RPAREN,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46459] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2480), 1,
      anon_sym_SEMI,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46560] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2482), 1,
      anon_sym_RPAREN,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46661] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2484), 1,
      anon_sym_RBRACK,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46762] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2486), 1,
      anon_sym_RPAREN,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46863] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2488), 1,
      anon_sym_RPAREN,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46964] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2490), 1,
      anon_sym_RBRACK,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [47065] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2492), 1,
      anon_sym_RBRACK,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [47166] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2494), 1,
      anon_sym_RBRACK,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [47267] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2496), 1,
      anon_sym_SEMI,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [47368] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2498), 1,
      anon_sym_RBRACK,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [47469] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2500), 1,
      anon_sym_COMMA,
    ACTIONS(2502), 1,
      anon_sym_EQ,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [47570] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2504), 1,
      anon_sym_SEMI,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [47671] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2506), 1,
      anon_sym_RPAREN,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [47772] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2136), 1,
      anon_sym_EQ,
    ACTIONS(2146), 1,
      anon_sym_or,
    ACTIONS(2148), 1,
      anon_sym_and,
    ACTIONS(2154), 1,
      anon_sym_orelse,
    ACTIONS(2158), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2162), 1,
      anon_sym_catch,
    ACTIONS(2508), 1,
      anon_sym_COLON,
    ACTIONS(2152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2160), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(2140), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2156), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(2150), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2142), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(2144), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(2138), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [47873] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2510), 1,
      anon_sym_SEMI,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [47974] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(1963), 1,
      anon_sym_else,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [48075] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2512), 1,
      anon_sym_RBRACK,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [48176] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2514), 1,
      anon_sym_RPAREN,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [48277] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2516), 1,
      anon_sym_RPAREN,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [48378] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2518), 1,
      anon_sym_RPAREN,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [48479] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2520), 1,
      anon_sym_RPAREN,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [48580] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2522), 1,
      anon_sym_RPAREN,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [48681] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2524), 1,
      anon_sym_RPAREN,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [48782] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2526), 1,
      anon_sym_RPAREN,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [48883] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2528), 1,
      anon_sym_RPAREN,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [48984] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2530), 1,
      anon_sym_SEMI,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [49085] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2532), 1,
      anon_sym_RPAREN,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [49186] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2534), 1,
      anon_sym_RPAREN,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [49287] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2536), 1,
      anon_sym_RPAREN,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [49388] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2456), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [49486] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [49584] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1581), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [49682] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2020), 1,
      anon_sym_LPAREN,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_DOT,
    ACTIONS(2028), 1,
      anon_sym_DOT_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(2456), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [49780] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_DOT,
    ACTIONS(1613), 1,
      anon_sym_DOT_STAR,
    ACTIONS(1615), 1,
      anon_sym_DOT_QMARK,
    ACTIONS(1923), 1,
      anon_sym_EQ,
    ACTIONS(1933), 1,
      anon_sym_or,
    ACTIONS(1935), 1,
      anon_sym_and,
    ACTIONS(1941), 1,
      anon_sym_orelse,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1949), 1,
      anon_sym_catch,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1939), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1947), 2,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
    ACTIONS(1927), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1943), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_PIPE,
    ACTIONS(1937), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1929), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_PERCENT,
      anon_sym_STAR_PIPE,
    ACTIONS(1931), 6,
      anon_sym_DASH,
      anon_sym_DASH_PERCENT,
      anon_sym_PLUS,
      anon_sym_PLUS_PERCENT,
      anon_sym_PLUS_PIPE,
      anon_sym_DASH_PIPE,
    ACTIONS(1925), 17,
      anon_sym_STAR_EQ,
      anon_sym_STAR_PERCENT_EQ,
      anon_sym_STAR_PIPE_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_PLUS_PERCENT_EQ,
      anon_sym_PLUS_PIPE_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DASH_PERCENT_EQ,
      anon_sym_DASH_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_LT_LT_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [49878] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2538), 1,
      anon_sym_test,
    ACTIONS(2540), 1,
      anon_sym_comptime,
    ACTIONS(2542), 1,
      anon_sym_export,
    ACTIONS(2544), 1,
      anon_sym_extern,
    ACTIONS(2546), 1,
      anon_sym_threadlocal,
    ACTIONS(2552), 1,
      anon_sym_fn,
    ACTIONS(2554), 1,
      anon_sym_usingnamespace,
    STATE(1611), 1,
      sym__function_prototype,
    STATE(1687), 1,
      sym__variable_declaration_header,
    ACTIONS(2548), 2,
      anon_sym_const,
      anon_sym_var,
    ACTIONS(2550), 2,
      anon_sym_inline,
      anon_sym_noinline,
  [49917] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_DQUOTE,
    ACTIONS(2546), 1,
      anon_sym_threadlocal,
    ACTIONS(2552), 1,
      anon_sym_fn,
    ACTIONS(2556), 1,
      anon_sym_struct,
    ACTIONS(2558), 1,
      anon_sym_opaque,
    ACTIONS(2560), 1,
      anon_sym_enum,
    ACTIONS(2562), 1,
      anon_sym_union,
    STATE(1513), 1,
      sym_string,
    STATE(1680), 1,
      sym__function_prototype,
    STATE(1692), 1,
      sym__variable_declaration_header,
    ACTIONS(2548), 2,
      anon_sym_const,
      anon_sym_var,
  [49955] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(2564), 1,
      anon_sym_inline,
    ACTIONS(2566), 1,
      anon_sym_for,
    ACTIONS(2568), 1,
      anon_sym_while,
    ACTIONS(2570), 1,
      anon_sym_switch,
    STATE(233), 1,
      sym__for_prefix,
    STATE(234), 1,
      sym__while_prefix,
    STATE(685), 1,
      sym_block,
    STATE(765), 2,
      sym_for_statement,
      sym_while_statement,
  [49987] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1917), 1,
      anon_sym_align,
    ACTIONS(1919), 1,
      anon_sym_addrspace,
    ACTIONS(1921), 1,
      anon_sym_linksection,
    ACTIONS(2574), 1,
      anon_sym_COLON,
    STATE(1505), 1,
      sym_byte_alignment,
    STATE(1521), 1,
      sym_address_space,
    STATE(1641), 1,
      sym_link_section,
    ACTIONS(2572), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_SEMI,
  [50017] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1917), 1,
      anon_sym_align,
    ACTIONS(1919), 1,
      anon_sym_addrspace,
    ACTIONS(1921), 1,
      anon_sym_linksection,
    STATE(1503), 1,
      sym_byte_alignment,
    STATE(1544), 1,
      sym_address_space,
    STATE(1654), 1,
      sym_link_section,
    ACTIONS(1913), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_SEMI,
  [50044] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_LBRACE,
    ACTIONS(2566), 1,
      anon_sym_for,
    ACTIONS(2568), 1,
      anon_sym_while,
    ACTIONS(2576), 1,
      anon_sym_inline,
    ACTIONS(2578), 1,
      anon_sym_switch,
    STATE(536), 1,
      sym__for_prefix,
    STATE(548), 1,
      sym__while_prefix,
    STATE(1047), 1,
      sym_block,
  [50072] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(2566), 1,
      anon_sym_for,
    ACTIONS(2568), 1,
      anon_sym_while,
    ACTIONS(2570), 1,
      anon_sym_switch,
    ACTIONS(2580), 1,
      anon_sym_inline,
    STATE(495), 1,
      sym__for_prefix,
    STATE(509), 1,
      sym__while_prefix,
    STATE(801), 1,
      sym_block,
  [50100] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_LBRACE,
    ACTIONS(2566), 1,
      anon_sym_for,
    ACTIONS(2568), 1,
      anon_sym_while,
    ACTIONS(2578), 1,
      anon_sym_switch,
    ACTIONS(2582), 1,
      anon_sym_inline,
    STATE(389), 1,
      sym__for_prefix,
    STATE(678), 1,
      sym__while_prefix,
    STATE(1047), 1,
      sym_block,
  [50128] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_DQUOTE,
    ACTIONS(2552), 1,
      anon_sym_fn,
    ACTIONS(2584), 1,
      anon_sym_threadlocal,
    STATE(1507), 1,
      sym_string,
    STATE(1620), 1,
      sym__function_prototype,
    STATE(1735), 1,
      sym__variable_declaration_header,
    ACTIONS(2548), 2,
      anon_sym_const,
      anon_sym_var,
  [50154] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(2566), 1,
      anon_sym_for,
    ACTIONS(2568), 1,
      anon_sym_while,
    ACTIONS(2570), 1,
      anon_sym_switch,
    ACTIONS(2582), 1,
      anon_sym_inline,
    STATE(389), 1,
      sym__for_prefix,
    STATE(678), 1,
      sym__while_prefix,
    STATE(801), 1,
      sym_block,
  [50182] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(2566), 1,
      anon_sym_for,
    ACTIONS(2568), 1,
      anon_sym_while,
    ACTIONS(2570), 1,
      anon_sym_switch,
    ACTIONS(2586), 1,
      anon_sym_inline,
    STATE(574), 1,
      sym__for_prefix,
    STATE(586), 1,
      sym__while_prefix,
    STATE(801), 1,
      sym_block,
  [50210] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(2566), 1,
      anon_sym_for,
    ACTIONS(2568), 1,
      anon_sym_while,
    ACTIONS(2570), 1,
      anon_sym_switch,
    ACTIONS(2588), 1,
      anon_sym_inline,
    STATE(612), 1,
      sym__for_prefix,
    STATE(625), 1,
      sym__while_prefix,
    STATE(801), 1,
      sym_block,
  [50238] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_LBRACE,
    ACTIONS(2566), 1,
      anon_sym_for,
    ACTIONS(2568), 1,
      anon_sym_while,
    ACTIONS(2578), 1,
      anon_sym_switch,
    ACTIONS(2590), 1,
      anon_sym_inline,
    STATE(439), 1,
      sym__for_prefix,
    STATE(455), 1,
      sym__while_prefix,
    STATE(1047), 1,
      sym_block,
  [50266] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(2566), 1,
      anon_sym_for,
    ACTIONS(2568), 1,
      anon_sym_while,
    ACTIONS(2570), 1,
      anon_sym_switch,
    ACTIONS(2582), 1,
      anon_sym_inline,
    STATE(389), 1,
      sym__for_prefix,
    STATE(678), 1,
      sym__while_prefix,
    STATE(683), 1,
      sym_block,
  [50294] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(2566), 1,
      anon_sym_for,
    ACTIONS(2568), 1,
      anon_sym_while,
    ACTIONS(2570), 1,
      anon_sym_switch,
    ACTIONS(2582), 1,
      anon_sym_inline,
    STATE(389), 1,
      sym__for_prefix,
    STATE(678), 1,
      sym__while_prefix,
    STATE(680), 1,
      sym_block,
  [50322] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_DQUOTE,
    ACTIONS(1961), 1,
      anon_sym_LBRACE,
    ACTIONS(2592), 1,
      sym__identifier,
    ACTIONS(2594), 1,
      anon_sym_AT,
    STATE(726), 1,
      sym_block,
    STATE(1683), 2,
      sym_string,
      sym_identifier,
  [50345] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1919), 1,
      anon_sym_addrspace,
    ACTIONS(1921), 1,
      anon_sym_linksection,
    STATE(1539), 1,
      sym_address_space,
    STATE(1645), 1,
      sym_link_section,
    ACTIONS(2596), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_SEMI,
  [50366] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_DQUOTE,
    ACTIONS(1961), 1,
      anon_sym_LBRACE,
    ACTIONS(2592), 1,
      sym__identifier,
    ACTIONS(2594), 1,
      anon_sym_AT,
    STATE(696), 1,
      sym_block,
    STATE(1747), 2,
      sym_string,
      sym_identifier,
  [50389] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1919), 1,
      anon_sym_addrspace,
    ACTIONS(1921), 1,
      anon_sym_linksection,
    STATE(1545), 1,
      sym_address_space,
    STATE(1637), 1,
      sym_link_section,
    ACTIONS(2598), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_SEMI,
  [50410] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1917), 1,
      anon_sym_align,
    ACTIONS(2600), 1,
      anon_sym_EQ,
    STATE(1552), 1,
      sym_byte_alignment,
    ACTIONS(1988), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [50428] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2552), 1,
      anon_sym_fn,
    ACTIONS(2602), 1,
      anon_sym_threadlocal,
    STATE(1633), 1,
      sym__function_prototype,
    STATE(1748), 1,
      sym__variable_declaration_header,
    ACTIONS(2548), 2,
      anon_sym_const,
      anon_sym_var,
  [50448] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1917), 1,
      anon_sym_align,
    ACTIONS(2604), 1,
      anon_sym_EQ,
    STATE(1557), 1,
      sym_byte_alignment,
    ACTIONS(1994), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [50466] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1917), 1,
      anon_sym_align,
    ACTIONS(2606), 1,
      anon_sym_EQ,
    STATE(1575), 1,
      sym_byte_alignment,
    ACTIONS(1973), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [50484] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_DQUOTE,
    ACTIONS(95), 1,
      aux_sym_multiline_string_token1,
    ACTIONS(2608), 1,
      anon_sym_RPAREN,
    STATE(796), 1,
      aux_sym_multiline_string_repeat1,
    STATE(1639), 2,
      sym_string,
      sym_multiline_string,
  [50504] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1917), 1,
      anon_sym_align,
    ACTIONS(2610), 1,
      anon_sym_EQ,
    STATE(1549), 1,
      sym_byte_alignment,
    ACTIONS(1955), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [50522] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2552), 1,
      anon_sym_fn,
    ACTIONS(2566), 1,
      anon_sym_for,
    ACTIONS(2568), 1,
      anon_sym_while,
    STATE(389), 1,
      sym__for_prefix,
    STATE(390), 1,
      sym__while_prefix,
    STATE(1668), 1,
      sym__function_prototype,
  [50544] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2552), 1,
      anon_sym_fn,
    ACTIONS(2584), 1,
      anon_sym_threadlocal,
    STATE(1612), 1,
      sym__function_prototype,
    STATE(1699), 1,
      sym__variable_declaration_header,
    ACTIONS(2548), 2,
      anon_sym_const,
      anon_sym_var,
  [50564] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1917), 1,
      anon_sym_align,
    ACTIONS(2612), 1,
      anon_sym_EQ,
    STATE(1555), 1,
      sym_byte_alignment,
    ACTIONS(1967), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [50582] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1917), 1,
      anon_sym_align,
    ACTIONS(2614), 1,
      anon_sym_EQ,
    STATE(1580), 1,
      sym_byte_alignment,
    ACTIONS(1984), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [50600] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2546), 1,
      anon_sym_threadlocal,
    ACTIONS(2552), 1,
      anon_sym_fn,
    STATE(1659), 1,
      sym__function_prototype,
    STATE(1733), 1,
      sym__variable_declaration_header,
    ACTIONS(2548), 2,
      anon_sym_const,
      anon_sym_var,
  [50620] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_DQUOTE,
    ACTIONS(95), 1,
      aux_sym_multiline_string_token1,
    ACTIONS(2616), 1,
      anon_sym_RPAREN,
    STATE(796), 1,
      aux_sym_multiline_string_repeat1,
    STATE(1688), 2,
      sym_string,
      sym_multiline_string,
  [50640] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_DQUOTE,
    ACTIONS(95), 1,
      aux_sym_multiline_string_token1,
    ACTIONS(2618), 1,
      anon_sym_RPAREN,
    STATE(796), 1,
      aux_sym_multiline_string_repeat1,
    STATE(1688), 2,
      sym_string,
      sym_multiline_string,
  [50660] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2620), 1,
      anon_sym_COLON,
    ACTIONS(2622), 1,
      anon_sym_RPAREN,
    ACTIONS(2624), 1,
      anon_sym_LBRACK,
    STATE(1646), 1,
      sym_asm_output_item,
    STATE(1840), 1,
      sym_asm_input,
  [50679] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_DQUOTE,
    ACTIONS(95), 1,
      aux_sym_multiline_string_token1,
    STATE(796), 1,
      aux_sym_multiline_string_repeat1,
    STATE(1776), 2,
      sym_string,
      sym_multiline_string,
  [50696] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_linksection,
    STATE(1637), 1,
      sym_link_section,
    ACTIONS(2598), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_SEMI,
  [50711] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_DQUOTE,
    ACTIONS(95), 1,
      aux_sym_multiline_string_token1,
    STATE(796), 1,
      aux_sym_multiline_string_repeat1,
    STATE(1688), 2,
      sym_string,
      sym_multiline_string,
  [50728] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2626), 1,
      anon_sym_COMMA,
    ACTIONS(2628), 1,
      anon_sym_COLON,
    ACTIONS(2630), 1,
      anon_sym_RPAREN,
    STATE(1527), 1,
      aux_sym_asm_input_repeat1,
    STATE(1814), 1,
      sym_asm_clobbers,
  [50747] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1319), 1,
      anon_sym_LBRACE,
    ACTIONS(2592), 1,
      sym__identifier,
    ACTIONS(2594), 1,
      anon_sym_AT,
    STATE(856), 1,
      sym_initializer_list,
    STATE(1267), 1,
      sym_identifier,
  [50766] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2620), 1,
      anon_sym_COLON,
    ACTIONS(2624), 1,
      anon_sym_LBRACK,
    ACTIONS(2632), 1,
      anon_sym_RPAREN,
    STATE(1646), 1,
      sym_asm_output_item,
    STATE(1829), 1,
      sym_asm_input,
  [50785] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_DQUOTE,
    ACTIONS(95), 1,
      aux_sym_multiline_string_token1,
    STATE(796), 1,
      aux_sym_multiline_string_repeat1,
    STATE(1813), 2,
      sym_string,
      sym_multiline_string,
  [50802] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2628), 1,
      anon_sym_COLON,
    ACTIONS(2634), 1,
      anon_sym_COMMA,
    ACTIONS(2636), 1,
      anon_sym_RPAREN,
    STATE(1550), 1,
      aux_sym_asm_input_repeat1,
    STATE(1757), 1,
      sym_asm_clobbers,
  [50821] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2592), 1,
      sym__identifier,
    ACTIONS(2594), 1,
      anon_sym_AT,
    ACTIONS(2638), 1,
      anon_sym_PIPE,
    ACTIONS(2640), 1,
      anon_sym_STAR,
    STATE(1685), 1,
      sym_identifier,
  [50840] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2642), 5,
      anon_sym_inline,
      anon_sym_LBRACE,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
  [50851] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2620), 1,
      anon_sym_COLON,
    ACTIONS(2622), 1,
      anon_sym_RPAREN,
    ACTIONS(2644), 1,
      anon_sym_COMMA,
    STATE(1574), 1,
      aux_sym_asm_output_repeat1,
    STATE(1840), 1,
      sym_asm_input,
  [50870] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2592), 1,
      sym__identifier,
    ACTIONS(2594), 1,
      anon_sym_AT,
    ACTIONS(2646), 1,
      anon_sym_LPAREN,
    STATE(99), 1,
      sym_parameters,
    STATE(1715), 1,
      sym_identifier,
  [50889] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2000), 1,
      anon_sym_LBRACE,
    ACTIONS(2648), 1,
      sym__identifier,
    ACTIONS(2650), 1,
      anon_sym_AT,
    STATE(1218), 1,
      sym_initializer_list,
    STATE(1219), 1,
      sym_identifier,
  [50908] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2592), 1,
      sym__identifier,
    ACTIONS(2594), 1,
      anon_sym_AT,
    ACTIONS(2646), 1,
      anon_sym_LPAREN,
    STATE(98), 1,
      sym_parameters,
    STATE(1705), 1,
      sym_identifier,
  [50927] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2628), 1,
      anon_sym_COLON,
    ACTIONS(2652), 1,
      anon_sym_RPAREN,
    ACTIONS(2654), 1,
      anon_sym_LBRACK,
    STATE(1523), 1,
      sym_asm_input_item,
    STATE(1784), 1,
      sym_asm_clobbers,
  [50946] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2592), 1,
      sym__identifier,
    ACTIONS(2594), 1,
      anon_sym_AT,
    ACTIONS(2640), 1,
      anon_sym_STAR,
    ACTIONS(2656), 1,
      anon_sym_PIPE,
    STATE(1685), 1,
      sym_identifier,
  [50965] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1319), 1,
      anon_sym_LBRACE,
    ACTIONS(2592), 1,
      sym__identifier,
    ACTIONS(2594), 1,
      anon_sym_AT,
    STATE(856), 1,
      sym_initializer_list,
    STATE(857), 1,
      sym_identifier,
  [50984] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2620), 1,
      anon_sym_COLON,
    ACTIONS(2658), 1,
      anon_sym_COMMA,
    ACTIONS(2660), 1,
      anon_sym_RPAREN,
    STATE(1530), 1,
      aux_sym_asm_output_repeat1,
    STATE(1791), 1,
      sym_asm_input,
  [51003] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2628), 1,
      anon_sym_COLON,
    ACTIONS(2636), 1,
      anon_sym_RPAREN,
    ACTIONS(2654), 1,
      anon_sym_LBRACK,
    STATE(1593), 1,
      sym_asm_input_item,
    STATE(1757), 1,
      sym_asm_clobbers,
  [51022] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_linksection,
    STATE(1634), 1,
      sym_link_section,
    ACTIONS(2662), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_SEMI,
  [51037] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2628), 1,
      anon_sym_COLON,
    ACTIONS(2654), 1,
      anon_sym_LBRACK,
    ACTIONS(2664), 1,
      anon_sym_RPAREN,
    STATE(1593), 1,
      sym_asm_input_item,
    STATE(1781), 1,
      sym_asm_clobbers,
  [51056] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2666), 5,
      anon_sym_inline,
      anon_sym_LBRACE,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
  [51067] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2592), 1,
      sym__identifier,
    ACTIONS(2594), 1,
      anon_sym_AT,
    ACTIONS(2640), 1,
      anon_sym_STAR,
    ACTIONS(2668), 1,
      anon_sym_PIPE,
    STATE(1685), 1,
      sym_identifier,
  [51086] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2620), 1,
      anon_sym_COLON,
    ACTIONS(2624), 1,
      anon_sym_LBRACK,
    ACTIONS(2670), 1,
      anon_sym_RPAREN,
    STATE(1537), 1,
      sym_asm_output_item,
    STATE(1832), 1,
      sym_asm_input,
  [51105] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_linksection,
    STATE(1645), 1,
      sym_link_section,
    ACTIONS(2596), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_SEMI,
  [51120] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_linksection,
    STATE(1657), 1,
      sym_link_section,
    ACTIONS(2672), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_SEMI,
  [51135] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2592), 1,
      sym__identifier,
    ACTIONS(2594), 1,
      anon_sym_AT,
    ACTIONS(2646), 1,
      anon_sym_LPAREN,
    STATE(102), 1,
      sym_parameters,
    STATE(1693), 1,
      sym_identifier,
  [51154] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2592), 1,
      sym__identifier,
    ACTIONS(2594), 1,
      anon_sym_AT,
    ACTIONS(2646), 1,
      anon_sym_LPAREN,
    STATE(103), 1,
      sym_parameters,
    STATE(1702), 1,
      sym_identifier,
  [51173] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2592), 1,
      sym__identifier,
    ACTIONS(2594), 1,
      anon_sym_AT,
    ACTIONS(2674), 1,
      anon_sym_DASH_GT,
    STATE(1803), 1,
      sym_identifier,
  [51189] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2678), 1,
      anon_sym_EQ,
    ACTIONS(2676), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [51201] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2680), 1,
      anon_sym_COMMA,
    STATE(1550), 1,
      aux_sym_asm_input_repeat1,
    ACTIONS(2683), 2,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [51215] = 5,
    ACTIONS(2685), 1,
      anon_sym_DQUOTE,
    ACTIONS(2687), 1,
      aux_sym_string_token1,
    ACTIONS(2689), 1,
      sym_escape_sequence,
    ACTIONS(2691), 1,
      sym_comment,
    STATE(1561), 1,
      aux_sym_string_repeat1,
  [51231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2695), 1,
      anon_sym_EQ,
    ACTIONS(2693), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [51243] = 5,
    ACTIONS(2691), 1,
      sym_comment,
    ACTIONS(2697), 1,
      anon_sym_DQUOTE,
    ACTIONS(2699), 1,
      aux_sym_string_token1,
    ACTIONS(2701), 1,
      sym_escape_sequence,
    STATE(1551), 1,
      aux_sym_string_repeat1,
  [51259] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2566), 1,
      anon_sym_for,
    ACTIONS(2568), 1,
      anon_sym_while,
    STATE(321), 1,
      sym__for_prefix,
    STATE(323), 1,
      sym__while_prefix,
  [51275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2705), 1,
      anon_sym_EQ,
    ACTIONS(2703), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [51287] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2592), 1,
      sym__identifier,
    ACTIONS(2594), 1,
      anon_sym_AT,
    ACTIONS(2640), 1,
      anon_sym_STAR,
    STATE(1685), 1,
      sym_identifier,
  [51303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2709), 1,
      anon_sym_EQ,
    ACTIONS(2707), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [51315] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2592), 1,
      sym__identifier,
    ACTIONS(2594), 1,
      anon_sym_AT,
    ACTIONS(2711), 1,
      anon_sym_RBRACE,
    STATE(1630), 1,
      sym_identifier,
  [51331] = 5,
    ACTIONS(2687), 1,
      aux_sym_string_token1,
    ACTIONS(2689), 1,
      sym_escape_sequence,
    ACTIONS(2691), 1,
      sym_comment,
    ACTIONS(2713), 1,
      anon_sym_DQUOTE,
    STATE(1561), 1,
      aux_sym_string_repeat1,
  [51347] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2566), 1,
      anon_sym_for,
    ACTIONS(2568), 1,
      anon_sym_while,
    STATE(389), 1,
      sym__for_prefix,
    STATE(390), 1,
      sym__while_prefix,
  [51363] = 5,
    ACTIONS(2691), 1,
      sym_comment,
    ACTIONS(2715), 1,
      anon_sym_DQUOTE,
    ACTIONS(2717), 1,
      aux_sym_string_token1,
    ACTIONS(2720), 1,
      sym_escape_sequence,
    STATE(1561), 1,
      aux_sym_string_repeat1,
  [51379] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2566), 1,
      anon_sym_for,
    ACTIONS(2568), 1,
      anon_sym_while,
    STATE(362), 1,
      sym__for_prefix,
    STATE(363), 1,
      sym__while_prefix,
  [51395] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2592), 1,
      sym__identifier,
    ACTIONS(2594), 1,
      anon_sym_AT,
    ACTIONS(2723), 1,
      anon_sym_RBRACE,
    STATE(1690), 1,
      sym_identifier,
  [51411] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2725), 1,
      anon_sym_struct,
    ACTIONS(2727), 1,
      anon_sym_opaque,
    ACTIONS(2729), 1,
      anon_sym_enum,
    ACTIONS(2731), 1,
      anon_sym_union,
  [51427] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2556), 1,
      anon_sym_struct,
    ACTIONS(2558), 1,
      anon_sym_opaque,
    ACTIONS(2560), 1,
      anon_sym_enum,
    ACTIONS(2562), 1,
      anon_sym_union,
  [51443] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2566), 1,
      anon_sym_for,
    ACTIONS(2568), 1,
      anon_sym_while,
    STATE(219), 1,
      sym__for_prefix,
    STATE(220), 1,
      sym__while_prefix,
  [51459] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2592), 1,
      sym__identifier,
    ACTIONS(2594), 1,
      anon_sym_AT,
    ACTIONS(2733), 1,
      anon_sym_RBRACE,
    STATE(1690), 1,
      sym_identifier,
  [51475] = 5,
    ACTIONS(2691), 1,
      sym_comment,
    ACTIONS(2735), 1,
      anon_sym_DQUOTE,
    ACTIONS(2737), 1,
      aux_sym_string_token1,
    ACTIONS(2739), 1,
      sym_escape_sequence,
    STATE(1559), 1,
      aux_sym_string_repeat1,
  [51491] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2566), 1,
      anon_sym_for,
    ACTIONS(2568), 1,
      anon_sym_while,
    STATE(495), 1,
      sym__for_prefix,
    STATE(496), 1,
      sym__while_prefix,
  [51507] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2741), 1,
      anon_sym_COMMA,
    STATE(1570), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(2366), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
  [51521] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2592), 1,
      sym__identifier,
    ACTIONS(2594), 1,
      anon_sym_AT,
    ACTIONS(2744), 1,
      anon_sym_STAR,
    STATE(1607), 1,
      sym_identifier,
  [51537] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2566), 1,
      anon_sym_for,
    ACTIONS(2568), 1,
      anon_sym_while,
    STATE(514), 1,
      sym__for_prefix,
    STATE(515), 1,
      sym__while_prefix,
  [51553] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2592), 1,
      sym__identifier,
    ACTIONS(2594), 1,
      anon_sym_AT,
    ACTIONS(2746), 1,
      anon_sym_RBRACE,
    STATE(1631), 1,
      sym_identifier,
  [51569] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2748), 1,
      anon_sym_COMMA,
    STATE(1574), 1,
      aux_sym_asm_output_repeat1,
    ACTIONS(2751), 2,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [51583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2755), 1,
      anon_sym_EQ,
    ACTIONS(2753), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [51595] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2566), 1,
      anon_sym_for,
    ACTIONS(2568), 1,
      anon_sym_while,
    STATE(536), 1,
      sym__for_prefix,
    STATE(537), 1,
      sym__while_prefix,
  [51611] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2592), 1,
      sym__identifier,
    ACTIONS(2594), 1,
      anon_sym_AT,
    ACTIONS(2757), 1,
      anon_sym_RBRACE,
    STATE(1690), 1,
      sym_identifier,
  [51627] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2566), 1,
      anon_sym_for,
    ACTIONS(2568), 1,
      anon_sym_while,
    STATE(439), 1,
      sym__for_prefix,
    STATE(440), 1,
      sym__while_prefix,
  [51643] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2566), 1,
      anon_sym_for,
    ACTIONS(2568), 1,
      anon_sym_while,
    STATE(574), 1,
      sym__for_prefix,
    STATE(575), 1,
      sym__while_prefix,
  [51659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2761), 1,
      anon_sym_EQ,
    ACTIONS(2759), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [51671] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2566), 1,
      anon_sym_for,
    ACTIONS(2568), 1,
      anon_sym_while,
    STATE(589), 1,
      sym__for_prefix,
    STATE(590), 1,
      sym__while_prefix,
  [51687] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2566), 1,
      anon_sym_for,
    ACTIONS(2568), 1,
      anon_sym_while,
    STATE(612), 1,
      sym__for_prefix,
    STATE(613), 1,
      sym__while_prefix,
  [51703] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2592), 1,
      sym__identifier,
    ACTIONS(2594), 1,
      anon_sym_AT,
    ACTIONS(2763), 1,
      anon_sym_RBRACE,
    STATE(1690), 1,
      sym_identifier,
  [51719] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2566), 1,
      anon_sym_for,
    ACTIONS(2568), 1,
      anon_sym_while,
    STATE(628), 1,
      sym__for_prefix,
    STATE(629), 1,
      sym__while_prefix,
  [51735] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2566), 1,
      anon_sym_for,
    ACTIONS(2568), 1,
      anon_sym_while,
    STATE(553), 1,
      sym__for_prefix,
    STATE(554), 1,
      sym__while_prefix,
  [51751] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2566), 1,
      anon_sym_for,
    ACTIONS(2568), 1,
      anon_sym_while,
    STATE(460), 1,
      sym__for_prefix,
    STATE(461), 1,
      sym__while_prefix,
  [51767] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(878), 1,
      anon_sym_RPAREN,
    ACTIONS(2765), 1,
      anon_sym_COMMA,
    STATE(1570), 1,
      aux_sym_call_expression_repeat1,
  [51780] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2592), 1,
      sym__identifier,
    ACTIONS(2594), 1,
      anon_sym_AT,
    STATE(1682), 1,
      sym_identifier,
  [51793] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(882), 1,
      anon_sym_RPAREN,
    ACTIONS(2767), 1,
      anon_sym_COMMA,
    STATE(1570), 1,
      aux_sym_call_expression_repeat1,
  [51806] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2656), 1,
      anon_sym_PIPE,
    ACTIONS(2769), 1,
      anon_sym_COMMA,
    STATE(1629), 1,
      aux_sym_payload_repeat1,
  [51819] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2656), 1,
      anon_sym_PIPE,
    ACTIONS(2769), 1,
      anon_sym_COMMA,
    STATE(1603), 1,
      aux_sym_payload_repeat1,
  [51832] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(922), 1,
      anon_sym_EQ_GT,
    ACTIONS(2771), 1,
      anon_sym_COMMA,
    STATE(1614), 1,
      aux_sym__switch_case_exp_repeat1,
  [51845] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2683), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [51854] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2773), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [51863] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1684), 1,
      sym__variable_declaration_header,
    ACTIONS(2548), 2,
      anon_sym_const,
      anon_sym_var,
  [51874] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2592), 1,
      sym__identifier,
    ACTIONS(2594), 1,
      anon_sym_AT,
    STATE(253), 1,
      sym_identifier,
  [51887] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2775), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [51896] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2777), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [51905] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2458), 1,
      anon_sym_RPAREN,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(2781), 1,
      anon_sym_LBRACE,
  [51918] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(916), 1,
      anon_sym_RBRACE,
    ACTIONS(2783), 1,
      anon_sym_COMMA,
    STATE(1662), 1,
      aux_sym_initializer_list_repeat1,
  [51931] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2592), 1,
      sym__identifier,
    ACTIONS(2594), 1,
      anon_sym_AT,
    STATE(1590), 1,
      sym_identifier,
  [51944] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2787), 1,
      anon_sym_COMMA,
    ACTIONS(2785), 2,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [51955] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2789), 1,
      anon_sym_COMMA,
    ACTIONS(2792), 1,
      anon_sym_PIPE,
    STATE(1603), 1,
      aux_sym_payload_repeat1,
  [51968] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(912), 1,
      anon_sym_RBRACE,
    ACTIONS(2794), 1,
      anon_sym_COMMA,
    STATE(1570), 1,
      aux_sym_call_expression_repeat1,
  [51981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2787), 1,
      anon_sym_COMMA,
    ACTIONS(497), 2,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
  [51992] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(886), 1,
      anon_sym_RPAREN,
    ACTIONS(2796), 1,
      anon_sym_COMMA,
    STATE(1570), 1,
      aux_sym_call_expression_repeat1,
  [52005] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2798), 1,
      anon_sym_COMMA,
    ACTIONS(2800), 1,
      anon_sym_PIPE,
    STATE(1591), 1,
      aux_sym_payload_repeat1,
  [52018] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(912), 1,
      anon_sym_RBRACE,
    ACTIONS(2802), 1,
      anon_sym_DOT,
    STATE(1720), 1,
      sym_field_initializer,
  [52031] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2291), 1,
      anon_sym_COMMA,
    ACTIONS(2804), 1,
      anon_sym_EQ,
    STATE(1664), 1,
      aux_sym__variable_declaration_expression_statement_repeat1,
  [52044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1701), 1,
      sym__variable_declaration_header,
    ACTIONS(2548), 2,
      anon_sym_const,
      anon_sym_var,
  [52055] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1961), 1,
      anon_sym_LBRACE,
    ACTIONS(2806), 1,
      anon_sym_SEMI,
    STATE(702), 1,
      sym_block,
  [52068] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1961), 1,
      anon_sym_LBRACE,
    ACTIONS(2808), 1,
      anon_sym_SEMI,
    STATE(694), 1,
      sym_block,
  [52081] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(908), 1,
      anon_sym_EQ_GT,
    ACTIONS(2315), 1,
      anon_sym_COMMA,
    STATE(1614), 1,
      aux_sym__switch_case_exp_repeat1,
  [52094] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2311), 1,
      anon_sym_EQ_GT,
    ACTIONS(2810), 1,
      anon_sym_COMMA,
    STATE(1614), 1,
      aux_sym__switch_case_exp_repeat1,
  [52107] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2466), 1,
      anon_sym_RPAREN,
    ACTIONS(2781), 1,
      anon_sym_LBRACE,
    ACTIONS(2813), 1,
      anon_sym_LPAREN,
  [52120] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(788), 1,
      anon_sym_RPAREN,
    ACTIONS(2815), 1,
      anon_sym_COMMA,
    STATE(1675), 1,
      aux_sym_parameters_repeat1,
  [52133] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2330), 1,
      anon_sym_RBRACE,
    ACTIONS(2817), 1,
      anon_sym_COMMA,
    STATE(1652), 1,
      aux_sym_initializer_list_repeat1,
  [52146] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2592), 1,
      sym__identifier,
    ACTIONS(2594), 1,
      anon_sym_AT,
    STATE(853), 1,
      sym_identifier,
  [52159] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2819), 1,
      anon_sym_COMMA,
    ACTIONS(2822), 1,
      anon_sym_RBRACE,
    STATE(1619), 1,
      aux_sym_switch_expression_repeat1,
  [52172] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1961), 1,
      anon_sym_LBRACE,
    ACTIONS(2824), 1,
      anon_sym_SEMI,
    STATE(703), 1,
      sym_block,
  [52185] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1961), 1,
      anon_sym_LBRACE,
    ACTIONS(2826), 1,
      anon_sym_SEMI,
    STATE(711), 1,
      sym_block,
  [52198] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1961), 1,
      anon_sym_LBRACE,
    ACTIONS(2828), 1,
      anon_sym_SEMI,
    STATE(722), 1,
      sym_block,
  [52211] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(820), 1,
      anon_sym_RBRACE,
    ACTIONS(2830), 1,
      anon_sym_COMMA,
    STATE(1619), 1,
      aux_sym_switch_expression_repeat1,
  [52224] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2832), 1,
      anon_sym_COMMA,
    ACTIONS(2835), 1,
      anon_sym_RBRACE,
    STATE(1624), 1,
      aux_sym_error_set_declaration_repeat1,
  [52237] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2723), 1,
      anon_sym_RBRACE,
    ACTIONS(2837), 1,
      anon_sym_COMMA,
    STATE(1624), 1,
      aux_sym_error_set_declaration_repeat1,
  [52250] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym__identifier,
    ACTIONS(2650), 1,
      anon_sym_AT,
    STATE(1017), 1,
      sym_identifier,
  [52263] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2618), 1,
      anon_sym_RPAREN,
    ACTIONS(2839), 1,
      anon_sym_COMMA,
    STATE(1651), 1,
      aux_sym_asm_clobbers_repeat1,
  [52276] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2592), 1,
      sym__identifier,
    ACTIONS(2594), 1,
      anon_sym_AT,
    STATE(1490), 1,
      sym_identifier,
  [52289] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_PIPE,
    ACTIONS(2841), 1,
      anon_sym_COMMA,
    STATE(1603), 1,
      aux_sym_payload_repeat1,
  [52302] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2843), 1,
      anon_sym_COMMA,
    ACTIONS(2845), 1,
      anon_sym_RBRACE,
    STATE(1663), 1,
      aux_sym_error_set_declaration_repeat1,
  [52315] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2847), 1,
      anon_sym_COMMA,
    ACTIONS(2849), 1,
      anon_sym_RBRACE,
    STATE(1625), 1,
      aux_sym_error_set_declaration_repeat1,
  [52328] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2592), 1,
      sym__identifier,
    ACTIONS(2594), 1,
      anon_sym_AT,
    STATE(1690), 1,
      sym_identifier,
  [52341] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1961), 1,
      anon_sym_LBRACE,
    ACTIONS(2851), 1,
      anon_sym_SEMI,
    STATE(733), 1,
      sym_block,
  [52354] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2853), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_SEMI,
  [52363] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(808), 1,
      anon_sym_RBRACE,
    ACTIONS(2855), 1,
      anon_sym_COMMA,
    STATE(1658), 1,
      aux_sym_switch_expression_repeat1,
  [52376] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 1,
      anon_sym_RBRACE,
    ACTIONS(2802), 1,
      anon_sym_DOT,
    STATE(1720), 1,
      sym_field_initializer,
  [52389] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2672), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_SEMI,
  [52398] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(816), 1,
      anon_sym_RBRACE,
    ACTIONS(2857), 1,
      anon_sym_COMMA,
    STATE(1661), 1,
      aux_sym_switch_expression_repeat1,
  [52411] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2859), 1,
      anon_sym_COMMA,
    ACTIONS(2861), 1,
      anon_sym_RPAREN,
    STATE(1627), 1,
      aux_sym_asm_clobbers_repeat1,
  [52424] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 1,
      anon_sym_COMMA,
    ACTIONS(2865), 1,
      anon_sym_RPAREN,
    STATE(1647), 1,
      aux_sym__for_prefix_repeat1,
  [52437] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2598), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_SEMI,
  [52446] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym__identifier,
    ACTIONS(2650), 1,
      anon_sym_AT,
    STATE(690), 1,
      sym_identifier,
  [52459] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2291), 1,
      anon_sym_COMMA,
    ACTIONS(2867), 1,
      anon_sym_EQ,
    STATE(1609), 1,
      aux_sym__variable_declaration_expression_statement_repeat1,
  [52472] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(916), 1,
      anon_sym_RBRACE,
    ACTIONS(2869), 1,
      anon_sym_COMMA,
    STATE(1570), 1,
      aux_sym_call_expression_repeat1,
  [52485] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2662), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_SEMI,
  [52494] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2751), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [52503] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2394), 1,
      anon_sym_RPAREN,
    ACTIONS(2871), 1,
      anon_sym_COMMA,
    STATE(1647), 1,
      aux_sym__for_prefix_repeat1,
  [52516] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2592), 1,
      sym__identifier,
    ACTIONS(2594), 1,
      anon_sym_AT,
    STATE(1756), 1,
      sym_identifier,
  [52529] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(890), 1,
      anon_sym_RBRACE,
    ACTIONS(2802), 1,
      anon_sym_DOT,
    STATE(1720), 1,
      sym_field_initializer,
  [52542] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2592), 1,
      sym__identifier,
    ACTIONS(2594), 1,
      anon_sym_AT,
    STATE(849), 1,
      sym_identifier,
  [52555] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2874), 1,
      anon_sym_COMMA,
    ACTIONS(2877), 1,
      anon_sym_RPAREN,
    STATE(1651), 1,
      aux_sym_asm_clobbers_repeat1,
  [52568] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(912), 1,
      anon_sym_RBRACE,
    ACTIONS(2879), 1,
      anon_sym_COMMA,
    STATE(1662), 1,
      aux_sym_initializer_list_repeat1,
  [52581] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(902), 1,
      anon_sym_RPAREN,
    ACTIONS(2881), 1,
      anon_sym_COMMA,
    STATE(1570), 1,
      aux_sym_call_expression_repeat1,
  [52594] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2596), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_SEMI,
  [52603] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(896), 1,
      anon_sym_EQ_GT,
    ACTIONS(2244), 1,
      anon_sym_COMMA,
    STATE(1614), 1,
      aux_sym__switch_case_exp_repeat1,
  [52616] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2592), 1,
      sym__identifier,
    ACTIONS(2594), 1,
      anon_sym_AT,
    STATE(1810), 1,
      sym_identifier,
  [52629] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2883), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_SEMI,
  [52638] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(810), 1,
      anon_sym_RBRACE,
    ACTIONS(2885), 1,
      anon_sym_COMMA,
    STATE(1619), 1,
      aux_sym_switch_expression_repeat1,
  [52651] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1961), 1,
      anon_sym_LBRACE,
    ACTIONS(2887), 1,
      anon_sym_SEMI,
    STATE(707), 1,
      sym_block,
  [52664] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2291), 1,
      anon_sym_COMMA,
    ACTIONS(2889), 1,
      anon_sym_EQ,
    STATE(1664), 1,
      aux_sym__variable_declaration_expression_statement_repeat1,
  [52677] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(818), 1,
      anon_sym_RBRACE,
    ACTIONS(2891), 1,
      anon_sym_COMMA,
    STATE(1619), 1,
      aux_sym_switch_expression_repeat1,
  [52690] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2893), 1,
      anon_sym_COMMA,
    ACTIONS(2896), 1,
      anon_sym_RBRACE,
    STATE(1662), 1,
      aux_sym_initializer_list_repeat1,
  [52703] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2763), 1,
      anon_sym_RBRACE,
    ACTIONS(2898), 1,
      anon_sym_COMMA,
    STATE(1624), 1,
      aux_sym_error_set_declaration_repeat1,
  [52716] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2900), 1,
      anon_sym_COMMA,
    ACTIONS(2903), 1,
      anon_sym_EQ,
    STATE(1664), 1,
      aux_sym__variable_declaration_expression_statement_repeat1,
  [52729] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(818), 1,
      anon_sym_RBRACE,
    ACTIONS(2891), 1,
      anon_sym_COMMA,
    STATE(1623), 1,
      aux_sym_switch_expression_repeat1,
  [52742] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(810), 1,
      anon_sym_RBRACE,
    ACTIONS(2885), 1,
      anon_sym_COMMA,
    STATE(1672), 1,
      aux_sym_switch_expression_repeat1,
  [52755] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1716), 1,
      sym__variable_declaration_header,
    ACTIONS(2548), 2,
      anon_sym_const,
      anon_sym_var,
  [52766] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1961), 1,
      anon_sym_LBRACE,
    ACTIONS(2905), 1,
      anon_sym_SEMI,
    STATE(719), 1,
      sym_block,
  [52779] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(916), 1,
      anon_sym_RBRACE,
    ACTIONS(2802), 1,
      anon_sym_DOT,
    STATE(1720), 1,
      sym_field_initializer,
  [52792] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2592), 1,
      sym__identifier,
    ACTIONS(2594), 1,
      anon_sym_AT,
    STATE(1789), 1,
      sym_identifier,
  [52805] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(888), 1,
      anon_sym_EQ_GT,
    ACTIONS(2317), 1,
      anon_sym_COMMA,
    STATE(1614), 1,
      aux_sym__switch_case_exp_repeat1,
  [52818] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(812), 1,
      anon_sym_RBRACE,
    ACTIONS(2907), 1,
      anon_sym_COMMA,
    STATE(1619), 1,
      aux_sym_switch_expression_repeat1,
  [52831] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2522), 1,
      anon_sym_RPAREN,
    ACTIONS(2781), 1,
      anon_sym_LBRACE,
    ACTIONS(2909), 1,
      anon_sym_LPAREN,
  [52844] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2911), 1,
      anon_sym_COMMA,
    ACTIONS(2913), 1,
      anon_sym_RPAREN,
    STATE(1616), 1,
      aux_sym_parameters_repeat1,
  [52857] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2915), 1,
      anon_sym_COMMA,
    ACTIONS(2918), 1,
      anon_sym_RPAREN,
    STATE(1675), 1,
      aux_sym_parameters_repeat1,
  [52870] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2528), 1,
      anon_sym_RPAREN,
    ACTIONS(2781), 1,
      anon_sym_LBRACE,
    ACTIONS(2920), 1,
      anon_sym_LPAREN,
  [52883] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(918), 1,
      anon_sym_RPAREN,
    ACTIONS(2922), 1,
      anon_sym_COMMA,
    STATE(1647), 1,
      aux_sym__for_prefix_repeat1,
  [52896] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym__identifier,
    ACTIONS(2650), 1,
      anon_sym_AT,
    STATE(1027), 1,
      sym_identifier,
  [52909] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1738), 1,
      sym__variable_declaration_header,
    ACTIONS(2548), 2,
      anon_sym_const,
      anon_sym_var,
  [52920] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1961), 1,
      anon_sym_LBRACE,
    ACTIONS(2924), 1,
      anon_sym_SEMI,
    STATE(714), 1,
      sym_block,
  [52933] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2346), 1,
      anon_sym_RBRACE,
    ACTIONS(2926), 1,
      anon_sym_COMMA,
    STATE(1600), 1,
      aux_sym_initializer_list_repeat1,
  [52946] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2928), 2,
      anon_sym_COMMA,
      anon_sym_PIPE,
  [52954] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1961), 1,
      anon_sym_LBRACE,
    STATE(696), 1,
      sym_block,
  [52964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2930), 1,
      anon_sym_EQ,
    ACTIONS(2932), 1,
      anon_sym_SEMI,
  [52974] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 2,
      anon_sym_COMMA,
      anon_sym_PIPE,
  [52982] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2934), 1,
      anon_sym_LPAREN,
    ACTIONS(2936), 1,
      anon_sym_LBRACE,
  [52992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2938), 1,
      anon_sym_EQ,
    ACTIONS(2940), 1,
      anon_sym_SEMI,
  [53002] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2877), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [53010] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2273), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [53018] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2835), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [53026] = 2,
    ACTIONS(2691), 1,
      sym_comment,
    ACTIONS(2942), 2,
      sym_escape_sequence,
      aux_sym_character_token1,
  [53034] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2944), 1,
      anon_sym_EQ,
    ACTIONS(2946), 1,
      anon_sym_SEMI,
  [53044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2646), 1,
      anon_sym_LPAREN,
    STATE(95), 1,
      sym_parameters,
  [53054] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2309), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [53062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2552), 1,
      anon_sym_fn,
    STATE(1621), 1,
      sym__function_prototype,
  [53072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      anon_sym_PIPE,
    STATE(785), 1,
      sym_payload,
  [53082] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2654), 1,
      anon_sym_LBRACK,
    STATE(1593), 1,
      sym_asm_input_item,
  [53092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      anon_sym_PIPE,
    STATE(789), 1,
      sym_payload,
  [53102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2948), 1,
      anon_sym_EQ,
    ACTIONS(2950), 1,
      anon_sym_SEMI,
  [53112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2781), 1,
      anon_sym_LBRACE,
    ACTIONS(2952), 1,
      anon_sym_LPAREN,
  [53122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2954), 1,
      anon_sym_EQ,
    ACTIONS(2956), 1,
      anon_sym_SEMI,
  [53132] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2646), 1,
      anon_sym_LPAREN,
    STATE(104), 1,
      sym_parameters,
  [53142] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2299), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [53150] = 2,
    ACTIONS(2691), 1,
      sym_comment,
    ACTIONS(2958), 2,
      sym_escape_sequence,
      aux_sym_character_token1,
  [53158] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2646), 1,
      anon_sym_LPAREN,
    STATE(96), 1,
      sym_parameters,
  [53168] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2960), 1,
      anon_sym_LPAREN,
    STATE(863), 1,
      sym_arguments,
  [53178] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2962), 1,
      anon_sym_LPAREN,
    STATE(1220), 1,
      sym_arguments,
  [53188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_DQUOTE,
    STATE(272), 1,
      sym_string,
  [53198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(237), 1,
      anon_sym_DQUOTE,
    STATE(689), 1,
      sym_string,
  [53208] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2964), 1,
      anon_sym_LBRACE,
    ACTIONS(2966), 1,
      anon_sym_DOT,
  [53218] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2968), 1,
      anon_sym_RPAREN,
    ACTIONS(2970), 1,
      anon_sym_LBRACE,
  [53228] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2972), 1,
      anon_sym_LPAREN,
    ACTIONS(2974), 1,
      anon_sym_volatile,
  [53238] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2624), 1,
      anon_sym_LBRACK,
    STATE(1646), 1,
      sym_asm_output_item,
  [53248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      anon_sym_PIPE,
    STATE(787), 1,
      sym_payload,
  [53258] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2646), 1,
      anon_sym_LPAREN,
    STATE(101), 1,
      sym_parameters,
  [53268] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2976), 1,
      anon_sym_EQ,
    ACTIONS(2978), 1,
      anon_sym_SEMI,
  [53278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2980), 1,
      anon_sym_LPAREN,
    ACTIONS(2982), 1,
      anon_sym_LBRACE,
  [53288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2984), 1,
      anon_sym_LPAREN,
    ACTIONS(2986), 1,
      anon_sym_LBRACE,
  [53298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      anon_sym_PIPE,
    STATE(794), 1,
      sym_payload,
  [53308] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2896), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [53316] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1961), 1,
      anon_sym_LBRACE,
    STATE(697), 1,
      sym_block,
  [53326] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2552), 1,
      anon_sym_fn,
    STATE(1622), 1,
      sym__function_prototype,
  [53336] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2271), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [53344] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2281), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [53352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2988), 1,
      anon_sym_LPAREN,
    ACTIONS(2990), 1,
      anon_sym_LBRACE,
  [53362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2992), 1,
      anon_sym_LPAREN,
    ACTIONS(2994), 1,
      anon_sym_LBRACE,
  [53372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN,
    ACTIONS(2998), 1,
      anon_sym_LBRACE,
  [53382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3000), 1,
      anon_sym_LPAREN,
    ACTIONS(3002), 1,
      anon_sym_volatile,
  [53392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3004), 1,
      anon_sym_LPAREN,
    ACTIONS(3006), 1,
      anon_sym_LBRACE,
  [53402] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3008), 1,
      anon_sym_LPAREN,
    ACTIONS(3010), 1,
      anon_sym_LBRACE,
  [53412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3012), 1,
      anon_sym_LPAREN,
    ACTIONS(3014), 1,
      anon_sym_LBRACE,
  [53422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3016), 1,
      anon_sym_LPAREN,
    ACTIONS(3018), 1,
      anon_sym_LBRACE,
  [53432] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3020), 1,
      anon_sym_EQ,
    ACTIONS(3022), 1,
      anon_sym_SEMI,
  [53442] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2970), 1,
      anon_sym_LBRACE,
    ACTIONS(3024), 1,
      anon_sym_RPAREN,
  [53452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3026), 1,
      anon_sym_EQ,
    ACTIONS(3028), 1,
      anon_sym_SEMI,
  [53462] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3030), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [53470] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2918), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [53478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3032), 1,
      anon_sym_EQ,
    ACTIONS(3034), 1,
      anon_sym_SEMI,
  [53488] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2822), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [53496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    ACTIONS(3038), 1,
      anon_sym_LBRACE,
  [53506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3040), 1,
      anon_sym_EQ,
    ACTIONS(3042), 1,
      anon_sym_SEMI,
  [53516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2802), 1,
      anon_sym_DOT,
    STATE(1720), 1,
      sym_field_initializer,
  [53526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2970), 1,
      anon_sym_LBRACE,
    ACTIONS(3044), 1,
      anon_sym_RPAREN,
  [53536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2970), 1,
      anon_sym_LBRACE,
    ACTIONS(3046), 1,
      anon_sym_RPAREN,
  [53546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      anon_sym_PIPE,
    STATE(788), 1,
      sym_payload,
  [53556] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      anon_sym_PIPE,
    STATE(792), 1,
      sym_payload,
  [53566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1961), 1,
      anon_sym_LBRACE,
    STATE(736), 1,
      sym_block,
  [53576] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3048), 1,
      anon_sym_EQ,
    ACTIONS(3050), 1,
      anon_sym_SEMI,
  [53586] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2307), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [53594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3052), 1,
      anon_sym_LBRACE,
    ACTIONS(3054), 1,
      anon_sym_DOT,
  [53604] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3056), 2,
      anon_sym_COMMA,
      anon_sym_EQ,
  [53612] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3058), 1,
      anon_sym_LBRACE,
  [53619] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3060), 1,
      anon_sym_LBRACE,
  [53626] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3062), 1,
      anon_sym_RBRACK,
  [53633] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3064), 1,
      anon_sym_LBRACE,
  [53640] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3066), 1,
      anon_sym_EQ,
  [53647] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2664), 1,
      anon_sym_RPAREN,
  [53654] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(896), 1,
      anon_sym_EQ_GT,
  [53661] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3068), 1,
      anon_sym_LPAREN,
  [53668] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3070), 1,
      anon_sym_RBRACE,
  [53675] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3072), 1,
      anon_sym_RBRACE,
  [53682] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3074), 1,
      anon_sym_SQUOTE,
  [53689] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3076), 1,
      anon_sym_RBRACE,
  [53696] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3078), 1,
      anon_sym_RBRACE,
  [53703] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3080), 1,
      anon_sym_RBRACE,
  [53710] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3082), 1,
      anon_sym_RBRACE,
  [53717] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3084), 1,
      anon_sym_RBRACE,
  [53724] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3086), 1,
      anon_sym_RBRACE,
  [53731] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3088), 1,
      anon_sym_RBRACE,
  [53738] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3090), 1,
      anon_sym_RPAREN,
  [53745] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3092), 1,
      anon_sym_RBRACE,
  [53752] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3094), 1,
      anon_sym_LPAREN,
  [53759] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3096), 1,
      anon_sym_SQUOTE,
  [53766] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3098), 1,
      anon_sym_RBRACE,
  [53773] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3100), 1,
      anon_sym_LBRACE,
  [53780] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3102), 1,
      anon_sym_LPAREN,
  [53787] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3104), 1,
      anon_sym_LPAREN,
  [53794] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3106), 1,
      anon_sym_RBRACE,
  [53801] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3108), 1,
      anon_sym_RBRACE,
  [53808] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3110), 1,
      anon_sym_LPAREN,
  [53815] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3112), 1,
      anon_sym_RPAREN,
  [53822] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3114), 1,
      anon_sym_LPAREN,
  [53829] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3116), 1,
      anon_sym_LBRACE,
  [53836] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2630), 1,
      anon_sym_RPAREN,
  [53843] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2370), 1,
      anon_sym_RPAREN,
  [53850] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3118), 1,
      anon_sym_LPAREN,
  [53857] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3120), 1,
      anon_sym_RBRACE,
  [53864] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3122), 1,
      anon_sym_RBRACE,
  [53871] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3124), 1,
      anon_sym_RBRACK,
  [53878] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3126), 1,
      anon_sym_LPAREN,
  [53885] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2622), 1,
      anon_sym_RPAREN,
  [53892] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3128), 1,
      anon_sym_RBRACE,
  [53899] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3130), 1,
      anon_sym_LPAREN,
  [53906] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3132), 1,
      anon_sym_LBRACE,
  [53913] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_RPAREN,
  [53920] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3134), 1,
      anon_sym_RBRACK,
  [53927] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3136), 1,
      anon_sym_RBRACE,
  [53934] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3138), 1,
      anon_sym_LBRACE,
  [53941] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3140), 1,
      ts_builtin_sym_end,
  [53948] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3142), 1,
      anon_sym_RBRACE,
  [53955] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3144), 1,
      anon_sym_LPAREN,
  [53962] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3146), 1,
      anon_sym_RBRACE,
  [53969] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3148), 1,
      anon_sym_RPAREN,
  [53976] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3150), 1,
      anon_sym_LBRACE,
  [53983] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3152), 1,
      anon_sym_RBRACE,
  [53990] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3154), 1,
      anon_sym_RBRACE,
  [53997] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3156), 1,
      anon_sym_RBRACE,
  [54004] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3158), 1,
      anon_sym_LPAREN,
  [54011] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3160), 1,
      anon_sym_LBRACE,
  [54018] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3162), 1,
      anon_sym_RBRACK,
  [54025] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3164), 1,
      anon_sym_EQ_GT,
  [54032] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3166), 1,
      anon_sym_LPAREN,
  [54039] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3168), 1,
      anon_sym_LPAREN,
  [54046] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2636), 1,
      anon_sym_RPAREN,
  [54053] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3170), 1,
      anon_sym_LPAREN,
  [54060] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3172), 1,
      anon_sym_LBRACE,
  [54067] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3174), 1,
      anon_sym_LBRACE,
  [54074] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3176), 1,
      anon_sym_LBRACE,
  [54081] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3178), 1,
      anon_sym_LBRACE,
  [54088] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2787), 1,
      anon_sym_COMMA,
  [54095] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3180), 1,
      anon_sym_LBRACE,
  [54102] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3182), 1,
      anon_sym_LBRACE,
  [54109] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3184), 1,
      anon_sym_LBRACE,
  [54116] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3186), 1,
      anon_sym_LBRACE,
  [54123] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3188), 1,
      anon_sym_LBRACE,
  [54130] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3190), 1,
      anon_sym_RBRACE,
  [54137] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2970), 1,
      anon_sym_LBRACE,
  [54144] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3192), 1,
      anon_sym_LPAREN,
  [54151] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3194), 1,
      anon_sym_RPAREN,
  [54158] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3196), 1,
      anon_sym_RBRACE,
  [54165] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3198), 1,
      anon_sym_RBRACE,
  [54172] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2660), 1,
      anon_sym_RPAREN,
  [54179] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3200), 1,
      anon_sym_RBRACK,
  [54186] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3202), 1,
      anon_sym_RBRACE,
  [54193] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3204), 1,
      anon_sym_RBRACE,
  [54200] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3206), 1,
      anon_sym_RBRACE,
  [54207] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3208), 1,
      anon_sym_RBRACE,
  [54214] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3210), 1,
      anon_sym_LBRACE,
  [54221] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
  [54228] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2632), 1,
      anon_sym_RPAREN,
  [54235] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3214), 1,
      anon_sym_RPAREN,
  [54242] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3216), 1,
      anon_sym_LPAREN,
  [54249] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3218), 1,
      anon_sym_LPAREN,
  [54256] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3220), 1,
      anon_sym_RBRACE,
  [54263] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3222), 1,
      ts_builtin_sym_end,
  [54270] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3224), 1,
      anon_sym_LBRACE,
  [54277] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3226), 1,
      anon_sym_RBRACE,
  [54284] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3228), 1,
      anon_sym_LBRACE,
  [54291] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3230), 1,
      anon_sym_LBRACE,
  [54298] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3232), 1,
      anon_sym_RBRACE,
  [54305] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3234), 1,
      anon_sym_LBRACE,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(942)] = 0,
  [SMALL_STATE(943)] = 79,
  [SMALL_STATE(944)] = 168,
  [SMALL_STATE(945)] = 276,
  [SMALL_STATE(946)] = 384,
  [SMALL_STATE(947)] = 494,
  [SMALL_STATE(948)] = 596,
  [SMALL_STATE(949)] = 704,
  [SMALL_STATE(950)] = 812,
  [SMALL_STATE(951)] = 886,
  [SMALL_STATE(952)] = 968,
  [SMALL_STATE(953)] = 1066,
  [SMALL_STATE(954)] = 1158,
  [SMALL_STATE(955)] = 1234,
  [SMALL_STATE(956)] = 1342,
  [SMALL_STATE(957)] = 1450,
  [SMALL_STATE(958)] = 1548,
  [SMALL_STATE(959)] = 1656,
  [SMALL_STATE(960)] = 1764,
  [SMALL_STATE(961)] = 1872,
  [SMALL_STATE(962)] = 1982,
  [SMALL_STATE(963)] = 2092,
  [SMALL_STATE(964)] = 2190,
  [SMALL_STATE(965)] = 2272,
  [SMALL_STATE(966)] = 2380,
  [SMALL_STATE(967)] = 2466,
  [SMALL_STATE(968)] = 2574,
  [SMALL_STATE(969)] = 2682,
  [SMALL_STATE(970)] = 2758,
  [SMALL_STATE(971)] = 2866,
  [SMALL_STATE(972)] = 2976,
  [SMALL_STATE(973)] = 3058,
  [SMALL_STATE(974)] = 3132,
  [SMALL_STATE(975)] = 3236,
  [SMALL_STATE(976)] = 3346,
  [SMALL_STATE(977)] = 3422,
  [SMALL_STATE(978)] = 3532,
  [SMALL_STATE(979)] = 3614,
  [SMALL_STATE(980)] = 3696,
  [SMALL_STATE(981)] = 3804,
  [SMALL_STATE(982)] = 3912,
  [SMALL_STATE(983)] = 4022,
  [SMALL_STATE(984)] = 4130,
  [SMALL_STATE(985)] = 4220,
  [SMALL_STATE(986)] = 4328,
  [SMALL_STATE(987)] = 4436,
  [SMALL_STATE(988)] = 4544,
  [SMALL_STATE(989)] = 4626,
  [SMALL_STATE(990)] = 4734,
  [SMALL_STATE(991)] = 4842,
  [SMALL_STATE(992)] = 4952,
  [SMALL_STATE(993)] = 5060,
  [SMALL_STATE(994)] = 5136,
  [SMALL_STATE(995)] = 5244,
  [SMALL_STATE(996)] = 5352,
  [SMALL_STATE(997)] = 5450,
  [SMALL_STATE(998)] = 5523,
  [SMALL_STATE(999)] = 5594,
  [SMALL_STATE(1000)] = 5663,
  [SMALL_STATE(1001)] = 5734,
  [SMALL_STATE(1002)] = 5805,
  [SMALL_STATE(1003)] = 5876,
  [SMALL_STATE(1004)] = 5947,
  [SMALL_STATE(1005)] = 6018,
  [SMALL_STATE(1006)] = 6089,
  [SMALL_STATE(1007)] = 6160,
  [SMALL_STATE(1008)] = 6231,
  [SMALL_STATE(1009)] = 6302,
  [SMALL_STATE(1010)] = 6373,
  [SMALL_STATE(1011)] = 6444,
  [SMALL_STATE(1012)] = 6515,
  [SMALL_STATE(1013)] = 6583,
  [SMALL_STATE(1014)] = 6651,
  [SMALL_STATE(1015)] = 6719,
  [SMALL_STATE(1016)] = 6787,
  [SMALL_STATE(1017)] = 6855,
  [SMALL_STATE(1018)] = 6923,
  [SMALL_STATE(1019)] = 6993,
  [SMALL_STATE(1020)] = 7063,
  [SMALL_STATE(1021)] = 7133,
  [SMALL_STATE(1022)] = 7201,
  [SMALL_STATE(1023)] = 7269,
  [SMALL_STATE(1024)] = 7337,
  [SMALL_STATE(1025)] = 7405,
  [SMALL_STATE(1026)] = 7485,
  [SMALL_STATE(1027)] = 7565,
  [SMALL_STATE(1028)] = 7633,
  [SMALL_STATE(1029)] = 7703,
  [SMALL_STATE(1030)] = 7771,
  [SMALL_STATE(1031)] = 7839,
  [SMALL_STATE(1032)] = 7907,
  [SMALL_STATE(1033)] = 7975,
  [SMALL_STATE(1034)] = 8043,
  [SMALL_STATE(1035)] = 8111,
  [SMALL_STATE(1036)] = 8179,
  [SMALL_STATE(1037)] = 8247,
  [SMALL_STATE(1038)] = 8317,
  [SMALL_STATE(1039)] = 8387,
  [SMALL_STATE(1040)] = 8457,
  [SMALL_STATE(1041)] = 8525,
  [SMALL_STATE(1042)] = 8593,
  [SMALL_STATE(1043)] = 8661,
  [SMALL_STATE(1044)] = 8729,
  [SMALL_STATE(1045)] = 8797,
  [SMALL_STATE(1046)] = 8865,
  [SMALL_STATE(1047)] = 8933,
  [SMALL_STATE(1048)] = 9001,
  [SMALL_STATE(1049)] = 9069,
  [SMALL_STATE(1050)] = 9137,
  [SMALL_STATE(1051)] = 9205,
  [SMALL_STATE(1052)] = 9273,
  [SMALL_STATE(1053)] = 9343,
  [SMALL_STATE(1054)] = 9413,
  [SMALL_STATE(1055)] = 9481,
  [SMALL_STATE(1056)] = 9549,
  [SMALL_STATE(1057)] = 9617,
  [SMALL_STATE(1058)] = 9685,
  [SMALL_STATE(1059)] = 9753,
  [SMALL_STATE(1060)] = 9821,
  [SMALL_STATE(1061)] = 9889,
  [SMALL_STATE(1062)] = 9959,
  [SMALL_STATE(1063)] = 10029,
  [SMALL_STATE(1064)] = 10099,
  [SMALL_STATE(1065)] = 10167,
  [SMALL_STATE(1066)] = 10235,
  [SMALL_STATE(1067)] = 10303,
  [SMALL_STATE(1068)] = 10371,
  [SMALL_STATE(1069)] = 10439,
  [SMALL_STATE(1070)] = 10507,
  [SMALL_STATE(1071)] = 10575,
  [SMALL_STATE(1072)] = 10643,
  [SMALL_STATE(1073)] = 10711,
  [SMALL_STATE(1074)] = 10779,
  [SMALL_STATE(1075)] = 10849,
  [SMALL_STATE(1076)] = 10917,
  [SMALL_STATE(1077)] = 10985,
  [SMALL_STATE(1078)] = 11053,
  [SMALL_STATE(1079)] = 11121,
  [SMALL_STATE(1080)] = 11189,
  [SMALL_STATE(1081)] = 11257,
  [SMALL_STATE(1082)] = 11325,
  [SMALL_STATE(1083)] = 11393,
  [SMALL_STATE(1084)] = 11461,
  [SMALL_STATE(1085)] = 11529,
  [SMALL_STATE(1086)] = 11597,
  [SMALL_STATE(1087)] = 11669,
  [SMALL_STATE(1088)] = 11737,
  [SMALL_STATE(1089)] = 11809,
  [SMALL_STATE(1090)] = 11881,
  [SMALL_STATE(1091)] = 11953,
  [SMALL_STATE(1092)] = 12025,
  [SMALL_STATE(1093)] = 12097,
  [SMALL_STATE(1094)] = 12169,
  [SMALL_STATE(1095)] = 12241,
  [SMALL_STATE(1096)] = 12313,
  [SMALL_STATE(1097)] = 12385,
  [SMALL_STATE(1098)] = 12457,
  [SMALL_STATE(1099)] = 12531,
  [SMALL_STATE(1100)] = 12603,
  [SMALL_STATE(1101)] = 12675,
  [SMALL_STATE(1102)] = 12747,
  [SMALL_STATE(1103)] = 12817,
  [SMALL_STATE(1104)] = 12887,
  [SMALL_STATE(1105)] = 12957,
  [SMALL_STATE(1106)] = 13037,
  [SMALL_STATE(1107)] = 13117,
  [SMALL_STATE(1108)] = 13187,
  [SMALL_STATE(1109)] = 13259,
  [SMALL_STATE(1110)] = 13331,
  [SMALL_STATE(1111)] = 13401,
  [SMALL_STATE(1112)] = 13471,
  [SMALL_STATE(1113)] = 13541,
  [SMALL_STATE(1114)] = 13613,
  [SMALL_STATE(1115)] = 13685,
  [SMALL_STATE(1116)] = 13755,
  [SMALL_STATE(1117)] = 13825,
  [SMALL_STATE(1118)] = 13897,
  [SMALL_STATE(1119)] = 13969,
  [SMALL_STATE(1120)] = 14039,
  [SMALL_STATE(1121)] = 14109,
  [SMALL_STATE(1122)] = 14179,
  [SMALL_STATE(1123)] = 14251,
  [SMALL_STATE(1124)] = 14323,
  [SMALL_STATE(1125)] = 14393,
  [SMALL_STATE(1126)] = 14465,
  [SMALL_STATE(1127)] = 14537,
  [SMALL_STATE(1128)] = 14611,
  [SMALL_STATE(1129)] = 14721,
  [SMALL_STATE(1130)] = 14831,
  [SMALL_STATE(1131)] = 14939,
  [SMALL_STATE(1132)] = 15047,
  [SMALL_STATE(1133)] = 15155,
  [SMALL_STATE(1134)] = 15245,
  [SMALL_STATE(1135)] = 15329,
  [SMALL_STATE(1136)] = 15431,
  [SMALL_STATE(1137)] = 15531,
  [SMALL_STATE(1138)] = 15627,
  [SMALL_STATE(1139)] = 15715,
  [SMALL_STATE(1140)] = 15811,
  [SMALL_STATE(1141)] = 15921,
  [SMALL_STATE(1142)] = 16029,
  [SMALL_STATE(1143)] = 16101,
  [SMALL_STATE(1144)] = 16209,
  [SMALL_STATE(1145)] = 16317,
  [SMALL_STATE(1146)] = 16413,
  [SMALL_STATE(1147)] = 16523,
  [SMALL_STATE(1148)] = 16633,
  [SMALL_STATE(1149)] = 16741,
  [SMALL_STATE(1150)] = 16849,
  [SMALL_STATE(1151)] = 16957,
  [SMALL_STATE(1152)] = 17029,
  [SMALL_STATE(1153)] = 17137,
  [SMALL_STATE(1154)] = 17245,
  [SMALL_STATE(1155)] = 17353,
  [SMALL_STATE(1156)] = 17461,
  [SMALL_STATE(1157)] = 17569,
  [SMALL_STATE(1158)] = 17677,
  [SMALL_STATE(1159)] = 17785,
  [SMALL_STATE(1160)] = 17895,
  [SMALL_STATE(1161)] = 18005,
  [SMALL_STATE(1162)] = 18113,
  [SMALL_STATE(1163)] = 18221,
  [SMALL_STATE(1164)] = 18329,
  [SMALL_STATE(1165)] = 18419,
  [SMALL_STATE(1166)] = 18503,
  [SMALL_STATE(1167)] = 18605,
  [SMALL_STATE(1168)] = 18705,
  [SMALL_STATE(1169)] = 18801,
  [SMALL_STATE(1170)] = 18889,
  [SMALL_STATE(1171)] = 18957,
  [SMALL_STATE(1172)] = 19053,
  [SMALL_STATE(1173)] = 19163,
  [SMALL_STATE(1174)] = 19231,
  [SMALL_STATE(1175)] = 19339,
  [SMALL_STATE(1176)] = 19407,
  [SMALL_STATE(1177)] = 19515,
  [SMALL_STATE(1178)] = 19623,
  [SMALL_STATE(1179)] = 19719,
  [SMALL_STATE(1180)] = 19829,
  [SMALL_STATE(1181)] = 19939,
  [SMALL_STATE(1182)] = 20047,
  [SMALL_STATE(1183)] = 20155,
  [SMALL_STATE(1184)] = 20263,
  [SMALL_STATE(1185)] = 20371,
  [SMALL_STATE(1186)] = 20441,
  [SMALL_STATE(1187)] = 20549,
  [SMALL_STATE(1188)] = 20657,
  [SMALL_STATE(1189)] = 20765,
  [SMALL_STATE(1190)] = 20873,
  [SMALL_STATE(1191)] = 20981,
  [SMALL_STATE(1192)] = 21089,
  [SMALL_STATE(1193)] = 21157,
  [SMALL_STATE(1194)] = 21225,
  [SMALL_STATE(1195)] = 21293,
  [SMALL_STATE(1196)] = 21361,
  [SMALL_STATE(1197)] = 21431,
  [SMALL_STATE(1198)] = 21501,
  [SMALL_STATE(1199)] = 21571,
  [SMALL_STATE(1200)] = 21651,
  [SMALL_STATE(1201)] = 21721,
  [SMALL_STATE(1202)] = 21801,
  [SMALL_STATE(1203)] = 21871,
  [SMALL_STATE(1204)] = 21941,
  [SMALL_STATE(1205)] = 22011,
  [SMALL_STATE(1206)] = 22119,
  [SMALL_STATE(1207)] = 22227,
  [SMALL_STATE(1208)] = 22335,
  [SMALL_STATE(1209)] = 22443,
  [SMALL_STATE(1210)] = 22551,
  [SMALL_STATE(1211)] = 22659,
  [SMALL_STATE(1212)] = 22767,
  [SMALL_STATE(1213)] = 22875,
  [SMALL_STATE(1214)] = 22971,
  [SMALL_STATE(1215)] = 23081,
  [SMALL_STATE(1216)] = 23191,
  [SMALL_STATE(1217)] = 23301,
  [SMALL_STATE(1218)] = 23369,
  [SMALL_STATE(1219)] = 23437,
  [SMALL_STATE(1220)] = 23505,
  [SMALL_STATE(1221)] = 23573,
  [SMALL_STATE(1222)] = 23681,
  [SMALL_STATE(1223)] = 23789,
  [SMALL_STATE(1224)] = 23897,
  [SMALL_STATE(1225)] = 24005,
  [SMALL_STATE(1226)] = 24113,
  [SMALL_STATE(1227)] = 24221,
  [SMALL_STATE(1228)] = 24329,
  [SMALL_STATE(1229)] = 24425,
  [SMALL_STATE(1230)] = 24535,
  [SMALL_STATE(1231)] = 24645,
  [SMALL_STATE(1232)] = 24753,
  [SMALL_STATE(1233)] = 24863,
  [SMALL_STATE(1234)] = 24931,
  [SMALL_STATE(1235)] = 24999,
  [SMALL_STATE(1236)] = 25068,
  [SMALL_STATE(1237)] = 25139,
  [SMALL_STATE(1238)] = 25210,
  [SMALL_STATE(1239)] = 25281,
  [SMALL_STATE(1240)] = 25350,
  [SMALL_STATE(1241)] = 25419,
  [SMALL_STATE(1242)] = 25488,
  [SMALL_STATE(1243)] = 25569,
  [SMALL_STATE(1244)] = 25673,
  [SMALL_STATE(1245)] = 25777,
  [SMALL_STATE(1246)] = 25881,
  [SMALL_STATE(1247)] = 25991,
  [SMALL_STATE(1248)] = 26097,
  [SMALL_STATE(1249)] = 26191,
  [SMALL_STATE(1250)] = 26295,
  [SMALL_STATE(1251)] = 26405,
  [SMALL_STATE(1252)] = 26511,
  [SMALL_STATE(1253)] = 26615,
  [SMALL_STATE(1254)] = 26719,
  [SMALL_STATE(1255)] = 26823,
  [SMALL_STATE(1256)] = 26933,
  [SMALL_STATE(1257)] = 27037,
  [SMALL_STATE(1258)] = 27109,
  [SMALL_STATE(1259)] = 27215,
  [SMALL_STATE(1260)] = 27297,
  [SMALL_STATE(1261)] = 27397,
  [SMALL_STATE(1262)] = 27495,
  [SMALL_STATE(1263)] = 27599,
  [SMALL_STATE(1264)] = 27703,
  [SMALL_STATE(1265)] = 27807,
  [SMALL_STATE(1266)] = 27895,
  [SMALL_STATE(1267)] = 27999,
  [SMALL_STATE(1268)] = 28065,
  [SMALL_STATE(1269)] = 28169,
  [SMALL_STATE(1270)] = 28273,
  [SMALL_STATE(1271)] = 28383,
  [SMALL_STATE(1272)] = 28487,
  [SMALL_STATE(1273)] = 28591,
  [SMALL_STATE(1274)] = 28695,
  [SMALL_STATE(1275)] = 28799,
  [SMALL_STATE(1276)] = 28893,
  [SMALL_STATE(1277)] = 28997,
  [SMALL_STATE(1278)] = 29107,
  [SMALL_STATE(1279)] = 29211,
  [SMALL_STATE(1280)] = 29315,
  [SMALL_STATE(1281)] = 29419,
  [SMALL_STATE(1282)] = 29523,
  [SMALL_STATE(1283)] = 29627,
  [SMALL_STATE(1284)] = 29713,
  [SMALL_STATE(1285)] = 29807,
  [SMALL_STATE(1286)] = 29901,
  [SMALL_STATE(1287)] = 30005,
  [SMALL_STATE(1288)] = 30109,
  [SMALL_STATE(1289)] = 30213,
  [SMALL_STATE(1290)] = 30317,
  [SMALL_STATE(1291)] = 30423,
  [SMALL_STATE(1292)] = 30527,
  [SMALL_STATE(1293)] = 30621,
  [SMALL_STATE(1294)] = 30725,
  [SMALL_STATE(1295)] = 30831,
  [SMALL_STATE(1296)] = 30941,
  [SMALL_STATE(1297)] = 31047,
  [SMALL_STATE(1298)] = 31151,
  [SMALL_STATE(1299)] = 31255,
  [SMALL_STATE(1300)] = 31359,
  [SMALL_STATE(1301)] = 31465,
  [SMALL_STATE(1302)] = 31569,
  [SMALL_STATE(1303)] = 31673,
  [SMALL_STATE(1304)] = 31777,
  [SMALL_STATE(1305)] = 31871,
  [SMALL_STATE(1306)] = 31977,
  [SMALL_STATE(1307)] = 32083,
  [SMALL_STATE(1308)] = 32189,
  [SMALL_STATE(1309)] = 32293,
  [SMALL_STATE(1310)] = 32399,
  [SMALL_STATE(1311)] = 32503,
  [SMALL_STATE(1312)] = 32607,
  [SMALL_STATE(1313)] = 32711,
  [SMALL_STATE(1314)] = 32815,
  [SMALL_STATE(1315)] = 32919,
  [SMALL_STATE(1316)] = 33023,
  [SMALL_STATE(1317)] = 33111,
  [SMALL_STATE(1318)] = 33215,
  [SMALL_STATE(1319)] = 33287,
  [SMALL_STATE(1320)] = 33365,
  [SMALL_STATE(1321)] = 33447,
  [SMALL_STATE(1322)] = 33547,
  [SMALL_STATE(1323)] = 33645,
  [SMALL_STATE(1324)] = 33751,
  [SMALL_STATE(1325)] = 33857,
  [SMALL_STATE(1326)] = 33963,
  [SMALL_STATE(1327)] = 34057,
  [SMALL_STATE(1328)] = 34143,
  [SMALL_STATE(1329)] = 34237,
  [SMALL_STATE(1330)] = 34341,
  [SMALL_STATE(1331)] = 34447,
  [SMALL_STATE(1332)] = 34551,
  [SMALL_STATE(1333)] = 34655,
  [SMALL_STATE(1334)] = 34759,
  [SMALL_STATE(1335)] = 34869,
  [SMALL_STATE(1336)] = 34975,
  [SMALL_STATE(1337)] = 35081,
  [SMALL_STATE(1338)] = 35191,
  [SMALL_STATE(1339)] = 35301,
  [SMALL_STATE(1340)] = 35411,
  [SMALL_STATE(1341)] = 35517,
  [SMALL_STATE(1342)] = 35586,
  [SMALL_STATE(1343)] = 35655,
  [SMALL_STATE(1344)] = 35724,
  [SMALL_STATE(1345)] = 35793,
  [SMALL_STATE(1346)] = 35896,
  [SMALL_STATE(1347)] = 35965,
  [SMALL_STATE(1348)] = 36034,
  [SMALL_STATE(1349)] = 36103,
  [SMALL_STATE(1350)] = 36172,
  [SMALL_STATE(1351)] = 36241,
  [SMALL_STATE(1352)] = 36310,
  [SMALL_STATE(1353)] = 36413,
  [SMALL_STATE(1354)] = 36516,
  [SMALL_STATE(1355)] = 36619,
  [SMALL_STATE(1356)] = 36688,
  [SMALL_STATE(1357)] = 36791,
  [SMALL_STATE(1358)] = 36894,
  [SMALL_STATE(1359)] = 36997,
  [SMALL_STATE(1360)] = 37066,
  [SMALL_STATE(1361)] = 37169,
  [SMALL_STATE(1362)] = 37276,
  [SMALL_STATE(1363)] = 37383,
  [SMALL_STATE(1364)] = 37490,
  [SMALL_STATE(1365)] = 37597,
  [SMALL_STATE(1366)] = 37666,
  [SMALL_STATE(1367)] = 37773,
  [SMALL_STATE(1368)] = 37880,
  [SMALL_STATE(1369)] = 37987,
  [SMALL_STATE(1370)] = 38094,
  [SMALL_STATE(1371)] = 38201,
  [SMALL_STATE(1372)] = 38304,
  [SMALL_STATE(1373)] = 38411,
  [SMALL_STATE(1374)] = 38480,
  [SMALL_STATE(1375)] = 38549,
  [SMALL_STATE(1376)] = 38654,
  [SMALL_STATE(1377)] = 38761,
  [SMALL_STATE(1378)] = 38868,
  [SMALL_STATE(1379)] = 38971,
  [SMALL_STATE(1380)] = 39074,
  [SMALL_STATE(1381)] = 39177,
  [SMALL_STATE(1382)] = 39284,
  [SMALL_STATE(1383)] = 39391,
  [SMALL_STATE(1384)] = 39498,
  [SMALL_STATE(1385)] = 39605,
  [SMALL_STATE(1386)] = 39712,
  [SMALL_STATE(1387)] = 39819,
  [SMALL_STATE(1388)] = 39926,
  [SMALL_STATE(1389)] = 39995,
  [SMALL_STATE(1390)] = 40102,
  [SMALL_STATE(1391)] = 40209,
  [SMALL_STATE(1392)] = 40312,
  [SMALL_STATE(1393)] = 40381,
  [SMALL_STATE(1394)] = 40488,
  [SMALL_STATE(1395)] = 40595,
  [SMALL_STATE(1396)] = 40698,
  [SMALL_STATE(1397)] = 40805,
  [SMALL_STATE(1398)] = 40912,
  [SMALL_STATE(1399)] = 41019,
  [SMALL_STATE(1400)] = 41122,
  [SMALL_STATE(1401)] = 41225,
  [SMALL_STATE(1402)] = 41332,
  [SMALL_STATE(1403)] = 41439,
  [SMALL_STATE(1404)] = 41543,
  [SMALL_STATE(1405)] = 41647,
  [SMALL_STATE(1406)] = 41749,
  [SMALL_STATE(1407)] = 41853,
  [SMALL_STATE(1408)] = 41957,
  [SMALL_STATE(1409)] = 42059,
  [SMALL_STATE(1410)] = 42161,
  [SMALL_STATE(1411)] = 42229,
  [SMALL_STATE(1412)] = 42333,
  [SMALL_STATE(1413)] = 42435,
  [SMALL_STATE(1414)] = 42539,
  [SMALL_STATE(1415)] = 42643,
  [SMALL_STATE(1416)] = 42745,
  [SMALL_STATE(1417)] = 42849,
  [SMALL_STATE(1418)] = 42950,
  [SMALL_STATE(1419)] = 43051,
  [SMALL_STATE(1420)] = 43152,
  [SMALL_STATE(1421)] = 43253,
  [SMALL_STATE(1422)] = 43354,
  [SMALL_STATE(1423)] = 43455,
  [SMALL_STATE(1424)] = 43556,
  [SMALL_STATE(1425)] = 43657,
  [SMALL_STATE(1426)] = 43758,
  [SMALL_STATE(1427)] = 43859,
  [SMALL_STATE(1428)] = 43960,
  [SMALL_STATE(1429)] = 44061,
  [SMALL_STATE(1430)] = 44162,
  [SMALL_STATE(1431)] = 44263,
  [SMALL_STATE(1432)] = 44364,
  [SMALL_STATE(1433)] = 44465,
  [SMALL_STATE(1434)] = 44566,
  [SMALL_STATE(1435)] = 44667,
  [SMALL_STATE(1436)] = 44768,
  [SMALL_STATE(1437)] = 44869,
  [SMALL_STATE(1438)] = 44970,
  [SMALL_STATE(1439)] = 45071,
  [SMALL_STATE(1440)] = 45172,
  [SMALL_STATE(1441)] = 45247,
  [SMALL_STATE(1442)] = 45348,
  [SMALL_STATE(1443)] = 45449,
  [SMALL_STATE(1444)] = 45550,
  [SMALL_STATE(1445)] = 45651,
  [SMALL_STATE(1446)] = 45752,
  [SMALL_STATE(1447)] = 45853,
  [SMALL_STATE(1448)] = 45954,
  [SMALL_STATE(1449)] = 46055,
  [SMALL_STATE(1450)] = 46156,
  [SMALL_STATE(1451)] = 46257,
  [SMALL_STATE(1452)] = 46358,
  [SMALL_STATE(1453)] = 46459,
  [SMALL_STATE(1454)] = 46560,
  [SMALL_STATE(1455)] = 46661,
  [SMALL_STATE(1456)] = 46762,
  [SMALL_STATE(1457)] = 46863,
  [SMALL_STATE(1458)] = 46964,
  [SMALL_STATE(1459)] = 47065,
  [SMALL_STATE(1460)] = 47166,
  [SMALL_STATE(1461)] = 47267,
  [SMALL_STATE(1462)] = 47368,
  [SMALL_STATE(1463)] = 47469,
  [SMALL_STATE(1464)] = 47570,
  [SMALL_STATE(1465)] = 47671,
  [SMALL_STATE(1466)] = 47772,
  [SMALL_STATE(1467)] = 47873,
  [SMALL_STATE(1468)] = 47974,
  [SMALL_STATE(1469)] = 48075,
  [SMALL_STATE(1470)] = 48176,
  [SMALL_STATE(1471)] = 48277,
  [SMALL_STATE(1472)] = 48378,
  [SMALL_STATE(1473)] = 48479,
  [SMALL_STATE(1474)] = 48580,
  [SMALL_STATE(1475)] = 48681,
  [SMALL_STATE(1476)] = 48782,
  [SMALL_STATE(1477)] = 48883,
  [SMALL_STATE(1478)] = 48984,
  [SMALL_STATE(1479)] = 49085,
  [SMALL_STATE(1480)] = 49186,
  [SMALL_STATE(1481)] = 49287,
  [SMALL_STATE(1482)] = 49388,
  [SMALL_STATE(1483)] = 49486,
  [SMALL_STATE(1484)] = 49584,
  [SMALL_STATE(1485)] = 49682,
  [SMALL_STATE(1486)] = 49780,
  [SMALL_STATE(1487)] = 49878,
  [SMALL_STATE(1488)] = 49917,
  [SMALL_STATE(1489)] = 49955,
  [SMALL_STATE(1490)] = 49987,
  [SMALL_STATE(1491)] = 50017,
  [SMALL_STATE(1492)] = 50044,
  [SMALL_STATE(1493)] = 50072,
  [SMALL_STATE(1494)] = 50100,
  [SMALL_STATE(1495)] = 50128,
  [SMALL_STATE(1496)] = 50154,
  [SMALL_STATE(1497)] = 50182,
  [SMALL_STATE(1498)] = 50210,
  [SMALL_STATE(1499)] = 50238,
  [SMALL_STATE(1500)] = 50266,
  [SMALL_STATE(1501)] = 50294,
  [SMALL_STATE(1502)] = 50322,
  [SMALL_STATE(1503)] = 50345,
  [SMALL_STATE(1504)] = 50366,
  [SMALL_STATE(1505)] = 50389,
  [SMALL_STATE(1506)] = 50410,
  [SMALL_STATE(1507)] = 50428,
  [SMALL_STATE(1508)] = 50448,
  [SMALL_STATE(1509)] = 50466,
  [SMALL_STATE(1510)] = 50484,
  [SMALL_STATE(1511)] = 50504,
  [SMALL_STATE(1512)] = 50522,
  [SMALL_STATE(1513)] = 50544,
  [SMALL_STATE(1514)] = 50564,
  [SMALL_STATE(1515)] = 50582,
  [SMALL_STATE(1516)] = 50600,
  [SMALL_STATE(1517)] = 50620,
  [SMALL_STATE(1518)] = 50640,
  [SMALL_STATE(1519)] = 50660,
  [SMALL_STATE(1520)] = 50679,
  [SMALL_STATE(1521)] = 50696,
  [SMALL_STATE(1522)] = 50711,
  [SMALL_STATE(1523)] = 50728,
  [SMALL_STATE(1524)] = 50747,
  [SMALL_STATE(1525)] = 50766,
  [SMALL_STATE(1526)] = 50785,
  [SMALL_STATE(1527)] = 50802,
  [SMALL_STATE(1528)] = 50821,
  [SMALL_STATE(1529)] = 50840,
  [SMALL_STATE(1530)] = 50851,
  [SMALL_STATE(1531)] = 50870,
  [SMALL_STATE(1532)] = 50889,
  [SMALL_STATE(1533)] = 50908,
  [SMALL_STATE(1534)] = 50927,
  [SMALL_STATE(1535)] = 50946,
  [SMALL_STATE(1536)] = 50965,
  [SMALL_STATE(1537)] = 50984,
  [SMALL_STATE(1538)] = 51003,
  [SMALL_STATE(1539)] = 51022,
  [SMALL_STATE(1540)] = 51037,
  [SMALL_STATE(1541)] = 51056,
  [SMALL_STATE(1542)] = 51067,
  [SMALL_STATE(1543)] = 51086,
  [SMALL_STATE(1544)] = 51105,
  [SMALL_STATE(1545)] = 51120,
  [SMALL_STATE(1546)] = 51135,
  [SMALL_STATE(1547)] = 51154,
  [SMALL_STATE(1548)] = 51173,
  [SMALL_STATE(1549)] = 51189,
  [SMALL_STATE(1550)] = 51201,
  [SMALL_STATE(1551)] = 51215,
  [SMALL_STATE(1552)] = 51231,
  [SMALL_STATE(1553)] = 51243,
  [SMALL_STATE(1554)] = 51259,
  [SMALL_STATE(1555)] = 51275,
  [SMALL_STATE(1556)] = 51287,
  [SMALL_STATE(1557)] = 51303,
  [SMALL_STATE(1558)] = 51315,
  [SMALL_STATE(1559)] = 51331,
  [SMALL_STATE(1560)] = 51347,
  [SMALL_STATE(1561)] = 51363,
  [SMALL_STATE(1562)] = 51379,
  [SMALL_STATE(1563)] = 51395,
  [SMALL_STATE(1564)] = 51411,
  [SMALL_STATE(1565)] = 51427,
  [SMALL_STATE(1566)] = 51443,
  [SMALL_STATE(1567)] = 51459,
  [SMALL_STATE(1568)] = 51475,
  [SMALL_STATE(1569)] = 51491,
  [SMALL_STATE(1570)] = 51507,
  [SMALL_STATE(1571)] = 51521,
  [SMALL_STATE(1572)] = 51537,
  [SMALL_STATE(1573)] = 51553,
  [SMALL_STATE(1574)] = 51569,
  [SMALL_STATE(1575)] = 51583,
  [SMALL_STATE(1576)] = 51595,
  [SMALL_STATE(1577)] = 51611,
  [SMALL_STATE(1578)] = 51627,
  [SMALL_STATE(1579)] = 51643,
  [SMALL_STATE(1580)] = 51659,
  [SMALL_STATE(1581)] = 51671,
  [SMALL_STATE(1582)] = 51687,
  [SMALL_STATE(1583)] = 51703,
  [SMALL_STATE(1584)] = 51719,
  [SMALL_STATE(1585)] = 51735,
  [SMALL_STATE(1586)] = 51751,
  [SMALL_STATE(1587)] = 51767,
  [SMALL_STATE(1588)] = 51780,
  [SMALL_STATE(1589)] = 51793,
  [SMALL_STATE(1590)] = 51806,
  [SMALL_STATE(1591)] = 51819,
  [SMALL_STATE(1592)] = 51832,
  [SMALL_STATE(1593)] = 51845,
  [SMALL_STATE(1594)] = 51854,
  [SMALL_STATE(1595)] = 51863,
  [SMALL_STATE(1596)] = 51874,
  [SMALL_STATE(1597)] = 51887,
  [SMALL_STATE(1598)] = 51896,
  [SMALL_STATE(1599)] = 51905,
  [SMALL_STATE(1600)] = 51918,
  [SMALL_STATE(1601)] = 51931,
  [SMALL_STATE(1602)] = 51944,
  [SMALL_STATE(1603)] = 51955,
  [SMALL_STATE(1604)] = 51968,
  [SMALL_STATE(1605)] = 51981,
  [SMALL_STATE(1606)] = 51992,
  [SMALL_STATE(1607)] = 52005,
  [SMALL_STATE(1608)] = 52018,
  [SMALL_STATE(1609)] = 52031,
  [SMALL_STATE(1610)] = 52044,
  [SMALL_STATE(1611)] = 52055,
  [SMALL_STATE(1612)] = 52068,
  [SMALL_STATE(1613)] = 52081,
  [SMALL_STATE(1614)] = 52094,
  [SMALL_STATE(1615)] = 52107,
  [SMALL_STATE(1616)] = 52120,
  [SMALL_STATE(1617)] = 52133,
  [SMALL_STATE(1618)] = 52146,
  [SMALL_STATE(1619)] = 52159,
  [SMALL_STATE(1620)] = 52172,
  [SMALL_STATE(1621)] = 52185,
  [SMALL_STATE(1622)] = 52198,
  [SMALL_STATE(1623)] = 52211,
  [SMALL_STATE(1624)] = 52224,
  [SMALL_STATE(1625)] = 52237,
  [SMALL_STATE(1626)] = 52250,
  [SMALL_STATE(1627)] = 52263,
  [SMALL_STATE(1628)] = 52276,
  [SMALL_STATE(1629)] = 52289,
  [SMALL_STATE(1630)] = 52302,
  [SMALL_STATE(1631)] = 52315,
  [SMALL_STATE(1632)] = 52328,
  [SMALL_STATE(1633)] = 52341,
  [SMALL_STATE(1634)] = 52354,
  [SMALL_STATE(1635)] = 52363,
  [SMALL_STATE(1636)] = 52376,
  [SMALL_STATE(1637)] = 52389,
  [SMALL_STATE(1638)] = 52398,
  [SMALL_STATE(1639)] = 52411,
  [SMALL_STATE(1640)] = 52424,
  [SMALL_STATE(1641)] = 52437,
  [SMALL_STATE(1642)] = 52446,
  [SMALL_STATE(1643)] = 52459,
  [SMALL_STATE(1644)] = 52472,
  [SMALL_STATE(1645)] = 52485,
  [SMALL_STATE(1646)] = 52494,
  [SMALL_STATE(1647)] = 52503,
  [SMALL_STATE(1648)] = 52516,
  [SMALL_STATE(1649)] = 52529,
  [SMALL_STATE(1650)] = 52542,
  [SMALL_STATE(1651)] = 52555,
  [SMALL_STATE(1652)] = 52568,
  [SMALL_STATE(1653)] = 52581,
  [SMALL_STATE(1654)] = 52594,
  [SMALL_STATE(1655)] = 52603,
  [SMALL_STATE(1656)] = 52616,
  [SMALL_STATE(1657)] = 52629,
  [SMALL_STATE(1658)] = 52638,
  [SMALL_STATE(1659)] = 52651,
  [SMALL_STATE(1660)] = 52664,
  [SMALL_STATE(1661)] = 52677,
  [SMALL_STATE(1662)] = 52690,
  [SMALL_STATE(1663)] = 52703,
  [SMALL_STATE(1664)] = 52716,
  [SMALL_STATE(1665)] = 52729,
  [SMALL_STATE(1666)] = 52742,
  [SMALL_STATE(1667)] = 52755,
  [SMALL_STATE(1668)] = 52766,
  [SMALL_STATE(1669)] = 52779,
  [SMALL_STATE(1670)] = 52792,
  [SMALL_STATE(1671)] = 52805,
  [SMALL_STATE(1672)] = 52818,
  [SMALL_STATE(1673)] = 52831,
  [SMALL_STATE(1674)] = 52844,
  [SMALL_STATE(1675)] = 52857,
  [SMALL_STATE(1676)] = 52870,
  [SMALL_STATE(1677)] = 52883,
  [SMALL_STATE(1678)] = 52896,
  [SMALL_STATE(1679)] = 52909,
  [SMALL_STATE(1680)] = 52920,
  [SMALL_STATE(1681)] = 52933,
  [SMALL_STATE(1682)] = 52946,
  [SMALL_STATE(1683)] = 52954,
  [SMALL_STATE(1684)] = 52964,
  [SMALL_STATE(1685)] = 52974,
  [SMALL_STATE(1686)] = 52982,
  [SMALL_STATE(1687)] = 52992,
  [SMALL_STATE(1688)] = 53002,
  [SMALL_STATE(1689)] = 53010,
  [SMALL_STATE(1690)] = 53018,
  [SMALL_STATE(1691)] = 53026,
  [SMALL_STATE(1692)] = 53034,
  [SMALL_STATE(1693)] = 53044,
  [SMALL_STATE(1694)] = 53054,
  [SMALL_STATE(1695)] = 53062,
  [SMALL_STATE(1696)] = 53072,
  [SMALL_STATE(1697)] = 53082,
  [SMALL_STATE(1698)] = 53092,
  [SMALL_STATE(1699)] = 53102,
  [SMALL_STATE(1700)] = 53112,
  [SMALL_STATE(1701)] = 53122,
  [SMALL_STATE(1702)] = 53132,
  [SMALL_STATE(1703)] = 53142,
  [SMALL_STATE(1704)] = 53150,
  [SMALL_STATE(1705)] = 53158,
  [SMALL_STATE(1706)] = 53168,
  [SMALL_STATE(1707)] = 53178,
  [SMALL_STATE(1708)] = 53188,
  [SMALL_STATE(1709)] = 53198,
  [SMALL_STATE(1710)] = 53208,
  [SMALL_STATE(1711)] = 53218,
  [SMALL_STATE(1712)] = 53228,
  [SMALL_STATE(1713)] = 53238,
  [SMALL_STATE(1714)] = 53248,
  [SMALL_STATE(1715)] = 53258,
  [SMALL_STATE(1716)] = 53268,
  [SMALL_STATE(1717)] = 53278,
  [SMALL_STATE(1718)] = 53288,
  [SMALL_STATE(1719)] = 53298,
  [SMALL_STATE(1720)] = 53308,
  [SMALL_STATE(1721)] = 53316,
  [SMALL_STATE(1722)] = 53326,
  [SMALL_STATE(1723)] = 53336,
  [SMALL_STATE(1724)] = 53344,
  [SMALL_STATE(1725)] = 53352,
  [SMALL_STATE(1726)] = 53362,
  [SMALL_STATE(1727)] = 53372,
  [SMALL_STATE(1728)] = 53382,
  [SMALL_STATE(1729)] = 53392,
  [SMALL_STATE(1730)] = 53402,
  [SMALL_STATE(1731)] = 53412,
  [SMALL_STATE(1732)] = 53422,
  [SMALL_STATE(1733)] = 53432,
  [SMALL_STATE(1734)] = 53442,
  [SMALL_STATE(1735)] = 53452,
  [SMALL_STATE(1736)] = 53462,
  [SMALL_STATE(1737)] = 53470,
  [SMALL_STATE(1738)] = 53478,
  [SMALL_STATE(1739)] = 53488,
  [SMALL_STATE(1740)] = 53496,
  [SMALL_STATE(1741)] = 53506,
  [SMALL_STATE(1742)] = 53516,
  [SMALL_STATE(1743)] = 53526,
  [SMALL_STATE(1744)] = 53536,
  [SMALL_STATE(1745)] = 53546,
  [SMALL_STATE(1746)] = 53556,
  [SMALL_STATE(1747)] = 53566,
  [SMALL_STATE(1748)] = 53576,
  [SMALL_STATE(1749)] = 53586,
  [SMALL_STATE(1750)] = 53594,
  [SMALL_STATE(1751)] = 53604,
  [SMALL_STATE(1752)] = 53612,
  [SMALL_STATE(1753)] = 53619,
  [SMALL_STATE(1754)] = 53626,
  [SMALL_STATE(1755)] = 53633,
  [SMALL_STATE(1756)] = 53640,
  [SMALL_STATE(1757)] = 53647,
  [SMALL_STATE(1758)] = 53654,
  [SMALL_STATE(1759)] = 53661,
  [SMALL_STATE(1760)] = 53668,
  [SMALL_STATE(1761)] = 53675,
  [SMALL_STATE(1762)] = 53682,
  [SMALL_STATE(1763)] = 53689,
  [SMALL_STATE(1764)] = 53696,
  [SMALL_STATE(1765)] = 53703,
  [SMALL_STATE(1766)] = 53710,
  [SMALL_STATE(1767)] = 53717,
  [SMALL_STATE(1768)] = 53724,
  [SMALL_STATE(1769)] = 53731,
  [SMALL_STATE(1770)] = 53738,
  [SMALL_STATE(1771)] = 53745,
  [SMALL_STATE(1772)] = 53752,
  [SMALL_STATE(1773)] = 53759,
  [SMALL_STATE(1774)] = 53766,
  [SMALL_STATE(1775)] = 53773,
  [SMALL_STATE(1776)] = 53780,
  [SMALL_STATE(1777)] = 53787,
  [SMALL_STATE(1778)] = 53794,
  [SMALL_STATE(1779)] = 53801,
  [SMALL_STATE(1780)] = 53808,
  [SMALL_STATE(1781)] = 53815,
  [SMALL_STATE(1782)] = 53822,
  [SMALL_STATE(1783)] = 53829,
  [SMALL_STATE(1784)] = 53836,
  [SMALL_STATE(1785)] = 53843,
  [SMALL_STATE(1786)] = 53850,
  [SMALL_STATE(1787)] = 53857,
  [SMALL_STATE(1788)] = 53864,
  [SMALL_STATE(1789)] = 53871,
  [SMALL_STATE(1790)] = 53878,
  [SMALL_STATE(1791)] = 53885,
  [SMALL_STATE(1792)] = 53892,
  [SMALL_STATE(1793)] = 53899,
  [SMALL_STATE(1794)] = 53906,
  [SMALL_STATE(1795)] = 53913,
  [SMALL_STATE(1796)] = 53920,
  [SMALL_STATE(1797)] = 53927,
  [SMALL_STATE(1798)] = 53934,
  [SMALL_STATE(1799)] = 53941,
  [SMALL_STATE(1800)] = 53948,
  [SMALL_STATE(1801)] = 53955,
  [SMALL_STATE(1802)] = 53962,
  [SMALL_STATE(1803)] = 53969,
  [SMALL_STATE(1804)] = 53976,
  [SMALL_STATE(1805)] = 53983,
  [SMALL_STATE(1806)] = 53990,
  [SMALL_STATE(1807)] = 53997,
  [SMALL_STATE(1808)] = 54004,
  [SMALL_STATE(1809)] = 54011,
  [SMALL_STATE(1810)] = 54018,
  [SMALL_STATE(1811)] = 54025,
  [SMALL_STATE(1812)] = 54032,
  [SMALL_STATE(1813)] = 54039,
  [SMALL_STATE(1814)] = 54046,
  [SMALL_STATE(1815)] = 54053,
  [SMALL_STATE(1816)] = 54060,
  [SMALL_STATE(1817)] = 54067,
  [SMALL_STATE(1818)] = 54074,
  [SMALL_STATE(1819)] = 54081,
  [SMALL_STATE(1820)] = 54088,
  [SMALL_STATE(1821)] = 54095,
  [SMALL_STATE(1822)] = 54102,
  [SMALL_STATE(1823)] = 54109,
  [SMALL_STATE(1824)] = 54116,
  [SMALL_STATE(1825)] = 54123,
  [SMALL_STATE(1826)] = 54130,
  [SMALL_STATE(1827)] = 54137,
  [SMALL_STATE(1828)] = 54144,
  [SMALL_STATE(1829)] = 54151,
  [SMALL_STATE(1830)] = 54158,
  [SMALL_STATE(1831)] = 54165,
  [SMALL_STATE(1832)] = 54172,
  [SMALL_STATE(1833)] = 54179,
  [SMALL_STATE(1834)] = 54186,
  [SMALL_STATE(1835)] = 54193,
  [SMALL_STATE(1836)] = 54200,
  [SMALL_STATE(1837)] = 54207,
  [SMALL_STATE(1838)] = 54214,
  [SMALL_STATE(1839)] = 54221,
  [SMALL_STATE(1840)] = 54228,
  [SMALL_STATE(1841)] = 54235,
  [SMALL_STATE(1842)] = 54242,
  [SMALL_STATE(1843)] = 54249,
  [SMALL_STATE(1844)] = 54256,
  [SMALL_STATE(1845)] = 54263,
  [SMALL_STATE(1846)] = 54270,
  [SMALL_STATE(1847)] = 54277,
  [SMALL_STATE(1848)] = 54284,
  [SMALL_STATE(1849)] = 54291,
  [SMALL_STATE(1850)] = 54298,
  [SMALL_STATE(1851)] = 54305,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(248),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1487),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1502),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(262),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1516),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1488),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1667),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1628),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1512),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1722),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1533),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(391),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1565),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1686),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1849),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1700),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1718),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1710),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(355),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1786),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1808),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1793),
  [55] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1712),
  [59] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [61] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [63] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(417),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(456),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1815),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(862),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(865),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1005),
  [89] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [91] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [97] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [99] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1006),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(813),
  [105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1708),
  [109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_expression, 1, 0, 0),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(576),
  [113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_expression, 1, 0, 0),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1579),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(563),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(141),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(602),
  [125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(565),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(566),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(567),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(568),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(569),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1536),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(807),
  [147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_expression, 1, 0, 0),
  [149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_expression, 1, 0, 0),
  [151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_expression, 2, 0, 11),
  [153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_range_expression, 2, 0, 11),
  [155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_expression, 2, 0, 0),
  [157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_expression, 2, 0, 0),
  [159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_expression, 2, 0, 0),
  [161] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_expression, 2, 0, 0),
  [163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_expression, 1, 0, 0),
  [165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(392),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1560),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(686),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(441),
  [177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1564),
  [181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1578),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1546),
  [185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1725),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1851),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1726),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1727),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1750),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(638),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(137),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1728),
  [205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(647),
  [209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(640),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(641),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(642),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(432),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(434),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1839),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1007),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1170),
  [233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1532),
  [237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1193),
  [247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(999),
  [249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1709),
  [253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(538),
  [255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1576),
  [257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(646),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(652),
  [261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(648),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(649),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(650),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(532),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(30),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(533),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(497),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1569),
  [283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1547),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(483),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(154),
  [289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(484),
  [293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(485),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(486),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(487),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(488),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(26),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(489),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1008),
  [313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(614),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1582),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(601),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(639),
  [323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(603),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(604),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(605),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(606),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(33),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20),
  [339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(607),
  [341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(159),
  [343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1566),
  [345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(271),
  [347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(279),
  [349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(268),
  [351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(185),
  [353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(248),
  [360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(159),
  [363] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1565),
  [366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1628),
  [369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1566),
  [372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1533),
  [375] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(616),
  [378] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(50),
  [381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0),
  [383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1686),
  [386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1849),
  [389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1700),
  [392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1718),
  [395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1710),
  [398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(271),
  [401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(279),
  [404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(268),
  [407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(185),
  [410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1786),
  [413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1808),
  [416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1793),
  [419] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(141),
  [422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1712),
  [425] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(312),
  [428] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(409),
  [431] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(417),
  [434] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(417),
  [437] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(420),
  [440] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(426),
  [443] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(8),
  [446] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(433),
  [449] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(10),
  [452] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(9),
  [455] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(456),
  [458] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1815),
  [461] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(862),
  [464] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(865),
  [467] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(319),
  [470] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1536),
  [473] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1553),
  [476] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(796),
  [479] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1691),
  [482] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(865),
  [485] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(807),
  [488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(813),
  [491] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1706),
  [494] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1708),
  [497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__container_members, 1, 0, 0),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0),
  [509] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(248),
  [512] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(1487),
  [515] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(1502),
  [518] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(262),
  [521] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(1516),
  [524] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(1488),
  [527] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(1667),
  [530] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(1628),
  [533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(1512),
  [536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(1722),
  [539] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(1533),
  [542] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(616),
  [545] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(391),
  [548] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(50),
  [551] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(1565),
  [554] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(1686),
  [557] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(1849),
  [560] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(1700),
  [563] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(1718),
  [566] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(1710),
  [569] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(355),
  [572] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(1786),
  [575] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(1808),
  [578] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(1793),
  [581] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(141),
  [584] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(1712),
  [587] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(312),
  [590] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(409),
  [593] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(417),
  [596] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(417),
  [599] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(420),
  [602] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(426),
  [605] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(8),
  [608] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(433),
  [611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(10),
  [614] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(9),
  [617] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(456),
  [620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(1815),
  [623] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(862),
  [626] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(865),
  [629] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(1005),
  [632] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(319),
  [635] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(1536),
  [638] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(1553),
  [641] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(796),
  [644] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(1691),
  [647] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(865),
  [650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(1006),
  [653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(813),
  [656] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(1706),
  [659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0), SHIFT_REPEAT(1708),
  [662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 3, 0, 0),
  [666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 3, 0, 0),
  [668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2, 0, 0),
  [670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 2, 0, 0),
  [672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(438),
  [674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1780),
  [678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1790),
  [680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1772),
  [682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1842),
  [684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(494),
  [690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(130),
  [694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1782),
  [698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1833),
  [704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(611),
  [706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1796),
  [712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(573),
  [714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1754),
  [720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(110),
  [722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(745),
  [724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(113),
  [726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(115),
  [728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(123),
  [730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(108),
  [732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(107),
  [734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(746),
  [736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_expression, 8, 0, 0),
  [738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_expression, 8, 0, 0),
  [740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(132),
  [742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(133),
  [744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_expression, 9, 0, 0),
  [746] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_expression, 9, 0, 0),
  [748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(139),
  [750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(135),
  [752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(126),
  [754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_expression, 6, 0, 0),
  [756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_expression, 6, 0, 0),
  [758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_expression, 10, 0, 0),
  [760] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_expression, 10, 0, 0),
  [762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(128),
  [764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_expression, 7, 0, 0),
  [766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_expression, 7, 0, 0),
  [768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(149),
  [770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(138),
  [772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(136),
  [774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(152),
  [776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(153),
  [778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(300),
  [780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [796] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(348),
  [800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1811),
  [804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(372),
  [834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(644),
  [836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier, 1, 0, 0),
  [840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier, 1, 0, 0),
  [842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_label, 2, 0, 0),
  [844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_label, 2, 0, 0),
  [846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1002),
  [848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1000),
  [850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier, 2, 0, 0),
  [852] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier, 2, 0, 0),
  [854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__switch_case_exp, 4, 0, 0),
  [890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__switch_case_exp, 2, 0, 0),
  [898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__switch_case_exp, 3, 0, 0),
  [910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1758),
  [916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__switch_case_exp, 5, 0, 0),
  [924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__switch_case_exp, 6, 0, 0),
  [928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comptime_declaration, 2, 0, 0),
  [930] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_comptime_declaration, 2, 0, 0),
  [932] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1615),
  [938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1599),
  [940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1673),
  [942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1676),
  [944] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_expression, 1, 0, 0),
  [946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_expression, 1, 0, 0),
  [948] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_expression, 2, 0, 0),
  [950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_type_expression, 2, 0, 0),
  [952] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_type_expression, 2, 0, 0),
  [954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_expression, 2, 0, 0),
  [956] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement, 1, 0, 0),
  [958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_type_expression, 1, 0, 0),
  [960] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_type_expression, 1, 0, 0),
  [962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0),
  [964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 1, 0, 0),
  [966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 1, 0, 0),
  [968] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__block_expr_statement, 2, 0, 0),
  [970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_expr_statement, 2, 0, 0),
  [972] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__block_expr_statement, 1, 0, 0),
  [974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_expr_statement, 1, 0, 0),
  [976] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 2, 0, 0),
  [978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 2, 0, 0),
  [980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_byte_alignment, 4, 0, 0),
  [982] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_byte_alignment, 4, 0, 0),
  [984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 5, 0, 42),
  [986] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 5, 0, 42),
  [988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, 0, 30),
  [990] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, 0, 30),
  [992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, 0, 31),
  [994] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, 0, 31),
  [996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 4, 0, 29),
  [998] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 4, 0, 29),
  [1000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_test_declaration, 3, 0, 0),
  [1002] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_test_declaration, 3, 0, 0),
  [1004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comptime_declaration, 3, 0, 0),
  [1006] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_comptime_declaration, 3, 0, 0),
  [1008] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_address_space, 4, 0, 0),
  [1010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_address_space, 4, 0, 0),
  [1012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 3, 0, 13),
  [1014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 3, 0, 13),
  [1016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 3, 0, 14),
  [1018] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 3, 0, 14),
  [1020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 3, 0, 15),
  [1022] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 3, 0, 15),
  [1024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 2, 0, 8),
  [1026] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 2, 0, 8),
  [1028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 2, 0, 9),
  [1030] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 2, 0, 9),
  [1032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_namespace_declaration, 4, 0, 0),
  [1034] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_namespace_declaration, 4, 0, 0),
  [1036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 6, 0, 29),
  [1038] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 6, 0, 29),
  [1040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 6, 0, 49),
  [1042] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 6, 0, 49),
  [1044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 2, 0, 4),
  [1046] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 2, 0, 4),
  [1048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_test_declaration, 2, 0, 0),
  [1050] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_test_declaration, 2, 0, 0),
  [1052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_namespace_declaration, 3, 0, 0),
  [1054] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_namespace_declaration, 3, 0, 0),
  [1056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 7, 0, 42),
  [1058] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 7, 0, 42),
  [1060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, 0, 43),
  [1062] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, 0, 43),
  [1064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 8, 0, 49),
  [1066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 8, 0, 49),
  [1068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, 0, 44),
  [1070] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, 0, 44),
  [1072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 5, 0, 13),
  [1074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 5, 0, 13),
  [1076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_test_declaration, 4, 0, 0),
  [1078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_test_declaration, 4, 0, 0),
  [1080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 4, 0, 4),
  [1082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 4, 0, 4),
  [1084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__container_members_repeat1, 2, 0, 0),
  [1086] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__conditional_body, 1, 0, 19),
  [1088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__conditional_body, 1, 0, 19),
  [1090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(42),
  [1092] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_slice_type_repeat1, 2, 0, 0),
  [1094] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_slice_type_repeat1, 2, 0, 0), SHIFT_REPEAT(745),
  [1097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_slice_type_repeat1, 2, 0, 0),
  [1099] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_slice_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1780),
  [1102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_slice_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1790),
  [1105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pointer_type_repeat1, 2, 0, 0),
  [1107] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_type_repeat1, 2, 0, 0), SHIFT_REPEAT(746),
  [1110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pointer_type_repeat1, 2, 0, 0),
  [1112] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1782),
  [1115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1790),
  [1118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 2, 0, 20),
  [1120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 2, 0, 20),
  [1122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_declaration_expression_statement, 4, 0, 0),
  [1124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_declaration_expression_statement, 4, 0, 0),
  [1126] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_comptime_statement, 2, 0, 0),
  [1128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comptime_statement, 2, 0, 0),
  [1130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nosuspend_statement, 2, 0, 0),
  [1132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nosuspend_statement, 2, 0, 0),
  [1134] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_suspend_statement, 2, 0, 0),
  [1136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_suspend_statement, 2, 0, 0),
  [1138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_defer_statement, 2, 0, 0),
  [1140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defer_statement, 2, 0, 0),
  [1142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_errdefer_statement, 2, 0, 0),
  [1144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_errdefer_statement, 2, 0, 0),
  [1146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement, 1, 0, 4),
  [1148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 4),
  [1150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_payload, 3, 0, 0),
  [1152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_payload, 3, 0, 0),
  [1154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 2, 0, 20),
  [1156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 2, 0, 20),
  [1158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 2, 0, 21),
  [1160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 2, 0, 21),
  [1162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 47),
  [1164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 47),
  [1166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_payload, 6, 0, 0),
  [1168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_payload, 6, 0, 0),
  [1170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 3, 0, 36),
  [1176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 3, 0, 36),
  [1178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, 0, 37),
  [1180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, 0, 37),
  [1182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_errdefer_statement, 3, 0, 0),
  [1184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_errdefer_statement, 3, 0, 0),
  [1186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__conditional_body, 2, 0, 19),
  [1188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__conditional_body, 2, 0, 19),
  [1190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_declaration_expression_statement, 4, 0, 4),
  [1192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_declaration_expression_statement, 4, 0, 4),
  [1194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_payload, 4, 0, 0),
  [1196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_payload, 4, 0, 0),
  [1198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_comptime_statement, 2, 0, 13),
  [1200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comptime_statement, 2, 0, 13),
  [1202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_declaration_expression_statement, 5, 0, 38),
  [1204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_declaration_expression_statement, 5, 0, 38),
  [1206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 3, 0, 52),
  [1208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 3, 0, 52),
  [1210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_declaration_expression_statement, 5, 0, 13),
  [1212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_declaration_expression_statement, 5, 0, 13),
  [1214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_payload, 5, 0, 0),
  [1216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_payload, 5, 0, 0),
  [1218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pointer_type_repeat1, 4, 0, 0),
  [1220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pointer_type_repeat1, 4, 0, 0),
  [1222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pointer_type_repeat1, 8, 0, 0),
  [1224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pointer_type_repeat1, 8, 0, 0),
  [1226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameters, 2, 0, 0),
  [1228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 2, 0, 0),
  [1230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_link_section, 4, 0, 0),
  [1232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_link_section, 4, 0, 0),
  [1234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameters, 5, 0, 0),
  [1236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 5, 0, 0),
  [1238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameters, 3, 0, 0),
  [1240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 3, 0, 0),
  [1242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameters, 4, 0, 0),
  [1244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 4, 0, 0),
  [1246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__while_prefix, 4, 0, 39),
  [1248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [1250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__while_prefix, 4, 0, 39),
  [1252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__if_prefix, 4, 0, 39),
  [1254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__if_prefix, 4, 0, 39),
  [1256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__while_prefix, 5, 0, 39),
  [1258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [1260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__while_prefix, 5, 0, 39),
  [1262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_prefix, 6, 0, 0),
  [1264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_prefix, 6, 0, 0),
  [1266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__if_prefix, 5, 0, 39),
  [1268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__if_prefix, 5, 0, 39),
  [1270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_prefix, 5, 0, 0),
  [1272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_prefix, 5, 0, 0),
  [1274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_prefix, 7, 0, 0),
  [1276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_prefix, 7, 0, 0),
  [1278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_prefix, 8, 0, 0),
  [1280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_prefix, 8, 0, 0),
  [1282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__while_prefix, 8, 0, 39),
  [1284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__while_prefix, 8, 0, 39),
  [1286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_calling_convention, 4, 0, 0),
  [1288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_calling_convention, 4, 0, 0),
  [1290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_prefix, 9, 0, 0),
  [1292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_prefix, 9, 0, 0),
  [1294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__while_prefix, 9, 0, 39),
  [1296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__while_prefix, 9, 0, 39),
  [1298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_prefix, 4, 0, 0),
  [1300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_prefix, 4, 0, 0),
  [1302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_multiline_string_repeat1, 2, 0, 0),
  [1304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_multiline_string_repeat1, 2, 0, 0),
  [1306] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_multiline_string_repeat1, 2, 0, 0), SHIFT_REPEAT(795),
  [1309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_multiline_string, 1, 0, 0),
  [1311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_multiline_string, 1, 0, 0),
  [1313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [1315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_expression, 1, 0, 0),
  [1317] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_expression, 1, 0, 0),
  [1319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [1321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_declaration, 5, 0, 0),
  [1323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_declaration, 5, 0, 0),
  [1325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_declaration, 5, 0, 0),
  [1327] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_declaration, 5, 0, 0),
  [1329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_type_expression, 1, 0, 1),
  [1331] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_type_expression, 1, 0, 1),
  [1333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_prototype, 4, 0, 32),
  [1335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_prototype, 4, 0, 32),
  [1337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asm_expression, 5, 0, 0),
  [1339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_asm_expression, 5, 0, 0),
  [1341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_prototype, 5, 0, 45),
  [1343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_prototype, 5, 0, 45),
  [1345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_prototype, 5, 0, 46),
  [1347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_prototype, 5, 0, 46),
  [1349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean, 1, 0, 0),
  [1351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean, 1, 0, 0),
  [1353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2, 0, 0),
  [1355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2, 0, 0),
  [1357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_declaration, 8, 0, 0),
  [1359] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_declaration, 8, 0, 0),
  [1361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 8, 0, 0),
  [1363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 8, 0, 0),
  [1365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_declaration, 8, 0, 0),
  [1367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_declaration, 8, 0, 0),
  [1369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_builtin_type, 1, 0, 0),
  [1371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_builtin_type, 1, 0, 0),
  [1373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_prototype, 8, 0, 56),
  [1375] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_prototype, 8, 0, 56),
  [1377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, 0, 24),
  [1379] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, 0, 24),
  [1381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dereference_expression, 2, 0, 0),
  [1383] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dereference_expression, 2, 0, 0),
  [1385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 4, 0, 0),
  [1387] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 4, 0, 0),
  [1389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_error_set_declaration, 5, 0, 0),
  [1391] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_error_set_declaration, 5, 0, 0),
  [1393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_prototype, 7, 0, 55),
  [1395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_prototype, 7, 0, 55),
  [1397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_null_coercion_expression, 2, 0, 0),
  [1399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_null_coercion_expression, 2, 0, 0),
  [1401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_opaque_declaration, 5, 0, 0),
  [1403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_opaque_declaration, 5, 0, 0),
  [1405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_prototype, 6, 0, 50),
  [1407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_prototype, 6, 0, 50),
  [1409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4, 0, 0),
  [1411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4, 0, 0),
  [1413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_prototype, 6, 0, 51),
  [1415] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_prototype, 6, 0, 51),
  [1417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 5, 0, 0),
  [1419] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 5, 0, 0),
  [1421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [1423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 6, 0, 24),
  [1425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 6, 0, 24),
  [1427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_declaration, 7, 0, 0),
  [1429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_declaration, 7, 0, 0),
  [1431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 7, 0, 0),
  [1433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 7, 0, 0),
  [1435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_declaration, 10, 0, 0),
  [1437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_declaration, 10, 0, 0),
  [1439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_declaration, 11, 0, 0),
  [1441] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_declaration, 11, 0, 0),
  [1443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_declaration, 4, 0, 0),
  [1445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_declaration, 4, 0, 0),
  [1447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_opaque_declaration, 4, 0, 0),
  [1449] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_opaque_declaration, 4, 0, 0),
  [1451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_expression, 6, 0, 53),
  [1453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_index_expression, 6, 0, 53),
  [1455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_declaration, 7, 0, 0),
  [1457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_declaration, 7, 0, 0),
  [1459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_declaration, 4, 0, 0),
  [1461] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_declaration, 4, 0, 0),
  [1463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_error_set_declaration, 4, 0, 0),
  [1465] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_error_set_declaration, 4, 0, 0),
  [1467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_expression, 4, 0, 40),
  [1469] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_index_expression, 4, 0, 40),
  [1471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_prototype, 7, 0, 54),
  [1473] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_prototype, 7, 0, 54),
  [1475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 5, 0, 24),
  [1477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 5, 0, 24),
  [1479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asm_expression, 4, 0, 0),
  [1481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_asm_expression, 4, 0, 0),
  [1483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_prototype, 4, 0, 34),
  [1485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_prototype, 4, 0, 34),
  [1487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_error_set_declaration, 6, 0, 0),
  [1489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_error_set_declaration, 6, 0, 0),
  [1491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_character, 3, 0, 0),
  [1493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_character, 3, 0, 0),
  [1495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_initializer, 2, 0, 0),
  [1497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_initializer, 2, 0, 0),
  [1499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asm_expression, 6, 0, 0),
  [1501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_asm_expression, 6, 0, 0),
  [1503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_error_set_declaration, 3, 0, 0),
  [1505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_error_set_declaration, 3, 0, 0),
  [1507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_error_type, 3, 0, 0),
  [1509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_error_type, 3, 0, 0),
  [1511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 3, 0, 0),
  [1513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 3, 0, 0),
  [1515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3, 0, 0),
  [1517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3, 0, 0),
  [1519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [1521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, 0, 26),
  [1523] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_expression, 3, 0, 26),
  [1525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_prototype, 3, 0, 18),
  [1527] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_prototype, 3, 0, 18),
  [1529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullable_type, 2, 0, 0),
  [1531] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullable_type, 2, 0, 0),
  [1533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_struct_initializer, 2, 0, 0),
  [1535] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_struct_initializer, 2, 0, 0),
  [1537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 2, 0, 7),
  [1539] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_expression, 2, 0, 7),
  [1541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 5, 0, 0),
  [1543] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 5, 0, 0),
  [1545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 4, 0, 24),
  [1547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 4, 0, 24),
  [1549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [1551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [1553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 5, 0, 0),
  [1555] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 5, 0, 0),
  [1557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [1559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_builtin_function, 2, 0, 0),
  [1561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_builtin_function, 2, 0, 0),
  [1563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 2, 0, 0),
  [1565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 2, 0, 0),
  [1567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, 0, 0),
  [1569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, 0, 0),
  [1571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_expression, 3, 0, 16),
  [1573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(578),
  [1575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [1577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [1579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [1581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [1583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(579),
  [1585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(580),
  [1587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [1589] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_expression, 3, 0, 16),
  [1591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(581),
  [1593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(582),
  [1595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [1597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [1599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(584),
  [1601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [1603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(585),
  [1605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [1607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [1609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [1611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1618),
  [1613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [1615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [1617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 23),
  [1619] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 23),
  [1621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_expression, 3, 0, 0),
  [1623] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_expression, 3, 0, 0),
  [1625] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__function_prototype, 4, 0, 32),
  [1628] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__function_prototype, 4, 0, 32),
  [1631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(480),
  [1633] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__function_prototype, 6, 0, 51),
  [1636] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__function_prototype, 6, 0, 51),
  [1639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_type_expression, 4, 0, 10),
  [1641] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym_if_type_expression, 4, 0, 10),
  [1644] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym_if_type_expression, 4, 0, 10),
  [1647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 10),
  [1649] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 4, 0, 10),
  [1651] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__function_prototype, 5, 0, 45),
  [1654] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__function_prototype, 5, 0, 45),
  [1657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 4, 0, 0),
  [1659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_expression, 4, 0, 0),
  [1661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_type_expression, 5, 0, 10),
  [1663] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym_if_type_expression, 5, 0, 10),
  [1666] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym_if_type_expression, 5, 0, 10),
  [1669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_expression, 4, 0, 10),
  [1671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_expression, 4, 0, 10),
  [1673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_expression, 4, 0, 0),
  [1675] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_expression, 4, 0, 0),
  [1677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [1679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_expression, 4, 0, 41),
  [1681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [1683] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_expression, 4, 0, 41),
  [1685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 5, 0, 0),
  [1687] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_expression, 5, 0, 0),
  [1689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_expression, 5, 0, 16),
  [1691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_expression, 5, 0, 16),
  [1693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 5, 0, 10),
  [1695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 5, 0, 10),
  [1697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_expression, 5, 0, 10),
  [1699] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_expression, 5, 0, 10),
  [1701] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__function_prototype, 8, 0, 56),
  [1704] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__function_prototype, 8, 0, 56),
  [1707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_expression, 6, 0, 16),
  [1709] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_expression, 6, 0, 16),
  [1711] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__function_prototype, 5, 0, 46),
  [1714] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__function_prototype, 5, 0, 46),
  [1717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 6, 0, 0),
  [1719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_expression, 6, 0, 0),
  [1721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type, 2, 0, 0),
  [1723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type, 2, 0, 0),
  [1725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_expression, 6, 0, 41),
  [1727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_expression, 6, 0, 41),
  [1729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_expression, 7, 0, 41),
  [1731] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_expression, 7, 0, 41),
  [1733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_type, 6, 0, 48),
  [1735] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_type, 6, 0, 48),
  [1737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type, 6, 0, 0),
  [1739] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type, 6, 0, 0),
  [1741] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__function_prototype, 3, 0, 18),
  [1744] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__function_prototype, 3, 0, 18),
  [1747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type, 6, 0, 0),
  [1749] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type, 6, 0, 0),
  [1751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_type, 5, 0, 48),
  [1753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_type, 5, 0, 48),
  [1755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type, 5, 0, 0),
  [1757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type, 5, 0, 0),
  [1759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 5),
  [1761] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 5),
  [1763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anyframe_type, 3, 0, 0),
  [1765] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anyframe_type, 3, 0, 0),
  [1767] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__function_prototype, 7, 0, 54),
  [1770] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__function_prototype, 7, 0, 54),
  [1773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comptime_type_expression, 2, 0, 0),
  [1775] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym_comptime_type_expression, 2, 0, 0),
  [1778] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym_comptime_type_expression, 2, 0, 0),
  [1781] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__function_prototype, 7, 0, 55),
  [1784] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__function_prototype, 7, 0, 55),
  [1787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type, 4, 0, 0),
  [1789] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type, 4, 0, 0),
  [1791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_type, 4, 0, 0),
  [1793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_type, 4, 0, 0),
  [1795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0),
  [1797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type, 4, 0, 0),
  [1799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_expression, 3, 0, 25),
  [1801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_range_expression, 3, 0, 25),
  [1803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_type_expression, 2, 0, 10),
  [1805] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym_if_type_expression, 2, 0, 10),
  [1808] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym_if_type_expression, 2, 0, 10),
  [1811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [1813] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__function_prototype, 4, 0, 34),
  [1816] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__function_prototype, 4, 0, 34),
  [1819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type, 3, 0, 0),
  [1821] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type, 3, 0, 0),
  [1823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_error_union_type, 3, 0, 27),
  [1825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_error_union_type, 3, 0, 27),
  [1827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type, 7, 0, 0),
  [1829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type, 7, 0, 0),
  [1831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_type, 3, 0, 0),
  [1833] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_type, 3, 0, 0),
  [1835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nosuspend_expression, 2, 0, 0),
  [1837] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nosuspend_expression, 2, 0, 0),
  [1839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_async_expression, 2, 0, 0),
  [1841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_async_expression, 2, 0, 0),
  [1843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_await_expression, 2, 0, 0),
  [1845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0),
  [1847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_resume_expression, 2, 0, 0),
  [1849] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_resume_expression, 2, 0, 0),
  [1851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_expression, 2, 0, 0),
  [1853] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_expression, 2, 0, 0),
  [1855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_expression, 2, 0, 0),
  [1857] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_expression, 2, 0, 0),
  [1859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 2, 0, 0),
  [1861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [1863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_expression, 2, 0, 0),
  [1865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_expression, 2, 0, 10),
  [1867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [1869] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_expression, 2, 0, 10),
  [1871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comptime_expression, 2, 0, 0),
  [1873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_comptime_expression, 2, 0, 0),
  [1875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 2, 0, 10),
  [1877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [1879] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 2, 0, 10),
  [1881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 3, 0, 0),
  [1883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [1885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_expression, 3, 0, 0),
  [1887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [1889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_expression, 3, 0, 0),
  [1891] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_expression, 3, 0, 0),
  [1893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_expression, 3, 0, 0),
  [1895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_expression, 3, 0, 0),
  [1897] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__function_prototype, 6, 0, 50),
  [1900] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym__function_prototype, 6, 0, 50),
  [1903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 23),
  [1905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_expression, 3, 0, 23),
  [1907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_error_union_type, 2, 0, 6),
  [1909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_error_union_type, 2, 0, 6),
  [1911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [1913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_declaration_header, 4, 0, 34),
  [1915] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_declaration_header, 4, 0, 34),
  [1917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [1919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [1921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [1923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [1925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [1927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [1929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(470),
  [1931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [1933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(473),
  [1935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [1937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [1939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [1941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [1943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(476),
  [1945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [1947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [1949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [1951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [1953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [1955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_container_field, 4, 1, 32),
  [1957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(385),
  [1959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [1961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [1963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [1965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [1967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_container_field, 4, 1, 33),
  [1969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(386),
  [1971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [1973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_container_field, 3, 1, 22),
  [1975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [1977] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_multiline_string_repeat1, 2, 0, 0), SHIFT_REPEAT(973),
  [1980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [1982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [1984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_container_field, 2, 1, 3),
  [1986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(517),
  [1988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_container_field, 3, 1, 28),
  [1990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(382),
  [1992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [1994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_container_field, 1, 1, 2),
  [1996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(482),
  [1998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [2000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [2002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [2004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [2006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [2008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [2010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [2012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [2014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [2016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [2018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [2020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [2022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(25),
  [2024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [2026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1678),
  [2028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [2030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [2032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [2034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(508),
  [2036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [2038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [2040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(540),
  [2042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [2044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [2046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(541),
  [2048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(542),
  [2050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(543),
  [2052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(544),
  [2054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [2056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [2058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(546),
  [2060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [2062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(547),
  [2064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [2066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [2068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [2070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [2072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [2074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [2076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [2078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(617),
  [2080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [2082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [2084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(618),
  [2086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(619),
  [2088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(620),
  [2090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(621),
  [2092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [2094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [2096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(623),
  [2098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [2100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(624),
  [2102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [2104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [2106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [2108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [2110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [2112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [2114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [2116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [2118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [2120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [2122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [2124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [2126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [2128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [2130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [2132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [2134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [2136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(500),
  [2138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [2140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(501),
  [2142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(502),
  [2144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(503),
  [2146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(504),
  [2148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [2150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [2152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(506),
  [2154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [2156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(507),
  [2158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [2160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [2162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [2164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [2166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(446),
  [2168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [2170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [2172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(447),
  [2174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(448),
  [2176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [2178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(450),
  [2180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [2182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [2184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [2186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [2188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [2190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [2192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [2194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [2196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__switch_case_exp, 1, 0, 0),
  [2198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [2200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [2202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [2204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [2206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [2208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [2210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [2212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [2214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [2216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [2218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [2220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [2222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [2224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [2226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [2228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [2230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [2232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [2234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [2236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [2238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [2240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [2242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [2244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [2246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [2248] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_for_expression, 2, 0, 0), REDUCE(sym_for_expression, 3, 0, 0),
  [2251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [2253] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_while_expression, 2, 0, 10), REDUCE(sym_while_expression, 3, 0, 16),
  [2256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [2258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [2260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [2262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [2264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [2266] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_parameter, 2, 0, 35), REDUCE(sym_comptime_type_expression, 2, 0, 0),
  [2269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_container_field, 6, 1, 22),
  [2271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 4, 0, 33),
  [2273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 4, 0, 32),
  [2275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_container_field, 6, 1, 32),
  [2277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_container_field, 6, 1, 28),
  [2279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_container_field, 6, 1, 33),
  [2281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 1, 0, 17),
  [2283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_container_field, 5, 1, 22),
  [2285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_container_field, 7, 1, 32),
  [2287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_container_field, 7, 1, 33),
  [2289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_container_field, 5, 1, 3),
  [2291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [2293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(598),
  [2295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [2297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [2299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 2, 0, 35),
  [2301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [2303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [2305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_container_field, 4, 1, 3),
  [2307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 3, 0, 28),
  [2309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 3, 0, 22),
  [2311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__switch_case_exp_repeat1, 2, 0, 0),
  [2313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [2315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [2317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [2319] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_for_expression, 4, 0, 0), REDUCE(sym_for_expression, 5, 0, 0),
  [2322] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_while_expression, 4, 0, 10), REDUCE(sym_while_expression, 5, 0, 16),
  [2325] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_while_expression, 5, 0, 10), REDUCE(sym_while_expression, 6, 0, 16),
  [2328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [2330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [2332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [2334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [2336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [2338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [2340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [2342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_container_field, 4, 1, 2),
  [2344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [2346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [2348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [2350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [2352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_container_field, 3, 1, 2),
  [2354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [2356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [2358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [2360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [2362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [2364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_container_field, 5, 1, 28),
  [2366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_call_expression_repeat1, 2, 0, 0),
  [2368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [2370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [2372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [2374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [2376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_case, 3, 0, 0),
  [2378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [2380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [2382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [2384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_case, 4, 0, 0),
  [2386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__switch_case_exp_repeat1, 4, 0, 0),
  [2388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [2390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [2392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [2394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__for_prefix_repeat1, 2, 0, 0),
  [2396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [2398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [2400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [2402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [2404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [2406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 4, 0, 0),
  [2408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [2410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [2412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [2414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [2416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [2418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [2420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [2422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [2424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [2426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [2428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [2430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [2432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [2434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [2436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [2438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [2440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [2442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [2444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [2446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [2448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [2450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [2452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [2454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [2456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [2458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [2460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [2462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [2464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [2466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [2468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [2470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [2472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [2474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [2476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [2478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [2480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [2482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [2484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [2486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [2488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [2490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [2492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [2494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [2496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [2498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [2500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__variable_declaration_expression_statement_repeat1, 2, 0, 0),
  [2502] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__variable_declaration_expression_statement_repeat1, 2, 0, 0),
  [2504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [2506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [2508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [2510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [2512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [2514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [2516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [2518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [2520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [2522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [2524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [2526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [2528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [2530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [2532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [2534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [2536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [2538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [2540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [2542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [2544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [2546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [2548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [2550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [2552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [2554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [2556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [2558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [2560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [2562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [2564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [2566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [2568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [2570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [2572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_declaration_header, 2, 0, 0),
  [2574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [2576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [2578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [2580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [2582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [2584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [2586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [2588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [2590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [2592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [2594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [2596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_declaration_header, 5, 0, 34),
  [2598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_declaration_header, 3, 0, 0),
  [2600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [2602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [2604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [2606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [2608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asm_clobbers, 1, 0, 0),
  [2610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [2612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [2614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [2616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asm_clobbers, 4, 0, 0),
  [2618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asm_clobbers, 3, 0, 0),
  [2620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [2622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asm_output, 3, 0, 0),
  [2624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [2626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [2628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [2630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asm_input, 2, 0, 0),
  [2632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asm_output, 4, 0, 0),
  [2634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [2636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asm_input, 3, 0, 0),
  [2638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [2640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [2642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_label, 2, 0, 12),
  [2644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [2646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [2648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [2650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [2652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asm_input, 1, 0, 0),
  [2654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [2656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [2658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [2660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asm_output, 2, 0, 0),
  [2662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_declaration_header, 6, 0, 34),
  [2664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asm_input, 4, 0, 0),
  [2666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_label, 2, 0, 0),
  [2668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [2670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asm_output, 1, 0, 0),
  [2672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_declaration_header, 4, 0, 0),
  [2674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [2676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_container_field, 5, 1, 32),
  [2678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [2680] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_asm_input_repeat1, 2, 0, 0), SHIFT_REPEAT(1697),
  [2683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_asm_input_repeat1, 2, 0, 0),
  [2685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(175),
  [2687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [2689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1561),
  [2691] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [2693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_container_field, 4, 1, 28),
  [2695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [2697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(177),
  [2699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [2701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1551),
  [2703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_container_field, 5, 1, 33),
  [2705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [2707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_container_field, 2, 1, 2),
  [2709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [2711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [2713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(687),
  [2715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [2717] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1561),
  [2720] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1561),
  [2723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [2725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [2727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [2729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [2731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [2733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [2735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(688),
  [2737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [2739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1559),
  [2741] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(410),
  [2744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [2746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [2748] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_asm_output_repeat1, 2, 0, 0), SHIFT_REPEAT(1713),
  [2751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_asm_output_repeat1, 2, 0, 0),
  [2753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_container_field, 4, 1, 22),
  [2755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [2757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [2759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_container_field, 3, 1, 3),
  [2761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [2763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [2765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [2767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [2769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [2771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [2773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asm_output_item, 7, 0, 0),
  [2775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asm_input_item, 7, 0, 0),
  [2777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asm_output_item, 8, 0, 0),
  [2779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [2781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [2783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [2785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__container_members, 2, 0, 0),
  [2787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [2789] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_payload_repeat1, 2, 0, 0), SHIFT_REPEAT(1556),
  [2792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_payload_repeat1, 2, 0, 0),
  [2794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [2796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [2798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [2800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [2802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [2804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [2806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [2808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [2810] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__switch_case_exp_repeat1, 2, 0, 0), SHIFT_REPEAT(428),
  [2813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [2815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [2817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [2819] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(214),
  [2822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_expression_repeat1, 2, 0, 0),
  [2824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [2826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [2828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [2830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [2832] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_error_set_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1632),
  [2835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_error_set_declaration_repeat1, 2, 0, 0),
  [2837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [2839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [2841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [2843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [2845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [2847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [2849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [2851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [2853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_declaration_header, 7, 0, 34),
  [2855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [2857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [2859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [2861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asm_clobbers, 2, 0, 0),
  [2863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [2865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [2867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [2869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [2871] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__for_prefix_repeat1, 2, 0, 0), SHIFT_REPEAT(406),
  [2874] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_asm_clobbers_repeat1, 2, 0, 0), SHIFT_REPEAT(1522),
  [2877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_asm_clobbers_repeat1, 2, 0, 0),
  [2879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [2881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [2883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_declaration_header, 5, 0, 0),
  [2885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [2887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [2889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [2891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [2893] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1742),
  [2896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2, 0, 0),
  [2898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [2900] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__variable_declaration_expression_statement_repeat1, 2, 0, 38), SHIFT_REPEAT(213),
  [2903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__variable_declaration_expression_statement_repeat1, 2, 0, 38),
  [2905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [2907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [2909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [2911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [2913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [2915] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(176),
  [2918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0),
  [2920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [2922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [2924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [2926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [2928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_payload_repeat1, 3, 0, 0),
  [2930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [2932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [2934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [2936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [2938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [2940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [2942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1773),
  [2944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [2946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [2948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [2950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [2952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [2954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [2956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [2958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1762),
  [2960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [2962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [2964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [2966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [2968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [2970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [2972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [2974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [2976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [2978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [2980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [2982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [2984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [2986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [2988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [2990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [2992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [2994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [2996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [2998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [3000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [3002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1812),
  [3004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [3006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [3008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [3010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [3012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [3014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [3016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [3018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [3020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [3022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [3024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [3026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [3028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [3030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 1, 0, 0),
  [3032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [3034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [3036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [3038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [3040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [3042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [3044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [3046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [3048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [3050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [3052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [3054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [3056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__variable_declaration_expression_statement_repeat1, 2, 0, 13),
  [3058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [3060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [3062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [3064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [3066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [3068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [3070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [3072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [3074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [3076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [3078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [3080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [3082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [3084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [3086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [3088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [3090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [3092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [3094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [3096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [3098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [3100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [3102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [3104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [3106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [3108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [3110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [3112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asm_input, 5, 0, 0),
  [3114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [3116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [3118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [3120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [3122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [3124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [3126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [3128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [3130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [3132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [3134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [3136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [3138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [3140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 1, 0, 0),
  [3142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [3144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [3146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [3148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [3150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [3152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [3154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [3156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [3158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [3160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [3162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [3164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [3166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [3168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [3170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [3172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [3174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [3176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [3178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [3180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [3182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [3184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [3186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [3188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [3190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [3192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [3194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asm_output, 5, 0, 0),
  [3196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [3198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [3200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [3202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [3204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [3206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [3208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [3210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [3212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [3214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [3216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [3218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [3220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [3222] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [3224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [3226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [3228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [3230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [3232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [3234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_zig(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym__identifier,
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
